Welcome

Navigation: »No topics above this level«

Welcome to the Concordance Desktop Answer Center!
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance® Desktop is a tool that provides electronic discovery, litigation document management, and litigation support. It was designed to make it easier to identify, organize, analyze and maintain case-critical information so that you can collaborate and share across your firm, or around the world. Concordance Desktop provides the means by which a small to mid-sized law firm can control and maintain the documents that are pertinent to their cases.

Concordance Desktop can manage up to 2048 databases. Should your database count exceed this number, we recommend archiving some of your databases that are not active, or using an enterprise tool to manage your databases.

All the functionality needed to create, maintain, store, and work with databases, as well as reviewing, marking up, and redacting, and general production functionality of your documents is available in Concordance Desktop, and can be turned on with varying licenses. There are two types of licensing; Application and User Level.

·Application licenses are used to activate your installation of Concordance Desktop as either a Server or a Mobile installation.

·User Level licenses are used to provide access to varying levels of functionality.

There are several user level licenses that affect three different types of users; Administrators, Full Reviewers, and Data Reviewers. All documents for a case can be imported into one or more databases by an Administrator. Once a database is created, it can be accessed by Data Reviewers for first level searching, record categorization, and folder, tags and issues creation. The database can also be accessed by Full Reviewers for searching and marking up documents pertinent to their cases, and for setting up documents they need to send to opposing council.

For more details about Concordance Desktop licensing and how it works, please see the About Concordance Desktop Licensing and Product Activation topic.

Basic key benefits and features Basic key benefits and features

Concordance Desktop provides the most effective, cost-efficient way to manage the high volume of documents—scanned paper, email and other e-documents—generated during litigation.

Here are some of the basic key benefits and features of Concordance Desktop:

·A repository that holds documents of all types

·A fast and efficient search engine

·Ability to categorize records with folders, tags, and issues

·Ability to secure confidential data at various administrative levels

·Ability to integrate with other litigation technology

Here are some of the key benefits and features when installed on a network server or computer:

·A secure, centralized location for your document databases

·Local Area Network (LAN) and Wide Area Network (WAN) access from workstations on which Concordance Desktop software is installed

·Server functionality uses highly optimized data compression.

·Server functionality provides RSA encryption for efficient and secure remote access. This is the same RSA 128-bit encryption that banks use for securing online transactions.

A Server license is required to enable Concordance Desktop Server on a server, or a network computer that you want to use as a the Concordance Desktop server. When that license is activated, two Concordance Desktop Server services are started; Concordance Desktop Server and Concordance Desktop Admin Server. The Concordance Desktop Server service sends data to Data Reviewer and Full Reviewer users on the network. This is where most of the review work is done. Concordance Desktop Admin Server service works with the Concordance Desktop Admin Console to control the server, database access assignments, and user management. The Administration Console provides a user interface to manage Concordance Desktop server functionality, allowing administrators to publish databases, restrict access and change user settings, set performance parameters, and generate usage reports.
Document review key benefits and features Document review key benefits and features

Concordance Desktop provides an easy to use interface and markup tools for the review process. You can view markup history as well as document and image information without having to switch back to the main Concordance Desktop window.

Document review typically involves searching for and marking up documents:

·Relevant for turning over to opposing counsel.

·Containing privileged or confidential information that you do not want turned over to opposing counsel.

·Containing evidential information to support your case.

The document review key benefits and features of Concordance Desktop are:

·An intuitive user interface for navigating and reviewing documents

·A single Concordance Desktop Image Base (CIB) SQLite database file to store both native and image information

·Advanced markup tools to review and annotate documents and images

·Track document markups added or removed during a review

·Produce color or grayscale images to PDF or TIFF
Database capacity Database capacity
Database | Capacity
Number of databases | 2048
Number of documents | 500,000
Concatenated databases | You can join up to 128 databases
Fields | 250 custom fields
Characters per field | 12 million
Database .ivt file | 6 gigabytes
Database .tex file | 6 gigabytes
Product integration Product integrations

Concordance Desktop integrates with other leading industry technology tools and providers to assist you in maximizing the functionality you currently have in managing your case records and history, while allowing you to add on or transition data to other programs as you move through the litigation process.

Concordance Desktop also integrates with the following tools:

·Hosted Concordance Desktop servers

·CaseMap®

·CloudNine™ LAW

·Sanction® version 2.9 only

·Microsoft Excel®

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.

Copyright © 2020 CloudNine™. All rights reserved.


Concordance Desktop Release Notes
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The CloudNine™ Concordance Desktop Release Notes provide information on the features and improvements in each release.

You can see a full listing of current and previous release notes on our Concordance Desktop Release Notes site.

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Preliminary Planning
No contents entries on this page
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Preliminary planning for implementing any software application is important for achieving the best setup results, the first time. We recommend that you take some time to review this section to plan how your organization will be using Concordance Desktop so your administrative tasks are minimized for initial setup and your long-term maintenance of the application is streamlined into routine updates and adjustments, rather than reworking any database design and system security later.


Preparing for Concordance Desktop on a Server

Navigation: Installing > Preliminary Planning > Preparing for Concordance Desktop:

Preparing for Concordance Desktop on a Network Server
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Preliminary planning for implementing any software application is important to achieve the best set-up results, the first time. We recommend that you take some time to review this section and plan how your organization will be using Concordance Desktop on a network server. Planning ahead helps ensure that administrative tasks are minimized for initial setup and your long-term maintenance of the application. When implemented properly, your administrative tasks should then be streamlined into routine updates and adjustments, rather than reworking any database design, server setup, and system security later.


Best practices for planning
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Before installing Concordance Desktop on a network server, please review the best practices below, to ensure your organization has reviewed all planning phases.

Best practices for planning: Concordance Desktop Server

Data Hosting

Concordance Desktop server ASPs hosting client data should take advantage of Microsoft® Active Directory® to first set up users and then add those users to Concordance Desktop. Active Directory includes password policies and organizational features for managing users.

*Must set the Active Directory password to never expire

Large firms and organizations should also take advantage of Active Directory and set up Concordance Desktop User Management

*If using existing Active Directory, in Concordance Desktop, clear the 'Logon required' check box on the Field rights tab in the Security dialog box for each database

Smaller firms and organizations can use the Concordance Desktop Admin Console to set up users and apply settings

Network Directory Setup

Ensure Concordance Desktop Server users have full network access to the database directory

Have preset folder templates for each client and matter

Have a clear separation between billable and non-billable data

Receiving Data and Images

Verify that file formats are recognized by Concordance Desktop

Export databases to new Concordance Desktop databases to update and verify existing structures to comply with your internal guidelines

Database Design

Create default database structure templates for different types of discovery

Implement field name conventions for consistency

Create an Admin tag folder

Verify that you used UNC paths in the Data Entry Attributes dialog box (Edit > Validation)

Use UNC path with your hyperlinks

Create smaller databases and use concatenation

Use document-level text files

Add administration fields

Add EDITTRAIL and CREATEDATE fields

Server Setup and User Management

General

Implement server and database firewalls when possible

Users

Use the Concordance Desktop Admin Console, User Management, and Microsoft Active Directory

Ensure Active Directory and Concordance Desktop user names match, and do not include any special characters such as %, &, #, etc.

Implement your network password policies, and set Active Directory passwords to never expire

Admin Console

Setup user accounts

Set up administration user accounts

Set up administration users alerts for emails. Alerts will be sent to every administrator who has an email address entered in their user account.

Note that to send out notifications from the server, an e-mail client (such as Microsoft Outlook) must be installed and setup on the server.

Managing Clients and Users

Inform users of training options, immediately

Create e-mail templates for users that include their logon information and pertinent project or software instructions to get them started

Always communicate turn-around times, as they change

Remember to educate, rather than dictate

Ongoing Maintenance

Schedule maintenance windows to ensure that all users are out of the database and the database is taken offline

Always take databases offline when loading any data or while performing administrative work

Backups and Data Recovery

Always back up your FYI.db file

Ensure your internal guidelines are in place for back up and data retrieval

Implement archiving and data destruction policies

Updating Considerations

Best Practice is to always be on the most recent version of Concordance Desktop

Ensure your internal guidelines are in place for back up and data retrieval

Quality Control

Have well-defined checklists and procedures in a centrally available location

Ensure that hand-off processes are well-defined


Data hosting
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

There are two main scenarios that involve data hosting:

Concordance Server ASPs

Concordance Desktop Server ASPs provide setup, security, and maintenance services. However, when speaking with Concordance Desktop Server ASPs, it is best practice to confirm that they have certified Concordance Desktop and Concordance Desktop Server members on staff to ensure your matter is setup properly and as soon as you need.
In-House Concordance Server Installations

For firms and organizations with the necessary technology infrastructure, data hosting in-house allows for direct control of data and productions. Data hosting, requires a mature organization with an experienced technical team that can overcome the liability risks involved and can meet the financial investment required to ensure exceptional hardware purchases and setup, dependable power to support services, and tight physical security to protect data.


Network directory setup
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Most organizations have network directory design guidelines already in place to store information in a consistent and logical manner. We have some recommendations for you to consider while you review your own or to consider implementing for new cases:

Folder Hierarchy and Naming Conventions

The following is an example of folder naming conventions and directory hierarchy for storing documents, backup files, productions, etc. This is especially useful for Hosting as it separates billable data from non-billable data. The Uploads folder gives a staging area for quality control of data received from clients. From the Uploads folder, data can then be moved to its appropriate final resting place. Moving is helpful for billing, troubleshooting such as repairing Native File links if they are disrupted. Retaining a folder template is useful when new data arrives or when moving a database to a new directory location as this will help to keep organization consistent.

Example of network directory for storing files

Databases for Billable versus Non-billable Tasks

Concordance Desktop Server ASPs hosting data for clients will have additional database design needs to construct databases to manage billable versus non-billable tasks.

Uploads for billable tasks:

·Images

·Native files

·Databases

·Productions

·Authority lists

·Backups

·Query files

·Security

Uploads for non-billable tasks:

·Staging

·Load files

·OCR files

·Database administration documents

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Working with Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When working with a Concordance Desktop database server, you want to ensure that you have a strong understanding of Concordance Desktop and its viewer. There are various aspects that must be taken into consideration during the preplanning phase.

Receiving Data

When you receive data from a client, data processing vendor, or third party, you should always review all files and databases to ensure they have the proper formats for Concordance Desktop.

We recommend having your OCR separated into individual document-level text files. When importing these text files Concordance Desktop automatically overflows any text that exceeds the 12 million character capacity of a paragraph field into the next available field.
Database Design

Designing databases for reviewers and clients is a necessary planning phase that ensures consistency in structure, naming conventions, user permissions, and more. The more forethought you apply to designing database templates, the easier it is for you and other administrators to identify any irregularities that may occur.

Database design does differ slightly when created for review teams. We recommend that you construct smaller databases containing fewer documents per database to improve speed for tasks, like reindexing. Smaller databases also provide reviewers with less down time when you are administrating maintenance updates.
Structuring Databases

Consistency is key when it comes to field naming conventions, types of fields included, and the order of fields included in Concordance Desktop databases. When fields are the same name and type, it is less confusing for reviewers and other administrators. With naming convention guidelines in place, administrators can be assured that every database has, for example, a BEGNO field as the beginning Bates number for records.

Checklist: Structuring Databases

Did you create default database structure templates for different types of discovery?

In every template, did you include administration fields: TAGHISTORY, EDITTRAIL, LOADDATE, CREATEDATE, PRODBEG1, PRODEND1, ADMIN fields, and so on?

Have you verified that all fields that need to be full-text searchable are designated as paragraph fields in the database?

*Reviewers will then know that all fields in the Browse view that have a colon sign are full-text searchable, and those with an equal sign are for relational searching.
Concatenation

Concatenation allows you to join up to 128 databases for the purpose of search and review. When database are concatenated, clicking on the primary database opens all databases listed in the concatenated file set for all reviewers each time.

When using concatenation only those databases that have been registered on the Concordance Desktop server, are available in the list of databases that can be chosen for concatenation. When sending the concatenated files to users via a shortcut (.fyi) file, you only need to create a shortcut file for the primary database for distribution. The shortcut file will include all of the necessary links to all the databases in the concatenated file set. Please beware that the size of concatenated file sets may cause latency issues when reviewers view records and process updates.


System requirements
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Please review the current system requirements for setup considerations and suggestions for your processor and RAM. Review each section in advance before making expensive hardware and network decisions that may not be in line with CloudNine recommendations.

When setting up permissions, make sure all users have full network access to each database directory they need to work with.

Please keep informed of Concordance Desktop release updates and how they impact your system, by checking our Concordance Desktop Release Notes.

System Requirements: Concordance Desktop Server

The minimum system requirements for Concordance Desktop Server are:

Hardware and Software | Minimum | Recommended
Processor (CPU) | Dual 3GHz Xeon® or Pentium HT (hyper-threaded) processors or higher | Dual 3GHz Xeon® or Pentium HT (hyper-threaded) processors or higher
Memory (RAM) | 8GB | 16GB
Hard Drive (Installation) | 40GB of disk space or higher | 40GB or disk space or higher
Supported Operating Systems (both 32- & 64-bit, all service packs) | Microsoft® Windows Server 2016 | Microsoft® Windows Server 2016
File Storage (Images\Text\Native Documents) | 250GB | 1TB A disk caching, fault tolerant RAID 1+0 array controller is recommended for speed and data integrity.
Network | Gigabit | Gigabit
Software Required for Proper Operation | ·Microsoft Outlook 2013 or higher (32 bit) ·.NET Framework 3.5 AND 4.7 or higher ·Internet Protocol v4 (IPv4) | · Microsoft Outlook 2013 or higher (32 bit) ·.NET Framework 3.5 AND 4.7 or higher ·Internet Protocol v4 (IPv4) *IPv6 is not supported

In addition to the above, the server also requires two open ports in the firewall for inbound and outbound traffic. By default, reviewers use Port 443 because it’s generally already open on most firewalls and is typically used for SSL packets, so beware of packet monitoring protocols. The default Admin Console Port is 10001 for administrators, since it’s typically not used by other services.

Performance is directly affected by clock speed and can be improved by selecting an SSD for your server.

Calculating User Capacity

User capacity of the Concordance Desktop Server is metered by the hardware. Based on the number of users that need to be supported, you can combine multiple CPU servers to have the proper user capacity available.

·A Pentium CPU supports 25 users.

·A Xeon or Pentium Hyper Threaded (HT) CPU supports 50 users.

·Multiply CPU capacity for dual and quad CPU servers.

Additional Concordance Desktop Server considerations:

·Server capacity is also limited by bandwidth on your LAN and Internet connections and by file server speed.

·The Concordance Desktop Server requires a minimum of 1 GB of available hard disk space for installation of software, generated logs and temporary files, plus additional space for databases.

·We recommend storing databases directly on the Concordance Desktop Server for highest performance and system reliability.

·Indexing, reindexing, and packing may require extra disk space.

·Performance may be affected by indexing, overloading of available Internet or LAN bandwidth, or in situations where databases are not stored directly on the Concordance Desktop Server.

·If performance is an issue, add processors with a higher clock speed, an SSD, or additional bandwidth.

For additional information about system recommendations and software compatibility, see System recommendations.

Workstation system requirements System Requirements: Concordance Desktop Workstation
Hardware and Software | Minimum | Recommended
Processor (CPU) | AMD A6 or Intel i3 or Pentium HT (hyper-threaded) processors or higher | AMD Ryzen or Intel i7 or Pentium HT (hyper-threaded) processors or higher
Memory (RAM) | 4GB | 8GB
Hard Drive (Installation) | 16GB available HD space | 16GB available HD space
Supported Operating Systems (both 32- & 64-bit, all service packs) | Microsoft® Windows 10 (32 or 64-bit) | Microsoft® Windows 10 (64-bit)
File Storage (Images\Text\Native Documents) | N/A | N/A
Network | Gigabit | Gigabit
Software Required for Proper Operation | .NET Framework 3.5 AND 4.7 or higher, TLS 1.2, IPV4 | .NET Framework 3.5 AND 4.7 or higher, TLS 1.2, IPV4

You cannot access Concordance Desktop databases on a machine that has IPV6 enabled. If you plan to run Concordance Desktop mobile, you need to ensure that your machine does not have IPV6 enabled. If it does, you need to disable IPV6 and use IPV4. Note that by default, Windows 10 (and later) automatically enables IPV6. For more information regarding the disabling of IPV6, please see the Microsoft article on IPV6 configuration guidance.


Server setup and user management
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Your server infrastructure and set-up design are critical to ensuring that Concordance Desktop works in a seamless fashion, and that data processing is running at optimal levels. Planning your strategy in advance saves you frustration, time, and possibly even money in the future. The steps you take now in carefully implementing the product, server database locations, and network directories help ensure your success in using it.

You need to pre-plan:

·Port access and service protocols

·Server placement

·Server firewalls and monitoring services

·User management

Plan your integration of Concordance Desktop server to ensure it coincides with your organization’s network policies and procedures and re-examine them for how they impact Concordance Desktop server requirements. If user restrictions are necessary at the database level to prevent some users from seeing a database to select it, or to limit their field rights and menu access in specific databases, you may want to plan for using the User Management feature to setup those restrictions on a database by database basis.

For information about setting up you users, see About setting up and managing users.

For information about setting up database restrictions, see Restricting user rights to a database.

For information about user groups, see About clients, matters and user groups.

For information about clients and matters, see About clients, matters and user groups.

Identifying administrative tasks

Identifying which administrators need access to the Concordance Desktop Admin Console is key to ensuring that ongoing maintenance gets performed.

Checklist: Identifying Administrative Tasks
 | Did you set up an administrator user ID and password in Microsoft Windows Services for Concordance Desktop to access servers where data resides?
 | Do you know which administrators on your team need access to the Concordance Desktop Admin Console? *Each user should have an individual user name and password.
 | Additionally, have you identified which administrators on your team need access to Concordance Desktop administrative menu items?
 | Have you determined if there are varying levels of rights being granted to administrators?
 | Do you know which administrators will be in charge of Concordance Desktop database processing (Zap, Pack, Index, Reindex), and for what clients, matters, and databases in the Concordance Desktop Admin Console?
 | Have you decided which administrators should receive e-mail alerts when a process fails to run, etc.?
 | Have you determined which administrators are responsible for ensuring that packets are not dropped?
 | Did you decide which administrators are responsible for resolving severe errors?
External authentication or Concordance Desktop user management

One of the primary distinctions to make in advance is whether you are using external authentication to manage your users or are simply using Concordance Desktop user management. The server can authenticate users using Microsoft Active Directory while also allowing you to setup field and menu restrictions for each database with Concordance Desktop user management.

·If you are installing the server on the DMZ (demilitarized zone), you should use the external authentication to set up users, in addition to setting Concordance Desktop user management in each database.

·If you are installing the server on a LAN (local area network), you can simply use Concordance Desktop Admin Console to setup users and then use the User Management feature to set field and menu restrictions on a database by database basis. In Concordance Desktop, all users are assigned access to all databases and have full rights to fields and menus.

For more information about authentication, see About setting up user authentication.

Adding users and providing access

Most Concordance Desktop Server ASPs and organizations are managing hundreds of users simultaneously and they all need access to multiple matters and databases in remote locations. Designing a user matrix that identifies each user’s database access needs may be helpful to reference when setting up and managing users.

Concordance Desktop provides two options for setting user access to databases; you can use the User Management feature to grant users different read/write access to fields and menus within a database, or use the Admin Console (under the Management tab) to grant read/write access to fields and menus across all databases. User management settings, user roles or groups, and user role templates can be modified based on individual needs, and affect what a user can access in Concordance Desktop. You can also control which databases and matters are viewable and accessible to each user based on client and matter organization within the Admin Console (under the Management tab). Understanding what key settings need to be retained in order for users to access the server and underlying databases helps you minimize problem solving later.

If your organization uses Concordance Desktop to add users, be sure to only use single-byte characters when creating user names and passwords to be used in Concordance Desktop.

For more information about user management, see About setting up user management.

For more information about clients, matters and user groups, see About clients, matters and user groups.
Synchronizing databases

Synchronizing updates the user lists - adding new users and removing deleted users.

Databases can be synchronized automatically in the Admin Console by clicking the Synchronize now button on the Management tab in the Admin Console. Jobs can also be scheduled to synchronize databases.

A database administrator needs to be specified before a database can be automatically synchronized.

Passwords

Concordance Desktop uses the authentication logon name to determine a user's Concordance Desktop database rights, field rights, and menu settings. Check the Concordance Desktop database in the Admin Console and add user names and rights as needed.
Best Practices for new databases

If you need to restrict access on a database by database basis, first add the users in the Admin Console and then restrict field-specific rights and limit their menu access from the User Management screen.

For more information about adding users to a Concordance Desktop database, see Setting up users.

Be sure to only use single-byte characters when creating user names, passwords, and database names in Concordance Desktop.

The Concordance Desktop server does not support user, user group, database, matter, and client names, or passwords that contain Unicode characters, such as Chinese or Japanese characters. Currently, only single-byte characters, such as English characters, are supported.

Be sure not to use special characters when creating

Concordance Desktop does not support the use of special characters, such as %, &, #, etc. in user IDs, user groups, database names, matter names, and client names.

When adding domain users to Concordance Desktop, it is important to follow these steps:

1.Add all of the domain user names to the Concordance Desktop database and assign database rights and access.

For more information about adding users to a Concordance Desktop database, see Setting up and managing users.

2.Add the users to the domain server.

3.Insert the domain users under the Users folder on the Management tab in the Concordance Desktop Admin Console.

For more information about inserting domain users, see Updating the Users list.

If both the LDAP and Auxiliary server options are set, both server names are displayed when using the Insert Domain Users option.


Best practices for server setup
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance Desktop Server is server class software and requires a powerful, designated server to ensure that performance is optimal. Some IT departments may try to host Concordance Desktop Server on a virtual machine as opposed to a designated server in an effort to save money without allocating enough system resources. Unlike Concordance Desktop (where processing is performed on individual workstations), all processing for .FYI users is done on the Concordance Desktop Server. When implementing Concordance Desktop Server, we recommend that you invest in the best server your organization can afford, that meets or exceeds what is stated in the system requirements.

Concordance Desktop Server is not a web server and cannot work through a proxy server. Concordance Desktop Server must have an open connection through a named port.

When planning your server setup, there are a few things to consider beforehand. We recommend that you reference the Best Practices for Server Setup when planning your server configuration.

Please also refer to the Concordance Desktop Server recommendations in the System Requirements.

Best Practices for Server Setup: Concordance Desktop Server

Concordance Desktop Server Security

Standard

24-hour Surveillance

Fingerprint/Retina scan access

Best Practice

Hardware Firewall

Network/Server Monitoring

24-hour Surveillance

Fingerprint/Retina scan access

Concordance Desktop Server Backups

Standard

Incremental secure backups

Best Practice

Data Mirroring/Clustering

Disaster Recovery Plan

Offsite Data Recovery

Server Support

Required Staff

CCSA

CCFA

Project Manager

Network Administrator

Technical Support

Best Practice

24/7 Technical Support

CCST

Paralegals

Print Job Clerks

Project Managers

Law Firm Experience, Previous Vendor Experience, and EDD/Processing Experience

Database Administrators

Active Directory Administrators

Certified DBAs, Very Technically Savvy, Detail Oriented, and have Network Administration Experience

Concordance Desktop Server Setup

Standard

Be sure to have the recommended minimum hardware resources

Best Practice

Create a separate Microsoft Windows account for Concordance Desktop Server that has network rights to run services

Store active databases on the Concordance Desktop Server itself or on a SAN or NAS server box that is attached to the Concordance Desktop Server to eliminate as much network latency as possible.

If you are using a SAN or NAS server box for databases, the server should be on the same LAN, in the same location as the Concordance Desktop Server, and connected to the Concordance Desktop Server with Gigabit-speed Ethernet switches and cables.

Be sure your Concordance Desktop Server is not on a Web server.

Store the TIFF image files associated with your databases on the Concordance Desktop Server or on a SAN or NAS server box that is attached to the Concordance Desktop Server to eliminate as much document and production latency as possible.

If you are using a SAN or NAS server box for TIFF image files, the server should be on the same LAN, in the same location as the Concordance Desktop Server, and connected to the Concordance Desktop Server with Gigabit-speed Ethernet switches and cables.

Concordance Desktop Shortcut (.fyi) File Setup

Standard

Provide the shortcut (.fyi) file to the client to allow them greater control over their data

Best Practice

Make sure that clients/users are using the latest version of Concordance Desktop.

We recommend that you do NOT allow access to the following menu items:

·File > Modify

·File > Reindex

·File > Index

·File > Administration

·File > Begin Program

·File > Edit Program

·Edit > Validation

·Edit > Delete and undelete


Concordance Desktop server security
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop server uses a variety of security methods to ensure data integrity, security, and high performance. Please read this section carefully, prior to implementing security for the computer you will be using as your Concordance Desktop server.

Concordance Server Connections

An installation of Concordance Desktop connects to the computer, registered as the Concordance Desktop server, using an SSL encrypted connection. This connection is fully compatible with firewalls that monitor and verify SSL traffic. Unlike a standard Web server connection, the Concordance Desktop server connection is kept open for the entire session for both efficiency and functionality. The connection is kept open to send progress messages, to update interactive search results and progress meters, and to perform other operations that would not be possible with repeated and unnecessary connections and disconnections.
Encryption

Data passed between the Concordance Desktop server and clients is both compressed and SSL encrypted for high speed and security. Concordance Desktop uses both RSA public and private key encryption. All data is transmitted using RSA 128-bit encryption. The initial handshake conversation is encrypted using 1024 bits. This is the same SSL encryption used by web servers for tasks such as online banking. We recommend that you install the server on SSL Port 443, as it is fully SSL compliant.
Ports

Administrators can log on to the Concordance Desktop Admin Console using an administrator user name and password. Firewalls are not required, but can be used to maintain security when exposing the Concordance Desktop server to public IP ranges. Using firewalls determines which IP ranges are allowed access to the Concordance Desktop server.

Setting Port Addresses:

·End-user traffic for shortcut (.fyi) files via the Concordance Desktop server – Default Port is 443

·Administration traffic on the Concordance Desktop server via the Admin Console – Default Port is 10001

We recommend that you periodically check your ports to ensure they are open to inbound/outbound traffic.

For more information about modifying port addresses, see Adjusting port settings.
DMZ or LAN?

The Concordance Desktop server can reside on your LAN or in your DMZ as your data security policy dictates.

·If you are using external authentication, user log-ons and passwords in Concordance Desktop must be identical to the DMZ in order for reviewers to access databases on the computer registered as the Concordance Desktop server.

·If you are only applying Concordance Desktop user management, we recommend that you register the server license on a computer on your LAN because the DMZ generally requires opening a connection from the server to the LAN, which can create a security risk.

We also recommend using NAT (Network Address Translation) to open an inbound port to the server, and setting the server to use SSL Port 443, as it is fully SSL compliant.
Authentication Types

Microsoft Windows NT, Microsoft Active Directory, and PDC secure login can be used by Concordance Desktop, making user administration easy and fully integrated with your existing network policies. Concordance Desktop will use NT, PDC, and Active Directory authentication, passing all login and passwords to your existing domain server for verification and enforcement of password policies including expiration, length, mix of alphanumerics, and all other policy restrictions used by your organization.

Concordance Desktop with Active Directory, Windows NT, or PDC can be used to verify users’ credentials. Logins are checked with Windows Security Controller. Setting this up helps ensure conformation with password policies.

Supported Authentication Types
Internal Types | Description
Concordance Desktop | Uses the .sec file to authenticate users. Highly recommend always implementing a user login and password to connect.
External Types | Description
External by Domain | Allows for authentication against an NT Domain Controller (without Active Directory).
External by NT Server | Allows for authentication against a stand-alone server (Member server).
External by Active Directory LDAP | Uses the Microsoft Windows Active Directory to authenticate users. Authentication by Lightweight Directory Access Protocol (Active Directory).

For more information about external authentication and how it relates to users, see About setting up user authentication.

Using Microsoft Active Directory

If you are using external authentication, you will need to first set up users in Active Directory and then add the user's name in the Security Console of the Concordance Desktop database, before specifying Concordance Desktop .FYI users in the Concordance Desktop Admin Console. When using external authentication, it is important that user names match in the Active Directory and the Concordance Desktop database.

We also recommend registering databases in the Concordance Desktop Admin Console as a means of adding users to the Concordance Desktop Server. User accounts are enabled in the Concordance Desktop Admin Console on the Management tab.

For more information about setting up users in the Active Directory refer to Microsoft's web site and search on "active directory."
File Storage Considerations

File size and storage considerations are additional planning elements when setting up the Concordance Desktop Server.

You need to ensure the following:

·The server hosting Concordance Desktop databases can access other servers easily

·That Concordance Desktop server can access files easily

·Databases and images are local to the Concordance Desktop server

·There are no latency issues arising from databases or image files that are too big

You can choose to store databases and images in two ways:

·LAN For this setup, we recommend you store databases and images on the same server/computer that you have registered as the Concordance Desktop server, to reduce any latency issues in accessing files.

·Network Accessible Storage You can choose to store databases on one network device and images on another, and have the Concordance Desktop server point to these locations to access them. Latency differentiations are minor if database size is kept smaller and all images are processed as single TIFs.

For more information about database design, see Preparing for Concordance Desktop.


Ongoing maintenance
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

As an administrator you are busy managing multiple cases, various software programs and databases, and all in various network locations. We recommend that you take some additional time to plan a maintenance schedule based on the following tasks and processes, and any others that are distinct to your organization or client needs.

Typical database management for Concordance Desktop Server and companion products include:

·Directory and sub-directory folder design to store multiple databases for multiple case reviews within your organization

·Backup schedules for each client and matter, and each database, including multiple database and/or concatenated databases

·Full index updates on databases performed during off hours (weekends or holidays) or offline if multiple databases can be updated while staff continues work in other databases

·Reindex updates when records are added or modified

·Loading data into Concordance Desktop databases offline

·Subsequent data and image loads

·Packing databases and dictionary files after removing records within the database.

·De-duplication

·Modifying or adding database fields, which then requires a full index

·Creating or removing users and adjusting security settings and permissions

·Tracking metrics

·Running productions

·Monitoring and extending user sessions

·Updating product versions in accordance with system requirements

·Archiving data according to your organization’s internal guidelines or client’s needs

For more information about backups and data recovery, see About backups and data recovery.

For more information about automating tasks in the Concordance Desktop Admin Console, see About scheduling jobs.


Scheduling administrative tasks
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Planning in advance what jobs need to be scheduled for ongoing maintenance helps you determine the schedules you need to manage these tasks for multiple Concordance Desktop databases and all your users and clients. By setting up a standard maintenance schedule, you can inform your users in advance to ensure that they set up their review times around these schedules. You want to make sure that all users are out of the database and the database is taken offline when performing administrative tasks.

The Jobs tab in the Concordance Desktop Admin Console assists with management tasks, like reindexing and packing. All scheduled tasks on the Jobs tab are processed on the Concordance Desktop Server.

You can find your database indexing time by reviewing the Log tab in the Concordance Desktop Admin Console.

For more information about automating tasks in the Concordance Desktop Admin Console, see About scheduling jobs.

Exclusive Administrative Tasks

Some database management tasks require that all users are logged out of the database. The administrator is the only user allowed in the database when the following processes are occurring in Concordance Desktop:

·File > Modify

·File > Index

·File > Administration > Pack > Database

·File > Administration > Zap

·File > Administration > TRK Maintenance Tool

The following database management tasks in Concordance Desktop do not require the database to be taken offline, but they should be taken offline to ensure validity of all data:

·File > Reindex

·File > Administration > Pack > Dictionary

·Documents > Import

·Documents > Export

·Creating productions (Tools > Production > Production... or Tools > Production > Native File Production)

·
Indexing and Reindexing Databases

Actively changed databases need frequent updating to keep the index and dictionary entries current. An index is the exclusive process of creating the database dictionary and index for the purpose of enabling full-text searching. A “reindex” simply updates the existing database dictionary and its corresponding index. A reindex is not an exclusive task. Concordance Desktop administrators are responsible for ensuring that all data is reviewed and proper backups are made before indexing/reindexing the database with updates. These processes are done from the File menu in Concordance Desktop, by selecting Index or Reindex.

One way to verify whether a database requires reindexing is to check the File menu in Concordance Desktop. If there is a check mark next to Reindex on the File menu, then the database dictionary is not current with additions or changes. You can also verify reindexing status on the Databases task pane at the bottom of the Current Database panel. If the active database dictionary needs updating, the panel displays Needs Reindexing. Lastly, you can query on any documents that have changed under the Search menu.

There will be times when you need to perform full index updates to include modifications to the dictionary, stopwords list, and punctuation settings. This is an exclusive process and only the Concordance Desktop database administrator can access the database at the time during the process. To perform a full index, open the database, and on the File menu, click Index. Reference the following Indexing and Reindexing Checklist to ensure you have completed all necessary tasks prior to performing these processes.

Checklist: Indexing and Reindexing

Reindexing

Did you select the Allow exclusive indexing check box on the Indexing tab in the Preferences dialog box (Tools > Preferences) in Concordance Desktop to prevent reviewers from searching during a reindex?

Did you pack the dictionary to optimize reindexing speeds up to 6x?

Did you set up the ReindexingDaemon_V10.xx.cpl under the Windows Task Scheduler to automate this task?

Indexing

Have you planned your indexing processes to run when it does not impact regular work hours?

Have you considered performing a full index for individual databases locally on dedicated admin machines?

*Indexing and reindexing on a separate machine will not impact Concordance Desktop Server performance.

Did you send a broadcast message to alert reviewers of when indexing will occur and the timeframe for when the system may be available again?

*You can do this by sending broadcast announcements from the Connections tab in the Concordance Desktop Admin Console.

Did you ensure that all reviewers are logged out of Concordance Desktop and .FYI by checking the Status column on the Connections tab in the Concordance Desktop Admin Console?

*Processing can take hours and impacts access to the system and work activity. You can schedule these tasks on the Jobs tab in the Concordance Desktop Admin Console.


Backups and data recovery
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Most Concordance Desktop Server ASPs and large firms and organizations should already have backup and data retrieval planning outlined and implemented, as well as disaster recovery protocols. Determining backup schedules for Concordance Desktop Server depends on the number of databases and users you have to manage. If you have numerous users accessing databases and running tasks, you may want to consider scheduling backups twice daily. If you only have a few databases with a handful of users accessing them, you may be able to set backup schedules to once a week.

Do not perform live backups if you are using backup software that locks files, even briefly. This has been known to cause read/write functions to the database files to fail, and can cause file synchronization or corruption issues. Check with your IT group and/or backup solution provider to verify that no file locking occurs before scheduling any backups on Concordance Desktop Server and Concordance Desktop files that are in use.

Be aware that anti-virus, firewall, and backup software can often interfere with network traffic and the locking of files, and in effect could cause Concordance Desktop Server software to crash.

For more information about backups and data recovery, see About backups and data recovery.


Updating considerations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Whether you are updating Concordance Desktop, or third-party products on the server that hosts the Concordance Desktop server, you need to back up your FYI.db files first.

Often administrators run patches on their servers and reboot without stopping and starting the Concordance Desktop services and backing up the FYI.db file. Doing so is a common cause for file corruption of the FYI.db file – the very file you do not want to rebuild. If you reboot the server while the Concordance Desktop services are still running, it appears as a server crash to the services.

Updating Guidelines:

·Back up the Concordance Desktop server FYI.db File - Always back up your FYI.db file before performing any updates to any products or services running on the server/computer that hosts the Concordance Desktop server.

For more information about backups, see About backups and data recovery.

·Concordance Desktop earlier versions - Due to the new simplified installation and the new database format, there is no upgrade process from a previous version of Concordance Desktop, Concordance Desktop Viewer and FYI server to Concordance Desktop. If you want to open existing databases in Concordance Desktop, you need to migrate those databases to the new format. Once migrated, the databases can no longer be opened in Concordance, they can only be opened in Concordance Desktop. Therefore, we recommend backing up your databases prior to migrating them to Concordance Desktop. Please see Migrating databases for more details.

·Tagging - Before migrating existing Concordance 10.x databases to Concordance Desktop, ensure that any legacy issues with tagging are resolved in the databases, or you will import those issues into Concordance Desktop. Once you migrate a database for use in Concordance Desktop, the database can no longer be opened in the previous version of Concordance, Concordance Desktop Viewer or Concordance Desktop server.

Always back up the Concordance Desktop server FYI.db file before performing updates to the server/computer, or updates to any third-party products on the server that hosts the Concordance Desktop server. You need to shut down services for Concordance Desktop while you perform updates, otherwise you risk corruption to the FYI.db file, as the Concordance Desktop server reads a server reboot as a system crash.
Moving existing Concordance Desktop databases to other servers

If you need to move existing Concordance Desktop databases to another server, and need to ensure that all path information for those databases and imagebases are preserved, we recommend that you hire a consultant.

You can consider creating an alias in your host file on your server, such as \\myserver.1\. This would then redirect all paths to \\myserver.2\. See your local network administrator for more information concerning your host files.
Moving an existing Concordance 10.x database to another folder

If you plan to migrate an existing Concordance 10.x database to Concordance Desktop, but also want to move it to another folder, first move the database to its new location and open it in Concordance 10.x. Doing so ensures that the notes DCB is properly linked to the parent DCB. Once these two steps are done, you can migrate the Concordance 10.x database to Concordance Desktop.
Moving imagebases
Concordance Desktop viewer

If you receive an error message stating that Concordance Desktop is unable to open the corresponding document, you need to edit your folder paths. The folder path listed in the message box is the path stored in the Concordance Desktop imagebase. That path points to where your files are located, so the viewer can open and display the document. You need to change the path to the directory location where your documents actually reside. See, Renaming file paths and folders.

Use caution when resetting folder paths as there is no undo function and changes are permanent. We recommend backing up the .cib file before performing this process or other imagebase management tasks.


Licensing and Product Activation
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

While all functionality is installed with every installation of Concordance Desktop, it is the licensing that determines what level of functionality is available to the users. Every installation of Concordance Desktop is capable of being licensed as a server (on a networked computer) or a stand-alone setup (on a single computer); and every installation can be used as a work station for a Concordance Desktop Administrator or Reviewer.

There are five basic types of licenses; two are application licenses (server and mobile) that designate the computer as a server for multiple users across a network, or as a server for one user on their individual computer, and the remainder are user licenses that when added to a server can be used to perform administrator or reviewer tasks.

Application licenses

Application licenses are applied to only one computer, and allow for that computer to be used as a Concordance Desktop database server. Once an application license is activated on a computer, it is tied to that computer and cannot be used or moved to another computer.

There are two different types of application licenses:

Application license | Description and functionality
Server | Used to activate server functionality on a networked server or workstation computer.
Mobile | Used to activate server functionality, and enable all Concordance Desktop user functionality on a single computer, for use by only one user.

Server license overview

A “Server” license is required to activate a Concordance Desktop installation as a Concordance Desktop database server, on a Local Area Network (LAN) or Wide Area Network (WAN). It is a "non-concurrent" license, meaning it can be used to activate only one server. If you need to setup multiple Concordance Desktop database servers, you will need a separate Server license for each computer you are going to use as a Concordance Desktop server.

A Concordance Desktop Server license is most beneficial for small to medium sized firms that have a network environment, and/or the need for multiple users to work on the same case. It allows for multiple users to open and work on the same database at the same time. All Concordance Desktop databases created on a Server licensed computer are "owned" by that server, meaning that all setup is stored on that server and all access to those databases is controlled by the licenses added to that server.

At least one server license must be purchased and activated on a computer (server or workstation) in order to allow for Concordance Desktop databases to be created on that computer.

Mobile license overview

A “Mobile” license is required to activate Concordance Desktop server functionality, and enable all user functionality on a single computer, for use by only one user. It is a “non-concurrent” license, meaning it can be used to Activate and enable Concordance Desktop functionality on only one computer. Usually, this is a computer that does not attach to a network.

A Mobile license is most beneficial for:

·Small firms having only a few or less users who handle every aspect of the review process themselves, and who have no need to share their databases with others in the firm

·Firms that have no network LAN or WAN setup, or have no need to work with Concordance Desktop databases on a network

·Firms that may or may not be on a network, but in which each user prefers to have all information pertinent to their case on one computer; maybe a computer that they can take with them to court

Users with a Mobile licensed Concordance Desktop installation still have the capability to access databases on a network if they need to, but the databases they create on their own computer stay on their computer, and are not readily accessible by others. Note that at any point in time, a mobile licensed installation of Concordance Desktop can be changed to a Concordance Desktop database server by simply purchasing and activating a Server license on the current Mobile licensed computer, and of course attaching the computer to a network. This makes it convenient for those who prefer to have their own databases to work with and then after their case is over, would like to move the database to an archive server for safe keeping.

The main difference between a Server and Mobile license is that a Mobile license turns on ALL functionality (Server, Administration and Full Reviewer) for a single user on a single computer, whereas a Server license turns on only Server functionality on a network computer (server or workstation).

Distinctions between Mobile and Server installations:
Mobile versus Server
Differences | Mobile | Server
RAM used for processing searches, indexing databases | End-user machines | Server
Set IP address restrictions for connections | — | √
Load data | √ | √
Reset Concordance Desktop password for all user’s databases | √ | √
Broadcast messages to online users | √ | √
Kill user sessions | — | √
Set Job Schedules | √ | √
Track Usage History | √ | √
Send Watchdog Notifications | √ | √
Can take databases offline | √ | √
Can accept connections from other users | — | √
A database can be opened by multiple users at the same time | — | √

User licenses

User licenses work a bit different than application licenses. They are used to access different functionality in Concordance Desktop. A single User license, for the most part can be used by multiple people, as long as they do not attempt to all use the same license at the same time. User licenses are added to a Concordance Desktop database server through the Administration Console, and are available for use by any user who has the proper log in credentials to access the Concordance Desktop server and/or a database on that server.

There are three different types of user licenses:

User license | Description and functionality
Administration | Enables any user who has Concordance Desktop installed on their computer, to perform administration functions as well as Full Reviewer functions.
Full Reviewer | Enables any user who has Concordance Desktop installed on their computer, to perform Full Reviewer functions, as well as basic Data Reviewer functions.
Data Reviewer | Enables any user who has Concordance Desktop installed on their computer, to perform Data Reviewer functions.

User licenses are based on availability, meaning how many licenses are available for a specific type of user on a Concordance Desktop server, when that type of user attempts to log into that Concordance Desktop server. If a license is not available, the user is granted the next access level down from the one to which they are assigned on that server. For example, if an administrative user attempts to log into a Concordance Desktop database server and there are no Administration licenses available at that time, that user is granted access using the next license down, which is a Full Reviewer license. If a Full Reviewer license isn't available at the time, then they are granted access using the Data Reviewer license. If a Data Reviewer license is not available at the time, then the user is unable to gain access to the server or it's databases until a license is available. This holds true for all user licenses.

Administrator license overview

An Administrator license provides access to the Concordance Desktop databases, and all database and user administration features. Administrator users can create and maintain Concordance Desktop databases, users, user settings, user groups, matters, and clients. In addition they have access to the same features as a Full Reviewer, meaning they can also review documents in browse view or in the viewer (which displays a PDF image of the actual document), markup documents in the viewer, search, categorize records, and create folders, tags and issues. Administrator licenses are "concurrent" meaning, one license can be used by multiple users, but not at the same time.

Full Reviewer license overview

A Full Reviewer license provides access to the Concordance Desktop databases for review purposes. Full Reviewers can review documents in browse view or in the viewer (which displays a PDF image of the actual document), markup documents in the viewer, search, categorize records, and create folders, tags and issues. Full Reviewer licenses are "concurrent" meaning, one license can be used by multiple users, but not at the same time.

Data Reviewer license overview

A Data Reviewer license provides access to the Concordance Desktop databases for review purposes. Data Reviewers can perform the same tasks as Full Reviewers, with the exception of viewing and marking up documents in the viewer. They can review documents (in browse view only), search , categorize records, and create folders, tags and issues. Data Reviewer licenses are "concurrent" meaning, one license can be used by multiple users, but not at the same time.


Additional Recommendations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Using the server functionality on a network server, requires proficiency with Internet addressing, ports, firewalls, and potentially with local area network (LAN) topologies and security settings. These issues can be complex even for experts. Your IT staff or Internet service providers are best suited to assist you with the security and network settings specific to your company.

Concordance Desktop is optimized to perform at the highest levels; however, it cannot overcome slow Internet connections, slow file servers, or simple overloading. The Concordance Desktop Administration Console can monitor server performance to help identify bottlenecks and server saturation. Interpreting the information and correcting certain issues may require the assistance of an IT professional.

Network connection speed, network traffic, database and imagebase size, and other items may be a factor when evaluating performance. Please review the following recommendations for enhancing performance.

Indexing speed recommendations

We recommend giving Concordance Desktop as much memory as possible. Concordance Desktop allocates memory to internal disk buffering during indexing. Any program that decreases the amount of available memory, or performs background processing, could severely impact indexing performance. The larger the database: the greater the impact.

You can control the amount of cache, but be careful when allocating memory to the cache. Windows has virtual memory that is stored on the hard drive when it is not being used. If Concordance Desktop allocates a cache that forces too much swapping to disk, indexing will actually run slower.

Indexing speed can be greatly improved by the following:

·Using a disk-caching hard disk controller

·Adding a faster hard disk

·Using a faster computer

·Indexing on a Windows NTFS formatted hard drive

·Indexing individual databases on separate computers

The highest performance is obtained by combining some or all of these options. There are many recommendations on this subject. All but one has the effect of lowering the workstation’s disk activity. We also recommend indexing individual databases on separate computers.

Lower workstation disk activity by:

·Adding more cache RAM to your workstation and allocating this RAM to the Indexing cache (up to 2GB maximum per ).

·You should leave 128MB unallocated and available for the Microsoft Windows operating system.

·Get a faster processor for the workstation

·Get a caching disk controller on the workstation

·Use a level 1+0 RAID array with your disk caching controller

Implementing these suggestions will result in a significant boost in indexing performance. Index cache and processor speed have the greatest impact.

Web Servers

The Concordance Desktop server does not require a Web server, such as Microsoft Internet Information Server (IIS) or Apache. Concordance Desktop is a native software application which runs directly on your server. It is optimized specifically for serving Concordance Desktop and viewer data. It does not serve any other kind of data. Remote users connect directly to the server from a Concordance Desktop installation.

The Concordance Desktop server is compatible with Web servers for data hosting, and will run on a computer that is also running Web, FTP, mail, and other Internet servers. However, we strongly recommend, for highest performance, that the server/computer that you plan to register as a Concordance Desktop server be installed by itself on a dedicated server/computer.
Memory and RAM

All processing for Concordance Desktop shortcut (.fyi) files occurs on the Concordance Desktop server. Concordance Desktop allows you to allocate a specific amount of RAM for indexing databases.

Concordance Desktop allows you to allocate a specific amount of memory for the purpose of indexing databases. You can allocate up to 2GB per process in the Indexing cache field on the Indexing tab in the Preferences (Tools > Preferences) dialog box in Concordance Desktop. To determine the minimum amount of RAM you can allocate for indexing take (Total RAM) – (O/S RAM).

For more information about calculating the indexing and dictionary cache, see Adjusting indexing settings and Adjusting dictionary cache settings.
Latency and Bandwidth

As administrators, how you monitor and manage SSL packets and set up your firewalls affects reviewer bandwidth for sending and receiving information from your in-house network to remote users. If users are experiencing latency issues, you will need to run a trace route for any dropped packets and check your firewalls to see if there’s any delay in sending and receiving information, and then fix any issues within your network.
The FYI.db File

All information from the Concordance Desktop Admin Console is stored in the FYI.db file, which can be found in the same directory as the Concordance Desktop Program Data folder (ProgramData\CloudNine\Concordance Desktop). This file includes information that is tracked for registered databases, users, licenses, settings, etc. The backup of this file is critically important to ensure the security of the information that is being stored.


Before installing Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Here are some tips and information to consider prior to installing Concordance Desktop:

·You do not need to uninstall your existing Concordance, viewer and FYI Server applications prior to installing Concordance Desktop. However, any databases created in Concordance 10.x that you want to open in Concordance Desktop will need to be migrated to the Concordance Desktop. Once a database has been migrated, you can no longer open it in the previous Concordance and FYI Server applications. Therefore, you may want to make a backup of the database prior to conversion.

·Concordance Desktop must be installed at its default location; you cannot use a customized location.

·Databases created in Concordance 9.x and below will need to be converted to Concordance 10.x databases (10.21 for E-Document databases) prior to migrating them to Concordance Desktop.

·Make sure that you regularly back up your server data and strongly caution users to regularly back up their data on their workstations. Do not install Concordance Desktop until your data has been backed up.

·Do not perform live backups if you are using backup software that locks files, even briefly. Doing so can cause read/write functions to the database files to fail, and can also cause file synchronization or corruption issues. Check with your IT group and/or backup solution provider to verify that no file locking occurs before scheduling any backups on Concordance Desktop databases.

·Be aware that anti-virus, firewall, and backup software can often interfere with network traffic and the locking of files, and in effect, could cause the Concordance Desktop application to crash.

·The default install directory for the Concordance Desktop application data files is C:\ProgramData\LexisNexis\Concordance Desktop

·If you choose to uninstall FYI Server, note that the CPL and Database folders associated with that previous version are not removed. If you want to remove the folders, make sure that you back up the folders first, and then manually delete them.

Before installing Concordance Desktop, check to ensure that the Microsoft .NET 3.5 and 4.0 Frameworks are installed and enabled.

Before installing Concordance Desktop, be sure to review the following information about Concordance Desktop licensing, system requirements, installation changes, and database compatibilities.

Licensing

Application licenses are applied to only one computer, and allow for that computer to be used as a Concordance Desktop database server. Once an application license is activated on a computer, it is tied to that computer and cannot be used or moved to another computer. There are two kinds of application licenses; server and mobile.

User licenses work a bit different than application licenses. They are used to access different functionality in Concordance Desktop. A single User license, for the most part can be used by multiple people, as long as they do not attempt to all use the same license at the same time. User licenses are added to a Concordance Desktop database server through the Administration Console, and are available for use by any user who has the proper log in credentials to access the Concordance Desktop server and/or a database on that server.

For more information on licensing, see About Licensing and Product Activation.

For more information on obtaining licenses, please contact Concordance Desktop Sales by e-mail at Sales@cloudnine.com.
Database compability Database compatibility

Due to the major database structure changes required by the Unicode Standard, all databases need to be migrated to Concordance Desktop prior to opening those databases in Concordance Desktop.

Since there is no backwards compatibility to older database versions in Concordance Desktop, version 8.x and 9.x databases must first be converted to Concordance 10.x format. When opening a 10.x database, regardless if it was a converted 8.x or 9.x database or one created in 10.x, you are prompted to migrate it to Concordance Desktop. If you choose not to migrate the database, it cannot be opened in Concordance Desktop.

For more information about migrating databases, see Migrating databases.

Concordance Desktop databases are not compatible with Concordance 10.x or lower, and any version of FYI Server and FYI Reviewer


Installing Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop application can be installed on any Windows 7, Window 10, Windows Server 2008 R2, Windows Server 2012, or Windows Server 2012 R2 computer (for networks, this could be a server or a workstation) that will either be used as a Concordance Desktop database server, or as a reviewer's computer. To install, you simply download the application setup file, install it on a computer or server, and then if you want to use that installation as a Concordance Desktop database server, activate the server functionality with a Server license. Reviewer computers do not have to be activated. There Concordance Desktop functionality is controlled by the available user licenses on the Concordance Desktop server, and their user account access level on that server. On a single computer that is not on a network, the process is the same, except that you have to activate the installation with a Mobile license, which activates the installation as a Mobile, and enables all functionality for a single user on that computer.

In a network environment, at least one computer should be designated as a Concordance Desktop database server, and be activated with a Server license. All other Concordance Desktop installations on the network (LAN or WAN) can then be used as reviewer computers. Depending on the user licenses that get added to the Concordance Desktop server, the users of the computers on which Concordance Desktop is installed, can open and work with the databases on that server. For Concordance Desktop installation on a single (non-networked) computer, a Mobile license must be activated in Concordance Desktop, to enable all Concordance Desktop functionality for a single user on that computer.

Before installing Concordance Desktop, check to ensure that the Microsoft .NET 3.5 and 4.0 Frameworks are installed and enabled.

Concordance Desktop must be installed at its default location on the C drive.

To verify the imported files To install Concordance Desktop:

1.Download the installation file and save it to the computer, a network server, a flash drive, or an external usb drive.

2.Open the folder where you downloaded and saved the install file.

3.Right-click on the Concordance Desktop_Install.exe file and select Run as administrator.

4.You are asked if you want to allow the program to makes changes, click Yes to launch the installer. The welcome window opens.

5.Click Next. The License Agreement window opens.

6.If you would like to print the License Agreement, click the Print. Click Yes to continue with installation. The Start Copying Files window opens.

7.Click Next. The Ready to Install the Program window opens.

8.Click Install. The installation begins. A progress bar displays the status.

9.When the installation finishes, the Setup is now complete window opens.

10.Click Finish.

If you just installed Concordance Desktop on a server or network computer you intend to use as a Concordance Desktop database server, you need to activate the server functionality on the computer using a Server license. If this installation was on a network computer to be used by a reviewer, no activation is required. For more details regarding activation and licensing, please see the "About Licensing and Activation" topic.

To set up a dedicated service account

It is best practice to use a dedicated service account, instead of a local system account, to run Concordance Desktop Services to view data in the database, plan to use mapped drives or work remotely. You will want to add and use a dedicated service account with administrative rights to access the network directory where the databases reside. If you do not have a valid service account set up that has rights to this directory structure, you will not be able to connect to your images or native files if they are stored on a separate server.

The dedicated service account can also be the same account as the administrator account used to access the Concordance Desktop Administration Console, or you can make separate accounts for stronger security.

To set up a dedicated service account, you need to set up a Microsoft Windows user account with Log on as a Service rights. The dedicated service account should be set up before installing Concordance Desktop. If you did not set up the dedicated service account before installation, you can change the logon information for the Concordance Admin Server and Concordance Server services in the Services Manager.

To change the Concordance Desktop Server service logon information in Services Manager

1.Open the services.msc file.

Opening the services.msc file opens the Services dialog box.

You can also open the Services dialog box from the Control Panel dialog box. From the Start menu, click Control Panel, double-click Administrative Tools, and double-click Services to open the Services dialog box.

2.Right-click Concordance Admin Server in the Name column and click Properties. Clicking Properties opens the Concordance Admin Properties (Local Computer) dialog box.

3.Click the Log On tab.

4.Click the This account option.

5.Add the Microsoft Windows user account with Log on as a Service rights to the This account field.

6.Type the user account’s Microsoft Windows password in the Password and Confirm password fields.

7.Click OK.

8.Repeat steps 2-8 for the Concordance Server service.

9.Stop and restart both the Concordance Admin Server and Concordance Server services.


Activating/Resetting a Server or Mobile license
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Application licenses are applied to only one computer, and allow for that computer to be used as a Concordance Desktop database server. Once an application license is activated on a computer, it is tied to that computer and cannot be used or moved to another computer.

There are two different types of application licenses:

Application license | Description and functionality
Server | Used to activate server functionality on a networked server or workstation computer.
Mobile | Used to activate server functionality, and enable all Concordance Desktop user functionality on a single computer, for use by only one user.

Activating a Server or Mobile license To activate a Server or Mobile license:

1.Open the email with your server or mobile license, and copy (CTRL + C) the license key, including the semi-colon at the end.

2.Right-click on the Concordance Desktop icon on the desktop and select Run as administrator.

3.In the User Account Control dialog box, click Yes.

Concordance Desktop opens.

4.From the Help menu, click Activate Concordance Desktop.

5.In the License Key field, paste (CTRL + Z) the license key.

6.Click Activate.

7.A dialog opens asking for the port numbers for the server and the Admin Console.

The defaults are 10001 for the server and 443 for the Admin Console. If you have FYI Server installed, you may need to change the defaults, as FYI Server also uses 10001 and 443 as the defaults for that products server and Administration Console. Change the defaults if necessary.

If you 'Cancel' the activation at this point in time, the Admin service is not created. Your license key will be activated, but you will not be able to run the Admin Console or perform administrative tasks on the Concordance Desktop server. Run the Concordance Desktop installer and select "Repair" to remedy the issue.

8.Click OK.

To reset a Server or Mobile license:

1.Right-click on the Concordance Desktop icon on your desktop and select Run as administrator.

2.In the User Account Control dialog box, click Yes.

Concordance Desktop opens.

3.From the Help menu, click Activate Concordance Desktop.

Before proceeding to step 4, ensure that the Admin Console is not open in Concordance Desktop. If it is left open during a reset, it can cause issues with licensing.

4.Click the Reset... button.

If you do not see the Reset... button, you did not select to run Concordance Desktop as an administrator (see step 1). You will need to close the application and start again.

5.A dialog box opens asking if you are sure you want to reset now. Click Yes.

The license key is reset.


Installing language packs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

To display characters in Unicode within Concordance Desktop, the appropriate language packs need to be installed on the computer. Please go to the Microsoft web site to find out how to install language packs for your version of the Windows operating system.

The Microsoft Windows Windows 7 operating system uses Language Interface Packs (LIPs). These can be downloaded from the Windows Update Web site or the installation media. Once you have installed at least one LIP, you can add or remove more LIPs from the Control Panel.

To install language packs on a Windows 7 operating system:

1.In the Control Panel, click Change keyboards or other input methods.

2.Click the Keyboards and Languages tab.

3.Under Display Language, click Install/uninstall languages and follow the prompts.

For more information about installing LIPs, go to the Windows Help and How-to Web page at: https://support.microsoft.com/en-us/help/14236/language-packs.


Registry key locations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The registry settings are stored in the same places relative to the new key names:

Registry key locations for Concordance Desktop are:

·HKEY_CURRENT_USER\Software\LexisNexis\Concordance Desktop (32-bit)

·HKEY_LOCAL_MACHINE\Software\Wow6432Node\LexisNexis\Concordance Desktop\Settings (64-bit)

Concordance Desktop also has a Registry value for the snapshot path:

·HKEY_CURRENT_USER\Software\LexisNexis\Concordance Desktop\Settings\AutoSave

It holds the path to the snapshot for the current user, which is:

<drive>:\Documents and Settings\<username>\My Documents\Concordance Desktop\autosave.snp


Performing silent installs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you need to install and activate Concordance Desktop on numerous machines, you can save time by running silent installations of Concordance Desktop on each machine.

Silent installations use a setup.iss InstallShield® Silent response file to run an installation. Silent installations install applications without prompting you for input during the installation.

To install Concordance Desktop using a silent installation, you will first need to create a setup.iss file. This setup.iss file only needs to be created once. When you are creating the setup.iss file, you will be running a normal Concordance Desktop installation on a machine and will be recording each step and setting of the installation process for the setup.iss file. After the setup.iss file is created, this file can be used any time you want to run a silent Concordance Desktop installation on a machine.

To create a setup.iss file for installing Concordance Desktop:

1.Click Start, and then click Run.

2.Type cmd in the Open field and click OK to open the cmd.exe command prompt.

3.Do one of the following:

·Type the path to the Concordance Desktop_Install.exe file followed by -r and press Enter.

For example: w:\concordance desktop_install.exe -r

·Run the Concordance Desktop_Install.exe directly on the workstation and complete all of the installation and activation steps.

When the installation is complete, the setup.iss file is created in the \WINDOWS subdirectory.

The setup.iss file contains a record of the actions you performed for each installation dialog box.

Best practice is to store the setup.iss, and the Concordance Desktop installation together in a network folder that you can access from each machine on which you will be running a silent install.

4.Create a network folder and add the following files to the folder:

·setup.iss

·Concordance Desktop_Install.exe
To install Concordance Desktop using a setup.iss file:

1.Click Start, and then click Run.

2.Type cmd in the Open field and click OK to open the cmd.exe command prompt.

3.Type [path to the Concordance Desktop_Install.exe file] -s -f1[path to the setup.iss files] and press Enter to silently install Concordance Desktop.

For example: w:\concordance desktop_install.exe -s -f1w:\setup.iss

The -s parameter tells InstallShield that you are running a silent operation, and the -f1 parameter indicates where the setup.iss file is located. Note that there is a space between the -s and -f1 parameters, but there is no space between -f1 and the path to the setup.iss file.

Silent installation programs do not display error or status messages, such as Setup is now complete, during the installation. By default, silent installation status and error information is recorded in the setup.log file. The setup.log file is automatically created in the same directory where the setup.iss file is located.

If the setup completes, the setup.log file should contain the following information:

[InstallShield Silent]
Version=v7.00
File=Log File
[ResponseResult]
ResultCode=0
[Application]
Name=Concordance Desktop
Company=CloudNine
Lang=0009|

Result codes indicate whether an installation was successful or there were errors during the installation. A 0 in the ResultCode field indicates the installation was successful.

For more information about the setup.log file, including a list of result codes and their definitions, see the “Checking for Errors Using the Setup.log File” Help topic in following Web site: http://helpnet.flexerasoftware.com

Click the Search button in the Flexera Software Web site and search for setup.log to view the Help topic and other relevant Help topics.


Customizing the start-up view
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, there are four settings you can define to customize what you will see when you open Concordance Desktop:

·Initial browse path

·Default database view

·Most recently used list

·Workspace tab display

To customize the Concordance start-up view

1.On the Tools menu, click Preferences to open the General tab in Preferences dialog box.

2.In the Initial Browse Path field, click the ellipsis (...) button and browse to the folder you want to be the initial folder that opens when browsing for a file or opening a new database.

For example, entering C:\Concordance Databases opens this folder when opening a database in the Databases task pane.

3.In the Default view field, select Browse or Table.

The view you select is displayed when you open a database in Concordance Desktop.

4.In the Number of MRU items field, type or scroll to the number of files to list in the most recently used (MRU) file list.

Your MRU list is displayed in the File menu and the Recent panel in the Databases task pane. The maximum number of files you can display is 9.

If a user's MRU list in the File menu or Databases task pane is blank, your company may have a policy preventing the user's computer from writing to the MRU registry key:

HKEY_CURRENT_USER\Software\LexisNexis\Concordance Desktop\Recent File List

By default, the Workspace tab is displayed and contains links to the CloudNine Web site. You can customize your Workspace tab to display internal or external Web pages simply by adding a link to an external HTML web page or to a locally stored .HTM or .HTML file with information you’d like to publish for user reference.

5.In the Workspace section, the Enable workspace check box is selected by default. To continue displaying the Workspace tab in Concordance Desktop, leave the Enable workspace check box selected. If you do not want to display the Workspace tab, clear the check box.

6.If you want the Workspace tab settings to apply to all users in all databases, in the Apply to field, choose <All databases, all users>. If you only want the Workspace tab settings to only apply to the local user, choose <local user only>.

7.To add a link to an external HTML Web page, in the URL field, enter the Web site URL. Be sure to include http:// or https:// in the URL. For example: https://ediscovery.co/software/concordance/.

To add a link to an internal internal .HTM file located on your server, in the URL field, enter the full UNC path. For example: J:\CloudNine\Internal_Links.htm OR \\MyServer\MyFolder\myhtm.htm.

8.In the Attachments section, if the attachment fields were not set up during the database creation process, to specify the fields to use with the Find Attachments feature, do one of the following:

·To set a field to a range of attachments, select the Attach Range option, and then select the field that contains the attachment range data.

·To set up the beginning and ending attachment fields, select the Fields option, and then from the Beg Attach and End Attach list select the fields that contain the attachment data for the beginning attachment number and ending attachment number.

When using the Find Attachments feature, it is best practice to setup the fields as paragraph type fields to increase the performance and make sure to index/reindex the databases. For more information about the Find Attachments feature, see Finding attachments.

9.Click OK to save your changes.

Your changes will not go into effect until you restart Concordance Desktop.

For more information about the other Concordance Desktop Preferences dialog box settings, see Defining preferences.


Upgrading shortcut (.fyi) files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

If you are using database shortcut (.fyi) files for users to connect to Concordance 10.x databases that you will be migrating and registering on a Concordance Desktop server, the shortcut (.fyi) files need to be recreated and redistributed to the users, after migrating/registering the databases on the Concordance Desktop server.

To create a new shortcut (.fyi) file, see Working with shortcut (.fyi) files in the Answer Center, or the Administrator's Guide.


Accessing Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop does not require you to log onto a server until you actually attempt to open a database, or if you are an administrator, attempt to open the Admin Console. Once an attempt is made to either open a database or the Admin Console, Concordance Desktop begins the process of authenticating the user. It is at this time that a user's log on information is required.

To access Concordance Desktop, do one of the following:

·Click on the Concordance Desktop icon on your desktop

·Click on the Windows Start button and select Concordance Desktop from the menu.

·Double-click on a shortcut (.fyi) file that was sent to you
(If you have Concordance version 9 or lower still installed on your computer, do not use this method, as it will attempt to open the database in the older version.)

·Double-click on a database that resides on your computer
(If you have Concordance version 9 or lower still installed on your computer, do not use this method, as it will attempt to open the database in the older version.)

To open an database, see "Opening a database."

To open the Admin Console, see "Accessing the administration console."

To change your password:

Contact the administrator of the Concordance Desktop server on which you need your password reset, and ask them to reset your password.

The next time you open a database on that server, you enter your a new password in the Password field. That will be your password going forward for that server.

Passwords cannot be reset from the Admin Console login window. So if you are an administrator, you will need to attempt to open a database, in order to change your password, after your account has been reset.


Navigating Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop user interface is similar to Microsoft Outlook.

The left side of the window is the Navigation pane where you can navigate to Concordance Desktop tasks to search, tag, sort, and add notes to documents. The right side of the window is your Workspace pane where you can tab to multiple databases. You can view databases in the Browse, Table, Edit, or Review views.

The Dynamic toolbar at the bottom of the window changes according to the views selected.

Navigating Concordance Key

Key | Feature | Description
(1) | Navigation pane | Provides tools for performing tasks on the current database, such as searching and tagging.
(A) | Task pane | Displays database tools in work areas called panels.
(B) | Pin | Allows you to dock the navigation pane by pinning, or hide the navigation pane by unpinning.
(C) | Navigation buttons | Opens task panes on the Navigation pane.
(2) | Workspace pane | Displays databases in various views.
(D) | Tabs | Allows you to move between different open databases.
(E) | Table view | Displays a list of document records.
(F) | Browse view | Displays one document record at a time.
(3) | Title bar | Displays the current database name and information regarding the current document record.
(4) | Menu bar | Contains menus, each responsible for a set of tasks.
(5) | Standard toolbar | Contains buttons that let you access standard views and tools.
(6) | Quick Search | Allows you to quickly enter and execute simple and advanced searches while browsing document records.
(7) | Dynamic toolbar | Contains buttons for tools corresponding to the current views.
(8) | Status bar | Displays status information, such as the current document record count.

(1) The Navigation pane

The Navigation pane allows you to manage your case record review, control database access, and conduct your daily search, sort, and tagging tasks.

The Navigation pane is divided into work areas called panels. The panels are resizable based on your personal preference.

The bottom of the Navigation pane contains buttons that determine which feature is displayed in the Task pane.

Task Pane Feature | Description
Databases | Allows you to open and concatenate multiple databases, take a snapshot of a query session, quickly scan recently reviewed databases, and identify the current database you are reviewing and whether it needs updating.
Search | Allows you to perform simple to advanced queries with fast search results, save and reopen queries, clear search history, and access the dictionary and field lists.
Tags | Contains a menu tree for categorizing tag folders, adding new tags, and panels for running history and statistical tag queries.
Notes | Displays comments added to a document, allows you to sort by note or issue, and shows the properties for each file.

Notice the pin icon in the upper right corner of the Task pane. By clicking this icon, you can keep the Task pane visible all times (pinned) or tucked away, available when you click the Task pane tab (unpinned).
(2) The Workspace pane

The Workspace pane is located on the right side of the Concordance Desktop interface, and displays database items in various views. When you open a database in Concordance Desktop, a tab is created for the database in the Workspace pane.

The Workspace pane is not the same as the Workspace tab. The Workspace tab is used to display internal or external web pages. For more information about the Workspace tab, see Customizing the start-up view.
(3) The Title bar

The Title bar displays information regarding the current database and document.

Concordance Desktop transcript databases automatically set the Title bar to the name, date and volume of the current document. For non-transcript databases, you can define the Concordance Desktop field you want to display using the Select the field to display in the title bar while browsing field in the Preferences dialog box. The selected field is displayed on the Title bar in the Browse view, Table view, and Edit view.

When reviewing standard records in the Browse, Table and Edit views, displaying the BEGNO field on the Title bar can help you keep track of record numbering.

The values in the BEGNO field represent the Bates numbering system, which is a unique serial number corresponding to each record in the database. BEGNO stands for beginning number, and ENDNO for ending number.
(4) The Menu bar

The Menu bar contains the Concordance Desktop menus that are responsible for a set of Concordance Desktop tasks. Some of the menu commands are the same as the toolbar functions.

File Menu

File menu commands allow you to create, maintain, and manipulate databases and the files used by the databases. From the File menu, you can also send data from Concordance Desktop to other applications, such as CaseMap and Sanction, and edit and run Concordance Desktop programs.

Edit Menu

The Edit menu commands allow you to edit and set data validation options for the documents in your databases.

The Undo, Cut, Copy, Paste, Ditto, and Replace menu commands are only available when actively editing in the Edit view. You can use the Copy command to copy text in both the Edit and Browse view. The Copy Document Data command on the Edit menu is only available in the Browse view.

View Menu

The View menu commands allow you to open images in your viewer, work with documents in the Edit, Browse, Review, or Table view, change data and field font sizes, split your screen, and select the status bar and toolbars.

Search Menu

The Search menu commands provide access to the Simple Search and Advanced Search panels in the Search task pane, access to the Form Search - Query by Example dialog box, the Persistent Search and Find Attachments commands.

The Search menu commands also allow you to save your query session to a file, re-execute a saved query session, clear all searches, and search for documents that have been edited or marked for deletion. The Save Search Results and Activate Selected Query commands on the Search menu are only available in the Review view.

Documents Menu

The Documents menu commands allow you to navigate documents and search results, import, export, print, and create reports in your Concordance Desktop databases. Most Documents menu commands operate on the current query. If your last search found zero documents, some the commands on the Documents menu will be unavailable.

Tools Menu

Several options are available from the Tools menu including displaying empty fields, looking for duplicate records, managing list files, managing tags and issues, and customizing your preferences.

Do not confuse the Tools button on the Standard toolbar with the Tools menu. Clicking the Tools button on the Standard toolbar opens the Preferences dialog box. You can also open the Preferences dialog box by clicking Preferences on the Tools menu.

Help Menu

The Help menu commands allow you to access the Concordance Desktop Help system, activate Concordance Desktop, and view information about the Concordance Desktop version and contacting customer support.
(5) The Standard toolbar

The Standard toolbar contains buttons for accessing the Concordance Desktop views and related tools, including Print and Help.

Button Definitions

Standard Toolbar Buttons
Button | Description
Browse | Opens the Browse view. The Browse view allows you to view the documents in the database. You can also add and edit tags, notes, and issues to documents in the Browse view, and send selected text to other programs. When you open the Browse view you will be viewing the first document in the current query or the first document in the database if no query has been entered.
Table | Opens the Table view. The Table view displays documents from the current search in a tabular format, similar to a spreadsheet, with one document per row. In the Table view, you can add and edit tags to documents, define which fields are displayed in the view, the field order, and modify the style and color of the font displayed in the view.
Review | Opens the Review view. The Review view displays all searches performed since the current database was opened, indexed, reindexed, or the search history was cleared. The Review view includes the search number, number of search hits, number of documents containing the search terms, and the search terms for each search.
All | Selects the entire database and returns the sort order of all records to the order in which they were added to the database. This function is sometimes referred to as Zero Query. The document last displayed in the Browse view remains the active record. The documents that come before and after are the documents that physically precede and follow it in the database. When you want to return to the last query, simply click the All button again. Performing a search also resets the All button.
Sorting | Opens the Sorting layouts dialog box. The Sorting layout feature provides additional tools to customize and save how records are sorted in the Browse view to display the desired result.
Edit | Opens the Edit view. The Edit view allows you to edit the contents of the documents in the database. The Edit view also provides additional tools needed to create and save custom edit layouts that can be applied to display only the fields specified in the selected layout in the Edit view.
Print | Opens the Print documents dialog box. In the Print documents dialog box you can print records located from a search. You can underline search terms and produce key-word-in-context reports. Printed output can be routed to your printer or to a file. You can select a range of documents within the current query and specify the fields within the database.
Report | Opens the Report Writer dialog box. When you click the arrow next to the Report view button, you can open the Report Writer or Annotation Report dialog box. The Report Writer dialog box is used to create columnar reports for database data. The Annotation Report dialog box is used to create the Annotation Report for transcript databases.
Tools | Opens the Preferences dialog box. In the Preferences dialog box you can you to customize how you use Concordance Desktop, including customizing the Workspace tab, search hit color, title bar, issue coding, and indexing.
Help | Opens the Concordance Desktop Answer Center.

Do not confuse the Tools button on the Standard toolbar with the Tools menu. Clicking the Tools button on the Standard toolbar opens the Preferences dialog box. You can also open the Preferences dialog box by clicking Preferences on the Tools menu.

(6) Quick Search

The Quick Search field is located below the Standard toolbar and can be used in any view. Quick Search allows you to enter basic one-word searches, as well as more complex combinations, while reviewing your documents, without having to open the Search task pane. See Running quick searches.
(7) The Dynamic toolbar

The Dynamic toolbar is located at the bottom left of the Concordance Desktop window. Each toolbar corresponds to a particular Concordance Desktop view.

Button definitions

Dynamic Toolbar Buttons

Button

Name

Description

First button

First

Opens the first document in the current query in the Browse view, or opens the first document in the database if you are using zero query.

Previous button

Previous

Opens the previous document in the Browse view.

Next button

Next

Opens the next document in the Browse view.

Last button

Last

Opens the last document in the current query in the Browse view.

Go To button

Go to

Opens the Goto dialog box where you can enter the number of the document you want to view from the current query. Concordance Desktop opens the document in the Browse view.

For Transcripts, use the Goto dialog box, to enter the number for the document, page, or line you want to view.

Previous Hit button

Previous Hit

Moves the cursor to the previous search hit in the Browse view. If the document was edited since the last reindex, the document containing the search hits is displayed but the search terms are not highlighted.

Next Hit button

Next Hit

Moves the cursor to the next search hit in the Browse view. If the document was edited since the last reindex, the document containing the search hits is displayed but search terms are not highlighted. If there isn't a next search hit to display, the next document is displayed.

View Image button

View Image

Displays the image associated with the current document. Once you click the View Image button, it automatically stays selected and displays the image associated with each record in the image viewer. Click the View Image button again to release the button. This button only works when images are enabled in Concordance Desktop.

Copy button

Copy

Opens the Copy dialog box. In the Copy dialog box, you can copy document data from selected fields to the output destination you specify.

Font button

Font

Opens the Font dialog box. When you modify the font in the Browse view, you are modifying the font for data displayed in the Browse view for the entire database.

When you modify the font in the Table view, you are modifying the font for data displayed in the Table view for the entire database. If you are viewing a concatenated database, the font change only affects the database for the current selected record.

Edit button

Edit

Adds the search terms of a selected query to the Search task pane for editing.

Activate button

Activate

Select a search in the Review view and click the Activate button to activate a previous search and make it the current search. Clicking the Activate button opens the documents in the Browse view.

Fields

Opens the Fields dialog box. The Fields dialog box contains a list of all fields available for editing. Select a field from the list and click the Insert button to move your cursor to the selected field in the Edit view.

Ditto button

Ditto

Opens the Duplicate dialog box. In the Duplicate dialog box, you can copy field data from one record to another record or to another field in the current record.

Delete button

Delete

Marks and unmarks a record for deletion. Records marked for deletion are removed from the database when the database is packed.

Undo button

Undo

Opens the Edit Options dialog box. In the Edit Options dialog box, you can undo edits, mark and unmark the record for deletion, or erase all content from the document.

(8) The Status bar

The Status bar at the bottom of the Concordance Desktop window displays the selected toolbar button's functionality, tracks the document number being edited, and the total number of documents in the current set. The number in brackets is the document’s location in the physical database. Document indicators are also displayed here for documents that are tagged (TAG), marked for deletion (DEL), and/or locked (LCK) by another user.

A document locked by another user cannot be saved. A locked document is displayed for editing so that you can copy the document data to another document or program. When a record is locked, the record is grayed out.

This Status bar example indicates you are viewing document 1 out of 203 total documents, the document is the first record in the physical database, and the document has been tagged.


Opening a database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

There are several ways in which you can open a database:

·From the Concordance Desktop File menu

·By double-clicking a database (.FYI) file sent by the Administrator - Note that if you have Concordance 10, 9, or 8 still installed on your desktop, this method cannot be used, as it will attempt to open the database in Concordance instead of Concordance Desktop.

·By double-clicking on a database - This method is for mobile users who are accessing a database on their own computer, or by administrators who are opening a database on a Concordance Desktop server itself.

If you want to open a database from Concordance 9.x, see Migrating databases for information and instructions.

·If you have recently opened a database, you can reopen that database by selecting it from the 'Recent' panel database list in the Databases task pane.
Clicking a database tab activates the standard and dynamic toolbars in Concordance Desktop, as well as the task panes in the Navigation pane.

You can open as many databases as you want to review and search in any Concordance Desktop session. Each database is accessible by clicking the named database tab in the Workspace pane.

To open a database from Concordance Desktop:

A database can be opened by browsing out to the Database.DCB or selected from a list of previously opened databases on the server.

To Browse out to the database, do one of the following:

·On the File menu, click Open. Then browse out to the database.DCB and select Open. This option is for Mobile license users only, when they access databases on their own computer.

·In the Databases task pane, click Open database. Then browse out to the database.DCB and select Open.

·Enter your User name and Password for the Concordance Desktop server where the database is located.

If you are attempting to open a Concordance version 10.21 or earlier database in Concordance Desktop, you are prompted that the imagebase is not compatible with the Concordance Desktop imagebase, and given the option to update the imagebase

To Connect to a database that has been added on the server:

1.On the File menu, click Connect.

2.The Connect to Concordance Server opens in a new window.

3.Enter your Logon (user name) and Password for the Concordance Desktop server where the database is located.

·If not already populated, enter the Host name and Port of the server hosting the database that you want to open.

·Contact your database administrator if you do not know the server's Host name or Port, or your Logon or password.

·You may also select a Host name and Port from the drop-down menu of Previous Connections.

4.Select Connect.

5.A new window opens to Select Database to Open.

Versions prior to 1.07

Versions prior to 1.07

·In version 1.07+ the matter and database items in the Select Database to Open window can be filtered. To use the filter, start typing the name of the database you want to open or the name of the matter wiht which it is associated.

Version 1.07+

·The databases can be sorted ascending or descending by Matter, Database, or Status by clicking on the corresponding column header.

Sorting by Matter, Database, or Status in Version 1.07+

Sorting by Matter, Database, or Status in Version 1.07+

6.Select the desired database and click Open.

7.The database name is displayed on a tab next to the Workspace or other open database tab(s).
Open a .FYI file To open a database .FYI file:

1.Double-click on the .FYI file that the administrator sent to you.

2.Enter your log on User ID and Password for the Concordance Desktop server where the database is located.

If you receive an error message when attempting to open a .fyi database, it may be that the database you are attempting to open is not the correct Concordance Desktop version, or the .fyi file may be corrupted. Contact your administrator for a new .fyi file.

Open a database on your own computer or the server To open a database on your own computer or on the server:

Double-click on the database .DCB file, to open the database in Concordance Desktop.

If you are attempting to open a Concordance version 10.21 or earlier database in Concordance Desktop, you are prompted that the imagebase is not compatible with the Concordance Desktop imagebase, and given the option to update the imagebase.

If you receive a message stating that the database is not registered, contact the Administrator and ask them to register the database. If you are opening a file on a Mobile installation, then open the Admin Console and follow the instructions for registering a database found under "Registering/unregistering a database".
To close a database

Click the X in the upper-right corner of the Workspace pane.


Viewing records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

There are three ways to display records in Concordance Desktop:

·Browse View - displays the entire record content in a scrollable pane (default view)

·Table View - displays a list of documents in a spreadsheet view

·Split Screen - allows you to view both simultaneously (vertical or horizontal)

To verify the imported files Browse view

The Browse view is the default setting for the Concordance Desktop window and allows you to read an entire document summary.

Use the Dynamic toolbar at the lower left of the Navigation pane to navigate between records. The document number and record count display in the Status bar. The document title displays in the window’s title bar and is a helpful reference when reviewing lengthy documents. See also, Navigating in Concordance Desktop.

When you run searches in Concordance Desktop, any words located in a search (search hits), are highlighted in the Browse view. You can quickly navigate search hits in the Browse view using the Previous Hit and Next Hit buttons on the Dynamic toolbar.

When viewing records in the Browse view, you can use the Empties command on the Tools menu to hide fields without data, which can help tighten the screen view when reading records. A check mark next to the Empties command on the Tools menu indicates empty fields are hidden in the Browse view. If a field is not displayed in the Browse view, even when the Empties command is deselected, you may not have viewing privileges for the field. Contact your Concordance Desktop administrator for more information.

In the Browse view, you can customize the font and color of the field and record text displayed in the view, unless the record contains rich-text format. Changing the text font and color does not affect the record’s original text, which is stored as a rich text file (.rtf) that keeps the original format secure. You or your Concordance Desktop administrator can also customize the Browse view preference settings in the Preferences dialog box. Browse view setting in the Preferences dialog box are saved in your Microsoft Windows registry settings.

For more information about customizing fonts, see Modifying fonts in the Browse and Table views.

For more information about Browse view preference settings, see Defining preferences.
To verify the imported files Table view

The Table view displays documents from the current search in a tabular format, similar to a spreadsheet, with one document per row. Use the Dynamic toolbar or Documents menu to navigate records in the Table view. The view's default document sort order is the original import order for records entered in the system. Clicking a field column header will sort data in ascending and descending order. You can adjust the column widths by dragging a column header's break.

You can customize which fields are displayed in the view, as well as the field order, using table layouts. You can create multiple custom table layouts for the Table view. For more information about layouts, see Using table layouts.

You can also modify the font and color of the record text displayed in the Table view. Changing the text font and color does not affect the record’s original text, which is stored as a rich text file (.rtf) that keeps the original format secure. For more information about modifying fonts, see Modifying fonts in the Browse and Table views.

To review the contents of a specific document in the Table view, double-click the document to open the document in the Browse view.

The Table view also offers the Tally feature. The Tally feature is a great tool for gaining an item count for a specific field to help you organize your document collection and for quality assurance checks. For more information about the Tally feature, see Searching by tally.

To verify the imported files Split screen view

The Split Screen view allows you to display two views simultaneously. You can have the two views display from top to bottom or left to right. You can use the Split Screen for the Browse, Table, Review, and Edit views.

To use the Split Screen view:

1.On the View menu, click Split screen and then Enable, to activate the Split Screen view.

A check mark next to the Enable command indicates the Split Screen view is activated.

2.On the View menu, click Split screen and then Left - Right or Top - Bottom, to set the orientation of the Split Screen.

A check mark is displayed next to the selected orientation.

When you activate the Split Screen view, the currently opened view is displayed on the top when using the Top - Bottom command, and on the left when using the Left - Right command.

3.On the Standard toolbar, click the view button for the second view you want to display.

For example, if you have the Browse view open when you enable the Split Screen view with the Top - Bottom orientation, and then click the Table view button, the Browse view is displayed on top and the Table view is displayed on the bottom.

4.To modify the views, click the view you want to change and click another view button on the Standard toolbar.

The view containing your cursor, is the view that changes when you click another view button.


Customizing view fonts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the Browse view, you can customize the font and color of the field and record text displayed in the view, unless the record contains rich-text format. You can also modify the font and color of the record text displayed in the Table view. Changing the text font and color does not affect the record’s original text, which is stored as a rich text file (.rtf) that keeps the original format secure.

When you change the text font and color in the Browse and Table views, the changes are applied to each database record displayed in the Browse and Table views for the current database. For concatenated databases, you can customize the text font and color displayed in the Table view for each database in the concatenated set. This can help differentiate between the databases at a glance.

To verify the imported files To change the field font in the Browse view

1.On the Standard toolbar, click the Browse view button.

2.Right-click anywhere in the record text section of the Browse view.

3.Point to Font and click Field font to open the Font dialog box.

4.Modify the font settings as desired.

5.When finished, click OK to save your changes.

The font changes apply to all field text displayed in the Browse view.
To verify the imported files To change the record font in the Browse view

1.On the Standard toolbar, click the Browse view button.

2.Right-click anywhere in the record text section of the Browse view.

3.Point to Font and click Data font to open the Font dialog box.

4.Modify the font settings as desired.

5.When finished, click OK to save your changes.

The font changes apply to all record text displayed in the Browse view.
To verify the imported files To change the record font in the Table view

1.Click the Table view button on the Standard toolbar to open the Table view.

2.Right-click and click Font to open the Font dialog box.

If you are changing the record font and color for databases in a concatenated set, right-click any record in the database for which you want to change the font. This only changes the font for the records in that database.

3.Modify the font settings as desired.

4.When finished, click OK to save your changes.

The font changes apply to all record text displayed in the Table view for the database.

If you are changing the font and color for a record in databases within a concatenated set, right-click any record in the database for which you want to change the font. This only changes the font for the records in that database.


Defining preferences
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Preferences dialog box contains settings used by both the administrator and reviewers. You can choose to prevent certain users from accessing the Preferences dialog box by applying security to this menu item. Most of the preferences are Microsoft Windows registry settings, but there are several options that allow you to apply selections to all databases.

Setting some of your viewing parameters helps ease browsing by offering more record detail onscreen, and changing the red highlight color for keywords.

The Preferences dialog box contains seven tabs:

·General - settings used when starting and closing Concordance Desktop, enable/disable Workspace options, and assigning fields for attachments.

·Searching - settings for the default search behavior and search engine.

·Browsing - settings for the title bar field, default query field, and tag and issue options.

·Import - import settings related to numbering and indexing.

·CPL - settings for CPLs, such as the CPL font selection.

Any setting changes made in the Preferences dialog box require you to close Concordance Desktop and restart the application before the changes take effect.

To set General preferences To set General preferences:

1.Do one of the following:

·On the Tools menu, click Preferences.

·On the Standard toolbar, click the Tools button, and then click Preferences.

Clicking Preferences opens the General tab in the Preferences dialog box.

The Startup section defines the startup view when opening Concordance Desktop and databases.

For more information about customizing the start-up view in Concordance Desktop, see Customizing the start-up view.

The Initial Browse Path field is used to determine the initial folder that opens when you browse for a file or open a new database. For example, entering C:\CloudNine\MyDatabases opens the MyDatabases folder when selecting Open database from the Databases task pane. During each Concordance Desktop session, the browse path is a dynamic setting and remembers the last folder opened. The next time you browse for a file or select Open database, the previous folder location opens. Each time you close and restart Concordance Desktop, Concordance Desktop resets the browse path to the original Initial Browse Path field setting.

You need to restart Concordance Desktop for this change to take affect.

2.To define the initial browse path, click the ellipses (...) button next to the Initial Browse Path field, to open the Browse For Folder dialog box.

3.Navigate to and click the folder you want to open when you browse for a file or open a new database, and click OK.

Clicking OK adds the folder path to the Initial Browse Path field.

4.To ensure all workstations installs open the path in the Initial Browse Path field, select the Always Map Initial Browse Path option.

The Default view field determines whether the Browse or Table view automatically opens when you open a database in Concordance Desktop.

5.To define the default view, in the Default view field, click Browse or Table from the view list.

The Number of MRU items field determines the number of database files listed in the most recently used (MRU) file list. The MRU file list is displayed on the File menu and the Recent panel in the Databases task pane. The Number of MRU items field defaults to 6. You can display up to nine files in the list.

If a user's Recent panel or Recent Files list is blank, your company may have a policy preventing the user's computer from writing to the MRU registry key.

You need to restart Concordance Desktop for this change to take affect.

6.To modify the number of database files listed, in the Number of MRU items field, type or scroll to the number of files to list in the most recently used (MRU) file list.

The Exit section defines what happens when you close Concordance Desktop.

The Exit application field allows you to set up an application to automatically launch after Concordance Desktop is closed, like a reviewer time card application. Concordance Desktop launches the application when it terminates normally. Any additional parameters for the application file are entered in the Parameters field.

7.To launch an application after Concordance Desktop closes, click the ellipses (...) button next to the Exit application field, to open the Open dialog box.

8.Browse to and click the application executable file, and click Open.

Clicking Open adds the application's file path to the Exit application field.

9.In the Parameters field, type any additional parameters for the application.

The Workspace section controls the Workspace tab settings in Concordance Desktop.

By default, the Workspace tab is displayed and contains links to the CloudNine Web site. You can customize your Workspace tab to display internal or external Web pages simply by adding a link to an external HTML web page or to a locally stored .HTM or .HTML file with information you’d like to publish for user reference.

10.In the Workspace section of the General tab, the Enable workspace check box is selected by default. To continue displaying the Workspace tab in Concordance Desktop, leave the Enable workspace check box selected. If you do not want to display the Workspace tab, clear the check box.

11.To add a link to an external HTML Web page, in the URL field, enter the Web site URL. Be sure to include http:// or https:// in the URL. For example: http://www.google.com.

To add a link to an internal internal .HTM file located on your server, in the URL field, enter the full UNC path. For example: J:\CloudNine\Internal_Links.htm or \\MyServer\MyFolder\myhtm.htm.

12.In the Attachments section, if the attachment fields were not set up during the database creation process, to specify the fields to use with the Find Attachments feature, do one of the following:

·To set a field to a range of attachments, select the Attach Range option, and then select the field that contains the attachment range data.

·To set up the beginning and ending attachment fields, select the Fields option, and then from the Beg Attach and End Attach list select the fields that contain the attachment data for the beginning attachment number and ending attachment number.

When using the Find Attachments feature, it is best practice to setup the fields as paragraph type fields to increase the performance and make sure to index/reindex the database. For more information about the Find Attachments feature, see Finding attachments.

13.Click OK to save your changes.

To set Searching preferences To set Searching preferences:

1.Do one of the following:

·On the Tools menu, click Preferences.

·On the Standard toolbar, click the Tools button, and then click Preferences.

2.Click the Searching tab.

The settings on the Searching tab define settings for your search query results.

The Default search term section determines which search operator is used when two search terms are entered without an intervening search operator, and the number of words within the search. The search operator selected in the Default search term field is automatically inserted when Concordance Desktop encounters this scenario. The Default search term field defaults to the adjacent (ADJ) search operator.

For example, searching for Anza Borrego is interpreted as Anza ADJ Borrego.

3.To change the default search operator, in the Default search term field, select the default search operator you want to use.

4.To expand the number of words included in the search results, in the Within words field, type the number of words to include within the search.

For example, if ADJ is selected in the Default search term field and you enter 3 in the Within words field, Concordance Desktop searches for Borrego within 3 words of Anza.

The Wildcard character field determines the wildcard character for searches. The wildcard character is used as a prefix or suffix mask when running a search. The Wildcard character field defaults to an asterisk (*). You can change this character to any non-alphanumeric character.

5.To modify the wildcard search character, in the Wildcard character field, type the non-alphanumeric character you want to use.

Quote characters are used when your search query includes numbers or special characters, such as periods (.), asterisks (*), and spaces. The quotation character can be redefined as any non-alphanumeric character, such as the apostrophe. The quotation character is not included in the dictionary unless it occurs as embedded punctuation. To search for the quote, use this option to change the character recognized as the quote, then do the search.

The Quotation character field defaults to the quotation mark (") character. It is best practice to leave the quotation mark character in the Quotation character field, which is necessary for locating punctuation in relational searches.

For more information about quotes in searches, see Running relational searches.

On occasion you may need to search for a quote. To do so, you must first change this setting to a non-alphanumeric character, like an apostrophe, so that the quotation mark is searchable. To search for the word “and”, you need to use quotes in your query “AND”, otherwise it is read as a search operator by Concordance Desktop.

6.To change the quotation character, in the Quotation character field, type the non-alphanumeric character you want to use.

The Highlight color field determines the color used to display search hits from searches performed using the Quick, Simple, Form, and Advanced Search features. The Persistent color highlights the terms found in the record from the list of terms in the <databasename>_Persistent.txt file when the Persistent Search feature is enabled. It is best practice to choose a color that stands out against the Browse view background and is different than the data or field font color. The Highlight color field defaults to red. The Persistent color defaults to blue.

7.To change the hit color, do any of the following:

·For search hits using Quick, Simple, Form or Advanced searching, click the Highlight color list, in the color selection box, click the color you want to use.

·For Persistent Search hits, click the Persistent color list, in the color selection box, click the color you want to use.

Clicking OK opens the Changes may not be reflected until Concordance Desktop is restarted message.

8.Click OK.
To set Browsing preferences To set Browsing preferences:

1.Do one of the following:

·On the Tools menu, click Preferences.

·On the Standard toolbar, click the Tools button, and then click Preferences.

2.Click the Browsing tab.

The settings on the Browsing tab define the browse settings by database and field data parameters.

The Local settings section determines where the browse settings are applied. The browse settings can be applied to any database in a group of concatenated databases.

3.In the Apply settings to field, select the database you want to apply the settings.

In the Select the field to display in the title bar while browsing field, you can select a field to display on the Title bar for the current document. The field is displayed on the Title bar in the Browse, Table, and Edit views.

Having a field's content displayed on the Title bar can help when viewing long documents, such as depositions, where you may be deep within the document and forget the deponent's name or the document's title. It can also help you see relevant document information when scrolling through records in the Table view.

For transcript databases, Concordance Desktop automatically displays the name, date and volume of the current document in the Title bar.

Use the Select the field to display in the title bar while browsing field to select a field for other non-transcript databases.

For concatenated databases, you can choose a different Title bar field for each database.

In the Select the field to sort default query by field, you can modify the default field sort order of a database when the database is opened and before running a search. This is called the "default query." The database is sorted in ascending order by the field selected in the Select the field to sort default query by field. The field can be any field designated as a key field on the New or Modify dialog box. For more information about key fields, see Creating databases.

Selecting <none> sorts the database by the document number.

4.To adjust the default sort order of a database, in the Select the field to sort default query by field, click the field you want to use for the default sort order.

In the Select the default action of double-clicking a tag field, you can determine whether double-clicking a tag applies the tag to or removes the tag from a document or whether double-clicking a tag opens the tagging options menu. The Select the default action of double-clicking a tag field defaults to Apply tag (Default).

Regardless of the Select the default action of double-clicking a tag field's setting, clicking directly on the tag’s check box will apply or remove the tag as usual, and you can always access the tagging options menu in Concordance Desktop by right-clicking a tag.

5.To modify tagging actions, in the Select the default action of double-clicking a tag field, click Apply tag (Default) to apply a tag when you double-click a tag or click Displays menu to open the tagging options menu when you double-click a tag.

Double-clicking a tag applies the tag to a document or removes it from the document if it's already selected. You can change this action to display the tagging options menu, which is usually displayed by right clicking a tag.

The Issue coding section determines how issues are applied in Concordance Desktop. By default, issues are are applied to highlighted text in a document using SHIFT+left-click. You can change the setting to apply issues using only left-click.

6.To modify the issue coding setting, in the Issue coding section, click the Use shift-left-click for issue coding or Use left-click for issue coding (original method) option.

If you change the issue coding setting, the change will not take effect until you close and reopen Concordance Desktop.

In the Sticky camera section, you can determine whether the View Image (camera) button on the Dynamic toolbar automatically stays selected, also known as "sticky," for continuous image viewing in the Browse, Table, and/or Edit views.

When a "Sticky" [view name] button check box is selected, the View Image button is automatically selected in the view. When the check box is cleared, users manually have to click the View Image button to view the images associated with the documents in the viewer.

By default, the Sticky browse button, Sticky table button, and Sticky edit button check boxes are selected.

7.To turn off "Sticky" [view name] button function for a view, clear the check box for the view.

8.Click OK to save your changes.

Clicking OK opens the Changes may not be reflected until Concordance Desktop is restarted message.

9.Click OK.

To set Import preferences To set Import preferences:

1.Do one of the following:

·On the Tools menu, click Preferences.

·On the Standard toolbar, click the Tools button, and then click Preferences.

2.Click the Import tab.

The settings on the Import tab allow you to define import settings related to numbering and indexing.

3.In the Prefix field, type the prefix you want to precede the production number.

The prefix can be any combination of letters, numbers, or punctuation that are valid folder or file names. You can use up to 57 characters.

4.In the Starting Number field, type the number you want to use to start numbering the production files.

Zero fill your starting number to determine the desired number width. You can use up to 9 digits.

Clicking OK opens the Changes may not be reflected until Concordance Desktop is restarted message.

5.Click OK.
To set CPL preferences To set CPL preferences:

1.Do one of the following:

·On the Tools menu, click Preferences.

·On the Standard toolbar, click the Tools button, and then click Preferences.

2.Click the CPL tab.

The CPL tab determines the font and tab size settings used when running Concordance Desktop Programming Language (CPL) programs.

The CPL font field defaults to Courier New 9pt and the Tab size field defaults to 3 spaces.

3.To change the CPL font, click the CPL font button. The Font dialog displays.

4.Modify the settings and click OK.

Clicking OK closes the Font dialog box, and adds the font settings to the CPL font field.

5.To change the tab size, in the Tab size field type the number of spaces you want a tab to contain.

6.Click OK to save your changes.

Clicking OK opens the Changes may not be reflected until Concordance Desktop is restarted message.

7.Click OK.


Basic Searching
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop search tools sort through vast amounts of information quickly using two search methodologies:

·Full-text Searching

Full-text searching is fast and produces results quickly because it searches for words based on index entries created when building the database. The index provides directions to words in the database dictionary and records are gathered for you to review based on search criteria. For more information, see Running full-text searches.

·Relational Searches

Relational searches scan every word of every record in a database and take longer than full-text searches, because Concordance Desktop must read every record to locate your entries and does not use an index. Relational searches are great for locating dates and numbers, whereas full-text searches are optimal for word searches. For more information, see Running relational searches.

When your Concordance Desktop administrator builds your record databases, the information is indexed for full-text searching capabilities. Once a record collection is indexed, a dictionary is created with additional filters that weed out unnecessary words, common English words, and even some punctuation, to improve search processing time. When reviewers make edits, redactions, or add new records to the database, the administrator must perform a reindex in Concordance Desktop to update your record collection.

All of this processing affects how up-to-date your full-text searches are on a database. However, this does not affect relational searches, because relational searches run off the entire database, not just the database index.

Administrators must perform indexing when reviewers are not working in Concordance Desktop, but a reindex process can be performed while users are working in a database.

To better understand full-text searching, it is important to understand the following functionality used in full-text searching:

Indexinf and reindexing Indexing and reindexing

When Concordance Desktop databases are built, the index and dictionary are generated from your document contents. The index contains directions to every word or character string in the database. The dictionary contains a list of every word or string of characters in your record collection, except words, punctuation, and/or field content your administrator specifically excludes from the dictionary.

A word is simply defined as any string of letters and/or numbers. A word does not have to be in a published dictionary to qualify as a word in a Concordance Desktop dictionary.

Example: airforce1 or ABC000001

“Airforce1” qualifies as an index entry, including both letters and numbers. Spaces between characters disqualify it as a whole word; space between airforce and 1 would be read as two words. The same is true for ABC000001, a numbering scheme that is searchable and considered a word by Concordance Desktop.

In Concordance Desktop, we refer to an index update as a reindex. Reindexing updates the database dictionary and its corresponding index. Actively used databases need frequent reindexing to keep the index and dictionary entries current for searches.

Administrators are usually responsible for indexing or reindexing databases due to the sensitivity involved in running these processes. Concordance Desktop administrators must ensure that all data is reviewed and proper backups are made before indexing or reindexing a database.

When updates have been made to a database and your database dictionary is no longer current with the latest updates, Concordance Desktop indicates that the database needs reindexing. On the file menu a check mark is displayed next to the Reindex command and Needs Reindexing is displayed in the Databases task pane under Current Database. If you do not have reindexing privileges, the Reindex command is not visible on the File menu.
Stopwords Stopwords

Concordance Desktop comes with a pre-defined list of stopwords for each database. Stopwords are words that are automatically excluded from a database's index. The stopwords list includes the most common words in the English language (for example: and, but, is, and the). Stopwords are words you would generally not search for. Eliminating these words from the index ensures that searches run faster and more efficiently. Stopwords lists can be modified by your database administrator. If you need a copy of a database's stopwords list, your administrator can print it out for you.

The stopwords list is maintained in the Stopwords dialog box. To access the Stopwords dialog box, on the File menu, point to Dictionaries and click Stopwords.
Punctuation Punctuation

For full-text searching, punctuation is not indexed. Concordance Desktop treats punctuation symbols as spaces when full-text searches are conducted. All punctuation is ignored, such as periods or quotations, as well as any symbols like currency and percentage. All leading and trailing punctuation for words are also ignored.

There are two exceptions to this rule, and both must be true:

·Punctuation is entered in Concordance Desktop by your administrator to be indexed.

·Punctuation is embedded in a string of words.

Select File>Properties dialog to see the punctuation that is full-text searchable in a database (when it's embedded in a string of characters).

Examples of Embedded Punctuation:

AOL.COM and NETSCAPE/AOL – Allows you to search on these terms because the entries relate to a case regarding Internet browsers.

D’Arcangelo – The apostrophe is embedded because of the surname spelling. People often have possessive apostrophes embedded in their names and are added to the list because they are searched often.

john.smith@organization.com – The period and ampersand are both examples of embedded punctuation within an email address.

Contact your Concordance Desktop administrator if you have questions, need a listing of the punctuation used in your databases, or would like to modify the punctuation list.
Dictionary Dictionary

In Concordance Desktop, a word is any string of characters; a word can be a series of numbers or a combination of letters, numbers and even punctuation or symbols. Familiarize yourself with your database dictionary by reviewing or printing the entries added to help streamline your search queries.

The Properties dialog box provides a quick review of the number of words included in your dictionary, and also notes punctuation that is indexed. Punctuation is entered by your database administrator. You can only search on punctuation when listed in Properties dialog box and it’s embedded in the word.

Go to File>Dictionaries>Database Dictionary. The Dictionary dialog box provides a complete listing of all words included, the number of documents it appears in, and how many word hits there are.

You can also access the Dictionary dialog box from the Search task pane by selecting Display the database dictionary under Options in the Advanced Search panel. This allows you to select words from the dictionary and add them directly into your search logic in the Advanced Search panel. You can also verify whether the word you are searching is included in the dictionary. If it isn’t, then you may want to try another spelling or try a relational search.


Available search tools
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Searching is a fundamental core component of Concordance Desktop, and there are a variety of tools to assist you in this process. You can use all of them, deciding which you prefer or produces faster results depending on the task and issue currently at-hand.

There are search tools for locating specific record content, each one specific to the type of search you are conducting:

·Quick Search (full-text and relational)

·Persistent Search (full-text)

·Find Attachments (full-text)

·Simple Search (full-text)

·Advanced Search (full-text and relational)

·Form Search (full-text and relational)

When only searching documents, make sure that the View image (camera) button on the Dynamic toolbar is not activated, otherwise it will open images in Concordance Desktop Image.


Running quick searches
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Quick Search is similar to using the Internet browser to locate information. Use Quick Search to find information quickly in the Browse or Table views without having to open the Search panel. You can use it for fast, simple searches or to copy and paste in complex search strings. Toggle the All button to switch between viewing all case records or those in your current query.

When using punctuation characters in your search term, at least one letter needs to be inserted between the punctuation characters. For example, joe&i@email.com. Using two or more punctuation characters together (joe&@email.com) will not work.

Running a quick search To run a quick search:

1.In the Search field, type the search value or string.

You can enter up to 255 characters to build your query.

2.Click the Go button or press Enter to initiate the query.

All records containing the search value you entered are displayed in Table view, and the first record is displayed in the Browse view.

Notice that search value is highlighted in red in the Browse view. A search value highlighted in red is called a hit in Concordance Desktop.

3.To navigate to each hit in a document, click the Next Hit button.

4.The Search field stores your recent quick searches. You can select, edit, and rerun any search stored in the Search field list. To access a recent quick search, click the Search field down arrow, and select the query. To rerun the search, click the Go button or press Enter.


Running simple searches
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Simple Search is a great way for new Concordance Desktop users to jump right in and start searching records. Simple Search is designed similar to the Google Advanced Search query for familiarity. You can immediately locate information using the parameters provided in the task pane without having to use or learn about search operators.

Simple Search is available in the Search task pane in Concordance Desktop.

Simple Search is the most basic full-text search for a one-word query, reviewing the contents of all indexed fields, and finding an exact word match in seconds. You can also search for more than one word or phrases. Searching in Concordance Desktop is not case sensitive, so you can type keywords in the manner that is most comfortable for you. You can enter up to 128 characters in a single search option field to build your query.

Expand the width of the Search task pane, so that more text can be entered and viewing is easier. You can always resize the pane to a smaller setting once a document is open for review.

Running a simple search To run a simple search:

1.Open the Search task pane.

2.Open the Simple Search panel.

3.To expand your task pane for better viewing, drag the navigation pane bar to the right.

4.Enter your search criteria.

Simple Search Options
Field Name | Definition
with all of the words | Conducts an and search to find document records containing all terms listed
with the exact phrase | Conducts an adjacent search to find document records containing terms found together
with at least one of the words | Conducts an or search to find document records containing any of the words listed
without the words | Conducts a not search to find document records that do not contain any of the words listed

When using punctuation characters in your search term, at least one letter needs to be inserted between the punctuation characters. For example, joe&i@email.com. Using two or more punctuation characters together will not work (joe&@email.com).

5.Click the Search button to initiate the query.

All records containing your search criteria are displayed in the Table view.

The first record of the search results is displayed in the Browse view, and your search value is also highlighted in red in the Browse view. Use the Next hit and Previous hit buttons on the Dynamic toolbar in the Browse view to jump from one highlighted word to the next.

When navigating search results in an ideographic language, like Chinese, one character can represent a word. Clicking the Next hit button jumps to the next character in the search results. For more information, see Navigating Search Results for Ideographic Languages.

The Status bar indicates the number of records found.
Removing search criteria To remove Search criteria:

In the Simple Search panel, click the Clear form button.


Using persistent search
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Save time during review using the new Persistent Search Hit Highlighting. Persistent Search stores a list of search terms that can be easily executed within a database to find records that contain the specified term(s) and highlights them in the Browse View. It is a search query, that when enabled, remains active even after the results are returned. The Persistent Search feature searches for the terms included in the <databasename>_Persistent.txt file and highlights term(s) in each record where they are found. To add terms to the Persistent Search text file, contact your Concordance Desktop Administrator.

When new records are added to a database and the Persistent Search feature is enabled, simply reindex the database and then the new records are automatically included in the search results if the records meet the criteria.

The color used to highlight the terms found in the record from the list of terms in the <databasename>_Persistent.txt file is set on the Searching tab in the Preferences dialog box. For more information, see Defining preferences.

If you use a space in a persistent search term, the hit highlighting displays as red, instead of the color you have set.

Persistent Search terms highlighted in the Browse View

The Persistent Search feature may be run in conjunction with the Quick, Simple, and Advanced Search queries to refine the search results even further. However, when combining search queries a maximum number of 255 characters is allowed. If a search is performed and then Persistent Search is activated make sure that the total number of characters does not exceed 255 to ensure the correct results are returned.

The Persistent Search text file, <databasename>_Persistent.txt, is stored in the corresponding database folder and accessed only by the associated database. In the case of concatenated databases, the Persistent Search text file associated with the primary database is used for all the databases in the concatenated set.

The Activate button can be used with the Persistent Search option to run previous search queries. If the Persistent Search option is enabled in the Search pane and then the Activate button is selected in the Review view, Concordance Desktop returns all the records that contain both the terms in the query and the Persistent Search text file. For more information, see Running previous search queries.

When adding words to the persistent text file that include 16 bit characters, such as Korean, Chinese, etc., save the text file as UTF16 instead of ANSI, so that the 16 bit characters are supported.

When combining Persistent Search and other search options, make sure that the Persistent Search option is enabled before running any additional queries. However, Persistent Search is automatically disabled after executing the Find Attachments command.

The Review view does not list the Persistent Search terms in the Search Terms(s) column; however, the Number of Hits column does count the terms in the total number of hits.

Using Persistent Search To enable/disable persistent search:

1.To enable Persistent Search, do one of the following:

·From the Search menu, click Persistent Search.

·In the Navigation pane, click the Search tab to open the Search task pane, and then in the Options section click the Persistent Search check box.

2.To disable Persistent Search, do one of the following:

·From the Search menu, click Persistent Search.

·In the Navigation pane, click the Search tab to open the Search task pane, and then in the Options section clear the Persistent Search check box.

If you click the 'All' button on the standard toolbar, all the records in the database are returned and Persistent Search is automatically disabled. Click the All button a second time to reactivate the Persistent Search.

Use Persistent Search with another query To use persistent search with another query:

1.Do one of the following to enable Persistent Search:

·From the Search menu, click Persistent Search.

·In the Navigation pane, click the Search tab to open the Search task pane, and then in the Options section click the Persistent Search check box.

2.Enter the new search query using Quick, Simple, or Advanced Search features. For more information, see Running quick searches, Running simple searches, Using the Advanced Search panel.

The search results returns all records having one or both the search term and the term(s) listed in the <databasename>_Persistent.txt file.

3.To return to all the Persistent Search results, in the Search field type 0.

4.To return to all the documents in the database, on the Standard toolbar, click the All button.


Finding attachments
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When paper documents are scanned to TIFF formatted files and loaded into Concordance Desktop, parent documents and their attachments may be broken into separate records. If a document and its attachments are scanned as one document, there may be only a Begin and End Bates number field for each record in the database that reflects whole documents. If parent documents and attachments are separate records there may be a Begin and End Bates number as well as a Begin and End Attachment field or Attachment Range field in the database for each record.

When native e-mail files are processed, they may be converted to TIFF formatted files, in which case, they could be treated the same as paper document TIFF formatted files, in terms of the Begin and End Bates number and Attachment number fields in the database. If they are not converted to .tiff files and were reviewed in native format, document ID fields are used to assign a unique identifier to each document and attachment. A document ID is a document level identifier, rather than a page level identifier.

When searching a database that has documents and attachments, the search results may return some of the attachments for a document but not the parent document, or just the parent and not the attachments, etc. If it is important to produce the entire document set (parent and all attachments related to those document that returned as the result of a search), it may be necessary to run the Find Attachments command to gather the related parents and attachments.

The Find Attachment command gathers related parent and attachment documents in a database based on the fields containing the attachment information for an active query. The Find Attachments command looks for attachments where the attachment ranges are stored in a single field or two separate fields. The Find Attachments can be set up when creating a database using the New Database Creation wizard, or using the preferences. For concatenated databases, only the primary database settings will work for all other databases in concatenated set, even if non-primary databases have different settings. For more information about setting up the fields for the Find Attachment command for the database, see Defining preferences.

When using the Find Attachments feature, it is best practice to setup the fields as paragraph type fields to increase the performance and make sure to index/reindex the database. For more information about the Find Attachments command, see Finding attachments.

To locate documents and related attachments To locate documents and related attachments:

1.Run the appropriate search to locate the documents for review.

The search results are returned.

2.To find related attachments, on the Search menu, click Find Attachments.

3.When finished, press Enter.
To run a query and include all documents and attachments To run a query and include all documents and attachments:

1.In the Search field, type the query to locate the documents and attachments.

2.In the Navigation pane, click the Search tab.

3.In the Options section, click the Include Attachments check box.

4.On the Search toolbar, click the Go button [image] .


Advanced Searching
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

There are two ways to query a Concordance Desktop database: full-text and relational. Each method has a distinct purpose in locating information efficiently. But both methods can be combined and used in the Quick Search bar and the Advanced Search panel.

Full-text searching is the faster search method in Concordance Desktop, enabling you to examine the contents of free-text paragraph fields using words and phrases with various search operators and parameters narrowing the query results. Relational searching is used to query fixed fields, most commonly defined as numeric, date, or fixed-length text. One of Concordance’s most powerful features is its ability to combine these search methods, allowing you to search both field types at once — saving critical review process time by maximizing your query potential.

Searching Benefits: Full-text versus Relational
Searching Benefits: Full-text Versus Relational
Full-text | Relational
Searches the dictionary, uses index to display words from dictionary search | Searches the database in real time
Very fast | Slower (depending on size of database)
Highlights hits in red | Does not highlight hits
Can only be used to search indexed fields | Can search any field, indexed or not
Easy to search multiple fields at once | Searches one field at a time (Unless fields groups are established in the .INI file)
Used more often to find words | Used more often to find dates, numbers, ranges, comparisons
Cannot be used on date fields | Can find specific dates or a range of dates within limits or outside limits
Often used on paragraph fields | Normally used on paragraph fields only to find empty/not empty fields OCR1 EQ "" finds empty fields OCR1 NE "" finds populated fields
Cannot be used until the database has been indexed. Will not find new data until database has been reindexed. | Can be used whether or not the database has been indexed
Cannot be used to find stopwords, since they are not in the dictionary | Can be used to find stopwords
Uses the * wildcard character. Can be used before or after the word. | Uses the * wildcard character only at the end of a word. Use the ? wildcard character, to replace a single character in the middle of a word and in data searches.
Always searches the complete contents of paragraph fields | Only searches the complete contents of paragraph fields when using CO and NC operators

In the Browse view, you can distinguish between the different fields:

·Non-paragraph fields are preceded with an equal sign =

·Paragraph fields are preceded with a colon :


Running full-text searches
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A full-text search is designed for text and words, and is the most flexible search feature provided by Concordance Desktop. A full-text search uses the database’s index to quickly sift through every word entry (of every record) entered in the database index dictionary – similar in design to the Google search engine, which is also based on indexing. Your Concordance Desktop index is generated after your record collection is entered into the database. The dictionary is created during the indexing process and includes every word in indexed fields, except for stopwords, to improve searching speeds.

Terms entered in the search are highlighted in the record (red is the default color setting) and are referred to as a hits. You can quickly navigate to every hit in a given record by using the Previous Hit and Next Hit buttons on the Dynamic toolbar.

There are three sets of operators and one wildcard you can use for full-text searches:

Boolean (document level) Boolean (document level)

Boolean operators are based on the binary logic used in computers today, producing strict true or false results. In Concordance Desktop, Boolean operators search at the document level. The most common Boolean operators are: AND, OR, and NOT. The search is not case sensitive, so you do not have to enter all caps for the Boolean operators.

Table of Boolean Operators Table of Boolean Operators

Boolean Operators
Operator | Query | Results
AND contains both words | milk AND coffee | All documents with both the words: milk and coffee
OR contains either word | milk OR coffee | All documents with either milk or coffee, or both
NOT contains first word, but not second | milk NOT coffee | All documents with milk, but not coffee
XOR | milk NOT/OR coffee | All documents with milk or coffee, but not both words

Boolean search operators are used in the Simple Search panel, but the operators are hard-coded for you.

Typing spaces between words is important to separate the word you are searching from the operator word (AND, OR, NOT). For example, type spaces where you see the underscore: milk_AND_coffee.

Using XOR saves time in locating documents by combining two separate word searches into one, pulling all documents that either have milk or coffee in them, but not milk and coffee in the same record.

Context (field level) Context (field level)

Context operators are great for locating authors and recipients of records, if these fields are entered in your database. Context operators search at the field level. If you are searching the AUTHOR and RECIPIENT fields for a particular name, the query results will be a list of documents to and from that person. The search is not case sensitive, so you do not have to enter all caps for the context operators.

Context operators include SAME and NOTSAME qualifiers including or excluding fields. The SAME and NOTSAME operators are not commonly used, but field limiters are used frequently to narrow a search for a particular field or to omit fields, saving valuable search processing time.

Table of Context Operators
Context Operators
Operator | Query | Results
SAME | DOCTITLE SAME bank | Both terms exist in the same field
NOTSAME | DOCTITLE NOTSAME bank | Both terms never exist in the same field
Field Limiters .FIELD. ..FIELD. | cowco.DOCTITLE. correspondence.doctype. | Looks in the named fields
 | cowco..ocr1. memorandum..doctype. | Looks in all other fields except for the named field

Example: cowco.ocr1.

This query searches for cowco in the ocr1 field.

Example: milk SAME coffee

This query searches for documents where milk and coffee are both found in the same field. If they occur in the same document, but not in the same field, the document is ignored.

Typing spaces between words is important to separate the word you are searching for from the operator word (SAME, NOTSAME). However, when you are using the periods/field limiters, you want to skip spaces and type the words and periods together in a tight search string, because the periods are a coding language for specifying the inclusion or omission of a field (milk..ocr1.). If you add a space between milk and ..ocr1, the application will not read your search query.

A context operator search with word..fieldname. locates the word with an exclusion. The word can still exist in database records, it is just not part of your specific search. For example, a search for milk..ocr1. locates milk in all fields, except for ocr1. This search is helpful for locating keywords in metadata fields, excluding a search on the record’s body content.

Proximity (word level) Proximity (word level)

Proximity operators search at the word level and are useful when looking for content that appears in records either in direct succession or adjacent order, or in close succession to each other within a specified range. You can add a qualifying number from 0 to 255. This number refers to the maximum number of intervening indexed words, excluding stopwords.

Table of Proximity Operators Table of Proximity Operators
Proximity Operators
Operator | Query | Results
ADJ (default operator) | milk ADJ programs | Both terms are immediately next to each other and in the order specified Produces the same results as typing milk programs
ADJ25 | milk ADJ25 programs | Both terms appear within 25 words of each other ADJ# operator has a 255 word limit
NEAR | milk NEAR programs | Both terms are within close range of each other regardless of order, i.e. programs for milk
NEAR255 | milk NEAR255 programs | Both terms appear within 255 words of each other NEAR# operator has a 255 word limit

The default Proximity operator is ADJ. So a search for file note is actually searching file ADJ note. This selection can be customized by your Concordance Desktop administrator for your personal searches, as needed.

Typing spaces between words is important to separate the word you are searching from the operator word (ADJ, NEAR). For example, type spaces where you see the underscore: file_ADJ_note.

Proximity operators are hard-coded into the Form Search tool.

Wildcard (field and character masking) Wildcard (field and character masking)

Searching for people’s names can be complicated. Names can be misspelled or include variations of punctuation. You’ll want to investigate the method used at your organization for entering names into your Concordance Desktop databases. This helps you determine how to search to ensure that you do not exclude any possible variations of someone’s name.

If you are searching for a name in an email database, you will notice that there are many email address formats depending on the Internet service provider’s account type. You may miss a critical record in an email address search if you are not careful about how you query it. Using wildcard characters helps ensure that the recipient name is located, regardless of the email format.

Examples:

·jsmith@organization.com

·J_Smith@organization.com

·john.smith@organization.com

·jsmith@gmail.com

Names in documents are also easily misspelled and could be overlooked if apostrophes and initials are combined in records. Using a wildcard symbol as a substitute for a character or series of characters, masks the individual character fields in words creating a broader search with stronger results.

Table of Wildcard Characters - Full Text Table of Wildcard Characters - Full Text
Wildcard Characters - Full Text
Character | Query | Results
Asterisk (*) replaces a character at the beginning or end of a search string | *count* | Finds account, accountant, country, countries, and discount
 | milk.ocr*. | Searches ocr1, ocr2, ocr3, etc.

When searching for a person, think about all the fields in which this name might be printed or referenced, and also become familiar with the field titles used in your databases, as these can vary. For instance, when searching for Weller in one database, it may be necessary to specify the To and From fields. In another database, you may need to search in the Author and Recipient fields.

Search strings that do not include white space are limited to 64 consecutive characters.


Using the Advanced Search panel
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Advanced Search panel allows you to type longer, complex search strings. You can still conduct simple, one-word searches as well. The added benefit of using Advanced Search is your query results also display the number of word hits found and how many documents it appears in. The hits and document counts are listed in the Hits and Docs columns in the Results field on the Advanced Search panel.

Reviewing your search results:

·A summary of your search results are displayed in the Results field.

·The Results pane displays the search results for each individual term, and the search results for the entire search string. After running your query, the search results for the entire search string is displayed in the last row of the Results field and is highlighted in gray.

·Double-clicking a term in the Results field narrows your search to only those documents containing the term. The search results are displayed in Table view. The first document in the search results is displayed in the Browse view.

You can enter up to 255 characters to build your search logic in the Advanced Search panel. If a complex search string exceeds this limit, you may want to run two separate searches and later combine them in the Review screen using the search numbers.

The Advanced Search panel also contains more tools to assist you with your case review:

·Display the database dictionary

·Display a list of available fields

·Display a list of words that sound like the selected word

Using the Dictionary Using the Dictionary

Use your database dictionary to search for keywords and also to add dictionary entries directly into a search string in the Advanced Search panel. You can also use your dictionary to see if a word already exists in the dictionary. If a word is not in the dictionary, use relational searching.

The dictionary contains every word, other than stopwords, in the database since the last time it was indexed or reindexed. If the database is concatenated, the dictionary feature displays only words in the primary database.

To open the Dictionary list: To open the Dictionary list:

1.In the Search task pane, do one of the following:

·In the Advanced Search panel, click the Display the database dictionary link .

·Click the Form Search panel to open the Query by Example dialog box, and click the Dictionary button.

2.In the Dictionary dialog box, scroll through the dictionary list or type the first letters of a word to scroll directly to that entry.

3.To add words to the search string, do one of the following:

·Select the word, and then click Add.

·Double-clicking the word.

4.When finished, click the Close button.

The maximum length of a dictionary word is 64 characters. Due to this limit, only the first 64 characters of a long word are included in the dictionary. Since the full word is not listed, it may not be found in the database. For example, including the file name and path in a word can create a word longer than 64 characters, and the full word will not be found in the database.

Adding Dictionary words to search queries Adding Dictionary words to search queries

If you have a list of common words for your review, you can quickly locate the words in the dictionary and run a search query for each of the words in the Advanced Search panel to identify how many times these words appear in records, and to locate the applicable documents.

There are two ways to add a dictionary word in the Dictionary dialog box to a search query in the Advanced Search panel. You can select the word and click the Add button, or double-click the word. If you are adding multiple words at once to a search query, double-clicking the words also automatically adds the OR search operator, so pay attention to how you add dictionary words to a query, as it affects your search results.

Example: Dictionary words are added as adjacent (ADJ) words in the Advanced Search field if you add the words separately or by clicking the Add button in the Dictionary dialog box.

Example: Dictionary words are added with the OR operator to the Advanced Search field if you add multiple words at one time by double-clicking the words in the Dictionary dialog box.

Adding Dictionary words to a search quey To add dictionary words to a search query:

1.In the Advanced Search panel, click the Display the database dictionary link to open the Dictionary dialog box.

2.Scroll to and select the words you want to add to your search query.

To quickly search for a word in the dictionary, you can type all or part of the word in the field below the dictionary list to locate a word. For example, if you type c, the dictionary automatically scrolls to the first word in the dictionary that starts with c.

3.Double-click the dictionary word or click the Add button to add the word to the Advanced Search field.

When you double-click multiple dictionary entries at one time, rather than clicking the Add button, Concordance Desktop automatically inserts the OR search operator into the search query. When you add multiple dictionary words separately or by clicking the Add button, Concordance Desktop treats the words as adjacent (ADJ) words in the query. Pay attention to how you add dictionary words to a query, as it affects your search results.

4.Click the Close button to close the Dictionary dialog box.

5.In the Advanced Search panel, click the Search button to run a query for records containing the selected words.

Searching by fields Searching by fields

Field search narrows a query to a specified field in the active database. You can view the fields in a database and add field entries directly into a search string in the Advanced Search panel of the Fields dialog box. Referencing your Fields dialog box is a great way to verify exactly what your database field names are. For example, searching for goniff*.TO. when the field is actually named RECIPIENT will not return any search results.

To add fields to a search query To add fields to a search query:

1.In the Advanced Search panel, click the Display a list of available fields link to open the Fields dialog box.

2.Locate and select the fields you want to add to your search query.

3.Double-click the field or click the Insert button to add the field to the Advanced Search field.

Concordance Desktop automatically inserts the field limiters into your search string and separates the additional fields with commas.

4.Click the Cancel button to close the Fields dialog box.

5.In the Advanced Search panel, click the Search button to run a query for records containing the selected fields.

Searching Fuzzy words Searching Fuzzy words

Fuzzy searches are great for finding misspelled words. A fuzzy search looks for homonyms in the database dictionary; finding words that look like and sound like your term. For example, milk, mild, and mike are homonyms. You can view the words similar to your search term and add these fuzzy word entries directly into a search string in the Advanced Search panel in the Fuzzy Search dialog box.

Fuzzy searches provide a 65 percent character match for each word, offering a list of best guesses. If you combine this search with asterisks around the *word*, you will get more fuzzy results.

To add fuzzy words to a search query To add fuzzy words to a search query:

1.In the Advanced Search panel, type the word you want find homonyms for in database dictionary.

2.Click the Display a list of words that sound like the selected word link to open the Fuzzy Search dialog box.

3.Locate and select the words you want to add to your search query.

You can select multiple words in the Fuzzy Search dialog box. To select multiple individual words in the list, use CTRL+click. To select a block of words in the list, use SHIFT+click.

4.Click OK.

Clicking OK adds the selected words to the Advanced Search field and closes the Fuzzy Search dialog box.

When you add multiple fuzzy word entries at one time, Concordance Desktop automatically inserts the OR search operator into the search query.

5.In the Advanced Search panel, click the Search button to run a query for records containing the selected fields.


Running relational searches
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Relational searches query the entire database in real time. This search is based on a specified field for a specified value, scanning every record in the database (usually only one field). Relational searches are primarily used to search unique value fields, Bates numbers, dates, fixed-length text fields, and other short fields.

Relational searching does not require an indexed database to search current data. Unlike full-text searching, you can search on all punctuation and stopwords in the database. Because Concordance Desktop is searching the actual database data in real time, and not a dictionary or index, relational searching can take longer than full-text searching.

Relational searches can be done on full-text fields, but it is best practice to use full-text searching for full-text fields when you can to save time.

Relational search results are not highlighted in red. Instead, you receive a list of records containing your query results in the Table view. It is best to try initial queries in a full-text search before conducting a relational search to ensure you are using the dictionary when you can.

Field Groups are not supported in relational searching. Use full text searching for Field Groups.

Syntax Syntax

Relational search requests are entered in a structured query format. Every fixed field query contains at least three elements:

field name OPERATOR data value

The fixed field name to search

A relational operator

The selection criteria

Example:

ISBM = 0-477-01-482-8

The sample query searches the ISBN field in every record in the entire database for a value equal to 0-477-01482-8. Relational searches can run faster if you combine them with a full-text search:

wonder wheels and date <= 4/25/1994

In this case, the fixed fields are examined only in the documents located by the full-text portion of the query. The result line for the date query would apply only to the documents that contain wonder wheels. It is not an indication of all possible matching dates in the database.

Concordance Desktop provides ten relational operators for relational searches. Like full-text queries, relational searches are not case sensitive. You may enter your search in upper, lower, or mixed-case letters. You can search for a subset of characters in a field, for a partial match of characters, or for an exact match.

Concordance Desktop allows you to use wildcard characters in fixed fields. You can use a wildcard to mask single characters (?), or to mask the remainder of a word (*). The masking capability is not available when selecting on numeric fixed-length fields.

Searching for multiple values Searching for multiple values

Search for several values at once by separating them with commas. Spaces between the values are optional. If you are searching for a value, which itself has a comma in it, then the value must be placed in quotes.

Example: AREACODE = 213, 818, 310, 714

Relational Operators Relational Operators

There are ten relational operators available in Concordance Desktop. These operators compare your search criteria with the contents of the fixed field specified in your query. Some of the relational operators have a symbolic equivalent, such as eq and =, both of which mean equal to. These may be used interchangeably and are listed below. When performing a relational search you want to type the field first, then the data value you are searching.

Relational Search Format

field name OPERATOR data value

Relational Operators reference table Relational Operators reference table
Relational Operators
Symbol | Abbreviation | Description
= | EQ | Equals
<> | NE | Not equal to
> | GT | Greater than
< | LT | Less than
>= | GE | Greater than or equal to
<= | LE | Less than or equal to
$ | CO | Contains
! | NC | Does not contain
(no symbol) | WL | Within limits, includes stated values
(no symbol) | OL | Outside limits, excludes stated values

Typing spaces between words or symbols is important to separate the word you are searching for from the operator symbols or letters (CO, WL, GT, etc.), otherwise the search won’t work. For example, type spaces where you see the underscore: milk_NC_coffee.

The CO and NC operators are only valid when searching text or paragraph fields. If used on numeric or date fields, Concordance Desktop processes the request as if you had entered EQ or NE respectively. A search for OCR CO milk locates words like unmilked and milking because it includes the four characters in milk and anything before or after it.

The WL and OL operators search for ranges, within limits and outside of limits. These operators require two criteria to specify the range. The following search would locate any record with a DUEDATE field greater than or equal to January 1, 1993 and less than or equal to March 15, 1995.

Example:

DUEDATE WL 1/1/1993, 3/15/1995

If you are searching for a value that has operators, then the value must be placed in quotes. For example: OCR1 CO “$5,000”

Example:

doctitle = untitled

doctitle EQ untitled

Both of the relational operators produce the same search results

If you need to find a specific record and know the Bates number, run a relational search.

But first check your dictionary to see if they are included by your administrator. If numbers are included, you can skip relational searches for them and run a full-text search instead.

Example:

docdate WL 10/01/1983,12/31/1984

This query finds all documents from October 1, 1983 though December 31, 1984.

Use the date format that is standard for each database.

Example:

pages WL 5,10

This query finds all documents that are five to 10 pages in length. Four-page documents or 11-page documents are not included in the search results.

Concordance Desktop searches numbers and dates in sequential order, so it’s best to train yourself to enter them in that order: smaller number first, then bigger number (5,10), and earlier date, then later date (10/01/1980,12/31/1983).

Wildcard Characters - Relational Wildcard Characters - Relational

When Concordance Desktop reads a relational search, it views each individual character. The root of the search criteria can be masked (*) or individual characters can be masked (?) using the wildcard characters. For relational date searches, you must replace each digit in a date query with a wildcard character while using slashes based on the existing date format for your database.

Example:

8 and date eq 01/??/1986

All documents identified in query eight with any date in January 1986 are retrieved.

Example:

organization co wom?n*

The query selects documents that contain the words WOMAN, WOMEN, WOMANHOOD, etc., in the organization field.

Relational Wildcard Characters reference table Relational Wildcard Characters reference table
Wildcard Characters - Relational
Character | Query | Results
Asterisks (*) replace a single text character at the end only | BEGNO = 0001* | Locates all Bates numbers that begin with 0001
Question mark (?) replaces a single character | DOCDATE = ??/??/1983 | Locate all records in 1983
Quotation marks (“) are required for searching operators | OCR1 CO “$5,000” | Locates all records containing $5,000 in addition to $5,000,000 because of the CO operator

Quotes in Relational Searching Quotes in Relational Searching

All spaces in a relational search string are automatically trimmed from the search. If you need to perform a relational search for an entry with spaces or any special characters, enclose the criteria in quotes. The text must be quoted if the criteria itself has spaces or commas in it. Below is a fixed field search with spaces and special characters.

Example:

STATUS = "PAID STATUS?"

Remember that Concordance Desktop inserts the default operator wherever it finds a space. So, without the quotes, Concordance Desktop would interpret the above query as STATUS = PAID ADJ STATUS?, and it would locate zero records.


Running complex clause searches
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A complex clause search is a search string containing a combination of both full-text and relational search clauses. Stringing both full-text and relational searches together and combining complex clauses together saves query processing time, thus providing faster search results.

Use Notepad or another text pad editor program to brainstorm your searches as the larger text box makes it easier to read onscreen. Type one clause per line and cut and paste them together, rearranging them until you find the right order. Then simply copy and paste the string into a Concordance Desktop search tool to run the query.

Type full-text clauses first, then relational, to conduct efficient queries resulting in a distinct outcome. Full-text searches are faster than relational, so by executing this search first, the secondary relational search is only running the full-text results as opposed to the entire database – saving you valuable processing time.

Example: goniff*.ocr1. AND docdate = ??/??/1983

The full-text search for Goniff in the OCR1 field is performed before the relational search is conducted for all records from 1983 containing Goniff.

In the Results box, you will find records with Goniff hits that appear in the DOCDATE field.

To remember whether fields come first or last in a search clause depends on the search method used:

·Full-text searches: the field is typed last

goniff*.recipient. or (financial report).doctype.

·Relational searches: the field is typed first

docdate WL 05/04/1982,05/20/1982

Use care when querying names. Some names may be coded with the person’s initials, especially in email: goniff*.recipient. vs. goniff;ja.recipient. Use a wildcard character, like an asterisk, to mask the name in full-text searches. This will provide wider results.

Use relational searching to search for empty or populated fields.

• Use fieldname EQ “” to located records where the field is empty.

• Use fieldname NE “” to locate records when the field is populated with any value.

Form Searching Form Searching

The form search performs the same full-text and relational searches as manually typed searches, but a form search has the operators hard-coded for you. Clicking the Form Search panel in the Search pane or selecting Form Search from the Search menu opens the Query by Example dialog box. Form searches are built and run from the Query by Example dialog box.

The form search can be used as a query builder if you are unfamiliar with the various searching operators. Notice each of the column headers at the top. Your first search connector will always start with New; then you need to tell Concordance Desktop Where to Look, How to Look and what word you want Concordance Desktop to Look For. To build complex queries, use the search connector fields to join various query strings that you determine for each line.

You can enter up to 85 characters per field with a maximum of 255 characters total for all fields to build your search logic.

Concordance Desktop determines whether to run a relational or full-text search for you. If you understand searching concepts and want to use the form search to run all your complex queries, remember to place your all your full-text searches before the relational searches in the Query by Example dialog box.

The Query by Example dialog box is limited to ensure it remains simple to use. For more complex searches, you can use the Advanced Search panel to enter longer queries, add parentheses more precisely, review the results of each word when using wildcards, and use a larger range of query operators.

To build and run a form search To build and run a form search:

1.To open the Query by Example dialog box, do one of the following:

·In the Search task pane, click the Form Search panel.

·From the Search menu, click Form Search.

The Connector field in the first row always defaults to New.

2.If you are creating a new search query, leave the default value, New, in the first row.

If you are filling out more than one row for your search query, select the appropriate connector from the Connector field in the additional rows.

You can also change the first search connector, *New*, to another operator. The new query will be added to the previous query. For example, if you search for milk in the Quick Search bar it will now be search #1 (or the next sequential number). You can then open the Query by Example dialog box, change the first connector to adj and search for Corp. The new search query will be 1 adj Corp and will find where milk is adjacent to Corp.

3.From the Where to look field, select the field you want to search.

4.From the How to look field, select the operator you want to use.

In the How to look field CO Contains is equivalent to EQ Equals, and NC Does not contain is equivalent to NE Does not equal.

5.In the Look for field, type the specific value you want to search for.

6.When finished, click the Search button.

After clicking the Search button, your search query is displayed in the text field and the number of hits and documents found for your search are displayed at the bottom of the Query by Example dialog box.
To view your query results: To view your query results:

Do one of the following:

·Click the Search then Browse button to display the search results in the Browse view.

·Click the Search then Table button to display the search results in the Table view.

·Click the Done button to display the search results in the current view.

You can edit your search in the text box and run it again to receive different results. You can insert words from the dictionary into your search string using the Dictionary button. When you add a word from the dictionary, the word is inserted wherever your cursor is in the text field.

Combining Search Strings Combining Search Strings

Using Boolean search operators, join search clauses together.

Example:

milk OR calcium NEAR25 coffee

This query locates all documents with either milk or calcium within 25 words of coffee. The search results omit instances where milk or calcium are in a document, but not within 25 words of each of coffee because the NEAR operator carries a higher precedence than the OR operator.

Use of spaces when typing search strings becomes very important and is dependent on the type of search operators you are using.

·Use spaces when using word operators (AND, OR, NOT, SAME, NOTSAME, ADJ, and NEAR). For example, type spaces where you see the underscore: milk_AND_coffee

·Omit spaces when using field limiters ( . or .. ). For example, do not type spaces before or after the field limiter: cowco.doctitle.

·If you combine operators and limiters, you still need spaces before and after the operator: Goniff*.AUTHOR._AND_Weller*.RECIPIENT.

Using Parentheses for search precedence Using Parentheses for search precedence

Like mathematics, Concordance Desktop uses a hierarchy to evaluate search expressions. Use parentheses liberally in complex search strings to clarify query logic and enforce operator precedence. Searches within parentheses are evaluated before they are combined with other search operators. Parentheses have the highest precedence and can be nested up to 50 levels deep.

The following table includes Boolean, context, and proximity operators and the order of precedence they carry in a Concordance Desktop search. Refer to this table when you are combining one or more clauses together to know which operator clause to place first, and which is secondary. Use the parentheses to combine two or more clauses when additional clauses are included in the search logic, but are secondary in emphasis.

Operator Order of precedence reference table Operator Order of precedence reference table
Operator Order of Precedence
Operator | Description
ADJ | Locates words that are immediately adjacent, and you can specify a range of intervening indexed words from 0 to 255
NEAR | Locates words that are near each other, and you can specify a range of intervening indexed words from 0 to 255
SAME | Finds words within the same field
NOTSAME | Finds words that do not occur in the same field
AND | Combines words and search results that occur in the same document
NOT | Combines words and search results if they do not occur in the same document
OR | Combines words and search results, whether they occur in the same documents or not; Concordance Desktop doesn’t care
XOR | Finds documents that contain one of two search terms, but not both

Example: milk OR (calcium NEAR25 coffee)

In this example, the NEAR operator carries a higher precedence than OR, and Concordance Desktop searches clauses within parentheses first. The results of the calcium NEAR25 coffee search would then be processed as milk OR results.

Examples:

financial ADJ statement OR report

This query locates financial statement or report.

financial ADJ (statement OR report)

This query is focused on finding statements or reports containing the words financial statement or financial report.

Example: (Correspondence.doctype. AND Goniff*.Recipient.) NOT date = ??/??/1982

This query forces Concordance Desktop to run a full-text search first for all correspondence records to Mr. Goniff, with a secondary emphasis that eliminates anything from the year 1982.


Searching by tally
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Tally is a great tool for gaining an item count for a specific field to help you organize your document collection and for quality assurance checks. Perhaps you need to quickly determine how many contracts are currently in your caseload or verify if any new ones have been added to the database since you started your review. Organize your documents by type so you can search a subset for critical information. Or, find out how many times a key witness is mentioned by tallying the Author field. A Tally count itemizes this information for you so you can perform internal quality assurance checks in your case review, organize documents by field type, or narrow your searches off a reduced set of records. The Tally feature is only accessible from the Table view and runs a query only on the selected field column.

In the Tally task pane, you can:

·Reset the tally list for a new search

·Print a tally list for quality assurance reference

·Save the tally list to a text file for tracking purposes

For more information about using Tally for printing needs, see Tallying records for reports.

To run a field tally in the Table view: To run a field tally in the Table view:

1.In the Table view, right-click in a field column.

2.Select Tally [field name] to tally the field.

3.The tally results are displayed in the Tally task pane.

4.Double-click an item in the tally list to display the records in the Table view and the first corresponding record in the Browse view.

Each time you double-click a tally list item, you are narrowing your search results based on your initial query.

·To sort the tally results, click the tally column headers to sort by item or count.

·To return to the original document listing, click the Reset link.

·To print your tally results, click the Print link.

·To save your tally results to a text (.txt) file, click the Save link.

·To close the Tally task pane, click the Close link. To hide the Tally task pane, click another task pane icon.


Searching by tags and issues
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You can also search by tags and issues in the Tags task pane. Searching by tags or issues allows you to locate documents tagged in a specific category and marked with internal issues. You can also search your record collection by tags, using the Review screen or conducting a query on applied tags.

For more information about searching by tags or issues, see Creating queries from tags and Querying tags and folders.


Creating a synonyms list
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you perform a search for a word, Concordance Desktop automatically searches for any synonyms associated with that word in the database dictionary. Synonyms are created and managed in the Synonyms dialog box.

Synonyms can be based on words already entered in your database dictionary, creating a permanent link between them, or other search terms in Concordance Desktop. You can also create synonyms from the fuzzy words list, to include homonyms or words that “look like” and “sound like” those already in your dictionary and synonyms listings. Fuzzy words provide a 65% character match on search terms, but fuzzy searches can miss words longer than the search term.

Synonyms are stored in the .syn file and fuzzy words are stored in the .fzy file. Both files are located in the same directory folder as the primary database.

Here are some examples of synonyms you can create:

·Common American English and UK English spellings, such as color and colour

·OCR errors and misspellings

·For acronyms

·For complex query expansions (Automatic synonym expansion is suppressed when you place a search term in quotes.)

·Associating generic drug names with brand name medications

·Associating e-mail messages to a person’s name

·Capturing misspellings of a person’s name

For more information about fuzzy searches, see Using the Advanced Search panel.

To create a synonyms list:

1.On the File menu, point to Dictionaries, and click Synonyms. Clicking Synonyms opens the Synonyms dialog box.

2.In the Dictionary list, click the word you want to link to synonyms.

To search for a word in the Dictionary list, type or select part or all the word you are looking for in the Dictionary field below the Dictionary list.

If you only want the Dictionary list to display words already associated with synonyms, select the Limit the words to Synonyms check box. If you want the Dictionary list to display each word in the dictionary, clear the Limit the words to Synonyms check box.

You can manually adds words to the synonym list or add words to the synonym list from the Fuzzy matches list. You can associate multiple synonyms with a dictionary word.

3.To manually add a word, in the Synonyms field at the bottom of the Synonym list, type in the corresponding synonym and click the Add button.

Clicking the Add button adds the word to the Synonyms list. Repeat this step for each of the synonyms you want to associate with the selected dictionary word.

4.To add a word from the Fuzzy matches list, in the Fuzzy matches list, click the word and click the double arrows, <<, button.

5.When finished, click OK.

To check the synonyms associated with a dictionary, you can run a search for the word in the Advanced Search panel in the Search task pane. You should see the synonyms listed as hits in the Results list in the Advanced Search panel since they are linked to the word in the dictionary.


Saving Searches
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Reviewing and saving your work history is essential for tracking purposes, especially during complex and lengthy reviews. After conducting a series of searches, you’ll want to review your search history to combine previous searches into a new search to narrow your results and rerun prior queries to capture updates in the record recollection. You will also want to save previous queries to a file for tracking purposes or to rerun them at a later time.


Saving search queries
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

There are several reasons to save your search queries. A benefit to saving queries is that once stored, they will collect new data on future executions. The next time you open the query file, Concordance Desktop automatically reruns all previous query criteria and includes them in the current session’s search listing. This provides you with a foundation of queries to build upon in your advanced search efforts and saves you data entry time.

You may want to save your searches if:

·You are interrupted during a complicated set of searches that you want to resume later.

·You need to perform some searches on a regular basis for production reports or privilege-status logs.

·Other reviewers need to retrieve your search results from another computer at a later time.

·You want to run the searches on another database.

Queries are saved as .qry files. These are editable text files containing only the search string. Rerunning a saved query file reprocesses all searches for the file. This process can take extra time since Concordance Desktop is re-executing all of the searches. You can execute a .qry file on other databases. If you re-execute it in another database, remember that you will need to resolve any field discrepancies between them by editing the search strings or by making a copy of the search and editing it. For example, the To and From fields in one database may be titled Author and Recipient in another one.

Each reviewer needs to save their query file with a unique file name on a shared network. Your network will not allow multiple files of the same name to be created in the same folder. We recommend each user adds their initials to the end of the file name to differentiate it from others and make it easily identifiable to each person. This rule does not apply to personal or local folders. This example has initials at the end of the file name: F:\DATA\CONCORDANCE\TUTORIAL\SEARCHES\LAM.QRY

If you don’t need to re-execute a .qry file, then you can save queries as .txt files by right-clicking on a query in the Review view and selecting Save. Unlike a saved .qry file, which only stores your search clause, a saved text file also stores the number of hits and documents for that query. Saved .txt files are useful in referencing search history.

To run a field tally in the Table view To save search queries:

1.To open the Review view, do one of the following:

·Click the Review button on the standard toolbar.

·From the View menu, click Review view.

·Press F3 on your keyboard.

2.To open the Keep Queries dialog box, do one of the following:

·In the Search task pane, click the Save all queries to a saved query file.

·From the Search menu, click Save All Queries.

3.Browse to where you want to save the file.

4.Type the name of the .QRY file in the File name field.

5.Click Save.
To clear the queries from the Review view To clear the queries from the Review view:

Once you have saved your queries, to clear the queries from the Review view, do one of the following:

·In the Search task pane, click Clear search history.

·On the Search menu, click Clear Search History.
To rerun saved queries To rerun saved queries:

1.Do one of the following:

·In the Search task pane, click Execute a saved query.

·On the Search menu, click Execute Saved Queries.

2.Locate and open the .qry query file.

Concordance Desktop reads the file and reruns all the searches in the query file. If any records were updated before you restored the query, your search results are automatically updated. The search results display in the Review view as soon as they are executed.


Reviewing search queries
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Review view provides a complete, numerical listing of all searches conducted since you opened Concordance Desktop or it was last reindexed. Use the Review view for tracking purposes or simply to save your queries at the end of your Concordance Desktop session. The Review screen references all search scenarios already conducted on a record collection. The listing is also a foundation for building advanced searches to narrow results for key criteria.

Because each search query is numbered sequentially, you can select one or more to combine two previous queries into a new one. The Review screen conducts searches based on Boolean operators, so you can also exclude previous queries from a new search using the OR or XOR operators when combining multiple search numbers in a complex query. Concordance Desktop references a query by number faster than if you re-type the query words.

Example: 2 AND 3

Using the queries listed in the Review view image above, the 2 AND 3 query searches for all documents from 1980 with Goniff in the RECIPIENT, AUTHOR, OR CC fields.

Reviewing recent queries is easy. You can click the drop-down arrow in the Search field to view your recent queries, and rerun and edit previous searches from the Search field. You can also copy an advanced search string into the Search field to save it and rerun at a later time. Queries in the Search field list are stored for one Concordance Desktop session.

The Review view does not list the Persistent Search terms in the Search Terms(s) column; however, the Number of Hits column does count the terms in the total number of hits.

Zero Query Zero Query

To search the entire database or resort it after running several queries, run a Zero Query by typing a zero, 0, in the Search field. The zero is predefined in Concordance Desktop to locate all records in a database and resort them in their original load order and is always the first search run when opening a database. You can combine the zero with operators to narrow query results.

Example: 0 NOT milk

This search first locates all records in the database, then narrows the results to exclude all documents that contain the word milk.

Example: 0 NOT 9

This search locates all database records, then narrows the results to exclude the query results found for search number 9 in the Review view.

Using the Search field is the fastest way to search the entire database or conduct a Zero Query, and is a useful tool when rerunning or excluding results in previous searches tracked in the Review view.


Running previous search queries
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you click the Review button in the Standard toolbar, two additional Dynamic toolbar buttons become active: Edit and Activate. The Edit button adds queries from the Review view to the Advanced Search panel. The Activate button initiates a previous search query and the search results are displayed in the Table view.

The Activate button can be used with the Persistent Search option. If the Persistent Search option is enabled in the Search pane and then the Activate button is selected, Concordance Desktop returns all the records that contain both the terms in the query and the Persistent Search text file.

The Review view does not list the Persistent Search terms in the Search Terms(s) column; however, the Number of Hits column does count the terms in the total number of hits.

To review a previous search query To review a previous search query:

On the Standard toolbar, click the Review button.

All searches conducted since you opened the Concordance Desktop session are saved and displayed in the Review view.
To rerun a previous search query To rerun a previous search query:

In the Review view, do one of the following:

·Double-click the search query.

·Select the search query, and then on the Dynamic toolbar, click Activate.

·Right-click the search query, and then click Activate.

The first record of the search results displays in the Browse view. You can also view the query results in the Table view.
To copy a previous search query To copy a previous search query:

In the Review view, do one of the following:

·Right-click the search query, click Copy Query, and then right-click in a search field and click Paste.

·Select the search query, and then on the Dynamic toolbar, click Edit.

·Right-click the search query, and then click Edit.

The query displays in the Advanced Search panel, where you can add or edit the search logic for a new query.
To combine and run search queries using query numbers To combine and run search queries using query numbers:

1.In the Search Number column in the Review view, locate the query numbers for two previous searches.

2.In the Advanced Search box, type in the numbers for those two search queries.

For example: 3 AND 9.

It isn’t necessary to type in the preceding zeros displayed in the Search Number column.

3.Click the Search button.

Combining both search queries narrows your search results. Remember that the number of keyword hits and documents found display in the Results field of the Advanced Search panel.


Basic Tagging
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A new case has started and boxes of printed documents, CDs, DVDs, and other discovery documents have arrived and need to be reviewed and categorized. In a traditional setting, someone would have to manually sort and flag each document, hoping that the privileged flags don’t fall off in the process.

With Concordance Desktop, you no longer need to worry about lost flags and managing boxes of papers and electronic media files. If your case documents have already been entered into Concordance Desktop, you can step into the review process with the bulk of the headache-inducing tasks already completed, and start reviewing and categorizing documents.

Tagging records is a critical step in the discovery process. It is your organization’s way of essentially putting color-coded flags on your documents to categorize them by privilege, review status, or other criteria during document review.

When reviewing a concatenated dataset, all tags in all databases display in the Tags panel. If you apply a tag from one database to a record in another database, Concordance Desktop automatically writes that tag into the record’s corresponding database. See Concatenating Databases for more information about joined datasets.

Preliminary planning for tagging Preliminary planning for tagging

To help you manage the case review process, your Concordance Desktop administrator typically builds a set of tags for case review that include standard naming conventions, such as privileged, responsive, non-responsive, etc. Tags can also be added in the Tags task pane and can be removed at any time. There are no limits on tagging. You can tag as many documents as you want, with as many tags as you want.

Once tags are applied to document records, the tags become searchable, allowing a user or administrator to easily retrieve all documents with a particular tag.
Typical tag uses Typical tag uses

The following tag list provides examples of the types of tags organizations use to categorize documents during the document review process. You should consider in advance what tags will be required for both high-level review and specific research angles for your case. Collaborate with your Concordance Desktop administrator so these tags can be set up in advance.

·Responsive vs Non-responsive - identify responsive documents that must be produced as part of the discovery process

·Privileged - identify documents containing information that should not be produced

·Witnesses - identify documents for witness kits or binders used in depositions or trials

·Reviewer Assignments - delegate documents to be reviewed by individual reviewers

·Exhibits - identify documents that will used as exhibits

·Issues - identify documents related to key legal issues in the case

·Keywords - identify documents containing important terms in the case

·Other
Tagging strategies Tagging strategies

In order to gain the most benefit from tag use, please consider the following:

·Determine how your database will be used by reviewers, so tags can be created in advance.

·Use consistent tag and folder names for better organization.

·As a general rule, search first, tag second. This method allows you to focus on documents containing key terms or other search criteria, which limits the number of documents that need to be reviewed.

·For field-level tags, once all documents are tagged with a particular tag, consider adding a field value to the database to permanently categorize these documents.


Tagging records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

New tags are easily added to a list of persistent ones that are custom designed for a particular case. Any new tag created is immediately accessible to all users in Concordance Desktop. This provides a standard format, easy access, and a faster, more efficient review for all users.

Often tags are placed in folders or grouped by type or purpose so all reviewers have an immediate understanding of the case tag organization.

Tag names always display and sort alphabetically. If you intentionally want a tag to appear in a specific location, use the tag name to accomplish that.

Tagging individual records Tagging individual records

Before you begin tagging records, it is best practice to run a search to limit the number of documents you have to review.

Tags can be applied and removed by any user, at any time. Contact your Concordance Desktop administrator or supervisor if you have concerns regarding the permanence of applied tags.

To apply a tag to a document To apply a tag to a document:

1.Open the Tags task pane.

2.Run the appropriate search to limit the documents you have to review.

3.Review your search results and identify the documents you want to tag.

4.In the Table view, select the document.

You can also tag documents from the Browse view. Tags can be applied to the document currently displayed in the Browse view.

5.In the Tags task pane, do any of the following:

·Click the tag's check box.

·Right-click the tag and click Tag document.

·Double-click the tag's name.

When you double-click a tag Concordance Desktop can either apply the tag or open the tagging options menu. The double-clicking option is set on the Browsing panel in the Preferences dialog box. Double-clicking a tag to apply the tag is the default setting.

A red check mark appears in the tag's check box and the tag is now applied to the document.
To remove a tag from a document To remove a tag from a document:

1.Select the document in the Table view.

You can also remove tags from documents in the Browse view. Tags can be removed from the document currently displayed in the Browse view.

2.To remove the tag from the document, in the Tags task pane do one of the following:

·Clear the tag's check box.

·Double-click the tag's name.

When you double-click a tag Concordance Desktop can either apply the tag or open the tagging options menu. The double-clicking option is set on the Browsing panel in the Preferences dialog box. Double-clicking a tag to apply the tag is the default setting.

The tag's check box is now cleared and the tag is removed from the document.

Tagging multiple records Tagging multiple records

In some review projects, you may want to conduct searches first and tag all documents for review later. This method is often referred to as bulk tagging.

For example, if you want to review all documents containing references to Mr. Goniff, you can search for these documents and tag all the documents in the search results for a later review.

Tags can be applied and removed by any user, at any time. Contact your Concordance Desktop administrator or supervisor if you have concerns regarding the permanence of applied tags.

When bulk tagging, do not drag and drop (move) tags from one folder to another, as it can produce duplicate tags, as opposed to just moving the tags.

To apply a tag to multiple documents simultaneously To apply a tag to multiple documents simultaneously:

1.Open the Tags task pane.

2.Run the appropriate search to limit the documents you have to review.

3.Open the Table view to view the search results.

4.In the Table view, select all the documents you want to apply tags.

5.In the Tags task pane, do one of the following:

·Click the tag's check box, right-click the tag, and then select Tag all documents in query.

·In the Table view, drag the documents selected to the tag in the Tags panel.

·Double-click the tag's name.

When you double-click a tag Concordance Desktop can either apply the tag or open the tagging options menu. The double-clicking option is set on the Browsing panel in the Preferences dialog box. Double-clicking a tag to apply the tag is the default setting.

A red check mark appears in the tag's check box, and the tag is now added to each of the selected documents.

To apply a tag to all documents and attachments in a query simultaneously To apply a tag to all documents and attachments in a query simultaneously:

1.Open the Tags task pane.

2.Run the appropriate search to limit the documents you have to review.

3.Open the Table view to view the search results.

4.In the Tags panel, right-click the tag, and then select Tag Query & Attachments.

If no attachments are found for a document, the selected tag is applied to all the documents in the current query.

5.When prompted, confirm the number of documents to tag.

A red check mark appears in the tag's check box, and the tag is now added to each of the selected documents and associated attachments.

To remove a tag from multiple documents simultaneously To remove a tag from multiple documents simultaneously:

1.Open the Tags task pane.

2.Run the appropriate search to limit the documents you want to remove a tag.

3.Open the Table view to view the search results.

4.In the Table view, select all the documents you want to remove tags.

5.In the Tags task pane, click the tag's check box, right-click the tag, and then select Untag all documents in query.

The tag's check box is now empty and the tag is removed from each of the selected documents.

Creating a query from tags Creating a query from tags

If you need to identify which documents have a particular tag applied to them, you can easily do so by creating a query from a tag.

To create a query from tags To create a query from tags:

1.Open the Tags task pane.

2.In the Tags task pane, select the tags you want to query.

You can select multiple tags by pressing the SHIFT or CTRL key while selecting multiple tags.

3.Right-click the selected tags and select Create query from tag(s).

All documents that are tagged with the selected tags display in Table view.


Organizing tags
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Folders are used to organize similar types of tags, allowing you to easily focus on the tags that matter to you at that moment. Once a review has begun, you can review tag history and statistics to see what tags are applied to a document, who applied the tags and when. You can also perform queries on multiple tags or folders, allowing you to use a document’s tag status as part of a complex search.

Creating folders Creating folders

When you create a folder you must add at least one tag to the folder, or the folder will not be saved. You cannot create empty folders.

To create a folder To create a folder:

1.Open the Tags task pane.

2.In the Tags task pane right-click, point to New, and then click Folder.

3.Type the name of the new folder and then press Enter.

4.Right-click the new folder, point to New, and then click Tag to create a tag within the folder.

5.Type the name of the new tag and then press Enter.

When you are creating a folder, you must add at least one tag to the folder.

To create a folder and set of tags for your individual review of documents, you can easily do so. For more information, see Creating Personal Folders and Tags.

If you need to remove a folder or tag, contact your Concordance Desktop administrator.

Creating Personal folders and tags Creating Personal folders and tags

To keep the tag panel uncluttered for all users, you can create a personal folder and custom tags specific to your own review needs. When you create personal folders, they are not visible in the Tags panel for other users.

1.Open the Tags task pane.

2.In the Tags task pane right-click, point to New, and then click Folder.

3.Type the name of the new folder, and then press Enter.

Personal folders are pink and can only be viewed by the user who created the folder and the administrator. All public folders are yellow.

4.Right-click your personal folder, point to New, and then click Tag to create a tag within the folder.

5.Type the name of the new tag, and then press Enter.

When you are creating a folder, you must add at least one tag to the folder, or the folder will not be saved when you end your Concordance Desktop session. You cannot create empty folders.

If you need to remove a folder or tag, contact your Concordance Desktop administrator.

Reorganizing tags and tag folders Reorganizing tags and tag folders

1.Open the Tags task pane.

2.In the Tags task pane, do any of the following:

·To move a single tag from one folder to another folder, select the tag and drag to the new folder.

·To move multiple tags, press CTRL and click the tags to move, and then drag the tags to the new folder.

·To move a folder and all the tags in the folder, click the folder and drag to the new location.

·To move multiple folders, press CTRL and click the folder to move, and then drag the folders to the new location.

For a tag folder to exist in Concordance Desktop, it must have at least one tag in it. If you move all the tags out of a folder, the folder will be deleted.


Creating queries from tags
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

As your team reviews documents and categorizes them using various tags, you may want to search on multiple tags to find documents that have more than one tag applied. For example, you may want to run a search to find all documents that your team has tagged as both Responsive and Privileged so you can redact content prior to production. You can search on multiple tags individually or by folder.

Query results are displayed within the Tags task pane and the Review screen, where they are stored and can be rerun later. A query created from a tag becomes the current query and it can be used just like any group of retrieved records. Concordance Desktop stores the tagging information in the .TRK file, so it remembers the tagged documents and tag descriptions between query sessions.

Querying tags by a tag Querying tags by a tag

There are two ways you can query multiple tags. You can query multiple tags together in one query or you can query the tags individually and then combine the individual queries into one complex search query.

For more information about complex search queries, see Running complex clause searches.

To query multiple tags combining individual queries To query multiple tags combining individual queries:

1.Open the Tags task pane.

2.In the Tags task pane , select the tag you want to query.

3.Right-click the selected tag and select Create query from tag(s).

All documents that are tagged with the selected tags display in Table view.

4.In the Tags task pane, select another tag to query.

5.Right-click the selected tag and select Create query from tag(s).

All documents that are tagged with the selected tags display in Table view.

6.Click the Review button on the Standard toolbar to review your queries in the Review view.

7.In the Review view, identify the search numbers for both of the tag queries you created.

8.In the Search field, type the numbers with the AND operator between them and press Enter.

For example, if the searches were numbered 12 and 13, then type 12 AND 13 to combine the two searches.

The Table view displays only those documents that have both tags applied.

This new search combines the initial queries into a new complex query, locating documents that contain both tags.

Querying tags by folder Querying tags by folder

If you need to identify which documents have particular tags from a specific tag folder, you can easily do so by creating a query from a folder.

To create a query from folders To create a query from folders:

1.Open the Tags task pane.

2.In the Tags task pane, select the folders you want to query.

You can select multiple folders by pressing the SHIFT or CTRL key while selecting multiple folders.

3.Right-click the selected folders and select Create query from tag(s).

This selection says tag(s) instead of folders, but the query process applies to both tags and folders.

The Table view displays all the documents tagged with any of the tags in the selected folders.


Viewing tag history
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Tag history panel displays two types of information:

·Added Tags - tags that exist on the current document record, including who applied the tag and when it was applied.

·Deleted Tags - tags that previously existed on the current document record, but are now removed, including who deleted the tag and when.

As you navigate records, your tag history changes to reflect the history of each selected document.

To review tag history To review tag history:

1.Select a document record that has been tagged.

2.Open the Tags task pane and select the Tag history panel.

3.Scroll to view all tags that are applied and removed from the current document.

4.Click the plus or minus sign next to the tag status to view or hide a category listing.


Viewing tag statistics
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Tag statistics panel allows you to monitor the tags applied, in categories by tag or reviewer, for a certain time frame. This feature is useful when monitoring an individual’s review progress.

To review tag statistics To review tag statistics:

1.Open the Tags task pane and select the Tag statistics panel.

2.In the From and To fields, select the date range you want to review.

3.Click the Refresh button to display the tag statistics.

4.Scroll to view all tags and users listed.

The Tags list displays the name of the reviewers who applied the tag, and how many records the tag was applied to by the user.

The Users list displays the tags applied by each reviewer, and how many times the user applied each tag.

5.Click the plus or minus sign next to the users and tags to view or hide the statistics.


Sorting Records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The results of any search are sorted in the order in which the documents are added to the database. You may want to sort your documents chronologically, by author, by document type, or by any other field you have in your database to help speed up your review.

The Sorting layout feature provides additional tools to customize and save how records are sorted in the Browse view to display the desired result. For more information, see Using sorting layouts. The Table layout feature provides the tools to create customized public and a private layouts for viewing data in the Table view. For more information, see Using table layouts.

When you are sorting, you need to remember that it only affects your current search results.

Additional methods for sorting records:

Returning all records Returning all records

After sorting and reviewing your records, you can to refresh the sort order to its original state using the All button. Click the on the Standard toolbar All button to quickly return all records to the sort order in which they were added to the database. You can also toggle the All button to switch between your current query and viewing all records in the database.
Quick sort Quick sort

After running any search, you may want to sort your documents to view them chronologically, by author, by document type, or by any other field you have in your database.

In order to sort your documents by a field, click a column heading in the Table view. Documents are sorted in ascending order by the selected field. To sort in descending order, click the column heading a second time. The arrow in the column header indicates the current sort order. For more information, see Using table layouts.
Sorting by selected fields Sorting by selected fields

In the Table view you can sort documents by a single field. With Sorting layouts, you can go a step further and perform multi-level sorting of records using up to four fields at once. For more information, see Using sorting layouts


Using sorting layouts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Sorting feature in Concordance Desktop determines the order records are displayed in the Browse view. The fields selected in the Sorting Layout dialog box define the order the records are returned for viewing. For example, if you select to sort the records by the fields: BEGNO, DOCDATE, and AUTHOR, then the records are first sorted by the records BEGNO number, then the document date and then by the document's author. You can also choose whether the field is to sort in Ascending or Descending order.

Sorting layouts are created and maintained in the Sorting Layout dialog box and saved as a .Sortlayout file on your local machine in the same directory as the database. There are no limits to the number of sort layouts that can be created and saved; however, sort layouts are specific to the database for which they were created.

Sorting layouts are specific to a database and user. Therefore, if you are working in a database and using a sorting layout that you created, and another user accesses the same database, the sorting layout you are using is not affected by the other user or their sorting layout.

Sorting layouts are compatible with concatenated databases. The fields available in the Sorting Layout dialog box are those fields associated with the primary database.

When creating sorting layouts for concatenated databases, keep the following in mind:

·All databases in a concatenated set are sorted according to the sorting layouts for the primary database when accessed from the concatenated set.

·Database fields in a concatenated set other than the primary will not appear in the Sorting Layout dialog box unless they are opened separately.

·If the field structures for the primary database do not completely match the field structure of concatenated databases, the sorting layout may not sort the concatenated databases as expected.

·In order for field structures of concatenated databases to match, they must have identical field names and field types and be listed in the same order.

·Each sorting layout is limited to four fields.

It is recommended that the .Sortinglayout file not be marked as Read-Only as this will prevent the ability to create or switch layout views.

Sorting layout dialog box

Icon | Description
Single Database and Compatible Concatenated Databases
 | Primary database
 | Available sort layout
 | Field sort order - Descending
 | Field sort order - Ascending
Incompatible Concatenated Databases
 | Available sort layout containing fields that are not compatible with the concatenated set of databases
 | Field sort order - Descending (inconsistent layouts may appear for each concatenated database)
 | Field sort order - Ascending (inconsistent layouts may appear for each concatenated database)

To create a sort layout To create a sort layout:

1.On the Standard toolbar, click the Sorting button.

2.In the Layouts tree, click the New button.

3.Type the name of the new layout.

4.To add fields to the layout, in the Available fields list, do one of the following:

·Drag a field to the new layout.

·Double-click a field.

·Press CTRL+click or SHIFT+click to select multiple fields and then drag the fields to the new layout.

5.To change the order of the fields sort the database in the layout, in the Layouts tree, drag a field to the desired position.

6.To set sort order for the field data, right-click the field, and then click either Ascending or Descending.

7.When finished, click OK.
To modify a sort layout To modify a sort layout:

1.On the Standard toolbar, click the arrow next to the Sorting menu, and then click Sort layout to open the Sorting Layout dialog box.

2.To change the field order, drag a field in the Layout tree to the desired location.

3.To remove a field, in the Layout tree, do any of the following:

·Right-click a field, and then click Delete.

·Double-click a field.

4.When finished, click OK to apply your changes.
To view a sort layout To view a sort layout:

Do one of the following:

·From the View menu, click Sorting, and then click the layout name.

·On the Standard toolbar, click the arrow next to the Sorting menu, and then click the layout name.

To delete a sort layout To delete a sort layout:

1.On the Standard toolbar, click the Sorting button arrow, and click Sort layout to open the Sorting Layout dialog box.

2.Right-click the layout you want to delete in the Layouts tree and then click Delete.
To rename a sort layout To rename a sort layout:

1.On the Standard toolbar, click the Sorting button arrow, and click Sort layout to open the Sorting Layout dialog box.

2.Click the layout name to change, and then type a new sort layout name.

The default user sort layout is automatically created when the database is opened. This sort layout cannot be renamed.


Using table layouts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Table view uses table layouts to determine the fields and order of the fields displayed within the view. Table layouts can be used to customize viewing preferences or to support sort methods specific to a review.

Table view layouts are created and maintained on the Table Layout dialog box. For each database, each user has one private layout, that is accessible only to the user. Any additional layouts created for a database are public and accessible to everyone using the same database. A database's public layouts can be created, edited, or deleted by anyone in the database.

Be selective when creating table layouts for a database. Too many table layouts in a database can slow down the database's processing speed.

If you have a table layout design that works well in other databases, you can copy and paste the .layout file into other database directories, and then rename the file with the new database name.

If you are using Table View to display long documents, such as depositions or resumes, you can get much faster performance if you do not display full text Paragraph fields. If necessary, add fixed length fields to your database, which have identifying information, such as a name, date and serial or volume number. Then use those fields for Table View. By selecting only fixed length text, date or numeric fields, large full text portions are not loaded. This improves performance for long document types.

It is recommended that the .layout file not be marked as Read-Only as this will prevent users from creating or switching layout views.

To create a table layout To create a table layout:

You can only make new layouts for the database currently selected. Any layouts created in addition to your private table layout are accessible to all reviewers, and can be altered or deleted by them as well.

1.On the Standard toolbar, click the Table button arrow, and then click Table layout to open the Table Layout dialog box.

In the Table Layout dialog box, the green box with your Windows User ID is your private table layout that is customizable and viewable only by you.

Users are permitted one private table layout per database.

2.In the Layouts tree, click the New button to create a new layout .

3.Type the name of the new layout.

4.To add fields to the layout, in the Available fields list do any of the following:

·Drag a field to the new layout.

·Double-click a field to add the field to the new layout.

·Press CTRL+click or SHIFT+click to select multiple fields and then drag the fields to the new layout.

The order the fields are listed in the Layouts tree is the order in which the fields appear in the Browse and Edit views.

5.To change the order of the fields in the layout, click a field in the layout and drag it to the desired position in the Layouts tree.

6.When finished, click OK.

7.To view a saved layout, on the Standard toolbar, click the arrow next to the Table button, and then click the layout name.

The Table view layout is not persisted if a sorting layout is applied to the view. Creating a sorting layout will automatically apply a Zero query, returning all documents and sorting the records based on the specified sorting layout.

To modify a table layout To modify a table layout:

1.On the Standard toolbar, click the Table button arrow and click Table layout to open the Table Layout dialog box.

2.To change the order of a field in a table layout, click a field in the layout and drag it to the desired place in the Layouts tree.

3.To remove a field in a table layout, right-click a field in the layout and click Delete.

You can also double-click a field in the layout to remove the field.

4.Click OK to close the Table Layout dialog box and apply your changes to the Table view.

To view other table layouts To view other table layouts:

In the Table view you can switch between the different table layouts created for the selected database.

On the Standard toolbar, click the arrow to the right of the Table button then click the layout name for the layout you want to view in the Table view.

The check mark next to a layout indicates the layout currently displayed in the Table view.

To delete a table layout To delete a table layout:

Only public table layouts can be deleted in Concordance Desktop. When you delete a table layout, it is deleted for all users using the same database.

You cannot delete your private table layout or the table layout currently displayed in the Table view. The Delete command in the Table Layout dialog box is unavailable for private table layouts and the table layout currently displayed in the Table view.

To delete the public table layout currently displayed in the Table view, you first need to display a different layout in the Table view.

1.On the Standard toolbar, click the Table button arrow, and click Table layout to open the Table Layout dialog box.

2.Right-click the layout you want to delete in the Layouts tree and then click Delete.


Editing Records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop is fully equipped to handle a rolling production environment with features that allow editing records as needed. Attorneys find the editing tool useful for adding comments directly to a document record during the case review. Administrators can add an Attorney Notes field to the database for this purpose.

The editing tool is also useful when there is limited information in the database to search. Sometimes a paralegal or staff member may be assigned to add missing information, such as the dates, authors, and recipients, to every document in a database to help locate documents authored by a particular individual to another individual within a specific time frame during searches.

When the Edit view is opened the Edit pane appears on the left and the Edit toolbar at the bottom of the workspace. By default the Edit view is blank, providing the ability to customize the view to display only those fields you want to edit for each record in the database. The Edit pane lists all the available fields that can be added to the view. Only those fields you have full rights can be edited.

The customization of the Edit view is not available for the Append and Ditto features.

Edit tools Edit tools

When you click the Edit button on the Standard toolbar, the four Edit view tools on Dynamic toolbar are displayed:

·Fields - accesses a field listing to insert data from another field

·Ditto - allows you to copy field data from another record Note that Ditto can on be used on migrated 10.x DAT, E-mail and Attachment, or Transcript databases. Ditto cannot be used for Concordance 10.21 E-document databases, and all databases created in Concordance Desktop.

·Delete - allows you to mark or unmark a document for deletion

·Undo - displays the Edit Options dialog to allow you to undo or abandon edits
Edit Options dialog box Edit Options dialog box

Clicking the Undo button on the Dynamic toolbar opens the Edit Options dialog box.

The Edit Options box offers the following options:

·Reset document - removes applied edits and restores the record to its original state

·Blank document - erases all field content in a record

·Delete document - marks the record status for deletion

·Undelete document - removes the Delete status for a record

·Abandon and quit - exits the current record and exit Edit mode, any applied edits are not saved
Rich Text toolbar Rich Text toolbar

When you click the Edit button on the Standard toolbar, the Rich Text toolbar displays under the Standard toolbar. On the Rich Text toolbar you can adjust the font size, color, and spacing in edit form fields.
Edit Mode options Edit Mode options

When opening up a record in edit mode in the Edit view, Concordance Desktop has formatting options that can be applied to data within a specific field. These formatting options include: Upper case, Lower case, Capitalize, and Reset field formatting.

To change the format of existing data within a field To change the format of existing data within a field:

1.In the Edit view, select the word or blocks of text that you want to format.

2.Right-click the text and click the applicable formatting option.

Your changes are saved when you navigate to another record or view in Concordance Desktop.


Creating edit layouts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

To make editing easier, Concordance Desktop provides the ability to select specific fields and change the order they are displayed in the Edit view. Changing field display settings only affects your view of the fields, it does not affect field display for other users. These field settings apply to all records within the database.

Concordance Desktop uses edit layouts to determine the fields and order of the fields displayed within the view. Edit layouts are created and maintained on the Edit Layout dialog box and stored in the <databasename>.Editlayout file. An edit layout can be created or edited by anyone in the database. However, only the Concordance Desktop Administrator or person who created the layout have permissions to delete it.

When creating an Edit Layout for a concatenated set, only the fields of the primary database are displayed in the Available Fields list for non-identical concatenated databases.

The .Editlayout file should never be marked as Read-Only, as this will prevent users from creating or switching layout views.

To create an edit layout To create an edit layout:

You can only make new layouts for the database currently selected. All edit layouts are accessible to all reviewers and can be altered by them as well.

1.Do one of the following:

·On the View menu, click Edit View, and then Edit Layout.

·On the Standard toolbar, click the Edit button arrow, and then click Edit layout.

·On the Standard toolbar, click the Edit button, right-click within a field, point to Layout and then click Edit Layout.

2.In the Edit Layout dialog box, click the New button to create a new layout .

3.Type the name of the new layout.

4.To add fields to the layout, in the Available fields list do any of the following:

·Drag a field to the new layout.

·Double-click a field to add the field to the new layout.

·Press CTRL+click or SHIFT+click to select multiple fields and then drag the fields to the new layout.

The order the fields are listed in the Layouts tree is the order the fields appear in the Edit view.

5.To change the order of the fields in the layout, in the Layouts tree, click a field and drag it to the desired position.

6.When finished, click OK.

The new layout view is displayed in the Edit view.
To modify an edit layout To modify an edit layout:

1.Do one of the following:

·On the View menu, click Edit View, and then Edit Layout.

·On the Standard toolbar, click the Edit button arrow, and then click Edit layout.

·On the Standard toolbar, click the Edit button, right-click in a field, point to Layout and then click Edit Layout.

2.In the Edit Layout dialog box, from the Layouts tree, select the layout you want to edit.

3.Do any of the following:

·To change the field order, click a field and drag it to the desired location in the Layouts tree.

·To remove a field, right-click a field in the Layouts list, and then click Delete.

You can also double-click a field in the layout to remove the field.

4.When finished, click OK.

If all the fields are removed from a layout, then the layout itself is removed. The active layout cannot be deleted.

To view saved edit layouts To view saved edit layouts:

In the Edit view you can switch between the different edit layouts created for the selected database.

Do any of the following:

·On the View menu, click Edit View, and then click the layout name to view.

·On the Standard toolbar, click the Edit button arrow, and then click the layout name to apply..

·On the Standard toolbar, click the Edit button, right-click in a field, point to Layout and then click the layout name to view.

The check mark next to a layout indicates the edit layout currently displayed in the Edit view.


Editing records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Editing existing records is done most often when records are added to Concordance Desktop but are missing information that needs to be captured in the system to identify it, such as the document title, author, and date it was created.

If you are an attorney entering summary notes or a paralegal adding missing data to records, you are only able to access fields that you have permission to edit. Fields that can’t be edited display in gray. Other data entry restrictions may be placed on fields by your Concordance Desktop administrator.

Each time you edit a record, any changes are saved when you navigate to another record or change your view in Concordance Desktop. New information is not full-text searchable until the database is reindexed to refresh the dictionary.

If you try to edit a record that someone else has open for editing, the record will be locked and displays as read-only with gray fields and a LCK notification displays in the Status bar.

For more information about field lists containing word selections that reduce data entry time, see Using Word Lists.

Editing = coding. Use caution when working in the Edit view. You can spoliate documents if you are not careful, damaging the integrity of your original database records and impacting the search results of others.

To edit an existing record To edit an existing record:

1.In the Browse or Table view, select the record .

2.On the Standard toolbar, click the Edit button to activate edit mode for the record.

By default, all the fields are displayed in the Edit view. Some fields may be gray because you don’t have permission to edit these fields.

3.To apply an edit layout, do one of the following:

·On the View menu, click Edit View, and then click the layout name to apply.

·On the Standard toolbar, click the Edit button arrow, and then click the layout name to apply.

·In the Edit view, right-click within a field, point to Layout and then click the layout name to apply.

For more information about Edit Layouts, see Creating edit layouts.

4.To resize a field in the Edit view, select the bottom border box of the field and drag it down the page to expand the field size. The fields are distinguishable by having a raised border and can be resized during data entry to make editing easier.

5.Make your edits.

Concordance Desktop automatically saves your edits as soon as you navigate to another record or change your view in Concordance Desktop.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

6.To reindex the database, on the File menu, click Reindex.
Using Word lists Using Word lists

In most document databases, some data entry work is unique, like attorney review comments, but much of it is repetitive. For example, if you are cataloging correspondence between the principal players in a case, the same names are repeated again and again.

Having these names or other repetitive words available in word lists allows you to insert them in respective database fields reducing the amount of typing necessary. This feature also minimizes data entry errors. For example, you can pick Wocjieweiski from a list instead of having to remember how to spell it each time you need to enter the name into a field.

Word lists can be used for any repetitive data entry fields, such as document type (letters, memos, reports, etc.), privilege (attorney client privilege, trade secret, etc.), or any field where the same set of terms is used over again.

Word lists are set up by your Concordance Desktop administrator. If you want a word list added to a particular field, contact your Concordance Desktop administrator.

There are numerous ways to open a word list in Concordance Desktop. You can only open a word list when you are in the Edit view.

To open a word list To open a word list:

For fields associated with a word list, the first time you click in the field, the associated word list automatically opens. To open the word list if the word list does not automatically open, begin typing the value or right-click in the field to open the associated word list.

For fields not associated with a word list, do one of the following:

·Press CTRL + L, select the word list, and click Open.

·Right-click in the field and click Word Lists or the associated field list. If you select Word Lists, navigate to and open the word list file.

·On the Edit menu, click Lists, then Word Lists, and then navigate to and open the word list file.

To populate a field using a word list To populate a field using a word list:

1.In the Browse or Table view, select the record.

2.On the Standard toolbar, click the Edit button to open the Edit view and activate edit mode for the record.

By default, all the fields are displayed in the Edit view. Some fields may be gray because you don’t have permission to edit these fields.

3.To apply an edit layout, do one of the following:

·On the View menu, click Edit View, and then click the layout name to apply.

·On the Standard toolbar, click the Edit button arrow, and then click the layout name to apply.

·In the Edit view, right-click within a field, point to Layout and then click the layout name to apply.

For more information about Edit Layouts, see Creating edit layouts.

4.For fields associated with a word list, the first time you click in the field, the associated word list automatically opens in the Word List dialog box. To open the word list if the word list does not automatically open, begin typing the value or right-click in the field to open the associated word list.

For fields associated with a word list, you can also populate the field with a value from a different word list. To use a value from a different word list, click the field. From the Edit menu, point to Lists, and click Word Lists. Navigate to and open the word list file.

For fields not associated with a word list, click field you want to populate and open a word list. To open a word list do one of the following:

·Press CTRL + L, click the word list, and then click Open.

·Right-click in the field and select Word Lists or the associated field list. If you click Word Lists, navigate to and open the word list file.

·On the Edit menu, click Lists, then Word Lists, and then navigate to and open the word list file.

5.Select a value from the word list and click the Add button.

For long word lists, you can quickly locate the value you are looking for by typing the first couple letters or characters of the value in the field below the word list. For example, typing S takes you to the values beginning with the letter S.

The Add button adds the selected value to the field and closes the Word List dialog box.

Concordance Desktop automatically saves your edits as soon as you navigate to another record or change your view in Concordance Desktop.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

6.To reindex the database, on the File menu, click Reindex.
To add a new entry to a word list To add a new entry to a word list:

1.Open a word list.

2.Type the value you want to add to the list in the field below the word list.

3.Click the Insert button.
To delete a value from a word list To delete a value from a word list:

1.Open a word list.

2.Select the value you want to delete from the word list.

3.Click the Delete button.


Formatting field text
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the Edit view you can format individual field text. You can change the text's case and add or remove rich text formatting. When you modify text formatting in a field in the Edit view, the formatting only applies to the field text in the current record.

If rich text formatting has been applied to field data, you may need to change the rich text formatting in a field to plain text to save space or remove certain text formatting that affects the precision of hit highlighting when searching in Concordance Desktop.

If you need to remove rich text formatting from a field in multiple records in the database, administrators can use the Bulk Field Format Reset feature. For more information about the Bulk Field Format Reset feature, see Removing rich text from multiple records.

To change text case in the Edit view:

1.In the Edit view, open the record containing the text you want to modify.

2.Select the text.

3.Right-click the selected text and click one of the following:

·Upper - changes each letter in the selected text to upper case.

·Lower - changes each letter in the selected text to lower case.

·Capitalize - changes the first letter of the selected text to upper case. If you selected multiple words, the first letter of each word will be capitalized.

The Upper, Lower, Capitalize functions are also available using the Format option under the Edit menu.

Concordance Desktop automatically saves your edits as soon as you navigate to another record or change your view in Concordance Desktop.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

4.To reindex the database, on the File menu, click Reindex.
To add rich text formatting to text in the Edit view:

Rich text can be imported into Concordance Desktop or added to text from the Format toolbar in the Edit view.

Use the Format toolbar to change the font type, size, bold, italic, underline, and color. You can also change the alignment of a paragraph, indent the paragraph, or, make it a bullet list.

1.In the Edit view, open the record containing the text you want to modify.

2.Select the text.

3.On the Format toolbar, apply the rich text formatting you want for the text.

Concordance Desktop automatically saves your edits as soon as you navigate to another record or change your view in Concordance Desktop.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

4.To reindex the database, on the File menu, click Reindex.
To reset a field's rich text formatting to plain text:

1.In the Edit view, open the record containing the text you want to modify.

2.Right-click in the field containing the text you want to modify and click Reset Field Formatting.

Clicking Reset Field Formatting removes the rich text formatting from all text in the field and changes the text to plain text. Clicking Reset Field Formatting does not change the field's case sensitivity.

The Reset Field Formatting function is also available using the Format option under the Edit menu.

Concordance Desktop automatically saves your edits as soon as you navigate to another record or change your view in Concordance Desktop.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

3.To reindex the database, on the File menu, click Reindex.


Using Ditto to copy field data from record to record
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

IMPORTANT NOTE: Ditto cannot be used on databases created in Concordance Desktop, or on Concordance 10.21 E-document databases that have been migrated to Concordance Desktop. The information below is provided only for the use of Ditto on other Concordance 10.x databases that have been migrated to Concordance Desktop.

Ditto is a tool that can be used for repetitive data entry. When using Ditto, it opens a Duplicate dialog box that allows you to copy fields of data from one record to another, minimizing data entry errors. The Ditto feature is only available in the Edit view.

Ditto offers the following options through the Duplicate dialog box:

·Copy previous - copies data from a previous document into a new or edited document

·Copy from another - copies data from another document into a new or edited document

If you are copying field data from a document to a field containing data in the current document, when you select Copy previous or Copy from another, the data for the selected fields in the current document is overwritten by the data from the other document.

For concatenated databases, only documents in the primary (first) database can be used for copying data.

Using Ditto to copy field data from one record to other records To copy field data from one record to other records:

1.In the Browse or Table view, select the record containing the fields you want to populate from another record.

2.On the Standard toolbar, click the Edit button to open the Edit view.

3.To open the Duplicate dialog box, do one of the following:

4.From the Field list, select the fields containing the data you want to copy to the record.

·On the Edit menu, click Ditto (Edit View).

·On the Dynamic toolbar click the Ditto button.

5.From the Field list, select the fields containing the data you want to copy to the record.

You can select multiple fields by pressing the SHIFT or CTRL key while selecting multiple fields.

DO NOT select the DOCID field, as this field is used by Concordance Desktop as the unique record identifier. Selecting to duplicate (copy) this field will corrupt your database.

6.Do one of the following:

·To copy the data from the previous record, click Copy previous.

·To copy the data from another record, click Copy from another and type this document's current record number.

7.Click OK.

Clicking OK copies the data from the selected fields in the other document to the fields in the current document.

8.Repeat steps 1 through 7 for each record you want to populate with field data from another record.

9.On the Standard toolbar, click the Edit button to turn off edit mode and save your record.

Concordance Desktop automatically saves the new record as soon as you close the Edit view or navigate to another record.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your new records are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays on the File menu next to Reindex.

It is best practice to close out of the Edit view by clicking the Edit button after you are done adding or editing records – and before you exit Concordance Desktop – to ensure that all new records have been saved. If you do not close the Edit view before exiting, you may lose your work.

9.To reindex the database, on the File menu, click Reindex.


Searching for edited records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

To query the database for any documents that have been edited use the Search for edited documents command. When you select Search for edited documents, all documents that have been edited since the last database reindex or index are displayed in Browse or Table view.


Searching for documents with redactions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

To query the database for any documents that have been redacted, use the Search for documents with redactions command. When you select Search for documents with redactions, all documents that have been redacted are displayed in Browse or Table view.


Deleting records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can mark records for deletion one at a time using the Editing tools on the Dynamic toolbar that are available when the Edit view is open. When a record is marked for deletion, DEL is displayed in the status bar. Concordance Desktop administrators can review and retrieve these documents before removing them permanently from the database.

You can also mark multiple records for deletion at one time. By querying for these records, you can mark all of them for deletion at once.

Records are not permanently removed from the database until your Concordance Desktop administrator removes them, so retrieval of documents marked for deletion is available.

To mark individual records for deletion To mark individual records for deletion:

1.In the Browse or Table view, select the record you want to mark for deletion.

2.On the Standard toolbar, click the Edit button to open the Edit view.

3.Do one of the following:

·On the Dynamic toolbar, click the Delete button.

·On the Dynamic toolbar, click the Undo button [image] , click the Delete document option in the Edit Options box, and then click OK.

Clicking the Delete button or clicking Undelete Document in the Edit Options box marks an individual record for deletion. DEL is now displayed in the status bar for the record.

Before a record is permanently deleted by your Concordance Desktop administrator, you can unmark a record for deletion.

To unmark individual records for deletion To unmark individual records for deletion:

1.In the Browse or Table view, select the record you want to unmark for deletion.

2.Click the Edit button on the Standard toolbar to open the Edit view.

3.Do one of the following:

·On the Dynamic toolbar, click the Delete button.

·On the Dynamic toolbar, click the Undo button [image] , select the Undelete document option in the Edit Options box, and then click OK.

When a record is marked for deletion, clicking the Delete button or clicking Undelete Document in the Edit Options box removes the mark for deletion from the record and DEL is removed from the status bar for the record.

To mark multiple records for deletion To mark multiple records for deletion:

1.Run a search for a batch of records that you want to mark for deletion.

2.Verify that the desired records appear in Table view.

3.On the Edit menu, click Delete and Undelete.

4.In the Range field, confirm the range of records to mark for deletion, and then click OK.

Selected records are marked for deletion and a DEL is shown in the status bar for each of the records.

If you accidentally mark records for deletion that should not be deleted, follow the procedures above for deleting multiple records but select Undelete instead of Delete in the Delete and Undelete box. You can also remove the mark for deletions from the individual records using the Delete or Edit buttons on the Dynamic toolbar. Be sure to verify that the DEL status no longer appears for these records.


Working with Transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

With Concordance Desktop you get the benefit of managing your transcripts within the same application as your documents. As a transcription management tool, Concordance Desktop provides you with additional review and annotation features necessary for working with transcripts. You can also join a transcript database with other discovery databases to search across all documents and transcripts at once.

Like other Concordance Desktop databases, transcripts are searched using full-text operators. You can narrow your search to a specific deponent, transcript date, or volume number. Specific fields are used in transcript databases to capture that information.

For more information about joining a transcripts and records database together, see Concatenating Databases.

Viewing Transcripts

Concordance Desktop displays transcripts in a traditional format familiar to most attorneys and paralegals. Transcripts are reviewed in the Browse view with the database listing of individual transcripts in the Table view.

A transcript database has name, date, and volume fields with the full-text of the deposition stored in the text field. These fields are not visible in the Browse view, but you will see them in the Table and Edit views. In a transcript database, you can mark transcripts by line, add notes and issues, and add file attachments or hyperlinks.

Right-click menu options for transcript databases Right-click menu options for transcript databases:

·Change the font size and color while reviewing the transcript on the screen, especially useful if more than one database is open.

·Print the transcript.

·Print selected content of the transcript.

·Add or edit a note or attachment.

·Export the transcript to other litigation software, like CaseMap and Sanction.

You can easily navigate to a transcript you want to review by using the Go to button on the Dynamic toolbar, and entering the document page and line numbers in the Go to box. The transcript document is identified in the Concordance Desktop title bar by name, date, and volume.
There are four ways to annotate a transcript There are four ways to annotate a transcript:

·Apply a Quick Mark

·Create a Note

·Apply an Issue tag

·Add an Attachment

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Adding Quick Marks to transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

A Quick Mark is highlighting applied on the left side of a transcript denoting the page and line number. Simply click on a line number during a cursory review. This is a great way to remind yourself there may be content worthy of a note or issue tag, or simply marks the place where you may want to return in the future.

Quick Marks made in West® LiveNote® are retained if the transcript is imported from that application into Concordance Desktop.


Adding notes to transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Creating notes within a transcript is an ideal way to create a reminder of relevance for case arguments. When you need to find these comments later, you can search the entire transcript database, locate notes attached to a particular transcript, or find both at the same time.

There is no limit to the number of notes or quick marks you can apply per transcript. The first lines of your notes are displayed in the Notes task pane and are also displayed as floating text when you move your cursor over a highlighted note. Notes disappear the instant you delete them, but are not physically removed from the database until your Concordance Desktop administrator removes them.

To add transcript notes To add transcript notes:

1.In the Browse view, select the transcript text or region where you want to apply a note.

2.Right-click the selected text and select New note to open the Notes dialog box.

3.On the Note tab, type the applicable comments.

To apply issues to a transcript, see Applying issue tags to transcripts.

To add attachments to a transcript, see Adding attachments to transcripts.

4.Click OK to save the note and close the Notes dialog box.

Once a note is applied, the area you selected is highlighted and underlined. To view the note text, float your cursor over the highlighted text.

5.If you need to edit a note, right-click a note and then click Edit note.

6.Modify the note text as needed and click OK.

Changes are immediately viewable. However, in order to run full-text searches on new or modified notes in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the notes.

7.To reindex the database, on the File menu, click Reindex.
To delete a note To delete a note:

1.In the Browse view, click the note or right-click the note and select Edit note to open the Notes dialog box.

2.Click the Delete button, and then when prompted click Yes to verify that you want to delete the note.

The note is removed from the database and the next note in the database displays in the Notes box.

3.Click OK to close the Notes box.

Notes disappear the instant you delete them, but are not physically removed from the database until your Concordance Desktop administrator removes them.

Searching Transcript Notes

Once transcript notes are applied, there may be times when you need to search for them in a lengthy transcript.

You can search transcripts notes using:

·Advanced Search panel - enter words found in the notes

·Notes task pane - review notes and jump to a specific note within the transcript

The database must be reindexed before any new notes you entered are searchable.

To search transcript notes using the Advanced Search panel To search transcript notes using the Advanced Search panel:

1.In the Search task pane, open the Advanced Search panel.

2.From the Options list, select Search notes only.

3.Type the type the search value or string in the Advanced Search panel.

4.Click the Search button or press Enter to initiate the query.

Your search results display at the bottom of the Search pane and include those transcripts with notes containing the search value or string.

If multiple transcripts display in your search results, use the Notes panel to review each transcript to find other notes containing the search value or string.
To search transcript notes using the Notes task pane To search transcript notes using the Notes task pane:

1.Open the Notes task pane, in the Note panel, select View by notes.

When you select View by notes, the transcript's notes are displayed in the Notes panel.

2.To view a specific note in the transcript, double-click on the note in the note list to jump directly to that note in the transcript.

In the Notes panel, lines with <empty> are simply transcript notes that do not contain any note text in the note.

Quick marks are also displayed in the Notes panel. The text of a transcript line marked by a quick mark is what is displayed for each quick mark in the Notes panel.


Applying issue tags to transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Tags work well for categorizing documents, because tags mark or categorize an entire document. Transcripts are handled differently from documents in Concordance Desktop. Instead of marking the entire transcript, you are marking a section of text within a transcript. An issue is a type of tag applied to a section of transcript text. When you're adding issues to transcripts, you also have the option of entering comments along with the issue tag for further distinction.

Applying tags to transcripts is not the same method as applying tags to documents records. Tagging is done during review to categorize an entire document. Tagging transcripts with issues is done to digest a transcript based upon a review category.

You can apply issue tags to transcripts from both the Tags task pane and the Notes dialog box.

Document Tags Versus Issue Tags

The difference between a document tag and an issue tag:

·A document tag is applied at the document level. When a document tag is applied to a document, the tag name displays in black text with a blue check box in the Tags task pane

·An issue tag is applied at the text level, within the document. When an issue tag is applied to a document, the tag name displays in red text with a dark red check box in the Tags task pane

To add issue tags from the Notes dialog box To add issue tags from the Notes dialog box:

1.In the Browse view, select the transcript text or region where you want to apply an issue tag.

2.Right-click the highlighted text and select New note to open the Notes dialog box.

3.In the Issues field on the Note tab, select the check box next to the tags you want to apply.

A red check mark next to a tag in the Issues field indicates the issue tag has been applied to the selected text.

To apply notes to a transcript, see Adding notes to transcripts.

To add attachments to a transcript, see Adding attachments to transcripts.

4.Click Apply and then OK to save the issue tag and close the Notes dialog box.

Once an issue tag is applied, the area you selected is highlighted and the tags you applied are selected. The tag name is displayed in red in the Tags panel.

5.If you need to edit the issue tags, right-click the highlighted text and select Edit note.

To remove an issue from a document in the Notes dialog box, in the Issues field on the Notes tab, clear the issue tag check box.

You can also remove an issue from a document in the Tags task pane by right-clicking the issue in the Tags task pane and clicking the Uncheck issue command. Removing the tag in the Notes dialog box or clicking the Uncheck issue command in the Tags task pane does not delete the issue code from the database. Issue codes can be deleted from the Add/Delete panel in the Tag and Issue Management dialog box.

6.Modify the tags as needed and click OK to save your changes.

To view the issues applied to highlighted text, you can double-click the highlighted text or open the Notes task pane, select View by Issues or View by Notes, and double-click the applicable issue or note to open the Notes dialog box.

To add issue tags from the Tags task pane To add issue tags from the Tags task pane:

1.In the Browse view, select the transcript text or region where you want to apply an issue tag.

2.Open the Tags task pane.

3.In the Notes panel, press SHIFT and select the check box next to the tags you want to apply.

The default setting for adding issue tags using the Tags task pane is SHIFT+Left Click. If your Concordance Desktop administrator changed the issue tagging setting to only use a single left click, just select the check box next to the tags to want to apply.

A red check mark next to a tag indicates the issue tag has been applied to the selected text.

To remove an issue from a document in the Tags task pane, right-click the issue in the Tags task pane and click the Uncheck issue command.

You can also remove an issue from a document in the Notes dialog box, by clearing the issue tag check box in the Issues field on the Notes tab. Removing the tag in the Notes dialog box or clicking the Uncheck issue command in the Tags task pane does not delete the issue code from the database. Issue codes can be deleted from the Add/Delete panel in the Tag and Issue Management dialog box.

Some people find that they highlight and select text as they read documents and transcripts. Doing so may cause accidental issue tagging if you are using a single left click to add issue tags. For those users in this scenario, it is best to train yourself to add issue tags using only the right-click menu option. When applying document tags to an entire document record, make certain that no text in the record is highlighted.


Adding attachments to transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Transcripts often reference exhibits and evidence. The ability to view that evidence as you are reading a transcript is useful in your review. Exhibits attached directly to a transcript excerpt are an easy way to refer back to those exhibits.

Concordance Desktop allows you to browse to your hard drive, network, or the Internet to attach a file, creating a direct hyperlink to a file or Web site so that it can easily be referenced later.

To add attachments to transcripts To add attachments to transcripts:

1.In the Browse view, select the transcript text or region where you want to add an attachment.

2.Right-click the highlighted text and select New note.

3.Click the Attachment tab.

4.Select the file type's destination or location from the Attachment type list:

·<none> - field defaults to <none> until an attachment is added

·External - to attach an external file or link to a Web site

·Viewer - to attach a document image from a Concordance Desktop database

·Clipboard - to copy the highlighted text to the Microsoft Windows clipboard

·Internal - used by the system only

5.Click the Browse button next to the Attachment field and locate the applicable files or Web site.

6.Click the Open button on the Open dialog box to add the path to the files or Web site address to the Attachment field.

7.To automatically launch the file or Web site with one click, select the Open attachment when note is clicked check box.

If the Open attachment when note is clicked check box is not selected, users have to right-click the note and select Run attachment to open the attachment.

To apply notes to a transcript, see Adding notes to transcripts.

To apply issues to a transcript, see Applying issue tags to transcripts.

8.Click OK to save the attachment.

9.If you need to edit the attachment, right-click the highlighted text and select Edit note. Modify the attachment information as needed and click OK to save your changes.

If you select <none> from the Attachment type field but do not delete the file path or Web site address from the Attachment field, Concordance Desktop does not permanently remove the path or address. Concordance Desktop only blocks the attachment from launching when someone is reviewing the highlighted text.

10.To save a copy of the attachment, right-click the highlighted text and select Save attachment as to save it to your hard drive or network.


Reviewing transcript notes
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A quick review of a transcript notes and issues can be done in the Notes task pane. The notes, issue tags, and attachments associated with the current transcript are listed in the Notes and Issues panels. Click a listed item to quickly jump through all the annotations in a transcript.

To review notes and issues in a transcript To review notes and issues in a transcript:

1.Open the transcript in the Browse view.

2.Open the Notes task pane.

3.In the Notes panel, do one of the following:

·To view by notes, select View by notes.

·To view by issues, select View by issues.

Selecting View by notes displays a list of the notes applied to the transcript in the Notes panel.

Selecting View by issues displays a list of the issues applied to the transcript in the Issues panel.

4.Click a note in the Notes panel to instantly jump to the highlighted region of the transcript.

5.Click an issue in the Issues panel to instantly jump to the tagged region of the transcript.

You can also double-click a note or issue to jump to the transcript note and open the Notes dialog box and edit the note, issue, and/or attachment.

Notes and issues in the Notes task pane display in the order they appear in the transcript, not in the order applied.

The properties for the selected note or issue are displayed in the Properties panel below the Notes and Issues panels. The Properties panel displays the location of the note or issue in the transcript, any added note text, and the path to any attached file or Web site address.


Printing
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Media files are usually only printed in productions by your Concordance Desktop administrator once annotations are completed and all redacted content marked. This ensures that opposing counsel does not receive any original copies and other staff do not view privileged content. However, there may be instances when you need to print images or create certain reports for case review prior to production.

Concordance Desktop provides several printing options for document records and transcripts, and can be used to create and print a variety of customized reports based on search results, field content, tagged document sets, and transcript annotations. Printing options are available in the Browse and Table views. The view you print from determines the format of the print output. The print output format looks similar to the view you print from.

You can print single pages using the viewer or a set of media or image files from Concordance Desktop using the Print CNV command on the Tools menu.

In Concordance Desktop you can print:

·Records directly from the Browse view

·Record batches based on queries

·Transcript annotation reports (Annotation Report Writer)

·Tagged record lists

·Summary reports from the Table view (Report Writer or Send to Excel)

·Selected field data

·Multiple annotated media files from CNV as a batch

Using the viewer you can print:

·Redacted media (documents/images)

·Single documents (a single document may contain multiple pages)

When a batch of images are printed, the original images never change. Annotations, highlights, and other markings are stored in the Concordance Desktop database, and can be modified without modifying the original image. Selected annotations and headers and footers can be applied to only the paper copies of images for printing or fused directly onto new images when produced. When images are printed, they have a slightly smaller output than the original image. Images are automatically reduced by 2 or 4 percent, based on the type of image file.

While you have basic options for printing page numbers and dates, Concordance Desktop also offers selections for printing highlighted annotations, underlined hits, field labels, and more. These print options are useful for printing sets of records for full-text review or to print annotations from transcripts.

You can also print a spreadsheet report of queries displayed in Table view with field text in the sort order selected. This option is useful when a summary listing is appropriate.

With lengthy documents like depositions, transcripts, and research reports, print a Keywords in Context (KWIC) report to capture pertinent information in context, like the deponent's name or article title.

If you need to print from the Table view, try exporting the content to Excel and printing it from there. For more information about exporting table data and exporting numerical data, see Exporting Concordance Desktop data.

Your Concordance Desktop administrator or Litigation Support Manager is typically in charge of printing productions because of the sensitivity involved in running a production. We highly recommend that any staff tasked with printing productions receives proper Concordance Desktop administration training before attempting to do so with live databases.

For more information about producing new image files using the Production Wizard, see Creating a production.


Printing individual records and transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can print an individual record, transcript, or selected text from the Browse view. When you print from the Browse view, Concordance Desktop only prints the record or transcript file currently displayed in the Browse view.

Before you print a record or transcript, you can preview how the document will print by clicking Print Preview on the File menu.

If you have another view, such as the Table view, open with the Browse view, the Print and Print Preview menu selections may be disabled on the File menu. Click on the record or transcript file in the Browse view to activate the Print Preview and Print menu selections.

For additional print options, you can click the Print button on the Standard toolbar. For more information about printing from the Standard toolbar, see Printing standard reports.

To print an individual record or transcript To print an individual record or transcript:

1.In the Browse view, open the record or transcript you want to print.

2.On the File menu, click Print or right-click in the Browse view and click Print record.

3.Click OK to print the record or transcript file.
To print selected text in the Browse view To print selected text in the Browse view:

1.In the Browse view, select the text you want to print.

2.Right-click the selected text and click Print selection.

3.Click OK to print the selected text.


Batch Printing with Concordance Desktop Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Batch printing allows you to print what is seen in the viewer formultiple documents. In Concordance Desktop, batch printing is known as CDV Printing. The CDV Printing feature allows you to print markups (annotations), add synopsis and separator sheets, and add headers/footers and watermarks.

If you want to print documents or images from concatenated databases, each database must be similar in structure, contain media keys, a current .CIB file, and you must have a minimum of ReadOnly access.

When printing documents, be aware of the following:

·If you are printing documents that have been reviewed and redacted in the viewer, be aware that any redaction placed on the document will print transparent revealing the text underneath. If you want to print redactions as opaque, you must run the documents through the Production process in Concordance Desktop, then print the produced document.

·Printing documents that contain markups to Adobe PDF using the File > Print option, does not permanently burn the markups in the document. If you want markups burned in, you must run the documents through the Production process in Concordance Desktop, then print the produced document.

The CDV Printing bulk printing feature is only available in Concordance Desktop when you are using the viewer for reviewing and annotating documents.

When including Synopsis and Separator Sheets in a bulk print job, you may experience delayed print times. This is due to how Concordance Desktop processes the synopsis and separator sheets at print time.

Concordance Desktop Viewer Printing

Concordance Desktop Viewer Printing

Before scheduling a batch print run, you first need to identify and locate the documents you want to print using one of the Search tools available in Concordance Desktop. See, Available search tools.

Identifying documents for printing

1.In Concordance Desktop, open the database containing the documents you want to print.

2.Run a search query to locate the documents you want to print.
Using CDV Printing

1.In Concordance Desktop, from the Tools menu, click CDV Printing.

2.Specify the printing parameters:

Setting print run parameters:

1.Select the Printer you want to use for printing the documents/images.

2.Select the appropriate Document Range:

·To include all the documents in the query, click All.

·To include a selected set of documents from the query, click Range, and then specify the range of documents you want to print. The default range is the complete range of documents in the current Concordance Desktop query.

3.Select the appropriate Page Range:

·To include all the pages of a document in the query, click All.

·To include a selected set of pages of a document in the query, click Range, and then specify the range of pages for a document.

4.To include data from Concordance Desktop fields that you have Read access (minimum):

·Select Yes for Concordance Desktop Synopsis.

·In the DBCB Field Names field, click the field, and then click the Browse button [image].

·In the DBCB Fields dialog box, select your desired database fields:

oTo select all the fields, click Select All.

oSelect specific fields by clicking the check box for each desired database field you want to include on the Synopsis sheet.

oTo change the order of database fields on the Synopsis sheet, select the field and click the Move UP or Move DOWN buttons.

oClick Save in the DBCB Fields dialog box.

·In the Synopsis Font field, click the field, and then click the Browse button [image] .

·In the Font dialog box, do the following:

oIn the Font list, click the font.

oIn the Font Style list, click the font style.

oIn the Size list, click or type the font size.

The Synopsis Separator sheets may, together, contain up to 32 unique database fields. Both sheets may contain the same database fields, which counts as a single unique field. For example, if you add three fields, BegNo, Admin1, and Filepath field to the Synopsis sheet, and two fields, BegNo, and Date Sent to the Separator sheet. You have added four unique fields. The BegNo field counts as one unique field.

The synopsis page prints the first 60 characters of data within the specified Concordance Desktop database fields. If security is enabled, only those fields with a minimum of "Read" access are displayed.

5.To add separator sheets at the beginning of each document:

·Select Yes for Separator Sheets.

·In the Separator Sheets Text field, click the field, and then click the Browse Button [image] .

·In the Separator Sheet Editor dialog, select your separator sheet options:

oType the text you want to appear on the separator sheets.

oTo insert a Concordance Desktop macro, right-click on the edit box and then select any the Concordance Desktop Macros (Date, DateTime, DocNo, Time) from the list that displays.

oTo insert a Concordance Desktop database field to display, right-click on the edit box and then select the field from the list that displays. The fields are displayed in the order they appear in the corresponding database. If security is enabled, only those fields with a minimum of "Read" access are displayed.

·In the Separator Sheets Font field, click the field, and then click the Browse Button [image] .

·In the Font dialog box, do the following:

oIn the Font list, click the font.

oIn the Font Style list, click the font style.

oIn the Size list, click or type the font size.

When you add print macros or select database fields, they appear in the text between angled brackets <>. When the print job is executed, the information associated with the macro or database field appears within the text where the macros or database fields were placed. There is no limit to the number of macros or database fields you can add.

Setting print format parameters:

1.From the Printing Format Parameters section, in the Orientation list, do one of the following:

·Click Portrait.

·Click Landscape.

·Click Rotate to Fit — allows more of the image to fit within the margins of the printed page.

Some document types, such as .xls, the landscape option will split the page by columns and orientated as portrait.

2.In the Color Setting list, do one of the following:

·To print the documents using the document's original colors, click Color (default).

·To print the documents to shades of gray, click Grayscale.

To ensure the print job prints the documents as expected, make sure that the printer's color properties are set appropriately.

3.In the Copies to Print field, type the number of copies you want to print. The maximum number of copies is 100 and the copies are automatically collated.

4.When printing a PDF document, in the Optimize for PDF/Postscript Printing field, click Yes.

The Optimize for PDF/PostScript Printing option resolves the issue where some older printers and the PDF Distiller and Writer may not properly invert printouts resulting in reversed prints (black background and white foreground). When selected, this produces a bitmap of the current document/image that is sent to the printer giving accurate printouts for the problematic printer or print driver. However, selecting this option results in slower print time and a larger print spool file.

Specifying markups to include in printing:

From the Markup Types section, do any of the following:

·To include all markups, in the Select All list, click Yes.

·To exclude all markups, in the Select All list, click No.

·To include some of the markups, for each mark up you want to include click Yes from the corresponding markup list.

When printing viewer documents, any documents that contain redaction markups are printed with transparent redactions. If you want the redactions to print opaque, you need to use the Production tool in Concordance Desktop to produce the document(s) and then print the produced document.

Due to how the markups are rendered during printing, if you want to include any applied crossout, strikeout, highlight, or underline markup in a print job, please note that all four markups are treated as one and all four if applied will be included in the printed file. For example, if a crossout and highlight markup are applied to a document, if the crossout markup is selected in the CDV Printing parameters, both the crossout and the highlight markup are printed.

Adding headers/footers and watermarks:

Headers and footers are a string of text assigned to a specific location within a document. For productions and printing, the text is not restricted to just the top and bottom margins of a document, you can also place them in the right and left margins of a document.

A watermark is a semi-transparent string of text that appears behind the existing document content. A watermark appears across each printed document from bottom left to top right and has a transparency setting of 20%.

1.In the Printing Run Parameters dialog box, select the Include Hdr/Fts Spec check box.

2.Click the Edit Headers/Footers and Watermarks button.

3.Click the (+) sign next to the Header/Footer or the watermark you want to edit.

4.For each header, footer, or watermark, do one of the following:

·Type the text you want to be displayed.

·Type % to display the available macros list, and then select the macro(s) you want to add.

Available macros Available macros

Keep the following in mind when adding macros to headers/footers, and watermarks:

·Each line of a header or footer can use multiple macros. For example, you can add %Date %Time to the Top Left header. This prints the date and time in the location you specified on each page of the print.

·All macro values are case insensitive, except for the %FIELD_ macro.

·All settings in the Header and Footers dialog box are saved for all documents and images in the Wind

Macro | Description
%FIELD_ | Inserts database field data up to 60 characters for a each specified field. For example, %FIELD_OCR1 %FIELD_OCR2, would print the first 60 characters of the OCR1 field and the first 60 characters of OCR2 field. If security is enabled, only those fields with a minimum of "Read" access are displayed.
%Date | Inserts the current date
%SysDatePlusDays(0) | Inserts a date the specified number of days after the system date. Replace the 0 a number to indicated the number of days.
%Time | Inserts the current time the print is executed based on a 12-hour clock
%MilTime | Inserts the current time the print is executed based on a 24-hour clock
%Title | Inserts the current title of the document
%Page | Inserts the page number of the document
%TotalPages | Inserts the total number of pages of the document
%BatesPgNo() | Inserts a page number (x) to include for each printed document. The number entered is the beginning page number for each document. Multi-page documents are numbered incrementally. For example, %BatesPgNo(0001) would print 0001 on each single-page document. However, if a document had more than one page, the first page would appear as 0001, the second as 0002, and so on.
%Login, %User | Inserts the user name of the person who executed the print
%Hostname | Inserts the hostname of the machine where the print was executed from
%IPAddress | Inserts the IP address of the machine where the print was executed from
%% | Inserts a single % character
© | Inserts a copyright symbol
® | Inserts a registered trademark
%AUTO_ | Inserts database field data AND increments field content ending with a numeric value by 1 for each page. Field must be specified. Do not use with fields where special characters such as % are present. Does not account for gaps or suffixed numbers within a document.

6.To edit the font for the all the text, click the Font button, and then in the Font dialog box, specify the font name, style, and size.

7.Click List to review the applied header/footer and watermark text and macros set for the production.

8.Click Edit to make any changes.

9.When finished, OK.

Printing and Production header/footer and watermark settings are separate entities. Parameters you set in the Printing dialog box are only available for printing.

3.When finished, click Start.
Saving print parameters:

1.Set the printing parameters.

2.Do one of the following:

·To save the parameters as a named parameter set, in the Parameter Set Selected field, enter a name, and then click Save Parameter Set.

·To save the parameters as the default set, click Save as Default Parameter Set. The default parameter set is loaded each time the CDV Printing command is executed.

All the parameters are saved, with the exception of document range as this always defaults to 1-n, where n is the total number of documents in the current Concordance Desktop query.
Using saved print parameters:

1.In the Parameter Set Selected list, click the parameter set you want to load.

2.Click Load User Parameter Set.
Monitoring print jobs:

When a print job is executed, the Print Console is displayed. The Print Console displays the progress of the files as they are processed and sent to the selected default printer.


Batch Printing with Concordance Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Batch printing allows you to print what is seen in the viewer formultiple documents. In Concordance Desktop, batch printing is known as CDV Printing. The CDV Printing feature allows you to print markups (annotations), add synopsis and separator sheets, and add headers/footers and watermarks.

If you want to print documents or images from concatenated databases, each database must be similar in structure, contain media keys, a current .CIB file, and you must have a minimum of ReadOnly access.

When printing documents, be aware of the following:

·If you are printing documents that have been reviewed and redacted in the viewer, be aware that any redaction placed on the document will print transparent revealing the text underneath. If you want to print redactions as opaque, you should select the Opaque option in the Print Redactions as drop down.

·Printing documents that contain markups to Adobe PDF using the File > Print option, does not permanently burn the markups in the document. If you want markups burned in, you must run the documents through the Production process in Concordance Desktop, then print the produced document.

The CDV Printing bulk printing feature is only available in Concordance Desktop when you are using the viewer for reviewing and annotating documents.

When including Synopsis and Separator Sheets in a bulk print job, you may experience delayed print times. This is due to how Concordance Desktop processes the synopsis and separator sheets at print time.

Concordance Viewer Printing

Concordance Viewer Printing

Before scheduling a batch print run, you first need to identify and locate the documents you want to print using one of the Search tools available in Concordance Desktop. See, Available search tools.

To locate documents for printing

1.In Concordance Desktop, open the database containing the documents you want to print.

2.Run a search query to locate the documents you want to print.
To print viewer documents or images

1.In Concordance Desktop, from the Tools menu, click CDV Printing.

2.Specify the printing parameters:

Setting the printing run parameters To set the printing run parameters:

1.Select the Printer you want to use for printing the documents/images.

2.Select the appropriate Document Range:

·To include the current document, click Current Document.

·To include all the documents in the query, click All.

·To include a selected set of documents from the query, click Range, and then specify the range of documents you want to print. The default range is the complete range of documents in the current Concordance Desktop query.

3.Select the appropriate Page Range:

·To include all the pages of each document in the query, click All.

·To include a selected set of pages of each document in the query, click Range, and then specify the range of pages for each document.

4.To include data from Concordance Desktop fields to which you have Read or Read/Write access:

·Select Include document synopsis.

·Click the Configure synopsis sheet button.

·In the Document Synopsis Configuration dialog box:

oSelect the desired database fields from the Available Fields list and add them to the Selected Fields list on the right.

oTo change the order of database fields, select a field in the Selected Fields list and drag/drop it in the desired order.

oClick the FONT button, and select your font options in the Select Font dialog:

§Select your font in the Font Family list.

§Select your font size in the Font Size list.

§Select Bold or Italic under Font Style if desired.

§Click OK to close the Select Font dialog with your selections.

The Synopsis Separator sheets may, together, contain up to 32 unique database fields. Both sheets may contain the same database fields, which counts as a single unique field. For example, if you add three fields, BegNo, Admin1, and Filepath field to the Synopsis sheet, and two fields, BegNo, and Date Sent to the Separator sheet. You have added four unique fields. The BegNo field counts as one unique field.

The synopsis page prints the first 60 characters of data within the specified Concordance Desktop database fields. If security is enabled, only those fields with a minimum of "Read" access are displayed.

5.To add separator sheets at the beginning of each document:

·Select Include document separator sheet.

·Click the Configure separator sheet button.

·In the Document Separator Page Configuration dialog box:

oIn the text box, type the text you want to appear on the separator sheets.

oTo insert a Concordance Desktop macro (Date, Time, DateTime) or Concordance Desktop database field, click the Fields dropdown and select the macro or field from the list that displays.

oClick the FONT button, and select your font options in the Select Font dialog:

§Select your font in the Font Family list.

§Select your font size in the Font Size list.

§Select Bold or Italic under Font Style if desired.

§Click OK to close the Select Font dialog with your selections.

When you add print macros or select database fields, they appear in the text between angled brackets <>. When the print job is executed, the information associated with the macro or database field appears within the text where the macros or database fields were placed. There is no limit to the number of macros or database fields you can add.

To set the printing format parameters To set the printing format parameters:

1.From the Output Settings section, in the Orientation dropdown, select Portrait or Landscape

Some document types, such as .xls, the landscape option will split the page by columns and orientated as portrait.

1.

2.In the Color Settings dropdown, select:

·Color (default) to print the documents using the document's original colors.

·Greyscale to print the documents in shades of gray.

To ensure the print job prints the documents as expected, make sure that the printer's color properties are set appropriately.

3.Select the Resize for best fit check box to have the documents adjusted to best fit based on your output settings.

4.Type the number of copies you want to print in the Copies to print text box. The maximum number of copies is 100 and the copies are automatically collated.
To specify markup types to include in the print job To specify markup types to include in the print job:

From the Markups section, do any of the following:

·To include all markups, select the Select All check box.

·Select each individual markup that you want included.

In the Print redactions as drop down box:

·Select Opaque to have redaction markups printed opaque, or blocking out the underlying section of document fully.

·Select Transparent to have redaction markups printed where the underlying section of document will still show through.

Due to how the markups are rendered during printing, if you want to include any applied crossout, strikethrough, highlight, or underline markup in a print job, please note that all four markups are treated as one and all four if applied will be included in the printed file. For example, if a crossout and highlight markup are applied to a document, if the crossout markup is selected in the CDV Printing parameters, both the crossout and the highlight markup are printed.

To add headers/footers and watermarks To add headers/footers and watermarks:

1.Select the Include headers and footers check box. The Concordance Printing dialog window displays additional parameters to configure.

2.For each header, footer, margin, or watermark, choose an item from the corresponding drop down that you want to print in that location or leave the selection None if you want that area to be left blank. You can select from several different macro and Concordance Desktop database fields.

3.To edit the font for the headers and footers, click the Font button and select your font options in the Select Font dialog:

§Select your font in the Font Family list.

§Select your font size in the Font Size list.

§Select Bold or Italic under Font Style if desired.

§Click OK to close the Select Font dialog with your selections.

Printing and Production header/footer and watermark settings are separate entities. Parameters you set in the Printing dialog box are only available for printing.

3.When finished, click Start printing.
Using parameter sets Using parameter sets:

To save print parameters:

1.Select the printing parameters you want.

2.In the Settings drop down field, enter a name for the parameter set and then:

·Click Save as default to save the named parameter set as the default set. The default set is loaded each time the CDV Printing command is executed.

·Click Save to save this set of parameters with the name specified (not as default).

To use saved print parameters select the parameter set name in the Settings drop down list. The print parameters will be updated to reflect the selected parameter set.

To remove a saved print parameter set, select the parameter set name in the Settings drop down list and click Remove.


Printing transcript annotations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Because your transcripts are unique documents with added notes, highlights and attachments, Concordance Desktop offers an Annotation Report Writer tool for customizing reports from your transcript database.

Depending on your needs, each annotated report created in the wizard may include several types of annotations and the text included in the annotations.

To print annotations using the Annotation Report Writer wizard To print annotations using the Annotation Report Writer wizard:

1.In Concordance Desktop, open your transcripts database.

2.On the Standard toolbar, click the arrow next to the Report button and select Annotation report writer.

3.In the Annotation Report dialog box, select Annotation Report Wizard and click OK.

4.In the Report dialog box, select the type of annotated report you want to print and click Next.

·Issue report - prints an issues report

·Attachment report - prints a report of annotations containing attachments

·Note report - prints a report of annotations containing notes

·Quick mark report - prints a report of all transcript line number highlights

5.If you are printing an issue report, select the Print all issues option or select the Print selected issues option and select the issues you want to include on the report, and then click Next on the Issues dialog box.

To select individual issues in the list, use CTRL+click. To select a block of issues in the list, use SHIFT+click.

If you are printing an attachment, note, or quick mark report, just click Next on the Issues dialog box.

6.In the Annotations field, select the one of the note printing options and select whether you want to print the quick marks, attachments, and/or issue list.

7.In the Select the user(s) to print annotations field, select the users for which you want to print annotations and click Next.

To select individual users in the list, use CTRL+click. To select a block of users in the list, use SHIFT+click.

8.Select the transcript context you want to include when printing the notes and issues in the Context dialog box and click Next.

9.To add a custom header and/or footer to the report, fill out the fields in the Formatting dialog box and click Next.

You can include an annotation header, page numbers, the print date, and the print time on the report. You can also select whether to print a page border and multiple pages per sheet of paper in the Compressed print field.

10.Define your final print options in the Print dialog box, like customizing the font and page layout, and whether to print a hard copy or save to a file.

To preview or edit your report, click the Click this button to preview your report button.

We recommend that you always preview the report before printing a hard copy or saving multiple files of it on your hard drive or server. This also allows you to edit the font, headers, footers, or other print options before you process the report. Click the Close button in Print Preview if you need to return to the Annotation Report dialog box to make any additional changes to the report.

11.Click the Print button to print the report.


Printing standard reports
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If you want to print multiple records or transcripts, you can generate a standard report. Your current search query determines which records or transcripts are available to print on a standard report. For example, if your current search query contains 47 records, you can include some or all of the 47 records in the query on the standard report.

Standard reports have a number of customizable features such as headers, footers, date and time stamps, page numbering. When you print a standard report in Concordance Desktop, by default the printed font format for records is determined by your personal Concordance Desktop display settings. For example, if your display font setting is: Sea Green, 14 point, Monotype Corsiva, your document will be printed with the larger italic green font (for color printers) or gray font (for black and white printers). If you do not want to use the default format, you can define your preferred print settings on the Print documents dialog box before printing. You can also save your preferred print settings for future printing, or use previously saved print settings for printing.

To ensure records print the way you want, we recommend previewing your print job before sending it to the printer. To preview your print job, click the Print preview button on the Print tab in the Print documents dialog box.

When you print in Concordance Desktop, you are printing from database records. When you print in Concordance Desktop Image, you are printing from .tif files in the imagebase. For more information about printing in Concordance Desktop Image, see Printing in Concordance Desktop Image.

Printing standard reports in Concordance Desktop To print standard reports in Concordance Desktop:

1.On the Standard toolbar, click the Print button.

2.Click the Fields tab.

The Fields tab is used to define the fields and their order to include on the report for the selected database. The fields are listed alphabetically in the Available fields field.

3.In the Database list, select the database containing the records you want to print.

The Database field defaults to the current Concordance Desktop database.

4.In the Available fields list, choose the fields you want to include on your report.

For example, to print the record's body text, click the OCR1 field.

You can choose multiple fields by pressing the SHIFT or CTRL key while clicking multiple fields.

5.Click the Select button to add the fields to the Selected fields list.

The standard report includes data from each of the fields in the Selected fields list, and displays the field data in the order the fields are displayed in the Selected fields list.

To add all of the fields to the Selected fields list, click the Select all button. To change the order of the fields in the Selected fields list, click a field and click the Move down or Move up button.

To remove a field from the Selected fields list, click the field you want to remove and click the Remove button. To remove all the fields from the Selected fields list, click the Remove all button.

5.To print the keywords (search hits) for the current query, click the KWIC tab and select the Print key words in context (KWIC) check box.

6.The database and fields you selected on the Fields tab are displayed below the Print key words in context (KWIC) check box.

7.In the fields list, select the check box next to the fields you want to print keys words in context.

8.To include record text above and below the key words, select the Print line(s) above and below check box and type the number of lines to include above and below in the line number fields.

9.To print the question and answer pair associated with the key words in transcripts, select the Print Q&A pairs check box.

This check box only applies to transcripts. Leave the Print Q&A pairs check box blank if you are not printing from a transcript.

10.To add header and footer text, determine widows and orphans on page breaks, and define other printing controls, click the Formatting tab.

11.In the Header field, type the report header.

The header displays at the top of each printed page and is left justified on the page.

12.In the Footer field, type the report footer.

The footer displays at the bottom of each printed page and is left justified on the page.

13.In the Widows and Orphans field, type the number of widows and orphans to allow on each page.

Widows are the lines of text left at the bottom of a page when a record is split in two. Orphans are the lines of text at the top of the next page.

The number entered in the Widows field controls the minimum number of lines Concordance Desktop allows to remain at the bottom of a page. If the number of lines to print at the bottom of the page is less than the number in Widows field, then the document is moved to the top of the next page.

The number entered in the Orphans field controls the minimum number of lines Concordance Desktop prints at the top of a page when splitting a document between pages. If the lines left to print are less than the number in the Orphans field, then lines will be borrowed from the previous page until the orphan minimum is met. This may cause the preceding page to go below the widows threshold, causing the entire document to print at the top of the new page.

14.In the Options section, select the print options you want to apply to your report.

Formatting options field names and definitions
Field Name | Field Definition
Print date | Prints the current date on each page below the footer.
Print time | Prints the current time on each page below the footer.
Print field labels | Prints the field name before each field.
Print page numbers | Prints the page number at the bottom of each page on the right side of the page.
Print document numbers | Numbers each document in the report and prints the document number before each document in the report. For example, Document 1 of 100.
New page for each record | Prints each document on a separate page.
Highlight annotations | Highlights the notes and annotations in the report.
Compressed printing | Prints the selected number of pages on one single page. You can print up to nine pages per sheet of paper. Printing multiple pages on one single page is sometimes referred to as N-up printing. The N represents the number of pages you are printing on one single page.
Print page borders | Prints a border around each page when you are printing multiple pages on one single page. This field is only available if you are printing 2 or more pages on one single page.
Underline hits | Underlines search hits in full-text paragraph fields.
Bold hits | Bolds search hits in full-text paragraph fields.
Italicize hits | Italicizes search hits in full-text paragraph fields.
Hit Color | Adds the selected color to search hits in full-text paragraph fields. To change the hit color, click the Hit Color button and select the hit color.

Search hits are only highlighted in the full-text paragraph fields, not in fixed-length text, date or numeric fields.

If a record is edited after the search, the record's search hit will not be highlighted in the report. To include the edited record's search hit, index or reindex the database and re-run the search.

When printing documents with ideographic text, like Chinese, a character underlined for hit highlighting can easily be confused with other characters. Select bold, italicize, or color to highlight search hits in these languages.

15.To define the document print range, change the font, margin, orientation and printer settings, and preview and save your print settings, click the Print tab.

The Total field is a read-only field, and displays the total number of documents in the current query. The First and Last fields determine the document print range for the report. The First field defaults to the first document in the current query, and the Last field defaults to the last document in current query.

16.In the First field, type the number of the first document you want to include on the report.

17.In the Last field, type the number of the last document you want to include on the report.

Concordance Desktop prints all documents between and including the first and last documents defined in the First and Last fields.

18.Click one or more of the following buttons:

Print button names and definitions

Button Name

Definition

Save to Print file

Click to open the Print Format dialog box and save your settings to a print format file (.fmt).

For more information see To save your print settings.

Open an existing print file

Click to open the Print Format dialog box and select an existing print format file (.fmt) to use for printing the report.

For more information, see To print a standard report from an existing print file.

Change the font

Click to open the font menu. Click the font type you want to modify to open the Font dialog box and modify the font.

You can modify the font for the fields, data, transcripts, and header and footer in the report.

Change the margin, orientation, and other print settings

Click to open the Page Setup dialog box and define the paper size and source, and the page orientation and margin settings.

By default, reports print to your computer's default printer. You can click the Printer button in the Page Setup dialog box to select a different printer for the report.

Print preview

Click to preview the report. To print directly from the preview screen, click the Print button. To return to the Print documents dialog box, click the Close button.

19.Click the Print button to generate and print the report.

To save your print settings To save your print settings:

1.On the Standard toolbar, click the Print button.

2.In the Print documents dialog box, define your print settings on the tabs.

3.On the Print tab, click the Save print file button to open the Print Format dialog box.

4.Browse to where you want to save the file, type the file name in the File name field, and click the Save button.

All of the print settings are saved including selected fields, fonts, page orientation, paper size, headers and footers. The file is saved in plain text format and can be edited with any text editor or word processor that uses plain text. The print format file’s file extension is .fmt.

To print a standard report from an existing print file To print a standard report from an existing print file:

1.On the Standard toolbar, click the Print button.

2.On the Print tab, click the Open an existing print file button to open the Print Format dialog box.

3.Browse to and select the print format file you want to use.

4.Click the Open button to load the print settings into the Print documents dialog box.

5.Click the Print preview button to preview the report, and make any necessary changes to the print settings.

6.Click the Print button to generate and print the report.


Tallying records for reports
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The tally feature in the Tally task pane itemizes field information for searching, and is also a great tool for helping you organize your document collection in preparation for printing reports. For example, if you want to print a subset of records based on the document type, such as a group of financial reports. The fastest way to locate these records is by running a tally count and then printing them based on your needs.

To tally records for reports To tally records for reports:

1.In the Table view, right-click a record in the field column you want to tally, and click Tally [field name].

Clicking Tally [field name] displays the tally results in the Tally task pane.

2.In the Tally task pane, double-click an item in the Tally list.

Double-clicking an item in the tally list displays only those records in the Table view. For example, if you ran a tally on the DOCTYPE field, and double-clicked Financial Report in the Tally task pane, only financial reports are displayed in the Table view.

3.Print the applicable records.

To print an individual record listed in the Table view, open the record in the Browse view and see Printing standard reports and for more information.

To print multiple records listed in the Table view, see Printing standard reports for more information.

To export the data in the Table view to Microsoft Excel, see Exporting Concordance Desktop data for more information.


Exporting database table view data
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, you can export record data from the Table view to Microsoft Excel and CaseMap. The export feature is a great tool for making custom reports, as well as contact and mailing lists. In order to export to Microsoft Excel or CaseMap, the software you are exporting to must be installed on your computer.

If you want to export data to Microsoft Word, you can simply copy and paste data from Concordance Desktop to Microsoft Word.

xporting to Microsoft Excel Exporting to Microsoft Excel

When you export data from the Table view to Microsoft Excel, Concordance Desktop exports data from the records you select in the Table view. The fields and field order currently displayed in the Table view determine which field data is exported for the selected records and the order of the fields exported to Microsoft Excel. Before exporting, you can run a search to display the records you want to export in the Table view, and modify the table layout to define the fields and field order you want to include in the export.

Microsoft Excel has capacity limitations. If you are primarily exporting your data to Microsoft Excel 2003 , you need to be aware that this version of Excel is limited to printing a maximum of 65,000 rows, and also has limitations for the number of characters per cell.

To export table data to Microsoft Excel To export table data to Microsoft Excel:

1.Run a search to locate the records you want to include in the export to Microsoft Excel.

For more information about searching, see Available search tools.

2.In the Table view, adjust your table layout to include the fields and field order you want to export to Microsoft Excel.

For more information about adjusting a table layout, see Using table layouts.

3.In the Table view, select the records you want to export.

You can export multiple adjacent records and non-adjacent records.

·Adjacent records: SHIFT + Click to select a block of consecutive records.

·Non-adjacent records: CTRL + Click to select random records from the list.

·All records: CTRL + A to select all records in the list.

If you have Microsoft Excel 2013 installed, open a blank Excel spreadsheet prior to completing step 4 below.

4.Right-click in the Table View, point to Send To, and then click Excel.

Microsoft Excel automatically launches and displays your exported Concordance Desktop data in the field order you selected. If the data does not display, try the export again.

Exporting to CaseMap Exporting to CaseMap

When you export table data to CaseMap from the Table view, all of the records listed in the Table view are exported to CaseMap. Before exporting data to CaseMap, run a search to capture only the records you want to include in the export.

Exporting table data to CaseMap To export table data to CaseMap:

1.In Concordance Desktop, run a search to locate the records you want to include in the export to CaseMap.

For more information about searching, see Available search tools.

2.In the Table view, right-click the records, point to Send To, point to CaseMap, and then click Send all documents in query.

Selecting Send all documents in query opens the following message: CaseMap does not support Unicode and we will only send single-byte (Ascii) text to them. Press OK if you want to continue.

3.Click OK to continue.

Clicking OK opens the Completed gathering the document data message dialog box.

4.Click the Continue button.

Clicking the Continue button opens the Bulk Send to CaseMap wizard in CaseMap.

For more information about exporting Concordance Desktop data to CaseMap and using CaseMap's Bulk Send to CaseMap wizard, see the CaseMap documentation.

Exporting numerical data to Microsoft Excel Exporting numerical data to Microsoft Excel

When you export numerical data from Concordance Desktop to Microsoft Excel, if the field value begins with leading zeros, the leading zeros are trimmed from the field value. For example, if you are exporting the BEGNO field value 00020177, the value is exported to Excel as 20177. To keep record numbering consistent with Concordance Desktop data, you need to add the leading zeros back onto the applicable field data in Microsoft Excel. See, Microsoft Excel documentation.

Numerical field values starting with alphabetical prefixes are not affected when exporting to Microsoft Excel.

Only the field data that is displayed in the Table view is exported. Field data is exported in the order that is displayed in the Table view, based on the selected table layout. You can use custom table layouts to determine the field data and order of field data exported to another application.


Productions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Once a document collection review is completed, documents typically need to be produced to opposing parties. Database administrators prepare the electronic production using Concordance Desktop and the viewer or Concordance Desktop Image based on queries or tagged sets of documents that are identified for production during the review phase.

Numbering documents Numbering documents

As part of the production process, a new set of images are generated for documents that need to be produced. A Bates number series is then applied to all pages of all documents included in the production, with the option of burning or fusing the numbers to the image during the process. This number series usually differs from that of your internal collection. You can then track what has actually been produced and your Bates number series for the production is sequential with no gaps in the numbering.
Markups Markups

Redactions or other markups can be burned to the images during production so that they cannot be altered. Confidentiality headers or footers can also be burned to the images during production. Production numbers are usually cross-referenced to those in the original review collection.

If the Concordance Desktop administrator included fields for production numbers in your database, these numbers are then written to the production number fields during the production process. Later when you look at your internal document collection, you are able to see the production number for any documents that were produced.

For multiple or rolling productions, tags or sequentially numbered production fields are tracked for which production series a document was produced under. For example, fields named BEGPRODNO1/ENDPRODNO1, BEGPRODNO2, ENDPRODNO2, etc.
Production output Production output

The output generated by an electronic production in Concordance Desktop is a set of images or PDF files and an image load file. Both the production image set and the load file are typically burned onto CDs or DVDs (or for very large collections, an external hard drive). Output volumes, such as CDs or DVDs, are labeled to track the production series.
Native files Native file production

For native file productions, the set of documents to be produced is typically converted to TIFF or PDF formatted files during production. Organizations need to adhere to proper forensic procedures for handling native files.

For Concordance Desktop databases, the Native File Production produces a copy of the original native file. The produced document does not include any annotations or markups.

Generating Load files and images Generating Load files and images

The output from a production from Concordance Desktop is a set of image or PDF files and an OPT file. The output generated depends on production requirements agreed upon with opposing counsel. A best practice is to know in advance what the recipient needs for output format. The database administrator can collaborate with someone from opposing counsel’s technology department to determine their exact needs.

Administrators can also export specific fields of data and OCR from Concordance Desktop to include with the production. OCR text files are generated using a Concordance Desktop CPL (script).


Learning more about productions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Anyone tasked with preparing productions should receive Concordance Desktop Administration training before attempting to produce documents from a live database. The litigation industry guidelines regarding how discovery documents are handled, processed, and shared between parties is a sensitive matter.

If you or anyone on your IT or Litigation Support Team are interested in learning more about productions, please email our Client Training Administrator at training@cloudnine.com to register for the Concordance Desktop courses.

Additional course information is available on CloudNine Training.


Protecting Data
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Protecting discovery document collections is a sensitive and demanding job. Your Concordance Desktop administrator or Litigation Support Manager must perform a variety of maintenance processes and manage various files to preserve the integrity of your document collection. Stringent litigation guidelines must be adhered to and maintenance schedules followed to protect the information and ensure your databases are up-to-date and running efficiently for the review team.

Many of the processes involved in protecting your Concordance Desktop databases include:

·Taking Snapshots

·Backing Up Databases

·Zapping Databases

·Packing Databases

·Deleting Tags

·Performing Global Replacements

Consult with your Concordance Desktop administrator or Litigation Support Manager to gain a deeper understanding of your organization’s maintenance process schedule. If you are responsible for maintaining the database at an administrative level, it is recommended that you attend our Concordance Desktop Administration Fundamentals and Concordance Desktop Certified System Administrator classes.

If you or anyone on your IT or Litigation Support Team are interested in learning more about Concordance Desktop classes, please email our Client Training Program Administrator at Training@cloudnine.com.

Avoid using administrative features in Concordance Desktop that you are unfamiliar with, because using these features without fully understanding the feature may cause data loss or corruption. These features may also require a backup of the database before proceeding.

Whenever possible, consult with your database administrator before attempting to use any administrative features so they can either backup the database before you proceed or take care of administrative tasks for you.


Saving and restoring snapshots
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Snapshots are a point-in-time picture of your work history. Using snapshots is one way reviewers can help track and preserve both search history and search results.

Saved snapshots can easily be restored to see what the contents of a database were on a particular day, and what search results were found at that moment in time. During a lengthy review, tracking your work for the day is also important, not only to manage tasks and schedules, but to provide a placeholder for searches so you can jump right back into your project without duplicating previous efforts.

Unlike a query file, a snapshot saves the search results for documents retrieved, not which words were searched. This means that a snapshot will not locate new or updated documents in a database; a snapshot only displays those documents captured at the time the picture was taken.

Because snapshots provide a picture-in-time reference, all your search queries and customized sort settings are preserved and can be displayed again or restored at a later time. If your database is actively being edited, changes will not be reflected in a snapshot saved last week. For instance, a document deleted from the database since the snapshot was taken will display as blank when you open the snapshot in Concordance Desktop. To capture updates after edits have been made, rerun your snapshot queries.

Snapshots are saved as .snp files and can only be restored on the original databases. When you restore a snapshot file, Concordance Desktop automatically opens the databases associated with the file, with all queries and sorts preserved.

If you regularly save snapshots at the end of every work session, we recommend that you periodically review and delete outdated or unnecessary files due to their large file size on your hard drive or network.

There are two ways to save snapshots in Concordance Desktop. You can manually save snapshots or you can use the Auto restore command to have Concordance Desktop automatically save snapshots for you.

To manually save a snapshot To manually save a snapshot:

Ensure that the snapshot path along with the file name does not exceed 256 characters. Windows limits file paths to a maximum of 256 characters.

1.To open the Save Snapshot dialog box, do one of the following:

·In the Databases task pane, click Save snapshot.

·On the File menu, click Snapshot, and then Save snapshot.

2.Browse to where you want to save the snapshot file, type the file name in the File name field, and then click the Save button.

All search queries and customized sort settings for the current Concordance Desktop session are saved in a .snp file.
Auto-restoring snapshots Auto-restoring snapshots

With the Auto-restore feature, Concordance Desktop can automatically create and save a snapshot each time you close the Concordance Desktop application. The next time you open a Concordance Desktop session, the application automatically displays the exact record and view settings you had when you closed the application, including displaying your last search in the Review view.

The Auto-restore feature functions differently than manually saving separate snapshots of work your sessions. When the Auto-restore feature is enabled, Concordance Desktop creates the autosave.snp file and automatically saves the snapshot created by the Auto-restore feature to this file at the end of each session, overwriting the previous work session’s autosave.snp file. The autosave.snp is automatically saved to the ...\Documents and Settings\UserID\My Documents\Concordance Desktop [version#] (Windows XP) or ...Users\UserID\My Documents\Concordance Desktop [version#] (Windows 7) directory on your machine.

By default, the Auto-restore feature is enabled. The Auto-restore feature is enabled and disabled by clicking the Auto restore option in the Snapshot menu. When a check mark is displayed next to the Auto restore menu selection, the Auto-restore feature is enabled. When the check mark is not displayed, the Auto-restore feature is disabled.
To restore a snapshot To restore a snapshot:

1.To open the Restore Snapshot dialog box, do one of the following.

·In the Databases task pane, click Restore snapshot.

·On the File menu, click Snapshot, and then Restore snapshot.

2.Browse to and select the snapshot file (.snp) you want to open, and then click Open.

When you restore a snapshot file, Concordance Desktop remembers what databases and documents were accessed during the search session captured by the snapshot and launches them. The search results are displayed in the Review view, and the restored snapshot file is listed in the Recent panel in the Databases task pane.


About backing up databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Database administrators take stringent precautions against data loss. Data loss can occur for many reasons, including hardware failures, file corruption, human error, and natural disasters such as fire, floods, electrical surges that can cause damage to equipment containing data. It is important that precautions are in place to deter any data loss by backing up data on a regular basis and having disaster recovery plans in place.

Most organizations have backup programs that run automatically at scheduled times to backup data on their network servers. We recommend becoming familiar with your company’s backup policies and disaster recovery plans in case you need to recover data that has been lost or damaged.

Every organization handles backups differently, so it is important to know how often backups occur on your network or off-site hosted network. Sometimes backups are stored off-site or may be difficult to recover on short notice, so it is helpful to know what to expect.

Concordance Desktop databases on a network should be backed up on a regular basis to protect work product. Concordance Desktop databases that are stored on local hard drives or hosted on off-network computers should have an alternative means of backing up the data, such as an external hard drive or other backup device that can be easily attached to the computer. Many of these devices come with software programs that are designed to run backups automatically at a scheduled time, or files can be backed up by copying them manually to a storage device attached to the computer.

Consult with your Concordance Desktop administrator or Litigation Support Manager if you need more information regarding your organization's backups and disaster recovery plans.


About other maintenance tasks
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In addition to backing up and preserving databases, your Concordance Desktop administrator performs several processes that keep your document collection streamlined and running efficiently.

Reviewers should understand how these processes affect their document collections, but should not attempt to use any of these tools without consulting their Concordance Desktop administrator or having received proper database administration training for Concordance Desktop.

The following administrative functions do not have an undo feature to retrieve data once the process is performed:

·Zap - deletes every record in the database

·Pack - if not done properly, can delete all of the records in the database

·Delete Tags - deletes all tags in the database

·Global Replace - if not done properly, can change data throughout the entire database unintentionally

We highly recommend that security is applied to every Concordance Desktop database to preserve document collections and protect staff from inadvertently deleting or altering critical information.

Zap Zap

This is an administration-only function. The Zap feature is used to remove all documents from a database, freeing space in Concordance Desktop. Once all documents are purged, only the stopwords file and field definitions are retained in the database. When zapping a database, there is no undo feature for document retrieval so administrators must back up databases before running this process.
Pack Pack

This is an administration-only function. The Pack feature is used for both the document database and dictionary file. Packing a database removes all documents that are marked for deletion. Packing a dictionary optimizes its file structure to increase search speed and reindex processing time. Once performed, there is no undo button for data retrieval, unless your Concordance Desktop administrator has made a backup file of all deleted records.
Delete Tags Delete Tags

The Delete Tags feature is used either to remove a tags from all documents, or remove all tags from a database. There is no undo feature once this process is performed.
Global Replace Global Replace

Global editing is basically running a Find and Replace process for words or phrases in a database. The Global Replace function can perform replacements on specific fields, full or empty fields, with or without case sensitivity, and with or without confirmation before replacement. Caution must be used when replacing data, otherwise information in your document collection may be unintentionally and permanently altered. There is no undo feature once this process is performed.


Concordance Desktop Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Content review of documents is primarily done with the Concordance Desktop Viewer. Concordance Desktop Viewer allows you to magnify the original document image for clarity and inspection, and provides a variety of markup tools specifically designed for privileged content and trial preparation. Once you have reviewed and annotated the content, especially redacting key information, the document markings are automatically saved and the changes secured.

Concordance Desktop stores references to all native documents and image information in a single Concordance Desktop Image Base database (.cib) file. The .cib file is located in the same folder as the associated Concordance Desktop database (.dcb).

Due to changes within Brava, our third party vendor, if you are currently working on a review with Concordance Desktop Viewer (any version), it is recommended that you complete the review and produce the files before migrating the database to Concordance Desktop. For more information, contact Concordance Desktop Technical Support.

Supported files types Supported file types

The Concordance Desktop viewer works with the following file types:

File Type | Description
*.tif, *.tiff | Tagged Image File
*.jpg, *.jpeg | Joint Photographic Experts Group
*.gif | Graphic Image File
*.bmp | Bitmap
*.asc | ASCII text
*.pcx | PC Paintbrush Bitmap
*.csv | Comma-Separated Values
*.cal, *.cals | Facsimile
*.pdf | Adobe Portable Document Format
*.doc, *.dot, *.docx | Microsoft Word
*.ppt, *.pps, *.pptx, *.pptm | Microsoft PowerPoint®
*.xls, *.xlsx | Microsoft Excel
*.msg | Microsoft Outlook 2010 or later Message File
*.eml | Microsoft Outlook Express®
*.txt | ASCII text
*.rtf | Rich Text Format
*.html, *.htm | Web/HTML
*.wps | Microsoft Works®


Navigating the document viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The viewer in Concordance Desktop opens a separate window that displays the document associated to the record you currently have open in the Concordance Desktop database. Using the tools in the viewer, you can review documents, navigate between records, apply markups (annotations), and adjust the display of the documents.

The Thumbnails pane in the viewer displays small images of the pages of the current document. The Document Information pane displays additional information about the current document, such as corresponding media information, image information (images only), and markup history.

(A) Viewer work area (B) Markup toolbar (C) Navigation toolbar (D) Thumbnails pane (E) Media information pane

Concordance Desktop viewer toolbars

The following toolbars are available for adding annotations, navigating, and viewing documents.

The Markup toolbar

The Markup toolbar provides a variety of tools for adding markups (annotations) to a document during the review process.

Tool | Name | Description
 | Pan | Moves the current page in any direction
 | Selection | Selects a markup to edit, move, copy, resize, reshape, or delete
 | Text Box | Places a box that contains text on the page
 | Notes (Changemarks) | Places a note icon on the page and opens a pop-up for the content, status, classification reason
 | Image | Places an external raster image (JPG, BMP, or PNG) on the page
 | Stamp | Places a predefined stamp on the page
 | Straight Line | Draws a straight line in any direction on the page
 | Polyline | Draws a jointed line on the page
 | Crossout | Draws an X on the page
 | Arrow | Draws a line with an end arrowhead on the page
 | Rectangle | Draws a rectangle around the selected area on the page
 | Ellipse | Draws an ellipse around a selected area on the page
 | Redaction | Blocks out areas on the page that are considered confidential or sensitive from being viewed or copied after production
 | Strikeout | Draws a strikeout line over the selected text
 | Underline | Draws an underline under the selected text
 | Highlight | Highlights the selected text

Strikeout, Underline, and Highlight markup tools are only available if the document contains selectable text.

The Markup properties toolbar

The Markup properties toolbar displays properties you can set for the selected markup tool when adding or editing a markup.

Property | Name | Description
 | Fill | Defines color for a markup tool
 | Text format | Defines font name, style, size, and effect: (T) - Transparent, match background, or custom color (U) - Underline (I) - Italic (B) - Bold
 | Line Style | Defines style and width for lines and shapes
The Navigation toolbar

The Navigation toolbar allows you to move between documents and records. See, Displaying documents and records in the viewer.

Tool | Name | Description
 | First Document | Navigates to the first document in a single or concatenated set of Concordance Desktop databases
 | Previous Document | Navigates to the previous document in a single or concatenated set of Concordance Desktop databases
 | Next Document | Navigates to the next document in a single or concatenated set of Concordance Desktop databases
 | Last Document | Navigates to the last document in a single or concatenated set of Concordance Desktop databases
 | GoTo Document | Navigates to a specified document or page within a single or concatenated set of Concordance Desktop databases
 | Previous Page | Navigates to the previous page in a multi-page document shown in the viewer
 | Next Page | Navigates to the next page in a multi-page document shown in the viewer
The View toolbar

The View toolbar adjusts the magnification, size, and orientation of the current document.

Tool | Name | Description
 | Zoom on Selection | Enlarges a selected region
 | Magnifier | Displays a magnifier window for viewing sections of the current document
 | Fit to Height | Adjusts the zoom height so that the entire height of the document appears in the workspace
 | Fit to Width | Adjusts the zoom width so that the entire width of the document appears in the workspace
 | Zoom slider | Controls the magnification of the document being displayed
 | Rotate Clockwise | Rotates the document in 90 degree clockwise increments
 | Rotate Counter Clockwise | Rotates the current document in 90 degree counter clockwise increments
 | Toggle Thumbnails | Opens the Thumbnails pane
The Thumbnails pane

The Thumbnails pane displays small images of the pages within the current document. The green rectangle indicated the currently displayed page. The red exclamation point (!) next to the thumbnail image indicates the page contains markups. See, Displaying documents and records in the viewer.

Use the navigation tools in the Thumbnails pane to navigate the pages of the current document.

Tool | Name | Description
 | First Page | Navigates to the first page of the document or image
 | Previous Page | Navigates to the previous page of the document or image
 | Next Page | Navigates to the next page of the document or image
 | Last Page | Navigates to the last page of the document or image
 | Previous Markup Page | Navigates to the previous page that contains markups
 | Next Markup Page | Navigates to the next page that contains markups
The Media Information pane

The Media Information pane contains detailed information about each document within a record. Each media button can be configured to display the information most important to you. See, Using the Document Information pane.

Media Tab | Description
Document Information | Displays numeric, date, text and paragraph data, up to 60 characters, from the document's corresponding Concordance Desktop field in the order you specify.
Image Information | Displays metadata for the current image-type object displayed in the viewer. TIFF image types display full information. Other image types such as GIF and BMP display only minimal information as these image types do not allow for the storing of descriptive information within the image.
Markup History | Displays a complete history, in descending chronological order, of all markup additions, modifications, and deletions that have taken place for the current document.


Displaying documents and records in the viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Using the media key (image key) field in Concordance Desktop, the viewer can synchronize with the current database and display the associated documents. Using the viewer you can also view native documents, removing the need to purchase and open the document in its native application. The viewer opens a PDF copy of the supported document types, allowing you to review and annotate them.

With the Concordance Desktop viewer open alongside the Concordance Desktop application, you can view a record in the Browse and Table views while viewing the same record in the viewer.

To open documents in the viewer To open documents in the viewer:

1.In Concordance Desktop, open the database you want to view.

2.On the Dynamic toolbar, click the View Image (camera) button.

Documents may consists of multiple pages. There are two way to determine if a document contains multiple pages:

·Appended is displayed next to the media key near the top of the view workspace.

·The Next Page button [image] is activated.

Concordance Desktop viewer

To navigate between documents and pages To navigate between documents and pages:

On the Navigation toolbar, do any of the following:

·To move to the next document, click the Next document button.

·To move to the previous document, click the Previous document button.

·To move to the next page in the document, click the Next page button.

·To move to the previous page in the document, click the Previous page button.

·To move to a specific document, click the Go To Document or Image page button, in the Go To dialog box select the document number you want to view, and then click GoTo.

·To move to a specific page in the document, click the GoTo Document or Image page button, in the Go To dialog box, select the page number you want to view, and then click GoTo.

To display a page within the current document using the Thumbnails page To display a page within the current document using the Thumbnails page:

1.To open the Thumbnails pane, do one of the following:

·On the Navigation toolbar, click the Toggle Thumbnails button.

·On the right side of the workspace, click the arrow [image] button.

2.In the Thumbnails pane, click the page you want to view.

Concordance Desktop viewer Thumbnail pane navigation


Opening views
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When synchronized with Concordance Desktop, each tab in Concordance Desktop has an associated tab in the viewer, displaying the associated document view. You can have up to 16 views open at the same time. Each view is accessible using the named tabs at the top of the workspace.

If the Concordance Desktop Image Base (.cib) file does not exist for the corresponding Concordance Desktop database, then you are prompted to convert the existing imagebase or select the load file exported from CloudNine™ LAW (OPT) or Concordance Desktop Image (LOG) file.

To view media files in the viewer To view media files in the viewer:

1.In Concordance Desktop, select the database tab you want to view.

2.On the Dynamic toolbar, click the View Image (camera) button.

The viewer opens the view for the document associated with the current record in Concordance Desktop.

To close the current view To close the current view:

From the File menu, click Close.


Magnifying records in the viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the Concordance Desktop viewer, you can zoom, magnify, pan and rotate documents depending on the record type and particular content. For instance, handwritten documents are harder to read online and perhaps illegible in some instances too. Special magnifying tools allow you to read with ease and inspect signature details.

Tool | Name | Description
 | Zoom on Selection | Enlarges a selected region
 | Magnifier | Displays a magnifier window for viewing sections of the current document
 | Fit to Height | Adjusts the zoom height so that the entire height of the document appears in the workspace
 | Fit to Width | Adjusts the zoom width so that the entire width of the document appears in the workspace
 | Zoom slider | Controls the magnification of the document being displayed
 | Rotate Clockwise | Rotates the document in 90 degree clockwise increments
 | Rotate Counter Clockwise | Rotates the current document in 90 degree counter clockwise increments
 | Toggle Thumbnails | Opens the Thumbnails pane

To adjust the magnification of the document view To adjust the magnification of the document view:

On the Navigation toolbar, do any of the following:

·To enlarge a selected area, click the Zoom on Selection tool and drag the tool across the area you want to enlarge.

·To open a magnifier window, click the Magnifier tool and drag the tool over the area you want to magnify.

·To fit the entire height of a document in the workspace, click the Fit to Height button.

·To fit the entire width of a document in the workspace, click the Fit to Width button.

·To zoom in or out on a document, using the Zoom slider drag the slider to the right to increase the magnification or to the left to decrease the magnification.

·To rotate a document in 90 degree increments, click the Rotate Clockwise or Rotate Counter Clockwise button.

If your mouse has a scroll wheel, you can use the wheel to quickly zoom in or out on a document. Click in the workspace, and then turn the mouse wheel to zoom in or out of the document.

To toggle the options of the Magnifier window To toggle the options of the Magnifier window:

1.On the Navigation toolbar, click the Magnifier tool.

2.Toggle the icon in the upper left corner for different viewing preferences.

·When the Eyeglass icon [image] displays, click on any area of the document and the window will snap to that area and display the selected section.

·When the Bird's Eye icon [image] displays, a small rectangle displays with the cursor when it is moved off the magnifier window.

As you move your cursor over the document, the area contained in small rectangle displays in the magnifier window.

·When the Dock [image] icon displays, you can click on an area of the document and that area stays docked in the magnifier window.

You can scroll on the document and the view that is currently in the magnifier remains the same until another area selection is made.

3.Click or drag the corner or edge of the magnifier window to expand its size.

4.Click on the Adjustment Handle [image] to decrease or increase the font size within the magnifier window.

5.Click the Close button to exit the magnifier window.
Using sticky zoom and sticky rotate Using sticky zoom and sticky rotate:

Many documents are often scanned with a portrait page view setting, making online reading a challenge unless the page is rotated. The Sticky Zoom and Sticky Rotate settings make reviewing easier by changing the page layout to a landscape view and keeping it there even while navigating between records.

The Sticky Zoom and Sticky rotate functions are located on the View menu:

·Sticky Zoom - keeps your preferred magnification settings as you move from record to record. If you uncheck the selection, and then navigate to the next record, the record defaults to the full page view.

·Sticky Rotate - retains the rotated settings as you page through a record. These settings are especially helpful if you are reviewing a spreadsheet. If you uncheck the selection, and then navigate to the next record, the record defaults its original view.

A check mark next to each option on the Tools menu indicates that this setting is selected. The selections are maintained for the current database when Concordance Desktop Viewer is closed and reopened.

Concordance Desktop viewer View menu

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Using the media information pane
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Media Information pane provides quick access to additional information (metadata) about the current document or image. The information is directly linked to the information in Concordance Desktop and is stored in the Concordance Desktop Image Base (CIB) file.

The Media Information pane organizes the information into three views.

Media Button | Description
Document Information | Displays numeric, date, and text up to 60 characters and paragraph data truncated to 60 characters from the document's corresponding Concordance Desktop data in the order you specify.
Image Information | Displays metadata for the current image-type object displayed in the viewer. TIFF image types display full information. Other image types such as GIF and BMP display only minimal information as these image types do not allow for the storing of descriptive information within the image.
Markup History | Displays a complete history, in descending chronological order, of all markup additions, modifications, and deletions that have taken place for the current document.

The upper section of the Media Information pane displays detailed information about the document for the selected view. The lower section displays a set of buttons for one-click access to the corresponding view. When you click a view button, its contents are displayed in the upper section. The horizontal splitter bar located between the view and the buttons allows you to collapse the buttons into a button tray.

To show and hide the media information pane To show and hide the media information pane:

In the upper left corner of the media information pane, click the Expand/Collapse (<<) button.

The Document Information and Image Information views are customizable so that you can display only the information you want.

To configure the Documentation Information view To configure the Documentation Information view:

1.In the Media Information pane, click the Document Information view button.

2.To designate the Concordance Desktop database fields to display in the view, click the View button.

The Grid View Options dialog box lists all the corresponding Concordance Desktop imagebase fields available to display.

3.To select fields, in the Imagebase fields section, do any of the following:

·To select individual fields, select the field name check box.

·To select all the fields, click the Select All button.

·To cancel all the selections, click the Clear All button.

4.To reset the order the fields appear in the view, select the field you want to move, and then click the Move Up or Move Down button.

5.When finished, click Save.
To configure the Image Information view To configure the Image Information view:

1.In the Media Information pane, click the Image Information view button.

2.To designate the Concordance Desktop database fields to display in the view, click the View button.

The Grid View Options dialog box lists all the metadata information available to display.

3.To select metadata, in the Imagebase fields section, do any of the following:

·To select individual metadata, select the metadata check box.

·To select all the metadata, click the Select All button.

·To cancel all the selections, click the Clear All button.

4.To reset the order the metadata information appears in the view, select the field you want to move, and then click the Move Up or Move Down button.

5.When finished, click Save.

You can also print or save any of the information in the Media Information views.

To print a media view To print a media view:

1.In the Media Information pane, open the view you want to print.

2.Click the Print button.

3.In the Print preview dialog box, review the information, and then click the Print button.


Applying markups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

During the discovery process, marking up record detail is the phase when deeper content investigation and case record preparation begins.

The Markup toolbar includes a variety of tools you can use to mark up (annotate) a document or image during review. Applying markups includes redacting information and adding notes. You can also apply color markings to highlight or underline text and add a circle or box to emphasize a block or region of key content. All of these elements can easily be edited, moved, or resized.

There is no limit to the number of markups you can add to a document.

Markups for the current document/record are displayed in the history tab of the Document information pane. The markup history displays markup type, author, date, and time. Markup history is also saved in the .cib file. See, Viewing document information.

The current state for the markups on a document are stored in an XML formatted (.xrl) file in the same directory as the corresponding media file. DO NOT edit this file. Doing so may corrupt all your markups and redactions, as well as, possibly cause Concordance Desktop Viewer to crash.

Due to changes within Brava, our third party vendor, if you are currently working on a review with Concordance Desktop Viewer version 1.08 or earlier, it is recommended that you complete the review and produce the files before migrating to Concordance Desktop. For more information, contact Concordance Desktop Technical Support.

To add text:

1.On the Markup toolbar, click the Text tool [image] .

2.Using the Text tool, select the area where you want to add the text.

3.In the Text dialog box, type the text you want to add.

4.On the Markup properties toolbar, specify any of the following:

·To change the color, click the Color button [image] , and then select a color from the color picker.

·To change the font, in the Font list, select a font.

·To change the font size, in the Font size list, select a font size.

5.To change the background color of the text box, click the Text Background button (T), and then select one of the following:

·Transparent sets the background as transparent and all text is visible.

·Match Display Background sets the background color to match the color of the current document background.

·Select Background Color opens the color picker dialog box, and sets the background to the color selected. The outline color of the text box is set to be the same as the current font color.

6.Set the font style, do any of the following:

·To underline the text, click the Underline button.

·To italicize the text, click the Italics button.

·To make the text bold, click the Bold button.

7.Navigate to another document to save the markup.
To add a note:

1.On the Markup toolbar, click the Note tool.

2.Using the Note tool, click in the area of the document where you want to place the note.

3.In the Changemarks dialog box, do the following:

·In the top field, type a title for the note.

·In the bottom field, type the text you want to include in the note.

4.When finished, click OK.

5.To change the note color, on the Markup properties toolbar, click the Color button [image] , and select a new color from the color picker.

6.Navigate to another document to save the markup.

You cannot use Rich Text Formatting (RTF) in notes, including copying RTF content from another application and then pasting into a note. Doing so may corrupt all the markups and redactions, as well as, possibly cause Concordance Desktop Viewer to crash. If this happens, you need to contact Customer Support.

After applying a note, you can move the pointer over the note to display the first 40 characters of the contents of the note. To view the contents of the note (maximum of 520 characters), double-click the note you want the view to open the Markup History Details dialog box.

To add lines:

1.On the Markup toolbar, click one of the following:

·To draw a straight line, click the Line tool [image] .

·To draw a jointed line, click the arrow next to the Line tool, and then click the Polyline tool [image] .

·To place an X over an area on the document, click the arrow next to the Line tool, and then click the Crossout tool [image] .

·To draw an arrow, click the arrow next to the Line tool, and then click the Arrow Line tool [image] .

2.Draw on the document:

·To draw a line, crossout, or arrow, drag the tool across the document where you want the markup to appear.

·To draw a polyline, click to create the starting point, move the tool, and then click to create each segment.

·To draw a line, polyline, or arrow that is horizontal or vertical, press Shift while you draw.

3.To change the line properties, on the Markup properties toolbar, do any of the following:

·To change the color, click the Color button [image] , and then select a color from the color picker.

·To change the line width, select the value from the drop-down list.

·To change the line style, select the style from the drop-down list.

4.Navigate to another document to save the markup.
To add shapes:

1.On the Markup toolbar, click one of the following:

·To draw a rectangle or square, click the Rectangle tool [image] .

·To draw an ellipse or circle, click the arrow next to the Rectangle tool, and then click the Ellipse tool [image] .

2.Draw in the document:

·To draw a rectangle or ellipse, drag the tool across the document where you want the markup to appear.

·To draw a square or circle, press Shift while you draw.

3.To change the shape properties, on the Markup properties toolbar, do any of the following:

·To change the color, click the Color button [image] , and then select a color from the color picker.

·To change the shape style, select the style from the shape style list.

4.Navigate to another document to save the markup.
To add text edit markups:

When a document contains selectable text, the Strikeout, Underline, and Highlight tools become available.

1.On the Markup toolbar, click one of the following:

·To draw a strikeout, click the Strikeout tool [image] .

·To draw an underline, click the arrow next to the Strikeout tool, and then click the Underline tool [image] .

·To draw a highlight, click the arrow next to the Strikeout tool, and then click the Highlight tool [image] .

2.Draw in the document:

·To draw a strikeout, drag the tool across the text where you want the strikeout to appear.

·To draw an underline, drag the tool across the text where you want the underline to appear .

·To draw a highlight, drag the tool across the text where you want the highlight to appear.

3.To change the text edit color, on the Markup properties toolbar, click the Color button [image] , and then select a color from the color picker.

A) Strikeout B) Highlight C) Underline

4.Navigate to another document to save the markup.


Applying images and stamps
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Images tool allows you to insert raster images (JPG, BMP, or PNG) into the current document. Images are created in an image editor for use with Concordance Desktop Viewer. Concordance Desktop Viewer is shipped with 16 images, such as Draft, Final, Reviewed, and Witness.

To insert an image:

1.On the Markup toolbar, click the Image tool [image] .

2.On the Markup properties toolbar, do one of the following:

·From the Image list, select an image.

·Click Browse, and then select the image you want to add.

3.Select the area where you want to add the image.

4.Navigate to another document to save the markup.

The image list in the Markup properties toolbar lists shows the 10 most recently used images providing quick access to the images you apply most often.

Stamps contain predefined information, such as color, content, and other elements that cannot be modified. Concordance Desktop Viewer is shipped with four predefined stamps:

·Attorney's Eyes Only

·Attorney-Client Privilege

·Confidential

·Under Seal

To add a stamp:

1.On the Markup toolbar, click the Stamp tool [image] .

2.On the Markup properties toolbar, select a stamp from the Stamp list.

3.Click the area where you want to add the stamp.

4.Navigate to another document to save the markup.

The stamp list in the Markup properties toolbar lists the four default stamps that are shipped with Concordance Desktop Viewer.


Applying redactions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A redaction is used when confidential information needs to be hidden in a document for production. Redactions associated with the produced document cannot be edited or removed. Once the document is produced, any text or images concealed by a redaction cannot be viewed, copied, or searched.

If you need to export the body text for a production, you will need to re-OCR the images after the redactions have been burned in.

The Redaction tool allows you to place one or more redactions (rectangular boxes) over various areas of sensitive information within a document. In Concordance Desktop Viewer, the redaction appears transparent to allow you to make sure the redaction covers the information you want to conceal. When a production is executed, the redaction becomes opaque concealing the information underneath.

When redacting a bullet or numbered list, it is recommended that you always apply redactions using the Rectangle tool. This ensures that the list content is completely redacted when the image is produced and/or printed. Begin drawing the rectangle in the margin, outside the text area, to ensure all information is redacted successfully.

Since PDF files are not flattened or burned, when producing PDF files the redacted information is removed from the file before the redaction is placed. The production process physically removes the hidden text from the produced file, the original document is not altered.

When printing CNV documents, redacted documents print with transparent redactions making the text underneath the redaction visible. If you want redactions to print opaque, you need to use the Production tool in Concordance Desktop to produce the documents and then print the output documents. For more information see Productions.

There are two ways you can apply a redaction:

·Draw a redaction box over an area of the document or image

·Draw a single redaction line across a sentence or part of a sentence

A) Redacted paragraph B) Redacted text within a paragraph C) Highlighted text

To add a redaction:

1.On the Markup toolbar, click the Redaction tool [image] .

2.Using the Redaction tool, do any of the following:

·To redact sentence-level text, click within the text and draw the tool along the text.

·To redact a section of a document, click outside the text area and draw a rectangular box around the text.

·To redact a list, click outside the margin of the list, and draw a rectangular box around the text.

We recommend that you use different colors when applying redactions and highlighting text. This ensures that the markup type can be easily differentiate when viewing a document or image.

3.With the redaction selected, on the Markup Properties toolbar, locate the Reason list.

4.In the Reason list, do one of the following and then press Enter:

·Type a new reason.

·Click an existing reason from the list.

If you do not enter a reason for the redaction and press Enter or select a reason from the list, the current redaction reason shown in the Reason list will be applied to the redaction.

The redaction list displays only 40 redaction reasons based on alphabetical order.

4.Navigate to another document to save the redaction.
To change the properties of a redaction To change the properties of a redaction:

1.On the Markup toolbar, click the Selection tool [image] .

2.Select the redaction you want to change.

3.On the Markup properties toolbar, do any of the following:

·To change the redaction color, click the Color button [image] , and select a new color from the color picker.

·To change the redaction reason, type a new reason or select it from the list, and then press Enter.

4.Navigate to another document to save the redaction.


Editing markups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can change the appearance, size, and location of markups after you add them. All changes are tracked in the Markup History view of the Media Information pane.

To edit a markup's properties To edit a markup's properties:

1.From the markup toolbar, click the Selection tool [image] .

2.Select the markup you want to edit.

3.From the Markup properties toolbar edit any of the properties.
To edit another user's markups To edit another user's markups:

1.From the markup toolbar, click the Selection tool [image] .

2.Press Shift and then select the markup you want to edit.
To rotate or resize a markup To rotate or resize a markup:

1.On the Markup toolbar, click the Selection tool [image] .

2.Select the markup.

The markup displays a rotate handle and resize handles around the perimeter.

3. Do one of the following:

·To rotate the markup, drag the green rotate handle in the direction you want to rotate the markup.

·To resize the markup, drag one of the resize handles to transform the markup to the desired size.
To delete a markup To delete a markup:

1.On the Markup toolbar, click the Selection tool [image] .

2.Do any of the following:

·To select a single markup to delete, select the markup you want to delete.

·To select multiple markups, press CTRL and select the markups you want to delete.

·To select all the markups on the page, drag the Selection tool [image] across all the markups on the page.

3.Press Delete.


Printing individual documents with Concordance Desktop Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Using the print command in Concordance Desktop Viewer, you can print the current document displayed in the viewer. If you need to print a set or batch of documents, you can run a query and use the CDV Printing command in Concordance Desktop. See, Batch Printing with Concordance Desktop Viewer.

When printing documents, be aware of the following:

·When printing documents that have been reviewed and redacted using the viewer, be aware that any redaction placed on the document will print transparent revealing the text underneath. If you want to print redactions as opaque, you must run the documents through the Production process in Concordance Desktop, then print the document produced document.

·Printing documents that contain markups to Adobe PDF using the File > Print option, does not permanently burn the markups in the document. If you want markups burned in, you must run the documents through the Production process in Concordance Desktop, then print the produced document.

To print the current document in the viewer To print the current document in the viewer:

1.In the Concordance Desktop Viewer window, locate the document you want to print.

2.From the File menu, click Print.

3.In the Printer section, select the printer to use.

4.To modify the printer settings, click the Printer Setup button, specify the paper size, orientation, and other general printing options, and then click OK. Options will vary with different printers and drivers.

5.In the Print dialog box, click the General tab, if not already displayed.

6.In the Print Range section, click one of the following:

·Select All Pages, to print all the pages in the document.

·Select Current page to print the current document displayed.

·Select Designated Pages to define specific pages or a range of pages from the current document.

·Select Current View to only print the area of the image that is displayed in the viewer workspace.

7.In the Options section, specify the following:

·In the Number of copies field, type or select the number of copies you to print.

·In the Minimum line thickness field, type a value from 0 to 99 for the thinnest line weight for markups, and then click points (1 point = 1/72 inch) or mm (millimeters) for the unit value.

7.From the Print list, click one of the following:

·Click Lines as Black to print all lines black, markups print with color (if applicable).

·Click As Grayscale to print in shades of gray.

·Click Original Colors to print using the colors shown in the viewer.

8.Specify any of the following print settings:

·Select the Automatically rotate for best fit check box to allow more of the image to fit within the margins of the printed page.

·Select the Print Changemarks notes check box to include the text in any notes in the current document on a separate sheet.

·Select the Print redaction reasons check box to include the text in any redactions in the current document on a separate sheet.

·Select the Optimize for PDF/Postscript printing check box if you are printing a PDF document.

The Optimize for PDF/PostScript Printing option resolves the issue where some older printers and the PDF Distiller and Writer may not properly invert printouts resulting in reversed prints (black background and white foreground). When selected, this produces a bitmap of the current document/image that is sent to the printer giving accurate printouts for the problematic printer or print driver. However, selecting this option results in slower print time and a larger print spool file.

9.To add header, footer, or watermark text to the printed page, click the Watermark/Banners button, edit the text strings, and then click OK.

To edit headers/footers and watermarks To edit headers/footers and watermarks:

1.Click the folder next to the Header/Footer or the Watermark you want to edit.

2.For each header, footer, or watermark, click the <blank> field, and then do one of the following:

·Type the text you want to be displayed.

·Type % to display the available macros list, and then select the macro you want.

Available macros Available macros
Macro | Description
%Date | Inserts the current date
%SysDatePlusDays(X) | Inserts a date the specified number of days after the system date.
%Time | Inserts the current time the print is executed based on a 12-hour clock
%MilTime | Inserts the current time the print is executed based on a 24-hour clock
%Title | Inserts the current title of the document
%Page | Inserts the page number of the document
%TotalPages | Inserts the total number of pages of the document
%BatesPgNo(X) | Inserts a page number (x) to include for each printed document. The number entered is the beginning page number for each document. Multi-page documents are numbered incrementally. For example, %BatesPgNo(0001) would print 0001 on each single-page document. However, if a document had more than one page, the first page would appear as 0001, the second as 0002, and so on.
%Login, User | Inserts the user name of the person who executed the print
%Hostname | Inserts the hostname of the machine where the print was executed from
%IPAddress | Inserts the IP address of the machine where the print was executed from
%% | Inserts a single % character
© | Inserts a copyright symbol
® | Inserts a registered trademark

5.To edit the font for all headers, footers, and watermarks, click the Font button, and then in the Font dialog box, specify the font name, style, and size.

6.To view a list of all the headers, footers, and watermark set for the production, click List.

7.When finished, click OK.

Printing and Production headers/footers and watermark settings are separate entities. Parameters you set in the CDV Printing dialog box are only available for printing.

10.In the Print dialog box, if desired, click on the Scale tab to select options such as Fit document within banners.

11.When finished, click Print.


Concordance Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Content review of documents is primarily done with the Concordance Viewer. The Concordance Viewer allows you to magnify the original document image for clarity and inspection, and provides a variety of markup tools specifically designed for privileged content and trial preparation. Once you have reviewed and annotated the content, especially redacting key information, the document markings are automatically saved and the changes secured.

Concordance Desktop stores references to all native documents and image information in a single Concordance Desktop Image Base database (.cib) file. The .cib file is located in the same folder as the associated Concordance Desktop database (.dcb).

Supported files types Supported file types

The Concordance viewer works with the following file types:

File Type | Description
*.tif, *.tiff | Tagged Image File
*.jpg, *.jpeg | Joint Photographic Experts Group
*.pdf | Adobe Portable Document Format

·Imported eDocs and eMails are automatically converted to near-native PDF files for viewing.

·For load file imports, there is an option to convert to PDF for near-native viewing during database creation. If the .opt has unsupported file types, they can be converted at import or converted later using the Optimize feature on a document, a query, or the database.


Displaying documents and records in the Concordance Viewer

Navigation: Document Review > Concordance Viewer > Concordance Viewer basics:

Displaying documents in the Concordance Viewer
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Using the media key (image key) field in Concordance Desktop, the viewer can synchronize with the current database and display the associated documents.

With the Concordance Desktop viewer open alongside the Concordance Desktop application, you can view a record in the Browse and Table views while viewing the same record in the viewer.

To open documents in the viewer To open documents in the viewer:

1.In Concordance Desktop, open the database you want to view.

2.On the Dynamic toolbar, click the View Image (camera) button.

Documents may consists of multiple pages. A multi-page document will reflect 1 of # of pages, when on the first page of the document.

Concordance Desktop viewer

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Navigating the Concordance Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Concordance Viewer in Concordance Desktop opens a separate window and displays the document associated to the record you currently have open in the Concordance Desktop database. Using the tools in the viewer, you can review documents, navigate between documents, apply markups (annotations), and adjust the display of the documents.

The viewer work area displays the image of the current document with any markups that have been applied. The viewer allows you to continuously scroll through all the documents without having to select the next document. Selecting next page or pressing the page down key when on the last page of the current document will scroll the view to the first page of the next document. You can also use the mouse wheel to scroll through pages while viewing a document.

The Thumbnails pane in the viewer displays small images of the pages of the current document. Thumbnail navigation can be achieved with the mouse wheel and the up and down arrow keys.

The pane on the right can be toggled between document Properties and markup History. Currently, document Properties consists of the fields and values for the document from the database, while markup History displays the markup history for the document.

(A) Viewer work area (B) Markup toolbar (C) Markup properties toolbar (D) Navigation toolbar (E) View toolbar (F) Mouse Mode (G) Thumbnails pane (H) Document information pane (I) Document Options (J) Viewer Menu

Viewer Menu

The Viewer Menu can be accessed by selecting the hamburger [image] icon in the upper left corner of the viewer.

Menu Item | Description
 | Closes the Viewer Menu and returns to the viewer.
 | Closes the Concordance Viewer.
 | Opens the Concordance Printing dialog.
 | Opens the Concordance Desktop Answer Center.
Mouse Mode

The Mouse Mode determines how the mouse will function while performing various actions. It is important to make sure the mouse mode is set appropriately based on what you want to do in the Concordance Viewer.

Mouse Mode | Mouse Cursor | Description
Select | Arrow | Allows for selecting items or areas on the page to apply and edit markups. Most markup activities will use this mouse mode.
Pan/Zoom | Magnifying Glass | Mouse wheel in this mode zooms in/out on the displayed image
Area Zoom | Precision (Cross) | Use the mouse to select an area on the page. Cursor changes to magnifying glass, then click inside the selected area to zoom that selection.
Magnifier | Magnifying Glass | Hold the left mouse button to display a zoom area. You can move this area around to magnify an area on the page.
Document Options

Document Option | Description
Sticky Markup | When selected, it retains the last selected markup. This setting allows multiple applications of the same markup without having to select the markup again from the markup toolbar.
Sticky Rotate | When selected, it retains the rotated settings as you page through a record. This setting is especially helpful if you are reviewing a spreadsheet. Sticky rotate is also effective when viewing a homogenous population of documents that all need rotation. Sticky rotate is retained between document navigation until the setting is unchecked.
Dual Page View | Displays the pages of a document in two columns in the viewer. The first page is top left. The second page is top right. If there are more than two pages in the document then the third page is second from the top on the left. The number of rows of pages depends on the image size.
The Markup toolbar

The Markup toolbar provides a variety of tools for adding markups (annotations) to a document during the review process.

Tool | Name | Description
 | Area Redaction | Blocks out areas on the page that are considered confidential or sensitive from being viewed or copied after production. If text is selected, then it redacts the selected text.
 | Highlighter | Highlights the selected text.
 | Rectangle | Draws a rectangle around the selected area on the page.
 | Ellipse | Draws an ellipse around the selected area on the page.
 | Connected Lines | Draws a jointed line on the page.
 | Line | Draws a straight line in any direction on the page.
 | Text | Places a box that contains text on the page.
 | Crossout | Draws an X on the page.
 | Note | Places a box on the page to hold short notes.
 | Stamp | Places a predefined stamp on the page.
 | Arrow | Draws a line with an arrow.
 | Image | Places an external raster image (JPG, BMP, or PNG) on the page.
 | Strikethrough | Draws a strikethrough line over the selected text.*
 | Underline | Draws an underline under the selected text.*

*Strikethrough and Underline markup tools are only available if the document contains selectable text and text is selected.
The Markup properties toolbar

The Markup properties toolbar displays properties you can set for the selected markup tool when adding or editing a markup. The properties of the toolbar changes depending on the type of markup selected.

Markup Type(s) | Markup property toolbars | Name
Redaction |  | Redaction
Text, Note, and Stamp* |  | Text
Image |  | Image
Rectangle and Ellipse |  | Shapes
Line, Connected Lines, Crossout, and Arrow |  | Lines
Highlighter |  | Highlighter
Redaction

The types of lines markup toolbar contains several properties for defining the line markups in the viewer such as color, width, and line style. Sets the reason for redaction. The reason for redaction will be displayed in the center of the redacted area when redactions are selected to be included in produced documents.

Property | Description
Colors | Sets the color to use for the redaction. See more details about the Color Picker below.
Redaction Reason | Sets the reason for the redaction. This may be blank.
CNDCN | The document's CNDCN is listed.

More information on applying redaction markups can be found in the Annotating documents section of the Answer Center.
Text

The text markup toolbar contains several properties for designing text markups in the viewer such as color, font style, size, and effects.

Property | Description
Colors | Sets the color for the font and the surrounding text box. See more details about the Color Picker below.
Font Name | Select from the font style drop-down list.
Font Size | Select from the font size options drop-down list*.
Background Color | The default for the text background can be changed using the color drop-down list and selecting an alternative color.
Underline, Italic, Bold | Clicking on U (Underline), I (Italic), and/or B (Bold) adds effects to the font. When an effect is selected, the icon is highlighted
CNDCN | The document's CNDCN is listed.

*The stamp markup doesn't have the property for size as it automatically adjusts to the size of the text box.

More information on applying text, note, or stamp markups can be found in the Annotating documents section of the Answer Center.
Image

The image toolbar allows the loading of images so that an external raster image (JPG, BMP, or PNG) can be placed on the page.

Property | Description
Ellipsis | Opens Image Markup window to browse to (JPG, BMP, or PNG) to apply to image.
CNDCN | The document's CNDCN is listed.
Shapes

The shapes markup toolbar contains several properties for designing graphic markups in the viewer such as color, width, line style, and fill.

Property | Description
Colors | Sets the color for the shape and fill if enabled. See more details about the Color Picker below.
Line Width | Sets the width of the lines in the shape.
Line Style | Sets the style of the line (solid, dashes, dash-dot, or dots).
Fill | Fills the shape to make a solid image
CNDCN | The document's CNDCN is listed.

More information on applying rectangle or ellipse markups can be found in the Annotating documents section of the Answer Center.
Lines

The types of lines markup toolbar contains several properties for defining the line markups in the viewer such as color, width, and line style.

Property | Description
Colors | Sets the color for the line type. See more details about the Color Picker below.
Line Width | Sets the width of the lines.
Line Style | Sets the style of the line (solid, dashes, dash-dot, or dots).
CNDCN | The document's CNDCN is listed.

More information on applying line, connected lines, crossout, and arrow markups can be found in the Annotating documents section of the Answer Center.
Highlighter

The highlighter toolbar contains the ability to change the color of the highlighter tool.

Property | Description
Colors | Sets the color for the highlighter. The result is transparent with this tool. See more details about the Color Picker below.
CNDCN | The document's CNDCN is listed.
Color Picker

The color picker is separated into three sections: Theme colors, Standard colors, and Recent colors.

By selecting the color wheel, you can select a custom color.

A specific color can be selected by entering the designated values in the appropriate fields or by moving the color bar on the right and selecting the corresponding tone in the main square. The bar immediately below the main square adjusts the transparency level of the selected color.

Redactions may appear transparent in the Concordance Viewer but will be fully redacted and overlaid with a solid color when produced.

The Navigation toolbar

The Navigation toolbar allows you to move between documents and records. See, Displaying documents in the Concordance Viewer.

Tool | Name | Description
 | Previous Document | Navigates to the previous document in a single or concatenated set of Concordance Desktop databases.
 | Next Document | Navigates to the next document in a single or concatenated set of Concordance Desktop databases.
 | GoTo Document | Navigates to a specified document within the current query.
 | Previous Page | Navigates to the previous page in a multi-page document shown in the viewer, or the next document if on the last page of the current document.*
 | Next Page | Navigates to the next page in a multi-page document shown in the viewer.
 | GoTo Page | Navigates to a specified page within a document.

*If you are on the first page of a document and press Previous Page then you will go to the first page of the prior document not the last page of it.

The View toolbar

The View toolbar adjusts the size and orientation of the current document.

Tool | Name | Description
 | Rotate Clockwise | Rotates the document in 90 degree clockwise increments.
 | Rotate Counterclockwise | Rotates the document in 90 degree counterclockwise increments.
 | Fit to Width | Adjusts the zoom width so that the entire width of the document appears in the workspace.
 | Best Fit | Adjusts the image size so that the entire image of the document appears in the workspace.

The Thumbnails pane

You can hide or show the Thumbnails pane by clicking the expand thumbnails button [image] on the left side of the thumbnails pane.

The Thumbnails pane displays small images of the pages within the current document. The thumbnail image for the currently selected page is displayed with a dotted line around it. If a page contains markups, it will display with a red box surrounding the thumbnail image.

Click on a specific page in the Thumbnails pane to display that page in the viewer work area.

Use the navigation tools in the Thumbnails pane to navigate the pages of the current document.

Tool | Name | Description
The Up Arrow key/ the Left Arrow key | Previous page | Navigates to the previous page of the document or image.
The Down Arrow key/ the Right Arrow key | Next page | Navigates to the next page of the document or image.
 | Previous markup page | Navigates to the previous page that contains markups.
 | Next markup page | Navigates to the next page that contains markups.
Enter key | Select Page | Displays the selected page in the main view.
The Page Up key | Page Up Thumbnails pane | Reverses the display of thumbnail in increments of approximately 5 pages.
The Page Down key | Page Down Thumbnails pane | Advances the display of thumbnail in increments of approximately 5 pages.
Document information pane

The Document Information pane contains detailed information about each record shown in the viewer.

Media Tab | Description
Properties | Displays numeric, date, text and paragraph data, up to 40 characters, from the document's corresponding Concordance Desktop field.
History | Displays the markup history, in descending page order, of all markup additions, modifications, and deletions that have taken place for the current document.


Opening views
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When synchronized with Concordance Desktop, each tab in Concordance Desktop has an associated tab in the Concordance Viewer, displaying the associated document view. You can have up to 16 views open at the same time. Each view is accessible using the named tabs at the top of the workspace. The database you are currently viewing will be underlined.

Changing between databases in the viewer

The database that is currently displayed is the database tab that is highlighted in blue.

To change to another database view in the Concordance Viewer do one of the following:

·Select the database name by clicking on it.

·Toggle to the database name by holding the Ctrl key and selecting the Tab key until the desired database is selected.
To close the current view To close the a Database in the Viewer

1.Select the X to the upper right of the database that you would like to close.

2.A Warning is displayed across the viewer.

3.Select OK to close the database.

4.Select Cancel to leave the database open.


Magnifying records in the viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the Concordance Viewer, you can zoom, magnify, pan and rotate documents depending on the record type and particular content. For instance, handwritten documents are harder to read online and perhaps illegible in some instances. Special magnifying tools from the mouse options and view toolbar allow you to read with ease and inspect signature details.

To adjust the magnification of the document view To adjust the magnification of the document view:

Based on the Mouse Mode selection, and using the View toolbar, do any of the following:

·To zoom in or out on a document, select the Pan/Zoom tool then use the mouse wheel. Rotate the wheel forward to increase the magnification or rotate the wheel down to decrease the magnification.

·To enlarge a selected area, click the Area Zoom tool and drag the tool across the area you want to enlarge then double click in the box to zoom.

·To open a magnifier window, click Magnifier and drag the tool over the area you want to magnify.

The Zoom function in the Concordance Viewer is sticky by default across documents in the database. The documents remain in zoom mode until either Fit to Width or Best Fit are selected.

·To rotate a document in 90 degree increments, click the Rotate Clockwise or the Rotate Counterclockwise button.

·To fit the entire width of a document in the workspace, click the Fit to Width button.

·To fit the entire image of a document in the workspace, click the Best Fit button.
Using sticky zoom and sticky rotate Using sticky markup and sticky rotate:

Many documents are often scanned with a portrait page view setting, making online reading a challenge unless the page is rotated. The Sticky Rotate setting makes reviewing easier by changing the page layout to a landscape view and keeping it there even while navigating between records.

The Sticky Markup and Sticky Rotate functions are located on the Document Options menu:

·Sticky Markup - keeps your markup settings as you move from record to record. If you uncheck the selection, then you will need to select the markup each time to use it.

·Sticky Rotate - retains the rotated settings as you page through a record. These settings are especially helpful if you are reviewing a spreadsheet. If you uncheck the selection, and then navigate to the next record, the record defaults to its original view.

A check mark next to each option on the Document Options menu indicates that this setting is selected. The selections are maintained for the current database when Concordance Desktop is closed and reopened.

Sticky rotate is also effective when viewing a homogenous population that all need rotation. Sticky rotate is retained between document navigation until the setting is unchecked.


Using the document information pane
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Document information pane provides quick access to additional information (metadata) about the current document or image. The information is directly linked to the information in Concordance Desktop and is stored in the Concordance Desktop Image Base (CIB) file.

The Document information pane organizes the information into two views.

Tab | Description
Properties | Displays numeric, date, text and paragraph data, up to 40 characters, from the document's corresponding Concordance Desktop fields.
History | Displays a complete history, in descending page order, of all markup additions, modifications, and deletions that have taken place for the current document.

The Properties tab displays detailed information about the document.

Select the History tab to view markup history. The Refresh button updates the history showing the latest changes to the markups for the current document. The Export button exports all of the markup changes to a csv for further review or reporting.

The main view of the markup history tab displays the following information if there are markups saved.

Item | Example | Description
Markup name | Polygon Redaction | Name of the markup. In the case of redaction, the specific type of redaction is listed (area redaction, or polygon redaction).
Page | Page 1 | The page containing the markup or the markup removal.
Modification (Not displayed when creating markups.) | Modified (Move) by Reviewer One on 4/19/2019 at 04:17 PM Modified (Reason) by Reviewer One on 4/19/2019 at 04:17 PM Deleted by Reviewer One on 4/19/2019 at 04:17 PM | Describes the change that was made to the markup since creation. This includes the user who made the change, date of change, and the time of the change (based on the reviewer's local time).
Reason | Highly Confidential | The reason is displayed for redactions. The reason is entered at the time the redaction is placed or edited. The reason may be blank.
Created by | Created by Reviewer One | The user name of the reviewer that made the change.
Date | 5/14/2019 | The date of the markup change in MM/DD/YYYY format.
Time | at 08:32 PM | The time that the markup change occurred based on the reviewer's local time.

Markups that were converted from earlier Concordance versions will show add and deletion entries only.


Applying redactions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A redaction is used when confidential information needs to be hidden in a document for production. Redactions placed using the viewer are transparent and can be edited, moved, or deleted as needed. Once a document is produced, redactions cannot be edited or removed in the produced file and any text or images concealed by a redaction cannot be viewed, copied, or searched.

If you need to produce text files, you will need to OCR the produced images after the redactions have been burned into the production output.

The Redaction tool allows you to place one or more redactions over various areas of sensitive information within a document. In Concordance Viewer, the redaction appears transparent to allow you to make sure the redaction covers the information you want to conceal. When a production is executed, the redaction becomes opaque concealing the information underneath.

Since PDF files are not flattened or burned, when producing PDF files the redacted information is removed from the file before the redaction is placed. The production process physically removes the hidden text from the produced file, the original document is not altered.

There are two ways you can apply a redaction:

·Draw a redaction box over an area of the document or image.

·Redact a sentence or part of a sentence through text selection.

Area Redaction and Text Redaction within a paragraph

To add an area redaction:

1.On the Markup toolbar, click the Redaction tool [image] .

2.Using the Redaction tool, do any of the following:

·To redact a section of a document, draw a rectangular box around the section to redact.

·To redact a list, click outside the margin of the list, and draw a rectangular box around the text.

We recommend that you use different colors when applying redactions and highlighting text. This ensures that the markup type can be easily differentiated when viewing a document or image.

3.With the redaction selected, on the Markup Properties toolbar, locate the Reason list.

4.In the Reason list, do one of the following and then press Enter:

·Type a new reason.

·Click an existing reason from the list

·OR you may leave the reason blank

If you do not enter a reason for the redaction and press Enter or select a reason from the list, the current redaction reason shown in the Reason list will be applied to the redaction.

The redaction list displays only 40 redaction reasons based on alphabetical order.

5.Save the redaction by removing focus from it. To remove focus, you can click outside the redaction, select another tool or navigation button, or even navigate to another document.
To add a text redaction:

1.Use your mouse to select the text you want to redact.

2.Click the Redaction Tool on the Markup toolbar.

3.Select the text redaction to change any of the markup properties such as color or Reason for redaction.

4.Save the redaction by removing focus from it. To remove focus, you can click outside the redaction, select another tool or navigation button, or even navigate to another document.

You can select your text redaction font properties via the Markup Properties toolbar at the top of the window.

Text-based redactions are not enabled when a document is rotated. Use the area redaction tool or restore the document to the original orientation to use a text-based redaction.

To change the properties of a redaction To change the properties of a redaction:

1.On the Mouse options toolbar, click the Select tool.

2.Select the redaction you want to change.

3.On the Markup properties toolbar, do any of the following:

·To change the redaction color, click the Color button and select a new color from the color picker.

·To change the redaction reason, type a new reason or select it from the list, and then press Enter.

4.Save the redaction by removing focus from it. To remove focus, you can click outside the redaction, select another tool or navigation button, or even navigate to another document

When redacting a bullet or numbered list, it is recommended that you always apply redactions using the Area Redaction tool. This ensures that the list content is completely redacted when the image is produced and/or printed. Begin drawing the rectangle in the margin, outside the text area, to ensure all information is redacted successfully.

All redactions are produced as black when Black & White is selected in Image Settings for the production output. Color redactions will appear as set by the user when Color is selected for the production output.


Applying markups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

During the discovery process, marking up record detail is the phase when deeper content investigation and case record preparation begins.

The Markup toolbar includes a variety of tools you can use to mark up (annotate) a document or image during review. Applying markups includes redacting information and adding notes. You can also apply color markings to highlight or underline text and add a circle or box to emphasize a block or region of key content. All of these elements can easily be edited, moved, or resized.

There is no limit to the number of markups you can add to a document.

Markups for the current document/record are displayed in the history tab of the Document information pane. The markup history displays markup type, author, date, and time. Markup history is also saved in the .cib file. See, Viewing document information.

To add text:

1.On the Markup toolbar, click the Text tool [image] .

2.Using the Text tool, select the area where you want to add the text.

3.Double click on the text box to open the text edit box.

4.Click on the text edit box once for the cursor to appear for adding text.

5.In the text edit box, type the text you want to add.

6.On the Markup properties toolbar, specify any of the following:

·To change the color of the box and text, click the first color drop down, and then select a color from the color picker. The outline color of the text box is set to be the same as the current font color.

·To change the font, in the font name list, select a font.

·To change the font size, in the list, select a font size.

·To change the background color of the text box, click the second color drop down which opens the color picker dialog box, and sets the background to the color selected. The color choice displayed as a box with an X (Automatic) sets the background as transparent with all text visible.

6.Set the font style, do any of the following:

·To underline the text, click the Underline button.

·To italicize the text, click the Italics button.

·To make the text bold, click the Bold button.

7.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.
To add a note:

1.On the Markup toolbar, click the Note tool [image] .

2.Using the Note tool, select the area where you want to add the note.

3.Double click on the note box to open the note edit box.

4.Click on the note edit box once for the cursor to appear for adding text.

5.In the note edit box, type the text you want to add.

6.On the Markup properties toolbar, specify any of the following:

·To change the color of the box and text, click the first color drop down, and then select a color from the color picker. The outline color of the text box is set to be the same as the current font color.

·To change the font, in the font name list, select a font.

·To change the font size, in the font size list, select a font size.

·To change the background color of the text box, click the second color drop down which opens the color picker dialog box, and sets the background to the color selected. The color choice displayed as a box with an X (Automatic) sets the background as transparent with all text visible.

7.Set the font style, do any of the following:

·To underline the text, click the Underline button.

·To italicize the text, click the Italics button.

·To make the text bold, click the Bold button.

7.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.

A Note remembers the last text that was entered in the previous note when creating a new Note markup. Text will always have a blank text box when you create a new markup.

You can use Rich Text Formatting (RTF) in notes and text, including copying RTF content from another application and then pasting into a note. The text will be converted to your current settings for the note.

To add lines:

1.On the Markup toolbar, click one of the following:

·To draw a straight line, click the Line tool [image] .

·To draw a jointed line, click the Connected Line tool [image] .

·To place an X over an area on the document, click the Crossout tool [image] .

·To draw an arrow, click the Arrow tool [image] .

2.Draw on the document:

·To draw a line, crossout, or arrow, drag the tool across the document where you want the markup to appear.

·To draw connected lines, click to create the starting point, move the tool, and then click to create each segment. Double click when finished drawing the last line segment of the connected lines.

3.To change the line properties, on the Markup properties toolbar, do any of the following:

·To change the color, click the color drop down, and then select a color from the color picker.

·To change the line width, select the value from the drop-down list.

·To change the line style, select the style from the drop-down list.

4.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.
To add shapes:

1.On the Markup toolbar, click one of the following:

·To draw a rectangle or square, click the Rectangle tool [image] .

·To draw an ellipse or circle, click the arrow next to the Rectangle tool, and then click the Ellipse tool [image] .

2.Draw in the document:

·To draw a rectangle or ellipse, drag the tool across the document where you want the markup to appear.

3.To change the shape properties, on the Markup properties toolbar, do any of the following:

·To change the color, click the color drop down, and select a color from the color picker.

·To change the shape style, select the style from the line style list.

·To make a solid shape, select Fill.

4.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.
To add text edit markups:

When a document contains selectable text, the Strikethrough, and Underline tools become available.

1.Select the desired text that you will markup.

2.On the Markup toolbar, click one of the following:

·To draw a strikethrough, click the strikethrough button [image] .

·To draw an underline, click the underline button [image] .

·To redact the selected text, click the Redact button [image] . Then select the reason and color from the Redaction properties toolbar.

3.The selected text now has the desired markup.

4.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.

If you have Sticky Markup enabled in Document Options, then the markup selections will be applied to all text selections after adding your first text markup. This continues until you change the markup style or remove the sticky markup selection.

To edit text markups:

1.To edit text markups created in the Concordance Viewer the mouse options need to be set to Select.

2.When the markup tooltip is visible, left click on the markup.

3.The selected markup can be edited.

·If you are using the underline or strikethrough markup, you can change the color in the markup properties toolbar.

·If you are using the redaction markup, then the redaction edits can be made with the redaction properties toolbar.

·If you would like to delete the markup, then select the Delete key.

The markup can be applied to multiple lines/paragraphs of continuous text in one action. Removing the markup from the same selected text may be multiple actions. Selecting the Delete key repeatedly will remove the markups one at a time.

·If a selection of text has multiple markups then each type of markup would need to be selected and deleted in order to remove all markups from the selection.


Applying images and stamps
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Images tool allows you to insert images (JPG, BMP, or PNG) into the current document. Images are created in an image editor for use with Concordance Viewer.

To insert an image:

1.On the Markup toolbar, click the Image tool [image] .

2.On the Markup properties toolbar click the ellipsis button, the Image Markup window opens for browsing to the image you want to add.

3.Select the image and click Open.

4.Select the area where you want to add the image.

5.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.

The image list in the Markup properties toolbar lists shows the 10 most recently used images providing quick access to the images you apply most often.

Stamps contain a default red "Confidential" stamp. The color, content, and font style can be modified.

To add a stamp:

1.On the Markup toolbar, click the Stamp tool [image] .

2.On the Markup properties toolbar do any or all of the following to modify the stamp:

·To change the color of the box and text, click the Color drop down, and then select a color from the color picker. The outline color of the text box is set to be the same as the current font color.

·To change the font, in the font name list, select a font.

·Set the font style, do any of the following:

·To underline the text, click the Underline button.

·To italicize the text, click the Italics button.

·To make the text bold, click the Bold button.

3.Click the area where you want to add the stamp. Hold the mouse button while dragging it to the desired size. The text will automatically size to fit the image.

4.Save the markup by removing focus from it. To remove focus, you can click outside the markup, select another tool or navigation button, or even navigate to another document.


Editing markups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can change the appearance, size, and location of markups after you add them. All changes are tracked in the Markup History tab of the Document Information Pane within the Concordance Viewer.

To edit a markup To edit a markup:

1.From the Mouse Mode drop down choose Select.

2.Use your mouse to select the markup you want to edit.

3.Use any of the available markup tools to modify the markup as desired.
To rotate or resize a markup To rotate or resize a markup:

1.From the Mouse Mode drop down choose Select.

2.Use your mouse to select the markup you want to rotate or resize. The markup displays a rotate handle and resize handles around the perimeter.

3. Do one of the following:

·To rotate the markup, hover your mouse on the green rotate handle until your cursor changes to a rounded arrow, then click and drag the green rotate handle in the direction you want to rotate the markup.

·To resize the markup, hover your mouse on one of the resize handles until the cursor changes to a resize arrow, then click and drag to the desired size.
To delete a markup To delete a markup:

1.From the Mouse Mode drop down choose Select.

2.Use your mouse to select the markup you want to delete.

3.Press the Delete key on your keyboard.


Printing individual documents with Concordance Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Using the print command in Concordance Viewer, you can print the current document displayed in the viewer.

When printing documents, be aware of the following:

·When printing documents that have been reviewed and redacted using the viewer, be aware that any redaction placed on the document will print transparent revealing the text underneath. If you want to print redactions as opaque, you should select the Opaque option in the Print Redactions as drop down.

·Printing documents that contain markups to Adobe PDF using the File > Print option, does not permanently burn the markups in the document. If you want markups burned in, you must run the documents through the Production process in Concordance Desktop, then print the produced document.

To print a single document in the viewer:

1.From the hamburger menu [image] in the upper left corner, click Print.

2.Set the printing parameters you want, including specifying which document you want to print. See the printing parameter details in Batch Printing with Concordance Viewer

3.Click Start printing.

Printing and Production headers/footers and watermark settings are separate entities. Parameters you set in the printing dialog box are only available for printing.

Print Preview

Prior to printing you can also see a preview by clicking on the Preview button at the bottom of the Concordance Printing dialog. The preview will display in a separate Print Preview window, showing the first page of the current document. You can Print directly from the preview window, or Cancel the preview to return to the Concordance Printing dialog.


Opening the Admin Console
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Admin Console is used to setup and maintain users, databases, user groups, matters, clients, licenses, connections, scheduled jobs, and server based settings associated with a Concordance Desktop server. To connect and perform administrative tasks on a Concordance Desktop server, you must have:

·A user account/profile setup on the server to which you need to connect

·An Administrator license available on the server for you to use

·The server's numeric IP address or the server's URL, such as cndt.myserver.com.

To access the Admin Console:

1.Run Concordance Desktop.

2.From the File menu, click Administration, then Admin Console.

The Admin Console Log on displays.

3.Type your computer or network login ID in the Logon field.

When Concordance Desktop is installed on your computer or workstation, it creates a user account using your computer login ID (or your network login ID, if on a Local Area Network [LAN]) as your log on ID.

4.Type your Concordance Desktop password in the Password field, or type a new password if this is the first time you are logging onto this server, or if you have had your password reset.

The first time you connect to a Concordance Desktop server, there is no password registered for your account. The password that you type in the Password field during your initial log on becomes your password for your user account/profile.

Once you have entered a password on your first log on, you can continue to use that same password or request a password reset, so that you can enter a new password the next time you attempt to open a database, or the Admin Console.

5.Type (or select if available) the server's numeric IP address or it's URL (such as cndt.myserver.com) in the Host name field.

6.Type the Admin Console listening port number in the Port field.

10001 is the default listening port number, which can be adjusted later. For more information about adjusting port settings, see Adjusting port settings.

7.Click the Connect button to connect to open the Admin Console.


Verifying connectivity - checklist

Navigation: Administration > Server Administration:

Verifying connectivity
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Reference the Connectivity Checklist for the Concordance Desktop server, to make sure you have completed all necessary steps to ensure connectivity channels for servers, databases, and users.

Connectivity Checklist:
Checklist: Concordance Desktop server Connectivity
 | Servers
 | Is Concordance Desktop installed on the machine you are using as the Concordance Desktop server, and activated with a Server license?
 | Did you remember to set up a valid administrator account in Microsoft Windows?
 | Did you set up your firewall ports?
 | Databases
 | Did you register existing 10.x databases in the Admin Console or place them in the Registration Directory (DB Smart Path)?
 | Is the Yes option displayed in the Online field for the database (Admin Console, Management tab, Databases)?
 | Did you associate your Concordance Desktop databases to the client and matter that applies for each database? *Clients are for organizational purposes only.
 | Did you setup all database administrators in the Admin Console?
 | Users/User Groups
 | Have you setup user groups and associated them with matters that are associated databases?
 | Do you have users associated to a database in the Concordance Desktop Admin Console?
 | Did you save a .fyi file for each database that remote Concordance Desktop users need to access?
 | Does each user have a valid ID and password in the Admin Console, and does it match what is used for authentication?


Adding new license keys
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Before you can add user license keys to the Concordance Desktop server, you need to contact Concordance Desktop Sales to request the licenses your organization will need. CloudNine sends an e-mail containing the applicable license keys. Once you have the licenses keys, you can add them to the Concordance Desktop server from the Admin Console.

To add a new license key:

1.Contact Concordance Desktop Sales at Sales@cloudnine.com to request an FYI Reviewer license.

In the license request, please include the following:

·Your organization’s server name

·Number of seats needed

·Length of time needed per seat

When your seat request is approved, CloudNine will send an e-mail containing the license keys.

2.Once you receive the license keys, Log onto the Admin Console on the Concordance Desktop server where you need to add the license keys.

3.Click the Licenses tab.

4.Copy the license key from the e-mail (CTRL+C) and paste it (CTRL+V) into the Enter a new license key here field.

5.Click the Activate button to enable the license for this server.

6.Repeat steps 4 and 5 for each license key you need to add.

When the seats are activated, the license count at the top of the tab is updated, and the license key is added to the license key list on the Licenses tab. Seats are valid during the date range you specified in the e-mail.

When you enter the license key, ensure that you include the semi-colon at the end, and that there are no extra spaces at the front or end of the entry, otherwise you will receive an error stating that it is an invalid or duplicate license.


Removing license keys
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

To remove a license key:

1.Open the Admin Console on the server where you need to delete the license key.

2.Click the Licenses tab.

3.In the license key list, click the license key you want to remove.

4.You are asked to confirm the deletion, click Yes.

5.Click the Remove button.

The license key is removed from the list of license keys, indicating that it has been removed from the server.


Setting up license notifications

Navigation: Administration > Server Administration > Manage Licenses:

Setting up license expiration notifications
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop administrators can receive e-mail notifications when a license is about to expire, providing their user account includes their email address. Notification options can be set from the Admin Console Licenses tab. Concordance Desktop ASPs may also want to use e-mail notifications to alert clients of any upcoming license expiration.

License expiration occurs at midnight on the last date of the licensing period. If licenses do expire for users, they will not be able to access any databases until you reactivate the licenses.

You must have an email client installed on the server in order to send notifications.

To set options for license expiration notifications:

1.From the Admin Console, click the Licenses tab.

2.Click the Notification options button.

Clicking the Notification options button opens the Notification options dialog box.

3.Select the Notify administrators prior to license expiration check box to receive an e-mail alert when a license is about to expire.

4.In the Begin notifying administrators day(s) prior to expiration field, type the number of days prior to the expiration date that a notification email will start being sent out for an expiring license.

5.To have an e-mail notification sent out every day once the notification begins, select the Remind administrators once a day check box.

6.Click OK to save your settings.

For an administrator to receive e-mail notifications, their e-mail address must be added to the E-mail field in their user account.

For more information about administrators and setting up e-mail notifications, see Adding administrator accounts to the server.


About user setup & management

Navigation: Administration > Server Administration > Manage Users:

About setting up and managing users

No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

User accounts for all users must be added to the Concordance Desktop server in order to have access to the databases created, migrated to, and registered on that Concordance Desktop server. As users are added to the server, they are automatically added to a group named "All Users." The "All Users" group, that includes the user name, field rights and menu access settings of every user added to the server, is automatically applied to a matter named "All User Groups." As databases are created, migrated to, or registered on the Concordance Desktop server, they too are automatically associated with the "All User Groups" matter. It is this set of associations to the "All User Groups" matter that makes it possible for every user to have access to every database on the Concordance Desktop server.

Users can be added to the server using any of the following methods:

·One user at a time, under the Management tab in the Admin Console.
This method is used when Concordance Desktop is used for user authentication.

·Inserting of multiple users from Active Directory or another external domain.
This method is used when Active Directory or another external domain is used for user authentication.

·Users assigned to a Concordance 10.x database that is migrated or registered on the Concordance Desktop server.
During the migration or registration of a Concordance 10.x database, users who were assigned to the database, are carried over and automatically added to the Concordance Desktop server.

Methods for adding and managing users

There are several methods you can use for adding and managing users on a Concordance Desktop server; you can use Concordance Desktop authentication, Active Directory or another external domain authentication, or by migrating or registering a Concordance 10.x database with Concordance Desktop. How users are added, and how you maintain those users moving forward, depends on the method selected for adding them. The selected method also determines the users' database access rights defaults.

Concordance Desktop authentication:

Users who are added one at a time in the Admin Console automatically receive full rights to all databases. Though user field rights and menu access can be changed in a user's user account. Any restrictions set in a user's user account are applied to all databases associated with the "All User Groups" matter, with the exception of any migrated or registered Concordance 10.x databases that the user may have been assigned. In a migrated or registered Concordance 10.x database, the user's rights assigned to that database in Concordance are carried over and applied only to that database, in Concordance Desktop.
Active Directory or another external domain:

Users who are added from an external domain automatically receive full rights to all databases. Just like users who are added one at a time in the Admin Console, user field rights and menu access can be changed in a user's user account in the Admin Console. Any restrictions set in a user's user account are applied to all databases associated with the "All User Groups" matter, with the exception of any migrated or registered Concordance 10.x databases that the user may have been assigned. In a migrated or registered Concordance 10.x database, the user's rights assigned to that database in Concordance are carried over and applied only to that database, in Concordance Desktop.

Migrating or registering a Concordance 10.x database:

Users who are added to the server during the registration of a migrated Concordance 10.x database receive full rights to all Concordance Desktop databases. However, whatever rights were assigned to them in the Concordance 10.x database, are carried forward and applied for that database only. As with users added by the other methods, these users automatically receive full rights to all other databases. And their rights in those other databases can be changed in the Admin Console. However, in order to change their rights on the migrated/registered Concordance 10.x database, you need to user the User Management feature. The User Management feature lets you set rights on a database by database basis. For more information about the User Management feature, see Restricting user access on databases.

Most firms will find that the user access they grant in the Admin Console is sufficient for all databases on the server. However, if your firm requires that specific users be restricted on one or more databases, you can setup each user's general access settings in the Admin Console that will be applied to all databases, and then set user restrictions for the specific database(s) using the User Management feature. For more information about the User Management feature, see Restricting user access on databases.

Consider matching user IDs to a reviewer’s Windows or network ID. You can also reference your staff’s Windows profiles to review what permissions should be granted to different reviewers.

About user logon names and passwords About user logon names and passwords

Users of Concordance Desktop are not asked for log on credentials until they actually attempt to open a database. It is only during this attempt that their installation of Concordance Desktop can determine which Concordance Desktop server they need to access the database from. This holds true for administrators as well when they attempt to access the Admin console or create a new database. However, administrators are also asked for the server name and port on their log on screen.

The user name and password a user must use when opening a database, is based on the method used to add and authenticate users on the Concordance Desktop server.

When Concordance Desktop is used for user authentication: Users are authenticated by their user account on the Concordance Desktop server. Whatever user name their user account is setup with, that is the name they need to use when they open a database on a Concordance Desktop server. Passwords cannot be changed by an administrator on the Concordance Desktop server, but they can be reset so that users are prompted to enter a new password the next time they attempt to open a database.

When an external domain is used for user authentication: Users are authenticated by the network. Whatever user name and password is setup for them on the network, those same credentials must be used to open a database on a Concordance Desktop server. If using an external domain add and authentication users, the user's network password must be set to "Never expire."

When users are added by migrating or registering a Concordance 10.x database: Users are authenticated by whichever method (Concordance Desktop or external domain) is used to authenticate the users. Their user names, as set in the database, are carried over and added to the Concordance Desktop server. If Concordance Desktop is the authentication method, they use their Concordance Desktop user name, and are asked to create a password on their first attempt to open a database. If an external domain is used for authentication, they use their network user name and password when they attempt to open a database.

For more information about resetting passwords, see Resetting a user's password.


Before user setup
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Before you set up users in Concordance Desktop, please consider the following tips:

General user setup tips General user setup tips

·User passwords are encrypted with the SHA-1 standard in the .sec files

·Concordance Desktop does not support special characters such as %, & #, etc., in user, user group, database, matter, and client names.

·Concordance Desktop does not support user names, passwords, or database names containing characters in Unicode, such as Chinese or Japanese characters. Currently, only user names, passwords, or database names containing single-byte characters are supported, such as English characters.

·Distinct user IDs and passwords need to be the same across all databases the users need access to on the Concordance Desktop server. This includes all databases created in Concordance Desktop and all Concordance 10.x databases that have been migrated to Concordance Desktop.

·Best practice is to ensure there is at least one user who is setup as a Supervisor, with full rights. Since most users at a firm perform several different tasks, this is the default for all users, unless a user's rights are changed in the Admin Console, or in a specific database using the User Management feature

·Concordance Desktop captures a user’s network log on and compares it with the user list from the Admin Console and if applicable, with the restrictions in database user management settings. If a match is found, then the user receives the corresponding rights. If a match is not found, the user receives the default user rights (all rights to all databases).

·Deleting the Default user in Concordance Desktop is optional, but suggested.

User setup limitations User setup limitations

·User IDs – 22-character maximum, not case sensitive, spaces allowed, special character such as %, &, #, etc. are not allowed in user IDs

·Passwords – 24-character maximum, case sensitive, created on first access, slashes, and other special characters, such as %, &, #, etc., are not allowed in passwords

·Blank user names are not allowed in Concordance Desktop
Tips for when using Active Directory authentication Active Directory authentication user setup tips

·First set up users in Microsoft Active Directory before adding them to the Concordance Desktop server.

·The spelling of the user name must be the same as the user name in the Active Directory.

·Passwords in Active Directory must be set to never expire, for all Concordance Desktop users.
Tips for when you restrict user access rights in a database User setup tips for restricting user access rights in a databases

·Consider setting up a user group for each user type (administrators, project manager, CCSA, database administrator, etc.), that require the same access to all databases, and then drag and drop each user to their respective user group. When you need to assign the users with new database, you create a matter, and drag the specific user group(s) and database to the matter. This assigns the database and the user group(s) to the same matter, allow those users to access that database.

·By default, all users are granted full rights to fields and access to all menus when they are added to the server.

·When you add a new field to a database, by default all users are granted full access rights to that field. If you want to restrict access to the field you need to modify the field access rights for each applicable user whom you want to restrict.

·If you intend to set the same restrictions for a user, or multiple users, across several databases, you can create a template (role template) .csv file. You create the .csv file by 'exporting' the user restrictions from one database and 'importing' them into another database. The same user restrictions can be imported to several other databases. When you export to a .csv file, both the field rights and menu access rights are saved to the .csv file.

·It is best practice to always export a copy of your user management settings each time you update them so you have a current backup copy to reference. Be sure your supervisor or secondary database administrator has access to this file in case of an emergency.

Recommended database menu restrictions Recommended database menu restrictions

If you are using the User Management feature to restrict user rights in a database, we recommend that you restrict the following menu rights from all users except the applicable database administrators and supervisors:

·File > Index

·File > Reindex

·File > Administration

·File > Begin Program

·File > Edit Program

·Edit > Delete and Undelete

It is best to adhere to these guidelines when setting restrictions on users in Concordance Desktop databases, to ensure consistency in how user settings are applied.

If you restrict a user's access to Edit > Validation, that user will not be able to access list files.

Optional field restrictions

Even if user management is not applied to a database, you can apply read-only rights to database fields in the Data Entry Attributes screen. Any field marked as read-only in this box applies to all database users and also overrides field rights applied in the User Management screen.

For more information about the Data Entry Attributes screen, see Setting data validation.
User management guidelines for concatenated databases

Setting up user management for concatenated databases includes the following guidelines:

·Field rights and menu access settings can be set up in each database if you need to apply restrictions for users of that database. Setting up these settings in a concatenated database set only affects the primary database.

·The user name and password must be the same for all databases in the concatenated set.

·When the user name and password in the primary database does not exist in a secondary database, and security is enabled, the concatenated database will not open. The user will receive a message that they do not have access rights to the specific database.

·When a secondary database has security enabled and the primary database does not have security enabled, the user is prompted for the user name and password when using the secondary database. The user name and password entered becomes the user name and password for the concatenated database set.

For detailed instructions on setting up Concordance Desktop database access restrictions, see Restricting user access on databases.


About user authentication setup
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

We recommend that before you set up users and apply Field and Menu permissions, that you pre-plan the following items noted in the Setting Up User Authentication Checklist.

·If you are using external authentication, you want to set up your users first in the Microsoft Active Directory and then import the users into the Administration Console when registering databases on a Concordance Desktop server.

·If you are not using authentication, we recommend that you set up users in the Concordance Desktop Admin Console. This will allow each user to have access to all databases on that server or added to that server, unless you restrict user access using the User Management feature.

Setting Up User Authentication Checklist

Checklist: Setting Up User Authentication

Pre-Planning for User Setup

Have you determined if external authentication will be implemented?

Do you have a method of assigning and tracking user IDs to help manage individual user accounts?

Have you implemented a process for adding users to the Concordance Desktop server?

Are these processes known to other administrators who are responsible for setting up users and managing databases?

Did you implement a folder template to store your databases and associated files?

Admin Console User Setup

Did you add additional administrator user accounts, and set full menu and field access rights?

Did you include an email address for each administrator who needs to receive watchdog and other notifications from the server?

Did you set up e-mail options and watchdog services under the Settings tab?

(All notifications will be sent to all administrators who have an e-mail address included in their user account/profile.)

For databases migrated to Concordance Desktop using the DB Smart Path directory: Did you verify that all users associated with the database, now have user accounts in the Admin Console under the Management tab?

Did you associate your Concordance Desktop databases to the client and/or matter that applies for each database?

Note: Clients are for organizational purposes only.

Did you add additional contact information for each user, in the Admin Console under the Management tab, in the event that the user or main contact for a case needs to be contacted?

User Management Setup for Restricting User Rights in One or More Databases
* Only if you are restricting one or more user's rights in one or more databases.

Did you set the administrator credentials for the applicable databases in the User Management dialog box in Concordance Desktop, and did you give them full access to all fields and menu items? (Optional)

This should be done only if you are using the User Management feature to restrict user field rights and menu access on a per user per database basis.

Have you planned and designed user roles with pre-defined database field and menu settings based on the types of administrators and users that are accessing databases? (This is only applicable if you are going to setup user restrictions on a database by database basis.)

Have you created user role templates on which to base the same restrictions for one or more users across multiple databases?

Did you verify field rights and menu access as designed in user templates and customize per user, as needed?

Did you export a backup copy of the .csv file for reference, and save it to a specified location in the folder template?

Note: You can import the .csv file into other Concordance Desktop databases to save time with user restriction set up.

Authentication options Authentication Options

When using Concordance Desktop, you have two primary user authentication options:

·External - Concordance Desktop relies on an external source to validate users.

·Internal - Concordance Desktop determines whether a user has access to a database or to view matters.
Using External Authentication

When using Concordance Desktop with Microsoft Active Directory, Microsoft Windows NT or PDC (Primary Domain Controller) to authenticate users, a two-fold verification takes place. The user is first authenticated with one of the following: Active Directory, Windows NT or PDC. If the person is a valid user, they are then authenticated in the Concordance Desktop Admin Console and have permissions based on the user rights applied.

To use this method of user verification, the login IDs in Concordance Desktop must be identical to the login IDs used in the directory service on the network. User passwords must be set to "never expire" on the network.

To add outside users to the Concordance Desktop server when using this type of authentication, the user must be added to the directory service on the network. For security purposes, they can be assigned no rights at the network level – but they need to be listed in the network directory for the authentication to take place. In the Concordance Desktop Admin Console, users can be added and granted the appropriate rights they need for the case. The same rules apply with regard to matching log on IDs in both the Active Directory and Concordance Desktop Admin Console.

For more information about authentication types, see Setting authentication types.

Authentication Type Considerations

The Concordance Desktop server supports a variety of authenticators that determine what source grants or denies users from accessing resources and the hosted databases. Please read the following sections before you adjust settings for authentication types.

Supported Authentication Types
Internal Types | Description
Concordance Desktop | Concordance Desktop handles authentication. A valid user ID and password is required to connect.
External Types | Description
External by Domain | Authentication by NT Domain Controller (non-Active Directory)
External by NT Server | Authentication by stand-alone server (Member server)
External by Active Directory LDAP | Authentication by Lightweight Directory Access Protocol (Microsoft Active Directory)

If you are using external authentication, you must still use Concordance Desktop security.

Concordance Desktop

This authentication method verifies user credentials set in the Concordance Desktop Admin Console. Concordance Desktop gives users their designated field and menu access. Users who are not verified by the Concordance Desktop settings are refused access by the Concordance Desktop server.
External by Domain

Domain passwords take precedence over Concordance Desktop passwords:

·If a user name or password is not recognized by the domain controller, then the user is refused access by the Concordance Desktop server.

·If the user is verified by the domain controller, then the user is given access to all Concordance Desktop databases where Concordance Desktop rights allow access for that log on, regardless of the Concordance Desktop password.

The External by Domain setting typically requires use of several ports: 137 TCP, 138 UDP, 139 TCP, and 445 TCP. Please ensure that your firewall is not blocking these ports.

You can verify user credentials through your Windows NT Primary Domain Controller (PDC) or Backup Domain Controller (BDC).

External by NT Server

This authentication method verifies user credentials through your Windows NT Primary Domain Controller (PDC) or Backup Domain Controller (BDC), specified by the Internet or IP address. This method has the same restrictions and features as described above for the External by Domain method.

If you enter an IP address and the server's IP address changes, the Concordance Desktop server will not be able to communicate with the credential server until the address is manually updated.

Port addresses typically required by this method include 137 TCP, 138 UDP, 139 TCP, and 445 TCP. Please ensure that your firewall is not blocking these ports.
External by Active Directory

Microsoft Active Directory passwords take precedence over Concordance Desktop passwords.

This authentication method requires a Microsoft Active Directory compatible credentials server. User credentials are verified and used as described above for the External by Domain method.

If you enter an IP address and the server's IP address changes, the Concordance Desktop server will not be able to communicate with the credential server until the address is manually updated.

Firewall ports that need to be open for Active Directory include 389 (LDAP), 636 (secure LDAP), and NetBIOS ports for the change password feature.

When authenticating users against an Active Directory server in a domain other than where the Concordance Desktop server is located, make sure that the Concordance Desktop server is running on Windows Server 2008 R2, Windows Server 2012, or Windows Server 2012 R2.

Concordance Desktop ASPs will want to set up a separate domain for their clients and then set up user accounts with passwords set to never expire. Firms and organizations hosting their own data can use their existing domain and user accounts.

When using external authentication, it is necessary that user IDs and passwords in a Concordance Desktop database are identical to those used in the Active Directory. To do this, you will need to create organization units (OU) in the Active Directory specifically for Concordance Desktop server users and set passwords to never expire so that you are not updating passwords in both the Active Directory and Concordance Desktop databases if passwords expire.

For more information about setting up users in Active Directory, please refer to Microsoft's help system.


About Active Directory authentication
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Managing users between Active Directory and Concordance Desktop can be an easy task when there are clear, written instructions on how to add, update, and remove users. Always ensure that the administrators are using the same methodologies and there is documentation in a shared location for new administrators and for reference.

Managing Users
Application | Tasks Include
Active Directory | Domain Users
 | Resetting user passwords
 | Editing Users
Concordance Desktop | Admin Console - Management Tab - Users
 | Modifying user Concordance Desktop server access settings
 | Resetting lost passwords for individual users
 | Exporting user account files in User Management for reference files or to import into another database


Adding/modifying users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

User accounts for all users must be added to the Concordance Desktop server in order to have access to the databases created, migrated to, and registered on that Concordance Desktop server. As users are added to the server, they are automatically added to a group named "All Users." The "All Users" group, that includes the user name of every user and their field rights and menu access settings, is automatically applied to a matter named "All User Groups." As databases are created, migrated to, or registered on the Concordance Desktop server, they too are automatically associated with the "All User Groups" matter. It is this association that allows all users to access all databases on the Concordance Desktop server.

User accounts are added to the Concordance Desktop server in any one of three ways:

·Manually adding each user's user account in the Admin Console - Management tab, under Users

·Migrating and registering a Concordance 10.x database on the Concordance Desktop server

·Adding user accounts from an external domain, such as Active Directory

When adding users through the Admin Console, by default, full rights to fields (read and write) and full menu access (all menus in each database) are granted to the user. However, these defaults can be changed if you need to restrict the user's field rights and menu access rights across all databases. See Restricting user access on databases for more details.

When adding users by registering a migrated Concordance 10.x database, user accounts and rights to the migrated database are carried over from the Concordance 10.x database and applied to that database in Concordance Desktop. However, for all other databases on the server, field rights and menu access defaults are used. Therefore, users added through migration may have restricted rights, while all other users on the Concordance Desktop server still have full rights to the migrated database. If you need to restrict user rights on these migrated databases, you can do so from the User Management screen. See Restricting user access on databases for more details.

When adding users through an external domain (such as Active Directory), as with users manually added in the Admin Console, the default of full rights to fields (read and write) and full menu access (all menus in each database) are granted to each user. These defaults can be changed if you need to restrict a user's field rights and menu access across all databases. See Restricting user access on databases for more details.

It is important to note that no matter how users are added to the Concordance Desktop server, if you need to setup restrictions for a user across all databases, you need to do so in the user's user account in the Admin Console immediately after their user account appears in the Admin Console. This is the only way in which to ensure that the restrictions you setup will be applied to all databases on the Concordance Desktop server. If you setup restrictions later on, the new settings will only apply to all databases added to the server from that point forward.

Concordance Desktop does not support user names, passwords, or database names containing characters in Unicode, such as Chinese or Japanese characters. Currently, it only supports user names, passwords, or database names containing single-byte characters, such as English characters.

Concordance Desktop does not support the use of special characters such as %, &, #, etc. in user names, user group names, matter names, client names, or database names. Characters in Unicode are also not supported in user names, password, and databases.

When adding users, the user name cannot be greater than 22 characters in length.

To add users when using Concordance Desktop authentication To add users when using Concordance Desktop authentication:

When using Concordance Desktop as your authentication type, you add users to the server one at a time in the Users list, from the Management tab in the Admin Console.

You must be an administrator on the Concordance Desktop server where you need to add users, as only Administrators can open the Admin Console.

To add a user to the server:

1.Log onto the server where the user account needs to be added.

This can be done by either:

·Logging into the computer/server that has been registered as the Concordance Desktop server

·Using Windows Desktop Remote to log into the physical Concordance Desktop server computer/server

2.Run Concordance Desktop on the server computer.

3.From the File menu, click Administration, and then Admin Console.

4.Enter your administrator Logon name and Password.

5.Enter the Concordance Desktop server Host name and the Port number (usually 10001) to use for accessing the Admin Console.

6.Click Connect.

Th Admin Console opens.

7.Click the Management tab.

8.Right-click on the Users folder and click on New user, to open a box in which to type the new user name.

9.Type the user name and press Enter to display the fields for setting up a user.

The 'User name' field automatically populates with the user name you entered in step 3.

The 'Description' field is used to indicate how the user was added to the server. If this user was added along with other users from a server list, or from the migration of a Concordance 10.x database, that information is displayed in the this area.

The 'Last login' field indicates the last time the user had logged into the server. Because you are just setting up this user account, "(never)" is displayed in this field.

Adding the user's contact information is optional, and what you enter should be based on your organization’s user account guidelines.

10.After adding the user, if you want to add contact information, click on their name in the Users list, to open the user account pane for their account.

11.In the First name field, type the user's first name.

12.In the Last name field, type the user's last name.

13.In the Company field, type the company/firm name.

14.(Optional) In the Phone field, type the user's phone number.

15.In the Email field, type the user's e-mail address if they are to receive e-mail notifications.

By adding an e-mail account, the administrator is notified when a license is about to expire, if you have setup the license notification options under the Licenses tab. The notification is sent to all Administrators who have an E-mail address in their user account.

E-mail notifications need to route through an existing SMTP server and Port (the standard default port is 25). The SMTP options can be setup on the Settings tab in the Admin Console. See Setting up SMTP options for more details.

Ensure that the Concordance Desktop server and SMTP server have IP trust between them. For instance, the anti-spamming rules must accept emails from the servers.

16.Click the License Type down-arrow and select Administrator, to setup this account as an administrative user.

17.Click the Field Rights down-arrow and select Read and Write, to ensure this account has full rights when working with databases.

·Read and Write: Read/write access to fields. This level of access for all fields is required for anyone who will be performing maintenance functions such as indexing, packing, or a database modify. If the user does not have full access to the fields, Concordance Desktop does not either.

·Read only: Ability to search, browse, and print fields. User with this access cannot edit or otherwise modify read-only fields. Commands such as Global edit and Load will not display fields which have read-only access. These fields are displayed in Edit view, but only for reference or to copy text to the clipboard.

18.Click the Menu Type down-arrow and select the preset you want to apply for the user.

·Supervisor: User has access to all menus and menu commands.

·Administrator: User has access to all menus and menu commands except the Modify, User Management, and Zap menu commands.

·Editor: User does not have access to the menu commands restricted in the Administrator preset, and does not have access to the following menu commands: New, Reindex, Index, Pack, Begin program, Edit program, and the menu commands for data validation. Though Editors can still search and edit, perform a global edit, load and unload data, and run reports.

·Researcher: User does not have access to the menu commands restricted in the Administrator and Editor presets, and cannot edit or append, load, overlay, import data, perform global edits, or unload a copy of the database's structure.

·No Access: User does not have access to any menus or menu commands. User can only open and exit the database.

19.Click the Synchronize now button (at the top of the Admin Console pane) to synchronize the new user account with the databases on this Concordance Desktop server.
To add users when using external domain authentication To add users when using external domain authentication:

Domain users can only be added to the Concordance Desktop server when External by domain, External by NT Server, or External by Active Directory LDAP is selected as the authentication type on the Settings tab in the Admin Console. When any one of these authentication types are selected, the 'Insert domain user' option is available when you right-click on the Users folder under the Management tab.

You must be an administrator on the Concordance Desktop server where you need to add domain users, as only Administrators can open the Admin Console.

User passwords cannot be changed when using an external authentication method.

To add/insert users from the selected domain:

1.Log onto the Concordance Desktop server where the users need to be added.

This can be done by either:

·Logging into the computer/server that has been registered as the Concordance Desktop server

·Using Windows Desktop Remote to log into the physical Concordance Desktop server computer/server

2.Run Concordance Desktop on the server computer.

3.From the File menu, click Administration, and then Admin Console.

4.Enter your administrator Logon name and Password.

5.Enter the Concordance Desktop server Host name and the Port number (usually 10001) to use for accessing the Admin Console.

6.Click Connect.

The Admin Console opens.

7.Click the Management tab.

8.Right-click on the Users folder and click on Insert domain user, to open a box in which to type the new user name.

·If this is the first time you have accessed the domain user list, you are asked for your domain user name and password. Type them in the appropriate fields and click Submit to continue.

Enter your domain/network logn and password

The Domain user import dialog box opens.

·If this is not the first time you have accessed the domain user list, the Domain user import dialog box opens. If you have been logged into the server and Admin Console prior to clicking on Insert domain user, you are not asked to provide your domain user name and password.

The Domain user import dialog box

9.Click the domain user you want to insert, and click the Insert button.

To select multiple users at once, use SHIFT+click or CTRL+click and then click the Insert button.

Adding user contact information is optional, and what you enter should be based on your organization’s user account guidelines.

10.After inserting a domain user, if you want to add contact information, click a user's name in the Users list, to open the user account pane for their account.

11.In the First name field, type the user's first name.

12.In the Last name field, type the user's last name.

13.In the Company field, type the user's company name.

14.In the Phone field, type the user's phone number.

15.In the E-mail field, type the user's e-mail address if they are to received email notifications. Usually, the email address is only added for administrators.

By adding an e-mail account, if the user is an administrator, they are notified when a license is about to expire, if you have setup the license notification options under the Licenses tab. The notification is sent to all Administrators who have an E-mail address in their user account.

E-mail notifications need to route through an existing SMTP server and Port (the standard default port is 25). The SMTP options can be setup on the Settings tab in the Admin Console.

Ensure that the Concordance Desktop server and SMTP server have IP trust between them. For instance, the anti-spamming rules must accept emails from the servers.

16.Click the License Type down-arrow and select the license type this user is to use on this Concordance Desktop server.

Available License Types are:

Administrator: This license is to be used for those users who require access to the Admin Console and all administrator features for this Concordance Desktop server. This includes database administration.

Full Reviewer: This license is to be used for those users who require the ability to search and view documents in their near native format (PDF format) and apply notations, redact text, etc. to those PDF copies.

Data Reviewer: This license is to be used for those users who require the ability to search and view documents in text format only.

17.Click the Field Rights down-arrow and select whether the user should have Read and Write or Read Only rights, to all the databases on the Concordance Desktop server.

18.Click the Menu Type down-arrow and select the preset you want to apply for the user.

·Supervisor: User has access to all menus and menu commands.

·Administrator: User has access to all menus and menu commands except the Modify, User Management, and Zap menu commands.

·Editor: User does not have access to the menu commands restricted in the Administrator preset, and does not have access to the following menu commands: New, Reindex, Index, Pack, Begin program, Edit program, and the menu commands for data validation. Though Editors can still search and edit, perform a global edit, load and unload data, and run reports.

·Researcher: User does not have access to the menu commands restricted in the Administrator and Editor presets, and cannot edit or append, load, overlay, import data, perform global edits, or unload a copy of the database's structure.

·No Access: User does not have access to any menus or menu commands. User can only open and exit the database.

19.Click the Synchronize now button (at the top of the Admin Console pane) to synchronize the settings with all the databases on this Concordance Desktop server.

To modify a user's field rights and menu access settings To modify a user's field rights and menu access settings

If you need to change a user's field rights and menu access settings across all databases, you can make the changes in the Admin Console under the Management tab, by following the instructions below. However, if you need to change a user's field rights and menu access settings on a specific database, you must open the database in Concordance Desktop and make the changes in the User Management screen instead. For more information about changing field rights and menu access at the database level, see Restricting user rights to databases.

Modifying a user's field rights and menu access settings across all databases:

1.Log onto the server where the user account needs to be added.

This can be done by either:

·Logging into the actual computer/server that has been registered as the Concordance Desktop server

·Using Windows Desktop Remote to log into the physical Concordance Desktop server computer/server

2.Run Concordance Desktop on the server.

3.From the File menu, click Administration, and then Admin Console.

4.Enter your administrator Logon name and Password.

5.Enter the Concordance Desktop server Host name and the Port number (usually 10001) to use for accessing the Admin Console.

6.Click Connect. The Admin Console opens.

7.Click the Management tab.

8.Double-click on the Users folder to display the list of users on the Concordance Desktop server.

9.Locate and click on the user you need to change, to display the user account pane for the user.

10.Click the Field Rights down-arrow and select whether the user should have Read and Write or Read Only rights, to all the databases on the Concordance Desktop server.

If a user has been added to the server from the migration of a Concordance 10.x database, their rights on that database cannot be overridden with this setting. Instead, you need to make the changes at the database level, from the User Management screen. See Restricting user rights to databases for details.

11.Click the Synchronize now button (at the top of the Admin Console pane) to synchronize the settings with all the databases on this Concordance Desktop server.


Adding administrator accounts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Administrators are added to a Concordance Server through the Admin Console Management tab, just like all other users. And like other users, there is some setup that must be done on the Concordance Server, before an administrator can log onto the server.

·A user account/profile must already be setup for them on the Concordance Desktop server, with the "Administrator" License Type assigned to their user account.

·An Administrator license must be available on that server for them to be able to connect as an Administrator on that server. If no Administrator license is available, Concordance Desktop automatically grants access, but at the next access level down, providing there is an available license at that level for them to acquire.

·Concordance Desktop must be installed on the computer they are using to connect to the server.

When you add administrators, take into account each of their roles and schedules for managing server processes and ongoing maintenance tasks.

If you intend to restrict databases field rights and menu access, we recommend that you grant full rights for the supervisor of each database in the under User Management feature. This ensures that the supervisor is not accidentally locked out of the database they need to manage.

Adding a new admin profile to the server To add a new administrator account to the server:

You must be an administrator on the Concordance Desktop server in order to log onto the server and open the Admin Console.

1.Log onto the server where the administrator account needs to be removed.

This can be done by either:

·Logging into the computer that has been registered as the Concordance Desktop server

·Using Windows Desktop Remote to log into the physical Concordance Desktop server computer

2.Run Concordance Desktop on the server computer.

3.From the File menu, click Administration, and then Admin Console.

4.Enter your Logon name and Password.

5.Enter the Concordance Desktop server Host name and the Port number (usually 10001) to use for accessing the Admin Console.

6.Click Connect.

7.Click the Management tab.

8.Right-click on the Users folder and click on New user, to open a box in which to type the new user name.

9.Type the administrator's user name and press Enter to display the fields for setting up a user.

The 'User name' field automatically populates with the user name you entered in step 3.

The 'Description' field is used to indicate how the user was added to the server. If this user was added along with other users from a server list, that information is displayed in the this area.

The 'Last login' field indicates the last time the user had logged into the server. Because you are just setting up this user account, "(never)" is displayed in this field.

10.In the First name field, type the user's first name.

11.In the Last name field, type the user's last name.

12.In the Company field, type the company/firm name.

13.(Optional) In the Phone field, type the user's phone number.

14.In the Email field, type the user's e-mail address if they are to receive e-mail notifications.

By adding an e-mail account, the administrator is notified when a license is about to expire, if you have setup the license notification options under the Licenses tab. The notification is sent to all Administrators who have an E-mail address in their user account.

E-mail notifications need to route through an existing SMTP server and Port (the standard default port is 25). The SMTP options can be setup on the Settings tab in the Admin Console. See Setting up SMTP options for more details.

Ensure that the Concordance Desktop server and SMTP server have IP trust between them. For instance, the anti-spamming rules must accept emails from the servers.

15.Click the License Type down-arrow and select Administrator, to setup this account as an administrative user.

16.Click the Field Rights down-arrow and select Read and Write, to ensure this account has full rights when working with databases.

·Read and Write: Read/write access to fields. This level of access for all fields is required for anyone who will be performing maintenance functions such as indexing, packing, or a database modify. If the user does not have full access to the fields, Concordance Desktop does not either.

·Read only: Ability to search, browse, and print fields. User with this access cannot edit or otherwise modify read-only fields. Commands such as Global edit and Load will not display fields which have read-only access. These fields are displayed in Edit view, but only for reference or to copy text to the clipboard.

17.Click the Menu Type down-arrow and select either Supervisor or Administrator.

·Supervisor: Access to all menus and menu commands.

·Administrator: Access to all menus and menu commands except the Modify, User Management, and Zap menu commands.

18.Click the Synchronize now button (at the top of the Admin Console pane) to save the new user account.


Deleting administrator accounts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Administrator accounts are deleted in the same manner as any other user account on the Concordance Desktop server.

The current administrator account cannot be deleted while it is active. To remove the current administrator account, log off of the Concordance Desktop Admin Console and log on as another administrator.

To delete an administrator account:

1.Log onto the server where the administrator account needs to be removed.

This can be done by either:

·Logging into the computer that has been registered as the Concordance Desktop server

·Using Windows Desktop Remote to log into the physical Concordance Desktop server computer

2.Run Concordance Desktop on the server computer.

3.From the File menu, click Administration, and then Admin Console.

4.Enter your Logon name and Password.

5.Enter the Concordance Desktop server Host name and the Port number (usually 10001) to use for accessing the Admin Console.

6.Click Connect.

7.Click the Management tab.

8.Double-click the Users folder to display the list of users.

9.Right-click on the administrator user you need to delete, and click Delete user.

The following message displays:

Confirm the deletion of the user

10.Click Yes to delete the administrator account.


Deleting users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Users can be manually deleted from the Concordance Desktop Admin Console. When you delete the user, it removes their user account from the Concordance Desktop server, preventing them from being able to open any of the databases on the Concordance Desktop server.

Deleting a user from a Concordance Desktop server To delete a user from a Concordance Desktop server:

You must be an administrator on the Concordance Desktop server where you need to add users, as only Administrators can open the Admin Console.

To delete a user on a Concordance Desktop server:

1.Log onto the server where the user account needs to be added.

This can be done by either:

·Logging into the computer that has been registered as the Concordance Desktop server

·Using Windows Desktop Remote to log into the physical Concordance Desktop server computer

2.Run Concordance Desktop on the server computer.

3.From the File menu, click Administration, and then Admin Console.

4.Enter your administrator Logon name and Password.

5.Enter the Concordance Desktop server Host name and the Port number (usually 10001) to use for accessing the Admin Console.

6.Click Connect.

7.Click the Management tab.

8.Double-click on the Users folder to open the list of user accounts on the server.

9.Right-click on the user name of the user you need to delete and click Delete user.

10.You are asked to confirm the deletion, click Yes.

11.Click the Synchronize now button to remove the user's association with all databases on the server that are associated with the "All User Groups" matter .
Removing a user's access to a specific database To remove a user's access to a specific database:

Access to a database is controlled by the association of the database and a user group with a specific matter. Therefore, when you need to remove a user's access from a database, you actually have to remove the user from the user group associated with the matter to which the database is associated.

First, determine the user group associated with the matter to which the database is associated. Once you know the user group, follow the steps below.

1.Open and log onto the Admin Console.

2.Click the Management tab.

3.Double-click on the User group folder to display the list of user groups.

4. Double-click on the user group that is associated with the matter to which the database is associated.

5.Right-click on the user name of the user to be removed and select Remove user from usergroup.

6.Click the Synchronize now button to synchronize the change with the database.


Resetting a user's password
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If a user has forgotten a password, an administrator user can reset their password, provided the administrator is assigned as an administrator on the Concordance Desktop server where the user needs to have their password reset. The password reset feature does not allow the administrator to create a new password for the user, instead it removes the old password. The next time the user attempts to open a database on the server, they are asked to create their new password. This process ensures the integrity of the user's password.

If you are using external authentication, such as Microsoft Active Directory, user passwords cannot be reset from the Concordance Desktop Admin Console. User passwords can only be reset in the Admin Console if Concordance Desktop is the authentication type.

If you reset an administrator's password, make sure that you tell them they must open a database, as opposed to the Admin Console, in order to reset their password. Administrators cannot reset their passwords from the Admin Console log on.

To reset a user's password:

1.From the File menu click Administration, and then Admin Console, to open the Admin Console.

2.Log onto the server where the user needs their password reset.

3.Click the Management tab.

4.Double-click the Users folder to expand the list of users.

5.Locate and click on the user ID of the user whose password needs to be reset.

6.In the user account pane on the right, click Reset Password.

Resetting a user's password confirmation dialog box

You are asked if you want to reset the user's password.

In the New password and Confirm new password field, type the new user password.

7.Click Yes.

8.Click the Synchronize now button to synchronize the change with all databases on the server to which the user has access.

This resets the user's password to be blank.

The next time the user attempts to open a database on this server, the New password screen opens.


Automatically refreshing the users and connections lists
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Auto refresh on button under the Admin Console Management tab allows you to view who is currently connected to the Concordance Desktop server. For example, when a user logs on to the server and opens a database, their name displays in bold in the Users folder on the Management tab.

The Auto refresh on button under the Admin Console Connections tab also allows you to view who is currently connected to the Concordance Desktop server, but the Connections tab displays more details about each user's connection.

To ensure that the user list and/or connections list is always refreshed, you can turn on the auto refresh feature.

Turning auto refresh on or off To turn auto refresh on/off:

The Auto refresh on button works like a toggle switch to turn on and off the feature. To turn it on or off for either the User list or the Connections list, click on the associated tab, and then do one of the following:

·To toggle auto refresh on, click the Auto refresh off button so that it shows "Auto refresh on."

·To toggle auto refresh off, click the Auto refresh on button so that it shows "Auto refresh off."

There may be a slight delay before the automatic refresh begins. If you to see an immediate refresh, you can use the Refresh button.
Refreshing the tree view immediately Using the Refresh button to immediately refresh

To immediately refresh a list under the Management tab in the Admin Console:

·Click on the Refresh button at the top of the tree navigation pane.

Auto refresh does not need to be turned on for the refresh button to do an immediate refresh, as the refresh button and the Auto refresh on/off toggle work independent of one another.


Disabling and re-enabling user accounts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Individual user accounts can be disabled if you need to temporarily prevent a user from opening databases on a particular Concordance Desktop server. Disabling a user account does not remove the user from the server, nor does it prevent them from opening databases on any other Concordance Desktop server where they have a user account. It simply prevents them from opening any of the databases registered on the server where their account has been disabled.

To disable a user account:

1.Open the Admin Console on the Concordance Server where the user account needs to be disabled.

2.Click the Management tab.

3.Double-click the Users folder to display the list of user accounts on the server.

4.Click on the name of a user to open their user account pane.

5.Click on the License Type down-arrow and select Disabled from the list.

The next time the user attempts to open a database on this Concordance Desktop server, they will not be able to log onto the server.

To re-enable a user account To re-enable a user account:

1.Open the Admin Console on the Concordance Server where the user account needs to be re-enabled.

2.Click the Management tab.

3.Double-click the Users folder to display the list of user accounts on the server.

4.Click on the name of a user to open their user account pane.

5.Click on the License Type down-arrow and select the license type you need to assign to them.

The next time the user attempts to open a database on this Concordance Desktop server, they will be granted access to the server and the database.


Limiting user access to a database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When a database is created, all users are automatically assigned to the database through the "All User Groups" matter, and granted whatever rights are defined in their user accounts. If you have a database to which you need to restrict access to only a specific group of users, you can do so by using the associations between matters, databases and user groups. There are several steps involved when you first setup the associations, but once it is done, adding and removing users becomes a very simple and manageable task.

If you need to set restricted field rights and menu access for specific users on a specific database, you can use the following steps to associate the users with the database through a matter, and then use the User Management feature to set the specific field rights and menu restrictions for those users in the database. For more details on the User Management feature, see Restricting user field rights and menu access on databases.

Limiting user access to a specific database To limit user access to a specific database:
Removing a user's access to a specific database Step 1: Create a matter

1.Open the Admin Console on the Concordance Desktop server where the database is registered.

See Accessing the administration console for instructions on opening the Admin Console.

2.Click the Management tab.

3.Right-click on the Matters folder and select New matter.

An empty field appears.

4.Type a short name for the matter in the field and press Enter.

The matter information appears in the right-hand pane, where the Name field displays the name you just entered.

5.Type a longer title or description for the matter in the Description field and press Enter.

The matter is now created.

Next you need to associate the database with the new matter.

Dragging and dropping a database on a matter Step 2: Associate the database with the matter

To associate the database on which you need to limit user access, with the matter you just created, use a simply drag and drop action.

1.Double-click on the Databases folder to display the list of databases on the server.

2.Press and hold down the left mouse button on top of the database.

3.Drag the mouse until it is on top of the matter you just created, then release the button to drop the database onto the matter.

The database is now associated with the matter.

Next you need to create a user group that you can associate to the matter.
Creating an administrator user group Step 3: Create a user group

To create a user group:

1.Right-click on the User Groups folder and select New usergroup.

An empty field appears.

2.Type a name for the user group in the field and press Enter.

3.Type a more descriptive name or description of the user group in the Description field in the right-hand pane.

The user group is now created.

Next you need to assign the user group to the matter associated with the database in which you want to limit user access.

Drag and drop users onto the user group Step 4: Assign users to the user group

1.If not already visible, double-click on the User Groups folder to display the list of user groups.

2.Double-click on the Users folder to display the list of users.

3.In the Users list, press and hold the mouse button down on a user name.

To select multiple users at once, use CTRL+click or SHIFT+click to select the names.

Once they are all highlighted, release the CTRL or SHIFT key - the user names should remain highlighted. Place the mouse anywhere over the list of highlighted names and then press down and hold the left mouse button.

4.Drag the mouse until it is on top of the user group you just created, then release the button to drop the database onto the user group.

This action assigns the selected user(s) to the user group.

5.Repeat steps 3 and 4 to assign more users to the user group.

6.When finished, click the Synchronize now button.

The users who need access to the database are now assigned to the new user group.

Next you need to to associate this user group with the same matter with which you associated the database.

Drag and drop the admin user group onto the matter Step 5: Associate the user group with the matter

1.Double-click on the Matters folder to display the list of matters.

2.If not already displayed, double-click on the User Groups folder to display the list of user groups.

3.Press and hold down the left mouse button on top of the user group to which you just assigned the users.

4.Drag the mouse until it is on top of the matter to which the database is associated, then release the button to drop the user group onto the matter.

The user group is now associated with the matter. All users in the group will have access to any databases associated with this same matter.

The final step is to remove the database from the "All User Groups" matter.
Removing a database from the "All Users Group" matter Step 6: Remove the database from the "All User Groups" matter

The final step of the process is to remove the database from the "All User Groups" matter so that all other users on the Concordance Desktop server no longer have access to the database.

1.Double-click on the Matters folder to display the list of matters.

2.Double-click on the "All User Groups" matter to display the list of databases and user groups associated with it.

3.Locate the database for which you just created the new matter and user group.

4.Right-click on the database and select Remove Database from matter.

5.You are asked to confirm the removal, click Yes.

Once the matter, database, and user group are all setup and associated under the matter, making changes going forward involves only a simple drag and drop action to add users and a right-click on the user names in the user group to remove users.


Restricting user field rights and menu access on databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Users receive access to databases through a specific matter named "All User Groups" to which all databases and all users are automatically associated. When a user account is setup, it is automatically added to a specific group named "All Users." The "All Users"group is automatically assigned to the "All User Groups" matter. Likewise, as a database is created, it is automatically assigned to the "All User Groups" matter. It is this assignment of the databases and the "All Users" group to the "All User Groups" matter that allows all users to have access to all databases on the Concordance Desktop server.

In similar fashion, initial field rights and menu access settings to all databases are controlled through the settings in each user's user account displayed in the Admin Console. The only exception is when user accounts are added through the migration of a Concordance 10.x database to Concordance Desktop.

To further explain:

When adding users through the Admin Console, by default, full rights to fields (read and write) and full menu access (all menus in each database) are granted to the user. However, these defaults can be changed if you need to restrict the user's field rights and menu access rights across all databases. See Restricting user access on databases for more details.

When adding users by registering a migrated Concordance 10.x database, user accounts and rights to the migrated database are carried over from the Concordance 10.x database and applied to that database in Concordance Desktop. However, for all other databases on the server, field rights and menu access defaults are used. Therefore, users added through migration may have restricted rights, while all other users on the Concordance Desktop server still have full rights to the migrated database. If you need to restrict user rights on these migrated databases, you can do so from the User Management screen. See Restricting user access on databases for more details.

When adding users through an external domain (such as Active Directory), as with users manually added in the Admin Console, the default of full rights to fields (read and write) and full menu access (all menus in each database) are granted to each user. These defaults can be changed if you need to restrict a user's field rights and menu access across all databases. See Restricting user access on databases for more details.

It is important to note that no matter how users are added to the Concordance Desktop server, if you need to setup restrictions for a user across all databases, you need to do so in the user's user account in the Admin Console immediately after their user account appears in the Admin Console. This is the only way in which to ensure that the restrictions you setup will be applied to all databases on the Concordance Desktop server. If you setup restrictions later on, the new settings will only apply to all databases added to the server from that point forward.

If you have a need to restrict a user's field rights and menu access settings for a specific database, you do so from the User Management dialog box in Concordance Desktop.

If you need to setup the same restricted field and menu access rights to one or more users across multiple databases, but not all databases, you can setup the restrictions for each user in one database, and they export the settings to a role template (.csv file) and import those same user restrictions to those same users on other databases.

When you make changes to user settings in the User Management screen, and the user currently has the database open on their desktop, the changes are not applied until the database is closed and reopened by that user.

To restrict a user's rights across all databases To restrict a user's field rights and menu access across all databases:

In each user's account, you can quickly restrict database field rights and menu access, which is then applied to all databases when you synchronize the changes with the databases. The one exception is if the user ID is listed in a Concordance 10.x database that has been migrated to Concordance Desktop; in which case, the field rights and menu access settings for that user in that database override whatever settings are selected in the user's account in the Admin Console.

To set a user's Field Rights & Menu Type restrictions across all databases, you must change the default settings when the user is first added to the Concordance Desktop server. If you change a user's settings later on, the new settings will only take affect on databases added to the server from that point forward.

To set user restrictions for a user across all databases on the Concordance Desktop server:

1.In Concordance Desktop, click on the Workspace tab to ensure that your focus is not on a database.

2.From the File menu, click Administration, and then Admin Console.

3.Log onto the server where you need to restrict the user's rights.

4.Click the Management tab.

5.Double-click the Users folder.

6.Click on the user ID of the user for whom you need to apply access restrictions.

7.Click the Field Rights down-arrow and select whether the user should be able to read and write to all fields in all databases or just read access.

8.Click the Menu Type down-arrow and select the user Preset you want to apply for this user across all databases.

Menu Type Presets Menu Type Presets

Menu access rights for each Preset:

Supervisor: | User has access to all menus and menu commands.
Administrator: | User has access to all menus and menu commands except the Modify, User Management, and Zap menu commands.
Editor: | User does not have access to the menu commands restricted in the Administrator preset, and does not have access to the following menu commands: New, Reindex, Index, Pack, Begin program, Edit program, and the menu commands for data validation. Though Editors can still search and edit, perform a global edit, load and unload data, and run reports.
Researcher: | User does not have access to the menu commands restricted in the Administrator and Editor presets, and cannot edit or append, load, overlay, import data, perform global edits, or unload a copy of the database's structure.
No Access: | User does not have access to any menus or menu commands. User can only open and exit the database.

9.Repeat steps 6 through 8 for each user you need to set restrictions on.

10.Click the Synchronize now button to apply the restrictions.

These restrictions are applied to all databases, except for those in which the user was added to a Concordance 10.x database that has been migrated to Concordance Desktop. In this case, the settings assigned in the database are carried over and override the settings from the user account in the Admin Console.

To restrict a user's rights on a specific databases To restrict a user's field rights and menu access on a specific database:

When you make changes to user settings in the User Management dialog box, the changes are not applied until the database is closed and reopened by the user whose settings were changed.

1.In Concordance Desktop, open the database in which you need to set user restrictions.

2.From the File menu, click Administration, and then User Management.

The User Management screen opens.

3.Click on the user name of the user for whom you need to set restrictions.

4.To set or modify field rights, click the Field rights tab.

·In the Field list, select the fields to apply or remove field rights. To select multiple fields, use CTRL+click or SHIFT+click.

By default, the Full access check box is selected for all fields when you add a user to the Concordance Desktop server.

Field right presets Field right presets

Full access:

Gives users both read/write access to a field. This level of access for all fields is required for anyone who will be performing maintenance functions such as, indexing, packing, or a database modify. If the user does not have full access to the fields, Concordance Desktop does not either.

Read only:

Gives users the ability to search, browse, and print the field. They may not edit or otherwise modify read-only fields. Commands such as Global edit and Load do not display fields which have read-only access. These fields are displayed in Edit view, but only for reference or to copy text to the clipboard.

The Read-only setting for fields in the Data Entry Attributes dialog box takes precedence over the read-only setting for fields on the Field rights tab in the User Management dialog box.

For example, if the Read only check box is selected for the OCR1 field in the Data Entry Attributes dialog box, and the Full access check box is selected for the OCR1 field on the Field rights tab in the User Management dialog box, the OCR1 field will be read-only for the user in the Edit view.

For more information about the Data Entry Attributes dialog box, see Setting data validation.

Write only:

Give very limited access. Users with write-only field access can load data into fields using Load, and assign values to them through the programming language, but they are not able to view or search these fields. The Edit view does not display write-only fields and therefore, they cannot be edited. The searches are post-processed to remove any references to hits in these fields. The searches may also run slower.

No rights:

Denies all access to the field. Users are not able to search for data in these fields. Searches are post-processed to remove any references to hits in these fields. The searches may run slower and the results may not contain the same count as a search with read-only field access.

5.To set or change menu access rights, click the Menu access tab, click one of the menu access preset buttons, and/or manually define the menu and menu command access for the user in the menu tree.

By default, new users have full access to all menus and menu commands on the Menu access tab.

You can manually select the menu access permissions for each menu, select one of the menu access presets, or select a preset and then manually customize the menu permissions for the individual user.

Menu access presets Menu access presets

Menu access rights for each Preset:

Supervisor: | User has access to all menus and menu commands.
Administrator: | User has access to all menus and menu commands except the Modify, User Management, and Zap menu commands.
Editor: | User does not have access to the menu commands restricted in the Administrator preset, and does not have access to the following menu commands: New, Reindex, Index, Pack, Begin program, Edit program, and the menu commands for data validation. Though Editors can still search and edit, perform a global edit, load and unload data, and run reports.
Researcher: | User does not have access to the menu commands restricted in the Administrator and Editor presets, and cannot edit or append, load, overlay, import data, perform global edits, or unload a copy of the database's structure.
No Access: | User does not have access to any menus or menu commands. User can only open and exit the database.

·When a menu or menu command check box is checked, the user has access to this menu or menu command.

·When a menu check box is checked but the check box is gray, the user has access to the menu, but does not have access to some of the menu command on the menu.

·When a menu or menu command check box is not checked (blank), the user does not have access, and cannot view the menu or menu command in Concordance Desktop.

6.Click the Apply button to save the user settings.

7.Repeat the steps for each user you need to restrict.

If you are setting up user database restrictions for a new database, and want to import restricted user settings, including users, from another database, be sure to import the user management settings before manually defining any restrictions in the User Management screen.

When you import user restrictions from a .csv file, the file overwrites all existing settings previously defined in the User Management screen or in the Admin Console, for the selected database only.

Whenever you add or rename a field in the database, by default, full field access rights are granted to all users. Therefore, if you have renamed a field to which some users were assigned specific restrictions, you will need to reset those restriction for those users. If you have created a new field that some users should have limited or no rights in, you will need to set those user restrictions.

As users are added to the Concordance Desktop server, they are granted administrative rights across all databases, unless you change their License Type and Menu Type settings in the Admin Console. Administrative users have access to additional menu options that other user types cannot access. These additional menu options are described below under the Administrator default menus section.

Administrator default menus Administrator default menus
Menu commands when focus is on a database's tab Database administrator only - menu commands when focus is on a database tab:

On the File menu, you can access the following Administration commands:

·Admin Console (Server and license management, and user, database, user group, matter, and client setup and maintenance at the Concordance Desktop server level)

·Added menu items (Adding custom menus at the database level)

·User Management (Field rights and Menu access at the database level)

·Pack > Database

·Pack > Dictionary

·Zap

·Imagebase Management (Rename media paths/folder, rename or delete media keys, export imagebse to OPT format, calculate or update document page count)

·Remove Kashida Characters

·Bulk Field Format Reset

·Concatenate > Edit Concatenation (Add databases to a concatenated set, or create a concatenated set by adding databases to the currently opened database. Remove one or more databases from a concatenated set.

·Concatenate > Clear Concatenation (Remove a concatenated set)
Menu commands when a database is selected Administrator-only menu commands when focus is on the Workspace tab:

On the File menu, you can access the following Administration commands:

·Admin Console (Server and license management, and user, database, user group, matter, and client setup and maintenance at the Concordance Desktop server level)

Optional Field and Menu restrictions

There are two options you can implement to prevent users from accessing fields and menus.

Restricting Field Access

Even if user management is not applied to a database, you can apply read-only rights to fields in the Data Entry Attributes dialog box. Any field marked as read-only in this box applies to all database users and also overrides field rights applied in the user management console.

For more information about the Data Entry Attributes dialog box, see Setting data validation.

User restriction guidelines for concatenated databases

Setting up user restrictions for concatenated databases includes the following guidelines:

·User restrictions need to be set up in each database. Setting them in a concatenated database set only affects the primary database.

·The user name and password must be the same for all databases in the concatenated set.

·When the user name and password in the primary database does not exist in a secondary database, the concatenated database will not open. The user will receive a message that they do not have access rights to the specific database.

·When a secondary database has user restrictions and the primary database does not have, the user is prompted for their user name and password when using the secondary database. The user name and password entered becomes the user name and password for the concatenated database set.
To export user management settings To export user management settings:

You can export the user management settings from a Concordance Desktop database and import them into another Concordance Desktop database. When you export Concordance Desktop user management settings, you are exporting all of the user access settings, including users, that are defined for the database in the User Management dialog box. The exported settings can be used to set up a database template with your user access specifications.

It is best practice to always export a copy of your user access settings each time you update them so you have a current backup copy to reference. Be sure your supervisor or secondary database administrator has access to this file in case of an emergency.

1.On the File menu, click Administration, and then User Management.

The User Management dialog box opens.

2.In the Field rights tab, click the Export button.

The Save As dialog box opens.

3.Navigate to where you want to save the exported user access settings file, type the name of the file in the File name field, make sure that Comma separated file (*.csv) is selected in the Save as type field, and click Save.

It is best practice to store this file in a separate, secure folder on your network.

Hre is an example of exported user access settings file in a spreadsheet:

Example of exported security settings in Microsoft Excel

7.Click OK to close the User Management dialog box.
To import user management settings To import user management settings:

You can import the user management settings from one Concordance Desktop database into another Concordance Desktop database. When you import Concordance Desktop user management settings, you are importing all of the user access settings, including users, that were defined for the database in the User Management dialog box.

The import requires at least one commonly named field between the .csv file and the database to which the file is being imported. Before importing a .csv file exported from another Concordance Desktop database, make sure that there is at least one commonly named field. For example, the user access settings for the DOCTITLE field are exported to the user management settings .csv file, and the .csv file is being imported into a database also containing a field named DOCTITLE.

If you are setting up user management, and want to import the user access settings, including users, from another database, be sure to import the user access settings before manually defining any user access settings on users in the database.

When you import a user management settings CSV file, the file overwrites all existing user access settings defined in the User Management dialog box.

1.On the File menu, click Administration, and then User Management.

The User Management dialog box opens.

2.On the Field rights tab, click the Import button.

An Open dialog box opens.

6.Browse to and click the .csv file containing the user management settings you want to import and click the Open button.

The user access settings from the file are imported into the database. If there were any existing user access settings defined in the User Management dialog box, they are overwritten by the user access settings defined the .csv file during the import.

7.Click OK to close the User Management dialog box.


About managing user sessions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

From the Connections tab in the Concordance Desktop Admin Console, you can monitor and manage user activity and time allotments for user sessions.

The Connections tab displays all users currently connected to the Concordance Desktop server. Each user’s current status is displayed, along with what database is being accessed, the start time and duration of the connection, the remaining time before their allotment expires, the IP address being used, the type of software being used for the connection (CN = Concordance Desktop), the version of that software, and the type of license their account is using on the server. Most users' status displays as idle while they are logged on.

You can also use the Connections tab to send broadcast messages and disconnect users, including administrators.

Select the Server side tab to administer user sessions. Select the Administration side tab to administer the administrator user sessions.


Setting user connection options
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can define the user connection options for the Concordance Desktop server on the Connections tab in the Admin Console.

To set user connection options:

1.Open the Admin Console on the Concordance Desktop server where you need to set/change user connection options.

2.On the Connections tab, do one of the following:

·Click the Server side tab to set the user connection options for the Concordance Desktop server.

·Click the Administration side tab to set the user connection options for the Admin Console.

3.Click the Options button to open the Connection options dialog box.

The Refresh rate field determines how often, in seconds, the user connection list refreshes on the Connections tab. The Refresh rate field defaults to 3 seconds.

4.In the Refresh rate field, type or scroll to how often you want the list to be refreshed.

The Idle session timeout field determines how long, in minutes, a session can be idle before the Concordance Desktop Admin Console automatically closes the session connection and disconnects the user. The Idle session timeout field defaults to 480 minutes. To disable time-outs, set the Idle session timeout field to 0 minutes.

The Idle session timeout can also be set on the Settings tab in the Concordance Desktop Admin Console. For more information. see Adjusting time-outs.

5.In the Idle session timeout field, type or scroll to how long a user session can be idle before the session times out.

6.Make sure that the Auto refresh button is toggled to on.

When the Auto refresh function is turned on, user connections list on the Connections tab will automatically refresh at the rate you specified in the Connection options dialog box.


Extending user sessions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

User sessions expire when the software sits idle for the time specified on the Connections tab. You can manually extend a user session back to the default time-out period, or enter a zero to disable time-outs.

For more information about defining the default time-out period and disabling time-outs, see Setting user connection options.

If a user time-out period expires, the Admin Console automatically alerts the server with an announcement. Users who are logged in, but not actively working in a database, may risk losing editing updates if you manually kill their session when their user session expires.

For more information about disconnecting users, including soft and hard kills, see Disconnecting user sessions.

You can extend user time-outs for users on the server and performing administration tasks on the Connections tab in the Concordance Desktop Admin Console.

To manually extend user time-outs:

1.On the Connections tab, do one of the following:

·Click the Server side tab to extend a users session on the server.

·Click the Administration side tab to extend a users session in the Admin Console.

2.In the user listing, click the applicable user connections.

To select multiple connections, use SHIFT+click or CTRL+click.

3.Click the Extend button.

Clicking the Extend button resets the session time-out to number of minutes entered in the Idle session timeout field in the Connection options dialog box, and updates the time-out minutes displayed in the Expiration column.

The Idle session timeout can also be set on the Settings tab in the Concordance Desktop Admin Console. For more information. see Adjusting time-outs.


Sending broadcast messages
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

To alert users that you need to perform administrative tasks and that they need to exit the application, you can send a broadcast message notifying them of the task and how much time they have before it occurs. If a user does not respond to the notice, you then have the option to disconnect them.

You can send broadcast messages to users on the Concordance Desktop server from the Connections tab in the Admin Console.

To send a broadcast message:

1.On the Connections tab, do one of the following:

·Click the Server side tab to broadcast a message to users on the Concordance Desktop server.

·Click the Administration side tab to broadcast a message to users on the Concordance Desktop Admin Console server.

2.In the user listing, click the applicable user connections.

To select multiple connections, use SHIFT+click or CTRL+click.

3.Click the Broadcast button to open the Message Broadcast dialog box.

4.In Caption field, type a description for the notification.

The Caption field defaults to Concordance Desktop Notification.

5.In the Body field, type the message you want to broadcast.

6.In the Type field, select the type of message you are broadcasting:

·Informative

·Warning

·Urgent

7.Click the Send button to broadcast the message to the selected user connections.

The selected users immediately receive a message prompt onscreen with the content of your message.

Admin Console - Connections tab

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Disconnecting user sessions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If a user does not respond to a broadcast message to exit the system or you have a need for users to exit the system immediately, you can manually disconnect them.

You can disconnect user sessions on the server and to the Admin Console from the Connections tab in the Admin Console.

For more information about time-out settings on the Settings tab, see Adjusting time-outs.

If you disconnect a user when they are in the process of clicking on the File menu, the user will not receive the message that their connection has been terminated.

To disconnect user sessions:

1.On the Connections tab, do one of the following:

·Click the Server side tab to disconnect user sessions on the server.

·Click the Administration side tab to disconnect user sessions in the Admin Console.

2.In the user listing, click the applicable user connections.

To select multiple connections, use SHIFT+click or CTRL+click.

3.Click the [image] Kill button.

4.You are asked to confirm that you want to disconnect the user's session, click Yes.


Clients, Matters and User Groups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, a matter is the focal point for associating users with a database. Matters are used to organize and maintain associations between databases and users on the server. First you create a matter and associate the database with that matter. Next you create a "user group" and assign all the users who need to access the database, to that user group. Last, you associate that user group with the matter with which you have already associated the database. It is the use of these associations that allows those users to access that database. Management of user access becomes easier, as maintaining access is as simple as adding or removing users in the user group. Each user group can also be associated with multiple matters, allowing the same users access to different databases simply by adding the user group to a matter that is associated with a different database.

Concordance Desktop, has an automated association that allows all users to have access to all databases on a Concordance Desktop server, for those firms in which all users need access to all databases. This automated association method is the default in Concordance Desktop. Here's how this automated association works:

·When a database is created on, migrated to, or registered with the Concordance Desktop server, that database is automatically associated with a special matter named "All User Groups."

·When users are added to the Concordance Desktop server, their user account is automatically added to a special "All Users" user group, which is also automatically associated with the "All User Groups" special matter.

It is this association process that allows ALL users with user accounts setup on a Concordance Desktop server to have access to ALL databases.

The default behavior may be modified by selecting a different user group as the default user group for all members.

Clients have a different use. They are used solely for containing all matters that relate to a single client. For example, if you have multiple matters (cases) that apply to the same client, you may want to organize those matters under a single "client" name to make it easier to find all matters associated with that client.

All these associations are managed from a tree view on the Management tab in the Admin Console. The tree displays a listing of all Clients, Matters, Databases, User Groups and Users. From the tree you can visually verify each of the associations. In addition, the tree view lets you easily manage the databases, users, user groups, matters and clients directly from the folders in the tree.

·Clients - From the Clients folder you can add, remove, and modify clients, and associate multiple matters with a client.

·Matters - From the Matters folder you can add, remove, and modify matters, and associate databases and user groups.

·Databases - From the Databases folder you can register and unregister databases, enable databases for FYI Reviewer, and create shortcut (.FYI) files for Concordance Desktop users.

·User groups - From the User groups folder you can add, modify and delete user groups, and assign users to each user group.

·Users - From the Users folder you can add, modify, and delete users, insert and remove domain users, reset passwords for users, and disable user accounts.

Setting Up Clients, Matters, and Databases Checklist

We recommend that you set up clients and/or matters prior to creating user groups and registering databases in the Admin Console. This way you can easily associate databases and user groups with those clients and/or matter. Reference the following checklist to ensure that you have completed the necessary phases of planning and implementing clients and/or matters, databases, and user groups.

Checklist: Setting Up Clients and Matters
 | Pre-planning
 | Have you created a list for all clients and/or matters, databases, user groups and users that you need to manage and what matters apply to each of them?
 | Have you created a list of what databases are associated with each client and/or matter?
 | Are you going to migrate/register databases individually or automatically (using the DB Smart Path folder) for each client and matter?
 | Will you allow all users to be added to the All Users Group and the all matters to be added to the All Users Group matter? If not, have you established a default user group and modified the Setting in the administration console?
 | Setup
 | Did you set up all clients and/or matters and user groups?
 | Did you already add all users to the Concordance Desktop server?
 | Did you add users to each of the user groups?
 | Registering Databases
 | Did you specify a database administrator?
 | Did you associate each database with a client and/or matter?
 | Publishing Databases
 | Did you remember to save a Database Shortcut (.fyi) file for licensed Concordance Desktop users to access databases from remote locations?
 | Did you set up e-mail templates to distribute Database Shortcut (.fyi) files?


Managing clients
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Client folders can be used to keep track of multiple matters. Adding clients is one way to organize your matters for the clients for whom you host data or for the clients your organization represents. Clients are displayed in alphabetical order and can easily be added or removed, as needed.

Once clients are added, you can drag-and-drop matters to clients or in version 1.07+ click on a client and use the selection box to associate matters with them.

To add a client

1.From the Admin Console, click the Management tab.

2.Right-click on the Clients folder and select New client.

An empty folder appears.

3.Type a short name for the client in the field and press Enter.

The client information appears in the right-hand pane, where the Name field displays the name you just entered.

4.Select the new client. The client information expands and allows you to type a longer title or description for the client in the Description field and press Enter.

The client is now created.

To delete a client

1.From the Admin Console, click the Management tab.

2.Expand the Clients folder on the left..

3.Right-click on the client name that you need to delete, and select Delete client.

4.You are asked to confirm the deletion, click Yes.

The client is removed from the Clients folder and all associated matters are disassociated with the client. The matters are not removed, only the association between the matters and the client are removed. If you need to recreate the client, you will need to associate the matters with the client again.

To associate a matter with a client

In version 1.07+, Matters can be associated with Clients using the drag and drop method or by selecting the desired matter(s) and adding them to the client.

1.From the Admin Console, click the Management tab.

2.Expand Clients and select the desired client with which to associate a matter by either using the drag and drop method or selecting matters for association.

Selecting matters for client association in version 1.07+.

Selecting the column header Matter for either Available Matters or Client Matters will sort the matters in ascending [image] or descending [image] order.

3. After sorting the matters to find your desired matter, do one of the following:

·Select the Matter from the Available Matters column and select Add Matter.

·Select the Matter from the Available Matters column by clicking the left mouse button twice.

4. The added matter will be removed from the Available Matters column and added to the Client Matters column.

Available Matters - lists all Matters registered on the server.

Client Matters - lists all Matters currently added to the selected client.

If there are more entries in either column (Available User Groups or Matter User Groups) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.
Associating a matter with a client To associate a matter with a client using drag and drop

3. Double-click on the Matters folder to display the list of matters.

4. Press and hold down the left mouse button on top of the matter you want to associate with a client.

5. Drag the mouse until it is on top of the client, then release the button to drop the database onto the matter.

The matter is now associated with the client.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired databases to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and databases.
Removing Matters from a client

To remove matters from the client. The matters are not deleted, only the association between the matters and the client is removed.

Select the client to which you need to remove matters.

Do one of the following:

·In version 1.07+, select the Matter from the Client Matters column and select Remove Matter.

·In version 1.07+, select the Matter from the Client Matters column by clicking the left mouse button twice.

·Expand the client to review the associated matters then right click on the matter. Select Remove matter from Client.

The selected matter will be removed from the Client Matters Column and added to the Available Matters column.

Available Matters - lists all Matters registered on the server.

Client Matters - lists all Matters currently added to the selected client.

If there are more entries in either column (Available User Groups or Matter User Groups) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired databases to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and databases.


Managing matters
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Matters are used for organizing client cases. Adding matters also helps you manage databases by topic or case. However, the most important purpose of a matter is to create an association between a database and the users that need to open that database. In order for users to access a database on the Concordance Desktop server, both the database and the users (via a user group), must be associated with a matter.

We recommend that you outline and create matters so that you can keep track of multiple databases and the user groups that require access to them. Folders display in alphabetical order and can easily be added or removed, as needed.

Once matters are added to the Concordance Desktop server, you can associate databases and user groups to the matters, which will allow the users, assigned to the associated user group, to open the associated database(s).

To add a new matter

1.From the Admin Console, click the Management tab.

2.Right-click on the Matters folder and select New matter.

An empty field appears.

3.Type a short name for the matter in the field and press Enter.

4. Double click the newly created matter and the matter information appears in the right-hand pane, where the Name field displays the name you just entered. Type a longer title or description for the matter in the Description field and press Enter.

You can now associate a database and user group to the matter, so that the users in the user group have the ability to open the database.

To delete a matter

1.From the Admin Console, click the Management tab.

2.Expand the Matters folder on the left to display the list of matters.

3.Right-click the matter you want to delete and select Delete matter.

4.You are asked to confirm the deletion, click Yes.

Deleting a matter removes it from the Concordance Desktop server and any associated clients. Once you delete a matter, if you need to recreate the matter, you need to associate the matter to the applicable clients, databases, and user groups again.

Deleting a matter from the Matters folder, removes the matter from the Concordance Desktop server and any associated client, databases, and user groups. When a matter is removed from a client in the Clients folder, the matter is only deleted from the selected client. The associated database(s) and user group(s) are not affected.

If you delete the "All User Groups" matter, it prevents ALL users from accessing ALL databases on the Concordance Desktop server. For this reason, we recommend that you do not delete this matter and user group unless you plan to create a matter and user group for every database on the server, and then associate the appropriate databases and user groups with the various matters.

Associating a database with a matter To associate a database with a matter

1.From the Admin Console, click the Management tab.

2.Expand Matters and select the desired matter with which to associate a database then either use the drag and drop method or database selection.

Selecting databases for matter association.

Selecting the column header Database for either Available Databases or Matter Databases will sort the databases in ascending [image] or descending [image] order.

In version 1.07+, databases can be associated with matters by selecting the desired database(s), and adding them to the matter.

3. Select the Databases tab to change from the User Groups selection screen.

4. After sorting the databases to find your desired database, do one of the following:

·Select the database from the Available Databases column and select Add.

·Select the database from the Available Databases column by clicking the left mouse button twice.

5. The added database will be removed from the Available Databases column and added to the Matter Databases column.

Available Databases - lists all databases registered on the server.

Matter Databases - lists all databases currently added to the selected matter.

If there are more entries in either column (Available Databases or Matter Databases) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.

Drag and drop database association method.

1.Double-click on the Databases folder to display the list of databases on the server.

2.Press and hold down the left mouse button on top of the database you want to associate with a matter.

3.Drag the mouse until it is on top of the matter, then release the button to drop the database onto the matter.

The database is now associated with the matter.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired databases to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and databases.
To Insert a database in a matter

1.From the Admin Console, click the Management tab.

2.Expand Matters and select the desired matter with which to add a database.

3.Right click and select Insert database.

4.A new folder is created.

5.Type the database name and hit Enter.

6.A new window opens for browsing to the database that you would like to add.

7.Browse out to the database.dcb and select Open.

8.The database will be added to the server and the matter.
To remove a database from a matter

To remove databases from the matter. The databases are not deleted, only the association between the database and the matter is removed.

Select the matter to which you need to remove database.

Do one of the following:

·In version 1.07+, select the database from the Matter Databases column and select Remove.

·In version 1.07+, select the database from the Matter Databases column by clicking the left mouse button twice.

·Expand the matter to review the associated databases then right click on the database. Select Remove Database from matter.

The selected database will be removed from the Matter Databases Column and added to the Available Databases column.

Available Databases - lists all databases registered on the server.

Matter Databases - lists all databases currently added to the selected matter.

If there are more entries in either column (Available Databases or Matter Databases) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired databases to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and databases.
Associating a user group with a matter To associate a user group with a matter

1.From the Admin Console, click the Management tab.

2.Double-click on the Matters folder to display the list of matters.

3.Select the desired matter with which to associate a user group then either use the drag and drop method or database selection.

Selecting user groups for matter association

Selecting the column header Usergroup for either Available User Groups or Matter User Groups will sort the databases in ascending [image] or descending [image] order.

In version 1.07+, user groups can be associated with Matters by selecting the desired user group(s), and adding them to the matter.

4. Select the User Groups tab to change from the Databases selection screen.

5. After sorting the user groups to find your desired user group, do one of the following:

·Select the user group from the Available User Groups column then select Add.

·Select the user group from the Available User Groups column by clicking the left mouse button twice.

6. The added user group will be removed from the Available User Groups Column and added to the Matter User Groups column.

Available User Groups - lists all User Groups registered on the server.

Matter User Groups - lists all User Groups currently added to the selected matter.

If there are more entries in either column (Available User Groups or Matter User Groups) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.

Drag and drop user group association method.

4. If not already displayed, double-click on the User Groups folder to display the list of user groups.

5. Press and hold down the left mouse button on top of the user group.

6. Drag the mouse until it is on top of the matter, then release the button to drop the user group onto the matter.

The user group is now associated with the matter. All users in the group will have access to any databases associated with this same matter.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired user groups to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and user groups.
To remove a user group from a matter

To remove user groups from the matter. The user groups are not deleted, only the association between the user group and the matter is removed.

Select the matter to which you need to remove user group.

Do one of the following:

·In version 1.07+, select the user group from the Matter User Groups column and select Remove.

·In version 1.07+, select the user group from the Matter User Groups column by clicking the left mouse button twice.

·Expand the matter to review the associated user group(s) then right click on the user group. Select Remove Usergroup from matter.

The selected user group will be removed from the Matter User Groups Column and added to the Available User Groups column.

Available User Groups - lists all user groups registered on the server.

Matter User Groups - lists all user groups currently added to the selected matter.

If there are more entries in either column (Available User Groups or Matter User Groups) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired databases to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and user groups.


Managing user groups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

User groups are used to group users together who require access to the same database(s). User groups are required if you want to grant user access to a database, as users cannot be added to a database, nor to a matter to which the database is associated.

The user group can be associated with a matter to which a database is associated, allowing the users of the user group to open that database. See Managing matters for more information.

Adding a user group To add a user group

1.From the Admin Console, click the Management tab.

2.Right-click on the User Groups folder and select New usergroup.

An empty folder appears.

3.Type a name for the user group in the field and press Enter.

The user group is now created.

Next you need to assign the users to the user group.

Deleting a user group To delete a user group

Deleting a user group removes it from the Concordance Desktop server and removes any associations it has to any matters. Once you delete a user group, if you need to recreate it, you need to associate it with at least one matter to allow users of the group to open any database that is associated with that matter.

1.From the Admin Console, click the Management tab.

2.Expand the User Groups folder on the left to display the list of matters.

3.Right-click the user group you want to delete and select Delete usergroup.

4.You are asked to confirm the deletion, click Yes.

If you delete the "All Users" user group or remove it from the "All User Groups" matter, it prevents ALL users from accessing ALL databases on the Concordance Desktop server. For this reason, we recommend that you do not delete this matter and user group unless you plan to create a matter and user group for every database on the server, and then associate the appropriate databases and user groups with the various matters.

Adding users to a user group To assign users to a user group

1.If not already visible, double-click on the User Groups folder to display the list of user groups.

2.Select the newly created User Group. You can type a more descriptive name or description of the user group in the Description field in the right-hand pane.

3.Add a user or users to the User Group by either using the drag and drop method or user selection.

To add users by user selection

Selecting the column header User for either Available Users or User Group User will sort the users in ascending [image] or descending [image] order. The users can also be sorted by email address using the column header eMail in ascending [image] or descending [image] order.

In version 1.07+, users can be associated with User Groups by selecting the desired user(s), and adding them to the user group.

4. After sorting the users to find your desired user, do one of the following:

·Select the user from the Available Users column and select Add.

·Select the user from the Available Users column by clicking the left mouse button twice.

5. The added user will be removed from the Available Users column and added to the User Group Users column.

Available users - lists all users registered on the server.

User Group Users - lists all users currently added to the selected user group.

If there are more entries in either column (Available Users or User Group Users) than can be displayed at once, then a scroll bar will be displayed for scrolling purposes.

To add users by drag and drop

1.Double-click on the Users folder to display the list of users.

2.In the Users list, press and hold the mouse button down on a user name.

To select multiple users at once, use CTRL+click or SHIFT+click to select the names.

Once they are all highlighted, release the CTRL or SHIFT key - the user names should remain highlighted. Place the mouse anywhere over the list of highlighted names and then press down and hold the left mouse button.

3.Drag the mouse until it is on top of the user group you just created, then release the button to drop the database onto the user group.

This action assigns the selected user(s) to the user group.

4.Repeat steps 3 and 4 to assign more users to the user group.

To see the changes reflect on the menu tree select Refresh [image] . After adding all desired databases to the matters, select Synchronize now [image] from the Management tool bar to update the changes in the matters and databases.


About monitoring server status
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The overall status of the server can be monitored from the Server tab in the Admin Console. You can also stop and start the server, and set server options from the Server tab.

The Server tab allows you to instantly view the following:

·Current CPU load percentage

·Amount of memory being used

·Number of users currently logged on to the server

·Amount of server traffic (received and transmitted in bites per second)

·Amount of disk memory being used by processes

Each bar graph displays color indicating how resources are currently being used. Green in a bar graph indicates resources used by the server itself. Blue in a bar graph indicates overall resources used by the operating system. The lower portion of the Server tab displays the usage for the past 24 hours, with the latest information on the far right.

Click on a bar graph to change it to a line graph and toggle to change the graph views.


Starting and stopping a server

Navigation: Administration > Server Administration > Monitoring Server Status:

Starting and stopping the Concordance Desktop server
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can start and stop a Concordance Desktop server from the Server tab in the Admin Console.

Before stopping a server, we strongly advise sending a broadcast message to any users with live connections, as stopping the server closes all their connections and they lose any work done in databases. For more information about broadcast messages, see Sending broadcast messages.

If you stop the server from the Server tab of the Admin Console, you must click the Start button to restart the watchdog services. They will not restart automatically.

If you manually stop the Server and Admin services from Windows Task Manager, when you restart the services (from Windows Task Manager), always start the Server (Concordance Server) service before starting the Admin (Concordance Admin Server) service.

To stop the server:

1.Log onto the Admin Console on the Concordance Desktop server you need to stop.

2.On the Server tab, click the Stop button.

3.You are asked to confirm the stop, click Yes.
To start the server:

1.Log onto the Admin Console on the Concordance Desktop server you need to stop.

2.On the Server tab, click the Start button.

The server starts.

If you manually stop the services through Windows Task Manager, always start the Server service (Concordance Server) before starting the Administration Console service (Concordance Admin Server).


Setting the refresh rate
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can adjust the refresh rate for a Concordance Desktop server status graphs on the Server tab in the Admin Console, allowing you to control the number of seconds between updates.

To refresh the graphs on the Server tab:

1.Log onto the Admin Console on the Concordance Desktop server where you want to set the refresh rate.

2.Click the Server tab.

3.Click the Options button to open the Server options dialog box.

The Automatic refresh check box determines whether the graphs on the Server tab are automatically refreshed. The Automatic refresh field determines how often, in seconds, the status graphs refresh on the Server tab. The Automatic refresh field defaults to 3 seconds.

4.Select the Automatic refresh check box, and type or scroll to how often you want the graphs to be refreshed.

5.Click OK to save the settings.


Setting watchdog services
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the event that a Concordance Desktop server stops for any reason, you can set watchdog services to automatically restart the server and admin console services. When the watchdog services are enabled, the watchdog service can send an e-mail alert to the Concordance Desktop administrator when it restarts services.

We recommend that you enable both the Concordance Desktop server and Admin Console watchdog services. You can enable and disable watchdog services on the Server tab in the Concordance Desktop Admin Console. By default, the watchdog services are enabled for both servers.

For more information about setting up watchdog e-mail messages, see Adding administration accounts to the server.

If you stop the services from the Server tab of the Admin Console, you must click the Start button in the Admin Console Server tab to restart the services. They will not restart automatically.

To enable watchdog restart services:

1.On the Server tab, click the Options button to open the Server options dialog box.

2.Select the CNServer check box to enable the server watchdog service.

3.Select the CNSAdmin check box to enable the Admin Server watchdog service.

If you need to disable the watchdog services, clear the check box for the applicable server.

4.Click OK to save the settings.


About applying advanced server settings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You can adjust server settings, including memory cache usage, indexing performance limitations, and server port addresses, for the both the Concordance Desktop Admin Console Server on the Settings tab. ..

Before making any changes to the server settings, we recommend you read all topics in this module. Adjustments to the server settings can affect user access and server performance.

Server settings include:

·Server listening port address

·Session idle and shutdown time-outs

·Indexing

·Email notifications

·SMTP options

·Registration directory

·Snapshot path

·Authentication type selection

Admin Console settings include:

·Server port address

·Idle session and disconnected time-outs

At the bottom of the tab, you can click the Apply button to save all changes made since the last time they were saved, and you can click the Revert button to undo all changes made since the last time they were saved.


Adjusting port settings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Ports for users and administrators are set during the activation of a Server license on a Concordance Desktop installation. Typically, default settings are accepted during installation and are later adjusted as needed on the Settings tab. You can, however, select any port your network needs.

Port defaults include:

·Port 443 - is used by the Concordance Desktop server to connect with registered databases. This default port is selected because it’s commonly left open for use with SSL connections.

·Port 10001 - is used by the Concordance Desktop Admin Console to manage the Concordance Desktop server. This default port is selected because it’s not commonly used and unlikely to conflict with other services.

To lookup the host name (computer name), open a command prompt, type ipconfig /all, and press Enter.

If you change the default ports for the Admin Console, you need to stop and then restart the Concordance Admin Server service from the Windows 'Services' window, for the change to take affect. To get to the Services window in Windows 7 click Start > Control Panel. In the Control Panel window click the Administrative Tools link. From Administrative Tools, double-click on the Services icon in the right pane.

Considerations for changing the port address:

·Port address changes are immediate

·Send a broadcast announcement to affected users before modifying the port address

·Will not log out currently connected users until services are restarted

·Will invalidate any previously distributed shortcut ( .fyi) files for Concordance Desktop users. The shortcut .fyi) file needs to be recreated and redistributed to users.

To modify the Concordance Desktop server port address:

1.Before changing the server's port address, send a broadcast message to inform users of the port change and that the server will be restarted for this process. Inform users they need to save their work and exit the application.

For more information about broadcast messages, see Sending broadcast messages.

2.Log onto the Admin Console on the Concordance Desktop server where you need to change the port address.

3.Click the Settings tab.

4.In the Server Settings section, click the port number in the Listening port row, and type or scroll to the new port number.

5.Click Apply to save your settings.

6.Click Yes to confirm the change.

7.Stop and restart the server.

Restarting the server To restart the server

Click the Server tab.

Click the Stop button at the top of the Server pane.

You are asked to confirm the stop, click Yes. The server is stopped. Now you need to start the server.

Click the Start button. The server restarts.

For more information, see Starting and stopping a server

When you change the server port address, all users are disconnected when the server is restarted. The users receive a message stating that their server connection was dropped.

8.Remind users to enter the new port number the next time they attempt to open a database on the server.

9.For Concordance Desktop shortcut (.fyi) file users, create and distribute a new shortcut (.fyi) file.

The previously distributed shortcut ( .fyi) file references the old port address, so the file can no longer be opened in Concordance Desktop. For more information about creating and distributing shortcut (.fyi) files, see Creating shortcut (.fyi) files and Distributing the shortcut (.fyi) file to users.
Changing the Admin Console port address To change the Admin Console port address:

1.Before changing the Admin Console port address, send a broadcast message to inform users of the port change and that the server will be restarted for this process. Inform users they need to save their work and exit the application.

For more information about broadcast messages, see Sending broadcast messages.

2.Click the Settings tab.

3.In the Administration Console Server Settings section, click the port number in the Listening port row, and type or scroll to the new port number.

4.Click Apply to save your settings.

5.Click Yes to confirm the change.

6.Stop and restart the Concordance Desktop server.

For more information on stopping and restarting the server, see Starting and stopping the Concordance Desktop server.

When the Admin Console port address is changed and you restart the server, all server users and any administrator user connections, except for the one you are using, will be disconnected.

7.Remind users to enter the new port number in the Port field on the Connect tab in the Concordance Desktop Admin Console the next time they log on.


Adjusting time-outs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

On the Server tab, you can adjust the following time-out settings:

Idle session

The Idle session timeout feature allows you to set the number of minutes the Concordance Desktop server and/or Admin Console allows a session to sit idle before closing the connection and disconnecting the user. When a user's connection status on the Connections tab in the Concordance Desktop Admin Console displays as Idle, the user is typically editing or reviewing records in Concordance Desktop .FYI, or working in the Concordance Desktop Admin Console.

The Idle session time-out feature can be set on the Settings and Connections tabs in the Concordance Desktop Admin Console. For more information about modifying the setting on the Connections tab, see Setting user connection options.

The idle session timeout does not apply when a user is running a production or print job associated with the Concordance Viewer so that these jobs are allowed to run to completion.

Shutdown

You can adjust the number of seconds the Concordance Desktop server waits before ending a session in FYI Reviewer or Concordance Desktop .FYI by changing the Shutdown timeout (in seconds) setting on the Settings tab. Sessions are ended when Concordance Desktop server services are stopped/restarted on the Server tab or when an individual user session is disconnected on the Connections tab. When a user’s session ends, Concordance Desktop server first attempts a soft kill, which sends a message to the server requesting it to close all files, save data, and end the user's session. Soft kills do not save data currently being edited by the client.

If a time-out occurs while a user is performing a long-term process, such as packing, indexing, or running a CPL, possible database corruption may occur.

Disconnect

You can adjust the number of seconds the Concordance Desktop server waits before disconnecting users' connections to the Concordance Desktop Admin Console by changing the Disconnected timeout (in seconds) setting on the Settings tab. Sessions are ended when Concordance Desktop server services are stopped/restarted on the Server tab or when an individual user session is disconnected on the Connections tab. When a user’s session ends, Concordance Desktop server first attempts a soft kill, which sends a message to the server requesting it to close all files, save data, and end the user's session. Soft kills do not save data currently being edited by the client.

If a time-out occurs while a user is performing a long-term process, such as packing, indexing, or running a CPL, possible database corruption may occur.

For more information about starting and stopping the Concordance Desktop server, see Starting and stopping Concordance Desktop server.

For more information about broadcast messages and disconnecting sessions, see Sending broadcast messages and Disconnecting user sessions.

To modify the idle session time-out setting on the Server tab:

1.Click the Settings tab.

2.Do any of the following:

·To modify the time-out for the Concordance Desktop server, in the Server Settings section, click the time-out minutes in the Idle session timeout (in minutes) row, and type or scroll to the number of minutes a user session can be idle before the session times out.

·To modify the time-out for the FYI Administration Console Server, in the Administration Console Server Settings section, click the time-out minutes in the Idle session timeout (in minutes) row, and type or scroll to the number of minutes a user session can be idle before the session times out.

The Idle session timeout (in minutes) setting defaults to 480 minutes. To disable time-outs, set the Idle session timeout (in minutes) field to 0 minutes.

3.Click Apply to save your settings.
To modify the shutdown time-out setting:

1.Click the Settings tab.

2.In the Server Settings section, click the time-out seconds in the Shutdown timeout (in seconds) row, and type or scroll to the number of seconds Concordance Desktop server waits before ending a session in FYI Reviewer or Concordance Desktop .FYI.

The Shutdown timeout (in seconds) setting defaults to 30 seconds. We recommend a shutdown of 4 minutes (240 seconds) for FYI Reviewer users, allowing them to save their work and exit the application.

3.Click Apply to save your settings.
To modify the disconnected time-out setting:

1.Click the Settings tab.

2.In the Administration Console Server Settings section, click the time-out seconds in the Disconnected timeout (in seconds) row, and type or scroll to the number of seconds Concordance Desktop server waits before disconnecting users' connections to the Concordance Desktop Admin Console.

The Disconnected timeout (in seconds) setting defaults to 0 seconds. When Disconnected timeout (in seconds) is set to 0, the setting is disabled. We recommend a shutdown of at least 30 seconds for Concordance Desktop Admin Console users. One second is the minimum accepted value.

3.Click Apply to save your settings.


Adjusting indexing settings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Indexing settings affect performance and capacity. We recommend that you read the entire topic before making any changes.

In the Admin Console under the Settings tab, you can adjust the amount of memory the server uses for indexing. Indexing cache memory is only used during the indexing and reindexing process, then the memory is released back to the operating system when indexing is complete.

Large memory allocations index databases faster. However, it is important to consider how many clients or users will index or reindex a database at the same time. Do not over-commit memory to indexing instances.

To calculate the indexing cache:

We recommend you leave at least 512 MB of RAM free and allow the rest to be used by indexing when needed. To calculate the indexing cache, take the amount of memory you have available, subtract 512 MB, and divide the remainder by the number of users you will allow to index at one time. Use that number for the Indexing cache (MB) setting.

Set the maximum number of users allowed to index concurrently in the Maximum indexing instances setting. Indexing is processor intensive. We recommend that you allow only one indexing process per processor, reserving the additional processor for general purposes. Count each Xeon or Pentium HT processor as two processors. For instance, if you have dual Xeon server with 2GB of RAM, you could set the Maximum indexing instances setting to 3 and the Indexing cache setting to 512 MB. If you want to allocate more memory to the index cache for faster performance, then lower the number of indexing instances to avoid over-committing memory.
To modify the indexing cache and instances:

1.Click the Settings tab.

2.In the Server Settings section under Indexing settings, click the megabytes in the Indexing cache (MB) row, and type or scroll to the indexing cache that you calculated in megabytes.

3.The Indexing cache (MB) setting defaults to 128 MB.

The Maximum indexing instances setting controls the number of simultaneous indexing processes allowed. The number of instances entered for this setting should be low to ensure processing is done on the server.

4.In the Maximum indexing instances row, click the number and instances, and type or scroll to the new number of instances.

5.Click Apply to save your settings.

If two users are concurrently indexing, the allocated indexing cache is per user. For example, if the Indexing cache (MB) is set to 679 MB, both users are allocated 679 MB of cache.


Adjusting dictionary cache settings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Dictionary cache (MB) setting controls the amount of memory the dictionary cache uses to process list files. We recommend a dictionary cache setting of 32 MB for the Concordance Desktop server. A server allocation smaller than 32 MB can cause contention between client sessions.

Dictionary Cache is used to process list files including:

·Database dictionary

·Database key file

·Stopword files

·Files for spell checking

·Miscellaneous .LST files

·Security files

·Password files

To modify the dictionary cache size:

1.Click the Settings tab.

2.In the Server Settings section under Indexing settings, click the megabytes in the Dictionary cache (MB) row, and type or scroll to the dictionary cache size you want to use in megabytes.

The Dictionary cache (MB) setting defaults to 32 MB.

3.Click Apply to save your settings.


Setting up email notifications
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

As the administrator of the Concordance Desktop server, you may want to be notified via email when there are issues concerning the Concordance Desktop server. In order to receive notification, you need to setup your email address, and the issues for which you would like to receive email notifications.

You need to also setup SMTP Options in order for the notification to be sent. In addition, you must have an email client installed on the server in order to send notifications.

Setting up email notification To setup email notification:

1.Open the Admin Console.

2.Click the Setting tab.

3.Double-click on Email Notifications to expand it.

4.Type your email address, or whatever address you want notification to be sent, in the Email field.

To receive specific types of notifications, you need to set the notification to Yes.

5.Click on the field of the type of notification you want to receive, and then click Yes.

6.Repeat step 5 for each notification you want to receive.

7.Ensure that No is selected for those notifications that you do not want to receive.

You must now setup your SMTP Options so that the notification can be sent from the server.


Setting up SMTP options
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In order for the Concordance Desktop server to send out notifications to administrators and users, you need to have an SMTP client (email client) setup on the server, and you need to define the SMTP Options in the Concordance Desktop Admin Console, so that the Concordance server can send the notifications via email.

You must have an email client installed on the server in order to send notifications.

If you are an administrator and would like to receive notifications (Watchdog notifications) when specific issues arise with the Concordance server, you also need to setup your email address and types of notifications.

Setting up email notification To setup the SMTP Options:

1.Open the Admin Console.

2.Click the Settings tab.

3.Double-click on SMTP Options to expand it.

4.Type your SMTP server name in the SMTP Server field.

5.Type the port number your SMTP Server uses into the SMTP Server Port field.

6.In the Author Of E-mail field, type the name of the person whose name you want to appear in the signature of the email message.

7.In the Reply To E-mail, type the email address of the person whose name you want to appear in the FROM box.

Usually this will be the email address of the person whose name you entered above.


Changing the default Registration Directory
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Registration Directory is a special directory you can designate in the Admin Console, that allows you to automatically migrate and register existing Concordance 10.x SQLite databases on the Concordance Desktop server. When you place a folder, that contains all the files for a Concordance 10.x SQLite database, into the designated "Registration Directory," the database is automatically migrated and registered on the Concordance Desktop server when Concordance Desktop is run on that server. The "Registration Directory" can be any directory on the server computer, even a directory that contains all your current Concordance 10.x SQLite databases. Only one Registration Directory can be designated per Concordance Desktop server. By default, a directory is already setup for you named DB Smart Path, but you can the default to any directory you want to use. The default directory is located in the server computer's ProgramData folder (usually C:\ProgramData\CloudNine\Concordance Desktop\DB Smart Path). If you decide to keep the default directory, you will need to move your database folders into the DB Smart Path default directory to have the database migrated and automatically registered on the Concordance Desktop server. See Migrating databases for instructions on moving database folders to the Registration Directory.

We recommend that you setup the Registration Directory at the server's root, or as close to the root folder as possible, as there is a path and file name limitation that if exceeded, can prevent users from being able to open files in the viewer.

Only one Registration Directory can be designated per Concordance Desktop server.

Changing the default registration directory To change the default Registration Directory:

1.Open the Admin Console.

2.Click the Settings tab.

3.Double-click on Registration Directory to expand it.

4.Click in the field to display the Browse (ellipses) button.

The Select the DB Smart Path (Registration Directory) window opens.

5.Navigate to the location of the directory that you want to setup as the automatic database migration and registration directory.

6.Click on the directory name to select it. This action places the name in the File name field.

Before clicking OK, please ensure that the directory path and folder name for the Registration Directory does not include special characters such as %, &, #, etc., as special characters are not supported.

7.Click OK.


Setting the snapshot path
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Snapshot path setting is the directory location where you want .snp files to be stored on the Concordance Desktop server. We recommend this setting always be on the database server’s C:\ drive.

With the Snapshot path setting enabled for users, each time a user exits the application, a snapshot of the session is automatically taken. Snapshot files allow users to restart a session from where they left off.

Users can also save snapshots of their session at any time. A shortcut file is saved on their local computer and the snapshot file is saved on the Concordance Desktop server, as specified in the Snapshot path setting. Snapshots can only be restored in the original database.

For more information about snapshots in Concordance Desktop, see Saving and restoring snapshots in the Using Concordance Desktop module.

Ensure that the snapshot path is no longer than 256 characters. This includes whatever name is given to a snapshot, so make sure you account for snapshot file names.

To set up the snapshot path:

1.Click the Settings tab.

2.In the Server Settings section, click the snapshot directory in the Snapshot path row.

3.Click the ellipsis (...) button to open the Select a folder that will contain the Snapshot files dialog box.

4.Navigate to and select the folder where you want to store the snapshot .snp files, and then click OK.

This location should be on the Concordance Desktop server's C:\ drive.

Clicking OK adds the directory path to the Snapshot path row.

5.Click Apply to save your settings.

6.Check the snapshot directory occasionally to delete old and unused snapshot files.

You can also schedule a job on the Jobs tab to automatically delete old snapshots. For more information about scheduling jobs, see Adding and managing jobs.


Setting the authentication type
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Although there are four options in the Authentication type list, these can be divided into two categories: Concordance Desktop security and external authentication through Microsoft Windows (depending on your version of Microsoft Windows Server). In choosing external authentication, you gain the use of policies, including but not limited to password expiration, renewal, and format.

When the authentication type is external to Concordance Desktop, such as Microsoft Active Directory, the Concordance Desktop server uses the external authentication logon name to determine the user's Concordance Desktop database rights, field rights, and menu security. If the user's external authentication logon name is not added to the Concordance Desktop database, the user will not have access to the database.

Dual authentication, authenticating users against more than one server, can only be set for a maximum of two Active Directory LDAP servers. The Auxiliary authentication server setting is not available for the External by Domain or External by NT Server options.

When authenticating users against an Active Directory server in a domain other than where FYI Sever is located, make sure that the Concordance Desktop server is running on Windows Server 2008 R2.

If a database administrator account is specified on the Management tab in the Concordance Desktop Admin Console, the Concordance Desktop server then copies the users from Concordance Desktop and adds them to the Concordance Desktop Admin Console for that specific database. This allows you to use external security to set password policies, including expiration, renewal, and format.

Before changing the authentication type to an external method, check the Concordance Desktop databases and add user names and rights as needed.

For more information about authentication types, see About setting up user security.

To set the authentication type to Concordance Desktop:

1.Click the Settings tab.

2.In the Server Settings section, click the authentication type in the Authentication type row.

3.Click the arrow to open the authentication type list, and click Concordance Desktop.

When Concordance Desktop is selected, Concordance Desktop server uses the a Concordance Desktop database's .sec file to authenticate users.

4.Click Apply to save your settings.

5.Remember to adjust port settings as specified for each authentication type, and update IP addresses if they change.
To set the authentication type to External by domain:

1.Click the Settings tab.

2.In the Server Settings section, click the authentication type in the Authentication type row.

3.Click the arrow to open the authentication type list, and click External by domain.

When External by domain is selected, Concordance Desktop server allows for user authentication against an NT domain controller without an Active Directory.

4.Click in the Authentication server row below External by domain, and type the authentication server name, such as a company or work group name (.com or IP address entries are not acceptable).

5.Click Apply to save your settings.

6.Remember to adjust port settings as specified for each authentication type, and update IP addresses if they change.

External by domain authentication typically requires use of several ports: 137 TCP, 138 UDP, 139 TCP, and 445 TCP. Ensure that your firewall is not blocking these ports.
To set the authentication type to External by NT Server:

1.Click the Settings tab.

2.In the Server Settings section, click the authentication type in the Authentication type row.

3.Click the arrow to open the authentication type list, and click External by NT Server.

When External by NT Server is selected, Concordance Desktop server allows for user authentication against a stand alone server (member server).

A member server is a server that meets all of the following requirements:

·The server is running a Microsoft Windows 2008 R2 Server operating system

·The server is part of a domain

·The server is not a domain controller

4.Click in the Authentication server row below External by NT Server, and type the authentication server name, such as mypdc.company.com or an IP address.

5.Click Apply to save your settings.

6.Remember to adjust port settings as specified for each authentication type, and update IP addresses if they change.

The port addresses typically required by External by NT Server authentication include: 137 TCP, 138 UDP, 139 TCP, and 445 TCP. Ensure that your firewall is not blocking these ports.
To set the authentication type to External by Active Directory LDAP:

1.Click the Settings tab.

2.In the Server Settings section, click the authentication type in the Authentication type row.

3.Click the arrow to open the authentication type list, and click External by Active Directory LDAP.

When External by Active Directory LDAP is selected, Concordance Desktop server uses Microsoft Windows Active Directory to authenticate users.

4.Click in the Authentication server row below External by Active Directory LDAP, and type the authentication server name or an IP address.

5.(Optional) Click in the Auxiliary authentication server row to set a second authentication server, and type the authentication server name or an IP address.

When authenticating against an internal and an external domain, make sure that the same username does not appear in both domains.

6.Click Apply to save your settings.

7.Remember to adjust port settings as specified for each authentication type, and update IP addresses if they change.

The firewall ports that need to be open for Active Directory include: 389 (LDAP,) 636 (secure LDAP,) and NetBIOS ports for the change password feature.

If both the LDAP and Auxiliary server options are set, both server names are displayed when using the Insert Domain Users option for the Users tab in the Concordance Desktop Admin Console.


Selecting a matter for new database registration
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, matters are used for organizing client cases and serve as the focal point for associating users with registered databases. In order for users to access a database on the Concordance Desktop server, both the database and the users (via a user group), must be associated with a matter.

With Concordance Desktop, we have also created an automated association that allows all users to have access to all databases on a Concordance Desktop server, for those firms in which all users need access to all databases. This automated association method is the default in Concordance Desktop, since most firms using the product prefer to allow all their users access to all of the databases.

You can change the default matter for new database registration in the admin console to prevent newly registered matters from being automatically accessible by all users.

To choose a different default matter for new database registration:

1.Click the Settings tab.

2.In the Database Administration Settings section, click the Selected Matter for new database registration row.

3.Click the arrow to open the list of available matters.

Matters must be created prior to selecting them from the list. For more information about creating matters, see Creating Matters.

4.Select the desired matter.

5.Click Apply to save your settings.


Authenticating Admin Console Users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The option to authenticate users that are logging into the Admin Console is now built into Concordance Desktop. When the option is set to NO, administrators will be able to log into the Admin Console from the Concordance Desktop Server without using a password. When the option is set to YES, administrators accessing the admin console from the Concordance Desktop server will be required to enter a password when logging into the Admin Console.

To set the Admin Console authentication on the server:

1.Click the Settings tab.

2. In the Administration Console Server Settings section, click the authentication option in the Authenticate admin console users on server row.

3. Click the arrow to open the authentication options, and select one of the following:

YES - Administrators are required to enter a password when logging into the Concordance Desktop Admin Console.

NO - Administrators are not required to enter a password when logging into the Concordance Desktop Admin Console.

4. Click Apply to save your settings.

The option defaults to 'No' when Concordance Desktop is installed.


Enabling access control audit logs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

This setting enables audit logging for Concordance Desktop Administrators that will include timestamps, username and action taken.

To Enable Access Control Auditing To Enable Access Control Auditing

1. Click the Settings tab.

2. In the Administration Console Server Settings section, select Yes or No to enable Access control logging.

3. By default, the Audit log is saved in this location: C:\ProgramData\CloudNine\Concordance Desktop\Working Path. Click the ellipsis (…) button to navigate to a different location of your choice.

4. For the Number of days to start a new log file option, use the arrows to choose between 1 and 1000 days.

5. Click Apply to save your settings.


About scheduling jobs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Common administrative tasks can be managed on the Jobs tab. New jobs can be added to run automatically at scheduled intervals and existing jobs can be removed, disabled, edited, and run manually. Setting up these actions in advance allows you complete control in managing your schedule and ongoing maintenance tasks, freeing your time for other needs.

Scheduled job activities can be automatically updated on the Jobs tab as changes are recorded by the server. On the Jobs tab, use the Auto refresh feature to automatically update jobs displayed, or click the Refresh button to manually update the listing.

You can also schedule jobs to run using Windows Task Scheduler to save server resources and manage load balancing.

Job processing uses server RAM. To monitor any memory drain when certain jobs are running, check the Memory bar graph in the Server tab.

Too much processing on the Concordance Desktop server can bring the server down. Watchdog services will restart the server but user sessions will be shutdown. Each user needs to log back on to regain access.

From the Jobs tab you can schedule the following tasks:

·Reindexing of one or all databases

·Indexing of one or all databases

·Packing of one or all databases

·Packing of one or all dictionaries

·Deleting old snapshot .snp files saved on the server

Snapshot .snp files store users search history and can be large. Review these files periodically, and delete any that have not been accessed within an established timeframe, such as 30 days. For more information about snapshots, see Setting the snapshot path.


Adding and managing jobs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Automate your administrative tasks on the Jobs tab where they can be set to run at scheduled intervals, as needed. Once scheduled, you can easily edit, disable, or remove a job whenever necessary. You can also manually start any scheduled job, if you need it to run immediately.

The Maintenance job is a built-in job that comes with the server and performs basic server maintenance. It cannot be removed from the Job list.
To add a new job:

1.On the Jobs tab, click the Add button.

Clicking the Add button opens the Name dialog box.

2.In the Name field, type the job name.

3.In the Description field, type the job description.

4.Click Next to open Actions dialog box.

5.In the Available actions list, click the action you want to include in the job.

6.If the job is not for all databases, in the Database field, click the database you want the action run on.

If you are deleting old snapshots, in the Days prior field, type the number of days that a snapshot file remains unaccessed, before it is automatically deleted.

7.Click the Add button to add the action to the Selected actions (in order) list.

The job performs each action in the order the actions are displayed in the Selected actions (in order) list. To change the order of actions in the list, click the action you want to move, and click the Move up or Move down button to modify the action order.

8.If your job contains multiple actions, and you want the job to continue running the other actions if an action in the job fails, select the Continue running all actions if action(s) fail check box.

9.Click Next to open the Frequency dialog box.

10.Define the job frequency settings, and click Finish.

Remember to send broadcast announcements to users prior to scheduled tasks for tasks that will affect their access to the server. For more information, see Sending broadcast messages.

To manually run a job:

1.On the Jobs tab, click the job you want to run.

2.Click the Run button [image].

To manually cancel a job:

1.On the Jobs tab, click the currently running job that you want to cancel.

2.Click the Cancel button [image] .

To edit a job:

1.On the Jobs tab, click the job you want to edit.

2.Click the Edit button to open the Name tab in the Edit job dialog box.

You can change the name or description of the job on the Name tab.

3.To modify job actions or the order in which the actions run, click the Actions tab.

4.To change the time, date or frequency of a job, click the Frequency tab.

5.When you are finished editing the job, click OK to save your changes.
To disable a job:

1.On the Jobs tab, click the job you want to disable.

2.Click the Disable button.

Clicking the Disable button disables the job and moves the job to the Inactive jobs list on the Jobs tab.

To enable an inactive job, click the job and click the Enable button.
To delete a job:

1.On the Jobs tab, click the job you want to delete.

2.Click the Remove button to permanently delete the job.


Troubleshooting jobs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If you created a job for deleting old snapshots, but old snapshots are not being deleted, the Microsoft Windows registry setting for the Last Access file attribute may be disabled on the machine hosting the server.

By default, the Last Access file attribute is disabled for NTFS-based operating systems, such as Microsoft Windows Vista, to improve the NTFS (NT File System) performance. When the Last Access file attribute is disabled, the Delete old snapshots action will not run for a job on the Concordance Desktop server.

Before enabling the Last Access attribute, refer to Microsoft Windows documentation to determine whether you should activate the Last Access attribute, and consult with your Network Administrator before changing the Last Access attribute setting.

To determine whether the Last Access file attribute is disabled:

1.On the Start menu, click Run to open the Run dialog box.

2.Type cmd in the Open field and click OK to open the cmd.exe command prompt.

3.Type fsutil behavior query disablelastaccess and then press Enter.

When disablelastaccess = 0, the Last Access attribute is enabled.

When disablelastaccess = 1, the Last Access attribute is disabled.
To enable the Last Access file attribute:

1.On the Start menu, click Run to open the Run dialog box.

2.Type cmd in the Open field and click OK to open the cmd.exe command prompt.

3.Type fsutil behavior set disablelastaccess 0 and then press Enter.

4.Restart the computer.

You must restart the computer for the change to take effect.


Indexing and reindexing considerations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Indexing will not occur if a user is logged into a database. The system will not kick a user out, but rather reassign the scheduled task to run at the next interval. We recommend that you ensure all users have exited the system and take the database offline before indexing is scheduled to occur.

Reindexing affects users differently than indexing. If the reindexing process starts when a user is still logged into a database, they can remain logged in. Users who wish to continue working while the database is being reindexed may find that the searching speed slows during this timeframe.


Using Windows Scheduled Tasks

No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You can automate administrative tasks using the Microsoft Windows Scheduled Tasks with CPLs. These tasks need to be scheduled with the Concordance Desktop.exe file and modified to include the designated CPL you want to run.

For more information about CPLs, see About the Concordance Desktop Programming Language Reference in the Concordance Desktop Programming Language module.

Please refer to Microsoft's instructions on how to add a scheduled task.


About managing logs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Log tab displays server activities recorded by the Admin Console Server and the server. Activities include user log on and off time, administrative jobs such as database packing and indexing, and detected errors.

Server activities are automatically saved as text files in the server's Working Path folder. These log files can be read by text editor programs and imported into a spreadsheet or database for future analysis. The log files can also be reloaded back into the Concordance Desktop Admin Console for review.

The default directory for the Working Path folder is C:\Users\All Users\LexisNexis\Concordance Desktop (Windows 7 and above)

From the Log tab you can:

·Select the Server tab to view activities and major errors

·Select the Administration Console tab to view console activities and major errors

·Open and review log files

·Save activities as text files to the server for future analysis

·Customize server log options (Options button) for maximum log lines, refresh rate, retention, and start new settings

·Customize server and admin console logs (Customize button) to include or exclude specific information

·Clear log activities

We recommend you start a new log every seven days. Remember to also set the option for the Admin Console Server as well, perhaps for every 30 days.


Viewing activities
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The server activities are listed on the Log tab for both the Admin Console Server and the server. Select either side tab to view server activities.

Concordance Desktop Server Activities

The Log listing has six columns of server information as outlined in the Concordance Desktop server Activities table:

Server Activities
Log Tab Columns | Description
Type | A single letter indicating the message type: ·O – Open ·C – Close ·X – Exit (log off) ·L – Log on ·S – Server Start ·T – Server Terminate (shut down) ·I – Information ·E – Error ·W – Warning ·! – Severe error
Session ID | A unique session ID assigned when logging on
IP | The user’s IP address
User | The user’s logon name
Date/Time | The date and time of the log entry
Description | A description of the action
To refresh the Log tab:

The server activities list on the Log tab can be automatically updated as changes are recorded by the server:

·To automatically refresh the activities displayed on the Log tab, make sure that the Auto refresh button is toggled to on.

When the Auto refresh function is turned on, the server activities list on the Log tab will automatically refresh at the rate specified in the Server log options dialog box.

·To manually refresh the activities displayed on the Log tab, on the Log tab, click the Refresh button.

When the Auto refresh feature is turned on, the Log tab does not need to be manually refreshed.


Setting server log options
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Server log options are defined on the Server log options dialog box. We recommend you start a new log every seven days. Remember to also set the option for the Admin Console as well, perhaps for every 30 days.

To set the server log options:

1.Click the Log tab.

2.Do one of the following:

·To set the server log options for the server, click the Server side tab.

·To set the server log options for the Admin Console, click the Administration Console side tab.

3.Click the Options button to open the Server log options dialog box.

The Maximum log lines to view field controls the maximum number of lines displayed on the Log tab. The default setting is 1000 lines. For slow client connections, set this option to a low number to maintain reasonable performance.

If you want to view all information that occurs on a given day, you may need to increase the number of lines in the Maximum log lines to view field to ensure that lines are not overwritten when the maximum number of lines is reached.

4.In the Maximum log lines to view field, type or scroll to the maximum number of lines to include in the log file.

The Refresh rate field controls how often the server activities are updated on the Log tab. Changes are sent to the Log tab when they are available. The default setting is 1 second. Slower connections can benefit from a longer interval.

5.In the Refresh rate field, type or scroll to how often, in seconds, the server activities list refreshes on the Log tab.

The Start a new log file every field controls how often a log file is created. By default, a new log file is started or rotated, every day. Therefore, each log file contains entries from one day. To include entries from more than one day, increase the number of days for this option.

We recommend creating a new log file for the Concordance Desktop server every seven days, and creating a new log file for the FYI Administration Console Server every 30 days.

6.In the Start a new log file every field, type or scroll to how often, in days, you want to start a new log file.

The Previous logs to retain field controls the maximum number of log files to retain. Log files over this limit are deleted. The setting defaults to 7 days. To retain all log files, type 0 in the Previous logs to retain field.

7.In the Previous logs to retain field, type or scroll to how many logs to retain on the server.

8.Click OK to save the settings.


Customizing logs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A customize log feature has been added to Concordance Desktop that allows you to select specific data to gather and include in the logs, that can provide more detailed information for troubleshooting. In addition to the ability to log more data, this feature also provides easy access to those logs directly from the Admin Console, simplifying the act of locating the logs for troubleshooting.

In order to use the customize logs feature, you must run Concordance Desktop as Administrator (Windows Administrator).

Including/excluding additional data to be logged To include or exclude additional data to be logged:

1.Run Concordance Desktop as Administrator.

To run Concordance Desktop as administrator To do this:

a.Right-click the Concordance Desktop icon on the desktop and select Run as administrator.

b.When the User Account Control window opens, click Yes.

c.If you are presented with a Concordance Desktop Logon box, enter the logon information for the server, then click Connect. If not, ignore this step.

Concordance Desktop opens to the Workspace.

2.Log onto the Admin Console.

3.Click the Log tab.

4.Click Customize.

An Extended Logging Options box opens.

In this box you can select to include specific base and extended logging options. By default, all options are excluded from logging.

5.Click on an option to display its description at the bottom of the box.

For more detailed descriptions about logs see the Log descriptions topic.

6.To include an option, click on the down-arrow for the option and select Yes.

7.To exclude an option, click on the down-arrow for the option and select No.

8.Click OK.

9.A confirmation box opens, stating that you will need to stop and restart the Concordance Desktop and servers, click OK.

Refer to Starting and stopping a server for further details.

Sometimes you may need to access the folders where the server and client logs are located, so that you can view more detailed logged information, or to send a log file to Support for troubleshooting. While this can be accomplished using Windows Explorer, it is often difficult or cumbersome to locate and open the correct folder. To make locating and opening the folder an easy task, Concordance Desktop provides quick, easy access to the folders from the Extended Logging Options box. See Opening log files for details on how to access the folders.


Opening log files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Log files for the Concordance Desktop Server and the Admin Console are automatically saved in the Working Path folder on the Concordance Desktop server. Working Path Log files are retained for the number of days specified in the 'Previous logs to retain' field in the Server log and Administration server log options dialog boxes. In the Admin Console, you can either open a server or Admin Console server log file by using the Open button, or from a button in the Customize pane.

Concordance Desktop Client Log files are automatically saved in a Concordance Desktop folder found under each users AppData, Local, CLoudNine directory.

You must run Concordance Desktop as Administrator in order to access the Customize dialog box. To do this, right-click on the Concordance Desktop icon on the server desktop and select Run as administrator.

The default directory for the Working Path folder is C:\ProgramData\CloudNine\Concordance Desktop\Working Path (Windows 7).

To open a Server or Admin Console server log file using the Open button:

1.In the Admin Console, click the Log tab.

2.Click the Open button.

The Open log file box opens.

3.Click the log file you want to open, and click OK.

Clicking OK opens the log file on the Custom side tab on the Log tab. The Custom side tab is only visible on the Log tab when a retained log file is opened.

Sometimes you may need to access the folders where the server and client logs are located, so that you can view more detailed logged information, or to send a log file to Support for troubleshooting. While this can be accomplished using Windows Explorer, it is often difficult or cumbersome to locate and open the correct folder. To make locating and opening the folder an easy task, Concordance Desktop provides quick, easy access to the folders from the Extended Logging Options box.

Opening the Server Logs folder To easily find and open the Server Logs folder:

1.Run Concordance Desktop as Administrator.

To run Concordance Desktop as administrator To run Concordance Desktop as Administrator:

There may be times when you need to run the Concordance Desktop software as a Windows administrator. For example, to activate a Concordance Desktop server license on a computer, or to select additional data to be logged in the log files for troubleshooting purposes.

For your convenience, here are the steps on how to do this:

1.Right-click the Concordance Desktop icon on the desktop and select Run as administrator.

2.When the User Account Control window opens, click Yes.

3.If you are presented with a Concordance Desktop Logon box, enter the logon information for the server, then click Connect. If not, ignore this step.

2.Log onto the Admin Console.

3.Click the Log tab.

4.Click Customize.

An Extended Logging Options box opens.

5.Click the Open Server Logs Folder button.

A Windows Explorer window opens to the folder where the logs are saved.

6.To open a log for viewing, double-click on the log name.

7.When finished viewing the log, click the Windows Close button to exit the window.

8.You are returned to the Extended Logging Options box.

9.Click OK to close the Extended Logging Options box.

Opening the Client Logs folder To easily find and open the Client Logs folder:

1.Run Concordance Desktop as Administrator.

2.Log onto the Admin Console.

3.Click the Log tab.

4.Click Customize.

An Extended Logging Options box opens.

5.Click the Open Server Logs Folder button.

6. A Windows Explorer window opens to the folder where the logs are saved.

7.To open a log for viewing, double-click on the log name.

8.When finished viewing the log, click the Windows Close button to exit the window.

You are returned to the Extended Logging Options box.

9.Click OK to close the Extended Logging Options box.


Saving log file activities
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The server activities displayed in the Log tab can be saved to a file. These log files are formatted as tab delimited text files and can be imported into spreadsheets and databases. They can also be saved as other file types for further analysis. All log files are saved in the server's Working Path folder.

The default directory for the Working Path folder is :\ProgramData\LexisNexis\Concordance Desktop\Working Path (Windows 7).

To save all activities displayed on the Log tab:

1.Click the Log tab.

2.Do one of the following:

·To save the server log activities for the server, click the Server side tab.

·To save the server log activities for the FYI Administration Console Server, click the Administration Console side tab.

3.Click Save to open the Save As dialog box.

You can also right-click any activities and click Save to open the Save As dialog box. By default, the .log files are saved to the Working Path folder.

4.In the File name field, type the log file name.

5.Click Save.

To save selected activities displayed on the Log tab:

1.Click the Log tab.

2.Do one of the following:

·To save the server log activities for the server, click the Server side tab.

·To save the server log activities for the FYI Administration Console Server, click the Administration Console side tab.

3.Select the activities you want to save.

To select multiple activities, use SHIFT+click or CTRL+click.

4.Right-click a selected activity and click Save selection to open the Save As dialog box.

5.Click Save to open the Save As dialog box.

By default, the .log files are saved to the Working Path folder.

6.In the File name field, type the log file name.

7.Click Save.
To copy selected activities to the clipboard:

1.Click the Log tab.

2.Do one of the following:

·To copy the server log activities for the server, click the Server side tab.

·To copy the server log activities for the FYI Administration Console Server, click the Administration Console side tab.

3.Select the activities you want to copy.

To select multiple activities, use SHIFT+click or CTRL+click.

4.Right-click a selected activity and click Copy to clipboard.

5.Paste the activities to another program.


Deleting log files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the Concordance Desktop Admin Console you can delete all log files in the Working Path folder from the Server log options dialog box. If you want to delete individual log files, you will need to manually delete the log files from the Working Path folder in Microsoft Windows Explorer.

To delete all log files from the Working Path folder:

1.Click the Log tab.

2.Do one of the following:

·To delete the logs for the Server, click the Server side tab.

·To delete the logs for the Administration Console, click the Administration Console side tab.

3.Click the Options button to open the Server log options dialog box.

4.Click the Clear all logs button.

5.Click Yes when asked Are you sure you want to remove all previous log files?.

6.Click OK.

All .log files are deleted from the Working Path folder and the server log activities on the selected side tab are cleared from the Log tab.


Log descriptions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Below are the logs available from Concordance Desktop and their respective descriptions.

Basic logging

Server logs
Log Name | Location | Description | Extended Logging
Concordance Server.log | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | This is the tab separated database output for the "logging" tab in the Admin Console. It is less complete and detailed | Limited effect
Concordance Server - YYYY-MM-DD.log | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | Saved copy of 'Concordance Server.log' for the day listed in the file name. | Limited effect
CNServer.YYYYMM.log | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | * Required when escalating issues* Logs the action taken by the server. For example, removal of DCB's, Job indexing/reindexing, packing etc., license information/authentication, Ports, number of users allowed to connect to server (per proc limit) - all for the month listed in the file name. | See Extended logging table
ServerCPU YYYY-MM-DD.txt | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | Internal data format for the Admin Console. This is now the charts get their data. | No effect
OverallCPU YYYYY-MM-DD.txt | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | Internal data format for the Admin Console. This is now the charts get their data. | No effect
Server Memory YYYY-MM-DD.txt | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | Internal data format for the Admin Console. This is now the charts get their data. | No effect
OverallMemory YYYY-MM-DD.txt | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | Internal data format for the Admin Console. This is now the charts get their data. | No effect

Admin logs
Log Name | Location | Description | Extended Logging
Concordance Admin Server.log | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | This is the tab separated data output for the "logging" tab in the Admin Console. It is a less complete and less detailed version of the CNSAdmin.YYYYMM.log for the Admin Console. | Limited effect
Concordance Admin Server - YYYY-MM-DD.log | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | Saved copy of "Concordance Admin Server.log" for the day in the day listed in the file name. |
CNSAdmin.YYYYMM.log | C:\ProgramData\LexisNexis\Concordance Desktop\Working Path | * Required when escalating issue * Logs/captures the settings in the Admin Console for the month listed in the file name. | See Extended logging table

Import logs
Log Name | Location | Description | Extended Logging
DATImportLog_MM_DD_YYYY_HH_MM_SS.log | DatabaseLocation\logs | Logs the initial import of documents. (aka: the first load at db creation) Name depends on the type of database created (initial load) | No effect
EdocImportLog_MM_DD_YYYY_HH_MM_SS.log | DatabaseLocation\logs | Logs the initial import of documents. (aka: the first load at db creation) Name depends on the type of database created (initial load) | No effect
EmailImportLog_MM_DD_YYYY_HH_MM_SS.log | DatabaseLocation\logs | Logs the initial import of documents. (aka: the first load at db creation) Name depends on the type of database created (initial load) | No effect
ImportLog_MM_DD_YYYY_HH_MM_SS.log | DatabaseLocation\logs | Logs the append import of documents into the database. | No effect
NAMEOFDATABASE YYYY-MM.LOG | DatabaseLocation\logs | Logs all log on/off activity to the database for that month. | No effect
OverlayLog_MM_DD_YYYY_HH_MM_SS.log | DatabaseLocation\logs | Logs the Overlay import of information into the database. | No effect

Miscellaneous logs
Log Name | Location | Description | Extended Logging
Concordance Desktop.YYYMM.log | C:\Users\"Username"\AppData\Local\LexisNexis\Concordance Desktop | * Required when escalating issues * Logs all actions executed by the EXE for the month listed in the file name. | See Extended logging table
ImageBaseManagement.log | C:\Users\"Username"\AppData\Local\LexisNexis\Concordance Desktop | Each module has its own individual log file, as .NET programs do not share a log file. | No effect
CDV.log | C:\Users\"Username"\AppData\Local\LexisNexis\Concordance Desktop | Each module has its own individual log file, as .NET programs do not share a log file. | No effect
ProductionModule.log | C:\Users\"Username"\AppData\Local\LexisNexis\Concordance Desktop | Each module has its own individual log file, as .NET programs do not share a log file. | No effect
PrintingModule.log | C:\Users\"Username"\AppData\Local\LexisNexis\Concordance Desktop | Each module has its own individual log file, as .NET programs do not share a log file. | No effect

Extended logging

Logging options enable extended information prior to and after an error, that may help to diagnose unusual things.

Log Option | Basic Description | When you would use it
Admin Console Management | Enables logging for actions in the Admin Console that alter definitions such as, editing the name of a database. |
Licensing | Actions such as, adding a license or verifying if a license is valid or expired, are logged with this options. Advanced diagnostics are available when Low Level is enabled as well. | When licenses that appear to be valid are not registering.
Tagging | Tag errors (note that at this time, tag operations are not heavily logged). |
Server Commands | Shows the CNServer command diagnostics for all messages being sent to the server. This can become quite noisy, but may be required for some diagnostics. | When you want to verify that command traffic is happening.
Connections | Shows details of connections to the server, and actions upon those connections. Advanced diagnostics are available when Low Level is enabled as well. | Enable when extra information is needed, regarding needed when a client successfully connected and disconnected. This information can help diagnose things that aren't errors, by tracking when the client signed on and left, and the extra information about their connection.
Networking | The details of lower level network protocols and traffic are exposed with this option. Advanced diagnostics are available when Low Level is enabled as well. | When you need to review network traffic, like packet sends and socket ports, showing extra information around the traffic.
Low Level | Enables extended logging of more data than the Base Options. For example, with Licensing enabled the log displays messages about a license registered. However, with Low Level enabled, the log also shows debug information that is used to diagnose even more details. | Enable this when development needs detailed logs. This expands and affects many of the other options. Some options require this option to be enabled in order to log detailed information, while others provide details without having to have this option enabled.
SQL | Internal Query Engine states and operations such as, when you have a failure to insert a record for a user. Most of these only show up in the log if Love Level is also enabled. | If there are problems where things are not getting inserted or queried, enabling this may help diagnose the SQL statements. This may be useful when unexpected data, for example, a user name with a Unicode character may have issues inserting.
Databases | Actions that happen on a database (DCB) such as, creation or registration. Most of these only show up in the log if Low Level is also enabled. | Problems with opening databases or related.
Unicode Files | Shows extended information during the reading of Unicode files, helpful when diagnosing why a text file doesn't read correctly in some situations. | When trying to figure out if a file is Unicode, and if so, what type. This log data will diagnose the path of that. For example, if you convert an OPT to Unicode, when the database is opened for any operation, that information about the file will be logged.
Profile | Extends information during reading of profile data such as, a home directory from the user's profile. |


About backups and data recovery
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

For information about backing up SQL Server and other supporting products, refer to your organization’s internal guidelines or source documentation.

Please read all the topics in the Backing Up Concordance Desktop server topic to ensure that you are not missing any relevant information. If regular backups are not scheduled, you can possibly risk losing data.

Backups for the Concordance Desktop server include the following:

·FYI.db file

·Concordance Desktop databases

·User Management settings (under each database folder)

·Tags

·List files, queries, and other supporting files

Most FYI ASPs and large firms and organizations should already have backup and data retrieval planning outlined and implemented, as well as disaster recovery protocols. Determining backup schedules for the Concordance Desktop server depends on the number of databases and users you have to manage. If you have numerous users accessing databases and running tasks, you may want to consider scheduling backups twice daily. If you only have a few databases with a handful of users accessing them, you may be able to set backup schedules to once a week.

Do not perform live backups if you are using backup software that locks files, even briefly. This has been known to cause read/write functions to the database files to fail, and can cause file synchronization or corruption issues. Check with your IT group and/or backup solution provider to verify that no file locking occurs before scheduling any backups on the Concordance Desktop server and Concordance Desktop files that are in use.

Be aware that anti-virus, firewall, and backup software can often interfere with network traffic and the locking of files, and in effect could cause Concordance Desktop software to crash.


Backing up FYI.db files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The FYI.db file holds all settings for the Concordance Desktop Admin Console, links to the database, and includes the database name. As a standard practice, you can always export a copy of your database to make a backup. You can also create a backup copy of the FYI.db file by stop and restarting the Concordance Desktop server services in the Concordance Desktop Admin Console.

If your FYI.db is corrupted and irretrievable, you will lose the following:

·User settings: must re-enter all users and re-apply user permissions

·Client, matter, user groups and database structure: must rebuild folders and organize databases per matters

We recommend that you regularly make backup copies of the FYI.db file if administrators are performing tasks in the Concordance Desktop Admin Console that affects information you want stored in the FYI.db file, such as registering and removing databases, managing logs, setting up network maps.

Back-Up Considerations:

·We encourage you to back up your primary databases every night.

·If you have secondary databases that are not accessed as much, consider backing them up on a weekly basis.

·If you are performing full nightly backups, you need to take your databases offline. You can conduct incremental backups.

·Remember to make time for backup copies of your Snapshot files so they can be restored for reviewers; backing up this file can be a time consuming task given that some .SNP files reach terabyte size

Always back-up your FYI.db files before performing any updates to any products or services that run on the server that hosts the Concordance Desktop server. Do not use live backups as it may corrupt your databases.

Do not copy and paste the .dcb file because Windows could corrupt it.

To back up the FYI.db file:

1.In the Admin Console, click the Server tab.

2.Click the Stop button to stop the Concordance Desktop server services.

3.To recover the file, locate the directory folder where Concordance Desktop is installed.

The default location is C:\Users\All Users\LexisNexis\Concordance Desktop. The last 10 nightly backups are automatically stored in this directory.

Here is an example of what a backup file name may look like: f68f7096-a85e-49be-823b-b48fd0617137.db

4.Select the latest version of the .db file for the date and time when services were stopped and rename the file or move it to a different directory location.

5.Rename the file to FYI.db.

6.In the Concordance Desktop Admin Console, on the Server tab, click the Start button to restart the Concordance Desktop server services.

When you restart the services, it relinks to the new FYI.db file. Every time you restart services, the server looks for a FYI.db file in the install directory.


Backing up authentication files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

For the Concordance Desktop Admin Console, you will also want to ensure that you back up copies of the Admin Authentication.dcb file. This file is a Concordance Desktop database that contains no data, but retains all administrative settings except passwords. You will want to ensure that at least one administrator has access to this file.

If you find yourself without a backup copy or with a corrupt file, contact Concordance Desktop Technical Support for assistance.


Backing up registry settings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop server holds all root registry settings for Concordance Desktop server. The registry settings are stored in the following directory in the Microsoft Registry Editor:

·HKEY_CURRENT_USER\Software\LexisNexis\Concordance Desktop

·HKEY_LOCAL_MACHINE\Software\Wow6432Node\LexisNexis\Concordance Desktop

To make a backup copy of your registry settings, do one of the following:

·In the Registry Editor, right-click the Concordance Desktop folder, and click Export.

·In the Registry Editor, click the Concordance Desktop folder, and on the File menu, click Export.


Disaster recovery protocols
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Protecting your organization’s data in the event of a natural or man-made disaster is essential to ensuring that data retrieval occurs in a timely fashion with limited impacts for conducting business. We recommend that you have data recovery protocols in place at an offsite location. Many vendors have data hosted and archival environments with a variety of services to choose from.

With Concordance Desktop server, you may want to keep an inactive copy as a failover means of ensuring access to your data. Internally, you will want to mirror hard drives on your servers and may want redundancy for the SQL Server.

Concordance Desktop server components to mirror:

·The Concordance Desktop server directory by default, it is located in the following directory:

C:\Program Files (x86)\LexisNexis\Concordance Desktop (Windows 7)

·The Concordance Desktop server application directory is located in the following directory:

C:\Users\All Users\LexisNexis\Concordance Desktop (Windows 7)

The Concordance Desktop server application directory includes the necessary fyi.db file, which maintains a list of registered databases, users, user groups and other essential information.

·The services settings for both servers.

The services settings are located in the Services Control Panel (Start > Control Panel > Administrative Tools > Services). These settings include the system user name and password used to access network shares.


Data recovery and retrieval
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Protecting your organization’s data in the event of a natural or man-made disaster is essential to ensuring that data retrieval occurs in a timely fashion with limited impacts for conducting business. We recommend that you have data recovery protocols in place at an offsite location. Many vendors have data hosted and archival environments with a variety of services to choose from.

Things to consider for data recovery and retrieval:

·Manual backups that are scheduled on a regular basis that store data in a secure, offsite location in a controlled environment

·Incremental secure backups or data mirroring/clustering

·Backup rotation storage of files and databases

·Environments that include comprehensive, around-the-clock network/server monitoring of network traffic with industry-leading technologies for intrusion and protection detection

·Environments that implement 24-hour surveillance requiring with an infrastructure that imposes keycard, fingerprint, and/or retina scan access

·Environments that operate on full redundancy, in addition to stand-alone power generation, and can support heavy transactional processing

·Vault storage specifically designed for long-term data storage with additional services for online viewing access


Supporting reviewers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

As an administrator, your job is to support the document review team by providing the best database structure and maintenance for document review, on a case-by-case basis. The more you can learn and understand from a reviewer’s perspective and the needs of each particular case, the easier your job becomes in providing proper support.

This topic covers the administrative information and activities that you will need to perform to support reviewers in searching, saving queries, sorting, and tallying.

How to Support Reviewers:

Searching Searching

Administrators should understand basic searching concepts used in Concordance Desktop, including how to differentiate between full-text and relational clauses, and how to use search operators and wildcards. Understanding these concepts helps you troubleshoot questions or problems reviewers may have when learning to use Concordance Desktop.

Searching Overview:

·Full-text searching uses the .dct and .ivt files

·Full-text searching is very fast, highlights hits in red, searches multiple fields

·Relational searching searches the entire database each time

·Relational searching uses different operators, searches one field, runs slower, and does not provide keyword highlights

Tips to Increase Search Processing Speed:

·Reviewers can speed up relational searching by placing a full-text search clause before the relational clause to cut down the amount of data Concordance Desktop must read in real time

·Check the Key box on fields to improve relational search processing speed

·Locate empty or not empty paragraph fields (empty: fieldname = “”, not empty: fieldname = *)

·Search for punctuation with relational searching (OCR co %) or globally replace punctuation with a%a, then reindex and run a full-text search

Tips for Assisting Reviewers:

·Verify that reviewers are not running relational searches on paragraph fields

·Verify that reviewers are placing a full-text search clause before the relational clause to cut down search processing time

·Verify that search syntax is correct

·Verify the search terms are included in the dictionary

·Verify that the field is indexed for full-text searching

·Reindex the database to ensure all updates are available to reviewers
Creating a Synonyms List Creating a Synonyms List

Creating a synonyms list for your database increases your reviewers search capabilities by locating results for words that have similar meanings or alternative names. Synonyms can be based off of words already entered in your database dictionary, creating a permanent link between them, or other search terms in Concordance Desktop. You can also create synonyms from the fuzzy words list, to include homonyms or words that look like and sound like those already in your dictionary and synonyms listings. Fuzzy words provide a 65% character match on search terms, but fuzzy searches can miss words longer than the search term.

Synonyms are stored in the .syn file and fuzzy words are stored in the .fzy file. Both files are located in the same directory folder as the primary database.

If your reviewers are receiving over-inclusive results or search time is getting bogged down, this is one area you can check for shaving off processing time. You can easily edit the list later, if need be.

For more information about creating a synonyms list, see Creating a synonyms list.

Saving queries Saving queries

Reviewers can save their search history by saving a query file from a current Concordance Desktop session. By doing so, they can later restore those same searches to create new complex searches and/or capture query results on database updates. Saved query files can also be executed on different databases if the field names used in the searches match. Please note that restored query files will update internal search number references in the Review view.

As an administrator you may need to help reviewers save or modify query files, and clear their search history from the database. Searches are saved in a .qry file and are editable text files containing only the search string.

Search Query Options:

·Use the Save all Queries command on the Search menu to save all searches in the current query session to a .qry query file.

·Use the Execute Saved Queries command on the Search menu to relaunch a previous query saved to a .qry file, and capture any new and/or edited data since the initial search was run.

·Use the Clear Search History command on the Search menu to delete the search history when you index, reindex, or pack the database.
Modifying query files Modifying query files

Query files are text files that contain only the search string. These files can be opened and edited in any text editor program, such as Notepad, TextPad or UltraEdit. Reviewers may want to modify a saved query file to write new complex search queries and then run the edited query file on a database. However, as an administrator, you will typically review these files in order to delete unnecessary queries that you do not need to store or rerun later.

To modify a query file:

1.Locate the query (.qry) file you want to modify.

2.Right-click and open with any text editor program you want to use to modify the file.

If the text editor program is not listed, click Choose Program to locate the text editor program.

3.In the text editor program, make the applicable edits and save your changes.

Saving search results Saving search results

In the Review view, you can print your search results or save them to an ASCII text file by right-clicking your mouse in the center of the view. If you save your search results to a text file from the Review view, the search terms and search results information saved to the text file can be used as a backup of search results in a report format in case a reviewer needs to prove what search criteria was used during an e-discovery.
Clearing searches Clearing searches

Clearing reviewers’ search history allows you to erase all searches from a current Concordance Desktop work session without reopening a database, and it allows users to start the new search session without looking at the results of previous searches.

To clear search history, on the Search menu click Clear Search History. The user’s search results in the Review view will be erased and reset except for the All query used to locate all records in the database.

We recommend that you save a user’s searches to a .qry file before clearing them from Concordance Desktop. Once you have cleared a user’s search history, there is no Undo function to retrieve this information.

Tallying records Tallying records

Tally is a great sorting tool for a quick record count and for quality assurance checks. You can search on a unique value within a field and also print a list of these results.

Tally is also useful to organize documents in preparation for printing reports. The Tally feature is only accessible by right-clicking on a field in the Table view and clicking Tally.
Customizing table layouts Customizing table layouts

The document listing in the Table view can be customized by viewer preference or for viewing particular query results. Each user can create one private table layout per database that is not viewable by other users, except the database administrators. Private layouts are identified by the user ID in the layout name.

All layouts, except for private layouts, are made public to all users in the database and stored in the .layout file. We recommend that you implement custom table layout guidelines for your organization, because too many table layouts may result in a cluttered layout menu tree. A database's .layout file can be used and copied to other databases, which is useful when working with concatenated database sets. If you are experiencing problems with users creating too many layouts, you can set up a group of standard layouts and make them read-only. Any layout customizations that users may want can be done using their private layouts.

For more information about layouts, see Using table layouts.
Saving snapshots Saving snapshots

Snapshots are a point-in-time picture of a user’s work history and helps them track and preserve their search history and search results. Saved snapshots can be restored to see what the contents of a database were on a particular day and what search results were found at that moment in time. Snapshots only store historical data, such as searches, the last record selection, and the last sort performed during a user’s Concordance Desktop session.

When a saved snapshot file is restored, Concordance Desktop automatically opens the databases associated with the file, with all queries and sorts preserved.

Users may also choose to have the auto-restore feature turned on, which is a feature similar to saving a snapshot. An Auto-restore snapshot file contains that last record selection and last record viewed at the end of a Concordance Desktop session, so when users next access Concordance Desktop they can resume reviewing where they last left off. Unlike manually saved snapshot .snp files, the Auto-restore file is overwritten each time the user logs out of Concordance Desktop.

Snapshot Overview:

·Snapshots are saved as non-editable .snp files and can only be restored on original databases

·Auto-restore will not work if a user does not have Microsoft Windows permissions

·Sometimes Auto-restore will not work if the most recently used (MRU) feature is disabled

If reviewers make a practice of saving snapshots at the end of every work session, we recommend that you periodically review and delete outdated or unnecessary .snp files due to their large file size on a hard drive or network.

For more information about saving snapshots, see Saving and restoring snapshots.
Sorting records Sorting records

The results of any search are sorted in the order in which documents are added to the database, and typical sorting only affects current search results. Administrators, however, have the means to permanently apply a sort order to a database.

Reviewers may want to have documents permanently sorted in a database chronologically, or by author, type, or other field, to help speed up their review. We recommend that you only accommodate this request under special circumstances due to the time involved in managing these extra files and databases.

Sorting Overview:

·The default sort order of all queries is the record creation or load order of the documents when they were added to the database (accession number)

·Sorting can be done on up to 16 fields at one time with a maximum character limit of 1,000

·Sorting of paragraph fields is done on the first 60 characters only and uses the longest value in the field up to 60

·Sort order is temporary and only applies to the current query

·Speed up sorting by selecting the Key check box for database fields in the Modify dialog box.

For more information about sorting records and field data, see Sorting documents.
Permanently sorting database files Permanently sorting database files

You can permanently sort databases using two methods:

·Export the database

·Replicate the database

To permanently sort a database, sort the records in the database the way you want them to be permanently sorted, then export or replicate the database to a new database to replace the original database.

To permanently sort a database:

1.Back up the original database.

For more information see backing up databases.

2.In Concordance Desktop, open the database you want to permanently sort.

3.Sort the database.

For detailed steps on sorting a database, see Sorting documents.

To permanently sort a database you can either export or replicate the database.

Exporting a database does not export the database's security settings. Replicating a database preserves the database's security settings.

4.To export the database, on the Documents menu, point to Export, and click As a Concordance Desktop database.

The accession number is reassigned in your new database to match the import order.

For detailed steps on exporting a database, see Exporting databases.

Once you have named the database with its new sort order, you can start using your new database. You will need to delete or archive your old database.


About Concordance Desktop databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

We recommend preparing and outlining your database field structure in advance. This may involve discussions with a lead attorney and key people involved in the case. Making changes to the database structure once data has been loaded has a high potential for database corruption, so careful preparation helps minimize the need for changes later.

Use the database checklist to assist you when you first begin creating and indexing databases to ensure that you understand each step of the process and don't forget to verify critical data.

Making changes to your database template is the number one way to corrupt your database. It is important to prepare and outline your field structure in advance to avoid changes after data has been loaded.

Database Capacities

The Database Capacities table lists the capacities for each of the database elements.

Database Capacities
Database | Capacity
Number of documents | 500,000
Concatenated databases | 128
Document size | 3 billion characters
Fields | 250
Characters per field | 12 million
Database .ivt file | 6 gigabytes
Database dictionary | 6 gigabytes
Database file path name | 199 characters in length
Database Checklist
Checklist: Database
 | Data Review
 | Do you know how many documents or gigabytes (GB) of data have been received?
 | Are your files converted to types that are recognized by Concordance Desktop?
 | Do you understand Concordance Desktop field structure and how it affects importing data?
 | Review Load Files
 | Have you reviewed the contents of the data volume you are about to load?
 | Have you reviewed your data load file for acceptable delimiters and date formats?
 | Do you have fields set in place for data that you are importing?
 | Have you verified that the bates number for the first record to be loaded does not overlap with the last bates number used in the existing collection? If it does overlap, a correction should be requested from the source prior to loading.
 | Did you receive an image load file along with your images? If not, you can create one.
 | Did you adjust the directory path of your image load files, if need be?
 | Have you verified that your alias in the image load file matches the Image field in the Concordance Desktop database?
 | Have you reviewed how your OCR has been formatted, named and organized? Do you know which CPL to use for import if the OCR was not included in the .dat file?
 | Importing a .pst file requires that a user profile is set up for each user in Microsoft Outlook. Have you completed this process?
 | Database Structure
 | Did you create a database template that includes administrative fields?
 | Did you select an image key field for your images?
 | Did you validate the EDITTRAIL and CREATEDATE fields?
 | Did you index all fields needed for full-text searching?
 | Did you create additional miscellaneous fields?
 | CPLs
 | Did you verify supported CPLs for your current Concordance Desktop version by reviewing the ...\ProgramData\LexisNexis\Concordance Desktop\CPL folder, or Concordance Desktop Scripts Help topic?
 | Case Review
 | Have you reviewed case records to understand what types of files you are importing?
 | Did you review case records to plan your field structure?
 | Do you understand what types of reports you may be generating for maintenance and to support reviewers?
 | Do you understand the file and media requirements for print productions, especially for opposing counsel?
 | Ongoing Maintenance
 | Have you outlined maintenance processes and schedules that affect your new databases?


About Concordance Desktop database files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you create a database, you import the initial load files to populate the database with records. These initial files can be either PST files, electronic documents, or delimited text files prepared by a vendor (or other party), and can be imported as you create the new Concordance Desktop database. Concordance Desktop provides a Creation Wizard to help you create and import the documents all together.

·You can import the following types of files:

·Delimited text file

·Native files

·Electronic documents

·E-mails and attachments

·Transcripts

·Concordance Desktop databases

Each Concordance Desktop database uses several files during operation. Only four are absolutely required to open and use a database. The four mandatory files are the database control block (.dcb), the numeric, date, and text file (.ndx), the text file (.txt), and the user management file (.sec). All of the other files can be recreated without damaging the integrity of the data. At a minimum, these four files should be backed up for archival purposes.

For more information see backing up databases.

A B-tree file uses a tree data structure to provide fast search results. The tree data structure minimizes the number of times the database is accessed when searching for a record, resulting in faster searches.

The .TRK file in Concordance Desktop uses SQLite. SQLite is an embedded relational database engine, which brings more stability to the functions of the .TRK file. Because SQLite is an embedded database, SQLite does not increase the required maintenance and administration of Concordance Desktop.

Concordance database files
Concordance Desktop Database Files
Name | File Description | Usage | File Type
.cat | Concatenation | Stores a list of concatenated databases | Text file
.cib | Imagebase | Stores association between media keys and native and image files including markup history | SQLite file
.cpl | CPL script | Store Concordance Desktop Programming Language (CPL) scripts | Script file
.cpt | CPL script | Stores compiled versions of CPL script | Script file
.csv | User management | Stores field and menu access for all users (when exported by user) | Text file
.dat | Delimited text | Contains metadata and sometimes OCR for document records | Text file
.dcb | Data control block | Database definition, including fields, document count, and other settings |
.dct | Dictionary | All unique words in the database, in alphabetical order This is not a plain text file, it cannot be read or edited by a text editor or word processor | B-tree file
.fmt | Print settings | Saves print settings for reports generated using the standard print feature User generated file |
.fyi | Concordance Desktop Concordance Desktop server database | A link file that opens a database on a remote Concordance Desktop server | Text file
.fzy | Fuzzy search dictionary | The fuzzy search dictionary contains homonyms for words in the search dictionary This file is created and updated by indexing and reindexing | B-tree file
.gat | Back Up | A tag backup file that stores tagging information. Generated by running the TagSaver.cpl |
.ini | Configuration settings | Stores various configuration settings | Text file
.ivt | Inverted text | Used with the dictionary during searches |
.key | Key fields | Field storage for fast relational searching | B-tree file
.layout | Table layout | Stores the defined table layouts | B-tree file
.sortlayout | Sorting layout | Stores the defined sorting layouts for the current database |
.editlayout | Editing layout | Stores the defined editing layouts for the current database |
.lst | Word lists | Contains predefined values that can be selected from a list when editing fields When a list is assigned to a specific field, it's called an Authority List | B-tree file
.ndx | Numeric, date, and text fields | Stores data for the fixed length field types: Numeric, Date, and Text |
.opf | Print settings | A Concordance Desktop Image print file that stores print settings for print jobs generated by Concordance Desktop Image (Opticon) User generated |
.qry | Query | Stores search query strings |
.sec | User management control | Stores user management settings | B-tree file
.snp | Snapshot | Stores search history and auto-restore settings |
.stp | Stopwords | Contains the noise words that are ignored during database indexing | B-tree file
.syn | Synonyms | Stores the user defined synonyms | B-tree file
.tex | Text | Full text paragraph field storage | Text file
.trk | Transaction tracking | Relational SQLite file structure that stores tags and tag histories, security (field and menu access for all users) and replication data | SQLite file
.xrl | Markup | Stores the current state of markups and placeholders |

Temporary files

Concordance Desktop creates and uses temporary files, which are automatically erased when you leave the program. However, temporary files are not erased if there is a power outage or other problem which causes an irregular program termination. Concordance Desktop places the files in the system's temporary directory as defined by the Windows TEMP environment variable. The two most common functions that create temporary files are indexing and reindexing.

When indexing a database, two temporary files are saved in the local computer's temp directory. Both files begin with the prefix C- and end with the .tmp extension. These files represent the temporary .dct and .ivt files. They are not initially saved on the network server since network latency would severely decrease performance. When indexing is complete, the resulting .dct and .ivt files are copied to the Concordance Desktop server.

When reindexing a database, the same temporary files are saved in the local computer's temp directory. In addition, a temporary dictionary file with a .dcb file extension is saved in the local computer's database directory. This file contains information from the newly created records. Near the end of the reindexing process, this dictionary file is merged with the main dictionary file on the network server.

For more information about indexing and reindexing, see Indexing Databases.


Managing data files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Files can be received from a client, data processing vendor, or third party. When receiving data, you should always review all files on the disk, prior to loading the data, to ensure they have the proper formats for Concordance Desktop.

Load files or delimited text files are the files used to construct your Concordance Desktop database. These files typically have extensions ending in .dat, .csv, or .txt. Each file contains record metadata, but some may also include body text. We recommend having your OCR separated into individual text files so they can be imported separately.

As an administrator, you should always make a practice of opening and reviewing your delimited text files when you receive them, as the files are not always prepared perfectly and may need to be modified.

When reviewing your data load files, always check for the following:

·Field names – each line of metadata is one record, check each header column to verify data

·Delimiters – unique characters that appear in the delimited text file and do not exist in your actual data

·Date format – date fields are an 8-character maximum with slashes. If dates include slashes, you can import any format. If slashes are not used, then you must use the universal date format of YYYYMMDD or the mm-dd-yyyy date format with dashes.

·Carriage return – a final carriage return ensures that the last record will load into the database.

Concordance Desktop Delimiters
Comma | Field break indicator, default is □ (ASCII 20), customizable, avoid characters in data
Quote | Keeps text together, default is þ (ACSII 254) and is only required around fields that have text and spaces, customizable, avoid characters in data
New Line | Manual line break and text wraps within a field, default is ® (ASCII 174), customizable, avoid characters in data
New Record | Starts a new record, final carriage return loads the last record, cannot be changed, industry standard

Delimiters are customizable for an organization's internal database design, but many organizations ask vendors to use Concordance Desktop default delimiters. If your case records contain the registered trademark symbol, you may want to consider changing the ® to another symbol in the load file.


About fields
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Before you begin your database construction, it’s important to understand the types of data you will receive, and how that information can be categorized into the data format of Concordance Desktop fields.

Concordance Data Field Types

There are two basic field categories available in the Concordance Desktop system: defined length fixed fields and variable length paragraphs. The full-text paragraph fields are the most flexible and most commonly used type in a Concordance Desktop database.

Fixed fields are always a pre-defined length and contain numbers, dates, or short amounts of text. Documents in a Concordance Desktop database can be sorted by the contents of both fixed fields and free-text paragraph fields, but fixed length fields sort much faster. Data in fixed fields is typically searched using relational comparison search operators such as =, >, and <, however fixed fields can be fully indexed and searched using full-text techniques as well.

Fixed length fields have unique applications when compared to full-text paragraphs. While paragraph fields are flexible and variable in size, they do not sort quickly or search easily by comparison.

·Fixed-length fields sort the fastest.

·Fixed fields display faster in Table view than Paragraphs. This is useful in long document databases.

·Relational searches for dates and numbers work best when they are stored in Date and Numeric fields.

·Numeric and date math using the Report Writer or using Concordance’s programming language work best with Date and Numeric fields.

Use the following table as a reference when you review your data.

Concordance Desktop Data Field Types
Data Type | Capacity | Type | Notes
Date | 8 bytes | Fixed | Just for dates, keyed by default
Numeric | 1-20 digits | Variable | Currency, zero-filled, comma, keyed by default
Text | 1-60 characters | Variable | Alphanumeric, keyed by default
Paragraph | 12 million characters | Fixed | Alphanumeric, indexed by default, allows rich-text format

If you want a field to be full-text searchable, make it a 'Paragraph' type. Reviewers using the Browse view will then understand that fields with an = sign are for relational searches and fields with a : sign are full-text searchable.

Understanding field structure and applying properties Understanding field structure and applying properties

Concordance Desktop does not have a pre-defined field structure and there are no required fields. However, preliminary planning in how you construct fields and apply properties to each is essential.

Concordance’s field profile includes:

·No predefined structure, no required fields

·Maximum of 250 fields per database

·Field Name maximum of 12 characters, including:

oLetters

oNumbers at middle or end

oUnderscoring in the middle only

·Field names are stored in capital letters

·Field names save when the data type is selected

Media (image) key field names with Unicode characters are not supported.

Concordance Field Properties:
Concordance Desktop Field Properties
Image (Concordance Desktop Image Only) | Indicates which field contains the image key or alias, only selected once per database and is usually the BEGNO field.
Media (Concordance Desktop Viewer Only) | Indicates the field that contains the media key or alias, only selected once per database and is usually the BEGNO field.
Key | Speeds sorting and relational searching (adds values to database .key file), keying everything dilutes the value.
Accession | Copies UUID in system table into visible field, good for sorting by load order, great for tracking gaps
System | Field cannot be seen by users, Concordance Desktop creates these for replication/synchronization information
Indexed | Enables full-text searching (adds values to .ivt and .dct files)

Guidelines for Creating Fields:

Guidelines for Creating Fields
Bates Numbering | A unique serial number used to identify a record. When setting up the numbering system, think of the longest number you might need given your case record load. Designate a length that is large enough so data does not truncate. Choose text as the field’s properties in case you need an alphanumeric system implemented.
Media field (Image field) | Select the Media (Image) Key setting to indicate the media key or alias field. You can click the View image (camera) button to launch and link the imagebase files with the corresponding Concordance Desktop database records. Only make this selection once per database for a unique field, this is generally the BEGNO field.
Keyed fields | Select the Key setting to improve sorting and relational searching speed.
Indexing | Indexing puts data into the dictionary and index. You can index any data type. Paragraph fields are indexed by default. Full-text searching only works on indexed fields. Avoid indexing unique values, serial, Bates numbers, and dates to optimize the full-text searching speed. Use relational searching for non-indexed fields.
OCR2 field | This field is created as an overflow field for OCR1, just in case the 12 million character limit for OCR1 is exceeded. This field name must have the same alpha prefix as the primary field and the numeric suffix must be a consistent width and start at 1. Fields must be entered in order by suffix.
Punctuation | Your customizable Punctuation list designates what punctuation you can use for full-text searches, as long as the characters are embedded between alphanumeric characters and are within quotes. You only need to set punctuation once for each database.
Dictionaries/Indexes | Big dictionary and index files slow search processing. Do not bloat these files with unnecessary entries; build stopword lists to exclude them.
Field Validation | Some fields require additional attributes for tracking purposes, like EDITTRAIL and CREATIONDATE date fields. These attributes can be set in the Modify window, and must be added before importing load files in order to capture the information.
Table view | Field column width in Table view is determined in the Types setting in the Modify dialog box. The default column width is the field length identified in the Data Types table, and as set in field properties. And by default, paragraph fields aren’t included in Table view to keep display speed optimal. You can customize Table view to include paragraph fields at any time.
Additional fields and naming conventions Additional fields and naming conventions

Use the following table as a reference when planning your database field structure. You may find that adopting the use of these fields is beneficial to your administrative functions or provides alternative naming conventions for fields previously mentioned. Use this table to brainstorm other fields that make sense to your organization’s processes and use of Concordance Desktop.

Additional Administrative Fields and Alternative Naming Conventions
Field | Type | Settings
Serial Numbers | Text | Can be used to link to image files if BEGNO is not used. May have many serial #s during the life of a database, usually matched with the .tif file name as the first field in the database.
BEGBATES BEGDOC STARTPAGE | Text | Alternative field names for BEGNO.
ENDBATES ENDDOC ENDPAGE | Text | Alternative field names for ENDNO.
DOCNO | Text | Document number, an alternative to using serial numbers key to the page, more common in e-documents that are not .tif files.
BEGATTACH | Paragraph | Used to denote attachment range.
ENDATTACH | Paragraph | Used to denote attachment range.
INCLUDES | Text | Holds Bates or control numbers of all pages inside the document, facilitates searching for middle page .tif files.
PARAGRAPH | Paragraph | Alternative name for DOCTYPE field.
Document metadata fields | Paragraph | Also called bibliographic metadata fields. Typically includes author, recipient, custodian, dates (sent, received filed, etc.), subject, title, etc. Generally this information is visible on the face of the document.
System metadata fields | Paragraph | Typically includes information captured automatically by the computer like last access date, modification date, and print date. This information may not appear on the face of the document.
TEXT1 TEXT2 | Paragraph | Alternative naming convention for document-level text fields like OCR1, OCR2, OCR3. If these fields are named with the same alpha prefix (TEXT for example) and have numeric suffixes that start with 1, are the same numeric length, and are in order ascending by suffix, the import process overflows additional text into subsequent fields, as needed.
BODY, TEXT or MESSAGE | Paragraph | Naming conventions for e-documents that are not OCR scanned, fields names are usually with numeric suffixes.
ATTACHMENT or FILEPATH | Paragraph | Customarily used to hold a clickable hyperlink to the native document in electronic format. If this field contains a file path or web address, running the CreateHyperlinks.cpl converts it to a hyperlink.
DOCCOND | Paragraph | Holds notes about the document condition, like Marginalia.
PRIVCALL | Paragraph | Holds the reason a document or redacted sections are marked as privileged, like Attorney-Client, Priest-Penitent, Medical, etc.
MENTIONS | Paragraph | Keywords included in the document.
LOADDATE | Date | Alternative name for CREATEDATE field. Used to record the date the record was created, date data type.
AUDITTRAIL | Paragraph | Alternative name for EDITTRAIL field. Records the date, time zone, computer session ID, and user name any time a record is changed in Edit mode, and paragraph data type.
DISCSOURCE or SOURCE | Text | Used for entering the name of the disk the data is loaded from or physical media it is delivered on, includes disk number, case number, client number, name of person who loaded it, etc.
Administrative fields with different data types | Paragraph or Date | Consider creating ADMIN1PARA, ADMIN1TEXT, ADMIN1DATE, etc. to hold specific types of data.
Template for administrative fields | (not applicable) | Consider creating this template. Each time you make a new database, you can insert fields above them to accommodate data. To create a template: on the Documents menu, point to Export, and then click Structure. Locate and save the existing database structure in the Templates folder that is located in the same folder as the Concordance Desktop .EXE file.
REVIEWEDBY | Paragraph | Alternative name for REVIEWSTATUS. Name of the attorney who reviewed the file.
TAGSATPROD | Paragraph | Alternative name for PRODTAGS1. Tags as they existed for production.
Configure visibility of Empty fields Configure visibility of Empty fields

You can configure a database such that empty fields are not visible in the field listing. Empty fields are those that contain no values. Hiding unused fields can help to improve the readability of database records for end users. Showing empty fields is generally a preference for Concordance Desktop administrators, who typically want to have all database fields visible whether they contain data or not.

Database with empty fields hidden

Database with empty fields shown

By default empty fields are not visible. This means that when you create a new database but before you import data, no fields are visible since none of the fields contain any data. After you import data, any field that does not contain data is not visible.

Showing empty database fields To show empty database fields:

1.Open the Concordance Desktop database you want to view.

2.From the Tools menu, click Empties. A check mark next to the Empties command indicates that empty fields are visible.

If you have the option to view empties enabled, you may still see fields with no data on individual records. This situation occurs if data exists in that field for any other record in the case.

Hiding empty database fields To hide empty database fields:

1.Open the Concordance Desktop database you want to view.

2.From the Tools menu, click Empties to remove the check mark next to the command and hide the empty fields from view.


About punctuation
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

When indexing a database, Concordance Desktop uses several rules to determine what is a word and what is not. One of the rules is that a word ends when it encounters any character that is not a number or a letter. For instance, the space character would indicate that one word is ending and another is beginning. Some characters, like the decimal point and the comma in numbers or the slash in dates, do not indicate the end of a word. They are called embedded punctuation and are a part of the word.

The set of embedded punctuation recognized by Concordance Desktop during the indexing process is determined by what you enter in the Punctuation field. By default, Concordance Desktop recognizes the period (.), comma (,), forward slash (/), and the apostrophe ('). It does not include the hyphen. These characters are only considered part of a word if they are both preceded and followed by a letter or a number.

Changes to the punctuation list are kept with the database. Use any non-alphanumeric character except the space. For example, add @ if you want to search for e-mail addresses. Up to 10 punctuation characters can be entered. Changing the embedded punctuation in the Punctuation field does not update the dictionary. Index the database after modifying the Punctuation field to update the dictionary files.


Basic database fields
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

To help you plan and create your databases, we have created a list of the standard Concordance Desktop database fields, including administrative fields:

Basic database fields
Field Name | Field Description | Possible Values/Examples | Load File | Email & Attachments | E-Docs
CNDCN | A unique identifier assigned to each record. | 0000001 | √ | √ | √
ATTACHMENT | Populates a list of the parent document and its attachments. | Ex: ABC0002;ABC0003 |  | √ |
CONVERSINDEX | E-mail thread identification. | Ex: 01C72AC4CB0FC3953C5FA8E149389B522EFF595EF9FB |  | √ |
FROM | Author of the e-mail message. |  |  | √ |
TO | Main recipient(s) of the e-mail message. |  |  | √ |
CC | Recipient(s) of "Carbon Copies" of the e-mail message. |  |  | √ |
BCC | Recipient(s) of "Blind Carbon Copies" of the e-mail message. |  |  | √ |
TITLE | Title field value extracted from the metadata of the native file. |  | √ | √ | √
SUBJECT | Subject of the e-mail message. | Ex: FW: Concordance Desktop | √ | √ | √
FILENAME | Original filename of native file. Contains subject of e-mail message for e-mail records. | Ex(1): Estimates.xls Ex(2): FW: Monday Meeting | √ | √ | √
AUTHOR | Author field value pulled from metadata of the native file. |  | √ | √ | √
COMPANY | Name of the company that created the document. |  | √ | √ | √
CATEGORY | Category field value pulled from metadata of the native file. | Ex. Software | √ | √ | √
KEYWORDS | Keywords extracted from the metadata of the native file. |  | √ | √ | √
PRODUCER | The name of the PDF producer. |  | √ | √ | √
CREATOR | The software that created the document. |  | √ | √ | √
COMMENTS | Comments field value pulled from the metadata of the native file. |  | √ | √ | √
FILEPATH | Contains a clickable hyperlink to the native document in electronic format. |  | √ | √ | √
SOURCE | The original folder path or pst path that the file was saved in. |  | √ | √ | √
FILEEXT | File extension of native file. | Ex. DOC | √ | √ | √
FOLDER | The original folder the file was saved in. |  |  | √ |
DATE | The date the original file was created. |  |  | √ |
TIME | The time the email message was received. |  |  | √ |
GMT_DATE | Email received date in GMT. |  |  | √ |
GMT_TIME | Email received time in GMT. |  |  | √ |
MODDATE | Last day the file was modified. |  | √ | √ | √
CREATIONDATE | The day the document was created. |  | √ | √ | √
PRINTDATE | Last day the document was printed. |  | √ | √ | √
BEGATTACH | Displays BegDoc# of parent record. | EX: ABC0001 |  | √ |
ENDATTACH | EndDoc# of last attached document in family. | EX: ABC0003 |  | √ |
ATTACHRANGE | Stores BegDoc# of parent record and EndDoc# of last attachment record, separated by a hyphen. Populated for all records in the family (parent and attachment(s)). | Ex: ABC0001 - ABC0003 |  | √ |
BEGNO | Displays page ID of first page in a document. |  | √ | √ | √
ENDNO | Displays page ID of last page in a document. |  | √ | √ | √
TEXT01 | Contains document level text. |  | √ | √ | √
TEXT02 | Overflow field for document level text. |  | √ | √ | √
TEXT03 | Overflow field for document level text. |  | √ | √ | √
TEXT04 | Overflow field for document level text. |  | √ | √ | √
TEXT05 | Overflow field for document level text. |  | √ | √ | √
EDITDATE | Last day the document was edited in Concordance Desktop. |  | √ |  | √
CREATEDDATE | The date the document was added to Concordance Desktop. |  | √ |  | √
HEADER | Contents of the header in an e-mail message. |  |  | √ |
METADATA | A collection that represents all of the built-in document properties. |  | √ | √ | √
MESSAGEID | Outlook identification number. | 81F3CC6EBB6FD011917800805FC17836072FDBF2@PANTHERS.RBVDNR.COM |  | √ |
MESSAGEINDEX | The index of the message file in the database. |  |  | √ |
ENTRYID | Unique identifier of e-mails in mail stores. | Ex: 1322C3C03649D4418625711400748A13 |  | √ |
PARENT_DOCID | Parent ID of the document's family. |  |  | √ |
BEGPRODNO | Captures the beginning production number. |  | √ | √ | √
ENDPRODNO | Captures the ending production number. |  | √ | √ | √

Basic administrative fields

Basic Administrative Fields
Field | Type | Settings
ACCESSID | Numeric | 20, 0, Accession, Use to track delete documents Generates a record load order number.
CREATEDATE | Date | Set properties using the Validation command on the Edit menu, normally not keyed or indexed
EDITTRAIL | Paragraph | Set properties using the Validation command on the Edit menu, includes YYYYMMDD, time, time zone, [session # -- assession #] per user
PRODBEG1 | Text | Captures beginning Bates #s for first production. Using number suffixes avoids having to rename fields later for additional productions.
PRODEND1 | Text | Captures ending Bates #s for first production. Using number suffixes avoids having to rename fields later for additional productions.
PRODNOTES1, PRODNOTES2 | Paragraph | Enter pertinent information here about the person who ordered the production, add this on every single record in a production set.
PRODDATE1 | Date | Enter the production date here with global edit or AppendTextToField.cpl.
PRODTAGS1 | Paragraph | Used to capture tags as they existed at the time of production using the Tag To Field command, Tools > Manage Tags/Issues.
TAGS | Paragraph | Used to hold the names of checked tags generated by the Tag To Field command, Tools > Manage Tags/Issues.
TAGINFO | Paragraph | Used to hold activity generated by the Tag History&Store It.cpl.
CUSTODIAN | Paragraph | Original owner of the data.
REVIEWSTATUS | Paragraph | Name of person who reviewed the file.
ATTYNOTES | Paragraph | Used to hold attorney notes.
ADMIN1, ADMIN2, ADMIN3, ADMIN4 | Paragraph | Extra fields to hold data generated later for any reason, make several of them. When you make a new field, you must run a full index so these fields save valuable time. Make some paragraph and some for dates.


Reviewing load files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Load files or delimited text files typically have extensions ending in .dat, .csv, or .txt. Each file contains record metadata, but some may also include document-level text, sometimes referred to as OCR text.

Though Concordance Desktop can import OCR text that is contained in a load file (DAT file), it is best practice, and our recommendation that your OCR text be separated into individual text files and imported using an OPT file to reference the location of each OCR text file.

As an administrator, always make it a best practice to open and review delimited text files when you receive them, as the files are not always prepared perfectly and may need to be modified.

To review a load file To review a load file:

1.Open the load file in any text editor program.

Delimited text files can be opened with any text editor program, such as Notepad. We recommend using an advanced text editor program like TextPad® or UltraEdit®.

2.Review the load file for the following elements:

·The file must be a text-based format with an extension of .dat or .csv.

·If there is not a header row containing field names, open the associated .tif file for the first record and match the data in the record to the data in the .tif file.

·Note the delimiters used in the file. Concordance Desktop can handle any standard text delimiters.

·Note the date format used in the file. Concordance Desktop can load dates containing slashes in any order with either 2- or 4-digit years, with a maximum of 8 digits. The only date formats Concordance Desktop can load without slashes is the universal date format of YYYYMMDD and the mm-dd-yyyy date format with dashes.

·Check the final line number for your last record to note the number of records expected to be added to the database. Subtract header row if the Skip first line option is checked during import.

·Is there a carriage return at the end of the record? If not, add a carriage return at the end of the record. Concordance Desktop will not load the last record if the carriage return at the end of the record is missing.

Concordance Desktop database field names do not support special characters. Therefore, make sure that the header row does not contain any special characters (i.e. #, $, etc). Special characters will prevent the wizard from creating the fields properly.

Load files that include OCR text

If the OCR text is included in the load file (DAT file), Concordance Desktop provides a check box you can select, that will enable the import process to read the text from the load file and write it to the OCR designated field in the database records. It is recommended that before creating a database with a load file that includes OCR text, you ensure that there is a designated OCR field for each OCR text entry.

Note that an OCR field can contain up to 12 million characters. As the import process reaches the 12 million character limit, the text is overflowed into the next OCR field. If one does not exist in the database, the import process creates the field. At that point, a '1' is added to the original OCR field (OCR1), and the second OCR field is named the same as the original OCR field, but with a '2' added to the end of the field name (OCR2). The database then have two OCR fields; OCR1 and OCR2 (or TEXT1, TEXT2). All characters following the 12 millionth character are placed into the second OCR field (OCR2) of the records. If the character limit is reached a second time, the import process creates a third and final OCR field, naming it the same as the other two, and adding a number 3 to the field name (OCR3). All characters following the 24 millionth character are placed into the third OCR field (OCR3).

As you create a new database from a load file that contains the OCR text (document-level text), during the import process the OCR text (document-level text) is imported into each corresponding record and placed in the specific OCR field, usually named OCR, TEXT, or something similar. When the document-level text exceeds the capacity of that OCR field (capacity is 12 million characters), Concordance Desktop will automatically overflow the text into the next available field, regardless if that field is setup for the OCR text or not. In order to prevent the overflow text from filling a field not designed for that text, you need to ensure that there are multiple OCR fields to contain the document-level text (ex., OCR1, OCR2, OCR3, etc.), and that after the 12 million characters has been reached, the OCR field for the next character starts with the next incremented OCR field name. . With OCR text that is external to the load file, this isn't a problem, as you can create additional OCR fields using the Customize feature in the import process. However, when the OCR text is included in the load file, the field name is included with each line of textwhen the document-level text reaches the 12 million character limit, you need to ensure that the next character begins

When your OCR (document-level text) is included in the delimited text file, the process is the same, except that on the field in the delimited text file that contains the document level text. This field is usually named OCR, but may be named TEXT or something similar. During the import process, the field needs to be identified so that the document-level text can be copied into each record. When checking the delimited text file, you need to keep in mind that should the total of all the document-level text , Concordance Desktop automatically overflows the text into the next available field. For this reason, there needs to be a defined 2, 3, etc. extension of the OCR field for this character overflow (example: OCR2, OCR3, OCR4), and the document-level text in the delimited file needs to be broken up after every set of 12 million characters and the OCR field incremented so the next character set begins in the next OCR field. What this means is you will need to change the field name every 12 million characters, by incrementing the additional number by 1. For example, at the first 12,000,001 (12 million + 1) character you will need to split the text between two lines and ensure that the 12,000,001 characters gets placed into a

When your OCR is placed into individual document-level text files, the text is imported into each corresponding record based on fields you create in the database to contain that text. The fields can be created during the import process by using the Customize feature. you have to create fields (usually OCR1, OCR2, OCR3, etc.) during the import process to contain the document-level text (OCR) from the individual text files. This is done by using the Customize feature in the Load File window.


About Creating Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

When you create a database, Concordance Desktop imports the initial load files to populate the database with records. These initial files can be either PST files, electronic documents, or delimited text files prepared by a vendor (or other party), and can be imported directly into the new Concordance Desktop database. Concordance Desktop provides an Import Wizard to help you create the database.

After a database is created, additional files can be added directly to the database by dragging and dropping the files onto that database in Concordance Desktop. Though there are a few exceptions in which dragging and dropping is not supported. The exceptions, along with more information about dragging and dropping can be found in the About adding extra files to a database topic.

When creating a new database, if you cancel at any time during the import process, it corrupts the new database. If you wish to create the new database again, you have to delete the corrupted database, and then start the create process from the beginning.


About delimiter characters
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Delimiters are unique characters that appear in the delimited text file and do not exist in your actual data. The delimiters are used to determine where fields break, to encase fields that have text with spaces, to indicate the start of a new line, and to indicate the start of a new record.

Delimiters are customizable for an organization's internal database design, but many organizations ask vendors to use Concordance Desktop default delimiters. If your case records contain the registered trademark symbol, you may want to consider changing the ® to another symbol in the load file.

The following four columns represent the available delimiter characters. For each delimiter, the displayed symbol is on the left and the decimal equivalent is in parenthesis on the right. If the source program you are importing from uses a different font, it can change the symbolic representation of the delimiters. If this happens, match the delimiter characters with the decimal equivalents instead of relying on the displayed symbol. Using the decimal equivalents will always result in a correct delimiter match.


About OCR
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Optical Character Recognition (OCR) is the process of scanning native files and processing them into readable text files. During the Concordance Desktop database creation and import process, these readable text files (often called OCR or OCR'ed text), are written to a designated field in the database records. The incorporation of this readable text in the database records provides the ability to index and search document-level data in Concordance Desktop. Documents that are not processed through OCR scanning will often contain characters that are not supported by Concordance Desktop, and therefore may provide unreadable results when viewed in Concordance Desktop.

For those instances where the native document files have not been OCR'ed (scanned into readable text), you can select to have Concordance Desktop OCR them during the import process. This option may be optimal for smaller databases, but probably not for very large ones, as it increases the import processing time. Files that have not been OCR'ed can still be imported/added to a database, but the native data is imported "as is," meaning that some of the data may be unreadable, and therefore not indexed or searchable in Concordance Desktop, and not viewable in the viewer. If this is the case, there is an option in Concordance Desktop that allows you to 'optimize' the native file(s) so that the text is readable, can be indexed, and is searchable in Concordance Desktop, and the document(s) viewable in the viewer.

For those instances where the native document files have been OCR'ed, Concordance Desktop provides a few options for adding the OCR'ed text to the records in the database:

·OCR'ed text files with an OPT - If you have OCR'ed text files in one or more folders and an OPT file referencing each of those files, you can select to have Concordance Desktop read the OPT file to find the text files and write the text to the corresponding records as referenced in the OPT file. Concordance Desktop will not attempt to OCR the files, it will simply read the text and write it to the associated records. This option helps to minimize import processing time, as the OCR process is not run.

·OCR'ed text files without an OPT - If you have OCR'ed text files but no OPT file referencing the location of the text files, you can select to have Concordance Desktop find the files based on a folder where the files are located. This option is usually selected in conjunction with the option to have the import process create an OPT file in the Load File window. Concordance Desktop will not attempt to OCR the files, it will simply find the files and write the OCR'ed text to the corresponding records in the database. This option helps to minimize import processing time, as the OCR process is not run.

·OCR'ed text included in the load file - If the OCR'ed text is included in the load file (DAT file), Concordance Desktop provides a check box you can select which will enable the import process to read the text from the load file and write it to the OCR designated field in the database records. Concordance Desktop will not attempt to OCR the files, it will simply read the text and write it to the associated records. This option helps to minimize import processing time, as the OCR process is not run.

·OCR Path is included in the load file - If the DAT file references an OCR path, the new import option allows you to import document level text. The OCR path needs to be edited to reflect the directory where the text is located or edited to reflect a relative path. When using the relative path in the DAT file, the edited copy of the DAT file must be in the same directory as your text folders.

Example of a full text path:

C:\Cowco_Data\OCR\Vol001\ABC0001.TXT

Example of a relative text path:

.\Vol001\ABC0001.txt

About the OCR field

Before creating a database with a load file, we recommend that you ensure there is at least one designated OCR field in the database. Note that an OCR field can contain up to 12 million characters. As the import process reaches the 12 million character limit, the text is overflowed into the next OCR field. If another OCR field is not included in the database, the import process creates the field and labels it with the same name, and adds a number (example: OCR2). For each additional OCR field needed, the number is incremented by one (OCR2, OCR3). Only two additional fields can be automatically created by the import process (OCR2 and OCR3). If more fields are required, you will need to add them using the Customize feature in the Load File window.

Preparation for database creation

Before creating a load file database:

·Make sure that an OCR field (i.e., OCR, TEXT, TXT, etc.) exists in the load file - if not, use the Customize feature in the Load File window to add it.

OCR fields can be named anything, as long as you reference the correct name when selecting the OCR field in the Load File window, so the OCR'ed text appears in the correct field in the database records.

·Make sure that all OCR fields are setup as 'Paragraph' type fields, to ensure that the data can be indexed and searched

·Make sure the file path pointing the text files are accurate to ensure

Before adding documents to an existing load file database:

·Make sure that the OCR fields in the corresponding Concordance Desktop database are setup properly (i.e., OCR1, OCR2, OCR3, etc.)

·Make sure that there are enough OCR fields to support all the text - each OCR field can hold a maximum of 12 million characters

·Make sure that the OCR fields are setup as 'Paragraph' type fields to ensure that the data is indexed and searchable

·Make sure that you have read/write access to the OCR fields if you are adding documents to an existing load file database

Tips and Tricks for Importing OCR Files

If your OCR files aren’t importing properly, check the following:

·Verify file names and extensions

·Consider using a renaming utility software or use a DOS batch file (.BAT extension) if the file names do not match the key

·Check your .LOG file to verify whether each OCR file successfully loaded

Your OCR text files can reside in the same directory as the image files. They do not need to be separated. You will need to import your OCR for each volume where it resides.


About load files for the Concordance viewer

Navigation: Administration > Database Administration > About Creating Databases:

About native imagebase load files
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

For the discovery process, it is common practice to pre-process documents, by converting them to image files for review. However, it is often more desirable to review certain documents in PDF format so they appear just as they do in their native format. Concordance Desktop provides an "Optimize" feature that allows you to create PDFs of one document, a query of documents, or all documents in a database. While the viewer provides access to both the PDF file copies and the images, thus speeding up the review process.

When PDF copies of the files are available, the viewer opens the PDF copy of the native document including images, layout and more. The PDF can be reviewed, redacted, and marked-up for production. These PDFs are referred to as "optimized" PDFs, because they allow for any type of document to be viewed in the viewer.

When importing native documents into Concordance Desktop for viewing in the viewer, the database must contain a valid media (image) key and file path field. The media (image) key field is used to link the Concordance Desktop database with the viewer. In the database records, the FILEPATH field stores the path to the native document.

Concordance Desktop imagebase load file formatting Concordance Desktop imagebase load file formatting

A load file (.opt, .log, .txt) format is a delimited ASCII file containing all information necessary to insert links into the imagebase. The load file consists of seven delimited entries. Reference the following table and examples when formatting images.

Image Load Files
Format | Description
ALIAS | Should match your media (image) key from the Concordance Desktop database. Concordance Desktop stores this key in order to reference the image. Media keys are case-sensitive.
VOLUME | Name of the volume where the documents and image reside, typically the volume name of a CD or DVD server.
PATH | Full path and file name (and extension) of the image.
DOC_BREAK | Enter a Y to denote whether this image marks the beginning of a document.
PAGES | Number of pages associated with the document or image
Character | Description
Y | First page of a document
Comma (,) | Indicates a page break or pages

Example: viewer format for single-page files

00010002,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010002.tif,Y,,,1

00010003,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010003.jpg,Y,,,1

00010004,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010004.gif,Y,,,1

00010005,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010005.tif,Y,,,

00010006,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010006.tif,Y,,,

Example: viewer Format for Multiple-Page files

00010036,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010036.pdf,Y,,,1

00010065,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010065.tif,Y,,,2

00010067,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010067.doc,Y,,,3

00010070,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010070.pdf,Y,,,1

00010071,NROTEK001,C:\MY_DATABASES\NROTEK001\001\00010071.pdf,Y,,,1

A load file does not necessarily need the volume name, but still needs the parameter for the volume name (the commas). The format is Imagekey/Alias,Volume Name,Pathname,Doc Break,Folder Break, Box Break, Page Count

Example format with the VOL name:

0000001,NROTEK001,D:\VOLO001\001\0000001.tif,Y,,,1

Example format without the VOL name:

0000001,,D:\VOLO001\001\0000001.tif,Y,,,1

A document or image media key and file path cannot contain a comma (,) when loading documents and images for the viewer. The comma is used as a delimiter in the exported OPT file.

Unique identifier (Media Key) Unique identifier (Media Key)

Your load file format’s alias (media key) should match your image key from the Concordance Desktop database. Concordance Desktop stores this key in order to reference the image.

The alias in your load file matches the database field that has the Image check box selected on the Modify dialog box for the database in Concordance Desktop. For more information about the Image check box, see About fields. Note that this check box should only be checked when you have an imagebase. If you want to import a database that does not have an imagebase, then you need to ensure that the Image Key check box is not checked, prior to starting the import.

The viewer will not load documents and images if the media (image) key contains over 1000 characters.

A document or image media key and file path cannot contain a comma (,) when loading documents and images for the viewer. The comma is used as a delimiter in the exported OPT file.


About e-documents

Navigation: Administration > Database Administration > About Creating Databases:

About E-document files
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There are several file and electronic document formats that are supported for creating and adding to an e-documents database, but there are some that may not be supported. For formats that are not supported, the files are still added to the database as an excluded file, but the contents is not imported. When working with e-document files, you’ll need to adhere to any forensic data processes as outlined by your organization or recommended for e-discovery processing.

Concordance Desktop supports the following E-Document file types for creating and adding documents to an E-Documents database:

File Type | Description
*.tif, *.tiff | Tagged Image File
*.jpg, *.jpeg | Joint Photographic Experts Group
*.gif | Graphic Image File
*.bmp | Bitmap
*.asc | ASCII text
*.pcx | PC Paintbrush bitmap
*.csv | Comma-Separated Values
*.cal, *.cals | Facsimile
*.pdf | Adobe Portable Document Format
*.doc, *.dot, *.docx | Microsoft Word
*.ppt, *.pps, *.pptx, *.pptm | Microsoft PowerPoint®
*.xls, *.xlsx, *.xlw, *.xlt | Microsoft Excel®
*.msg | Microsoft Outlook 2010 or later Message File
*.eml | Microsoft Outlook Express Message File
*.txt | ASCII Text
*.rtf | Rich Text Format
*.html, *.htm | Web/HTML
*.pab | Microsoft Outlook Personal Address Book
*.wps | Microsoft Works

Some earlier versions of Microsoft Excel files are no longer supported through Microsoft and cannot be opened from Concordance Desktop. For more information, please see the Microsoft website.

Concordance Desktop integrates with CloudNine™ LAW as well as a few other products, so you can import and export data to and from other industry software applications. CloudNine™ LAW can be used to extract text content and metadata from electronic files in native file format, and scans and exports data directly into databases.

For more information about other product integrations, see Welcome.


Creating a new database from load files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When creating a database, Concordance Desktop uses a wizard type interface that walks you through each step of the database creation process. The Database Creation Wizard for load files uses the header row of a delimited text file, an existing Concordance Desktop database structure, or a setting file that was saved from an existing database, to create the fields and import the data.

Keep the following in mind when creating a database from load files:

·Field names longer than 12 characters will be automatically truncated.

·Single-page OCR text files are grouped together into a single database record and separated in the specified OCR field using page tags (i.e. ***00010002***).

·Only one OPT file can be loaded. If you have more than one OPT file, you can "drag and drop" each additional OPT onto the database, after the database has been created. See the Adding extra OPT files to a database topic.

·Make sure that OCR fields (i.e., OCR1, OCR2, OCR3, etc.) exist in the load file - if not, use the Customize feature in the Load File window to add them.

These fields can be named anything (example; TEXT1, TEXT2, etc.). As long as you reference the correct name when selecting the OCR field in the Load File window, the OCR'ed text will appear in the correct field in the database records.

·Make sure that there are enough OCR fields to support all the text in the OCR'ed text files - each OCR field can hold a maximum of 12 million characters

·If you add OCR fields using the Customize feature, make sure that you set them up as 'Paragraph' type fields so that the data can be indexed and searched.

Only files with a .DAT or .CSV file extensions can be loaded. If you have a .TXT, or .ASC file, you must rename the file extension to either .DAT or .CSV prior to loading the file.

The format and delimiters used in the load file help determine the options you select to create the new database. For example, if the load files were created using Concordance Desktop, than the format and delimiters should be the same Concordance Desktop standards, meaning, that the default settings in the Load File window can be used. However, if the load files were created using a different application such as Microsoft Excel, or they are simple comma delimited, or text files, the formatting, delimiters and date format are probably not set to the Concordance Desktop standards. For these files, you will need to customize the settings in the Load File window.

Additional factors to consider when creating a new database are:

·Do you want the Concordance Desktop import process to OCR the native document files? (See the About OCR topic for more information)

·Do you want the Concordance Desktop import process to create near-native PDFs of each native file for better viewing in the viewer?

By default, the above two processes are not run, thus minimizing the time required to create the database. However, you can select to run these processes during the import. Please note that if not run during the import, you can run the processes later on one, several, or all of the files in the database, using the Optimize feature. For more information about the Optimize feature, please see the Optimizing documents to PDF topic.

Based on the above information, you can choose to use default settings, or customized settings, when creating a new database from load files. Below is a summary of what needs to be considered for each:

·Use the Create a new database using load files and Concordance Desktop default settings instructions to create the new database if:

§The format, delimiters, and date format in the load file all match the Concordance Desktop standards, and your load file (DAT or CSV) already has a one or more fields (usually named OCR, TEXT, or something similar) designated for OCR data (document-level text)

OR

§Your load file contains OCR data (document-level text), the format, delimiters, and date format in the load file all match the Concordance Desktop standards, and the fields defined for the do not want to the import process to create PDF files from the native files.

·Use the Create a new database from load files using customized settings instructions to create the new database if any of the following are true:

§The load file does not contain the same standard format, delimiters, and/or date format as those in Concordance Desktop

§You have an OPT file that references the OCR text files, and your load file does not contain fields for holding OCR data

§Your DAT file does not contain fields for holding the OCR data (OCR fields are required for the input of the text files into the database records)

§You need to add fields that don't currently exist in the load file, for example fields to attorney comments, or administrator comments

§Your load file is a DAT that contains OCR data, but the format, delimiters, and date format in the load file do not match the Concordance Desktop standards

§You want to include beginning and ending attachment fields

§If you need to make any setting changes to accommodate what is included in the load file

§You would like to add a previously defined Tag List to the new database

To create a new database using load files with default settings Create a new database using load files and Concordance Desktop default settings:

1.Review the load files you are importing into the database, see Reviewing load files.

2.In Concordance Desktop, on the File menu, click New.

3.Select the viewer for the new database. The "new" Concordance Viewer is recommended.

4.In the New Database Wizard dialog box, click the Load Files button.

Load File opens in a new window to configure your load file import settings.

Enter exact path and file name for new database If you know the exact path where you want to save the new database:

·In the Database Name field, type the path where you want to save the database, along with a name for the database.

If there isn't a folder previously created for the new database, it is recommended to create a new folder. Name the new folder according to your database. Double click the newly created folder to open it.

Select the path and enter a file name for new database If you do not know the exact path where you want to save the new database:

a.Click the Browse button next to the Enter Database Name field.

b.Select the location where you want to save the new database.

It is recommended that each database be created in its own unique folder. Name the new folder according to your database. Double click the newly created folder to open it.

c.In the File name field at the bottom of the window, type a name for the database you are creating.

d.Click Save.

You are returned to the Load File window where the Enter Database Name field is populated with the information you entered in the Create Database window.

4.Click the Browse button next to the Select DAT file field.

5.Locate and select the DAT file, and then click Open.

6. Click the Preview button To preview the records prior to loading the file:

a.Click the Preview button to open the Preview window.

The Preview window displays all fields in which there is data, along with a few of the records in the load file.

b.To turn on the visibility of empty fields, check the Include Empties check box.

When checked, empty fields are displayed in the preview, along with the populated fields.

c.When finished viewing the records, click OK to close the Preview window.

7.If you need to alter the format and delimiter settings, stop here and go to the Create a new database from load files using custom settings section for detailed instructions.

List of the available settings you can change in the Customize window. List of settings you can change when selecting to customize:

·Load Field Names From: Location from which to load Field Names. You can select to load Field Names from the DAT file you are loading, from a Template/Structure file, from a previously defined Settings File, or define a new set by manually creating all field names.

·Select the delimited format to import or select custom values: You can change the delimiter settings to match the settings in the load file, should they differ from the standard Concordance Desktop delimiters.

·Select the date format for importing date fields: You can change the date format, if the format in the load file differs from the standard yyyymmdd used in Concordance Desktop.

·Load Tag List: You can load a set of Tags from a saved Tag List file so that those tags are available in the new database.

·Field Names: You can add or modify field names.

·Change the order in which fields display in the database.

·Show System fields: You can select to include the display of system fields in the database.

·Skip first line: You can select to skip the first line in the DAT load file.

·Import rich text: You can select to import rich text formatting when importing a text file.

·Set Attachment Fields: You can select the field to store the attachment range data, or select the beginning attachment number and ending attachment number fields.

8.Select the path and File name of the load file to use for creating the database.

9.Click Open.

You are returned to the Load File window where the Select DAT File field is populated with the information you entered in the Open window.

10.Do one of the following:

Select the OPT file to load If you have an OPT file to load, select it.

a.Click the Browse button next to the Select OPT File field.

b.Locate and select the .opt file you want to load.

c.Click Open.

You are returned to the Load File window where the Select OPT File field is populated with the selection you just made

Create an OPT load file If you do not have an OPT file to load, you need to create one.

a.Click the Create button next to the Select OPT File field.

b.Click the ellipse button and select the location where you want to store the OPT file.

We suggest that you enter a folder and sub-folder that is located in the same directory as the database .DCB file, and name the .OPT file the same as the .DCB file, but with a .OPT extension. Alternatively, you can open Windows Explorer, locate and open the folder where the native files are, and then drag and drop the native files into the large box below the OPT file.

c.Open a Windows Explorer window.

d.Locate and open the folder where the native (.tif, .ppt, .doc, etc.) files are located.

e.Drag and drop the native files into the large box below the OPT file.

f.Click OK.

You are returned to the Load File where the Select OPT file is populated with the OPT file location you just entered.

11.Select Pre-append path. In the Pre-append dialog box the UNC path upto the image path in the .opt or browse out to the folder containing the image folder.

What is a pre-appended path?

For example, the path in the .opt is: Images\0001\T000001.tif

The folder structure where the data was copied is: \\uncpath\Matter001\Vol001\Images\0001\T000001.tif

Select Pre-append path and add \\uncpath\Matter001\Vol001\ in the Pre-append dialog box or browse to \\uncpath\Matter001\ and select Vol001.

The UNC path is added before the image path in the .opt during import.

Pre-append path assists the administrator in appending the path without having to change the structure of the .opt.

12.Click the Key down-arrow and select the name of the field used to identify the beginning of new records.

An example would be BEGNO.

13.If OCR text is included in the load file, check the OCR contained in load file check box, otherwise leave the check box blank.

14.Click the OCR arrow and select the name of the field to contain the OCR text in the record.

Some examples are TEXT1 or OCR1

The wizard can import both single or multi-page text files.

(Optional) Click the Customize Image/OCR button if you want to change the default OCR method. This option is not available when you check the 'OCR contained in load file' check box, as the OCR'ed text already exists.

The Customize Image/OCR dialog box opens.

Options are:

·Use CN Desktop OCR - Use this option if you want Concordance Desktop to OCR all the files regardless of any existing OCR'ed text files. By default, Concordance Desktop does not OCR the text files.

·Use OPT Files to load Text Files - Use this option if you want Concordance Desktop to load the document-level text from files existing in designated folders that are referenced in the OPT file. Concordance Desktop does not OCR the document-level text, it simply takes the text from the text files and loads it into the associated records. This option can help save processing time.

·Use OCR Text Files - Use this option if you have text files that have already been OCR'ed and you want Concordance Desktop to use those OCR'ed text files. As with the Use OPT Files to load Text Files option, Concordance Desktop will not do any OCRing of the text, it will simply load the text from the text files into the associated records. This option can help save processing time. When this option is selected, you also need to click the Browse button to locate and select the text files.

·Use Field Containing File Path to load Text Files - Use this option if you want Concordance Desktop to load the document level text from an OCR path referenced in the DAT file. This new import option allows you to import document level text if your DAT file references an OCR path. The OCR path needs to be edited to reflect the directory where the text is located or edited to reflect a relative path. Save the edited copy of the DAT file to the same directory as your text folders.

If the file path pointing to your text files is not accurate the text will not be imported.

15.If you want Concordance Desktop to create optimized PDFs of the native files during the import process, check the Process to PDF.

By default, Do not process to PDF is checked, which helps to reduce processing time. When Process to PDF is checked, rendering of supported native file types is done on the fly as they are viewed in the viewer. Unsupported files types however, cannot be viewed in the viewer until they are optimized. For more information about optimizing, please see the Optimizing documents to PDF topic.

16.Click Import to start the import of the load files you have selected.

17. A status bar is displayed showing the import record currently in process during the load file import process.

18.If one or more files did not import properly, a dialog box displays telling you to see the log file. Click OK.

19.In the DAT Database dialog box:

·If all files imported properly (i.e., you did not see a dialog box stating one or more files imported properly) , click the Open button to open the database in Concordance Desktop.

·If any files did not import properly, click the View Log button to check the log for any files that did not import properly.

Create new DB from load files using custom settings Create a new database from load files using customized settings

You can customize to the settings for the database so that they match the settings in the load file you are importing.

1.Review the load files you are importing into the database, see Reviewing load files.

2.In Concordance Desktop, on the File menu, click New.

3.In the New Database Wizard dialog box, click the Load Files button.

Enter exact path and file name for new database If you know the exact path where you want to save the new database:

·In the Database Name field, type the path where you want to save the database, along with a name for the database.

If there isn't a folder previously created for the new database, it is recommended to create a new folder. Name the new folder according to your database. Double click the newly created folder to open it.

Select the path and enter a file name for new database If you do not know the exact path where you want to save the new database:

a.Click the Browse button next to the Enter Database Name field.

b.Select the location where you want to save the new database.

If there isn't a folder previously created for the new database, it is recommended to create a new folder. Name the new folder according to your database. Double click the newly created folder to open it.

c.In the File name field at the bottom of the window, type a name for the database you are creating.

The Concordance Desktop server does not support Unicode characters (such as Chinese or Japanese characters) in database names. Currently, only single-byte characters (such as English characters) are supported.

d.Click Save.

You are returned to the Load File window where the Enter Database Name field is populated with the information you entered in the Create Database window.

4.Click the Browse button next to the Select DAT file field.

5.Locate and select the DAT file, and then click Open.

6. Click the Preview button To view a display of a few records prior to loading the file:

a.Click the Preview button to open the Preview window.

The Preview window displays all fields in which there is data, along with a few records in the load file so you can ensure that the expected meta data for each field is correct.

a.To turn on the visibility of empty fields, check the Include Empties check box.

When checked, fields containing no meta data are displayed in the preview, along with those fields containing meta data.

b.When finished viewing the records, click OK to close the Preview window.

7.Click the Customize button to open the Choose Delimiter window.

8. Select a date format that matches the date format in the load file Use the Load Field Names From pane to define the database structure.

In the Load Field Names From section, do one of the following:

·Select DAT File to load the database field names from the DAT file header row you are importing. The field type settings are automatically set to Paragraph.

·Select Template/Structure to import the field names and types from a template or existing database structure. In the Load Database Structure dialog box, click the Browse button to locate and select the template/database you want to load.

·Select Settings File to import the field names and field type settings from a specified Field Properties File (.TXT), click the Browse button to locate and select the Field Properties file.

The Field Properties file is a text file that can be exported using the Save to File option in the Modify dialog box (File > Modify). The properties file lists the field names and type settings for the database structure.

Concordance Desktop requires that each field name be unique; therefore, if the imported settings file and/or DAT file contain duplicate fields, the duplicate field names are appended with a suffix of 01 up to the maximum number of characters allowed for field length.

·Select None (Enter Field Names Manually) to manually enter all field names to include in the database.

9. Select a date format that matches the date format in the load file Define delimiter formats.

The delimiter format defaults to the Concordance Desktop delimiters. If you are exporting and importing documents within the Concordance Desktop system, then you won't need to change these default values. However, if the load file uses a different format (i.e., comma delimited, tab delimited or a custom delimited format) you need to change the delimited format to match that which is in the file you are loading.

Default delimiters Concordance default delimiters
Concordance Desktop Default Delimiters
Delimiter Character | Function | Numeric Value
Format | A selection of predefined delimiter formats. |
Comma | The field delimiter separates one field from the other. | 20
Quote | The text qualifier encloses text to differentiate it from field delimiters which may appear in the data. | 254
Newline | Substitute carriage return. Some programs use this character to designate multi-level fields or fields-within-fields. Concordance Desktop replaces all carriage returns or carriage return linefeed combinations with the newline code within the data of a field. The record itself is still terminated with a real carriage return and a line feed. | 174
Select a predefined format To select a predefined format:

a.Click the Format down-arrow.

b.In the menu that appears, select the format that matches the format of the load file.

c.Make any other format changes necessary.
Select the 'Custom' predefined format To select a custom format:

a.Click the Format down-arrow.

b.In the menu that appears, select Custom.

c.To modify the Comma, Quote, or Newline delimiter settings, click on the associated down-arrow and select the format that matches the format in the load file.

10. Select a date format that matches the date format in the load file Define the date format used in the load file.

a.In the Select the date format for importing date fields field, click the down-arrow.

b.Select the date format that matches the date format in the load file.

11. Browse and select a tag list to include Optional: Import a Tag List.

a.In the Load Tag List pane, click the Browse button.

b.In the Open window, locate and select the directory containing the tag list you want to include.

c.Click the Open button.

Tags and tag folders do not support Unicode characters. Only ASCII (values 032-126) characters are allowed. If a tag name or tag folder name contains an invalid character, you are prompted to make corrections. For more information about creating a Tag list, see Importing and Exporting Tags.

12.Click the Next button.

13. Define the database field names and type properties Define the database field names and type properties

If you selected to import the field names from a DAT file, the field names are created from the header row of the DAT file and the type property for each field is set to Paragraph by default.

If you selected to import the field names from a DAT file, the field names are created from the header row of the DAT file and the type property for each field is set to Paragraph by default.

Make sure that the database fields you are creating match the fields in the header row of the corresponding delimited text file you are using to import the field data.

a.In the Modify dialog box, review the Field Name list and modify the Type settings for each database field as needed.

Field names must begin with an alphabetic character. Only alphanumeric characters and the underscore character are allowed in the field name. The maximum number of characters for a field name is twelve.

The order the fields are listed, is the order the fields appear in Concordance Desktop.

If you are creating database fields using an existing database template or structure, or a settings file, make sure that the database fields you are defining match the fields in the header row of the corresponding delimited text file you will be using to import the field data.

If you accidentally click the OK button or press ENTER while entering fields in the Modify window, the window clsoes. To reopen it, click the Back button and then click the Next button.

To create a text field:

1.In the Type field, click Text.

2.In the Length field, type the number of characters allowed in the field value.

Text fields can have from 1 to 60 characters. Fixed length text fields should be used for numeric values that are not used mathematically, such as telephone numbers, social security numbers, and other serial numbers.

Sorting is alphanumeric. The numbers 1 and 1000 sort before 9 and 999. Use zeros for any numeric values or serial numbers stored in text fields so that they sort correctly, 0009 before 1000.

The field length value, affects the column width and how the field name appears in the Table View. The larger the number the wider the column. Values smaller than 20 cause the field name to appear truncated.
To create a numeric field:

1.In the Type field, click Numeric.

2.In the Length field, type the number of characters allowed in the field value.

Numeric fields can have up to 20 characters, including the decimal place. The number you type in the Length field defines the total length of the number including the decimal place and all digits following the decimal place.

The field length value, affects the column width and how the field name appears in the Table View. The larger the number the wider the column. Values smaller than 20 cause the field name to appear truncated.

3.In the Places field, type the number of decimal places for the numeric field.

For example, the number 1234.56 would have a field length of seven and a places value of two.

Negative numbers use an extra place for the negative sign.

4.In the Format field, choose one of the following numeric field formats:

·Plain

·Comma

·Currency

·Zero Filled

The Format field determines how numeric fields are displayed and printed in Concordance Desktop.
To create a date field:

In the Type list, select the date format:

·Date MMDDYYYY (month-day-year)

·Date YYYYMMDD (year-month-day)

·Date DDMMYYYY (day-month-year)

The date field format you choose is the date format that is displayed in Concordance Desktop.

You need to use the date format selected in the Type field when searching for dates and entering dates during data entry.

Concordance Desktop sorts date fields correctly, regardless of the date format you choose in the Type field.
To create a paragraph field:

In the Type field, click Paragraph.

Paragraphs fields can have up to 12 million characters. Even though paragraph fields are variable in length, Concordance Desktop only sorts paragraph fields by the first 60 characters in the first line of text.

b.For each field, select the check boxes for the properties that apply.

Image (Media) check box

An image/media field is used to link Concordance Desktop with the viewer. The Image check box needs to be selected for only one of the database's fields. It is best practice to select the Image check box for the BEGNO field or it's equivalent. This box should only be checked if you select to produce near native PDFs

When you view a document associated with a record in Concordance Desktop, the corresponding media/image is displayed in the viewer.

Key check box

Selecting the Key check box makes the field a key field. Any field can be a key field, but most often fixed-length fields and date, numeric, and text fields that you need to search are designated as key fields. Key fields perform a function similar to indexing, but they do not require reindexing. When fields are designated as key fields, Concordance Desktop creates a database .key file, which is used in searching key fields.

Full-text paragraph fields are usually made into key fields for only one reason, which is to quickly locate empty paragraph fields.

For example, the search author = "", where AUTHOR is full-text paragraph field, would normally perform slowly, but it will work quickly when the AUTHOR field is a key field. To locate records where this field is not empty use the search author > "". Note that there are no spaces between the quotes.

So, why not make all fields key fields? The key field file takes up room. The more key fields your database has, the more room it will take up. Typically, full-text paragraph fields are not searched using comparison operators. Making full-text paragraph fields key fields is of marginal benefit and adds administrative overhead to the database management system. Also, if you have fixed-length fields that you do not need to search, it is best practice not to designate those fields as key fields.
Accession check box

Accession numbers are unique serial numbers internally assigned to each record in Concordance Desktop version 6.x or later databases. Accession numbers are stored with each record and are managed entirely by the database software. They stay with the document as long as the document stays in the database, even if other records are deleted around it. Accession numbers cannot be edited or modified in any way, but they can be viewed.

The Accession check box only needs to be selected for one of the database's fields. To create accession numbers, create an accession field by adding a numeric field to your database and selecting the Accession check box. It is best practice to select the Accession check box for the ACCESSID field or it's equivalent. The internal accession number for each record will be displayed in the accession field you create.
System check box

System fields are created by Concordance Desktop. Concordance Desktop automatically selects the System check box for system fields, which are hidden fields with no read or write end-user privileges. System fields are used for internal system administration features such as replication. Under normal circumstances, system fields should never be indexed, added, deleted or modified by users.
Indexed check box

A field must be indexed to use Concordance’s full-text search capabilities. Indexing places every word in the field into a dictionary for fast retrieval. Concordance Desktop automatically selects the Indexed check box when you create a paragraph field. You need to manually select the Indexed check box if you want to index other field types.

You can change the Indexed check box setting at any time, however changing the setting will not update the dictionary. Index the database after modifying the Indexed check box setting to update the dictionary files.

c.To add additional fields to the database, click the New button and define the field name and type settings.

d.To remove fields from the database, select the field you want to delete, and then click the Delete button.

e.Review the punctuation in the Punctuation field and add any other punctuation that is integral to your searches, such as :;-@$.

f.The Punctuation field defaults to the following punctuation: '.,/. The punctuation list is used in full-text searching, see About Punctuation.

g.To save these field settings so you can use them as a template, click the Save to File button, locate where you want to save the template file, give it a file name and then click Save. The file must be saved in Text (.txt) format.

14.When finished defining the database field names and type properties, click OK.

An Import Wizard - Fields window opens.

15. Select database fields to import Select database fields to import.

By default, all of the database fields are added to the Selected fields list for the import. In the Fields dialog box, you can also set up the fields associated with document attachments (Optional). The attachment fields can be set up or changed any time after the database is created. For more information, see Defining preferences.

a.To only select some of the fields for the import, click the double arrow (<<) button to move all the fields to the Available fields list.

b.In the Available fields list, select the fields you want to include in the import, and click the right arrow (>) button to add the fields to the Selected fields list.

c.Once you have added the applicable fields to the Selected fields list, use the Up and Down buttons to make the field order match the field order of your delimited text file.

The field order in the Selected fields list, must match the field order of your delimited text file. If you created the database fields using a DAT file and haven't made any modifications to the field names, the fields are listed in the same order in which they appear in the DAT file. However, it is recommended to open the DAT file to verify the fields are correct.

Print a one-page copy of your delimited text file so you can reference your header row while determining the field order during the import.

If the field structure that you enter in Selected fields list does not match the field structure of your delimited text files, the data won’t transfer into Concordance Desktop properly.

16.To display system fields in the database, select the Show system fields check box.

System fields are fields used by Concordance Desktop to administer database functions, such as replication. They are generally not visible, but you can display and import them if you select the Show system fields check box.

17.To prevent Concordance Desktop from creating a record for your field name row, select the Skip first line check box.

The first line of a data file sometimes contains the field names used in creating the database, with each field name taking the place of the data for that record. When you select the Skip first line check box, Concordance Desktop ignores that line of data during the import.

18.If you are loading from a text file that includes Rich Text, and you want to include that Rich Text formatting, check the Import rich text check box.

This option is only available when you are loading/importing a text file that includes Rich Text formatting.

19.To setup the attachment fields, in the Set Attachment Fields section, do any of the following:

·To set a field to a range of attachments, select the Attach Range option, and then select the field to store the attachment range data.

·To set up the beginning and ending attachment fields, select the Fields option, and then from the Beg Attach and End Attach lists select the beginning attachment number and ending attachment number fields.

When using the Find Attachments feature, it is best practice to setup the fields as paragraph type fields to increase the performance and make sure to index/reindex the database. For more information about the Find Attachments command, see Finding attachments.

20.When finished, click OK.

You are returned to the Load File window.

21.Select or create an OPT file.

Select the OPT file to load If you have an OPT file to load, select it.

a.Click the Browse button next to the Select OPT File field.

b.Locate and select the .opt file you want to load.

c.Click Open.

You are returned to the Load File window where the Select OPT File field is populated with the selection you just made.

Create an OPT load file If you do not have an OPT file to load, create one.

a.Click the Create button next to the Select OPT File field.

b.Click the ellipse button and select the location where you want to store the OPT file.

We suggest that you enter a folder and sub-folder that is located in the same directory as the This should be in a sub-folder as your DAT file,and have the same name as. Alternatively, you can open Windows Explorer, locate and open the folder where the image files are, and then drag and drop the image files into the large box below the OPT file

c.Open a Windows Explorer window.

d.Locate and open the folder where the image (.TIF) files are located.

e.Drag and drag the image files into the large box below the OPT file.

f.Click OK.

You are returned to the Load File where the Select OPT file is populated with the OPT file location you just entered.

22.Select Pre-append path. In the Pre-append dialog box the UNC path upto the image path in the .opt or browse out to the folder containing the image folder.

What is a pre-appended path?

For example, the path in the .opt is: Images\0001\T000001.tif

The folder structure where the data was copied is: \\uncpath\Matter001\Vol001\Images\0001\T000001.tif

Select Pre-append path and add \\uncpath\Matter001\Vol001\ in the Pre-append dialog box or browse to \\uncpath\Matter001\ and select Vol001.

The UNC path is added before the image path in the .opt during import.

Pre-append path assists the administrator in appending the path without having to change the structure of the .opt.

23.Click on the Key down-arrow and select the name of the field used to identify the beginning of new records.

An example would be BEGNO.

23.Click on the OCR down-arrow and select the name of the field to contain the document-level text of each record.

Some examples are TEXT1 or OCR1

The wizard can import both single or multi-page OCR text files. To import the files correctly, make sure that all the text files are located within the same directory.

24.(Optional) Click the Customize Image/OCR button if you want to change the default OCR method.

The Customize OCR dialog box opens.

Options are:

·Use CN Desktop OCR - Use this option if you want Concordance Desktop to OCR all the files regardless of any existing OCR'ed text files. By default, Concordance Desktop does not OCR the text files.

·Use OPT Files to load Text Files - Use this option if you want Concordance Desktop to load the document-level text from files existing in designated folders that are referenced in the OPT file. Concordance Desktop does not OCR the document-level text, it simply takes the text from the text files and loads it into the associated records. This option can help save processing time.

·Use OCR Text Files - Use this option if you have text files that have already been OCR'ed and you want Concordance Desktop to use those OCR'ed text files. As with the Use OPT Files to load Text Files option, Concordance Desktop will not do any OCRing of the text, it will simply use load the text from the text files into the associated records. This option can help save processing time. When this option is selected, you also need to click the Browse button to locate and select the text files.

·Use Field Containing File Path to load Text Files - Use this option to import document-level text files if the DAT file references an OCR path. The OCR path needs to be edited to reflect the directory where the text files are located or edited to reflect a relative path. When using the relative path in the DAT file, the edited copy of the DAT file must be in the same directory as your text folders.

If the file path pointing to your text files is not accurate the text will not be imported.

25. If you want Concordance Desktop to create optimized PDFs of the native files during the import process, check the Process to PDF.

If the load file contains other file types than .tif or .pdf, then Process to PDF needs to be enabled for viewing those files.

By default, Do not process to PDF is checked, which helps to reduce processing time. When Process to PDF is checked, rendering of supported native file types is done on the fly as they are viewed in the viewer. Unsupported files types however, cannot be viewed in the viewer until they are optimized. For more information about optimizing, please see the Optimizing documents to PDF topic.

26.Click Import to start the import of the load files you have selected.

27. A status bar is displayed showing the import record currently in process during the load file import process.

28.If one or more files did not import properly, a dialog box displays telling you to see the log file. Click OK.

29.In the DAT Database dialog box:

·If all files imported properly (i.e., you did not see a dialog box stating one or more files imported properly) , click the Open button to open the database in Concordance Desktop.

·If any files did not import properly, click the View Log button to check the log for any files that did not import properly.


Creating a new e-documents database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop is able to create a database using a variety of native files (e-documents), including text, Adobe Acrobat PDF, and Microsoft Word, PowerPoint, and Excel files.

When creating a database, Concordance Desktop automatically processes and normalizes the documents during import. The Concordance Desktop E-documents engine OCRs all the native files (e-documents) and generates a .PDF near-native version of the document for viewing in Concordance Desktop Viewer. The PDF near-native files are stored in the database folder in a separate Near Natives folder and a copy of the native file is stored in a Natives folder. Documents are imported alpha-numerically. The Temp folder contains the .txt formatted files for the OCR text that was extracted from the document and is cleared when the import process is complete.

Concordance Desktop database folder structure

To create an e-documents database To create an E-documents database:

1.On the File menu, click New.

2.In the New Database Creation Wizard window, choose the viewer for the new database, and click the E-documents button.

The Create E-Documents Database window opens.

3.Select the location of the e-document files by either:

· Select the folder location Selecting the folder from the folder list:

a.In the Select document location list, expand the folders.

b.Navigate to the location where the documents you want to import are located.

c.Click on the folder name you want to select.

d.Click the Add button.

· Type the full folder path Entering the full path of the folder:

a.In the Add Path field, type the full path to the folder in which the files are located.

b.Click the Add button.

4.Repeat step three for each set of documents you want to import into the database.

5.To include files from any sub-directories within the folder, select the Include subdirectories check box.

6.Select the location where you want to create the database.

a.In the Select database location field, click the Browse button.

It is recommended that each database be created in its own unique folder.

b.Navigate to the location where you want to save the new database.

c.In the File name field, type a name for the new database.

The Concordance Desktop server does not support Unicode characters (such as Chinese or Japanese characters) in database names. Currently, only single-byte characters (such as English characters) are supported.

d.Click Open.

7.To customize the import settings:

a.Click the Customize button, and then do any of the following:

· Select an existing database template To use an existing database template

1.Click the Choose Database Template Browse button.

2.Locate the database template to use.

3.Click Open.

· Set document numbering start and prefix To change the document numbering defaults

1.Click on the Auto number documents arrow to open that section, if it is not already open.

2.In the Starting Number field, enter the number you want to begin with for numbering the documents. The default is 0000001.

Make sure to precede the starting number with enough zeros to cover the total number of records being imported. For example, if you are importing a DAT file that includes includes 999 records and you want to start numbering with 1, enter 001 as the starting number. If the file includes 550,500 records and you want to start the numbering with 1, enter 000001.

3.Optional: In the Prefix field, type the prefix you want to use in front of the numbers.

· Set the Bates Stamp options To add Bates Stamping to the documents

1.Click the Bates Stamp arrow to open that section, if it is not already open.

2.To enable Bates stamping, click on the Bates stamp documents field. A down-arrow appears at the end of the field.

3.Click the down-arrow and select Yes.

The default is No, do not put Bates Stamps on the documents.

After you select Yes, two other fields appear under the Bates Stamp section.

4.Optional: In the Bates prefix field, enter the prefix you want to use in front of the Bates Stamp number.

You cannot currently use Unicode characters in the Bates stamp prefix field. Doing so will not display the character correctly.

5.In the Bates starting number field, enter the beginning Bates Stamp number you want to use.

· Copy native files and store the copies Specify whether to copy the original native files and store them

You can specify whether to copy the original native files and store the copies in a Native Files folder with the database.

1.Click on the Native file arrow to open that section, if it is not already open.

2.Click on the Copy original files field to select it.

3.Click the down-arrow and select Yes or No. The default is Yes.

·Yes indicates that you want to copy the original files and store them in a Native Files folder with the database.

·No indicates that you do not want to copy and store the original files.

· Change mapping to match Concordance fields To change imported data (document metadata) mapping to Concordance fields

1.Click on the Field mapping arrow to open that section, if it is not already open.

2.Click on a field that you want to change, to select it.

3.Click on the down-arrow and select the imported data type.

When importing E-Documents, Concordance Desktop createsa unique document ID and captures metadata where possible, including author, creation date, and last modified date. Concordance Desktop also captures the metadata present in formatting such as font changes, bolding, underlining and highlighting. Each of the fields in the Field mapping section are automatically set to the default Concordance Desktop field mappings.

Ensure that the documents import properly, the Document Text field must be set to the first OCR paragraph field with an alpha prefix and numeric suffix. For example, if you have TEXT01, TEXT02, and TEXT03, you must set the OCR paragraph field to TEXT01. Do not set the OCR field to any other type of paragraph field, as the text will not be imported.

The CREATEDATE and EDITDATE fields should not be set to <none>.

b.When finished customizing, click OK.

You are returned to the Create E-Documents Database window.

8.Click the Import button.

9.If one or more files did not import properly, a dialog box displays telling you to see the log file. Click OK.

10.In the E-Document Database dialog box:

·If all files imported properly (i.e., you did not see a dialog box stating one or more files imported properly) , click the Open button to open the database in Concordance Desktop.

·If any files did not import properly, click the View Log button to check the log for any files that did not import properly.

After the import is complete, it is recommended that you review the import log to verify document import success and failure messages.


Creating an Email and Attachments database

Navigation: Administration > Database Administration > Creating Databases:

Creating an e-mail and attachments database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When creating an Email and Attachments database, Concordance Desktop uses a Database Creation Wizard to walk you through each step of the database creation process. Using the wizard, Concordance Desktop imports one or more .pst formatted files. When importing multiple .pst files, a new database is created for each .pst, and all database are automatically concatenated.

Concordance Desktop provides you with an E-mail and Attachments template, but you may also create your own. The E-mail and Attachments template includes typical metadata fields from Outlook and takes care of the field mapping for you. The template also allows you to create and modify fields as needed.

If you need to export your e-mail from Concordance Desktop back to a .pst file, then consider using CloudNine's LAW software for processing before importing to Concordance Desktop.

Some earlier versions of Microsoft Excel files are no longer supported through Microsoft and cannot be opened from Concordance Desktop.

To create an e-mail database To create an E-mail database:

The second step is to create a database and import the e-mail and attachment files.

1.In Concordance Desktop, on the File menu, click New. A logon dialog box opens.

2.Enter your logon name and password, and then click Connect.

3.In the New Database Creation Wizard window, choose the viewer for the new database, and click the E-mail and Attachments button.

The Create E-Mail Database window opens.

4.Select the location of the .pst files by either:

· Select the .pst file location Selecting a .pst from the folder list:

a.In the Select document location list, expand the folders.

b.Browse to the location where the .pst file you want to import is located.

c.Click on the .pst file to select it.

d.Click the Add button.

e.To add more .pst files, repeat the steps for each file.

· Type the full folder path and .pst file name Entering the full path and .pst file name:

a.In the Add Path field, type the full path to the .pst file, including the .pst file name.

b.Click the Add button.

c.To add more .pst files, repeat the steps for each one.

5.Repeat step 3 for each .pst file you want to add to the import.

6. Select where to create the database Select the location where you want to create the database.

a.In the Select database location field, click the Browse button.

b.Navigate to the location where you want to save the new database.

c.In the File name field, type a name for the new database.

The Concordance Desktop server does not support Unicode characters (such as Chinese or Japanese characters) in database names. Currently, only single-byte characters (such as English characters) are supported.

d.Click Open.

7.To customize the import settings:

a.Click the Customize button, and then do any of the following:

· Select an existing database template To use an existing database template

1.Click the Choose Database Template Browse button.

2.Locate the database template to use.

3.Click Open.

· Set document numbering start and prefix To change the document numbering defaults

1.Click on the Auto number documents arrow to open that section, if it is not already open.

2.In the Starting Number field, enter the number you want to begin with for numbering the documents. The default is 0000001.

Make sure to precede the starting number with enough zeros to cover the total number of records being imported. For example, if you are importing a DAT file that includes includes 999 records and you want to start numbering with 1, enter 001 as the starting number. If the file includes 550,500 records and you want to start the numbering with 1, enter 000001.

3.Optional: In the Prefix field, type the prefix you want to use in front of the numbers.

· Set the Bates Stamp options To add Bates Stamping to the documents

1.Click the Bates Stamp arrow to open that section, if it is not already open.

2.To enable Bates stamping, click on the Bates stamp documents field. A down-arrow appears at the end of the field.

3.Click the down-arrow and select Yes.

The default is No, do not put Bates Stamps on the documents.

After you select Yes, two other fields appear under the Bates Stamp section.

4.Optional: In the Bates prefix field, enter the prefix you want to use in front of the Bates Stamp number.

You cannot currently use Unicode characters in the Bates stamp prefix. The Unicode character will not display correctly.

5.In the Bates starting number field, enter the beginning Bates Stamp number you want to use.

· Display/Hide full path of attachments Specify whether to display the full path of attachments

You can specify whether to display the full path of e-mail attachments.

1.Click on the Path Display arrow to open that section, if it is not already open.

2.Click on the Display Full Path of Attachments field to select it.

3.Click the down-arrow and select Yes or No. The default is Yes.

·Yes indicates that you want to display the full path of attachments.

·No indicates that you do not want to display the full path of attachments.

· Include/exclude duplicate e-mails Specify whether to allow duplicate e-mails

Most e-mails have a unique message identifier called the message-id. This entry is stored in the MESSAGEID field. Before importing a message, the Import e-mail wizard checks to see if any previously imported e-mails have the same message-id. If the wizard finds another record with this message-id, it does not import the message.

You can specify whether to allow duplicate E-mails to be included in the database.

1.Click on the Duplicate Handling arrow to open that section, if it is not already open.

2.Click on the Do not allow duplicate E-mails field to select it.

3.Click the down-arrow and select Yes or No. The default is Yes.

·Yes indicates that you do not want to allow duplicate E-mails to be included in the database.

·No indicates that you want to allow duplicate E-mails to be included in the database.

Change mapping to match Concordance fields To change imported data (document metadata) mapping to Concordance fields

1.Click on the Field mapping arrow to open that section, if it is not already open.

2.Click on a field that you want to change, to select it.

3.Click on the down-arrow and select the imported data type.

When importing .pst files, Concordance Desktop captures metadata when possible. Concordance Desktop also captures the metadata present in formatting such as font changes, bolding, underlining and highlighting. Each of the fields in the Field mapping section are automatically set to the default Concordance Desktop field mappings.

To ensure that the documents import properly, the Document Text field must be set to the first OCR paragraph field with an alpha prefix and numeric suffix. For example, if you have TEXT01, TEXT02, and TEXT03, you must set the OCR paragraph field to TEXT01. Do not set the OCR field to any other type of paragraph field.

b.When finished customizing, click OK.

You are returned to the Create E-Mail Database window.

8.Click the Import button.

9.If one or more files did not import properly, a dialog box displays telling you to see the log file. Click OK.

10.In the E-Document Database dialog box:

·If all files imported properly (i.e., you did not see a dialog box stating one or more files imported properly) , click the Open button to open the database in Concordance Desktop.

·If any files did not import properly, click the View Log button to check the log for any files that did not import properly.

To verify the imported files To verify the imported files:

Once you have created the email database, it is best practice to verify that the files imported correctly. After verification, you also need to index the database.

1.In Concordance Desktop, open the Browse view.

2.In the Browse view, verify that the e-mail messages you imported display properly.

3.If you have not already indexed the database, run a full index now.

For more information about indexing and reindexing databases, see Indexing and reindexing updates.

If you receive the following message, Dictionary file exists, overwrite?, click Yes.


Creating/updating a transcripts database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Transcripts are the easiest files to load, but you must load the files into a database created from the Transcript database template. The template is hard-coded with a CPL script that enables line numbering and does the work for you. You can import plain text transcripts, depositions, and West LiveNote portable transcript (.ptf) and portable case format (.pcf) files.

Transcript Import Guidelines

·The transcript database must be created from the Concordance Desktop Transcript template

·The maximum size for an imported transcript file is 11 MB

·On average, transcripts have 24-25 lines per double-spaced page

To create a transcript database

1.On the File menu, click New.

You are asked to log onto the Concordance Desktop server where you want to create the Transcripts database.

Note that you must either be logged into the physical server itself, or using Windows Remote Desktop to log into the server. You can only create databases when on the actual server computer itself.

Note also that you must be a Concordance Desktop administrator on the server you are logging on to.

2.Type you Logon and Password for the specific Concordance Desktop server.

3.Type the Host name or IP address of the server and the Port you need to use to connect to it.

4.Click Connect. The New Database Creation Wizard dialog box opens.

5.Select the viewer for the new database and click the Transcript button.

6.Navigate to where you want to save the transcripts .dcb database file.

A dialog box opens allow you to select the location for the new database, and a file name.

7.Optional: Create a new folder for the database files.

8.Type the database file name in the File name field, and click Open.

The Concordance Desktop server does not support Unicode characters (such as Chinese or Japanese characters) in database names. Currently, only single-byte characters (such as English characters) are supported.

A Load Transcripts dialog box opens.

9.In the Properties section, review the information Concordance Desktop has extracted from each of the transcripts you are importing.

10.Navigate to where the transcript files are located.

To view the transcript information for each transcript, click the transcript file name in the File column.

11.Make any necessary edits in the Properties section and click Save.

You can edit or add information in the Name, Date, Time, or Comments fields for each transcript before you save it. Use the preview pane at the bottom of the dialog box to locate information needed for those fields.

If you do not want to review the extracted transcript properties for each of the imported transcripts, and just want to save the extracted transcript properties as they are, select the Save all with default settings check box and click Save.

Clicking Save completes the transcript import.

12.To import additional transcript files, click the Load button.

13.To close the Load transcripts dialog box, click Done.

To import PTF or PCF transcript files:

1.On the Documents menu, point to Import, and click Transcripts.

The Transcipts menu command is only enabled when the current database was created using the Transcripts template.

Clicking Transcripts opens the Load transcripts dialog box.

2.Locate and open the .pcf transcript files you want to import.

Clicking Open opens the Load transcripts dialog box and automatically loads the transcript files into the transcript database.

The process for importing .pcf transcript files is slightly different than importing TXT or .ptf transcript filess. Because .pcf files contain multiple transcripts, you are not able to edit and save individual transcripts within a file. Therefore, the step to edit and save the transcript metadata information is skipped in import process.

3.To import additional transcript files, click the Load button.

4.To close the Load transcripts dialog box, click Done.
To verify the imported files:

Once you have imported your transcript messages, it is best practice to verify the files imported correctly. After verification, you need to reindex or index the database.

1.In Concordance Desktop, open the Browse view.

2.In the Browse view, verify that the transcript messages you imported display properly.

3.If you have already indexed the database, reindex the database. Otherwise, run a full index.

For more information about indexing and reindexing databases, see Indexing and reindexing updates.

If you get a message prompt stating, Dictionary file exists, overwrite?, click Yes.


Database migration preparation
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance databases that you want to open in Concordance Desktop need to first be migrated to Concordance Desktop. Before migrating however, there may be some additional preparation involved, based on the version of Concordance with which the database was built, as well as some other factors.

·Concordance databases created with Concordance versions 8.x or 9.x must first be converted to Concordance 10.x databases, before they can be migrated to Concordance Desktop databases.

·Only Concordance 8.x and 9.x databases can be converted to Concordance 10.x. If your database was built with an earlier version of Concordance, it cannot be converted to Concordance 10.x, and cannot be migrated to Concordance Desktop.

·If using Concordance Image, prior to converting a Concordance 8.x or 9.x database to 10.x, the imagebase must be converted from a version 4.0 imagebase to a version 5.0 imagebase in Concordance Image.

·Additional factors in determining how a database should be prepared for migration to Concordance Desktop:

·The version of Concordance used to create the database

·Whether Concordance Image was used to view native files

·Whether Concordance Desktop Viewer was used to view near native files

·Whether the database has been moved

·Whether the native files (only if using Concordance Image) have been moved

·Whether the near native files (only if using Concordance Desktop Viewer) have been moved

Only Concordance version 10.x SQLite databases can be migrated to the Concordance Desktop database format. Therefore, all databases created with Concordance 8.x or 9.x need to first be converted to version 10.x SQLite databases before attempting to migrate them to Concordance Desktop.

Prior to converting a Concordance 8.x or 9.x version database to 10.x, you must convert the imagebase in Concordance Image from a version 4.0 imagebase to a version 5.0 imagebase. Only after this is done can you proceed with converting the database to Concordance version 10.x.

The migration is permanent and there is no process to convert a database back to a Concordance database. Therefore, we recommend that you make backup copies of the databases before migrating them to Concordance Desktop.

Do you plan on moving a database you want to migrate?

Concordance 10.x database (other than a 10.21 E-Documents database)

If you plan to migrate a Concordance 10.x database to Concordance Desktop, and also plan to move it to another server, drive, or folder, please follow the steps below, in the order they appear.

1.Move the database to its new location.

2.Open the database in Concordance 10.x. Doing this ensures that the notes DCB is properly linked to the parent DCB.

3.If the native files have been moved, edit the native file path (see Updating hyperlinks file path), and then recreate the hyperlinks in the records using the CreateHyperlinks CPL.

4.Re-index the database and test the hyperlinks to ensure they work.

5.Refer to the factors in the table below that apply to a Concordance 10.x database (other than a 10.21 E-Documents database).

Concordance 10.21 E-Documents database

If you plan to migrate a Concordance 10.21 E-Documents database, and also plan to move it to another server, drive, or folder, please follow the steps below in the order they appear.

1.Move the database to its new location.

2.Open the database in Concordance 10.21. Doing this ensures that the notes DCB is properly linked to the parent DCB.

3.If the native files have been moved, edit the native file path (see Updating hyperlinks file path), and recreate the hyperlinks in the records (see the CreateHyperlinks CPL topic).

4.Refer to the factors in the table below that apply to a Concordance 10.21 E-Documents database.

Database preparation checklist

Below is a checklist that provides the various preparations, based on the various factors listed above.

Database factor

Preparation

Concordance 7.x or below database

YES: The database cannot be migrated to Concordance Desktop.

NO: Continue to next factor.

Concordance 8.x or 9.x database

YES: Are you using Concordance Image?

Yes: If using Concordance Image 4.0 (formerly Opticon), the imagebase must be converted to Concordance Image version 5.0, prior to converting the database to Concordance 10.x.

Is the imagebase currently a Concordance 5.0 imagebase?

Yes: Convert the database to a Concordance 10.x database.
See Converting databases on the Concordance Answer Center.

No: Convert the imagebase to Concordance Image from version 4.0 to 5.0 first, then convert the database to Concordance 10.x.
See Converting imagebases and Converting databases on the Concordance Answer Center.

No: Concordance Image is not being used. There is no imagebase to convert.
You are ready to convert the database to Concordance 10.x.
See Converting databases on the Concordance Answer Center.

NOTE: Once the database has been converted to Concordance, 10.x, go to the Concordance 10.x (other than E-Documents) database factor below.

NO: It is not a Concordance 8.x or 9.x database. Continue to the next factor.

Concordance 10.x (other than a 10.21 E-Documents) database

If the database is a Concordance 10.x database, other than a 10.21 E-Documents database, then follow this set of preparations.

YES: Are you using Concordance Image?

Yes: If the database folder contains a [database name].DIR file and a [database name].VOL file, it indicates that Concordance Image was used for the imagebase.

Do you want to maintain your redactions and notes when you migrate the database to Concordance Desktop?

Yes: Use the Redline Migration Utility to migrate the database to Concordance Desktop.

CAUTION: When using the Redline Migration Utility to migrate a 10.x database to Concordance Desktop, all data from the database moves over, but only redactions and notes are moved over from the imagebase.

NOTE: If you plan to move the database to another server, drive, or folder, move the database first, and then open it in Concordance 10.x to reset the link between the DCB and the Notes DCB. Once these two steps are finished, you can migrate the database.

No: There is no need to run the Redlines Migration utility. The database is ready for migration to Concordance Desktop.

NOTE: If you plan to move the database to another server, drive, or folder, move the database first, then open it in Concordance 10.x to reset the link between the DCB and the Notes DCB, and then migrate the database.

No: Are you using Concordance Desktop Viewer?

Yes: If using Concordance Desktop Viewer, you can use any of the methods in the Migrating databases to Concordance Desktop topic, to migrate the database to Concordance Desktop.

CAUTION: When migrating a 10.x database to Concordance Desktop, all data from the database moves over, but markups (redactions, notes, etc.)are not moved over. Markups will need to be either burned in prior to migration, or reentered through Concordance Desktop after migration. Please note that burned in markups cannot be edited, they are permanent.

No: The database can be migrated, providing the database has not been moved. If the location of the database has changed since you last opened it in Concordance 10.x, please see the note above.

NO: The database is not a Concordance 10.x database (other than an 10.21 E-Documents database). Continue to the next factor.

Concordance 10.21 E-Documents database

If the database is a Concordance 10.21 E-Documents database, there are two final determining factors that need to be addressed; whether the database was built with the old e-documents engine or with the new e-documents engine. The new e-documents engine creates databases that are completely compatible with Concordance Desktop, however, the old e-documents database engine does not.

YES: Does the database folder contain a [database name].CIB file and a Near Natives folder?

Yes: This indicates that the database was built with the new 10.21 E-Documents engine, which is completely compatible with Concordance Desktop. The database is ready to be migrated.

NOTE: When migrating a 10.21 E-Documents database that was built with the new E-Documents engine, all data is moved over, and markups (redactions, notes, etc.) are also moved over. Markups will need to be reentered through Concordance Desktop after the database has been migrated.

No: The database was created with the old E-Documents database engine.

CAUTION: When migrating a 10.21 E-Documents database that was built with the old E-Documents engine, all data is moved over, but markups (redactions, notes, etc.) are not moved over. Markups will need to be reentered through Concordance Desktop after the database has been migrated.

NOTE: If you plan to move the database to another server, drive, or folder, move the database first, and then open it in Concordance 10.x to reset the link between the DCB and the Notes DCB. Once these two steps are finished, you can migrate the database.

NO: Return to the factor above that applies to the database version and type.


Migrating databases to Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Migration of a 10.x database can be an easy process if the files have been properly prepared. Before attempting to migrate a database from Concordance to Concordance Desktop, please review the information in the Database migration preparation topic. Doing so will help to mitigate issues that could arise when attempting to migrate Concordance databases to Concordance Desktop.

When a database is ready to be migrated, the migration can be completed using any one of the following methods:

·Placing a folder, that contains all the files for the Concordance 10.x SQLite database, in the Registration Directory for automatic migration. Ensure that you do not place the folder inside another folder that contains a database. There can be only one database per folder, and each folder can reside under the Registration Directory.

·Registering a Concordance 10.x SQLite database with the Concordance Desktop server. See Registering/unregistering a database in the Answer Center or the Installation Guide for more information.

·Selecting File > Open in Concordance Desktop and selecting a Concordance 10.x SQLite database

·Double-clicking on a Concordance 10.x database on the Concordance Desktop server computer. This method will not work, if Concordance 8.x or 9.x is currently installed on the same server computer as Concordance Desktop.

·Concordance Image ONLY: If Concordance Image was used for the imagebase in Concordance 10.x, and you need to retain redactions and notes in the database, the Redlines Migration Utility should be used to migrate the database. Using any of the other four methods will not retain the redactions and notes.

Concordance Desktop provides the ability to convert version 10.x load file databases without near native conversion, thereby decreasing the time needed to migrate the databases.

If you plan to migrate an existing Concordance 10.x database to Concordance Desktop, but also want to move it to another server or folder, first move the database to its new location, then open it in Concordance 10.x. Doing so ensures that the notes DCB is properly linked to the parent DCB. Next, ensure that the image and native file links are updated in Concordance 10.x and that they are working properly. Once these steps are done, you can migrate the Concordance 10.x database to Concordance Desktop.

If you plan to migrate a Concordance 10.x database to Concordance Desktop, and also plan to move it to another server, drive, or folder, please follow do the following in the order they appear.

1) Move the database to its new location. Note that there can be only one database per folder. The folder can reside within another folder, but not within another database's folder.

2) Open the database in Concordance 10.x. Doing this ensures that the notes DCB is properly linked to the parent DCB.

3) Migrate the database to Concordance Desktop.

Placing database folders in the Registration Directory for automatic migration Placing a database folder in the Registration Directory for automatic migration

When you place a Concordance 10.x SQLite database folder (the folder containing all the files for the database) into the directory that has been designated as the "Registration Directory" in the Admin Console, Settings tab, the database is automatically migrated and registered on the Concordance Desktop server. A Registration Directory can be any directory on the server computer, even one that contains all your current Concordance 10.x SQLite databases in their respective folders. Only one Registration Directory can be designated per Concordance Desktop server. The default directory is named "DB Smart Path" and is located in the server computer's ProgramData directory (usually C:\ProgramData\LexisNexis\Concordance Desktop\DB Smart Path). See Changing the default Registration Directory for more information on how to designate a different directory as the Registration Directory.

Placing database folders in the Registration Directory for automatic migration To copy a database folder to the Registration Directory:

1.Before migrating a database, make a backup of all the files in the database. (Backup the whole folder, including all sub-folders.)

2.Open Windows Explorer and navigate to the your Registration Directory folder.

Th default Registration Directory folder is named "DB Smart Path" found in the ..\ProgramData\LexisNexis\Concordance Desktop\ folder on the Concordance Desktop server computer.

3.Open another Windows Explorer window, and navigate to to the location of a folder containing a Concordance 10.x SQLite database that you want to migrate to Concordance Desktop.

4.Copy the whole database folder and paste it into the Registration Directory folder.

The next time you open Concordance Desktop, any databases the application finds in the Registration Directory will automatically be migrated and registered with the Concordance Desktop server.

To ensure that a database has been migrated successfully, you can check its status in the Databases list in the Admin Console, under the Management tab. If the migration failed, you can check the log file for more information.

Migrating a database through Registration Migrating a database through registration

1.Before migrating a database, make a backup of all the files in the database. (Backup the whole folder, including all sub-folders.)

2.On the File menu, click Administration and then Admin Console.

3.Log onto the server where you want to register the database.

You must be a Concordance Desktop administrator on the selected server in order to register a database.

4.Click on the Management tab.

5.Right-click on the Databases folder, and then click Register database.

6.In the field that appears, type the name of the database you want to register, and press Enter.

An Open dialog box opens.

7.Locate and open the folder where the database is located.

8.Click on the database DCB file to select it.

9.Click Open.

A dialog box opens stating that the database has been queued for imagebase migration. Or, depending on the database type, you may be asked if you are ready to migrate the database.

After the migration and registration processes are finished, the Databases pane opens on the right. The database you just registered displays at the bottom of the list. If the imagebase is being migrated, the status of the database will show "Converting" until the process finishes. This process may take a while, depending on the number of files in the database.

If the selected database is a Concordance Desktop database, after the registration process is finished, the Databases pane opens on the right. The database can be found at the bottom of the list.

The Status column indicates whether or not migration for the Concordance 10.x database was successful. If successful, the Status column displays "Online", of not successful, it displays "Conversion failed" or "Registration failed." More information about failures can be found in the server log file.

If Auto refresh is turned on (Auto refresh on), the database name appears under the Databases folder, after auto refresh runs.
Selecting File > Open to migrate one database at a time Selecting File > Open to migrate a Concordance 10.x database

1.Before migrating a database, make a backup of all the files in the database. (Backup the whole folder, including all sub-folders.)

2.Open Concordance Desktop on the Concordance Desktop server.

3.From the File menu click Open.

4.Navigate to the location of a Concordance version 10.x SQLite Concordance database that you want to migrate.

A dialog box opens notifying you that the database is not compatible with Concordance Desktop, and that the imagebase need to be updated. database must be migrated to Concordance Desktop before it can be opened.

5.Click Yes.

The migration in progress dialog box opens. When the migration finishes, the database opens in Concordance Desktop.

Double-clicking on a database to migrate it to Concordance Desktop Double-clicking a database to migrate it

Double-clicking on a Concordance 10.x SQLite database on the Concordance Desktop server computer. Concordance Desktop prompts you to migrate the database. Please note that if you still have Concordance version 9.x or 8.x installed on the same server/computer as the Concordance Desktop installation, this method will not work, as the database will be opened in Concordance instead of Concordance Desktop.

1.Before migrating a database, make a backup of all the files in the database. (Backup the whole folder, including all sub-folders.)

2.Open Windows Explorer and navigate to the folder containing the files for the database you want to migrate.

3.Double-click on the database DCB file.

A dialog box opens stating that the database is not compatible, and asks if you want to update the imagebase.

4.Click Yes.

A migration in progress dialog box opens. When the migration finishes, the database opens in Concordance Desktop.

To ensure the database has been migrated, registered, and indexed

1.From the File menu, click Administration, and then Admin Console, to open the Administration Console.

2.Click the Management tab.

3.Click on the Databases folder to display the list of databases on the server and their statuses.

The database you just migrated displays at the bottom of the list displayed in the right side pane.

If after migrating, there are documents that do not display correctly or at all in the Concordance Desktop viewer, you can optimize those documents so that they do display correctly. See the Optimizing documents to PDF topic for more information.

How do I know a database migration was successful?

If the answer to the questions below are 'yes', then your database has migrated successfully.

·Are the images visible in the Concordance Desktop viewer?

If no, the most likely cause is that the location of the images has changed. You will need to update the links to the images. See Renaming file paths and folders

·Are you able to launch the natives from the hyperlinks in the records?

If no, the most likely cause is that the links to the native files were not updated. You will need to first update the links (see Renaming file paths and folders), and then run the CreateHyperlinks CPL (see CreateHyperlinks) to create new hyperlinks in the records.


Optimizing documents to PDF
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Optimization is a process in which a native file is reprocessed to a PDF file, for more optimized viewing in the viewer. You can run optimization on a single document, a query, or all documents in a database. Optimization is most useful for the reprocessing of native file types that are not supported by the "on-the-fly" processing that occurs when you open a document in the viewer. A good example would be an HTML file, which is a file type not supported by the on-the-fly processor. In order to view an HTML file, the file needs to be reprocessed to PDF format. Once this optimization is done, the PDF can then be viewed in the viewer.

In some instances, the optimization may not be able to optimize a file, for example, when a file has become corrupt. When this occurs, the optimization process tags the file with an "Import Errors" tag. After optimization has completed, you can run a query on the Import Errors tag to find out what, if any, documents could not be optimized. You can then check the log file to find out why those files could not be optimized.

When you optimize a document that has already been OCR'ed, any notes, issues, and issue tags in the OCR field of that document's record is removed. Notes, issues, and issue tag if fields other than the OCR field are not removed.

To optimize a single document:

1.In either Browse or Table view, select the document you want to optimize.

2.From the File menu, select Administration, then Optimize, and then Optimize Current Document.

A dialog opens stating that you will lose markups and notes associated with the OCR fields, and asks if you want to continue.

3.Click Yes.

The document conversion process runs. When it completes, the document-level text displays in the OCR field of the record, and the PDF copy of the native file can be viewed in the viewer.

4.Click on the [image] Camera button to view the PDF copy of the document in the viewer.

To optimize a query:

You can use a query to locate specific documents, and then run the optimization on the results of the query.

1.Run a query to gather the documents you need to optimize.

2.From the File menu, select Administration, then Optimize, and then Optimize Current Query.

A dialog opens stating that you will lose markups and notes associated with the OCR fields, and asks if you want to continue.

3.Click Yes.

The document conversion process runs. When it completes, the document-level text displays in the OCR field of the record, and the PDF copies of the native files can be viewed in the viewer.

4.Click on the [image] Camera button to view the PDF copies of the documents in the viewer.
To optimize all documents:

1.Open the database.

2.From the File menu, select Administration, then Optimize, and then Optimize Entire Database.

A dialog opens stating that you will lose markups and notes associated with the OCR fields, and asks if you want to continue.

3.Click Yes.

4.Click on the [image] Camera button to view the PDF copies of the documents in the viewer.


About Adding More Files to Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Typically, all data for a specific case is not processed or received at the same time. Subsequent data may arrive on an ongoing basis. Therefore, after a new database is created with its initial set of files, additional files can be added directly to the database using one of two methods, depending on the database. The first method is a simple Windows drag and drop action. This drag and drop functionality is available for all new databases created in Concordance Desktop, and for all migrated Concordance 10.21 E-Document databases. All other types of Concordance 10.21 databases that have been migrated to Concordance Desktop cannot support the drag and drop functionality. In addition, any databases that have been converted from a prior version of Concordance to Concordance 10.x, and then migrated to Concordance Desktop, as well as all Transcript databases, are unable to support the drag and drop functionality. To add files to these types of databases, you use the "Import" feature in Concordance Desktop.

Databases created in Concordance Desktop cannot be added or appended to a migrated Concordance database, nor can they be concatenated with a migrated database.

About adding files using drag and drop

The drag and drop method is used for appending updates or adding files to existing databases that were created in Concordance Desktop, and for existing Concordance 10.21 E-Document databases that have been migrated to Concordance Desktop.

The follow table shows what types of files can be appended to each type of database.

Drag and Drop Append Chart
File Type | Load File Database | E-Document Database | E-mail Database
DAT or CSV | X | X |
OPT | X |  |
E-document (DOC, PDF, XLS, etc.) | X | X |
PST |  |  | X
MSG | X* | X* | X
EML | X* | X* | X
DCB | X | X | X
*Does not process attachments.

There are some limitations of which you need to be aware:

·Concordance Desktop Load File, Concordance Desktop E-Document databases, and migrated Concordance 10.21 E-Documents databases are the only databases that allow dropping (importing) of all types of electronic files (pdf, doc, ppt, image files, etc.), including msg and eml files. However, when msg or eml files are dropped (imported), attachments are not processed.

·Only email msg, eml, and PST files can be dropped onto a Concordance Desktop E-mail database.

·Both the email and attachment(s) (if any) are appended when you drag and drop a .msg or .eml file onto an E-mail database.

·DCB files can be dropped on any type of database.

·OCR files are no longer necessary for Load File databases. Instead, the OCR process is automatically run during the import, where a PDF copy is generated for each native file. This does not mean that you cannot include the OCR files. You still have the option to add them, and when you do, most often it results in a decrease of processing time.

When you drop an e-mail msg or eml file onto an existing Concordance Desktop E-Documents or E-Mail database, or migrated Concordance 10.21 E-Documents database, the import process appends the file as the last record(s) in that database, At the same time, the import process creates a PDF of the native file for viewing in the viewer. If the file is dropped on a database that is part of an existing concatenated (CAT) database set, then the file is appended to the end of the last database in the CAT set. Dropping an OPT file onto an existing database results in the same action - the files are appended to the end of the database, or the end of the last database in a CAT set. When you drop a DAT, DCB, or PST file onto an existing database, a new database is created from the dropped file, and that new database is automatically concatenated with the database on which it was dropped. The existing database becomes the "primary" database of the CAT set.

When you drag and drop a DAT or DCB onto a Concordance Desktop DAT database, a new DAT database is created and automatically concatenated with the existing DAT database. At the same time, the import process creates a PDF of the native files for viewing in the viewer. When you drag and drop an OPT file onto a Concordance Desktop DAT database, the files are appended to the end of that existing DAT database, and again, PDFs of the native files are automatically created.

About adding files with the Import feature

The import feature must be used for updating existing records or adding new files to Concordance 10.x Load File (DAT) or E-Mail databases that have been migrated to Concordance Desktop. It is also used when you need to append files to a DAT database that has been migrated from Concordance 10.x. To append files to databases created in Concordance Desktop, you must use the drag and drop method.

Do not use the import process if you are importing replacement data into a database created in Concordance Desktop, or into a Concordance 10.x E-Document database that was migrated to Concordance Desktop. Instead, use the Drag and drop method to add the replacement data.

About adding files to Concatenated databases

When you add an additional file to a concatenated database, the file is appended as the last record to the very last database in the concatenated set.

Databases that are automatically concatenated either by a drag and drop, or by the import process when creating a new database with multiple record sets, should not be removed from the CAT set. Removing a database from an automated CAT set can cause the record numbering in the CAT database to be sequentially inconsistent.

When adding files to a concatenated database set, always open the primary database and drop the files onto it. Also, never attempt to open any of the other databases in the set, as doing so can cause database corruption. To identify the other database in the set, look for the database name with -001, -002, etc. appended to the name. These are the other databases in the set. The primary database displays just the database name, without any added numbers.

Concatenated sets can be easily identified by how they appear in both the Admin Console and in Windows Explorer.

Concatenated database set view Concatenated database set views

Concatenated database set diagram

A concatenated set in the Admin Console

Concatenated database set diagram in Windows Explorer view

A concatenated set in Windows Explorer

Best Practices for successfully adding files

Regardless if you are dragging and dropping or importing, when adding additional files to a database, we recommend creating a duplicate database structure first, and then adding the new files to the duplicate. This step allows for further quality control before changing your main database. The final step is using the drag and drop functionality, or the Import feature to append and replace your new records by matching records using a common unique field.

When importing new data, consider the following:

·Run a test load by importing new data into an exported database or database structure

·Note the last record number on the status bar prior to importing the secondary database with the new data

·Reindex the database prior to loading the new data. After the data is loaded, on the Search menu, click Search for Edited Documents, to query only the records that you just loaded for verification of the number of records that needed to be loaded or to isolate the records that need to be deleted if loaded improperly.

·Decide whether to load data into a secondary database structure and then concatenate it with the primary database

To find recently updated documents, on the Search menu, click Search for edited documents. Reindex prior to importing the updated records so the search query only includes changes made to the database by the matching import.

To create a duplicate database:

After reviewing the delimited text files, you need to create a copy of the database you want to add the additional text files. You will duplicate the database by exporting the database's structure.

To create a duplicate database:

1.In Concordance Desktop, open the database you want to copy.

2.On the Documents menu, point to Export, and click Structure.

3.Clicking Structure opens the Copy Structure dialog box.

4.Navigate to where you want to save the duplicate database, type the name of the database file in the File name field, and click Save.


Adding e-documents to CND databases

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Concordance Desktop DBs:

Adding e-documents to a Concordance Desktop database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop is able to import a variety of electronic documents (eDocuments), including text, Adobe Acrobat PDF, Microsoft Word, PowerPoint, Excel, and Outlook or Outlook Express message files into an existing eDocuments database.

Electronic documents require that source file software, like Microsoft Office and Adobe Acrobat, are pre-installed on your network in order to extract the data from the file and import it into your Concordance Desktop database.

Concordance Desktop, however, does not allow importing of data from any zipped, encrypted, .exe, or system files. The files are imported but not the data contained with the file. You’ll need to adhere to any forensic data processes as outlined by your organization or recommended for e-discovery processing.

Some earlier versions of Microsoft Excel files are no longer supported through Microsoft and cannot be opened from Concordance Desktop. For more information, please see the Microsoft website.

When using the Record Divider option, imported Microsoft Excel files that contain more than one sheet and viewed in the Concordance Desktop viewer will display only the first sheet for the database record. No view is available for the other sheets associated with the record.

Adding documents to an existing E-Documents database is made easy using a simple file drag-and-drop operation. Concordance Desktop automatically processing the documents, assigning document IDs, reading document metadata, extracting text, and appending the records to the database.

Any file or electronic document format not supported will be added to the database as an excluded file, but the contents will not be imported. You’ll need to adhere to any forensic data processes as outlined by your organization or recommended for e-discovery processing.

Supported e-document file types

Concordance Desktop supports the following E-Document file types for creating and adding documents to an E-Documents database:

File Type | Description
*.tif, *.tiff | Tagged Image File
*.jpg, *.jpeg | Joint Photographic Experts Group
*.gif | Graphic Image File
*.bmp | Bitmap
*.asc | ASCII text
*.pcx | PC Paintbrush bitmap
*.csv | Comma-Separated Values
*.cal, *.cals | Facsimile
*.pdf | Adobe Portable Document Format
*.doc, *.dot, *.docx | Microsoft Word
*.ppt, *.pps, *.pptx, *.pptm | Microsoft PowerPoint®
*.xls, *.xlsx, *.xlw, *.xlt | Microsoft Excel®
*.msg | Microsoft Outlook 2010 or later Message File
*.eml | Microsoft Outlook Express
*.txt | ASCII Text
*.rtf | Rich Text Format
*.html, *.htm | Web/HTML (Only supported in e-document databases.)
*.pab | Microsoft Outlook Personal Address Book
*.wps | Microsoft Works

When importing records using a DAT file, ensure that the carriage return delimiter is set to something other than "new line" (value 013). If the new line delimiter value 013 is set, change that delimiter in the DAT file before attempting to import the file.

To add documents to a Concordance Desktop e-documents database:

1.In Concordance Desktop, open the database to which you want to add additional records.

2.Open Windows Explorer and locate the folder that contains the documents you want to add to the database.

3.In the Windows Explorer folder, select the file(s) to add.

To select multiple files, use SHIFT+click or CNTRL+click.

4.Drag the file(s) to the database open in the Concordance Desktop workspace.

5.If dragging a DAT file, a Dat File Drop Operation box opens. Click Append.

6.When asked if you are sure you want to add files to the current database, click Yes.

The Import E-Documents progress dialog box opens.

7.In the Browse view, verify that each E-document you added displays properly.

8.If the database has already been indexed, reindex it. Otherwise, run a full index.

For more information about indexing and reindexing databases, see Indexing and reindexing updates.

9.If you receive the following message, Dictionary file exists, overwrite?, click Yes.

When adding documents to a database that is part of a concatenated set, the imported documents are appended to the end of the last database in the concatenated set.


Adding extra e-mail & attachements to a Concordance Desktop e-mail database

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Concordance Desktop DBs:

Adding extra e-mail & attachments
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When adding additional e-mails and attachments into a Concordance Desktop database, it is best to add them to an E-mail database because they contain unique internet account type coding for the author and recipients, including a parent and child structure that needs to be preserved, and attachments that need to be retained. All of these components are critical metadata that can easily be altered, spoiling original records and damaging critical information regarding who knew what and when. Once damaged, this information is nearly impossible to restore and is irretrievable after the documents have been added to the database.

Concordance Desktop provides an E-mail database wizard, which includes typical metadata fields from Outlook and takes care of the field mapping for you. The import wizard automatically establishes parent-child relationships with the e-mail messages and their attachments. This provides efficient and comprehensive searching and saves time in document loading. The wizard also lets you create and modify fields as needed. For more information about creating an E-mail database, see Creating an E-mail and attachments database.

When adding e-mail .msg or .eml files to a Concordance Desktop concatenated database, the e-mails are appended to the last database in the concatenated set. When adding an e-mail .pst file, a new e-mail database is created from the .pst file and the databases are automatically concatenated (CAT). The database onto which the .pst file was dropped becomes the primary database in the CAT set.

Drag and drop is not supported for databases that have been migrated from Concordance 10.x, and for DAT and Transcript 10.x migrated databases, Following the steps found under Importing extra e-mail & attachments to a Concordance 10.x E-mail database for adding e-mails and attachments to these migrated databases.

Some earlier versions of Microsoft Excel files are no longer supported through Microsoft and cannot be opened from Concordance Desktop. For more information, please see the Microsoft website.

If you need to export your e-mail from Concordance Desktop back to a .pst file, consider using Discover the Wave’s Trident Pro software.

Dropping a DAT database DCB file onto an existing DAT database To add a PST file to a Concordance Desktop e-mail database:

When dropping multiple PST files onto an e-mail database, drop only one PST file at a time, and reindex the primary database prior to dropping the next PST file.

1.In Concordance Desktop, open the database to which you want to add the PST file.

2.Open a Windows Explorer window and navigate the location of the PST file.

3.Drag the PST file from the Windows Explorer window and drop it onto the E-mail database open in the Concordance Desktop window.

4.You are asked if you are sure you want to add the files to the database, click Yes.

The Import Email and Attachments progress dialog box opens.

5.When the import finishes, check to ensure that the e-mail messages and attachments, if applicable, were added and that they can be viewed in the viewer.

Adding e-mail & attachments to a Concordance Desktop database To add e-mail & attachments to a Concordance Desktop database:

E-mail is imported into a Concordance Desktop database using the drag and drop method. During the import, the Import e-mail wizard automatically establishes parent-child relationships with the e-mail messages and their attachments. This provides efficient and comprehensive searching and saves time in document loading.

When adding e-mail .msg or .eml files to a Concordance Desktop concatenated database, the e-mails are appended to the last database in the concatenated set. When adding an e-mail .pst file, a new e-mail database is created from the .pst file and the databases are automatically concatenated (CAT). The database onto which the .pst file was dropped becomes the primary database in the CAT set.

1.In Concordance, open the E-mail database into which you want to import additional documents.

2.Open a Windows Explorer window and navigate to the location of the file(s) you want to append to the database.

3.Select the file(s) you want to add.

To select multiple files, use SHIFT+click or CNTRL+click.

4.Drag the files and drop them onto the database you have open in Concordance Desktop.

A dialog box opens asking if you are sure you want to add files to the current database.

5.Click Yes.

The Import Email and Attachments progress dialog box opens.

6.When the import finishes, check to ensure that the e-mail (and attachment if applicable) was added to the database and that it can be viewed in the viewer. For multiple e-mails or attachments, we recommend you check each one.

To verify the added files:

Once you have imported your e-mail messages, it is best practice to verify that the files imported correctly. After verification, you need to reindex or index the database.

1.In Concordance Desktop, open the Browse view.

2.In the Browse view, verify that the e-mail messages you imported display properly.

3.If you have already indexed the database, reindex the database. Otherwise, run a full index.

For more information about indexing and reindexing databases, see Indexing and reindexing updates.

If you receive the following message, Dictionary file exists, overwrite?, click Yes.


Adding delimited text files

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Concordance Desktop DBs:

Adding delimited text files to a Concordance Desktop DAT database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, you can drag and drop a DAT, CSV, DCB, MSG, or EML file onto a Concordance Desktop Load File (DAT) database to add the files to the existing database. To use the drag and drop functionality, you must either log onto the Concordance Desktop server/computer where the database you want to add to resides, or use Windows Remote Desktop to log onto that server/computer.

If you need to update records that already exist in a Load File (DAT) database, you need to use the' Import' feature instead. For more information on the Import feature see, Importing updates to an existing database.

When importing records using a DAT file, ensure that the carriage return delimiter is set to something other than "new line" (code 013). If the new line delimiter is set, change the delimiter in the DAT file before attempting to import the file.

Drag and drop is not supported for DAT databases that have been migrated from Concordance 10.x. To add additional files to a migrated DAT database, you must use the 'Import' feature. See Importing updates to a migrated DAT database for more information.

Before importing delimited text files into Concordance Desktop, be sure to review the Managing data files topic.

As an administrator, you should always make a practice of opening and reviewing your delimited text files when you receive them, as the files are not always prepared perfectly and may need to be modified.

Adding delimited text files

Following are the steps for adding delimited text files.

Step 1: Review and edit delimited text files

Review the delimited text file, and make any necessary corrections.

To review and edit a delimited text file:

1.Open the delimited text file in any text editor program.

Example of a delimited text file opened in UltraEdit:

example of a delimited text file in UltraEdit

2.Review the delimited text file for the following elements:

·The file must be a text-based format with an extension of .dat, .csv, .txt, .rtf, or any normal text file extension.

·If there is no a header row containing field names, open the associated .tif file for the first record and match the data in the record to the data in the .tif file.

·Note the delimiter used in the file. Concordance Desktop can handle any standard text delimiters.

·Note the date format used in the file. Concordance Desktop can load dates containing slashes in any order with either 2- or 4-digit years, with a maximum of 8 digits. The only date formats Concordance Desktop can load without slashes is the universal date format of YYYYMMDD and the mm-dd-yyyy date format with dashes.

·Is there a carriage return at the end of the record? If not, add a carriage return at the end of the record. Concordance Desktop will not load the last record if the carriage return at the end of the record is missing.

3.Make the necessary edits, if applicable.

4.Save the file.

5.Either print a copy of this file or leave the text editor program open so you can reference the field order when importing the files.

After reviewing the delimited text files and prior to continuing with step 2, we recommend that you create a duplicate of the database to which you want to add the additional files. This protects the original database, should any issues arise during the importing of the additional files. You can duplicate the database by exporting it to a Concordance Desktop database. See Exporting databases for more details.
Step 1:  Drag and drop the delimited text files onto the Concordance Desktop DAT database Step 2: Drag and drop the delimited text files onto the Concordance Desktop DAT database

Before you drag and drop the delimited text files, review them to ensure that the data contains valid formats - those that are supported by Concordance Desktop databases.

When dropping a file onto a database, you must first open that database in Concordance Desktop and ensure that it is open in either Browse or Table mode on the Concordance Desktop workspace. Whatever database is currently open and has focus is the database to which the file will be appended. If no database is open, the drag and drop action will fail.

1. Open the Concordance Desktop application on the server where the database you need to add to is registered.

2. Open the database to which you need to add the DAT file, using one of the following methods:

·From the File menu click Open. Locate and select the database, then click Open.

·If the database is displayed in the Databases 'Recent' list, click on the database name to open it.

3. Open a Windows Explorer window and navigate to the location of the delimited text files you need to add to the database you just opened in Concordance Desktop.

4. Click and drag the DAT file from the Windows Explorer window and drop it onto the database displayed in the workspace pane of Concordance Desktop.

5. Do one of the following:

Append by Concatenation Append by Concatenation

When dropping a DAT file onto an existing DAT database, the import process creates a new database with the same name plus an appended numerical extension (example; DBNAME-001). Concordance Desktop then concatenates the new DB with the existing, and the existing becomes the primary database for that CAT set. As you drop more DAT files onto the primary database, each is named after the primary database and the appended extension is incremented by 1 (-002, -003, etc.).

a. Click Append by Concatenation.

Append by concatenation

The following dialog box opens.

Concordance dialog box

b. Click Yes to continue.

The load file dialog box opens.

Concordance dialog box

The Enter Database Name field is populated with the name of the database you have open in Concordance Desktop. You cannot change this name.

The Select DAT file field displays the path and file name of the file you just dropped onto the DAT database. If you accidentally selected the wrong DAT file, you can click the Browse button to find and select the correct DAT file.

Concordance dialog box

c. If you need to alter the format and delimiter settings, stop here and go to the Create a new database from load files using custom settings section for detailed instructions.

List of settings you can change when selecting to customize:

·Load Field Names From: Location from which to load Field Names. You can select to load Field Names from the DAT file you are loading, from a Template/Structure file, from a previously defined Settings File, or define a new set by manually creating all field names.

·Select the delimited format to import or select custom values: You can change the delimiter settings to match the settings in the load file, should they differ from the standard Concordance Desktop delimiters.

·Select the date format for importing date fields: You can change the date format, if the format in the load file differs from the standard yyyymmdd used in Concordance Desktop.

·Load Tag List: You can load a set of Tags from a saved Tag List file so that those tags are available in the new database.

·Field Names: You can add or modify field names.

·Change the order in which fields display in the database.

·Show System Fields: You can select to include the display of system fields in the database.

·Skip first line: The first line will usually list the fields in the DAT file and should not be imported as a record in the database.

·Import rich text: You can select to import rich text formatting when importing a text file.

·See Attachment Fields: You can select the email/attachment range field or the beginning and ending attachment number fields. Making either of these selections allows Concordance Desktop to identify the email and attachment family members.

d. Click OK.

You are returned to the Load File window where the Select DAT File field is populated with the information you entered in the Open window.
Append Direct Append Direct

When importing new records using a DAT file, ensure that any new fields that are not currently in the existing database are added before you begin the append process by selecting File and then Modify. Additional OCR fields will not have to be added in the database.

a. Click Append Direct.

Append by concatenation

The following dialog box opens.

Concordance dialog box

b. Click Yes to continue.

The load file dialog box opens.

Concordance dialog box

The Enter Database Name field is populated with the name of the database you have open in Concordance Desktop. You cannot change this name.

The Select DAT file field displays the path and file name of the file you just dropped onto the DAT database. If you accidentally selected the wrong DAT file, you can click the Browse button to find and select the correct DAT file.

Concordance dialog box

c. If you need to alter the format and delimiter settings, stop here and go to the Create a new database from load files using custom settings section for detailed instructions.

List of settings you can change when selecting to customize: List of settings you can change when selecting to customize:

·Load Field Names From: Location from which to load Field Names. You can select to load Field Names from the DAT file you are loading, from a Template/Structure file, from a previously defined Settings File, or define a new set by manually creating all field names.

·Select the delimited format to import or select custom values: You can change the delimiter settings to match the settings in the load file, should they differ from the standard Concordance Desktop delimiters.

·Select the date format for importing date fields: You can change the date format, if the format in the load file differs from the standard yyyymmdd used in Concordance Desktop.

·Load Tag List: You can load a set of Tags from a saved Tag List file so that those tags are available in the new database.

·Field Names: You can add or modify field names.

·Change the order in which fields display in the database.

·Show System Fields: You can select to include the display of system fields in the database.

·Skip first line: The first line will usually list the fields in the DAT file and should not be imported as a record in the database.

·Import rich text: You can select to import rich text formatting when importing a text file.

·See Attachment Fields: You can select the email/attachment range field or the beginning and ending attachment number fields. Making either of these selections allows Concordance Desktop to identify the email and attachment family members.

d. Click OK.

You are returned to the Load File window where the Select DAT File field is populated with the information you entered in the Open window.

6. To preview the records prior to loading the file:

a. Click the Preview button to open the Preview window.

The preview window displays all fields in which there is data, along with a few records in the load file.

b. To turn on the visibility of empty fields, check the Include Empties check box.

When checked, empty fields are displayed in the preview, along with the populated fields.

c. When finished viewing the records, click OK to to close the Preview window.

7. Do one of the following:

If you have an OPT file to load, select it: If you have an OPT file to load, select it:

a.Click the Browse button next to the Select OPT File field.

b.Locate and select the .OPT file you want to load.

c.Click Open.

You are returned to the Load File window where the Select OPT File field is populated with the selection you just made.
If you do not have an OPT file to load, you can create one: If you do not have an OPT file to load, you can create one:

Typically, the vendor who processed your documents supplies you with a corresponding load file (.opt, .log, or .txt) along with your documents and images. If you do not receive the OPT file, you can create one to use.

a.Click the Create button next to the Select OPT File field.

b.Click the ellipse button and select the location where you want to store the OPT file.

We suggest that you enter a folder and sub-folder that is located in the same directory as the This should be in a sub-folder as your DAT file,and have the same name as. Alternatively, you can open Windows Explorer, locate and open the folder where the image files are, and then drag and drop the image files into the large box below the OPT file.

c.Open a Windows Explorer window.

d.Locate and open the folder where the image (.TIF) files are located.

e.Drag and drag the image files into the large box below the OPT file.

f.Click OK.

You are returned to the Load File where the Select OPT file is populated with the OPT file location you just entered.

8. Click on the Key down-arrow and select the name of the field used to identify the beginning of new records.

An example would be BEGNO.

9. If OCR text is included in the load file, check the OCR contained in load file check box, otherwise leave the check box blank.

10. Click on the OCR arrow and select the name of the field to contain the OCR text in the record.

Some examples are TEXT1 or OCR1

The wizard can import both single or multi-page OCR text files.

11. (Optional) Click the Customize Image/OCR button if you want to change the default OCR method. This option is not available when you check the 'OCR contained in load file' check box, as the OCR'ed text already exists.

The Customize Image/OCR dialog box opens.

Options are:

·Use CN Desktop OCR - Use this option if you want Concordance Desktop to OCR all the files regardless of any existing OCR'ed text files. By default, Concordance Desktop does not OCR the text files.

·Use OPT Files to load Text Files - Use this option if you want Concordance Desktop to load the document-level text from files existing in designated folders that are referenced in the OPT file. Concordance Desktop does not OCR the document-level text, it simply takes the text from the text files and loads it into the associated records.

·Use OCR Text Files - Use this option if you have text files that have already been OCR'ed and you want Concordance Desktop to use those OCR'ed files. As with the Use OPT Files to load Text Files option, Concordance Desktop will not do any OCRing of the text, it will simply load the text from the text files into the associated records. This option casn help save processing time. When this option is selected, you also need to click the Browse button to locate and select the text files.

·Use Field Containing File Path to load Text Files - Use this option if you want Concordance Desktop to load the document level text from an OCR path referenced in the DAT file. This new import option allows you to import document level text if your DAT file references an OCR path. The OCR path needs to be edited to reflect the directory where the text is located or edited to reflect a relative path. When using the relative path in the DAT file, the edited copy of the DAT file must be in the same directory as your text folders.

If the file path pointing to your text files is not accurate the text will not be imported.

12. If you want Concordance Desktop to create optimized PDFs of the native files during the import process, uncheck the Do not process to PDF check box.

By default, the check box is checked, which helps to reduce processing time. When checked, rendering of supported native file types is done on the fly as they are viewed in the viewer. Unsupported file types however, cannot be viewed in the viewer until they are optimized. For more information about optimizing, please see the Optimizing documents to PDF topic.

13. Click Import to start the import of the load files you have selected.

14. If one or more files did not import properly, a dialog box displays telling you to see the log file. Click OK.

15. In the DAT Database dialog box:

·If all files imported properly (i.e., you did not see a dialog box stating one or more files imported properly) , click the Open button to open the database in Concordance Desktop.

·If any files did not import properly, click the View Log button to check the log for any files that did not import properly.


Adding extra OPT files to a database

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Concordance Desktop DBs:

Adding extra OPT files to a Concordance Desktop database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop Image Base (.CIB) file for the Concordance Desktop viewer links native documents and images with their corresponding records in Concordance Desktop. An OPT file is used to import the document and image information into the CIB file. Once a CIB file is created for a Concordance Desktop database, you can view the referenced documents and images in the viewer.

Typically, the vendor who processed your documents supplies you with a corresponding load file (.opt, .log, or .txt) along with your documents and images. If you do not receive this file, you can still load your documents and images into Concordance Desktop and select to create an OPT file during the import.

Since your document and image files and image load file are typically provided by a vendor on a CD or DVD, the path information listed could be written in the D:\ drive and will need to be changed. You can provide the vendor with a specified directory path in advance if you already have a designated location for your images. If not, you can change the directory information yourself. See Renaming file paths and folders.

Before you load any additional OPT files, make sure that you review the file to ensure it meets the specifications for formatting. For more information, see Concordance Desktop imagebase load file formatting.

The OPT file can contain both documents and images that are either single-page or multiple-page files. Each file must contain a unique ID (media key). Before loading an OPT file, make sure that it provides an image media key, volume, file name with the path, and page break.

When importing a multi-page image file, make sure that the file is formatted as a .tif file (.tif formatted files are the only image type file that recognizes document breaks). All other image formatted files (.jpg, .bmp, .gif, etc.) can only be imported as a single-page single image file. For example, a three page document for a single record should be loaded as a .tif formatted file in order for the viewer to display all three pages. If you load separate .jpg files for each page of the document, the viewer only displays the first .jpg file, as only one .jpg file can be associated with a record.

Before you can drop a file onto a database, you must open that database in Concordance Desktop, and ensure that the database is open in either Browse or Table mode on the Concordance Desktop workspace. Whatever database is currently open and has focus is the database to which the file will be appended. If no database is open, the drag and drop action will fail.

To add an extra .opt file using drag & drop To add an extra .opt file:

1.Open Windows Explorer and navigate to the folder where the opt file you need to add (load) is located.

2.Review the OPT file to make sure that the data contains a valid media (image) alias and file path for each document or image.

Do not close Windows Explorer, as you will need to have access to the OPT file for step 5.

3.In Concordance Desktop, open the database to which you need to add the OPT file.

4.Click on the Browse view button to open the database in browser view.

5.Drag the OPT file in the Windows Explorer window onto the database in the Concordance Desktop window.

If you closed the Windows Explorer window you had opened in step 2, open it again and navigate to the folder where the opt file is located, then drag and drop the OPT file onto the database open in the Concordance Desktop window.

A dialog box opens asking if you are sure you want to add files to the current database.

Add files confirmation box.

6.If you are sure you want to add files to the current database, click Yes.

The files are imported and an optimized PDF is created for each native file.

7.When finished, locate the first document associated with the OPT file you dropped on the database.

8. On the Dynamic toolbar, click the View Image (Camera) button to open the document in the viewer.

If the document is a supported file type, the viewer opens and displays the document.

If the document is not a supported file type, the viewer opens and displays a page stating that the document cannot be viewed in the viewer. You can view the document in its originating software by clicking on the document link in the record displayed in Concordance Desktop, providing you have the originating software application installed on your computer.


Overlaying existing imagebase
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You may receive new image load files and images to replace existing images after creating your database. The overlay option loads images into the existing imagebase without adding additional images. Verify the filename and path information in the image load file is correct before performing this task.

File paths, folders and imagekeys are case-sensitive. Make sure the new image path and filename case match to ensure that the paths are replaced.

Use caution when overlaying images paths as there is no undo function and changes are permanent. We recommend backing up the database files before performing this process or other imagebase management tasks.

To overlay image files To overlay image files:

1. From the File menu, click Administration, Image Base Management and then Overlay/Append OPT.

2. Click the Browse button, locate and open the .OPT file you want to load.

3. Click Overlay. A prompt will appear to confirm overlay:

All existing markups, including redactions, will not be transferred to replacement images. If the image file wasn't there previously then it will be appended to the database.

In load file databases, the imagekey field was selected during the initial import when the database was created. The imagekey values in your load file must match the values in this field in the database.

4.Click Yes to continue.

If any errors occur, a log file will be saved in the Logs folder where the database is saved in Windows.

5. In Concordance Desktop, open a record to view your image files.


Adding e-documents to CN 10.x databases

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Migrated Concordance 10.x DBs:

Adding e-documents to a migrated Concordance 10.x database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop is able to import a variety of electronic documents (eDocuments), including text, Adobe Acrobat PDF, Microsoft Word, PowerPoint, Excel, and Outlook or Outlook Express message files into an existing eDocuments database.

Electronic documents require that source file software, like Microsoft Office and Adobe Acrobat, are pre-installed on your network in order to extract the data from the file and import it into your Concordance Desktop database.

Concordance Desktop, however, does not allow importing of data from any zipped, encrypted, .exe, or system files. The files are imported but not the data contained with the file. You’ll need to adhere to any forensic data processes as outlined by your organization or recommended for e-discovery processing.

Some earlier versions of Microsoft Excel files are no longer supported through Microsoft and cannot be opened from Concordance Desktop. For more information, please see the Microsoft website.

When using the Record Divider option, imported Microsoft Excel files that contain more than one sheet and viewed in Concordance Desktop Viewer will display only the first sheet for the database record. No view is available for the other sheets associated with the record.

Adding documents to an existing E-Documents database is made easy using a simple file drag-and-drop operation. Concordance Desktop automatically processing the documents, assigning document IDs, reading document metadata, extracting text, and appending the records to the database.

Any file or electronic document format not supported will be added to the database as an excluded file, but the contents will not be imported. You’ll need to adhere to any forensic data processes as outlined by your organization or recommended for e-discovery processing.

Some earlier versions of Microsoft Excel files are no longer supported through Microsoft and cannot be opened from Concordance Desktop. For more information, please see the Microsoft website.

Supported e-document file types

Concordance Desktop supports the following e-document file types for creating and adding documents to an e-documents database:

File Type | Description
*.tif, *.tiff | Tagged Image File
*.jpg, *.jpeg | Joint Photographic Experts Group
*.gif | Graphic Image File
*.bmp | Bitmap
*.asc | ASCII text
*.pcx | PC Paintbrush bitmap
*.csv | Comma-Separated Values
*.cal, *.cals | Facsimile
*.pdf | Adobe Portable Document Format
*.doc, *.dot, *.docx | Microsoft Word
*.ppt, *.pps, *.pptx, *.pptm | Microsoft PowerPoint®
*.xls, *.xlsx, *.xlw, *.xlt | Microsoft Excel®
*.msg | Microsoft Outlook 2010 or later Message File
*.eml | Microsoft Outlook Express
*.txt | ASCII Text
*.rtf | Rich Text Format
*.html, *.htm | Web/HTML
*.pab | Microsoft Outlook Personal Address Book
*.wps | Microsoft Works

When importing records using a DAT file, ensure that the carriage return delimiter is set to something other than "new line" (value 013). If the new line (value 013) delimiter is set, change the delimiter in the DAT file before attempting to import the file.

Adding a DAT file to an e-documents database To add extra documents to an existing Concordance 10.x database:

1.In Concordance Desktop, click Documents, click Import, then click e-documents.

2.Select whether to import by file type(s) or by specific files.

3.Select how you want to import the files.

Adding a DAT file to an e-documents database To import by file type:

a.Select the Import by file type option, then click Next.

b.Select the file extensions you want to import.

Import all extensions (*.*) indicates that all files, regardless of the extension, are to be imported. If you select this option, you can still exclude some of the files by clicking the Exclude button.

Import selected extensions allows you to select only specific file types to import. If your file type is not listed (for example, docx), you can add it by clicking the Add custom button.

c.When finished selecting the file types, click Next.

d.Go to the folder where the files are located.

e.Click Add to add the folder to the Directory pane.

To select another folder, repeat the step above.

f.(Optional) To import files from sub-folders in the folder you have selected, check the Import files from subdirectories button.

g.Click Next.
Adding a DAT file to an e-documents database To Import specific files:

a.Select the Import specific files option, then click Next.

b.Go to the folder where the files are located and select the files.

To select multiple files, use SHIFT+click or CNTRL+click.

c.Click Add.

d.Click Next.

e.Continue on with step 4.

4.Select the field mappings for your database, and click Next. For fields that do not match, leave them set to <none>.

5.Select the appropriate options for the files you are importing.

6.Match metadata field names

7.Store file name without full path

8.Create hyperlinks to original document

9.View e-Docs in Concordance Desktop Viewer

10.Auto-number documents with a DOCID (document ID)

11.If you select to auto-number DOCID, you need can setup a Prefix to precede the number, and the number to begin with. Ensure that you precede the starting number with zeros.

12.(Optional) To create a plain text file for messages produced during the import, click Browse to setup a log file name and location to capture the messages.

13.(Optional) If importing plain text files, enter the Record divider. If the record divider is anchored, also check the Divider is anchored check box.

14.Click Next.

15.Click Import.

16.When the import finishes, click Done.


Adding e-mail & attachments to a migrated Concordance 10.x E-mail database

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Migrated Concordance 10.x DBs:

Adding e-mail and attachments in a migrated Concordance 10.x E-mail database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When adding additional e-mails and attachments to a Concordance 10.x database that has been migrated to Concordance Desktop, it is best to if the database you are adding them to is a Concordance 10.x migrated E-mail database, they contain unique internet account type coding for the author and recipients, include a parent and child structure that needs to be preserved, and attachments that need to be retained. All of these components are critical metadata that can easily be altered, spoiling original records and damaging critical information regarding who knew what and when. Once damaged, this information is nearly impossible to restore and is irretrievable after the documents have been added to the database.

Concordance Desktop provides an E-mail database wizard, which includes typical metadata fields from Outlook and takes care of the field mapping for you. The import wizard automatically establishes parent-child relationships with the e-mail messages and their attachments. This provides efficient and comprehensive searching and saves time in document loading. The wizard also lets you create and modify fields as needed.

When adding e-mail and attachment files to a Concordance 10.x migrated concatenated database, the e-mails are appended to the last database in the concatenated set. When adding a whole e-mail .pst file, a new e-mail database is created from the .pst file and the databases are automatically concatenated (CAT). The database into which you are importing the .pst file becomes the primary database in the CAT set.

If you need to export your e-mail from Concordance Desktop back to a .pst file, then consider using Discover the Wave’s Trident Pro software.
To add e-mail and attachments to a Concordance 10.x migrated E-mail database To add e-mail and attachments to a Concordance 10.x migrated e-mail database:

The third step in importing e-mail and attachments is to import the e-mail and attachment files into your e-mail database. E-mail is imported into Concordance using the Import e-mail wizard. The Import e-mail wizard automatically establishes parent-child relationships with the e-mail messages and their attachments. This provides efficient and comprehensive searching and saves time in document loading.

When importing e-mails into a concatenated database, e-mails are updated when the fields of an imported e-mail match an existing email. When the fields do not match, the imported email is appended to the last database in the concatenated set.

1.In Concordance, open the E-mail database into which you want to import additional documents.

2.On the Documents menu, click Import, and then click E-mail and Attachments.

3.In the Choose Profile dialog box, from the Profile Name list, select the name of the e-mail profile you created, and click OK.

Choose Profile dialog box

4.In the Import e-mail - Folder dialog box, click the .pst folder associated with the e-mail profile you created.

To import the entire .pst file, be sure to click the .pst file's top-level folder. If you select a folder that does not contain e-mail messages, such as the Microsoft Outlook calendar or contacts, the folder can be imported, but the records created will not be complete because the Import e-mail wizard only imports information related to e-mail messages.

Import e-mail - Folder dialog box

5.To include the folder's subdirectories, make sure that the Import subdirectories check box is selected.

6.Click Next.

7.In the Import e-mail - Attachments dialog box, specify any of the following:

Import e-mail and attachments

·To extract attachments, make sure that the Extract .MSG files and attachments with e-mail check box is selected, and browse to the directory where you want to store the extracted email files and attachments.

E-mail .msg files and attachments can be extracted and saved to a specific directory.

By default, the Extract .MSG files and attachments with e-mail and Create subdirectories for attachments check boxes are selected. The Attachment directory field defaults to the e-mail database's directory, the Subdirectory prefix field defaults to ATTACH, and the Max files field defaults to 500.

It is best practice to store attachments in subdirectories, especially when you are managing large numbers of attachments.

·To store email .msg files and attachments in subdirectories of the directory displayed in the Attachment directory field, make sure that the Create subdirectories for attachments check box is selected. In the Subdirectory prefix field, type the prefix you want to use for the subdirectory folder names, and in the Max files field, type or scroll to the maximum number of files allowed in each subdirectory.

Subdirectories are named using a prefix and a number. For example, if you specify the prefix ATTACH and the maximum files to store as 500, the first subdirectory created will be ATTACH0000. After that directory is filled with 500 files, the import creates the ATTACH0001 directory, and proceeds to store attachments in the ATTACH0001 directory until it reaches 500 files. This process continues until all the attachments are extracted.

·To display e-mails in the viewer for review, select the View e-mails in Concordance Desktop Viewer check box.

Selecting this option creates the Concordance Imagebase (CIB) file that is needed to link the view of the e-mail files with the corresponding record in Concordance. You must modify the database and make DOCID the image key field. To modify the database fields, see

6.When finished, click Next.

7.In the Import e-mail - Date range dialog box, specify any of the following:

·To import all e-mail messages in the selected .pst folder, select the Import all e-mails option.

·To import only the e-mail messages for a specific data range in the selected .pst folder, select the Import e-mails from a specific date range option and then specify the Begin Date and End Date.

Import e-mail - Date range dialog box

8.When finished, click Next.

9.In the Import e-mail - Fields dialog box, specify any of the following:

You can map specific e-mail fields, such as the sender and recipient, to Concordance database fields. Using the E-mail and Attachments template to create your e-mail database ensures all fields exist for accurate mapping between e-mail messages and the Concordance fields. The E-mail and Attachments database template has all the fields necessary to import and store e-mail messages.

The left column displays the e-mail message fields, and the right column displays the database fields.

If your e-mail database was created from the E-mail and Attachments template, the database fields are automatically mapped to the correct e-mail message fields.

If your e-mail database was not created from the E-mail and Attachments template, select the database fields you want to map to the e-mail message fields.

Import e-mail - Fields dialog box

10.When finished, click Next.

11.In the Import e-mail - Options dialog box, specify any of the following:

Import e-mail - Options dialog box

·To auto number the imported e-mail messages, select the Auto-number documents with a DOCID (documentID) check box, and then enter the Prefix and Starting number (zero-filled).

Auto-numbering your documents when importing e-mail messages provides a prefix and starting number for each e-mail message and any attachments, while also tracking family groups in a DOCID and PARENT_DOCID field. If the option is selected and the Prefix and Starting number are not specified, Concordance will automatically create one for each document.

The Auto Number documents with DOCID option must be selected to successfully view the documents in Concordance Desktop Viewer.

·Select the Display full path of attachments check box to display the full path to attachments.

By default, only the file name is displayed.

·Select the Do not allow duplicate e-mails check box if you do not want to import duplicate e-mails.

Most e-mails have a unique message identifier called the message-id. This entry is stored in the MESSAGEID field. Before importing a message, the Import e-mail wizard checks to see if any previously imported e-mails have the same message-id. If the wizard finds another record with this message-id, it does not import the message.

·Select the Import HTML formatted e-mail text as check box to import the body of HTML formatted e-mail messages as RTF/Plain text or Native Format formatting, and then select the text format to use to convert the format.

·Select the Create log file for attachment import errors check box if you want the import to create an import error log.

12.When finished, click Next.

13.In the Import e-mail - Finish Import dialog box, click the Import button to start the import.

Import e-mail - Finish dialog box

14.When the import is completed, click the Done button.
To verify the imported files To verify the imported files:

Once you have imported your e-mail messages, it is best practice to verify that the files imported correctly. After verification, you need to reindex or index the database.

1.In Concordance Desktop, open the Browse view.

2.In the Browse view, verify that the e-mail messages you imported display properly.

3.If you have already indexed the database, reindex the database. Otherwise, run a full index.

For more information about indexing and reindexing databases, see Indexing and reindexing updates.

If you receive the following message, Dictionary file exists, overwrite?, click Yes.


Adding records in a DAT database

Navigation: Administration > Database Administration > About Adding More Files to Databases > Adding Files to Migrated Concordance 10.x DBs:

Adding records to a Concordance 10.x migrated DAT database
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Due to a database formatting difference between Concordance 10.x DAT databases and Concordance Desktop DAT databases, there is no method available for updating or appending records to a Concordance 10.x DAT database that has been migrated to Concordance Desktop. Therefore, if additional records need to be added to a migrated Concordance 10.x DAT database, you must do so by creating a new DAT database with the new/updated data, and then concatenate that new DAT database with the migrated Concordance 10.x DAT database.

For information on creating a DAT database, refer to the Creating a new database from load files topic.

For information on concatenating databases, refer to the Joining multiple databases (concatenating databases) topic.


Setting data validation
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Once you have created your database, you can define the data validation attributes for your database fields in the Data Entry Attributes dialog box. Data validation attributes are settings that define how data is entered in fields within the Edit view.

For example, you can define a field that only allows upper case letters for field values or you can make a field read only. You can also define the parameters for authority lists, which are field value lists. Your data validation selections are stored in the database's [database name].ini file.

For more information about authority lists, see Creating word lists.


Updating existing database records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, you can drag and drop a DAT update file onto a Concordance Desktop Load File (DAT) database, an e-Document database, or an e-mail and attachments database to add information to existing records. To use the drag and drop functionality, you must either log onto the Concordance Desktop server/computer where the database you want to add to resides, or use Windows Remote Desktop to log onto that server/computer.

When importing records using a DAT file, ensure that the carriage return delimiter is set to something other than "new line" (value 013). If the new line (value 013) delimiter is set, change the delimiter in the DAT file before attempting to import the file.

Prior to dropping a DAT file onto a database, ensure that the document file path listed in the DAT file is the same as the document file path in the database, as document file paths do not update. If the file paths are different, when you click on a document link it will open the old document in the database as opposed to the updated document.

To update existing database records To update existing database records:

1.In Concordance Desktop, open the database in which you need to update records.

2.In Windows Explorer, open folder containing the updated DAT file.

3.Drag the updated DAT file onto the database in the Concordance Desktop workspace.

A DAT File Drop Operation box opens.

4.Click the Overlay button.

If the database is part of a concatenated set of databases, a Databases for overlay box opens. If not, skip to step 6.

5.Select the database to update, and click OK.

An Overlay Database box opens.

The import process attempts to determine which field to use as the indicator that a record has an update, and then preselects that field in the Key Field box.

If the delimiters in the update DAT file match those in the database, all fields currently containing information in the database are selected (checked) for updating. System fields, and any fields in the DAT file that do not have a corresponding field in the database, are grayed out.

If the delimiters in the update DAT file do not match those in the database, no fields are checked in the box. Please see the 'Using the Customize Load File Preview' section below if no fields are checked. Once you are done in the customize window, you can continue on with step 6 below.

6.If the preselected field in the Key Field box is not correct, click the down-arrow and select the appropriate field.

7.Do one of the following to select the fields you want the import process to update, if you do not want all fields to be updated.

·To deselect only a few fields: Remove the check mark from each field you do not want to update.

·To select only a few fields: Click the None button to remove the check mark from all fields, and then check only those fields you want to update.

If you click the None button in error, click the All button to re-check all the fields.

8.Click Start.

The updated information from the fields in the updated DAT file replace the information in the fields in existing matching records.
Using the Customize Load File Preview Using the Customize Load File Preview

If your update DAT file field delimiters do not match those in the database, you can change the delimiters in the load file to match those in the database by using the Customize button.

1.After the Overlay Database box opens, click the Customize button.

A Load File Preview box opens displaying the first three lines of the DAT file. Within those lines, only fields that can be found, based on the delimiters being used, are displayed. If no fields are displayed, it indicates that the fields cannot be found because the delimiters are not matching those found in the database. If this happens, you need to correct each delimiter until all fields are displayed in the view.

2.Click the Format down-arrow and select the format of your update DAT file.

If all fields appear, you are finished – go to the last step.

If only some of the fields appear, please continue with the next step.

3.Click on the down-arrow of the delimiter that appears to be causing the issue, and select the appropriate code.

4.Repeat step 3 until all fields appear in the display area.

5.Click OK.

You are returned to the Overlay Database box where you can continue one with step 6 (in the section above) to complete the import of the overlay files.


Creating a database template
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Database templates are stored in the Concordance Desktop Templates folder and its subfolders: C:\ProgramData\CloudNine\Concordance Desktop\Templates.

All templates in the Templates folder and the Templates folder's subfolders are displayed in the Create database from template dialog box. With the exception of the General tab, the Templates folder subfolders are displayed as tabs in the dialog box. The General tab contains all database templates in the main Templates folder.

You can save your database templates in one of the existing Templates folders or create your own Templates subfolder. Concordance Desktop comes with some pre-defined templates and template subfolders. You can modify or delete the pre-defined templates and subfolders if they do not meet your organization's needs.

When you create a database, a temporary subfolder is added to the database folder structure. This folder is only temporary and will be removed when the database is closed.

Predefined Database Templates
Predefined Database Templates
Folder Name | Template Name
Templates* | Blank Generic 20 Field Research Bibliography *The Templates folder is displayed as the General tab in the Create database from template dialog box.
E-DOCS | E-Documents E-mail And Attachments
LEGAL | Litigation Document Production Transcripts

Creating a database template is great for building future Concordance Desktop databases. Database templates are created by exporting an existing database's structure. When you export a database template, the template includes fields, data types, properties, punctuation, stopwords, field data validation settings, and .ini file settings like alias groups and tags. The database structure is stored in a database.dcb file. User Management settings are not included in the template.

To create a database template To create a database template:

1.In Concordance Desktop, open the database from which you want to create a database template.

2.From the Documents menu, click Export, and then Structure.

Clicking Structure opens the Copy Structure dialog box.

3.Navigate to the Templates folder or one of its subfolders, type the name of the database file in the File name field, and click Save.

If you want to create a new subfolder, navigate to the Templates folder, create the subfolder, type the name of the database file in the File name field, and click Save.


Moving a registered database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

If you need to move the location of a database that has already been registered in Concordance Desktop, you need to complete several steps.

To move a registered database:

1.Unregister the database in Concordance Desktop. See Registering/unregistering a database

2.Move the database folder (including the natives folder) to the new location.

3.Open the Concordance Desktop Admin Console. See Opening the Admin Console

4.Register the database. See Registering/unregistering a database

5.Close the Admin Console.

6.Open the database in Concordance Desktop. See Opening a database

7.Update the path to the Native files. See Renaming file paths and folders

8.Reindex the database. See Indexing and reindexing updates (This step may not be necessary, but suggested)

9.Run the CreateHyperlinks CPL. See CreateHyperlinks

10.Test the path in Concordance Desktop. Open the database again and test a few of the hyperlinks.


Indexing Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A Concordance Desktop database must be indexed prior to searching. When an index is run during the creation of a new database, it is actually creating and populating the Concordance Desktop dictionary and index files for the first time. How your database records are indexed ultimately affects how reviewers search for information:

·Full-text searching works only on indexed fields

·Relational searching is for non-indexed fields or keyed fields

·Paragraph fields are indexed by default

You can, however, index just about anything in your database depending on how you create the database structure. When you are building your database, you want to plan which fields to include in the dictionary and index. The smaller the dictionary and index, the faster your searching and indexing speeds will be.

Indexing versus Reindexing:

·Indexing is performed when the initial database is built, and needs to be performed after every database modification, including changes in fields, punctuation or the stopwords list. Indexing is an exclusive process.

·Reindexing is performed when new records are added to the database or when there are new annotations and modifications to record content. Reindexing appends new information to both the index and dictionary files.

Indexing considerations

Indexing and reindexing databases is integral in keeping your database updated with current review information, free of unnecessary and obsolete files, and processing efficiently for full-text searches by the review team. Indexing large datasets is time consuming, but is a standard process and part of your database maintenance schedule.

When Concordance Desktop databases are built, the index and dictionary are generated from the document contents. The dictionary contains a list of every word or string of characters in the database's record collection. The index contains directions to every word or string of characters in the database.

Example: airforce1 or ABC00001

Both airforce1 and ABC000001 qualify as index entries and are searchable. Concordance Desktop considers both examples, including both the letters and numbers, to be a word, because there is no space between the characters. Spaces between characters would disqualify them as words; a space between airforce and 1 would be read as two words.

Please consider the following before you create a database or index it and create the dictionary:

·Avoid indexing serial and Bates numbers (unique value fields)

·Punctuation needs to be set only once and only pertains to indexed fields

·Punctuation is indexed only if embedded between alphanumeric characters. All leading and trailing punctuation is trimmed.

·Update the database's stopwords list to exclude additional words that you want ignored during indexing and searching

·A well-defined stopwords list keeps your dictionary and index lean

If indexing or reindexing processing speeds seem slow, you may want to increase your Concordance Desktop server's RAM and check your Indexing cache settings on the Settings tab in the Admin Console.

Index files

Indexing scans the database and notes where each word occurs. These occurrences are stored in two files created during the indexing process, the dictionary file (.dct) and the inverted text file (.ivt). When you perform a search, Concordance Desktop looks in these two files for your words, not in the actual text of the database. Due to the structure of these files, the search is performed very rapidly, much faster than searching each document one-by-one for every word.

The dictionary file is stored in the database directory folder. The .dct file contains all dictionary words and their hit and document counts.

The inverted text file is accessed along with the .dct file when reviewers perform searches. The .ivt file contains a path to all words, along with the applicable number for each record, field, line, and word for each word in the .dct file.

Both the .dct and .ivt files contain a B-tree data structure, and the size of each file is important. When full-text searches are performed, this process only accesses these two files.

Building the initial index for these records can take many hours. Reindexing a day’s worth of new documents could take a few hours, so it is better to reindex after entering a few records in order to have that content searchable in a timely manner.

Indexing Process

Concordance Desktop follows several rules when indexing the database. Words must begin with an alphabetic or numeric character. Once the beginning of a word is found, Concordance Desktop scans until it finds the first non-alphanumeric character. This character is compared against the list of embedded punctuation characters. If the character, such as a decimal point, is found in the list and the following character is alphanumeric, then that punctuation is included in the word. Otherwise, the first non-alphanumeric character will mark the end of the word.

Embedded Punctuation

User definable embedded punctuation is provided so that hyphenated words, dates, decimal numbers, and contractions are not split into two or more words. By default Concordance Desktop uses ‘ . , / characters for embedded punctuation. Note that the hyphen is not included in the default set. You may want to include them, but it is recommended that you leave them out. Proper names, such as Mary Smith-Jones, would only be searchable under the Smith prefix if hyphens were used as embedded punctuation. Use the Punctuation field in the Modify dialog box to change the default characters.
Case Sensitivity

Concordance Desktop is not case sensitive. All words are converted to upper case letters when placed into the dictionary. All searches are likewise converted to upper case before being processed. This upper case conversion does not affect the original text that exists in your documents.
Word Length

A word can be any length of characters, but only the first 64 are considered significant. Longer words are truncated to 64 characters when they are stored in the dictionary. When you search for a word longer than 64 characters, your search word is truncated before being looked up in the dictionary. The source text is not affected.
Stopwords

Words that occur frequently, such as the, and, and or, have little search value. Such words are commonly referred to as noise words. Concordance Desktop stores these types words in a stopword list. Words that occur in the stop list are not stored in the dictionary. Excluding them from the dictionary saves time in the indexing process and significant disk space on your computer without impairing the database's ability to retrieve data. The list of stopwords is user defined and can be printed or changed in the Stopwords dialog box. If you have not specified any stopwords for your database, Concordance Desktop uses the default list in the concordance_[version #].stp stopwords file.

The stopword dictionary is used during the indexing process. Adding or deleting words from the stopword dictionary does not affect the existing database dictionary. Editing the stopword dictionary requires a complete index of the database for the changes to take effect.

For more information about stopwords, see Updating the stopwords list.


Indexing and reindexing updates
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Actively used databases need frequent updating to keep the index and dictionary entries current. In Concordance Desktop, we refer to creating the database index as a full index, and refer to an index update as a reindex, which simply updates the database dictionary and its corresponding index.

During the creation of a load file database, you can select the option to run the index automatically after the import process. However, if that option is not selected, have an option to have the database automatically indexed during the

Reviewers are typically not given indexing or reindexing privileges because of the sensitivity involved in running these processes. Concordance Desktop administrators must ensure that all data is reviewed and proper back-ups are made before indexing or reindexing the database with updates.

For information about indexing and reindexing concatenated databases, see Indexing and reindexing concatenated databases.

Indexing databases

Running a full index is necessary after you create a new database, if the database status in the Admin Console displays that the database has not been indexed. However, there will also be times when you need to perform full index updates to include modifications to the dictionary, stopwords list, and punctuation settings. Running a full index is an exclusive process and only the administrator can access the database at that time.

When performing a full index, please consider the following:

·Perform a full index when all reviewers are logged out of Concordance Desktop, processing can take hours and impacts access to the system and work activity

·When possible, plan to perform full indexes when it doesn’t impact regular work hours

·Alert all reviewers of when indexing will occur and the timeframe for when the system may be available again

·Verify that all reviewers are logged out of the system before you run this process

You may find it useful to maintain an email distribution list for the review team for times when you need to ask everyone to exit a database.

On the File menu, Concordance Desktop adds a check mark next to the Index command:

In the Databases task pane, Needs Reindexing is displayed in the Current Databases panel:

In the Admin Console, under the Management tab when you click on the Databases folder:

In the Indexed column in the table on the right, Yes indicates that the database has been indexed, while No indicates that it needs to be.

In the Admin Console, under the Management tab, when you click on the Databases folder, and then click on a database name.

Under the Database heading in the pane on the right, there is a row for Indexing Needed. A Yes in this column indicates that the database needs to be indexed, while a No indicates that the database has already been indexed.

To index a database:

On the File menu, click Index.

Reindexing Databases

You can determine whether a database needs reindexing on the File menu and the Databases task pane, or in the Admin Console when you have the Management tab open and you click on the Databases folder. A database needs reindexing whenever the database dictionary is not current with the additions or changes that have been made to the database since the database was last indexed or reindexed.

On the File menu, Concordance Desktop adds a check mark next to the Reindex command:

In the Databases task pane, Needs Reindexing is displayed in the Current Databases panel:

When performing a reindex, please consider the following:

·Run a query on edited records or those marked for deletion. To do this, on the Search menu, click Search for edited documents.

To reindex a database:

On the File menu, click Reindex.


Finding the database indexing time
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Knowing the indexing time for databases can help you plan your indexing schedules. Once you have built your databases, you can find out how long it takes to index each database by checking the Concordance Server.log file. The Concordance Server.log file is stored in the Working Path directory usually found at C:\ProgramData\LexisNexis\Concordance Desktop\Working Path.

To find a database's indexing time:

1.Navigate to the Concordance Desktop Server Working Path folder containing the Concordance Server.log file.

The default directory is C:\ProgramData\LexisNexis\Concordance Desktop\Working Path.

2.Right-click the Concordance Server.log file, click Open With, and then Notepad or another text editor program to open the .log file.

3.Locate the database name and indexing time.

The indexing time is listed after the database name. The .log file also displays the amount of cache used during processing, the number of database records, and the user who performed the index.

The example of the .log file shows indexing in seconds, but realistically, your database is probably going to index in hours, not seconds.


Updating the stopwords list
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Stopwords are the most common words in the English language (and, the, but, etc.). Stopwords are not words that are generally searched for by reviewers. Eliminating stopwords from the index ensures that searches run much faster and efficiently. Stopwords are stored in the [database name].STP file. Concordance Desktop automatically creates a list of 141 stopwords in .STP file.

You may receive requests from reviewers to add a specific word that is common to the case review documentation and needs to be avoided during searches. Administrators can modify the Stopwords list for your review team when necessary.

Editing the Stopword list requires a full index of the database for the changes to take effect.

The Stopword list is only used during the indexing process. Adding or deleting words from the Stopword list does not affect the existing database dictionary until the database is indexed.

To update the stopwords list:

1.On the File menu, click Dictionaries, and then Stopword list.

Clicking Stopword list opens the Stopwords dialog box.

2.To add a word to the Stopword list, type the word you want to add in the field below the Stopword list, and click the Add button.

Wildcards can be used with stopwords to eliminate large groups of words. For example, adding 9* to the stopwords list eliminates every word or number beginning with the character 9 from the database dictionary.

For searching purposes, it is recommended that only Latin based characters are used in the Stopword list.

3.To search for a stopword, type all or part of the word in the field below the Stopword list.

As you type, the list scrolls to the word closest to the word you are typing. You can also use the scroll bar and buttons to find a word in the list.

4.To delete a word from the Stopword list, click the word in the list, and click the Delete button.

5.To print the Stopword list, click the Print button.

6.Click OK to save your changes.

7.Index the database to update your database.

Stopword list changes will not apply to searches until a full index is run.


Adjusting punctuation settings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

For full-text searching, punctuation is not indexed. Concordance Desktop treats punctuation as spaces. All punctuation is ignored, such as periods or quotations, as well as currency and percentage symbols.

There are two exceptions to this rule, and both exceptions must be true:

·Punctuation is listed in the Punctuation field on the New or Modify dialog box to be indexed

·Punctuation is embedded in a string of characters

You can find what punctuation is full-text searchable in a database, when it’s embedded in a string of characters, by checking the Punctuation field in the database properties dialog box. By default, Concordance Desktop includes the apostrophe, period, comma, and forward slash. You may want to add symbols like the ampersand and the at sign for e-mail databases.

Examples: Embedded Punctuation

·AOL.com and NETSCAPE/AOL – Allows you to search on these terms because the entries relate to a case regarding Internet browsers.

·D’Arcangelo – The apostrophe is embedded because of the surname spelling. People mentioned in case records may have possessive apostrophes embedded in their names and may be added to the list because the name is searched often.

·john.smith@organization.com – The period and at sign are both examples of embedded punctuation within an e-mail address.

To adjust punctuation settings:

1.On the File menu, click Modify to open the Modify dialog box.

2.In the Punctuation field, add or delete the applicable punctuation.

3.Click OK to save your changes.

4.Run a full index to update the database dictionary with the punctuation changes.


Reviewing the dictionary
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, a word is any string of characters. A word can be a series of numbers or a combination of letters, numbers and even punctuation or symbols. Familiarize yourself with your database dictionary by reviewing or printing the entries.

The maximum length of a dictionary word is 64 characters. When a word exceeds 64 characters, only the first 64 characters of the word are included in the dictionary. Since the full word is not listed in the dictionary, the word may not be found in the database.

For example, creating a word that includes the file name and path can create a word longer than 64 characters that is not found in the database.

You can review dictionary entries in three areas:

·The database properties dialog box displays the number of words included in your dictionary and the punctuation that is indexed.

·The Dictionary dialog box accessed from the File menu provides a complete listing of all the words included in the dictionary, the number of documents each word appears in, and how many word hits there are for each word in the dictionary.

To search for a word in the dictionary, type all or part of the word in the field below the word list.

To print the words in the dictionary:

1.On the File menu, click Dictionaries, and then Database dictionary.

2.To print a range of words, in the From field, type the first word in the range, in the To field, type the last word in the range, and click the Print button.

To print all words in the dictionary, leave the From and To fields blank, and click the Print button.

To print the dictionary words to a .txt text file, select the Print to file check box before clicking the Print button.

·The Dictionary dialog box accessed from the Search pane allows reviewers to select words from the dictionary and add them directly into search logic in the Advanced Search panel.


Creating and Managing Tags
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Typically a Concordance Desktop Administrator or Litigation Support Manager works with a lead attorney to build a set of tags for case review that include standard naming conventions and that adhere to internal guidelines for a case review. These tags are often organized into folder structures that indicate phases of review, case topics, or are designated by reviewer. Once tagging conventions are determined, as the administrator you will most likely be setting up these tags and folders after you build the database so the review team can be begin searching and tagging immediately.

If you are working with a team of administrators, we recommend that only one or two people be in charge of tag management, especially when making new ones and deleting unnecessary tags. This prevents duplication of efforts and helps tag trees remain uncluttered for all reviewers working in the database.

Managing tags in Concordance Desktop requires the following:

·Creating and applying tags to documents and queries

·Removing, renaming, and deleting tags and folders

·Importing and Exporting tags

·Querying tags and folders

·Tracking tag activity in the Tags task pane and .TRK file

·Backing up the tag file

For more information about basic and advanced tagging and tagging strategies, see the topics in the Basic Tagging and Advanced Tagging books under the Using Concordance Desktop book.


Creating tags
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Tags can be used to categorize documents for any purpose. Use tags to mark documents for status, witnesses, issues, exhibits, keywords, reviewer assignments, or anything else you want to mark. You can group similar tags or issues by creating a folder and adding tags or issues to that folder. Multiple levels of folders can be created to simplify document reviews. You can also create personal folders and sub-folders to help organize your personal tags and issues.

Both reviewers and administrators are able to create and apply tags to documents, but administrators have the ability to do this in four locations so they can track and manage tagging activity.

Tags and tag folders do not support Unicode characters. Only ASCII (values 032-126) characters are allowed. If a tag name or tag folder name contain an invalid character, you are prompted to rename the tag or tag folder.

There are six ways you can create tags:

·In the Tags task pane

·On the Add/Delete tab in the Tag and Issue Management dialog box

·By writing tags directly in the TRK file

·By writing tags directly in the INI file

·Writing tags from field data

·Importing Tags

Reviewers can apply tags and create tags in the Tags task pane. Administrators usually create and manage the tags available to all users in the database on the Add/Delete tab in the Tag and Issue Management dialog box.

For a tag folder to exist in Concordance Desktop, it must have at least one tag created in it. There is no known maximum limit on the number of tags you can create and apply in Concordance Desktop.

To create a folder for administrative tags, name it zAdmin so it displays at the end of the tag/folder tree and does not distract reviewers.

A tag name cannot contain more than 199 characters.

When creating tags and folders, the folder and tag string cannot exceed 199 characters.

Example:

The following folder/tag combination would be translated as a total of 45 characters.

001_Reviewer_Assignment

9Proposal

9Cary_Grant

001_Reviewer_Assignment>>Proposal>>Cary_Grant = 45 characters

To create tags and tag folders in the Tags task pane:

1.Open the Tags task pane.

2.To create a new tag folder, right-click the Tags task pane, point to New, and and then do one of the following:

·To create a new folder, click Folder.

·To create a subfolder, right-click to select the parent folder, point to New, and click Folder.

3.Type the name of the new folder and press Enter.

When you are creating a folder, you must add at least one tag to the folder, or the folder will not be saved when you end your Concordance Desktop session. You cannot create empty folders.

Personal folders are pink and can only be viewed by the user who created the folder and the administrator. All public folders are yellow.

For more information about creating personal folders and tags, see Organizing tags.

4.To create a new tag, do one of the following:

·To create a tag in a folder, right-click to select the folder, point to New, and then click Tag.

·To create a tag outside of a folder, without selecting a folder, right-click in the Tags task pane, point to New, and click Tag.

5.Type the name of the new tag and then press Enter.
To create tags and tag folders in the Tag and Issue Management dialog box:

1.On the Tools menu, click Manage Tags/Issues.

2.In the Tag and Issue Management dialog box, to create a tag folder, do one of the following:

·To create a tags folder, click the arrow next to the Add button, and click Folder.

·To create a tags subfolder, click the parent folder, then click the arrow next to the Add button, and click Folder.

3.Type the name of the new folder and press Enter.

When you are creating a folder, you must add at least one tag to the folder, or the folder will not be saved. You cannot create empty folders.

4.In the Tag and Issue Management dialog box, to create a tag, do one of the following:

·To create a tag in a folder, click the folder, click the arrow next to the Add button, and click Tag.

·To create a tag outside of a folder, without selecting a folder, click the arrow next to the Add button, and click Tag.

5.Type the name of the new tag and press Enter.

6.When you are finished adding the tags and/or folders, click Done .

Your new folders and/or tags are displayed in the Tags panel in the Tags task pane.
To delete tags and folders:

Selected tags and issues can be deleted from the database. This permanently removes them from the database and cannot be undone. Folders are automatically deleted after all of the tags and issues in the folder are deleted. You cannot manually delete a folder.

Tags added to the database using the .ini file need to be removed from the .ini file first, and then deleted from the Add/Delete tab. Tags not removed from the .ini file remain in the database even after deleting them from the Add/Delete tab.

1.On the Tools menu, click Manage Tags/Issues.

2.In the Tag and Issue Management dialog box, click Add/Delete, select the tag you want to delete, and then click Delete.

3.When prompted, verify whether or not you want to delete the tag.

5.When finished, click Done.

The deleted tags are removed from the database and the Tags panel in the Tags task pane.


Importing and Exporting Tags
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Import Tags and Export Tags commands in the Tag and Issue Management dialog box provide the necessary tools to quickly copy tag structures between databases without having to create them manually. You can create a text file from scratch that contains a list of tags and folders similar in format to adding tags using the .INI file. The » ASCII character » (ASCII 187) is used to identify the folder structure for the tags.

Tags and tag folders do not support Unicode characters or high-end ASCII characters. Only ASCII (values 032-126) characters are allowed. If a tag name or tag folder name contains an invalid character, you are prompted to make corrections.

When creating a tag file, each line represents a tag and every folder must have a tag. The text file format should be written as follows:

Type | Structure | Example
Single Tag | Tag | Junk
Tag with Folder | Folder»Tag | Status»Reviewed
Nested Folders | Folder»Folder»Tag | Production»Production001»To_Produce

Example Tags .txt file for importing tag lists

If you have an existing tag list setup in a Concordance Desktop database, you can export the tags and then import the file into any new or existing database. Only public folders and tags are exported, no personal folders and tags.

To import tags from a text file:

1.Make sure that the text file you want to import is formatted correctly.

2.On the Tools menu, click Manage Tags/Issues.

3.In the Tag and Issue Management dialog box, click Import Tags.

4.Click the Browse button, locate and select the text (.txt) file for the tags you want to import, and then click Open.

5.(Optional) Click the Prescan button to scan the file for unsupported characters, tag names that are longer than 199 characters, and any delimiter issues.

6.When the Prescan is complete, do one of the following:

·If no errors are found, click Done to close the Prescan dialog box.

·If errors are displayed in the dialog box, click the Export button to export the list to a comma separated (.csv) formatted file, find and fix any errors, and then rerun the Prescan to ensure all the errors have been resolved.

8.Click the Import button.

9.When finished, click Done and then verify that the Tags pane contains the tags imported from the text file.

To export tags to a text file:

1.On the Tools menu, click Manage Tags/Issues.

Issue tags cannot be exported unless the tag is applied to a Concordance Desktop record.

2.In the Tag and Issue Management dialog box, click the Export Tags button.

3.Click the Browse button, navigate to the location where you want to save the tags text (.txt) file, and then then click Open.

4.Click the Export button.

5.When finished, click Done, and then open the exported text file, and review the exported folders and tags.


Writing tags in the TRK file
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In addition to creating tags in the Tags task pane and the Tag and Issue Management dialog box, you can write tags directly into the .trk file. This is useful if you want to transfer many tags from one database to another database.

You can manually add individual tags to a database's .trk file, or can copy the tags from one database's .trk file to another database's .trk file.

To manually add a tag to a .trk file:

1.In Concordance Desktop, open the database you want to add a tag.

2.On the Tools menu, click Manage List Files to open the List File Management dialog box.

3.On the Lists tab, click the Open button.

4.In the Open dialog box, locate and open the database's .trk file.

The selected .trk file's data is loaded into the List File Management dialog box.

5.Click the Edit tab to view all of the records in the database's .trk file.

6.In the Key field, replace the existing text in the field with the new tag name, make sure that the tag name begins with the $ symbol.

To add the tag to an existing tag folder or create the tag in a new folder, add the folder name before the tag name and separate the folder name and tag name with the » ASCII character 187. The character is used to identify the folder structure of the tag.

For more information about delimiter characters, see About delimiter characters.

Examples:

To add a tag, type $Tag Name.

To add a tag to an existing or new tag folder, type $Folder Name»Tag Name.

7.If this is a new tag that has not been applied to any documents in the database, type a zero in the Data value field.

8.Click the Add button.

Clicking the Add button adds the tag to the database's .trk file, and the record list on the Edit tab.

9.Click the Done button to close the List File Management dialog box.

10.Open the Tags task pane or Tag and Issue Management dialog box to verify that the new tag and tag folder are now displayed.

If the Tags task pane was open while you added the tag, the newly added tag and folder will not be displayed until you leave and reopen the Tags task pane. For example, open the Databases task pane and then reopen the Tags task pane.
To copy tags from one database to another:

To copy tags from one database to another, you first need to export the tags and then import the tags into the other database.

To export tags from a database:

1.In Concordance Desktop, open the database you want to copy tags from.

2.On the Tools menu, click Manage List Files.

Clicking Manage List Files opens the Lists tab in the List File Management dialog box.

3.Click the Open button.

4.Locate and open the database's .trk file.

Clicking Open loads the selected .trk file's data into the List File Management dialog box.

5.Click the Import/Export tab.

6.Select the Export option in the Import/Export section.

By default, in the Data value delimiter section, the Include data values check box is selected, the Comma delimiter option is selected.

List files exported or imported with both the key value and the data value must use a delimiter to separate them. The key entry is always first, followed by a delimiter, and then the numeric data value.

7.To export the database's tags, leave the Include data values check box selected, and select the applicable delimiter.

If the delimiter is not a comma or tab, click the Other option and select the applicable delimiter from the delimiter list.

The delimiters available from the delimiter list may appear as square symbols or may not be displayed. How this list is displayed depends on the computer's language environment. The delimiters listed in the About delimiter characters topic use the Tahoma font, which displays the characters regardless of the language environment. All of the characters listed in the delimiter character list can be selected as the delimiter, even if the symbols they represent do not appear in the delimiter list.

To see the list of available delimiter characters, see About delimiter characters.

8.In the Range section, select one of the following:

·All entries – All entries in the database's .trk file are exported

·Range – Only the range defined in the From and To fields is exported from the database's .trk file. If you select Range, in the From field type the first entry in the range, and in the To field, type the last entry in the range.

9.Click the Export button.

Clicking the Export button opens the Save As dialog box.

10.Browse to where you want to save the .txt file generated by the export, type the .txt file name in the File name field, and click Save.

Clicking Save saves the .txt file in the directory you selected and closes the Save As dialog box.

11.Click the Done button to close the List File Management dialog box.

12.In any text editor program, navigate to and open the exported .txt file.

Delimited text files can be opened with any text editor program, such as Notepad. We recommend using an advanced text editor program like TextPad or UltraEdit.

All Concordance Desktop database tag and tag folder entries in the exported .txt file begin with a $ symbol.

13.Select all records in the .txt file that do not begin with the $ symbol, and delete them.

There should now only be tag and tag folder records in the .txt file.

14.Save the modified .txt file and close the file.

If you do not want to overwrite the originally exported .txt file, be sure to save the modified .txt file with a different file name.

To import tags from another database:

1.In Concordance Desktop, open the database you want to copy the tags from.

2.On the Tools menu, click Manage List Files.

Clicking Manage List Files opens the Lists tab in the List File Management dialog box.

3.Click the Open button.

4.Locate and open the database's .trk file.

Clicking open loads the selected .trk file's data into the List File Management dialog box.

5.Click the Import/Export tab.

6.In the Import/Export section, select the Import option.

By default, in the Data value delimiter section, the Include data values check box is selected, the Comma delimiter option is selected.

List files exported or imported with both the key value and the data value must use a delimiter to separate them. The key entry is always first, followed by a delimiter, and then the numeric data value.

7.To import the tags .txt file from the other database, leave the Include data values check box selected, and select the applicable delimiter option.

If the delimiter is not a comma or tab, click the Other option and select the applicable delimiter from the delimiter list.

The delimiters available from the delimiter list may appear as square symbols or may not be displayed. How this list is displayed depends on the computer's language environment. The delimiters listed in the About delimiter characters topic use the Tahoma font, which displays the characters regardless of the language environment. All of the characters listed in the delimiter character list can be selected as the delimiter, even if the symbols they represent do not appear in the delimiter list.

To see the list of available delimiter characters, see About delimiter characters.

The options in the Range section are not used during the import.

8.Click the Import button.

Clicking the Import button opens the Open dialog box.

9.Browse to where you saved the modified tags .txt file, click the file name, and click Open.

Clicking Open imports the tags and tag folders in the modified tags .txt file into the database.

10.Click the Done button to close the List File Management dialog box.

11.Open the Tags task pane or Tag and Issue Management dialog box to verify that the imported tags and tag folders are now displayed.

If the Tags task pane was open while you imported the tags, the imported tags will not be displayed until you leave and reopen the Tags task pane. For example, open the Databases task pane and then reopen the Tags task pane.


Writing tags in the INI file
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

One method of creating a permanent tag structure is to write tags directly into an INI file. A database's INI file stores various database configuration settings. Tags created in this file cannot be deleted in the Tag and Issue Management box.

When tags are created in Concordance Desktop or in the TRK file, the tags are not automatically written to the .ini file. To add tags to the .ini file, you need to manually write them into the file. Once tags are written in the .ini file and available in the Tags task pane. Once a tag is applied, the tags are automatically written to the .trk file.

The » ASCII character is used to identify the folder structure of the tag. The ASCII character for this symbol is 187. You can create a shortcut for the symbol in Microsoft Word on the Symbols tab in the Symbol dialog box. For example, you can create a shortcut of F10+K for this character.

For more information about delimiter characters, see About delimiter characters.

Once you have written tags to an .ini file, you can save time creating tags for another database's .ini file by copying and pasting the entries from one database .ini file to another.

If you are renaming tag or tag folder names in the .ini file, the Tags pane displays both the original and renamed tags. Renaming tags does not affect *.ini file tags.

To write tags in the .ini file:

1.Navigate to the database's .ini file.

The .ini file is stored in the same directory as the database .dcb file.

2.Open the .ini file in any text editor program.

INI files can be opened with any text editor program, such as Notepad. We recommend using an advanced text editor program like TextPad or NotePad ++.

In the .INI file, the different database configuration settings are designated by the [] symbols around the configuration category. For example, field groups are listed under [FieldGroups], and added menu items are listed under [AddedMenuItems].

Tags are added after the [Tags] category, and each tag has a separate line in the .ini file.

3.If the .ini files does not have a tags list, type [Tags] in a new line to create the tags list.

4.Add the tags below the [Tags] line using the following format:

·To add a tag outside of a folder, type: Tag#=Tag_Name

·To add a tag within a folder, type: Tag#=Folder_Name»Tag_Name

·To add a personal folder and tag, type: Tag#=»UserID»Personal_Folder_Name»Tag_Name

Use underscore characters to indicate spaces in a tag or folder name.

To enter the ASCII character, », press ALT+0187 on the number pad. If you are using a laptop, press ALT+FN+0187 (blue numbered keys - UILKJ and M).

In the image above, one tag, Sample tag, was created outside of a folder. There are five tags, Privileged, Production, Redacted, Responsive, and Sample Tag in Folder, created in the Status Folder, there are two tags, Hauser and Weller, created in the Witness Kits folder, and a personal folder and tag.

5.Save and close the modified .ini file.

6.Open the database in Concordance Desktop.

7.Open the Tags task pane to verify that the tags and folders you added are displayed.

If the Tags task pane was open while you wrote tags to the database's .ini file, the tags you added will not be displayed until you leave and reopen the Tags task pane. For example, open the Databases task pane and then reopen the Tags task pane.


Creating tags from data

Navigation: Administration > Database Administration > Creating and Managing Tags:

Writing tags from field data
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Field To Tag feature copies the contents within a selected field to a create tags in the Tags pane.

When selecting a field to create a tag from, ensure that you select a field that is listed before your OCR numbered fields.

Example:

In this example, we are selecting the ADMIN field, which appears before the OCR1 field.

Tags and tag folders do not support Unicode characters. Only ASCII (values 032-126) characters are allowed. If a tag name or tag folder name contains an invalid character, you are prompted to make corrections. The Prescan option scans the field data for any invalid tag names.

Creating tags from data within a specified field

1.On the Tools menu, click Manage Tags/Issues.

2.In the Tag and Issue Management dialog box, click the Field To Tag button.

3.From the Select Field list, select the field for the values you want to convert to tags.

4.From the Select Delimiter list, select the delimiter to use to separate the tags in the field.

5.(Optional) Click the Prescan button to scan the data in the specified field for unsupported characters, tag name size (limited to 199 characters) and delimiter issues.

Any resulting errors are displayed in the Prescan dialog box.

6.When the Prescan is complete, do one of the following:

·If no errors are found, click Done to close the Prescan dialog box.

·If errors are found, click the Export button to export the list to a comma separated (.csv) formatted file, find and fix any errors, and then rerun the Prescan to ensure all the errors have been resolved.

7.Click the Start button.

8.When finished, click Done, and then verify that the Tags pane contains the tags that match the values in the specified field. For every value in the field, you should have a matching tag.


Applying tags to queries
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

As an administrator, you may find that searching for a batch of documents first and then applying a tag to the query is more efficient than tagging individual records one at a time. This tactic may be useful if you are pre-categorizing tagged documents into folders for the review team or gathering documents for witness kits.

To apply tags to queried documents:

You can apply tags to queried documents from the Tags task pane and the Tag and Issue Management dialog box. For more information about adding or removing tags from queries in the Tags task pane, see Tagging records.

1.Run a search for the documents you want to locate and tag.

For more information about searching, see Available search tools.

2.On the Tools menu, click Manage Tags/Issues.

Clicking Manage Tags/Issues opens the Add/Delete tab in the Tag and Issue Management dialog box.

3.Click the Tag Query tab.

4.Click the tags you want to apply to the documents in the query you ran.

To select multiple tags, use CTRL+click or SHIFT+click.

5.Click the Apply to Query button.

The number of tags applied displays in the bottom right corner of the dialog box.

To remove tags from the current query, select the tags on the Tag Query tab and click the Remove from Query button.


Querying tags and folders
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Running a query from a tag is a simple way to locate all records that have a particular tag applied to them. You can also query a tag folder to locate all tagged documents within a folder.

To query tags and folders:

You can query tags and folders from the Tags task pane and the Tag and Issue Management dialog box. For more information about querying tags and folders in the Tags task pane, see Creating queries from tags.

1.On the Tools menu, click Manage Tags/Issues.

Clicking Manage Tags/Issues opens the Add/Delete tab in the Tag and Issue Management dialog box.

2.Click the Tag Query tab.

3.Click the tags and/or folders you want to create a query.

To select multiple tags and folders, use CTRL+click or SHIFT+click.

4.Click the Create Query button.

Clicking the Create Query button generates the query for the selected tags and/or folders. The number of documents found in the query is displayed in the bottom right corner of the Tag and Issue Management dialog box.

Concordance Desktop stores all searches from a current session in the Review view. Your new query is listed in the query list in the Review view.


Managing tags and folders
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

On occasion you may need to add/remove, reorganize, or rename a tag or tag folder due to a misspelling or shift in document categorization during case review phases. This process is not the same as renaming a folder or tag in a Microsoft Word or Outlook menu tree. In Concordance Desktop the process should be controlled by administrators to ensure that ample backups and tag history is captured before the tag and folder structure is altered.

For more information about reviewing and capturing tag history, see Storing tag history.

For more information about backing up tags, see Backing up tags.

Using the Tag and Issue Management dialog box, you can add/remove, reorganize, and rename tags and tag folders in the current database. Concordance Desktop verifies that only one named tag or folder is present within the same hierarchy. If tag or folder with the same name already exists, Concordance Desktop prompts you to rename the tag or folder. Concordance Desktop then automatically updates all records with the new tag name.

Before renaming a tag or tag folder, it is best practice to run the TagHistoryandStoreIt.cpl to capture a current query of all tag history before transferring documents to a new tag.

The maximum length for tag names is 199 characters.

Reorganizing tags and tag folders:

1.On the Tools menu, click Manage Tags/Issues:

2.In the Tag and Issue Management dialog box, on the Add/Delete/Rename tab, do any of the following:

·To move a single tag from one folder to another folder, select the tag and drag to the new folder.

·To move multiple tags, press CTRL and click the tags to move, and then drag the tags to the new folder.

·To move a folder and all the tags in the folder, click the folder and drag to the new location.

·To move multiple folders, press CTRL and click the folder to move, and then drag the folders to the new location.

For a tag folder to exist in Concordance Desktop, it must have at least one tag in it. If you move all the tags out of a folder, the folder will be deleted.

To rename tags and tag folders:

1.Run the TagHistoryandStoreIt.cpl to capture a current query of all tag history before transferring documents to a new tag.

The default directory for the CPL folder installed with Concordance Desktop is C:\Documents and Settings\All Users\Application Data\LexisNexis\Concordance Desktop\CPL (Windows XP) or C:\ProgramData\LexisNexis\Concordance Desktop\CPL (Windows 7). For more information about CPLs, see About the Concordance Desktop Programming Language Reference and TagHistoryAndStoreIt.

2.On the Tools menu, click Manage Tags/Issues.

3.In the Tag and Issue Management dialog box, click the tag or folder you want to rename, and then click Rename.

4.Enter the new tag or folder name.

The Manage Tags/Issues dialog box does not allow non-ASCII characters for tag or tag folder names. You can add non-ASCII character tag and tag folder names using CPLs or INI files.

5.Repeat steps three and four for each tag or folder you want to change.

6.When finished, click Done.

Concordance Desktop automatically updates all tagged records with the new tag name.

7.Review the queried records to ensure the tag or folder name is updated.


Storing tag history
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The TagHistoryAndStoreIt.cpl allows you to take the information from the Tag history panel in the Tags task pane and place it into a field for the purpose of searching, backups or storing historical information.

Storing a database's tag history can help you track tagging issues, such as a user accidentally bulk un-tagging a group of documents. The information captured by the TagHistoryAndStoreIt.cpl allows you to run relational searches on specific tags, users, and the date that an event occurred.

Tag history will also need to be stored when using the Export as a Concordance Desktop Database feature because the export includes a database's current tagging information, but does not include the tag history.

For more information about the exporting Concordance Desktop databases, see backing up databases and Exporting databases.

By default, the CPL places all of the tag history for a query of documents into the TAGINFO field. If you want to store the tag history in different field in your database, you need to replace the TAGINFO field name with the other field name in the TagHistoryAndStoreIt.cpl file before running the CPL.

If your database has an existing field named TAGINFO, then you do not need to modify the CPL before running the CPL.

To change the tag history field in the CPL:

1.Open the CPL using a text editor.

To open the CPL, right-click the TagHistoryAndStoreIt.cpl file, point to Open, and click Notepad or any other text editor program you have.

Delimited text files can be opened with any text editor program, such as Notepad. We recommend using an advanced text editor program like TextPad or UltraEdit.

2.Search and replace all references to the TAGINFO field with the name of the field you want to use to store your tag history. If you have an existing field named TAGINFO, then you will not need to modify the cpl.

3.Save your changes and close the TagHistoryAndStoreIt.cpl file.
To store tag history:

1.In Concordance Desktop, on the Standard toolbar, click the All button to query all records in your database.

2.On the File menu, click Begin program.

3.Navigate to the CPL directory installed with Concordance Desktop, and click the TagHistoryAndStoreIt.cpl file.

The default directory for the CPL folder installed with Concordance Desktop is C:\ProgramData\LexisNexis\Concordance Desktop\CPL (Windows 7). For more information about CPLs, see About CPLs and TagHistoryAndStoreIt.

4.Click Open.

After clicking Open, the CPL automatically extracts your tag history from each database record and adds the tag history to the TAGINFO field, or its equivalent, for each record.

5.Open the Browse view and locate the field where you placed the tag history.

The tag history lists the tags that were added to and removed from the record, when the tags were added or removed, and by whom.


Tracking tags in the TRK file
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

To track and manage your tags, you can review the .trk file that references all tags set in the system at a given time. All tag information is stored in the .trk file, which includes three sections:

·Index Section - Review the index to see how many tags a document has applied to it. For example, if there are 10 documents in a database with three tags applied to each document, then there would be 30 records in this section. Every record in the index begins with a hash mark (#).

·Tag List - Review this list to locate tag names in your database. One record exists for each unique tag name in the database. So if there were three tags in the database, there would be three records in the tag list. Each record stored in this list begins with a dollar sign ($).

·Tag History - Review these items for added and deleted tags. Every record in this section begins with a plus or minus sign (+ or -).

In the .TRK file, personal folders and the tags in the folder are preceded by the » character and the user's Windows login or security user ID.

·Personal folders are displayed in the following format:

»UserName»Personal Folder Name»Tag Name

·Public folders are displayed in the following format:

Folder Name»Tag Name

To review the .TRK file:

1.On the Tools menu, click Manage List Files.

Clicking Manage List Files opens the Lists tab in the List File Management dialog box.

2.Click the Open button to open the Open dialog box.

3.Browse to and click the database's .trk file, and click Open.

Clicking Open loads the selected .trk file's data into the List File Management dialog box.

4.Click the Edit tab.

All of the records in the database's .trk file are listed on the Edit tab.

5.Review the tag information in the .trk file.

6.When finished, click Done to close the List File Management dialog box.


Scheduling tag backups
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

It is recommended that you make regular backup files of your tags. An exported copy of a database does not retain tag history. Utilizing Windows Services, the Backup and Restore Tag Utility backs up a single database or directory of databases and provides tools to restore any damaged or lost files to an earlier point in time.

The Backup and Restore Utility searches the specified directory and when changes are made to a database's TRK file, the utility backs up the file at the scheduled backup interval, and saves it to the specified directory. Email notification can be set up to alert you when a TRK file is identified as damaged or the storage capacity of the backup file location. The backup files are located in the same location as the associated database.

Multiple backup services can be configured for different directories where Concordance Desktop databases are stored. A log file is created for each directory with the backup information, including when a backup was skipped because the previous backup took too long. The log file is stored in the Concordance Desktop 10 Logs folder in the Program data path.

Keep the following in mind when scheduling the TRK backup:

·Schedule the Backup and Restore Tag Utility to run when all databases are closed to ensure the process is not interrupted.

·The utility does not create a backup for the Notes.TRK or the Redlines.TRK.

·A backup will not be created if the directory path, including the TRK filename, exceeds 251 characters.

Make sure that you have administrator-level permissions for the computer you want to run the Backup and Restore Tag Utility. For more information, see Windows Help and Support.

When scheduling the backup of large TRK files that may require more than an hour to run, make sure you allow enough time between backups to ensure one process completes before the next one begins.

To setup a tag backup schedule:

1.From the Tools menu, click Backup and Restore Tag Utility.

2.To setup a backup folder to store the files:

a.Click the Add button.

b.In the Configure Backup Directory dialog box, click the Browse button.

c.In the Browse for Folder dialog box, locate and select the directory or folder that contains the database(s) you want to backup tags, and then click OK.

The path for the directory or folder is displayed in the Backup Root Directory field.

The path for the directory or folder should not exceed 251 characters in length.

d.From the Frequency list, select how ofter to run the backup utility.

e.In the Start Time box, specify the start time for the backup utility.

f.In the Maximum # of backup files per DB field, type the maximum number of backup files to store in the folder for the database.

When the backup folder reaches the maximum limit, the oldest backup file is replaced with the latest version.

g.When finished, click Apply.

3.To setup the email notifications:

a.In the Notification section, select any of the following:

·Select the Send Notification when TRK file stops responding check box to receive an email for non-functioning TRK files.

·Select the Send backup summary email after each run to receive an email outlining the latest backup processes.

b.Click the Configure button.

c.In the SMTP Server field, type the e-mail server to send e-mail notifications.

d.In the SMTP Server Port field, type the port number to use for outgoing mail transport.

e.In the Username field, type the name you want to appear as the author of the e-mail.

f.In the Email Address field, type the email address for the author.

g.In the Recipient field, type the email address for the individual who will receive the email notification.

h.To verify the email address is valid, click the Test button.

If the email is valid, a message is displayed stating the test was successful and the recipient will receive a test email .

i.When finished, click Apply.

4.When finished, click Enable Tag Backups.

5.In the Backup Service Login dialog box, do one of the following, and then click OK:

·Select Local System Account to run the service from the local system account.

·Select This Account, and then type the domain name and username in the Username field, and the password in the Password field.

6.When finished, click OK to exit the utility.
To view the backup summary report:

1.From the Tools menu, click Backup and Restore Tag Utility.

2.Click the Last Backup Summary button.

3.Review the summary report, and then do one of the following:

·Click OK to close the Backup Summary Report.

·Click Print to print a copy of the report.

4.When finished, click OK to exit the utility.
To change a tag backup schedule:

1.From the Tools menu, click Backup and Restore Tag Utility.

2.In the Backup Folder section, select the folder path you want to modify.

3.Click the Modify button.

4.In the Configure Backup Folder dialog box, make any necessary changes, and then click Apply.

5.To make changes to the email notification, click the Configure button, make any necessary changes, and then click Apply.

6.When finished, click Enable Tag Backup.

7.In the Backup Service Login dialog box, do one of the following, and then click OK:

·Select Local System Account to run the service from the local system account.

·Select This Account, type the Username and Password in the corresponding fields.

8.When finished, click OK to exit the utility.
To delete a scheduled backup folder:

1.From the Tools menu, click Backup and Restore Tag Utility.

2.In the Backup Folder section, select the folder path you want to modify.

3.Click the Delete button.

4.When prompted, click Yes to confirm the deletion.

5.When finished, click OK to exit the utility.


Restoring tags from a backup
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Backup and Restore Tag Utility can be used to set up a list of databases to be monitored for tag integrity. When a TRK file becomes damaged or is no longer functioning, the affected database is listed on the Restore tab with a list of backups allowing you to restore the TRK file to an earlier point in time.

To restore a damaged TRK file:

1.From the Tools menu, click Backup and Restore Tag Utility.

2.In the Backup and Restore Tag Utility dialog box, click the Restore tab.

3.In the Damaged TRK file(s) section, select the TRK file to restore.

4.From the Restore Tags From list, select the date and time to restore the TRK file.

5.Click the Restore button.

6.When finished, click OK.


Additional tag backup tools
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The following tools are available for backing up tags:

·Tag To Field command

·TagSaver CPL

Running the Tag To Field command

The Tag To Field command in the Tag and Issues Management dialog box writes the tag names to a specified field in the database separating the tag name with the selected delimiter. To restore tags stored in a field, see the Creating tags from data within a specified field procedure in Creating and applying tags.

To write tag names to a field:

1.On the Tools menu, click Manage Tags/Issues.

2.In the Tag and Issue Management dialog box, click the Tag to Field button.

3.From the Select Field list, select the field you want to copy the tag names.

4.From the Select Delimiter list, select the delimiter to separate the tag names in the field.

5.Click the Start button.

6.When prompted, do one of the following:

·Click Yes to confirm that you want to write the tag names in the selected field.

·Click No to append the tag names to the existing field contents.

·Click Cancel to abandon the changes.

7.When finished, click Done, and verify that the selected field displays the tag names separated by the selected delimiter.

Running the TagSaver CPL

You can create a backup file of your tags or restore the backed up tags into another database using the TagSaver.cpl. We recommend running this CPL script once or twice daily, depending on how much active reviewing is occurring. The tag back-up is stored in a database's .GAT file and the tag data is retrievable, when needed.

TagSaver CPL benefits:

·You can move tag application information to different databases

·You can restore backup files (.gat) to other databases to move tag structure

When restoring tags from a .gat file, the maximum number of characters allowed in a tag name is 199.

To backup tags in a database:

1.In Concordance Desktop, click the All button on the Standard toolbar to query all records in your database.

2.On the File menu, click Begin program.

3.Navigate to the CPL directory installed with Concordance Desktop, and click the TagSaver.cpl file.

The default directory for the CPL folder installed with Concordance Desktop is C:\ProgramData\LexisNexis\Concordance Desktop 10\CPL (Windows 7). For more information about CPLs, see and the TAGSAVER.cpl.

4.Click Open to open the Tag Saver Options list.

5.Click Save tags or press Enter.

Clicking Save tags or pressing Enter opens the field list. Use the arrow keys on your keyboard to scroll through the field list.

6.Click or press Enter on the field you want to associate with the tags.

You need a common field with a unique value, such as the Begno (Bates number) field. Do not use the Access ID field when exporting tag history.

After you select the field, the CPL creates the [database name].GAT file in the same directory as the database's .dcb file. The [database name].gat file contains your tag backup.

After the CPL process is finished, the Tag Saver Options list is displayed.

7.Click Quit to return to Concordance Desktop.

The database's .gat file is not automatically updated when you add or modify tags in the database. It is best practice to run the TagSaver.cpl periodically to ensure your tag backup is current.
To restore tags from a .GAT file to a database:

1.Copy the .GAT file containing the tags you want to add to your database, and paste the file into the database directory for the database you want to add the tags.

2.Rename the .GAT file you copied to the database directory using the same name as the database's .dcb file.

For example if the database's .dcb file is Cowco.dcb, the .gat file needs to be named Cowco.gat.

3.In Concordance Desktop, open the database you want to add the tags.

4.On the Standard toolbar, click the All button to query all records in your database.

5.On the File menu, click Begin program.

6.Navigate to the CPL directory installed with Concordance Desktop, and click the TagSaver.cpl file.

The default directory for the CPL folder installed with Concordance Desktop is C:\ProgramData\LexisNexis\Concordance Desktop\CPL (Windows 7). For more information about CPLs, see Concordance Desktop Scripts and the TAGSAVER.

7.Click Open to open the Tag Saver Options list.

8.Click Retrieve tags.

When you click Retrieve tags, the CPL adds the tags for all the records that were tagged in the .gat file to the database.

After the CPL process is finished, the Tag Saver Options list is displayed.

9.Click Quit to return to Concordance Desktop.

10.Open the Tags task pane to verify the tags were added and applied correctly to the database.


Setting Preferences
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Preferences for reviewers and administrators involve three main topics:

·Preferences – various settings that affect all users using Concordance Desktop.

·Table Layout – custom setting options available and accessible by all users to create both private and public table layouts.

·Custom Menus – custom menus added by administrators so tools are accessible from the Menu bar, such as CPL scripts or query files.


Adding custom menus
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Adding custom menus and custom menu commands to Concordance Desktop is one of the many features you have available to make your administration job much easier. Having CPL scripts and databases accessible as a shortcut in a menu provides instant access to the tools you need to use frequently. You can apply these menus and menu commands to the current database or all databases. You can add custom menu commands to existing or custom Concordance Desktop menus. By default, all users will be able to use and access the custom menu and menu command. To restrict custom menus and menu commands to a specific user, you need to add the user and the custom menu command for the user in the Added Menu Items dialog box.

If you are familiar with programming and took a Concordance Desktop CPL class, you can add your own CPL scripts to a custom menu, which launches these programs without having to navigate to their directory folder.

Custom menu commands are not listed in the Security dialog box for enabling and disabling menu access. If you need to restrict access to custom menus and menu commands, be sure to add the custom menu command to specific users in the Added Menu Items dialog box.

The following file types can be opened from Concordance Desktop custom menus:

·Database file (.dcb, .fyi)

·CPL file (.cpt, .cpt)

·Report file (.arp)

·Print file (.fmt)

·Concatenation file (.cat)

·Snapshot file (.snp)

·Query file (.qry)

·PDF file (.pdf)

To add a custom menu and menu command:

1.In Concordance Desktop, open the database you want to add a custom menu and custom menu command.

2.On the File menu, click Administration, and then Added menu items.

The User field comes with a pre-defined Default user ID.

The Default user ID works on databases that do not have security enabled or and databases with a default user ID defined in the Security dialog box.

Creating a custom menu and/or menu command for the Default user ID allows all users to view and access the menu and menu command.

To restrict access to the custom menu and/or menu command, you need to add each of the users you want to have access to the menu and/or menu command to the User field, and create the custom menu and/or menu command for each of the users you created. The users you create must already be added to the database, and the user IDs you create in the User field must match the users' database user IDs in the Security dialog box.

When a user is added as a database user and then added to the User field in the Added Menu Items dialog box, the custom menu commands assigned to the Default user ID in the Added Menu Items dialog box will not be available to this user. You will have to assign the same custom menu commands to the individual user in order for the user to access these menu commands.

3.To add a user to the User field, select all the text in the user list, and type the new user name, and click the Add button.

Adding a user to the User field in the Added Menu Items dialog box does not add the user to the database. To add a user to the database, see Adding/modifying users.

To add a custom menu and/or menu command for an existing user ID in the User field, in the User field, click the applicable user ID.

In the Database field, located in the Added menu items section, the current database name is displayed. The custom menu and/or menu command will be created in the current database unless you want to add the custom menu and/or menu command to all databases. If the current database is part of a concatenated database group, you can also add the custom menu and/or menu command to any database in the concatenated group.

4.To add the custom menu and/or custom menu command to all databases, in the Database field, click All databases.

To add the custom menu and/or custom menu command to database in a concatenated database group, in the Database field, click the applicable database.

5.In the Menu item section, click the New button to create the custom menu and/or menu command.

6.Click the File button to open the Open dialog box.

7.Browse to and click the file you want to launch from the custom menu command, and click the Open button.

Clicking the Open button, adds the file name and path to the File field.

Concordance Desktop custom menus can open the following file types:

·Database file (.dcb, .fyi)

·CPL file (.cpl, .cpt)

·Report file (.arp)

·Print file (.fmt)

·Concatenation file (.cat)

·Snapshot file (.snp)

·Query file (.qry)

·PDF file (.pdf)

The Added Menu Items feature only works with specific IPRO CPL scripts. Be certain to verify the supported IPRO scripts before loading them into a database.

You can add a custom menu command to a custom menu or an existing Concordance Desktop menu.

8.To add the custom menu command to an existing Concordance Desktop menu, in the Menu field, click the menu you want to add the custom menu command.

To add the custom menu command to a custom menu, in the Menu field, type the name of the custom menu you want to create. The menu name you type in the Menu field is the menu name that will be displayed on the Concordance Desktop Menu bar.

For custom menus, the Position field determines where the menu is displayed on the Menu bar.

For custom menu commands in an existing Concordance Desktop menu, the Position field determines where the custom menu commands is displayed in the menu.

The Position field defaults to -1.

9.In the Position field, type the position number you want the custom menu and/or custom menu command to be displayed.

When you are creating a custom menu, zero is the first position on the left on the Menu bar. For example, if you typed 0 in the Position field, the custom menu will be displayed to the left of the File menu. Positive position numbers will move the custom menu the number of places to the right. For example, if you type +3 in the Position field, the custom menu will be displayed 3 places to the right. Typing -1 places the custom menu to the right of the Help menu.

Negative position values start at the right and work their way left on the Menu bar. Positive position values start at the left and work their way right on the Menu bar.

When you are creating a custom menu command, zero is the first position at the top of the menu. Positive position numbers will move the custom menu command the number of places down from the top of the menu. For example if you add a custom menu command to the File menu and type 3 in the Position field, the custom menu command will be displayed between the Snapshot and Close commands on the File menu. Typing -1 places the custom menu command at the bottom of the menu.

Negative position values start at the bottom and work their way up the menu. Positive position values start at the top and work their way down the menu.

10.In the Display name field, type the custom menu command name as you want it to appear in the menu.

If the custom menu command opens a CPL program file, you can have Concordance Desktop run a specific function within the program file by adding the function value to the Function field. This should be a complete and valid CPL function call, such as main() or myfunction( "Hello", 1, 2, 3). This allows you to create a single CPL file with a complete set of functions to handle different menu items.

Display names that contain the ampersand "&" or parenthesis "()" characters will not display correctly. Spell out the word "and" to include it in the display name.

11.To run a specific function within the CPL program file selected for the custom menu, in the Function field, type the full CPL function call.

For all other custom menu commands, leave the Function field blank.

Once you have finished adding a custom menu and/or custom menu command, it is listed in the Added menu items section. If you are creating multiple custom menus and/or custom menu commands, you can organize the display order of the custom menus, and the custom menu commands within the same menu by clicking the Move up and Move down buttons.

When determining the display position of custom menus and/or custom menu commands in relation to each other, sometimes it is easier to leave the Position field set to -1 for each menu and menu commands, and just use the Move up and Move down buttons to position them.

The custom menu and menu command list in the Added menu items section has a shortcut menu to make menu customization easier. The shortcut menu allows you to cut, copy, paste, and select all custom menu items. To open the shortcut menu, right-click one or more of the menus and/or menu commands in the list. You can select multiple menus and menu commands using SHIFT+click or CTRL +click.

With the cut, copy, and paste features you can create a set of menu items, copy them, and paste them into other user’s profiles or other database profiles. This is the easiest way to replicate menus in the Added Menu Items dialog box.

12.Click OK to save your custom menu and/or custom menu command.

You may need to close out of Concordance Desktop and log back in to activate the new menu settings.


Managing Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Ongoing maintenance of your Concordance Desktop databases is standard practice as an administrator. Refer to this module to review database management guidelines and tips, and for general maintenance processes.

Database management includes the following procedures for quality control and maintenance:

·Assigning database administrators

·Taking databases offline

·Synchronizing databases

·Backing Up and Archiving Databases

·Subsequent loads

·Performing data entry and editing

·Creating Authority word lists

·Performing global replacements

·Checking for duplicate records

·Packing the dictionary

·Packing databases

·Zapping databases

·Modifying database field structure
Exclusive Administrator Processes

Some database management tasks require that all other users are logged out of the database when they are performed. The administrator is the only user allowed in the database when the following processes are occurring:

·Index

·Pack

·Zap

·Security

·Modify

·Replication/Synchronization

·Converting or upgrading to a current version

To verify whether any users are currently logged on to Concordance Desktop, you need to log into the Concordance Desktop server computer.

·To see users currently logged in, Open the Admin Console, and click the Connections tab. The Server tab displays all users who are access what databases on the server.

·To disconnect users: Call them and ask them to save their work and close the database(s) they have open. If it is an emergency and you need to take the database offline immediately, you can disconnect users from the Connections tab by highlighting their name and clicking the large red X in the Active Connections toolbar. Note that when you do this, the users will lose any of the work they have done in the database if they haven't saved it.


Assigning database administrators
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The easiest method for assigning administrators to a specific database is to use the Admin Console to setup a matter and assign the database to that matter. Then setup a user group, assign the administrator users to that group, and then assign that user group to the same matter. You can also quickly assign users as administrators for all databases using the Admin Console. While the Admin Console works well for these types of scenarios, it can be cumbersome if you just need to setup one user as an administrator on one database. For setting up administrators on a one user to one database basis, the easiest method is to select the database, and then use the User Management feature to assign that specific user as the administrator for that specific database. You can setup multiple administrators using this same method, however it may become time consuming if you have several users to assign as administrators to several databases, as assignments must be applied on a per user per database basis. Which tool you use depends on how many administrators you need to setup, on how many databases. The default, when adding users to a Concordance Desktop server in the Admin Console, is set to allow all users "Supervisor" privileges across all Concordance Desktop databases on the server. If however users are added to the server when a database has been migrated to Concordance Desktop

When you assign database administrators, take into account each of their roles and schedules for managing database processes and ongoing database maintenance tasks.

Assign a user as a databasesadministrator on the server To assign database administrators using the Admin Console

This method is usually used to assign a user as an administrator across several, or all the databases on this Concordance Desktop server. This is the default for all users when you add them to the server, unless you change their License Type, Field Rights and/or Menu Types.

1.Click on the Workspace tab.

2.On the File Menu, click Administration and then Admin Console.

3.Click the Management tab, to open the Management pane.

4.Click the Users folder to display the list of all users.

5.Locate and click on the user you want to assign as an administrator.

6.Click the License Type down-arrow, and select Administrator.

7.Change the Field Rights setting only if you need to restrict the user's Write access to the database. Otherwise, leave the default of Read and Write.

8.Click the Menu Type down-arrow and select either Supervisor or Administrator, depending on the menus you want the user to have access to as the administrator of the database.

Supervisor - Access to all menus and menu commands. A supervisor can add users in the Admin Console and then restrict field-specific rights and limit their menu access on a database by database basis from the User Management screen.

Administrator - Access to all menus and menu commands except the Modify, User Management, and Zap menu commands.

9.If you want to assign this user as an administrator across all databases on this Concordance Desktop server, click the Assign settings for this user to all DB's button.

10.Click the Synchronize now button to save and synchronize the changes.

Assign a database adminsitrator using User Management To assign database administrators using the User Management feature

This method is usually used to assign one administrator to a single database. Though it can also be used to assign multiple administrators to a single database.

1.Open the database to which you need to assign an administrator user, by using one of the following methods.

·Select the database from the Databases Recent list

·Select the database from the Databases Current Database list.

·From the File menu, click Open (if the database is not listed in the Recent or Current Database lists).

2.On the File Menu, click Administration and then User Management.

3.Type your own administrator User name and Password, and then click OK, to gain access to the User Management screen for the selected database.

4.Click the Menu access tab.

5.Click on the login ID of the user you want to assign as an administrator of the database.

6.Under the Presets section, click on either Supervisor or Administrator, depending on the menus you want the user to have access to, as the administrator of the database.

7.To further define the menu access for this administrative user, click on the check box next to a menu option to add or remove a check mark. A check mark indicates that the user has access to that menu, while no check mark indicates they do not have access.

To set restrictions on sub-menus, click on the main menu option's plus sign to box to display the list of sub-menus, and then add and remove check marks as necessary.

8.Do one of the following:

·Click Apply to apply the setting to the selected user. You'll want to use Apply if you need to add more administrators.

·Click OK to apply the setting to the selected user and close the User Management screen. If adding multiple administrator users, click OK only after the very last user assignment.

9.Repeat all the steps for each user you want to assign as an administrator of the database.


Taking a database offline
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you perform processes such as indexing and packing a database in Concordance Desktop, you should always take the database offline prior to starting the process. Failure to do so could cause corruption of the database if users have the database open and are working with it.

For more information about indexing and Concordance Desktop server, see Indexing and reindexing considerations.

Databases can be taken offline from the Management tab in the Admin Console.

To take a database offline

1.In Concordance Desktop, click on the Workspace tab.

2.On the File Menu, click Administration and then Admin Console.

3.Click the Management tab, to open the Management pane.

4.On the Management tab, click the Databases folder, to display the list of databases registered on the server.

5.Click on the database you want to take offline.

6.Click in the Status field on the right.

7.Click the Status field down-arrow and select Offline.

To put the database back online, follow the same steps, but select Online in step 7 above.


Reloading databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Refresh button saves any changes made in the Admin Console, and also refreshes the tree view on the Management tab with any synchronized updates.

When you are working on the Management tab in the Admin Console it is recommended that you refresh the view so you can see your change. If you do not have Auto refresh turned on, make sure that you click the Refresh button before leaving the tab so that all changes are saved.


Registering/unregistering a database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop, a database must be registered with the server before it can be opened or worked with. When you create a new Concordance Desktop database, the database is automatically registered with the server during the import process. Databases created in Concordance 10.21 are also automatically registered with the server during the import process. However, if you have converted Concordance 10.20 or older version 10.x databases to Concordance Desktop databases, those databases are not automatically registered. In order to register the converted databases, some interaction on your part is necessary. To register a Concordance 10.20 or older version 10.x converted database, you can need to use the manual method described under To manually register a database.

If you have unregistered a database and now need to access that database again through Concordance Desktop, you need to manually register the database again with the Concordance Desktop server.

When you are moving a database to archive, assigning it to another server for access, or if a mobile license has taken control of the database for private/single user review, you can unregister the database on its current server so that the database does not appear in the list of available databases on that server. When you unregister a database, the database is not physically removed from the server, it's name is simply removed from the Database List on the current server.

After converting a Concordance 10.21 database to a Concordance Desktop database, you can automatically register the converted database by placing it in the DB Smart Path folder/directory.

Manually register a database To manually register a database

Before you can register a database on a Concordance Desktop server, you must physically move (or copy) the database onto that server's local hard-drive.

1.On the File menu, click Administration and then Admin Console.

2.Log onto the server where you want to register the database.

You must be a Concordance Desktop administrator on the selected server in order to register a database.

3.Click on the Management tab.

4.Right-click on the Databases folder, and then click Register database.

5.In the field that appears, type a name for the database you want to register, and press Enter.

An Open Database window opens.

6.Locate and open the folder where the database is located.

7.Click on the database to select it.

8.Click OK.

If the selected database is a Concordance 10.x database, you are asked if you are ready to migrate it. If you have done a backup and are ready, Click OK, otherwise just close the dialog box. After the migration and registration processes are finished, the Databases pane opens on the right. At the bottom of the list you should see the name of the database you just registered. The database can be found at the bottom of the list.

If the selected database is a Concordance Desktop database, after the registration process is finished, then the Databases pane opens on the right. The database can be found at the bottom of the list.

The Status column indicates whether or not registration (migration for Concordance 10.x database) was successful. If successful, the Status column displays "Online", of not successful, it displays "Conversion failed" or "Registration failed." More information about failures can be found in the server log file.

If Auto refresh is turned on (Auto refresh on), the database name appears under the Databases folder, after auto refresh runs.

To un-register a database To un-register a database

1.On the File menu, click Administration and then Admin Console.

2.Log onto the server where you want to register the database.

You must be a Concordance Desktop administrator on the selected server in order to unregister a database.

3.Click on the Management tab.

4.Double-click on the Databases folder to open it.

5.Right-click on the database you want to un-register, and then click Unregister database.

6.You are asked to confirm that you want to un-regisrter the database, click Yes.

The database is un-registered from the Concordance Desktop server. The database remains on the server in the same location, unless you physically remove it, or move it to another location. However, it cannot be accessed through Concordance Desktop unless you manually register the database.


Synchronizing databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The 'Synchronize now' button on the Management tab in the Admin Console automatically synchronizes changes to users, user groups, and matters with the associated registered databases on the Concordance Desktop server.

To synchronize changes that you have made in the Admin console that affect databases on the Concordance Desktop server:

1.Click on the Admin Console Management tab, if not already opened.

2.Click the Synchronize now button at the top of the Management tab pane.


About editing records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop is fully equipped to handle a rolling production environment with features that allow editing records as needed. Attorneys find the editing tool useful for adding comments directly to a document record during the case review. Administrators can add an Attorney Notes field to the database for this purpose.

The editing tool is also useful when there is limited information in the database to search. Sometimes a paralegal or staff member may be assigned to add missing information, such as the dates, authors, and recipients, to every document in a database to help locate documents authored by a particular individual to another individual within a specific time frame during searches.

When the Edit view is opened, record data is displayed for editing in the Workspace pane and the Edit toolbar opens at the bottom of the Workspace. By default the Edit view includes all fields to which you have access. Edit Layout can be used to customize the view to display only those fields you want to edit and in the order you want to see them. Only those fields to which you have full rights can be edited. Read-only fields are displayed in grey and cannot be edited.

The customization of the Edit view is not available for the Append and Ditto features.

Edit View

Edit tools Edit tools

When you click the Edit button on the Standard toolbar, the four Edit view tools on Dynamic toolbar are displayed:

·Fields - accesses a field listing to insert data from another field

·Ditto - allows you to copy field data from another record Note that Ditto can on be used on migrated 10.x DAT, E-mail and Attachment, or Transcript databases. Ditto cannot be used for Concordance 10.21 E-document databases, and all databases created in Concordance Desktop.

·Delete - mark or unmark document for deletion

·Undo - allows you to undo or abandon edits
Rich Text toolbar Rich Text toolbar

When you click the Edit button on the Standard toolbar, the Rich Text toolbar displays under the Standard toolbar. On the Rich Text toolbar you can adjust the font size, color, and spacing in edit form fields.
Edit Mode options Edit Mode options

When opening up a record in edit mode in the Edit view, Concordance Desktop has formatting options that can be applied to data within a specific field. These formatting options include: Upper case, Lower case, Capitalize, and Reset field formatting.

To change the format of existing data within a field To change the format of existing data within a field:

1.In the Edit view, select the word or blocks of text that you want to format.

2.Right-click the text and click the applicable formatting option.

Your changes are saved when you navigate to another record or view in Concordance Desktop.


Removing rich text from multiple records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If rich text formatting has been applied to field data, you may need to change the rich text formatting in a field to plain text to save space or remove certain text formatting that affects the precision of hit highlighting when searching in Concordance Desktop.

If you need to remove rich text formatting from a field in multiple records in the database, administrators can use the Bulk Field Format Reset feature. When you use the Bulk Field Format Reset feature, Concordance Desktop removes all rich text formatting in the selected field and changes the text in the field to plain text in all records in the database.

If you only need to remove rich text formatting from a field in individual records, you can use the Reset Field Formatting function in the Edit view. For more information about removing rich text formatting in the Edit view, see Formatting field text.

When using the Bulk Field Format Reset, make sure that no other users are in the database at the time.

To reset the rich text format to plain text for multiple records:

1.On the File menu, click Administration, then Bulk Field Format Reset.

The Bulk Field Reset Format dialog box opens.

2.Select one of the following options:

Check for RTF Data (Recommended): If you select this option, the process checks the specified field in each record for Rich Text formatted data, and resets the data in only those records in with there is RTF formatted data. If no RTF data is found in the specified field in a record, the data is not reset.

Reset Field Format: If you select this option, the process does not check for Rich Text formatted data prior to resetting the data. Instead, it resets the data for the specified field in every record. This process actually takes longer, as it has to reset the data in the field on every record, not just those records that contain RTF data. through every record in the database and resets the data in the specified field, whether or not it needed to be reset.

3.Click OK.

The Bulk Reset Format dialog box opens.

4.In the field list, click the field containing the rich text formatting that you want to change to plain text.

5.Click Next. A confirmation message displays regarding the field you selected.

6.Click OK.

If rich text formatting in found in the field, the process removes the rich text formatting and replaces it with plain text in all records in the database. When it finishes, click Cancel in the Bulk Reset Format dialog box to close it.

If the process does not find any rich text formatting in the field in any of the records, when the process finishes, a Selected field does not contain RTF text message displays. Click OK to close the message, and then click Cancel in the Bulk Reset Format dialog box to close it.

After running Bulk Field Format Reset, the changes are immediately viewable in Concordance Desktop and all single byte and Unicode character sets are retained; however you need to reindex your database to see the red search hit highlighting again during searches.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

7.Reindex the database, (From the File menu click Reindex.)


Adding field groups to the INI file
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You or reviewers may want to search across multiple data fields at the same time without having to construct a long search query.

Writing field groups directly to an .ini file allows you to use an alias name to search across multiple fields at the same time without having to construct a long search query.

Example: Aliasname = fieldname1, fieldname2

ALLDATES = DATE, DOCDATE

By creating an alias field named ALLDATES and associating it with all various date fields from a concatenated database set, users can search all date fields without having to modify date field names in each database. You can also create a field group for data fields in a non-concatenated database.

The CREATEDATE and CREATIONDATE fields, or their equivalents, cannot be included in a field group because of the validation settings applied to them.

Field groups written directly into an .ini file will also save into a Concordance Desktop database template.

To add a field group to the .ini file To add a field group to the .ini file:

1.In Microsoft Windows Explorer, navigate to the database .ini file you want to add a field group.

The .ini file is stored in the same directory as the database's .dcb file.

2.Right-click and open the .ini file in any text editor program.

3.Scroll to the bottom of the file.

4.In the next line after the last record, type [FieldGroups] and press Enter.

5.Type the Aliasname = fieldname1, fieldname2, fieldname3.

For example: Date = DOCDATE,DATE,GMT_DATE,MODDATE,PRINTDATE

You can add as many fields as you need to the field group.

6.Save the .ini file.

7.To test the field group you created, in Concordance Desktop, run a search for the field group alias you created.

For example: Date = ??/??/1982, ??/??/2000.

Your search results should include the applicable data from the fields within the field group you created.

To use a field group for concatenated databases, add the same field group to the other databases in the concatenated database set. When you search the concatenated database set, Concordance Desktop searches the all the fields in the field group in each of the databases in the concatenated set.


Creating authority word lists
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Authority word lists are lists of words and phrases that open in the Edit view when you place your cursor in a field associated with a word list or right-click a field and click the list in the shortcut menu. Typing text automatically scrolls the list to the word or phrase nearest in spelling. Most words and phrases are retrieved with just a few keystrokes. Authority list entries are always inserted at the current cursor location in the Edit view.

An authority list can contain anything, including zip codes, author's names, and complex chemical names. Any data entry task that is repetitive and prone to errors is a good candidate for an authority list. Selecting entries from the list lowers the number of errors introduced through data entry, and the number of keystrokes — thus saving labor and expense while improving accuracy.

Authority lists are special files, similar to the database dictionary, which provide fast retrieval and maintenance of alphabetized entries. The authority lists used in Edit view have the .lst file extension.

Authority lists are created in the List File Management dialog box. Once an authority list is created, the list is assigned to a field or fields in the Data Entry Attributes dialog box.

You can create authority list values in three ways:

·Manually create list values

·Import existing values from a database field

·Import values from an ASCII file

To manually create an authority list To manually create an authority list:

1.On the Tools menu, click Manage List Files.

2.In the List File Management dialog box, click the Lists tab, click the New button.

Clicking the New button opens the Allow duplicates in new list file? message.

3.To allow duplicate values in the authority list, click Yes.

If you do not want to allow duplicate values, click No.

Clicking Yes or No opens the Create a case sensitive list file? message.

4.To set the authority list to be case sensitive, click Yes.

If you want the authority list to not be case sensitive, click No.

Clicking Yes or No opens the Save As dialog box.

5.Navigate to the directory where you want to store the authority list's .lst file, type the name of the authority list file in the File name field, and click Save.

Clicking Save opens the new authority list in the List File Managment dialog box.

6.Click the Edit tab.

7.In the Key field, type the first list value.

The Key field is case sensitive and allows up to 240 alpha-numeric characters.

The Data value field is not used when creating an authority list. Leave the default 0 value in the Data value field.

8.Click the Add button to add the new list value.

9.Repeat steps 7 and 8 for each list value.

10.When you have finished creating the authority list, click the Done button to save your new list.

To create an authority list from field data To create an authority list from field data:

1.On the Tools menu, click Manage List Files.

Clicking Manage List Files opens the Lists tab in the List File Management dialog box.

2.On the Lists tab, click the New button.

Clicking the New button opens the Allow duplicates in new list file? message.

3.To allow duplicate values in the authority list, click Yes.

If you do not want to allow duplicate values, click No.

Clicking Yes or No opens the Create a case sensitive list file? message.

4.To set the authority list to be case sensitive, click Yes.

If you want the authority list to not be case sensitive, click No.

Clicking Yes or No opens the Save As dialog box.

5.Navigate to the directory where you want to store the authority list's .lst file, type the name of the authority list file in the File name field, and click Save.

Clicking Save opens the new authority list in the List File Management dialog box.

6.Click the Authority List tab.

7.In the Field list, click the fields containing the values you want to use for your authority list.

To select multiple fields, use SHIFT+click or CTRL+click.

The Delimiter section determines which delimiter is used to separate the list values from each other in the authority list's .LST file. The Delimiter section defaults to Comma. If each value needs to be on a new line by itself, select the Newline option.

For more information about delimiters, see About delimiter characters.

8.In the Delimiter section, select the delimiter option you want to use in the .lst file.

The Case conversion section determines whether or not Concordance Desktop converts the text of the value selected in the authority list to all upper case or lower case characters in the Concordance Desktop field. The Case conversion section defaults to No conversion.

9.In the Case conversion section, select the conversion option you want to use.

The Documents section determines whether the authority list values are created from the field values in the current query or the entire database.

10.In the Documents section, select the Current query or Entire database option.

11.Click the Load button to add the field values to the authority list.

12.To view, add, or delete the new list values, click the Edit tab and do any of the following:

·To add a new value, in the Key field, type the new value and click the Add button.

·To delete a value, click the value in the value list and click the Delete button.

13.When you have finished creating the authority list, click the Done button to save your new list.
To create an authority list from an ASCII file To create an authority list from an ASCII file:

If you have an ASCII file with listed or delimited data you can save time by importing it into an authority word list.

1.On the Tools menu, click Manage List Files.

Clicking Manage List Files opens the Lists tab in the List File Management dialog box.

2.On the Lists tab, click the New button.

Clicking the New button opens the Allow duplicates in new list file? message.

3.To allow duplicate values in the authority list, click Yes.

If you do not want to allow duplicate values, click No.

Clicking Yes or No opens the Create a case sensitive list file? message.

4.To set the authority list to be case sensitive, click Yes.

If you want the authority list to not be case sensitive, click No.

Clicking Yes or No opens the Save As dialog box.

5.Navigate to the directory where you want to store the authority list's .lst file, type the name of the authority list file in the File name field, and click Save.

Clicking Save opens the new authority list in the List File Management dialog box.

6.Click the Import/Export tab.

7.In the Import/Export section, click the Import option.

The Data value delimiter section determines which delimiter is used to separate the list values from each other in the authority list's .lst file. By default, the Include data values check box and Comma option are selected in the Data value delimiter section.

For more information about delimiters, see About delimiter characters.

Data values are not used by the authority list. For the authority list, it does not matter whether the Include data values check box is selected. If it is selected, the import populates the Data value field on the Edit tab in the List File Management dialog box with any data values in the ASCII file.

8.In the Data value delimiter section, select the delimiter option you want to use in the .lst file.

9.Click the Import button.

Clicking the Import button opens the Open dialog box.

10.Navigate to and open the ASCII .txt file you want to use for the authority list.

The values in the .txt file are added to the authority list.

11.To view, add, or delete the new list values, click the Edit tab and do any of the following:

·To add a new value, in the Key field, type the new value and click the Add button.

·To delete a value, click the value in the value list and click the Delete button.

12.When you have finished creating the authority list, click the Done button to save your new list.
To associate an authority list with a field: To associate an authority list with a field:

Once you have created an authority list in Concordance Desktop, you need to associate the word list to a field so it can be used for data entry in the Edit view.

1.On the Edit menu, click Validation.

Clicking Validation opens the Data Entry Attributes dialog box.

2.In the Field Name list, click the field you want to add the authority list.

3.In the Authority lists section, click the File button.

Clicking the File button opens the Open dialog box.

The Data validation and Authority lists sections in the Data Entry Attributes dialog box are independent sections. For example, assigning an authority list with words to a field selected as Numeric only does not cause an error. The data from the authority list overwrites the Numeric only setting.

4.Navigate to and open the authority list file, .lst.

5.Select the check boxes that apply to the authority list in the field.

Authority lists check box definitions Authority lists check box definitions

·Required for data entry - When the user's cursor is placed in the empty field, the authority list automatically opens. If the field is already populated, the authority list opens when a user clicks the right mouse button or attempts to type in the field. When the Required for data entry check box is selected, users can only choose a field value from the list or cut, copy or paste the text in the field.

·Single entry field- The field only allows one field value from the list to populate the field. If a user clicks another field value from the list, the original value is replaced by the newly selected value. You can select both the Single entry check box and the Required for data entry check box to ensure users only populates the field with one field value from the authority list.

·List updateable by user- Users can add and delete field values from the authority list assigned to the field. If you do not want users to modify the authority list, be sure the List updateable by user check box is not selected. When the List updateable by user check box is selected, the Insert and Delete buttons are displayed at the bottom of the authority list dialog box.

·Upper case conversion- Concordance Desktop automatically converts all text to upper case before text is copied to the field or the text is added to the authority list. Do not select the Upper case conversion check box if you are using an existing authority list containing lower case field values. If the check box is selected in this scenario, when a user selects a lower case field value from the list, the value will not be added to the field.

6.The Delimiter field defaults to the comma character. To change the field delimiter, type a different character in the Delimiter field.

The character in the Delimiter field is used to separate field values that were added to the field from an authority list. Delimiters are also used by exploded sort reports and the tally function to determine where one entry ends and another begins.

7.Click OK to save your changes.

For more information about the Data Entry Attributes dialog box, see Setting data validation.
To test an authority list To test an authority list:

After associating an authority list with a field, you can test to make sure that the authority list opens for the field in the Edit view.

1.In the Browse or Table view, select a record.

2.On the Standard toolbar, click the Edit button to open the record in the Edit view in edit mode.

3.Click the field you associated with the authority list.

If the Required for data entry check box is selected for the authority list in the Data Entry Attributes dialog box, the authority list automatically opens when you click in the field if the field is empty. If the field is already populated, the authority list opens when a user clicks the right mouse button or attempts to type in the field.

When the Required for data entry check box is selected, users can only choose a field value from the list or cut, copy or paste the text in the field.

If the Required for data entry check box is not selected for the authority list in the Data Entry Attributes dialog box, users can right-click in the field to open the shortcut menu, and click the authority list file name to open the authority list associated with the field.


Making global replacements
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Global replacements allows you to search and replace words, phrases, dates, or carriage returns in specific fields throughout your entire record database. The Global Replace dialog box is used to run global replacements. You can search and replace populated or empty fields, with or without case sensitivity. Global replacements only work on the current query.

Global edits are immediately saved and committed to a database. There is no undo option. We recommend that you always back up the database before making any global replacements.

If you have moved your native documents or attachments from one drive to another, you need to globally replace the drive letter in the NOTEATTACHED field of the Notes.dcb. If your attachment includes the full directory file path in the main database, you also need to replace the drive letter in the FILEPATH field.

To make global replacements To make global replacements:

1.Back up your database before running the global replacement.

For more information see backing up databases.

2.Run a search query to located the records that need a global edit.

For more information about searching, see Available search tools.

3.On the Edit menu, click Global Replace.

Clicking Global Replace opens the Global Replace dialog box.

4.In the Field list, click the fields containing the text you want to replace.

To select multiple fields, use SHIFT+click or CTRL+click.

During a global replacement, Concordance Desktop will only search the fields currently selected in the Field list.

5.In the Target field, type the text you want to replace.

6.In the Replacement field, type the text you want to add to the field.

To search or replace empty fields To search or replace empty fields:

To replace empty fields in the database with the text in the Replacement field, leave the Target field blank.

To remove the text in the Target field from the selected fields in the database, leave the Replacement field blank.

An empty target will replace all fields selected with the replacement text, if the field is empty. Since all fields are automatically selected by default in the Field list, it is important to only select the fields you want to replace in the Field list.

To search or replace hard carriage returns To search or replace hard carriage returns:

To search or replace hard carriage returns in you data, type \n in the Target or Replacement field to represent a hard carriage return. If you need to search or replace the actual \n character combination in your data, instead of a hard carriage return, then type \\n in the Target or Replacement field. Typing \\n lets Concordance Desktop know that you are searching for the\n character combination and not a hard carriage return.
To search or replace dates To search or replace dates:

To search or replace dates in date fields, the format of the dates entered in the Target and Replacement fields must match the date format set up for the selected date fields.

A date field’s date format is set in the Type field in the New dialog box when creating a database or in the Modify dialog box when modifying databases.

For example, if you are performing a global replacement for the DOCDATE field and the Type field for the DOCDATE field is set to DateMMDDYYYY in the New or Modify dialog box, the dates entered in the Target and Replacement fields in the Global Replace dialog box must use the same MMDDYYYY format.

Dates should be zero filled. For example, if the date format is MMDDYYYY, July 17, 1960 is entered as 07171960. It is also valid to use partial dates as targets and replacements, such as 1013 for October 13, but do not use a partial date to replace a complete target. This will result in invalid date field entries.

In the Document range section you can specify a document range within the current query to have Concordance Desktop search and replace text only within this range. The First field defaults to the first document in the current query and the Last field defaults to the last document in the current query.

7.In the First field, type the first document in the current query to search for the global replacement.

8.In the Last field, type the last document in the current query to search for the global replacement.

By default, the Ignore case check box is not selected. When the Ignore case check box is not selected, field text must exactly match the text in the Target field, including capitalization, before Concordance Desktop will attempt a replacement.

9.To enforce case sensitivity during global replacements, leave the Ignore case check box blank.

To ignore upper and lower case lettering during global replacements, select the Ignore case check box.

By default, the Confirm before replace check box is not selected. When the Confirm before replace check box is not selected, Concordance Desktop automatically searches and replaces the text in the documents in the current query without asking for confirmation before each replacement.

10.To make the global replacements with out confirmation, leave the Confirm before replace check box blank.

To request confirmation before replacing text, select the Confirm before replace check box.

11.Click OK to make the global replacements.

If the Confirm before replace check box is selected in the Global Replace dialog box, each time Concordance Desktop locates the text in the Target field during the global replacement, Concordance Desktop displays the text found in the Text Found dialog box.

12.In the Text Found dialog box, do one of the following:

·Click Yes to replace the text.

·Click No to ignore the currently found text and continue the global replacement process.

·Click All to replace all additional targets without confirmation.

·Click Cancel to cancel the global replacement process.

Once the global replacement process finishes, in the Status section, the Documents field displays the number of documents searched and the Replacements field displays the number of replacements made. The field below the Field list and Status section displays the replaced text.

13.Click the Done button to close the Global Replace dialog box.

Changes are immediately viewable. However, in order to run full-text searches on the edits in the record, the database needs to be reindexed. Once this action is performed all reviewers can search the updates.

To ensure that your edits are searchable in a timely manner, coordinate with your Concordance Desktop administrator regarding the reindexing schedule. If any edits are made that require a reindex, a check mark displays in the File menu next to Reindex.

14.To reindex the database, on the File menu, click Reindex.


About attachments
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When paper documents are scanned to TIFF formatted files, the documents are unitized according to their physical or logical boundaries. When loaded into Concordance Desktop, parent documents and their attachments may be broken out into separate records.

If a document and its attachments were scanned as one entire document, there may be only a Begin and End Bates number field for each record in the database that reflect whole documents. If parent documents and attachments have been broken out into separate records, there may be a Begin and End Bates number field, as well as a Begin and End Attachment field or Attachment Range field in the database for each record.

When native e-mail files are processed, they may be converted to .tiff files, in which case, they could be treated the same as paper documents .tiff files, in terms of the Begin and End Bates number and Attachment number fields in the database. If they are not converted to .tiff files and were reviewed in native format, document ID fields are used to assign a unique identifier to each document and attachment. A document ID is a document level identifier, rather than a page level identifier.

The Find Attachment command gathers related parent and attachment documents in a database based on the fields containing the attachment information for an active query. The Find Attachments command looks for attachments where the attachment ranges are stored in a single field or two separate fields. The Find Attachments can be set up when creating a database using the New Database Creation Wizard, or using the preferences For more information about setting up the fields for the Find Attachment command for the database, see Defining preferences.

When using the Find Attachments feature, it is best practice to setup the fields as paragraph type fields to increase the performance and make sure to index/reindex the database. For more information about the Find Attachments command, see Finding attachments.

Document and attachment field examples Document and attachment field examples:

The following examples show some possible document and field scenarios in a Concordance Desktop database:

Example 1 - Parent Document with Two Attachments

1st Record (Parent Document)

BEGDOC: DSC0000001

ENDDOC: DSC0000001

BEGATTACH: DSC0000001

ENDATTACH: DSC0000010

2nd Record (First Attachment)

BEGDOC: DSC0000002

ENDDOC: DSC0000004

BEGATTACH: DSC0000001

ENDATTACH: DSC0000010

3rd Record (Second Attachment)

BEGDOC: DSC0000005

ENDDOC: DSC00000010

BEGATTACH: DSC0000001

ENDATTACH: DSC0000010

Notice that in each example above, the BEGDOC and ENDDOC fields reflect the Bates number range of the parent document and each attachment document. The BEGATTACH and ENDATTACH fields reflect the Bates range of the entire document (parent and all attachments).

Example 2 - Parent Document with One Attachment using Attachment Range Field

1st Record (Parent Document)

BEGDOC: DSC0000001

ENDDOC: DSC0000002

ATTACHRANGE: DSC0000001- DSC0000010

2nd Record (First Attachment)

BEGDOC: DSC0000003

ENDDOC: DSC00000010

ATTACHRANGE: DSC0000001- DSC0000010

Example 3 - Doc IDs with a Parent Document and One Attachment

1st Record (Parent Document)

DOCID: DSC00000001

PARENTDOCID: DSC0000001

2nd Record (First Attachment)

DOCID: DSC0000002

PARENTDOCID: DSC0000001

In this scenario, the PARENTDOCID field establishes the parent to attachment relationship for this document. Notice there are many field naming conventions and other possible styles for Parent and Attachment fields in a Concordance Desktop database.
To locate documents and related attachments To locate documents and related attachments:

1.Run the appropriate search to locate the documents for review.

The search results are returned.

2.On the Search menu, click Find Attachments.

3.When finished, press Enter.
To run a query and include all documents and attachments To run a query and include all documents and attachments:

1.In the Search field, type the query to locate the documents and attachments.

2.In the Navigation pane, click the Search tab.

3.In the Options section, click the Include Attachments check box.

4.On the Search toolbar, click the Go button [image] .


Updating hyperlinks file path
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Hyperlinks often require updating or replacement if you move the database or the native files to another network directory. Hyperlinks are stored in the [database name]-Notes.dcb file for each database. For example, if you move your native documents or attachments from one drive to another, you need to globally replace the drive letter in the NOTEATTACHED field of the Notes.dcb. If your attachment includes the full directory file path in the main database, you also need to replace the drive letter in the FILEPATH field.

If you have moved your database and can no longer launch the native files from the links in the database records, first update the native file path so that it points to the new location of the Native files, and then re-create the hyperlinks in the records so they point to the new location.

How to update the native file path To update the native file path:

1.Make a backup copy of your database. See backing up databases for instructions.

2.Open the database in Concordance Desktop, if not already open.

3.From the menu, click Edit and then Global Replace.

The Global Replace dialog opens.

4.In the Field list, locate and select the field that contains the hyperlink.

The field name is FILEPATH for databases created in Concordance Desktop, but may be named NOTEATTACHED or something else in Concordance 10.x databases that have been migrated to Concordance Desktop.

5.In the Target box, type the file path to the original location of the Native files folder.

The Native files folder is named Natives for databases created in Concordance Desktop, but may be named something else for databases that were migrated from Concordance 10.x.

6.In the Replacement box, type the file path to the new location of the Native files folder.

For databases created in Concordance Desktop, the 'Natives' folder usually resides in the same folder as the database (.DCB), unless the Native files have been previously

7. Ensure that the file paths are correct before proceeding, as the update is immediately committed to the database once you click OK.

8.Click OK.

The update process begins. When the status shows that all documents have been updated, the updates are complete.

9.Click Done.

You are ready to run the CreateHyperlinks CPL to regenerate the updated links in the database records.


Checking for duplicate records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

After importing records, you may want to check for duplicates in Concordance Desktop. Duplicates are identified by comparing the content in selected fields. When Concordance Desktop finds duplicate records, Concordance Desktop tags each of the duplicate records. Give some forethought to what fields you want to use to check for duplicates. Before checking for duplicate records, make sure that there are not any records that were tagged in a previous duplicate check before you start the process again.

It is best practice to remove access to the Check for Duplicates menu command on the Tools menu from most users, except your advanced users.

When Concordance Desktop checks for duplicate records, Concordance Desktop only checks the records in the current query. If you want Concordance Desktop to check for duplicates in the entire database, be sure to run the Zero Query before checking for duplicates.

The duplication detection categorizes documents in three ways:

·When a record is unique, no tag is assigned to the record

·The first time a duplicate record appears, the Original tag, or its equivalent, is assigned to the record

·The subsequent times the duplicate record appears, the Duplicate tag, or its equivalent, is assigned to the records

To check for duplicate records To check for duplicate records:

1.Run a search query to locate the records you want to search for duplicate records.

For more information about searching, see Available search tools.

When Concordance Desktop checks for duplicate records, Concordance Desktop only checks the records in the current query. If you want Concordance Desktop to check for duplicates in the entire database, be sure to run the Zero Query before checking for duplicates.

For more information about the Zero Query, see Reviewing search queries.

2.On the Tools menu, click Check for duplicates.

Clicking Check for duplicates opens the Duplicate Detection dialog box.

3.In the field list, click the fields you want Concordance Desktop to compare to identify duplicate records in the database's current query.

To select multiple fields, use SHIFT+click or CTRL+click.

You can select as many fields as you want, but there is a limit of 245 characters that can be compared. Paragraph fields count as sixty characters.

When you first open the Duplicate Detection dialog box, the Original field defaults to Original and the Duplicate field defaults to Duplicate. The Original field determines the name of the tag applied to the first record encountered in a duplicate record set, and the Duplicate field determines the name of the tag applied to the second record in a duplicate record set. You can modify the tags names in the Original and Duplicate fields to any tag name you want Concordance Desktop to use for duplicate records.

4.Before checking for duplicate records in the database, make sure that the database does not have any records that were already tagged with these tag names from a previous check for duplicate records.

5.If you selected a paragraph field in the field list, it is best practice to select the Only use the first line of each field check box.

If you do not want Concordance Desktop to compare all of the text in a field, up to the 245 character limit, clear the Only use the first line of each field check box.

6.Click OK to check for duplicate records.

The Duplicate count field displays the number of duplicate records found during the duplicate record check. Any duplicate records are tagged.

7.Click the Done button to close the Duplicate Detection dialog box.

8.To view the duplicate records, query the Original and Duplicate field tags.

For more information about querying tags, see Creating queries from tags.
Tallying duplicates Tallying duplicates:

You can also use the Tally feature in the Tally task pane to help identify duplicate records in the database. The Tally feature creates an itemized list of data values within a field, including the number of occurrences of each data value in the field.

For more information about the Tally feature, see Searching by tally.


About deleting records
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You may need to delete records if there are duplicate records or opposing counsel unintentionally produced privileged documents. Deleting records is a two-step process: mark for deletion, then pack the database to permanently remove the records. Reviewers can flag records for deletion, but they are not permanently removed from the database until the database is packed. Packing a database permanently deletes the records from the database, and there is no undo function for this process, therefore the Pack Database menu command should only be available to administrators.

Once records are flagged for deletion, you can run a query to review those flagged documents. This is your only fail-proof means of restoring a record after it is removed from the database. If you find that you later need to restore the deleted records, the only way to restore a record permanently deleted from a database is to import the deleted records back into the database.

Deleting Records Overview:

·Deleting is a three-step process: mark for deletion, remove tags from the records marked for deletion, and then pack the database

·Make a back-up copy of records marked for deletion by exporting those records to another Concordance Desktop database

·Packing is permanent; there is no Undo button

·Packing the database is an exclusive process


Deleting records in Concordance

Navigation: Administration > Database Administration > Managing Databases:

Deleting records in Concordance Desktop
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Deleting records is a two-step process: records are marked for deletion, then the database is packed to permanently remove the records. Packing a database permanently deletes the records from the database, and there is no undo function for this process.

Before permanently deleting any records, you first need to run a query for all records marked for deletion to review the documents. It is recommended that you remove any tags applied to the deleted records. For more information, see About deleting records.

You can also permanently delete all records in the current database using the Zap menu command on the Administration menu. When you zap a database, all documents and search files are erased and free space is returned to Concordance Desktop.

To mark records for deletion:

For step-by-step instructions to mark individual and multiple records for deletion, see Deleting records in the Using Concordance Desktop module.
To search for deleted records To search for deleted records:

1.On the Search menu, click Search for documents marked for deletion.

2.Clicking Search for documents marked for deletion creates a query of the records currently marked for deletion in the database.

When a record is marked for deletion, DEL is displayed on the Status bar.

3.In the Browse or Table view, review the records in the query to determine whether the records should be permanently removed from the database.

4.If any records in the query should not be permanently deleted, remove the delete status from the applicable records.

To remove the delete status from a record, see To unmark individual records for deletion in the Deleting records topic.

5.If you removed the delete status from any records in the query, click Search for documents marked for deletion on the Search menu again to update the query to only include the records you want to permanently delete.
To export the records marked for deletion:

After reviewing the records marked for deletion and updating the query to only include the records that will be permanently deleted, it is best practice to export these records to another database.

Always export your deleted records before you pack the database, just in case you need to retrieve them later. Once you pack a database, any records marked for deletion are permanently removed. There is no undo function for this process.

Use the Export As a Concordance Desktop database menu command to export the records marked for deletion. When you use the Export As a Concordance Desktop database menu command, Concordance Desktop exports all the records in the current query to a new database. For more information and step-by-step instructions, see Exporting databases.
To pack the database:

After backing up the records marked for deletion, you are ready to permanently remove the records from the database.

Remember, there is no undo function for this process. Records are immediately and permanently removed from the database, unless you export a copy of your deleted records.

You cannot pack a concatenated set of databases remotely, you must perform packing from the Concordance Desktop server machine.

1.On the File menu, click Administration, then Pack, and then Database.

2.Clicking Database opens the Administration dialog box.

3.In the User field, type the administrator's user ID.

4.In the Password field, type the administrator's password.

5.Click OK.

Clicking OK opens the Pack dialog box and starts the pack process.

When Concordance Desktop finishes permanently deleting the records marked for deletion, the Pack dialog box closes.

6.Verify that the records were deleted.

To verify the records were deleted, open the Table view and scan your record listing. The records marked for deletion should no longer be listed.

If you have an ACCESSID field in your database, you will notice that the accession number does not readjust for deleted records. This allows you to view gaps in your database records.

It is best practice to pack the dictionary after packing the database. For more information, see Packing the dictionary.
To zap a database To zap a database:

Zapping a database permanently deletes every record in the active database. All documents and search files are erased and free space is returned to Concordance Desktop. If databases are concatenated, only the documents and search files in the primary database are erased when you zap a database in a set of concatenated databases.

It is best practice to not give users access to the Zap menu command due to the risks involved in deleting all records in a database. There is no undo function for this process.

1.On the File menu, click Administration, and then Zap.

Clicking Zap opens the Administration dialog box.

3.In the User field, type the administrator's user ID.

4.In the Password field, type the administrator's password.

5.Click OK. A confirmation dialog displays.

6.Click Yes to zap the database.

Click No to cancel the zap process.

After the zap process completes, No documents in query is displayed on the Status bar.


Packing the dictionary
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Packing the dictionary is similar to defragmenting your hard drive; it gets rid of unnecessary entries to keep your system running faster and smarter. Good routine maintenance is to pack the dictionary after you pack the database and also each time you reindex.

Packing the database regularly:

·Increases database processing and search speed

·Increases reindex speed by up to 6X

·Optimizes the dictionary file and makes it smaller

For more information about packing databases, see Deleting records in Concordance Desktop.

To pack the dictionary To pack the dictionary:

1.On the File menu, click Administration, then Pack, and then Dictionary.

2.Clicking Dictionary opens the Administration dialog box.

3.In the User field, type the administrator's user ID.

4.In the Password field, type the administrator's password.

5.Click OK.

Clicking OK opens the pack status dialog box and starts the pack process.

When Concordance Desktop finishes packing the dictionary, the status dialog box closes.


About modifying databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you make a modification to a database, it usually means that you are modifying fields in the database. When you modify a database, you need to be careful. Concordance Desktop has no restrictions for database modifications, but we do offer recommendations on what you should and should not do so you are less likely to corrupt your database.

Modifications made to a database is a common reason for corruption. Please use caution when making changes and always back up your database files before doing so. Also it is a good practice to close other databases while making database modifications.

If you are modifying the database structure and using an active sorting layout or table layout, you must delete .Sortinglayout and .layout files and the files will be rebuilt to accommodate the new database structure the next time you open the database.

Always back up a database's files before you make any changes to the database. Some modifications are more dangerous than others, and database modifications always require a full index update immediately after. Most modify functions rebuild the database and erase the dictionary, requiring you to index the database from scratch. We recommend that you plan ahead to allocate time for database modification since it requires exclusive access to the database and time to run a full index.

Certain changes that do not require a database rebuild:

·Changing a date field’s display type

·Changing only one field’s name

·Adding or deleting key fields

If you have applied security, you must also give users access to any new or renamed fields before they are visible in the database. New and renamed fields are not visible in the Table view until they are added to the layout structure.

If you are renaming a field and moving or changing the field's type, it is best not to rename it at the same time. Instead, change a field name in one step. Then come back and modify the field type or location in another step.

Remember the 3 Change Rule for databases: We recommend that you not make more than three changes to a database before indexing. After making three changes in the Modify dialog box, click OK to save your changes, and then index the database. For more information about indexing databases, see Indexing and reindexing updates.

If Concordance Desktop security is enabled, the Modify dialog box can only be accessed by a user that has full read/write access to all fields.

Database modification guidelines Database modification guidelines
Database Modification Guidelines
Risk | Activity
Less Dangerous | Adding/removing punctuation
 | Changing a field’s length
 | Changing field properties (index or key)
 | Changing data types (text to paragraph)
 | Adding a new field at the end of the list
 | Inserting a new field in the middle of the list
 | Renaming a field – A common cause of database corruption!
 | Delete or insert a field elsewhere – common cause of database corruption.
More Dangerous | Making more than one change to the same field, at the same time

If you need to change a field name, make a new field first and run the AppendOneFieldToAnother.cpl, then hide the other field from users in the Security dialog box. Do not delete it!

How to modify a database:

1.Make a back-up copy of the database you are modifying. Do not proceed to step 2 until you have completed this procedure.

Do not perform live backups if you are using backup software that locks files, even briefly. This has been known to cause read/write functions to the database files to fail, and can cause file synchronization or corruption issues. Check with your IT group and/or backup solution provider to verify that no file locking occurs before scheduling any backups on Concordance Desktop, Concordance Desktop Image, and FYI files that are in use.

Be aware that anti-virus, firewall, and backup software can often interfere with network traffic and the locking of files, and in effect, could cause Concordance Desktop software to crash.

For more information see backing up databases.

2.Once your database backup copy is secure, open the database you want to modify and close all other databases.

3.On the File menu, click Modify.

The Modify dialog box opens.

4.Make the necessary changes.

For more information about database fields, see About fields.

For more information about filling out the Modify dialog box, see the Basic database fields topic.

If you are renaming a field and moving or changing the field's type, it is best not to rename it at the same time. Instead, change a field name in one step. Then come back and modify the field type or location in another step.

Remember the 3 Change Rule for databases: We recommend that you not make more than three changes to a database before indexing. After making three changes in the Modify dialog box, click OK to save your changes, and then index the database. For more information about indexing databases, see Indexing and reindexing updates.

5.Click OK to save your changes and close the Modify dialog box.

6.Run a full index.

For more information about indexing databases, see Indexing and reindexing updates.

Whenever you add or rename a field in the database, it is added to the database with full field access rights. If you need to restrict one or more user's field rights to the database, you will need to set the field privileges for the new or renamed field for users already added to the Concordance Desktop server.

For more information about field access rights, see Restricting user access on databases.


Managing Persistent Search
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

One method for storing search terms is to write the terms directly to a text file that is stored with the database. The Persistent Search feature searches for the terms included in the <databasename>_Persistent.txt file and highlights term(s) in each record where they are found.

Persistent Search, when enabled, remains active even after the results are returned. When new records are added to a database and the Persistent Search feature is enabled, simply reindex the database and then the new records are automatically included in the search results if the records meet the criteria.

If a query is run in conjunction with the Persistent Search enabled, the search results are returned for both the query and the persistent search, and the terms are highlighted in the Browse view. The search query results are displayed in a different color than those found from the Persistent Search. The color settings are defined on the Searching tab of the Preferences dialog box, see Defining preferences.

The Persistent Search feature may be run in conjunction with the Quick, Simple, Form, and Advanced Search queries to refine the search results even further. However, when combining search queries a maximum number of 255 characters is allowed. If a search is performed and then Persistent Search is activated make sure that the total number of characters does not exceed 255 to ensure the correct results are returned.

Add search terms to the Persistent Search file To add search terms to the Persistent Search file:

1.Navigate to the database's Persistent.txt file.

The .txt file is stored in the same directory as the database .dcb file.

2.Open the Persistent.txt file in any text editor program.

Persistent.txt files can be opened with any text editor program, such as Notepad.

3.In the Persistent.txt file, type a search term, and then press Enter.

The maximum number of characters per search term is 64.

4.Repeat step three for each term you want to include in the text file.

5.When finished, save the file and close the text editor.


Working with Concordance Desktop shortcut (.fyi) files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

In the Concordance Desktop Admin Console, you can create shortcut (.fyi) files that allow users to launch Concordance Desktop and open remote databases through the Concordance Desktop Server.

Concordance Desktop needs to be installed on the client's computer and Internet access needs to be available. Users can access PDF copies of native documents and/or images if a Full Reviewer license is added to the server and they are provided with the log in credentials for that server.

Concordance Desktop shortcut (ifyi) users have full functionality, with the exception of modifying the database structure, providing an account has been setup for them on the server. Concordance Desktop shortcut (.fyi) users cannot access the Modify command on the File menu.

The shortcut (.fyi) file, which can be opened in any text editor, contains the connection information needed to address the Concordance Desktop server and request the database. It includes the server/host name and port number, the database name and description, and a specific serial number. Users receive access when you email them the shortcut (.fyi) file pointing to the database, along with their Concordance Desktop user name.

For more information about the Concordance Desktop shortcut (.fyi) file, see Working with shortcut (.fyi) files and Distributing the shortcut (.fyi) file to users.


Supporting Concordance Desktop shortcut (.fyi) files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Once databases have been registered and published from the Admin Console, there are some steps you will need to take to ensure that your users have the necessary information they need to get started with the Concordance Desktop shortcut (.FYI) files.

For more information about distributing shortcut (.FYI) files, see Distributing the shortcut (.fyi) file to users.

For more information about supporting reviewers, see Supporting reviewers.

System require for the Concordance Dekstop server to support shortcut files Concordance Desktop server system requirements for shortcut (.fyi) files

The minimum system requirements include:

·Internet access

·Must have client port open to inbound and outbound traffic on the server/computer (port 443 by default)


Creating shortcut (.fyi) files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In the Concordance Desktop Admin Console, you can create shortcut (.fyi) files that allow users to open remote databases in Concordance Desktop.

Concordance Desktop needs to be installed on the user's computer and Internet access needs to be available.

The shortcut (.fyi) file contains the connection information needed to address the Concordance Desktop server and request the database. The shortcut (.fyi) file includes the server/host name and port number, which can be viewed in a text editor program. Users can access the shortcut (.fyi) file when you e-mail them the file pointing to the database, along with their Concordance Desktop user name.

When working with shortcut (.fyi) files, consider the following:

·Shortcut (.fyi) files can be viewed in a text editor program where you can manually change the server/host name, port listing and database description.

·Do not modify the serial number contained in the Shortcut .fyi file as this invalidates the file.

·There is no limit to the number of shortcut (.fyi) files that can be generated.

·When distributing shortcut (.fyi) files from a concatenated set, only the primary database needs to be published to a Shortcut (.fyi) file, as long as the other joined databases are registered on the same Concordance Desktop server.

A new shortcut (.fyi) file is needed when the following occurs:

·The port address changes

·A database is unregistered or registered

·The server's name (computer name) changes

Creating a shortcut (.fyi) file To create a shortcut (.fyi) file

1.Log onto the Admin Console of the Concordance Desktop server where the database is registered.

2.Click the Management tab.

3.Double-click on the Databases folder to open the database list.

4.Right-click on the database for which you need to create a new shortcut (.fyi) file, and select Create Database Shortcut file.

A Save .FYI [database name] dialog box opens.

5.Select the appropriate Server Address.

6.Click Next.

7.Click the ellipses button to select the folder and file name for the new shortcut (.fyi) file.

8.Click Finish.

The shortcut (.fyi) file is saved under the file name and location you entered.


Distributing the shortcut (.fyi) file to users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Users cannot access remote Concordance Desktop databases without having the .fyi file distributed to them. You must also ensure that the port setting is entered in the Admin Console and is open for inbound and outbound traffic. The shortcut (.fyi) file does not need to be redistributed to users unless the serial number or port address changes.

Concordance Desktop shortcut (.fyi) Distribution Checklist Concordance Desktop shortcut (.fyi) distribution checklist

Checklist: Concordance Desktop Shortcut (.fyi) Distribution

E-mail Template

Prepare an e-mail template for distributing the Concordance Desktop shortcut (.fyi) file to users to ensure that this process is fast and easy the next time a user needs access.

Include the sohrtcut (.fyi) file in the e-mail and instruct users to save the file to their computer desktop.

Logons and Passwords

Include the user’s logon, as well as the server or host name and port (usually 443), they need when opening the shortcut (.fyi) file on their compute desktop.

Launching Concordance Desktop

After users have saved the shortcut (.fyi) file to their desktop, they can double-click the file to launch the Concordance Desktop application.

Once users have entered their logon and password, and entered the server/host name and port, the database opens in Concordance Desktop.

*If a user receives an error message stating that the server is unreachable or other message or pop-up, instruct them to contact you. The error is probably due to an incorrect server address and you will need to verify whether the port setting is correct and open.

User Session Timeout Allotments

Inform users of the user session time allotment you have designated for them. Users should know that when their user session timeout period is nearly finished, they will receive an announcement indicating that they should save their work. If a user is logged on, but not actively working, the Concordance Desktop application on the server will then disconnect them from the database and Concordance Desktop, and they risk losing data. To re-open a user session, a user should save their work, exit Concordance Desktop and re-launch the application, thereby opening a new user session period.


About snapshots
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Snapshots are a point-in-time picture of a user’s work history and helps them track and preserve both search history and search results. Saved snapshots can easily be restored to see what the contents of a database were on a particular day and what search results were found at that moment in time. Snapshots only store historical data, such as searches, the last record selection, and the last sort performed during a user’s Concordance Desktop session.

When a saved snapshot file is restored, Concordance Desktop automatically opens the databases associated with the file, with all queries and sorts preserved. These snapshots can only be restored in the original database they were created in.

Users may also choose to have the Auto-restore feature turned on which is a similar feature to saving a snapshot. This snapshot file contains that last record selection and last record viewed at the end of a Concordance Desktop session, so when users next access Concordance Desktop they can resume. The Auto-restore feature is enabled by default. The Auto-restore setting can be found under File > Snapshot in Concordance Desktop.


Managing Imagebases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop Image Base (CIB) database is a SQLite database that stores information on all native documents and image files in a Concordance Desktop database. The .cib file stores information such as folder path location, markup history, and preferences settings for the viewer.

As a best practice, make sure that all users are logged out of the database prior to using the Image Base Management tools.

Do not delete the .CIB file. Doing so can corrupt the database. The .CIB file contains vital information that the database requires in order to allow the database to be opened and its records to be accessed.

Managing the Concordance Desktop Image Base includes the following:

·Renaming/deleting media paths and folders

·Renaming/deleting media keys (aliases)

·Exporting the imagebase database to an OPT file

·Calculating or updating document page count

·Converting Concordance Desktop Viewer Imagebases to Concordance Viewer

If you are on the Concordance Desktop server machine, and the Image Base Management tools are not available from the File > Administration menu, then you have not been given access privileges. If you need access, please contact your Concordance Desktop Administrator.


Renaming file paths and folders
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

After registering your media, if you receive an error message stating that the viewer is unable to open the corresponding document, you need to edit your folder paths. The folder path listed in the message box is the path stored in the Concordance Desktop Image Base that points to where your files are located so the viewer can open and display the documents. You need to change the path to the directory location where your documents actually reside.

Use caution when resetting folder paths as there is no undo function and changes are permanent. We recommend backing up the .cib file before performing this process or other imagebase management tasks.

To rename media paths and folders To rename media paths and folders:

1.Open the database you want to change the media path or folder.

2.From the File menu, click Administration, Image Base Management, and then CIB Management.

3.Click the Browse button to locate and open the .CIB file for which you need to rename paths and folder.

4.In the Image Base Management dialog box, click the Rename Media Paths and Folders button.

The current file paths are listed at the top of the Rename Media Paths and Folders dialog box.

5.To specify a Target path, do one of the following:

·From the Root Paths list, select an existing file path.

·Enter a partial path in the Target field.

6.To set the Replace with path folder, do one of the following:

·Click the Select Folder button and select a new root path folder.

·In the Replace With field, enter the new root path.

File paths and folder are case-sensitive. Make sure the target and replace case matches the actual locations, to ensure they are properly replaced.

7.When finished, click Replace.

8.In the New Root Paths dialog box, do one of the following:

·Click Confirm if the new path is correct.

·Click Cancel to return to the Rename Media Paths and Folders dialog box and make any necessary corrections.

The New Root Path dialog box displays the new path. If the path is displayed with red text, this indicates that the folder does not currently exist. It is recommended that you cancel the rename and choose an existing folder or create one prior to renaming the path.

8.When finished click OK.


Editing media keys
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Your load file's alias format for should match the media (image) key information in the corresponding Concordance Desktop database. Concordance Desktop stores this key in order to reference the image for viewing in the viewer. For more information about the Image (Media) check box, see About fields.

You can use the Image Base Management feature to make changes to the media (image) aliases as needed.

Make sure that when you rename or delete any media keys, you rename or delete the media key in the Concordance Desktop database.

Unicode characters are not supported for media (image) key field names/

To edit media keys To edit media keys:

1.Open the database for which you need to change the media keys.

2.From the File menu, click Administration, Image Base Management, and then CIB Management.

3.Click the Browse button to locate and open the .CIB file for which you need to edit media keys.

4.Click the Rename or Delete Media Keys button.

5.Do any of the following:

·Locate and click the media key from the media keys listed.

·Enter the media key alias and then click Search.

6.In the New Alias field, enter the new media key.

7.Click Save Alias.

8.Repeat steps 5 through 7 for each media key you want to edit.

9.When finished, click OK.
To delete media keys To delete media keys:

1.Open the database for which you need to change the media keys.

2.From the File menu, click Administration, Image Base Management, and then CIB Management.

3.Click the Browse button and then locate and open the .CIB file for which you need to delete media keys.

4.Click the Rename or Delete Media Keys button.

5.Do any of the following:

·Locate and click the media key from the media keys listed.

·Enter the media key alias and then click Search.

5.Click Delete.

6.Repeat steps four and five for each media key you want to delete.

7.When finished, click OK.


Exporting a CIB file to OPT format
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

To make a backup of a Concordance Desktop database imagebase you can export the database's .cib file to an .opt formatted file. The OPT file is a text file that contains the contents of the imagebase at the time of the export.

If you plan to export the imagebase database more than once, make sure that you delete or rename the existing .opt file(s) prior to exporting as Concordance Desktop will not overwrite the file(s). The exported .opt file does not include markup history.

To export a .cib file to an .opt file To export a .cib file to an .opt file:

1.From the File menu, click Administration, Image Base Management, and then CIB Management.

2.Click the Browse button to locate and open the .CIB file that you need to export.

3.Click the Export CIB to OPT Format.

4.Click Add, and then locate and open the .cib file you want to export.

5.In the Output Folder field, click Browse.

6.Locate and select the folder where you want to export the OPT file.

7.Click Export.

8.When finished, click OK.
To export multiple .cib files to an .opt file To export multiple .cib files to an .opt file:

1.From the File menu, click Administration, Image Base Management, and then CIB Management.

2.Click the Browse button to locate and open the .CIB file that you need to export.

3.Click the Export CIB to OPT Format button.

4.For each CIB file you want to export, click Add, and then locate and open the .CIB files you want to export.

5.In the Output Folder field, click Browse.

3.Locate and select the folder where you want to export the OPT files.

4.Click Export.

5.When finished, click OK.

Each CIB file is exported to a separate OPT formatted file, and placed in the designated folder.


Converting existing CI Imagebases

Navigation: Administration > Database Administration > Managing Imagebases:

Converting existing Concordance Image imagebases
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

If you need to convert Concordance Image imagebase files to Concordance Desktop, please contact Support.


Converting Concordance Desktop Viewer Imagebases to Concordance Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance Desktop provides a feature to convert an imagebase from the original Concordance Desktop Viewer to the new Concordance Viewer. This feature is only available for databases that are linked to the Concordance Desktop Viewer and contain supported filetypes for the new viewer.

It is not recommended to convert the imagebase to the new viewer if any of the following are true:

·The imagebase contains file types that are not supported in the new viewer.

·Markups include text-based underlines, highlights and strikethroughs. These markups are not converted in the process.

·Markups include stamps. While stamps do convert, they may appear distorted in the new viewer.

·The database is part of a concatenated set in which other databases cannot be converted to the new viewer.

·The database review is in progress and changing to a new viewer, as well as new production and printing processes would be disruptive and result in possibly inconsistent output.

Document redactions and markups placed in the original viewer are stored in .xrl files located in the same Windows folder as the image, near-native or native file to which it applies. Markup history is stored in the .cib file located in the database folder. The conversion process will make a copy of the .cib file and rename the .xrl files in their locations.

To convert an imagebase from Concordance Desktop Viewer to Concordance Viewer:

1.Verify that no other users are logged into the database. You may take the database off-line in the Admin Console to ensure that users will not access the database during the conversion process.

2.From the File menu, click Administration, Image Base Management, and then Convert to new viewer.

3.An informational message box is displayed with details about the conversion process. Select OK in the dialog to continue the conversion process.

4.Upon completion, the Concordance Desktop Redaction Converter window is displayed. This window displays details about what was converted.

4.The window displays details about what was converted. Use the scrollbar on the right to review the details.

5.Click View Log to display the redaction conversion log in a separate text editor window.

6.Click View Report to display a comma separated log of markups that were converted in a separate window. Each record in this report includes CNDCN, Page, Type, Reason for Redaction, and Status.

7.Click Done when you are ready to start working with your converted imagebase and the new Concordance viewer. The new viewer will automatically launch when users click on the camera button. New printing and production wizards associated with the new viewer will also launch when these menu options are selected.

Should they be needed later, both the conversion .log and .csv report are saved in the Logs folder where the database files are stored.

The Convert to new viewer menu option will only be available for databases that are associated with the Concordance Desktop Viewer.


Concatenating Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concatenation is the joining together of two or more Concordance Desktop databases, allowing users to view multiple databases as if they were one database in Concordance Desktop.

There are three main reasons for joining databases:

·Very large record collections are often broken into smaller databases for administrative maintenance needs and need to be joined for the review team to access all case documents

·Databases that are separated based on record and/or file type, still make up the case’s record collection and need to be searched together during particular review projects

·Attorneys may request that records are separated by category, yet still need to combine the databases during case review

Separate databases are also created based on type; emails, transcripts, and non-transcript records, so joining them for search purposes is ideal during review projects. Sometimes attorneys may want subsets of records broken by category, such as all pleading documents and correspondence documents separated by database, and again having the benefit of concatenating them for specific review projects.

Members of the review team, must ensure that every pertinent record has been reviewed, sorted and tagged appropriately regardless of the database location. The way to do this efficiently is by having concatenated databases in which they can save appropriate search queries during the discovery process. Every tag and issue, entered by all users will be viewable, and listed alphabetically.

Concatenating databases is a powerful feature that includes:

·Searching up to 128 databases simultaneously and treating them as a single large file, depending on network set up

·Opening transcript and non-transcript databases together

·Using drop-down database lists on field’s with selection functions

Databases that have been converted from Concordance 10.x cannot be concatenated with new databases created in Concordance Desktop. In addition, you cannot drag and drop a migrated database onto a new database created in Concordance Desktop, or vice versus.

With database concatenation users can With database concatenation users can:

·Search up to 128 databases simultaneously. Concordance Desktop treats them as a single large file (not including Notes and Redlines databases).

·Open transcript and non-transcript databases together

·Use drop-down database lists on fields with selection functions

·Save indexing time when new records need to be imported into Concordance Desktop, by having a secondary database created and joined with the primary database

·Save maintenance time when indexing databases. With concatenation, you can index multiple databases at the same time.

·Automatically display tags from all databases

·Create field groups in INI files so reviewers can search multiple fields under one alias (copy into each .ini file for joined databases)
Benefits of concatenated databases Benefits of concatenated databases

·Large record collections can be broken into smaller databases that can then be concatenated for review.

·You can organize a record collection for review by creating databases based on document type, custodian, etc.

·Users can share tags across all the databases in the concatenated set.

·Users can search across all the databases in the concatenated set.
Things to know about manually concatenated databases Things to know about manually concatenated databases:

·Concatenation is not a structural change, records in each database remain the same.

·Concatenation does not have to be permanent. Databases can be removed from the concatenated set, or the concatenation itself can be removed.

·Concatenated databases do not have to have any fields in common, unless you need to create a production from the set. For productions, the field names must be common across all the concatenated databases.

·The .cat file is saved in the same folder as the primary database's .dcb file. When the pimary database is launched, all other databases in the concatenated set are opened.

·Packing, database modifications, indexing and reindexing are done in the primary database only, all others are automatically updated.

·You must be on the Concordance Desktop server machine in order to pack a concatenated set of databases.

·You should never delete the CAT file itself. Instead you should clear the concatenation through Concordance Desktop.

·Searches search each dictionary file one by one.

Things to know about automatically concatenated databases Things to know about automatically concatenated databases:

·Concatenation is not a structural change, records in each database remain the same.

·Concatenated databases do not have to have any fields in common, unless you need to create a production from the set. For productions, the field names must be common across all the concatenated databases.

·The .cat file is saved in the same folder as the primary database's .dcb file. When the pimary database is launched, all other databases in the concatenated set are opened.

·Packing, database modifications, indexing and reindexing are done in the primary database only, all others are automatically updated.

·You must be on the Concordance Desktop server machine in order to pack a concatenated set of databases.

·You should never delete the CAT file itself. Instead you should clear the concatenation through Concordance Desktop

·When you create a new database based on multiple record sets, the import process creates a new database for each record set and then concatenates the databases so they appear as one database.

·You should never delete the .CAT file of a concatenated database set. If you need to remove a database from the set, or remove concatenation, you need to do so through Concordance Desktop.

·Automatically concatenated databases do not have to have any fields in common

·Automatically concatenated databases are saved in a single folder so that all databases open when the primary database is opened in Concordance Desktop. Packing, database modifications, indexing and reindexing are done in the primary database and automatically performed on the rest of the databases in the concatenated file set.

·Searches search each dictionary file one by one.
Concatenated database set view How to recognize a concatenated database set

A concatenated set in the Admin Console

A concatenated set in Windows Explorer

The image on the left shows how a concatenated database set is displayed in the Admin Console under the Management tab. The plus sign (+) indicates that a database is the primary of a concatenated set. Secondary databases are indicated by a 'C' and are indented directly below the primary database.

The image on the right shows how a concatenated database set is saved and displayed in Windows Explorer. Note how a folder is created for the secondary database, labeled the same name as the primary, with an extension beginning with 001. If you look at the database in the folder, it too will be named the same as the primary, with a dash and then sequential number, beginning with 001.


Designing concatenated databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

When large databases are split into multiple databases and then concatenated for ease of maintenance, all databases can be created with the same structure. The following Concatenated Database Sample table illustrates how this architecture is created.

As the administrator, this database design serves both you and the reviewer. The generic naming of the primary database prevents confusion for the reviewers because they can simply launch the primary database (Columbia.dcb) without having to be concerned about multiple databases. The design also benefits you because databases are similarly named and the structure allows for ease of maintenance when indexing or reindexing is needed.


Organizing document types
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There are various ways to organize the different types of documents imported into databases. Transcripts must be organized in a separate database because of the template structure required to import these files. In order to search a paper document database with transcript content, the two databases must be concatenated.

When various database types are concatenated, all databases in the set automatically launch when the primary database is accessed in Concordance Desktop.


Managing concatenated databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When managing concatenated databases, be aware of the following:

·Index and reindexing need only be done on the Primary database; all others are automatically indexed/reindexed.

·Pack need only be done on the primary database; all others are automatically packed.

·File updates and data imports, either from drag and drop or the Import feature, append to the very last database in the file set.

·DCB, DAT, and PST files that are dragged and dropped onto the primary database are automatically added to the concatenated file set.

·Exports only use a selected database’s field structure from a concatenated set.

·Each users' field rights and menu access settings need to be the same for every database in the concatenated file set.

·Productions can be run for a concatenated file set by running them on the Primary database only; all other database in the file set are automatically included

You can export from a concatenated set of databases as long as the field names are the same; however, the field type is inherited from only one selected database, so data may be truncated if the field size and data size of one of the concatenated databases exceeds the field size of the selected database structure.

Limitations for concatenated databases

Using concatenated databases includes the following limitations:

·You can join databases with differing structures and they can be edited, sorted, and printed. However, the structures must be identical to use certain options such as Overlay and Export.

·When exporting concatenated databases, only the data in fields that are identically named and formatted in the concatenated set will be exported.

·When importing records into a concatenated database, records are updated when the fields of an imported record match an existing record. When the fields do not match, the imported record is appended to the main database, which is the first database in the concatenated set. However, when using the Overlay option, importing records with mismatched fields can cause a loss of data.

·Only the "Primary" database of a concatenated file set can be opened. If a user attempts to open a database that is part of a concatenated file set, they receive a message stating that they cannot open a "non-primary" database.
User Management guidelines for concatenated databases

Setting up user management for concatenated databases includes the following guidelines:

·Each users' user name and password must be the same for all databases in the concatenated set.

·When the user name and password in the primary database does not exist in a secondary database, the concatenated database will not open. The user receives a message that they do not have access rights to the specific database.
Automatically launching concatenated databases

The concatenated text file (.CAT file) is used to keep track of concatenated databases. The file contains the list of database names and their file paths for the databases in the concatenated database. If you attempt to open a database and Concordance Desktop finds a database .cat file by the same name in the same directory as the .dcb file, the databases in the list are automatically opened and concatenated. Since the Reindex function updates all actively concatenated databases, you can search, edit, and use the group as if they were one.


Indexing and reindexing concatenated databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Edits and changes on various databases are occurring simultaneously by all users who are adding tags and comments, and editing records. Make sure that team members are updating the dictionary for searches by regularly reindexing all the databases in concatenated database sets.

When you Index a concatenated set of databases, Concordance Desktop indexes each database in the set. When you Reindex a concatenated set of databases, each database in the concatenated set is reindexed, updating the whole concatenated database collection.

If a check mark is displayed next to Reindex on the File menu, the databases need updating. The check mark disappears from this setting after the process is completed. Collaborate with the review team lead to ensure that reindexing schedules coordinate with case review objectives.


Joining multiple databases (concatenating databases)
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Administrators on the Concordance Desktop server can concatenate databases using either Concatenate Database function in the Databases task pane, selecting the Concatenate option from the File menu, or by dragging and dropping a DCB, DAT or PST onto an existing database. Please note that only those who are assigned as administrators on the Concordance Desktop server where the concatenation needs to be performed, have the ability to concatenate databases.

When reviewing a concatenated dataset, all tags in all databases display in the Tags panel. If you apply a tag from one database to a record in another database, Concordance Desktop automatically writes that tag into the record’s corresponding database.

Databases that have been converted from Concordance 10.x cannot be concatenated with new databases created in Concordance Desktop. In addition, you cannot drag and drop a migrated database onto a new database created in Concordance Desktop, or vice versus.

To concatenate databases To concatenate databases:

You can only concatenate databases if you are a Concordance Desktop Administrator on the server where the databases reside.

1.Do one of the following:

·On the File menu, click Administration, then Concatenate, and then Edit concatenation.

·Drag and drop a DCB, DAT, or PST file onto an existing database

The Concatenated Databases dialog box opens.

If the database you have open is already the primary database in a concatenated file set, the list displays all the database files in the set.

If the database you have open is not in a concatenated file set, this list shows only that database.

2.Click the Add button.

3.Locate and Select the database file you want to join with your current database.

The file path is added to the Concatenated Databases box.

The Current Database panel in the Databases task pane displays all the concatenated databases, the total number of documents in the concatenated set, and whether the databases need reindexing.

Joined databases in a Concatenated database set only remain concatenated for the current session unless you save the concatenated database set. Once you close out of the database, the concatenation is removed from each of the databases in the set.

To remove the database concatenation, on the File menu, click Administration, then Concatenate, and then Clear Concatenation. You can only use this method if you are a Concordance Desktop Administrator on the server where the databases reside.

The Table view layout corresponds to the active database you are reviewing. If you view a record from a concatenated database, your Table view layout changes to display the fields and sort order for that database. Remember to reference the Concordance Desktop Title bar to see what database you are viewing for a particular record.

If you are reviewing multiple joined databases at a time, it may be helpful to change the font color or size in each database to help you differentiate between the databases at a glance.


Opening a concatenated file set
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you open the primary database file of a concatenated file set, Concordance Desktop automatically opens each of the databases joined together in the file, and lets you search and review the set of databases as if they were all one database.

To open a concatenated file set To open a concatenated file set:

·In Concordance Desktop, open the "Primary" database of the concatenated file set or from the File menu, click Connect and then select the primary database.

The "Primary" database is the database that was opened first and to which the other databases were joined.


Deleting a concatenated file set
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If users no longer need databases to be joined in a concatenated file or they no longer need them to automatically launch each time the primary database is launched, you can remove the concatenated file set from within Concordance Desktop. In order to delete a concatenated file set, you must be an administrator on the Concordance Desktop server where the databases of the concatenated file set are registered.

Clearing a concatenated file set To remove a concatenated file set

1.In Concordance Desktop, open the "Primary" database of the concatenated file set.

The "Primary" database is the database that was opened first and to which the other databases were joined.

2.From the File menu, click Administration, then Concatenate, and then Clear Concatenation.

Note that you must be an administrator user in order to delete a concatenated file set.

3.You are asked to confirm the action, click Yes.


Removing a database from a conatenated file set
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can only remove a database from concatenated set, or delete a concatenated file set if you are a Concordance Desktop administrator on the Concordance Desktop server where the concatenated databases are registered. When you delete a concatenated file set, it removes the concatenation only. The databases still remain on the server and become individually accessible.

When you remove a database from an automatically concatenated set of databases, record numbering across the remaining databases will no longer be sequential. This is due to the removal of numbered records in the database that was removed, thus causing a break in the sequential order of the numbering.

To remove a database from a concatenated file set To remove a database from a concatenated file set:

1.In Concordance Desktop, open the "Primary" database of the concatenated file set.

The "Primary" database is the database that to which all the other databases were joined.

2.On the File menu, click Administration, then Concatenate, and then Edit concatenation.

The Concatenated Databases dialog box opens.

3.Click on the database you want to remove from the concatenated file set.

4.Click the Delete button.

5.Repeat steps 3 and 4 for each database you want to remove from the concatenated set.


Reviewing concatenated databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When reviewing concatenated databases, it can sometimes be difficult to distinguish data from each database at-a-glance in the Table view. In the Table view, you can change the text font and color for each database and use table layouts to help you review concatenated databases.

Applying tags to concatenated databases is as simple as applying tags to individual databases. You can even add tags from one database to another database in a concatenated set.

Reviewing concatenated databases in the Table view Reviewing concatenated databases in the Table view

When you are viewing a concatenated database set, you can change the font color or size in the Table view for individual databases to help you differentiate between the databases at a glance.

You can identify a database in a concatenated set in the following ways:

·Reference the Concordance Desktop title bar for an individual record’s database and document name

·Reference field names for each database displayed in the Table view

·Change the font color and size for each database in the Table view

When you are searching data on multiple databases, the query results from a same name field intermingle in the Table view. The easiest way to distinguish between database information in the Table view is by font color and size.

Example: If each database has a same name DATE field, you can run a search on this field to gather subsets of documents by date.

date = 10/??/1983,10/??/1998,02/??/2003

This query located all documents within three different databases with a date of October 1983, October 1998, and February 2003. As shown in the example above, the Table view listings the black query results are from a paper database, the purple results are from a transcripts database, and the blue results are from an e-mail database.
Reviewing concatenated databases using Table Layouts Reviewing concatenated databases using Table Layouts

You can also adjust your Table view layouts if field names are similar to sort across the joined databases. Each concatenated database will be listed in the Table Layout dialog box with private and any public layouts that have been created. You will need to manually rearrange fields to have them display in the same columns for sorting purposes.

Copy the .LAYOUT file from one database to other concatenated databases to use the same table layouts in the Table view.

Tagging and concatenated databases Tagging and concatenated databases

When databases are concatenated, all tags from both databases are displayed in the Tags task pane. If a reviewer applies a tag from one database to a document residing in another database, the tag is then added to the database where it never existed before.


Saving searches in concatenated databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

When searching concatenated databases, Concordance Desktop searches across all concatenated databases but because it searches each dictionary file one by one, searches may take a bit longer.

Saving queries executed on concatenated databases is the same process as saving them when reviewing one database at a time. All searches from all databases in the concatenated set are saved. Query files are stored in a .qry file, and can be restored on a concatenated set as you would a single database. You just need the databases to be joined when you save the query and when you re-run the query. Re-running the queries on a concatenated database set gathers any updates made since the last time any database was reindexed.


Printing from concatenated databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When printing from a concatenated database set, you have the option to show or hide certain fields.

If you are printing a standard report in Concordance Desktop, you need to designate the database you are printing from, on the Fields tab in the Print documents dialog box.

To open the Print documents dialog box To open the Print documents dialog box:

1.From the standard toolbar, click the Print button.

2.Optional: From the Field tab, select the fields you want to print and/or arrange the field order for printing.

For more information about printing standard reports, see Printing standard reports.


Backing Up and Archiving Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There are a couple of options for backing up your Concordance Desktop databases. Before backing up your Concordance Desktop database, you need to determine how long the backup process may take, given the size of the database files. The backup process could take many hours, so having a solid estimate helps you plan backup maintenance schedules.

Research the network’s automatic server backups and how it may impact Concordance Desktop database files. Database files automatically backed up in this manner often take longer to restore, therefore, they are probably not a practical method to rely on as your sole source for database copies.

Do not perform live backups if you are using backup software that locks files, even briefly. This has been known to cause read/write functions to the database files to fail, and can cause file synchronization or corruption issues. Check with your IT group and/or backup solution provider to verify that no file locking occurs before scheduling any backups on Concordance Desktop files that are in use.

Be aware that anti-virus, firewall, and backup software can often interfere with network traffic and the locking of files, and in effect, could cause Concordance Desktop, Concordance Desktop Image, and Concordance Desktop server software to crash.

It is best practice to use the following methods for routine backup procedures:

·Verify that you are not backing up your databases while they are in use either by tape or by manually making a copy. Any locking of files while users are updating those same files can produce erroneous results. Using snapshots on your data storage devices can reduce these effects because they do not lock the files.

·To create a backup of a Concordance Desktop database, use the Export Wizard provided in Concordance Desktop. Exported databases do not include tag history, redlines, or the imagebase. To retain this data in your back up, you should replicate the database. To include tag history, run the TagSaver.cpl and TagHistoryandStoreIt.cpl. Either way, you are storing a backup of your database files in the event they need to be restored later. To save your redlines and imagebase, backup the .CIB file separately. In lieu of using the wizard, you can backup the whole database folder by copying and pasting the whole folder to another location.

When backing up databases, you should also consider the following:

·If user management is applied at the database level, back up the .sec files

·Back up tags using the TagSaver.cpl and TagHistoryandStoreIt.cpl

·Back up redlines and imagebase by using another backup method to backup the .CIB file.

·Do not forget to copy over your list files, queries, exported user management, and .gat files, etc.

·Verify that your anti-virus does not scan any of the following file types: .trk, .key, .dct, .dir, .fzy, .layout, .sec, .cib

Backing up tags may take days for some databases, and loss of tagging information can jeopardize a case review. Please make time to research and test this process so you understand how to best schedule this task regularly.


About archiving databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Archiving of databases is standard practice for corporate environments, and you will want to adhere to those guidelines with Concordance Desktop databases. You may want to make additional archives for maintenance reasons too, ensuring that you have adequate archive files for case history and research. Reviewers are known to come back, even years later, and want to research a case history if they are working on a similar one. Many vendors offer vault storage and web repository environments for data retrieval in the event of a disaster, or merely to restore data from an archive library.

Another consideration for you is to think about creating a database archive using Concordance Desktop. Because the storage capacity for records is vast, an archive library may work well for your organization in researching old records and case history data.

Minimum Required Files for Archiving
Task | File Type | Use
.dcb | Database | Primary database control block.
.ndx | Index | Fixed field and document status storage.
.tex | Text | Full-text paragraph field storage.

Archiving Guidelines:

·Run the Tag To Field command in the Tag and Issue Management dialog box, and the TagHistoryandStoreIt.cpl to track and manage tags in a field.

·There are three minimum files needed to archive a database: .dcb, .ndx, .tex.

·Export to a delimited text file because it is a universal archive format that is retrievable in years to come.

·Ask yourself whether you really need to archive images; these files are huge and require adequate media storage.

·Move files to a long-term, archive-quality media.

·Schedule data destruction per corporate policies; determine how long do you need to keep the copies.

·Keep an updated list of archive files for you or another administrator to reference.


Exporting Data
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance Desktop offers a variety of options for exporting data in order to back up databases or save data into a format that can be imported into another database. Data exports are often required when there is a need to share data with other parties or for document production.

In Concordance Desktop you can export:

·As a Concordance Desktop database

·To an OPT file for use with Concordance Desktop Viewer

·To a delimited text file

·To a database structure for creating a database template

·Database transcripts into .PCF or delimited text files

Exporting data covers two scenarios:

·Exporting data for backup files and internal case review

·Producing images and information for third parties or opposing counsel


Exporting databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When you export a Concordance Desktop database, you have the option to export to an existing database or to create a new database. The export includes every record in the current query, in the sort order they are listed. By default, all fields, data, and tags, are also exported, but you also have the option to select only specific fields for export.

Security and tag history are not included in the export when you export a database. You can export a database's security settings from the Security dialog box. For more information about exporting security settings, see Setting up security.

Before exporting a database, you can store the database's tag history in one of the database's fields using TagHistoryAndStoreIt_v10.00.

When exporting to an existing database, fields are only copied if they exist in both databases.

To export a Concordance Desktop database:

1.Run a search query to locate the records you want to include in the export.

For more information about searching, see Available search tools.

When Concordance Desktop exports a database, Concordance Desktop can export just the records in the current query or can export all the records in the database. If you want to export all the records, you can run the Zero Query.

For more information about the Zero Query, see Reviewing search queries.

2.On the Documents menu, point to Export, and click As a Concordance Desktop database.

Clicking As a Concordance Desktop database opens the Export Wizard - Database dialog box.

3.Click the Browse button to open the Select database to merge dialog box.

4.If you are exporting to an existing database, navigate to and open the .dcb or .fyi file for the database you are exporting to.

If you are exporting to a new database, navigate to where you want to store the database, type the database name in the File name field, and click Open.

Clicking Open adds the database file name and directory to the Database field in the Export Wizard - Database dialog box.

5.Click Next to open the Export Wizard - Fields dialog box.

The database list defaults to the database currently opened and all the database's fields are selected in the field list.

When exporting to an existing database, fields are only exported if the fields match the fields in the existing database.

If the database is a concatenated database, the other databases in the concatenated set are also available for selection in the database list.

When exporting concatenated databases, only the data in fields that are identically named and formatted in the concatenated set will be exported.

6.To include only some of the database fields in the export, in the fields list, click the fields you want to export.

To select multiple fields, use SHIFT+click or CTRL+click.

7.Click Next to open the Append/Replace dialog box.

The Append/Replace dialog box allows you to control how documents are exported.

8.Choose one of the following options:

·Append all records - When you select this option, if you are exporting to a new database, the export adds all records in the query to the new database. If you are exporting to an existing database, the export appends all records in the query after the last record in the existing database.

·Replace matching records and append new records - When you select this option, the export searches for a matching record and replace it. If the export does not find a match, it appends the record.

The Delete and replace existing annotations and tags check box is only available when you select the Replace matching records and append new records option. The Delete and replace existing annotations and tags check box determines how annotations are copied when an existing record is updated. By default, the check box is not selected.

9.To have the export remove all existing tags and annotations for a record in the existing database when the export finds a matching record, select the Delete and replace existing annotations and tags check box.

When the check box is selected, any annotations from the matching exported record are added to the record.

To have the export ignore any existing tags and annotations for a record in the current database when the export finds a matching record, make sure that the Delete and replace existing annotations and tags check box is cleared.

The export uses the fields selected in the Locate matching records by comparing field to determine exact record matches between the two databases. The Locate matching records by comparing field is only available when you select the Replace matching records and append new records option. Only key fields are listed in the Locate matching records by comparing field.

Key fields are defined in the Modify dialog box. For more information about key fields, see Creating databases.

10.In the Locate matching records by comparing field, select the fields you want the export to use to determine record matches.

To select multiple fields, use SHIFT+click or CTRL+click.

Full-text paragraph fields are considered a match if the first sixty characters or the first line, whichever is less, match, regardless of the remaining contents of the field.

11.To copy a record's attachments with notes during the export, select the Copy attachments with notes check box.

When the Copy attachments with notes check box is selected, the export automatically creates sequentially numbered attachment folders in the same directory as the Concordance Desktop database, and copies attachments into the subfolders. Folders are named in the format ATTACH-000000 and increment by one if the initial folder exceeds maximum capacity.

To exclude a record's attachments with notes from the export, clear the Copy attachments with notes check box.

12.Click Next to open the Export Wizard - Export dialog box.

The First and Last fields default to the first and last record in the current query.

13.To modify the range of the records to be exported, in the First field, type the record number for the first record in the range you want to export, and in the Last field, type the record number for the last record in the range you want to export.

14.Click the Export button.

If you are exporting to a new database clicking the Export button opens the following message:

15.Click Yes to start the export and have the export create the new database.

If you are exporting to an existing database, clicking the Export button starts the export.

You can click the Cancel button at any time to cancel the process.

When the export finishes, the Export Wizard - Export dialog box automatically closes.


Exporting delimited text files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In Concordance Desktop you can export data directly to another Concordance Desktop database or save the records as delimited text files.

The benefit of exporting to delimited ASCII files is that this format is universal and works in other database management systems. Some forethought in planning the export of these files includes understanding that there are certain features in Concordance Desktop that have no parallel in other database managers such as Microsoft SQL Server and Microsoft Access. These features include record tags, issue coding, annotations, attachments, and hypertext links. Exporting in Concordance Desktop delimited text files does not preserve record mark-ups.

When you export database records to a delimited text file, the export includes every record in the current query, in the sort order they are listed. If you want to export the entire database, run the Zero Query. For more information about the Zero Query, see Reviewing search queries.

when you export records to a delimited text file you can export the records using the Export Wizard to guide you through the export process or you can manually export the records using the Export Delimited ASCII dialog box.

When exporting records to a DAT file that will be imported into another Concordance Desktop database, do not use the "new line" (code 013) as the carriage return delimiter. Use the standard Concordance Desktop newline delimiter (code 174).

When exporting concatenated databases, only the data in fields that are identically named and formatted in the concatenated set will be exported.

To export to a delimited text file using the Export Wizard:

1.Run a search query to locate the records you want to include in the export.

For more information about searching, see Available search tools.

When exporting from Concordance Desktop, Concordance Desktop can export just the records in the current query or can export all the records in the database. If you want to export all the records, you can run the Zero Query.

For more information about the Zero Query, see Reviewing search queries.

2.On the Documents menu, click Export, and then To a delimited text file.

Clicking the option To a delimited text file opens the Export dialog box.

3.Click the Export Wizard option and click OK.

The Export Wizard - Documents dialog box opens.

The First and Last fields default to the first and last record in the current query.

4.To modify the range of the records in the query to be exported, in the First field, type the record number for the first record in the range you want to export, and in the Last field, type the record number for the last record in the range you want to export.

5.Click the Next button to open the Export Wizard - Format dialog box.

Concordance Desktop is a full-text database manager. Its documents are likely to contain text delimiters — commas, quotes, and carriage returns — that may confuse other programs, or Concordance Desktop itself, when reading the delimited text file.

To avoid this problem, Concordance Desktop allows you to specify the characters recognized as the comma, quote, and newline delimiters in delimited text files.

The Format field defaults to Concordance Desktop default.

If you are exporting and importing documents within the Concordance Desktop system, then you won't need to change these default values. Change them only if you are using these characters in the text of your documents.

Default Delimiters for Concordance

The default delimiter characters used by Concordance Desktop are listed below. To the right of each delimiter character is the delimiter's numeric value.

Concordance Desktop Default Delimiters
Delimiter Character | Function | Numeric Value
Comma | The field delimiter separates one field from the other. | 20
Quote | The text qualifier encloses text to differentiate it from field delimiters which may appear in the data. | 254
Newline | Substitute carriage return. Some programs use this character to designate multi-level fields or fields-within-fields. Concordance Desktop replaces all carriage returns or carriage return linefeed combinations with the newline code within the data of a field. The record itself is still terminated with a real carriage return and a line feed. | 174

The delimiters available from the Comma, Quote, and Newline fields may appear as square symbols or may not be displayed. How the lists are displayed depends on the computer's language environment. The delimiters listed in the About delimiter characters topic use the Tahoma font, which displays the characters regardless of the language environment. All of the characters listed in the delimiter character list can be selected as the delimiter, even if the symbols they represent do not appear in the Comma, Quote, and Newline fields.

To see the list of available delimiter characters, see About delimiter characters.

6.Click Next to open the Export Wizard - Date format dialog box.

7.Click the date format you want to use in the delimited text file.

The dates exported from the database to the delimited text file will be exported using the date format you select in the Export Wizard - Date format dialog box.

8.Click Next to open the Export Wizard - Fields dialog box.

By default, all of the database fields are added to the Selected fields list for the export.

9.To only select some of the fields for the export, click the double arrow (<<) button to move all the fields to the Available fields list.

10.In the Available fields list, select the fields you want to include in the export, and click the right arrow (>) button to add the fields to the Selected fields list.

11.To change the order of the fields in the export, in the Selected fields list, click the field you want to move and click the Up or Down button to move the field.

The field order in the Selected fields list will be the field order in the delimited text file.

12.To display hidden system fields in the Export Wizard - Fields dialog box, select the Show system fields check box.

System fields are fields used by Concordance Desktop to administer database functions, such as replication. They are generally not visible, but you can display and export them if you select the Show system fields check box.

13.To include field names in the export, select the Export field names check box.

If the Export field names check box is selected, field names are exported as the first record, with each field name taking the place of its field's data for that record. Exporting field names can help manage data if the data is imported into another program.

14.To export Concordance Desktop data with rich text, select the Export rich text check box.

Full text paragraph fields in Concordance Desktop can contain rich text. Rich text contains font changes, bullet lists, and other word processor commands that other database programs cannot handle. You can export with rich text if the data is destined for another Concordance Desktop database. Do not export rich text if the data is destined for another program.

If the Export rich text check box is not selected, all text formatting is stripped from the exported data during the export.

15.Click Next to open the Export Wizard - Save dialog box.

16.Click the Browse button to open the Save As dialog box.

17.Navigate to where you want to save the delimited text file, in the File name field, type the file name, in the Save as type field, select the type of text file you want to create, and click Save.

Clicking Save adds the delimited text file name and directory to the Database field in the Export Wizard - Database dialog box.

18.To export the data in ANSI (American National Standards Institute) format, select the Export in ANSI format check box.

You will want to select the Export in ANSI format check box if you will be importing the delimited text file into an application that does not support the Unicode Standard, such as importing into Concordance version 2007 or earlier.

For more information about the Unicode Standard and Concordance Desktop, see About the Unicode Standard.

When exporting to ANSI or ASCII format, characters that cannot be represented as a single-byte character will be lost in the export. For an example, see the "Export Issues and Tips" section in the About the Unicode Standard topic.

19.Click Next to open the Export Wizard - Finish dialog box.

20.Click the Finish button to export to the delimited ASCII file.

The Export Wizard - Finish dialog box automatically closes when the export finishes.

To export to a delimited text file using the Export Delimited ASCII dialog box:

1.Run a search query to locate the records you want to include in the export.

For more information about searching, see Available search tools.

When Concordance Desktop exports a database, Concordance Desktop can export just the records in the current query or can export all the records in the database. If you want to export all the records, you can run the Zero Query.

For more information about the Zero Query, see Reviewing search queries.

2.On the File menu, click Export, and then To a delimited text file.

Clicking To a delimited text file opens the Export dialog box.

3.Click the Export dialog box option and click OK.

Clicking OK opens the Export Delimited ASCII dialog box.

By default, all of the database fields are added to the Selected fields list for the export.

4.To only select some of the fields for the export, click the Remove all button to move all the fields to the Available fields list.

5.In the Available fields list, select the fields you want to include in the export, and click the Select button to add the fields to the Selected fields list.

To change the order of the fields in the export, click the Remove all button to add all the fields to the Available fields list and then add each field to the Selected fields list in the order you want the fields to be listed. The field order in the Selected fields list will be the field order in the delimited text file.

6.To include field names in the export, select the Export field names as first record check box.

If the Export field names as first record check box is selected, field names are exported as the first record, with each field name taking the place of its field's data for that record. Exporting field names can help manage data if the data is imported into another program.

7.To export Concordance Desktop data with rich text, select the Export rich text check box.

Full text paragraph fields in Concordance Desktop can contain rich text. Rich text contains font changes, bullet lists, and other word processor commands that other database programs cannot handle. You can export with rich text if the data is destined for another Concordance Desktop database. Do not export rich text if the data is destined for another program.

If the Export rich text check box is not selected, all text formatting is stripped from the exported data during the export.

8.To export the data in ANSI (American National Standards Institute) format, select the Export ANSI check box.

You will want to select the Export ANSI check box if you will be importing the delimited text file into an application that does not support the Unicode Standard, such as importing into Concordance Desktop version 2007 or earlier.

For more information see About the Unicode Standard.

When exporting to ANSI or ASCII format, characters that cannot be represented as a single-byte character will be lost in the export. For an example, see the "Export Issues and Tips" section in the About the Unicode Standard topic.

The First and Last fields in the Range section default to the first and last record in the current query.

9.To modify the range of the records in the query to be exported, in the First field, type the record number for the first record in the range you want to export, and in the Last field, type the record number for the last record in the range you want to export.

Concordance Desktop is a full-text database manager. Its documents are likely to contain text delimiters — commas, quotes, and carriage returns — that may confuse other programs, or Concordance Desktop itself, when reading the delimited text file.

To avoid this problem, Concordance Desktop allows you to specify the characters recognized as the comma, quote, and newline delimiters in delimited text files.

The Comma, Quote, and Newline fields default to the default delimiters for Concordance Desktop.

If you are exporting and importing documents within the Concordance Desktop system, then you won't need to change these default values. Change them only if you are using these characters in the text of your documents.

Default Delimiters for Concordance

The default delimiter characters used by Concordance Desktop are listed below. To the right of each delimiter character is the delimiter's numeric value.

Concordance Desktop Default Delimiters
Delimiter Character | Function | Numeric Value
Comma | The field delimiter separates one field from the other. | 20
Quote | The text qualifier encloses text to differentiate it from field delimiters which may appear in the data. | 254
Newline | Substitute carriage return. Some programs use this character to designate multi-level fields or fields-within-fields. Concordance Desktop replaces all carriage returns or carriage return linefeed combinations with the newline code within the data of a field. The record itself is still terminated with a real carriage return and a line feed. | 174

The delimiters available from the Comma, Quote, and Newline fields may appear as square symbols or may not be displayed. How the lists are displayed depends on the computer's language environment. The delimiters listed in the About delimiter characters topic use the Tahoma font, which displays the characters regardless of the language environment. All of the characters listed in the delimiter character list can be selected as the delimiter, even if the symbols they represent do not appear in the Comma, Quote, and Newline fields.

To see the list of available delimiter characters, see About delimiter characters.

10.In the Date format field, click the date format you want to use in the delimited text file.

The dates exported from the database to the delimited text file will be exported using the date format you select in the Date format field.

11.Click the OK to open the Unload delimited file dialog box.

12.Navigate to where you want to save the delimited text file, in the File name field, type the file name, in the File of type field, select the type of text file you want to create, and click Open.

Clicking Open initiates the export to the delimited ASCII file.

The Export Delimited ASCII dialog box automatically closes when the export finishes.


Exporting database structures
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can export a copy of the database structure to create a duplicate database or to create a new database template based off a current database. The structure is stored in a .dcb file and contains the original field names and their types. Data exported from a database can be loaded into another database that has been exported.

Before exporting a database structure, you can save the structure to a .txt file that you can print for your reference. The text file contains a list of all the database's fields and field types.

Keep the following in mind when exporting concatenated databases:

·Concordance Desktop exports data from all databases within a concatenated set only when the concatenated databases have identical database structures.

·When exporting from a concatenated set with different database structures, the contents from the secondary database gets exported only for the fields that match the primary database. The remaining field contents will not be exported.

To export a database structure to create a template, see Using a database template.

To populate a database with data from another database, see About importing files.

To save a database structure to a .TXT file:

1.In Concordance Desktop, open the database with the database structure you want to save.

2.On the File menu, click Modify.

Clicking Modify opens the Modify dialog box.

3.Click the Save to File button to open the Save Field Definitions dialog box.

4.Navigate to where you want to save the file, in the File name field, type the file name, and click Save.
To export a database structure:

1.In Concordance Desktop, open the database with the database structure you want to export.

2.On the Documents menu, point to Export, and click Structure.

Clicking Structure opens the Copy Structure dialog box.

3.Navigate to where you want to save the database structure .dcb file, type the name of the database file in the File name field, and click Save to export the database structure.


Exporting transcripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Administrators are not typically involved in the general printing of transcripts, but may be asked to export transcript files from Concordance Desktop into another application such as West LiveNote.

Transcripts can be exported to the West LiveNote standard Portable Case Format (.pcf) file structure or to a delimited text file. This allows you to export several transcripts to a single file, keeping annotations, quick marks, notes, and issue codes intact. Hyperlinks are also transferred, but any external files they link to are not transferred and must be copied manually.

Transcripts can also be exported to delimited text files. For more information about exporting to delimited text files, see Exporting delimited text files.

When exporting concatenated databases, only the data in fields that are identically named and formatted in the concatenated set will be exported.

To export transcripts to a .pcf file:

1.In Concordance Desktop, open the database containing the transcripts you want to export.

2.Run a search query to locate the transcripts you want to include in the export.

For more information about searching, see Available search tools.

When exporting from Concordance Desktop, Concordance Desktop can export just the records in the current query or can export all the records in the database. If you want to export all the records, run the Zero Query.

For more information about the Zero Query, see Reviewing search queries.

3.On the Documents menu, click Export, and then Database transcripts.

Clicking Database transcripts opens the Export Transcripts dialog box.

4.To export only the current transcript, select the Export current transcript option.

5.To export multiple transcripts, select the Export transcripts option.

When you select the Export transcripts option, the First transcript and Last transcript fields become available. The First transcript and Last transcript fields default to the first and last record in the current query.

To modify the range of the transcripts in the query to be exported, in the First transcript field, type the record number for the first transcript in the range you want to export, and in the Last transcript field, type the record number for the last transcript in the range you want to export.

6.To export the data in ANSI (American National Standards Institute) format, select the Export in ANSI format check box.

You will want to select the Export in ANSI format check box if you will be importing the delimited text file into an application that does not support the Unicode Standard, such as importing into Concordance version 2007 or earlier.

For more information see About the Unicode Standard.

When exporting to ANSI or ASCII format, characters that cannot be represented as a single-byte character will be lost in the export. For an example, see the "Export Issues and Tips" section in the About the Unicode Standard topic.

7.Click the Export button to open the Save As dialog box.

8.Navigate to where you want to save the transcript .pcf file, type the name of the transcript file in the File name field, and click Save to export the transcripts.

Once the transcript .pcf file is created, the file can be imported in to West LiveNote. For more information about importing .pcf files into LiveNote, see the West LiveNote documentation.


Exporting to Concordance Desktop Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop load file formatting Concordance Desktop load file formatting

A load file (.opt, .log, .txt) format is a delimited ASCII file containing all information necessary to insert links into the imagebase. The load file consists of seven delimited entries. Reference the following table and examples when formatting images.

Image Load Files
Format | Description
ALIAS | Should match your media (image) key from the Concordance Desktop database. Concordance Desktop stores this key in order to reference the image.
VOLUME | Name of the volume where the documents and images reside, typically the volume name of a CD or DVD server.
PATH | Full path and file name (and extension) of the image.
DOC_BREAK | Enter a Y to denote whether this image marks the beginning of a document.
PAGES | Number of pages associated with the image
Character | Description
Y | First page of a document
Comma (,) | Indicates a page break or pages

Example: Concordance Desktop viewer format for single-page TIFF files

00010002,NROTEK001,NROTEK001\001\00010002.tif,Y,,,1

00010003,NROTEK001,NROTEK001\001\00010003.tif,Y,,,1

00010004,NROTEK001,NROTEK001\001\00010004.tif,Y,,,3

00010005,NROTEK001,NROTEK001\001\00010005.tif,,,,

00010006,NROTEK001,NROTEK001\001\00010006.tif,,,,

Example: Concordance Desktop viewer format for Multiple-Page PDF files

00010036,NROTEK001,NROTEK001\001\00010036.pdf,Y,,,29

00010065,NROTEK001,NROTEK001\001\00010065.pdf,Y,,,2

00010067,NROTEK001,NROTEK001\001\00010067.pdf,Y,,,3

00010070,NROTEK001,NROTEK001\001\00010070.pdf,Y,,,1

00010071,NROTEK001,NROTEK001\001\00010071.pdf,Y,,,1

A load file does not necessarily need the volume name, but still needs the parameter for the volume name (the commas). Example format: Imagekey/Alias,Volume Name,Pathname,Doc Break,Folder Break, Box Break, Page Count - without the VOL name would look like this: 0000001,,D:\VOLO001\001\0000001.tif,Y,,,1

A document or image file path cannot contain a comma (,) when exporting to Concordance Desktop Viewer. The comma is used as a delimiter in the exported OPT file.

Unique identifier (Media Key) Unique identifier (Media Key)

Your load file format’s alias (media key) should match your image key from the Concordance Desktop database. Concordance Desktop stores this key in order to reference the image.

The alias in your load file matches the database field that has the Image check box selected on the Modify dialog box for the database in Concordance Desktop. For more information about the Image check box, see About fields.

The Concordance Desktop viewer will not load documents and images if the media (image) key contains over 1000 characters or a comma (,).

To export native files for use in the viewer To export native files for use in the viewer:

1.Create the database you want to export. For information on creating a database, see Creating a new e-documents database.

2.Import the data into the database.

3.Verify that each record has a unique identifier in the field that you marked as the media (image) key field and the file path field displays the path to the native document.

4.From the Documents menu, click Export, and then As a Concordance Desktop database.

5.In the Export to Concordance Desktop, select the database field where the file path is stored.

Note the output file path. This is where the .opt file will be exported for importing in Concordance Desktop.

Each time you perform an export, a unique OPT filename is generated with the date and time the file is created, DBNAME_YYYYMMDDhhmmssfff (i.e. NATIVE_20150517105932021.opt).

6.When finished, click the Camera button to view the documents and images in the viewer.

7.In the Exported Load File section of the Imagebase Conversion Source Selection dialog box, select the OPT file you exported, and then click Convert.

The viewer opens and displays the documents and images.


Preparing Productions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Once a document collection review is completed, documents typically need to be produced to opposing parties, this is known as a production. Database administrators prepare the electronic production using Concordance Desktop, based on queries or tagged sets of documents that are identified for production during the review phase.

Concordance Desktop provides two production options:

·Standard production - produces a set of TIF or PDF files, .opt and a .dat load file.

·Native production - copies original native files out to a production destination directory and the files can be renamed with the production numbers. No redactions or other production type operations happen, simply a copy and rename. for more information about Native File production, see Running a native file production.

It is recommended that a production run, executed from Concordance Desktop, be performed on a machine that is not currently running any other applications. This is due to the integration of a 3rd-party tool with Concordance Desktop that currently switches the input focus while the production process is running.

Before running a production, make sure that all users are logged out of the database.

Managing rolling productions Managing rolling productions

Due to the ever-increasing size of electronic productions, litigation support staff are often faced with the task of handling and tracking large volumes of data that are incoming and outgoing during the life cycle of an e-discovery project. As a best practice, we recommend establishing an organized tracking method to ensure that all data is properly handled and nothing is missed.

Examples of data types handled during E-Discovery Examples of data types handled during E-Discovery

Here are some examples of data that can be handled during a large e-discovery:

·Data coming from clients that needs to be processed. This could include paper documents, electronic files, e-mail files, images, metadata load files, transcripts, graphics, and audio/video files.

·Data being produced from opposing parties to be loaded into a review tool, such as Concordance Desktop, for review by attorneys, paralegals, experts or investigators.

·Data going out to vendors for processing, scanning, coding, or printing.

·Data to be processed in-house using an e-discovery processing software, such as CloudNine™ LAW.

·Data such as exhibits, graphics, and presentations being prepared for trial to be loaded into trial presentation software.

·Transcripts and audio/video files from court reporters to be loaded into a transcript database for review and analysis.

·Data being copied or produced to other parties for review such as co-counsel and experts.

·Data being produced to opposing parties.

·Data that is to be archived from the network to disk or hard drive storage.

·Data that requires special handling, such as compliance with destruction or preservation orders.

When handling forensically collected data, be sure to follow appropriate legal procedures for preservation, handling, and chain of custody to avoid spoliation issues.

Tracking data Tracking data

There are many ways that data can be tracked using database software tools specifically designed to help facilitate data tracking for e-discovery, such as Concordance Desktop, Microsoft Access, or Microsoft Excel.

CDs, DVDs, and external hard drives are typically labeled using some sort of uniform numbering system so that it is possible to track all incoming and outgoing volumes. Production volumes are also usually numbered in a series for record-keeping purposes. It is also important to keep track of production Bates number series to avoid accidental production of documents with overlapping Bates numbers.
Archiving data Archiving data

Establishing a uniform system for archiving data that must be preserved, but is no longer being actively used is also important. Maintaining a uniform archival tracking system makes it easier to locate data in the event that it must be recovered from storage and uploaded to the network at a later date.

We also recommend that you become familiar with your organization's backup, retrieval, and data retention policies so that you are prepared in the event that you need to recover data on short notice.

Production elements Production elements
Numbering documents

As part of the production process, a new set of files are generated for documents that need to be produced. A Bates number series is then applied to all pages of all documents included in the production, with the option of burning or fusing the numbers to the image during the process. This number series usually differs from that of your internal collection. You can then track what has actually been produced and your Bates number series for the production is sequential with no gaps in the numbering.
Fusing annotations Burning annotations

Redactions or other redlines can be burned to the images during production so that they cannot be altered. Confidentiality headers or footers can also be burned to the images during production. Production numbers are usually cross-referenced to those in the original review collection.

If the Concordance Desktop administrator included fields for production numbers in your database, these numbers are then written to the production number fields during the production process. Later when you look at your internal document collection, you are able to see the production number for any documents that were produced.

For multiple or rolling productions, tags or sequentially numbered production fields are tracked for which production series a document was produced under. For example, fields named BEGPRODNO1/ENDPRODNO1, BEGPRODNO2, ENDPRODNO2, etc.

Production output Production output

The output generated by a production run in Concordance Desktop is a set of TIF images or PDF files and a load file. Both the production set and the load file are typically burned onto CDs or DVDs (or for very large collections, an external hard drive). Output volumes, such as CDs or DVDs, are labeled to track the production series.

Native files Native files

For native productions, the set of documents to be produced is typically converted to image or PDF files prior to production. Organizations need to adhere to proper forensic procedures for handling native files.

Generating load files and images Generating load files and images

The output from a production is a set of images and an image load file. The output generated depends on production requirements agreed upon with opposing counsel. A best practice is to know in advance what the recipient needs for output format.

Production load files enable recipients to import images into their own viewer software. Images and load files are generated for either single or multi-page, TIFF or PDF format.

Administrators can also export specific field data to a delimited file, .dat, .csv, etc., to accompany the produced OPT and images. If new production numbers are created as part of the production, be sure to write the beginning and ending numbers back to fields in the database so they are available for export and also cross reference with any original document numbers.

Concordance Desktop export processes work well with most of the review tools on the market, or Concordance Desktop data can be converted to something that will work.

Productions and concatenated databases Productions and concatenated databases

·When running productions on a set of concatenated databases for native files, all the databases in concatenated set must have identical database structures and have matching Media (Image) key field names across the concatenated set.

·Native file productions will only be performed on the primary database when differing database structures (any one of the field names is different between the primary and secondary databases or any additional fields exist in any one of the databases) are included in a concatenated set.

·Productions for differing database structures should be run separately for each database.

·Productions should be run on the machine without any other applications running.


Creating a production
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop provides the tools you need to permanently burn headers, footers, and annotations onto the new .tif or .pdf files. This ensures that your files are branded properly and that opposing counsel and any internal review staff do not receive original copies or view privileged content.

When creating productions, close any other database tabs so Concordance Desktop does not synchronize with a different database incorrectly. We recommend having no more than three tabs or databases open during this process. Do not attempt to open the Admin Console while running a production.

When exporting a concatenated set for productions, you can only export fields from one selected database structure.

Do not open the Admin Console while running a Production.

Production process overview

1.Generate new production numbers and cross-reference them back to the Concordance Desktop database.

2.Create new files.

3.Burn in redactions and other selected annotations.

4.Create CD/DVD productions.

5.Create subsets of imagebases.

6.Create load files.

Each time you produce a batch of records, a new set of production files are created. This ensures that original records are never changed, and that there is always a backup copy of document changes.

When creating productions, close any other database tabs so Concordance Desktop does not synchronize with a different database incorrectly. We recommend having no more than three tabs or databases open during this process.

When exporting a concatenated set for productions, you can only export fields from one selected database structure.

Selecting image file files Selecting image file files

Reference the Supported Image File Types table when making adjustments as needed to match the images you are producing for image type, compression, and number of colors.

Supported Image Types | Compression | Colors
TIFF | None 1-bit 4-bit 8-bit 24-bit | Black & White 16 colors 256 colors 16.7 million colors
 | Pack Bits 1-bit 4-bit 8-bit 24-bit | Black & White 16 colors 256 colors 16.7 million colors
 | LZW 1-bit 4-bit 8-bit 24-bit | Black & White 16 colors 256 colors 16.7 million colors
PDF |  | Black & White Color
Production checklist Production checklist

Refer to the Pre-Production Checklist to ensure all steps are completed before running a production.

Pre-Production Checklist

File Numbering

Have you determined a file numbering and naming convention for your images?

Delivery Media

Do you have the proper production request file formats and media delivery types from opposing counsel or other third parties?

Tagging

Have you reviewed documents categorized for production for possible tagging inconsistencies by reviewers?

Did you run the Tag To Field command, Tools > Manage Tags/Issues, on production documents to capture tag activity at the time of production? Tag names can be placed into a field called PRODTAGS1.

Back-ups and File Storage

Did you save a backup copy of your media files before production?

Did you back up your imagebase files?

Did you a create sub-directory folders for your new files?

Production training Production training

Anyone tasked with preparing productions should receive Concordance Desktop Administration training before attempting to produce documents from a live database. The litigation industry guidelines regarding how discovery documents are handled, processed, and shared between parties is a sensitive matter.

If you or anyone on your IT or Litigation Support Team are interested in learning more about productions, please contact our Client Training Administrator at CloudNine Training for additional information on Concordance Desktop certification courses, or email us at training@cloudnine.com to register for Concordance Desktop courses.
Executing a production run Executing a production run

1.Locate the documents to produce

2.Marking up documents for production

3.Capture the tag activity

4.Defining production parameters

5.Verify the produced images

6.Create a production database

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Locating documents to produce
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

When using Concordance Desktop, you first need to identify and locate the documents you want to produce.

To locate documents for a production:

1.In Concordance Desktop, open the database containing the documents you want to produce.

2.Run a search query to locate the documents you want to produce.

For more information about searching, see Available search tools.

3.Create a tag specific to this production, such as PROD1, and apply the tag to the applicable documents.

For more information about creating and applying tags, see Creating and applying tags.


Annotating documents for production
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Make sure that the proper annotations have been applied to the records you want to include in a production.

Annotations to consider adding to records for productions:

·Redactions to indicate and/or cover confidential or privileged information.

·White redaction to hide internal control numbers, vendor branding, and other information you do not need to include in the production.

In Concordance Viewer, all redactions are produced as black when Black & White is selected in Image Settings for the production output. Color redactions will appear as set by the user when Color is selected for the production output.


Capturing tag activity
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Before running a production, you need to run the Tag To Field command, Tools > Manage Tags/Issues. The Tag To Field command copies the contents in tags to a specific field in a database. Executing this command before creating the production captures tags that were applied to each record just before the production was created.

Running the Tag to Field command:

1.In Concordance Desktop, create a database field, such as PRODTAGS1, to store the tag information.

2.For more information about database fields, see About fields and Creating databases.

3.On the Tools menu, click Manage Tags/Issues.

4.In the Tag and Issue Management dialog box, click the Tag To Field button.

5.From the Select Field list, select the field you want to copy the tag names.

6.From the Select Delimiter list, select the delimiter to separate the tag names in the field.

7.Click the Start button.

8.When prompted, do one of the following:

·Click Yes to confirm that you want to write the tag names in the selected field.

·Click No to append the tag names to the existing field contents.

·Click Cancel to abandon the changes.

9.When finished, click Done, and verify that the selected field displays the tag names separated by the selected delimiter.


Production numbers for viewer documents
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

When you run a production, you may choose to create production numbers and write the numbers back to the database. The create production number option saves the new production numbers to the new or appended .cib file and writes the beginning and ending production numbers for each document back to the Concordance Desktop database to cross-reference the information in the original record.

The Production Preferences options provide both whole number production numbers and productions numbers that include a suffix.

For example, the production has three documents (A, B, C) and document B contains four pages. The image below defines the production settings.

The whole number production numbers are generated and written back to Concordance Desktop as follows:

Document | Begin Production Number | End Production Number
A | DAT000001 | DAT000001
B | DAT000002 | DAT000005
C | DAT000006 | DAT000006

Productions with the suffix added, are generated and written back to Concordance Desktop as follows:

Document | Begin Production Number | End Production Number
A | DAT000001.0001 | DAT000001.0001
B | DAT000002.0001 | DAT000002.0004
C | DAT000003.0001 | DAT000005.0001

Each document is produced with the corresponding production and page number. Therefore, in the above example, each page of document B is produced with one of the following production numbers: DAT000002.0001, DAT000002.0002, DAT000002.0003, DAT000002.0004.


Production with Concordance Desktop Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Production is the generation of a sub-set of document TIFF or PDF files, some of which have been redacted. Similar to other batch processes in Concordance Desktop, Concordance Desktop production parameter settings can be saved and used each time you create a production.

Before starting a production run, you need to run a query to locate all the documents for the production, then define the production run parameters or load a saved parameter set.

If your current database is using the Concordance Desktop Viewer, follow the information below. Otherwise if you are using the Concordance Viewer, see Production with Concordance Viewer.

Markups including redactions and header/footer/margin information may fail to be included in the produced or printed output when these processes are started from a Windows 10 workstation that is set to sleep. Windows 10 workstation used for production or print jobs should set the workstation to never sleep. The monitor may go into screensaver mode without issue but the workstation needs to maintain contact with the server in order to properly complete the production or print job.

To run a production To run a production:

1.If you have not done so already, run a search query to locate the documents you want to produce. See, Locating documents to produce.

2.Create a directory folder to store the production files.

3.From the Tools menu click Production, and then Production.

4.If a dialog appears stating that remote databases could run slow, click Yes if you want to continue. Click No only if you do not want to run the production at this time.

The Production Run Parameters dialog opens.

5.Specify the following production parameters:

To set production run parameters To set production run parameters:

a.From the Production Run Parameters section, in the Document Range list, click one of the following:

·To include all the documents in the query, click All.

·To include a selected set of documents from the query, select Range, and then specify the range of documents you want to produce. The default range is the complete range of documents in the current Concordance Desktop query.

b.To create production numbers, do the following:

·In the Create Production Numbers field, click Yes.

·In the Create Production Numbers from Existing Field, select the Concordance Desktop database field name from which you want the Production numbers to be created.

·In the Prefix field, type the prefix you want to precede the production number. The prefix can be any combination of letters, numbers, or punctuation that are valid folder or file names. There is a limit of 57 characters.

·In the Starting Number field, type the number you want to use to start numbering the production files. Zero fill your starting number to determine the desired number width. There is a limit of 9 digits.

The Starting Number field accepts a zero-filled number up to 10 digits in length (maximum number of two billion).

·In the Add a Numeric Suffix field, click Yes or No to add an incrementing numeric value to a production number for each page in a document.

When adding a numeric suffix, the pages within document will be produced with a beginning .0001 suffix and incremented accordingly. Therefore, if a single document within the production set contains more than 10000 pages, page 9999 will contain the suffix .9999 and page 10000 will contain the suffix .10000. This may cause sorting issues for other applications used to view documents/images if not loaded into the application with a corresponding OPT file.

·In the Use Production Numbers for File Names, click Yes or No to replace the current file name with the generated production number.

·In the Use Production Numbers for New Media Keys, click Yes or No to replace the current media key with the generated production number in the .cib file you specified.

·In the Copy Production Numbers to Production Fields, select either Append Production Numbers to Field Data or Overwrite Field Data with Production Numbers.

·In the Beginning Production Number list, click the field you want to use to store the beginning production number in the corresponding Concordance Desktop database.

·In the Ending Production Number list, click the field you want to use to store the ending production number in the corresponding Concordance Desktop database.

When producing single-page .tiff formatted files, the Use Production Numbers for File Names and Use Production Numbers for New Media Keys options must be set to Yes.

The BEGPRODNO and ENDPRODNO fields are included in the standard database template as production fields to ensure that the numbers do not append to a field with existing data. If the production number appends to an existing field, the numbers may truncate if the content exceeds the field length.

c.To create a Placeholder for unsupported or missing files, Click Yes.

·The produced image for the unsupported or missing file will appear as this:

The placeholder pdf and tiff images are stored in the installation Program Data folder and can be replaced with a custom image of your choosing.

To set the output location parameters To set the output location parameters:

a.In the Output Location Run Parameters section, in the CIB Database Output Mode list, do one of the following:

·To add the documents to an existing CIB database, click Append.

·To create a new CIB database, click Create.

b.To generate the CIB database file to store references to the production files, in the CIB File field, do one of the following:

·To append a current CIB database, click Browse [image] , and then navigate to and select the CIB file you want to append.

·To create a new CIB database, click Browse [image] , navigate to where you want to store the file, and then enter a new .cib file name and click Open.

c.To specify location where the output files are to be stored, in the Root Destination Folder field, click Browse [image] , and then navigate to and select the folder.

The Root Destination Folder path including the folder name should not exceed 250 characters as this may cause the application to close unexpectedly.

d.To create volume folders for the production files, in the Create Volume Folders list, click Yes, and then do the following:

·In the Prefix field, type the prefix you want to use to precede the volume number. The prefix can be any combination of letters, numbers, or punctuation; however, the characters must be valid folder and file name characters.

·In the Starting Number field, type the number, you want to use for the starting number for the volume folders.

·In the Max Volume list, click the maximum size for the folders or create a custom size.

The contents of the volume directories can be copied to a CD or DVD for distribution. If you plan to copy the production files to a CD or DVD, make sure that you know the recording capacity of the CD or DVD prior to setting the Max Volume value. This ensures that the entire contents of the volume can be copied without running out of disk space.

After a volume fills to the maximum size, a new volume folder is created and, if requested, will continue sequentially. Production files will not be split across volumes.

e.To organize the production files within the volume folder, in the Create File folders list, click Yes, and then do any of the following:

·In the Prefix field, type the prefix you want to use to precede the file folder number. The prefix can be any combination of letters, numbers, or punctuation.

·In the Starting Number field, enter the number, you want to use as the starting number for the file folders. Zero fill your starting number to determine the desired number width.

·In the Maximum Record Count field, type the maximum number of records to include in each folder.

·To use the first file name in each folder as the folder name, click Yes.

f.To specify the output type and image compression, in the Production Output File Type list, do one of the following:

·Click PDF Single Page to convert the documents to single-page .pdf formatted files that can be loaded into a new or existing Concordance Desktop Viewer imagebase.

·Click PDF Multi Page to convert the documents to multi-page .pdf formatted files that can be loaded into a new or existing Concordance Desktop Viewer imagebase.

·Click TIFF Multi Page (Color) to convert the documents to multi-page LZW compressed .tif formatted files that can be loaded into a new or existing Concordance Desktop Viewer imagebase.

·Click TIFF Single Page (Color) to convert the documents to single-page LZW compressed .tif formatted files that can be loaded into a new or existing Concordance Desktop Viewer imagebase.

·Click TIFF Multi Page (Black & White) to convert the documents to multi-page CCITT Group-4 compressed .tif formatted files that can be loaded into a new or existing Concordance Image imagebase.

·Click TIFF Single Page (Black & White) to convert the documents to single-page CCITT Group-4 compressed .tif formatted files that can be loaded into a new or existing Concordance Image imagebase.

LZW compression produces a small file size image, which cannot be used with Concordance Image.

g.To specify the output color settings, from the Color Settings list, select one of the following:

·To convert the documents to shades of gray, click Grayscale.

·To produce the files with original colors, click Color.

h.From the Fit Image Inside Headers/Footers list, click Yes.

This option reduces the size of the produced document or image to accommodate the space needed for the number of lines of text and font size for the specified headers and footers.

i.To generate a .opt file for the production files, do the following:

·In the Create OPT file, click Yes.

·Click the Output path for OPT file field, click Browse [image] , and then navigate to and enter a name for the .opt file.

It is recommended that you create an OPT file when using the Numeric Suffix option to ensure the produced documents/images can be loaded properly in Concordance Desktop viewer and Concordance Image, as well as other viewer applications.

To specify markup types to include in the production To specify markup types to include in the production:

In the Markup Types section, do any of the following:

·To include all markups, from the Select All list, click Yes.

·To exclude all markups, from the Select All list, click No.

·To include some of the markups, from the Select All list, click No and then for each mark up you want to include click Yes from the corresponding markup list.

Due to how the markups are rendered during production, if you want to include any applied crossout, strikeout, highlight, or underline markup in a production, please note that all four markups are treated as one and all four if applied will be included in the produced file. For example, if a crossout and highlight markup are applied to a document, if the crossout markup is selected in the Production parameters, both the crossout and the highlight markup are produced.

To edit a header, footer or watermark To edit a header, footer or watermark:

Headers and footers are a string of text assigned to a specific location within a document. Headers and footers contain information such as date, time, page number, user name, etc. For productions and printing, the text is not restricted to just the top and bottom of a document, you can also place them in the right and left the margins of a document. Each margin may be 10 lines deep giving you 120 individual strings of text.

A watermark is a semi-transparent string of text that appears behind the existing document content. A watermark appears across each produced file from bottom left to top right and has a transparency setting of 20%.

Similar to markups and redactions, headers, footers, and watermarks are integrated into a production file as a fixed element that cannot be moved, changed, or deleted.

1.In Concordance Desktop, from the Tools menu, click Production.

2.In the Production Parameters dialog box, select the Include Hdr/Fts Spec check box.

3.Click the Edit Headers/Footers and Watermarks button.

4.Click the (+) sign next to the Header/Footer folders or the watermark folder you want to edit.

5.For each header, footer, or watermark, do one of the following:

·Type the text you want to be displayed.

·Type % to display the available macros list, and then select the macro(s) you want to add.

Available macros Available macros

Keep the following in mind when adding macros to headers/footers, and watermarks:

·Each line of header or footer can use multiple macros. For example, you can add %Date %Time to the Top Left header. This prints the date and time in the location you specified on each page of the production.

·All macro values are case insensitive, except for the %FIELD_ macro, this must remain all uppercase.

When producing Concordance Desktop viewer documents/images in Concordance Desktop, do not modify the %BatePgNo() macro as this will cause the creation of new production numbers to fail.

Macro | Description
%FIELD_ | Inserts database field data up to 60 characters for a each specified field. For example, %FIELD_OCR1 %FIELD_OCR2, would produce the first 60 characters of the OCR1 field and the first 60 characters of OCR2 field. If security is enabled, only those fields with a minimum of "Read" access are displayed.
%Date | Inserts the current date
%SysDatePlusDays(0) | Inserts a date the specified number of days after the system date. Replace the 0 a number to indicated the number of days.
%Time | Inserts the current time the production is executed based on a 12-hour clock
%MilTime | Inserts the current time the production is executed based on a 24-hour clock
%Title | Inserts the current title of the document
%Page | Inserts the page number
%TotalPages | Inserts the total number of pages
%BatesPgNo() | Indicates the starting number for each page within a document. The generated number is appended to the production number creating a unique document ID for each page of a document stored in the corresponding Concordance Desktop database. For example, a production run of three single page documents are generated as ABC00001, ABC00002, ABC00003.
%Login, %User | Inserts the user name of the person who executed the production
%Hostname | Inserts the hostname of the machine where the production was executed from
%IPAddress | Inserts the IP address of the machine where the production was executed from
%% | Inserts a single % character
© | Inserts a copyright symbol
® | Inserts a registered trademark

6.To edit the font for the all the text, click the Font button, and then in the Font dialog box, specify the font name, style, and size.

Overlapping of text in headers and footers may occur if the specified font size is too large.

7.Click List to review the applied header/footer and watermark text and macros set for the production.

8.Click Edit to make any changes.

9.When finished, OK.

Production and Printing headers/footers and watermark settings are separate entities. Parameters you set in the Production dialog box are only available for production.

6.After all production parameters have been specified, click Start.

7.Verify the header/footer and watermark settings, and then click Ok.

The Production Control dialog box opens. For more information about the Production Control dialog box, see Monitoring the production run.

8.When the production is finished, in the Production Control dialog box, click Close.


Production with Concordance Viewer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop provides the tools you need to permanently burn headers, footers, and annotations onto the new .tif or .pdf files. This ensures that your files are branded properly and that opposing counsel and any internal review staff do not receive original copies or view privileged content.

When creating productions, close all other database tabs and the Admin Console.

Do not open the Admin Console while running a Production.

Each time you produce a batch of records, a new set of production files are created. This ensures that the original records are never changed, and that there is always a backup copy of document changes.

If your current database is using the Concordance Viewer, follow the information below. Otherwise if you are using the Concordance Desktop Viewer, see Production with Concordance Desktop Viewer.

To locate documents for a production Locate documents for a production:

When using Concordance Desktop, you first need to identify and locate the documents you want to produce.

1.In Concordance Desktop, open the database containing the documents you want to produce.

2.Run a search query to locate the documents you want to produce.

For more information about searching, see Available search tools.

3.Create a tag specific to this production, such as PROD1, and apply the tag to the applicable documents.

For more information about creating and applying tags, see Creating and applying tags.
Annotating documents for production

Make sure that the proper annotations have been applied to the records you want to include in a production.

Annotations to consider adding to records for productions:

·Redactions to indicate and/or cover confidential or privileged information.

·White redaction to hide internal control numbers, vendor branding, and other information you do not need to include in the production.

See Adding markups in Concordance Viewer for additional information.
Capturing tag activity for the production

Before running a production, consider running the Tag To Field command, Tools > Manage Tags/Issues. The Tag To Field command copies the contents in tags to a specific field in a database. Executing this command before creating the production captures tags that were applied to each record just before the production was created.

Running the Tag To Field command:

1.In Concordance Desktop, create a database field, such as PRODTAGS1, to store the tag information.

2.For more information about database fields, see About fields and Creating databases.

3.On the Tools menu, click Manage Tags/Issues.

4.In the Tag and Issue Management dialog box, click the Tag To Field button.

5.From the Select Field list, select the field you want to copy the tag names.

6.From the Select Delimiter list, select the delimiter to separate the tag names in the field.

7.Click the Start button.

8.When prompted, do one of the following:

·Click Yes to confirm that you want to write the tag names in the selected field.

·Click No to append the tag names to the existing field contents.

·Click Cancel to abandon the changes.

9.When finished, click Done, and verify that the selected field displays the tag names separated by the selected delimiter.

To run a production:

1.From the Tools menu click Production, and then Production.

2.The Concordance Production dialog opens.

3.Specify the desired production parameters needed. See details for the various production parameters in the sections below.

4.Before you Start production or Cancel, it is recommended to review your production settings and save them to a template if desired. If you need to cancel the production it is easier to resume your production from a template of your settings.

5.If your settings are correct then click Start production to process your images.

After running a production, it is best practice to verify the produced images and production data, such as carefully reviewing the production log in the database logs folder; checking redacted documents; and confirming page numbers and page counts match expected output. If an OPT load file was created as part of the production, consider editing it to reflect a relative path to the images rather than a full path before sharing the file outside your organization.

Creating Production Numbers

1.Select the check box [image] for Create production numbers to expand the numbering options.

2.Choose to create New production numbers or use numbers From existing field in the drop-down list box.

To create New production numbers, do the following:

·In the Prefix field, type the prefix you want to precede the production number. The prefix can be any combination of letters, numbers, or punctuation that are valid folder or file names. There is a limit of 57 characters.

·In the Starting number field, type the number you want to use to start numbering the production files. Zero fill your starting number to determine the desired number width. There is a limit of 9 digits.

The Starting Number field accepts a zero-filled number up to 10 digits in length (maximum number of two billion).

·Select the Add a numeric suffix check box [image] to add an incrementing numeric value to a production number for each page in a document.

When adding a numeric suffix, the pages within document will be produced with a beginning .0001 suffix and incremented accordingly. Therefore, if a single document within the production set contains more than 10000 pages, page 9999 will contain the suffix .9999 and page 10000 will contain the suffix .10000. This may cause sorting issues for other applications used to view documents/images if not loaded into the application with a corresponding OPT file.

·In the Begin production number field, select from the drop-down list the field you want to use to store the beginning production number in the corresponding Concordance Desktop database.

·In the End production number field, select from the drop-down list the field you want to use to store the ending production number in the corresponding Concordance Desktop database.

·In the Copy production numbers to field, select either Append or Overwrite.

Depending on your selection, any existing field data will have the production numbers appended to the data or overwritten completely.

To create production numbers From existing field, do the following:

·In the Production number field select drop-down arrow [image] to choose the field in that Concordance Desktop database from which you want the Production numbers to be created.

·In the Begin production number field, select from the drop-down list the field you want to use to store the beginning production number in the corresponding Concordance Desktop database.

·In the End production number field, select from the drop-down list the field you want to use to store the ending production number in the corresponding Concordance Desktop database.

·In the Copy production numbers to field, select either Append or Overwrite.

Depending on your selection, any existing field data will have the production numbers appended to the data or overwritten completely.

The BEGPRODNO and ENDPRODNO fields are included in the standard database template as production fields. If the production number appends to an existing field, the numbers may truncate if the content exceeds the field length.

Output Settings

In the Output Settings section of the Concordance Production window, select the check box [image] for any or all of the desired options:

·Use production numbers for media keys, to use the new production numbers as media (image) keys in the produced .opt file.

·Use production numbers for file names, to replace the current file name with the generated production number when naming the new production files.

If Create production numbers is not enabled in the Concordance Production settings then Use production numbers for media keys and Use production numbers for file names will not be displayed.

·If Create place holders for unsupported/missing files is selected, the produced image for the unsupported or missing file will appear with the text "Image not available".

·Select Volume folders to create volume folders for the production files. After selecting:

oIn the Prefix field, type the prefix you want to use to precede the volume number. The prefix can be any combination of letters, numbers, or punctuation; however, the characters must be valid folder and file name characters.

oIn the Starting Number field, type the number you want to use for the starting number for the volume folders.

oIn the Max Volume Size, enter the value for the maximum size for each volume.

The contents of the volume directories can be copied to an external storage for distribution. If you plan to copy the production files to an external storage medium, make sure that you know the available space prior to setting the Max Volume value. This ensures that the entire contents of the volume can be copied without running out of space.

After a volume fills to the maximum size, a new volume folder is created and, if requested, will continue sequentially. Production files will not be split across volumes.

·Select File folders to organize the production files within the volume folder. After selecting:

oIn the Prefix field, type the prefix you want to use to precede the file folder number. The prefix can be any combination of letters, numbers, or punctuation; however, the characters must be valid folder and file name characters.

oIn the Starting Number field, enter the number, you want to use as the starting number for the file folders. Zero fill your starting number to determine the desired number width.

oIn the Maximum Record Count field, type the maximum number of records to include in each folder.

·Click Browse next to the Production path to specify the folder location where the output files are to be stored.

The Production path including the file name should not exceed 250 characters as this may cause the application to close unexpectedly.

·Select Create OPT to generate an .opt file for the production files. Click the Browse button, navigate to the location for the .opt file, enter a filename to use, and click Open.

It is recommended that you create an OPT file when using the Numeric Suffix option to ensure the produced documents/images can be loaded properly in Concordance Desktop viewer and Concordance Image, as well as other viewer applications.

Image Settings

Image Settings allow you to configure output files as TIFF or PDF, single-page or multi-page, black and white (greyscale) or color in any combination of these three settings.

LZW color compression produces a small file size image, which cannot be used with Concordance Image.

The available image settings are:

·File Type - select from the drop down list either TIFF or PDF for the image output type.

·Page Settings - select either Multi-Page or Single-page.

·Color Settings - select either Black and white CCITTFAX4 compression or Color LZW compression.

·Select the Fit image inside header/footer checkbox to reduce the size of the produced document or image to accommodate the space needed for the number of lines of text and font size for the specified headers and footers.

All redactions are produced as black when Black & White is selected for the production output. Color redactions will appear as selected when Color is selected for the production output.

Markups

To specify markup types to include in the production click the check box next to the desired markups to be included.

To include all markups click the check box next to Select All.

Be sure to include Redaction in your produced output if reviewers used the redaction markup to hide any protected or privileged information.

Headers and Footers

Click Include Headers and Footers to enable settings for Headers, Footers, Margins, and Watermarks. The headers, footers, and watermarks are integrated into a production file as a fixed element that cannot be moved, changed, or deleted.

Printing and Production headers/footers and watermark settings are separate entities. Parameters you set in the CDV Printing dialog box are only available for printing, and parameters you set in the Concordance Production dialog box are only available for production.

Font

Clicking Font opens a new Select Font window where you can change the font settings for all text in headers, footers, margins, and watermarks.

·Select the Font Family you want from the list box.

·Select the Font Size you want from the list box.

Overlapping text in headers and footers may occur if the specified font size is too large.

·Select the Font Style options you want by selecting the corresponding check boxes for Bold and/or Italic.

The Sample Text will show an example of text using the font options as you are selecting them so you can see what it will look like.

Click OK to return to Concordance Production.

Headers and Footers

Headers and Footers are a string of text assigned to a specific location within the top and bottom margins of the produced image. Headers and footers contain information such as production page number, date, time, field content, etc.

Free text can be typed in each section or you can select from the drop-down list of variables and fields. If you specified to create new production numbers, you may select Page ID to endorse the image with the new production page number.
Margins

For productions the text is not restricted to just the top and bottom of a document, you can also place them in the right and left the margins of a document.

The text can be typed in to the field or selected from the drop-down list of variables and fields.

Watermark

A watermark is a semi-transparent string of text that appears behind the existing document content. A watermark appears across each produced file from bottom left to top right and has a transparency setting of 20%.

Similar to markups and redactions, headers and footers, watermarks are integrated into a production file as a fixed element that cannot be moved, changed, or deleted.

Production setting templates

In order to save time for production runs that are similar in nature, you can save your production settings to a template file for future use. If you save your settings as the default settings, the next time you run a production all the settings will be predefined accordingly when you open the Concordance Production dialog box.

To name a template

1.From the Tools menu click Production, and then Production.

2.The Concordance Production dialog opens. Any available saved settings templates will be shown in the Settings drop down. The first time a production is started from a station or with a new login, the Settings drop down will be blank.

3.Make sure that whatever settings you want saved as a template have been selected in the Concordance Production window.

4.Type the desired name of the template in the Settings field.

·Click Save to save the template with a specific name.

·Click Save as default to save the template as the default template to use whenever a Production is started.

The templates are saved locally in C:\Users\(User name)\AppData\Local\CloudNine\CVProductionSettings.conf.

To select a saved template

1.From the Tools menu click Production, and then Production..

2.The Concordance Production dialog opens.

3.The default template will be displayed in the Settings field.

4.Expand the Settings drop down to see the full list of available templates.

5.Select the desired template and make changes as needed.

6.If the changes should be saved to the template, then be sure to select Save once the changes are complete.
To remove a saved template

1.From the Tools menu click Production, and then Production.

2.The Concordance Production dialog opens.

3.The default template will be displayed in the Settings field.

4.Expand the Settings drop down to see the full list of available templates.

5.Select the template you want to delete and and click Remove.

6.The template is removed from the Settings list.

7.You can now select another template or create a new one.


Monitoring productions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When a production is executed, the Production Console is displayed. The production control displays the progress of the files as they are converted, distributed to the production volumes and file folders, creation of the CIB and OPT files, and production information written back to the specified fields in Concordance Desktop.

Running the Tag to Field command Export to Log File:

1. If you want any error messages encountered during the production to be written to a log file, select the Export to Log File option.

2. Navigate to where you want to save the log, in the File name field, type the log name and click Save.


Saving production parameters
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In order to save time for production runs that are similar in nature, you can save your production parameters for future use. You can also save a parameter set as the default settings, so that the next time you want to run a production, all the parameters are already predefined when you open the Production dialog box.

To save a production's parameters To save a production's parameters:

1.Specify all production parameters you want to save. See, Setting production parameters.

2.In the Parameter Set Selection section, in the Parameter Set Selected field, enter a parameter set name.

3.Click Save User Parameter set.
To save defined production parameters as the default set To save defined production parameters as the default set:

1.Specify all production parameters you want to save. See, Setting production parameters.

2.When finished, click Save As Default Parameter Set.
To load a saved parameter set To load a saved parameter set:

1.In Concordance Desktop, click Tools, and then click Production.

2.In the Concordance Desktop Production dialog box, from the Parameter Set Selected list, click the parameter set you want to use for the production.

3.Click Load User Parameter Set.
To remove a saved parameter set To remove a saved parameter set:

1.In Concordance Desktop, click Tools, and then click Production.

2.In the Concordance Desktop Production dialog box, from the Parameter Set Selected list, click the parameter set you want to remove.

3.Click Remove Current Parameter Set.


Verifying produced files
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

After running a production, it is best practice to verify the produced images and the production data in Concordance Desktop.

To verify produced images and production data:

1.In Windows Explorer, navigate to where you created the directory folder to store the production files.

2.Review the produced images and corresponding files.

3.If the image load file is being produced to opposing counsel, you will want to modify the directory path information before handing it over.

4.In Concordance Desktop, return to your document set and navigate to the next record to refresh the database.

5.Scroll to the bottom of the produced records to view the production numbers for the records and the tags applied to each record at the time of the production.


Running a native file production
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A native file production produces copies of the original native files to a specified production destination. The native file production does not include any markups or other production settings, Concordance Desktop simply copies the existing native files and renames them according to the parameters you specify.

Concordance Desktop renames the files using one of the following options:

·Native File Name - names the files based on the original native file name of each file.

·Image Key - names the files based on the corresponding image key

·Field - names the files based on the contents of a selected field

·Custom - names the files using a specified prefix and starting number

A native file production can be executed for all the documents in the database, for a specific set of documents from a query, or documents that have been tagged with a specific tag.

Make sure that the original native file name does not contain any Unicode characters as this may result in the production of a blank text file.

To run a native production:

1.In Concordance Desktop, open the database containing the documents you want to produce.

2.Do any of the following:

To produce all the documents in the database

Click All [image] to make sure that all the documents are available. From the Tools menu, click Production, and then Native File Production.

To produce a specific set of documents

Run a search query to locate the documents you want to produce and from the Tools menu, click Production, and then Native File Production.

To produce based on tagged documents

1.Create a tag specific to this production, such as PROD1, and apply the tag to the applicable documents.

For more information about creating and applying tags, see Creating and applying tags.

2.Right click on the tag and select Create query from tag(s).

3.In the Tags task pane, right-click the tag, and select Native File Production.

3.The Native File Production dialog opens.

4. In the Native File Production dialog box, click the Browse button to navigate to the folder location where you want to store the produced files.

In version 1.07+

5. Do any of the following:

·To create a new folder, select New Folder in the Folder field type the folder name, and click Select Folder.

·To use an existing folder, select the folder, and click Select Folder.

The production folder must be empty.

Microsoft Windows imposes a limit on the number of characters that can be used for file path names. Therefore, the folder path, including the folder and production file name, should not exceed the 260 characters, as doing so may cause the application to close unexpectedly.

6. In the File Naming Scheme section, do one of the following:

·To name the produced files using the original native file name, select Native File Name.

·To name the produced files using the current Image Key. Select Image Key.

·To name the produced files using the contents of a selected field, click Field and select the field from the list.

·To name the produced files using a specific prefix and numbering scheme, click Custom.

1.In the first field type the prefix you want to precede the production number.

2.In the second field type the number to use as the starting number for the production files.

A maximum number of digits allowed for the starting number field is nine. The produced native file names are automatically incremented from the starting number.

Selecting the box [image] Write Production number to the database field writes the production number for each produced file back to the database. If the box is selected, you must select the field to update with the produced file name value. You must also select either to Overwrite or Append to any existing data in the selected field.

·Overwrite will remove the current value in the field and replace it with the custom production number.

·Append will add the custom production number after the current field value for example: WIN00123; ABC000001.

If creating a native file production from a concatenated set of databases, do not select 'Image Key' as the Production Type. If Image Key is selected, you may receive an "Image key duplication..." error message when the process attempts to produce native files starting with the second database in the concatenated set. Image keys must be unique across the production run however, concatenated databases may duplicate the image key across the concatenated set.

Do not open the Admin Console while running a Production.

7. (Optional) To exclude specific files from the production and insert a placeholder (empty text file), click the Exclusion List button, do any of the following:

To add a file, in the small field type the file type extension, and then click Add.

To remove a file type from the exclusion list, click the file type, and then click Remove.

When finished, click OK.

8. In the Source Type section, select one of the following:

·CIB (Imagebase) to produce files as they are currently linked in the Concordance Viewer.

·Field to copy files from a path and filename in a field in the data such as the FILEPATH field. Select the field from the drop-down menu.

Filetypes that are unsupported by the viewer cannot be produced using the CIB as the source type. It is recommended that a field such as FILEPATH be used for native file productions that include unsupported file types. If the CIB is selected, be sure to review the produced output for any 0-byte .txt files where the filename is the CNDCN. The presence of these .txt files indicates the native file was not produced.

9. Write the output production path back to the database field, select the check box [image] and select the field to update with the produced path information.

The production path is a full path with file name for the produced files. You may use the Global Edit option to modify the path to a relative path if needed prior to export.

10. To run the production, click Start. The production status bar will display the native file production status.
In prior versions to 1.07

5. Do any of the following:

·To create a new folder, click the Make New Folder. In the Folder field type the folder name and click OK.

·To use an existing folder, select the folder, and click OK.

The production folder must be empty.

Microsoft Windows imposes a limit on the number of characters that can be used for file path names. Therefore, the folder path, including the folder and production file name, should not exceed the 260 characters, as doing so may cause the application to close unexpectedly.

6. In the Production Type section, do one of the following:

·To name the produced files using the original native file name, select Native File Name.

·To name the produced files using the current Image Key. Select Image Key.

·To name the produced files using the contents of a selected field, click Field and select the field from the list.

·To name the produced files using a specific prefix and numbering scheme, click Custom. In the first field type the prefix you want to precede the production number. In the second field type the number to use as the starting number for the production files.

A maximum number of digits allowed for the starting number field is nine. The produced native file names are automatically incremented from the starting number.

If creating a native file production from a concatenated set of databases, do not select 'Image Key' as the Production Type. If Image Key is selected, you may receive an "Image key duplication..." error message when the process attempts to produce native files starting with the second database in the concatenated set. Image keys must be unique across the production run however, concatenated databases may duplicate the image key across the concatenated set.

Do not open the Admin Console while running a Production.

7. (Optional) To exclude specific files from the production and insert a placeholder (empty text file), click the Exclusion List button, do any of the following:

To add a file, in the small field type the file type extension, and then click Add.

To remove a file type from the exclusion list, click the file type, and then click Remove.

When finished, click OK.

8. To run the production, click Start.


Generating a production attachment range
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

After running a production in a database that contains emails and attachments, a production attachment range can be generated to reflect the new production numbers assigned to the family of documents.

An attachment field must be added to the database prior to generating the attachment range. For more information on adding fields, see About Modifying Databases.

To run a native production To generate a production attachment range:

1. From the Tools menu, click Production, and then Production Attachment Range. The Production Attachment Range dialog opens

2. In the Existing Attach Range Fields section, select one of the following to specify the field(s) which contain the attachment data:

·Select the Attach Range option if a field in the database contains an attachment range, and then select the field that contains the attachment range data.

·Select the Fields option if there are beginning attachment number and ending attachment number fields in the database, and then from the Beg Attach and End Attach list select the fields that contain the attachment data for the beginning attachment number and ending attachment number.

3. In the Existing Production Number Fields section, select the fields that contain the beginning production number values and ending production number values in the database.

4. In the Production Attach Range Field section, select the field you want to use to store the production attachment range.

5. Click Start.


Creating a production database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

After running a production and verifying the produced images, it is best practice to create a database for the production.

For more information about exporting databases, see Exporting databases.

To create a production database:

1.In Concordance Desktop, make sure that the same production query is still active in the database or rerun the same production query in the database.

2.From the Documents menu, click Export, and then As a Concordance Desktop database.

Clicking As a Concordance Desktop database opens the Export Wizard - Database dialog box.

3.Click the Browse button to open the Select database to merge dialog box.

4.Navigate to the directory where the production imagebase is stored, type the database name, using the same name as the production imagebase, in the File name field, and click Open.

When creating your production database, the database needs to be created in the same directory with the same name as the imagebase that was created in the production wizard. This will ensure that the production imagebase will link to the corresponding database.

5.Click Next to open the Export Wizard - Fields dialog box.

The database list defaults to the database currently opened, and all the database's fields are selected in the field list.

When exporting to an existing database, fields are only exported if the fields match the fields in the existing database.

6.To only include some of the database fields in the export, in the fields list, click the fields you want to export.

To select multiple fields, use SHIFT+click or CTRL+click.

7.Click Next to open the Append/Replace dialog box.

The Append/Replace dialog box allows you to control how documents are exported.

8.Select the Append all records option.

When you are exporting to a new database, if the Append all records option is selected, the export adds all records in the query to the database. If you are exporting to an existing database, the export appends all records in the query after the last record in the existing database.

9.To copy a record's attachments with notes during the export, select the Copy attachments with notes check box.

When the Copy attachments with notes check box is selected, the export automatically creates sequentially numbered attachment folders in the same directory as the Concordance Desktop database, and copies attachments into the subfolders. Folders are named in the format ATTACH-000000 and increment by one if the initial folder exceeds maximum capacity.

To exclude a record's attachments with notes from the export, clear the Copy attachments with notes check box.

10.Click Next to open the Export Wizard - Export dialog box.

The First and Last fields default to the first and last record in the current query.

11.To modify the range of the records to be exported, in the First field, type the record number for the first record in the range you want to export, and in the Last field, type the record number for the last record in the range you want to export.

12.Click the Export button.

If you are exporting to a new database clicking the Export button opens the following message:

13.Click Yes to start the export and have the export create the new database.

If you are exporting to an existing database, clicking the Export button starts the export.

You can click the Cancel button at any time to cancel the process.

When the export finishes, the Export Wizard - Export dialog box automatically closes.

14.On the File menu, click Open to open the Open dialog box.

15.Navigate to and open the production database you created, to open the database in Concordance Desktop.

16. On the File menu, click Reindex to index the database.

17. On the Dynamic toolbar, click the View image (camera) button to open the Concordance Desktop viewer and the produced images linked to the production database you created.


Creating Reports
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance Desktop provides several tools for printing document records and transcripts, and can be used to create and print a variety of customized reports based on search results, field content, tagged document sets, and transcript annotations. Printing options are available within Concordance Desktop from either the Browse or Table view, and the output looks similar to the onscreen display, depending on which view you choose to print from. Document images can also be printed from Concordance Desktop Image, based on search results in Concordance Desktop.

While Concordance Desktop offers the basic options for printing, such as page numbers and dates, Concordance Desktop also offers selections for printing highlighted annotations, underlined hits, field labels, and more. This is especially useful for printing sets of records for full-text review or printing annotations from transcripts.

You can also print a spreadsheet report of queries displayed in Table view, with field text in the sort order selected. This option is useful when a summary listing is appropriate.

You can create reports in Concordance Desktop using the following methods:

·Exporting Concordance Desktop Table Data

You can export Concordance Desktop record content to CaseMap, a case tracking tool, or export record content to spreadsheets in Microsoft Excel.

For more information about exporting table data, see Exporting Concordance Desktop data.

·Printing with the standard print options

Concordance Desktop offers many standard printing options and report tools to assist reviewers during case review.

For more information about using the standard print options in Concordance Desktop, see Printing standard reports.

·Printing with the Annotation Report Writer Wizard

Use the Annotation Report Writer Wizard to create custom reports from your transcript files. The custom reports can include transcript notes, highlights, and attachments.

For more information about creating custom reports using the Annotation Report Writer Wizard, see Printing transcript annotations.

·Printing with the Report Writer

Use the Report Writer to create custom reports from the Table view, based on a sort query. You can also use the Report Writer in conjunction with a CPL (Concordance Desktop Programming Language) script to create custom exploded sort reports.

For more information about creating custom reports using the Report Writer, see Printing with Report Writer.


Printing with the Report Writer
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

With the Report Writer, you can create simple reports, exploded sort reports, complex reports from concatenated databases, or reports where you need to print tens of thousands of records. The reports are based on a sort query.

You can select the fields to use, column widths, and page and individual column formats and alignment. The report columns can contain stacked fields, truncated fields, calculated data, and combined data and quoted text with tab alignment. The Report Writer supports date and math calculations, and advanced if-then-else logic. While many of these features are powerful, the report writer was designed to be easy and flexible.

In Concordance Desktop, the Report Writer is only available in the Table view, but you can also use the Report Writer in conjunction with CPL (Concordance Desktop Programming Language) scripts.

If you are primarily exporting your data to Microsoft Excel 2003, you need to be aware that this version has limitations for a maximum number of rows and characters per cell.

Understanding the Report Writer
Editable areas Editable Areas

The Report Writer screen is divided into four horizontal edit areas:

·Page Header

The top edit box is the page header. It is printed at the top of every page. Any text can be typed into the page header. The header can be pulled down to give you more room for a large header or font. There is no limit to the number of lines in the header. If you do not want a page header, just pull it up until it disappears.

·Column Headers

The next row of the report contains the column headers. These are printed at the top of every page, above the data columns. As with the page header, the column headers are resized by grabbing the window borders and pulling them up or down. There is no limitation on the number of lines of text they can hold. Make them as large or small as you need. Resizing one column header will resize all column headers, they are always uniform in height.

·Data Columns

The next row contains the data columns. These contain the actual data printed in your reports. The data columns are interpreted; if you place a field's name--it must be in upper case--in the column, then that field's data ends up in the report. If you place something like, "Data: " + SUMMARY into the column, then the word "Data: " precedes the text from the field named SUMMARY. Any text or function or mathematic operator defined in the programming language can be used in a data column. This allows you to do things like convert data to upper or lower case, print only the first 100 characters, or calculate dates and other values in your reports.

·Page Footer

The bottom edit box is the page footer. The page footer is printed at the bottom of every page. Any text can be typed into the footer. The footer can be pulled up or down to give you more or less room for text or type size. Make the footer's window smaller if too much room appears between the footer and the page numbers or dates.
Adding Field Titles and Data

There are two drop-down lists on the Report Writer toolbar. The first list contains a list of every field in the database. The second list contains a list of useful CPL functions and operators. When adding fields to a report, you should always select fields from the list box. It will automatically include necessary conversions for you, such as converting dates to text so that they can be printed. For instance, selecting the date field DATE will actually place dtoc(DATE) into the report column. This uses the date-to-character function to convert a numeric date into text. To add a field, function, or operator to a report, click on the report where you want to add a field, function, or operator and make a selection from the field or function list.

If you need to type field names manually, make sure that you use upper case letters. The report writer will not recognize field names unless they are in upper case.

Stacked Fields and Other Useful Tricks

The Report Writer is very powerful and flexible. It can use any of the CPL (Concordance Desktop Programming Language) Operators and Functions. With the Report Writer, you can create some wonderful and complex reports. There are however, just a handful of functions and operators, like the plus sign, which you will use most of the time. This section describes the most useful functions and how to use them.

The first thing you may want to do is to combine some text with a field or two. The following example does just that. It stacks two fields in one column with titles for data:

"Date "+dtoc(DATE)+newline()+

"Customer "+CUSTOMER

Enclose any static text in quotes. Combine quoted text and other data with the plus sign. The newline() function forces anything that follows it onto the next available line. Also included in the example, but not shown, are tabs. The quoted text includes a tab character to align the two data fields--there are no spaces in the line.

Always remember to use plus signs to combine everything with everything else. Leaving one out, or putting two plus signs in a row, are the two most common report errors.

Sometimes you may have a very large field which would use a lot of paper if it were printed. The next example uses the substr() function to print the first 200 characters of the summary field, it sub-strings it.

substr(DIGEST,1,200)

The example about uses the substr() function to grab 200 characters, starting with the first character. For this scenario, it would be really useful if we could check first to see if the brief field was actually more than 200 characters long. Then we could append ellipses (…) to show that we truncated the entry, if we need to truncate it at all.

(len(DIGEST)>200?substr(DIGEST,1,200)+"…": DIGEST)

This example uses two new features: the len() function and the conditional operator. The len() function determines the length of the text in any field. The conditional operator allows us to embed if-then-else logic into a report column. The conditional operator has the following format: (statement?true-response:false-response). The Report Writer tests the statement. If it is true, the true-response is the result, otherwise the false-response is the result. In our example the Report Writer determines if the length of the digest field is greater than 200 characters. If it is, the true-response returns the first 200 characters of the field with ellipses appended to show that it was truncated. If the statement is false, the entire field is printed. The parentheses around the conditional operator are required.

Report Writer Guidelines

·Use if-then-else syntax is (:?) and put literal text within quotes

If a date = 00/00/0000, then you can place quotes around “no date available”

·Stack fields with newline()

“Beg Bates : ”+BEGNO+newline()+“End Bates : ”+ENDNO
Report Writer Toolbar

Once you have generated a report using the Report Writer, the report and the Report Writer toolbar are displayed in Concordance Desktop. You can use the Report Writer toolbar to open, save, and insert files, select print options and font settings, and more. You can also select fields and codes to customize your report options.

Button Definitions

Report Writer Toolbar Buttons
Button | Name | Description
 | Open | Opens the Open dialog box. Click the Open button to open an existing .arp report file in the Report Writer.
 | Save | Saves your latest report changes to the .arp file currently opened.
 | Save as | Opens the Save As dialog box.
 | Insert | Inserts a column to the left of a selected column. Click a column in the report and click the Insert button to open the Report Columns dialog box. Type the number of columns to insert and click OK to insert the new columns.
 | Delete | Deletes a selected column. Click a column in the report and click the Delete button to open the Report Columns dialog box. Type the number of columns to delete and click OK to delete the selected column, and if you entered more than one column, the remaining number of columns you entered to the right of the selected column.
 | Options | Opens the Report Options dialog box. In the Report Options dialog box, you can edit the report's current settings.
 | Page Setup | Opens the Page Setup dialog box. In the Page Setup dialog box, you can edit the report's page setup settings,including the paper size, source, orientation, the page margins, and printer.
 | Justify | Opens the Justify dialog box. Select the check box that applies to the text you want to format, click OK to open the Text Alignment dialog box, click the alignment option you want to use, and click OK.
 | Font | Opens the Font dialog box. Select the check box that applies to the text you want to format, click OK, modify the font, and click OK again.
 | Print Preview | Opens the report in the print preview screen. The print preview screen allows you to browse through up to 100 pages of your report before printing the report.
 | Print | Opens the Print dialog box. Select you printer settings and click OK to print the report.
 | Exit | Closes the Report Writer in Concordance Desktop. You will be prompted to save the report if any changes were made.
 | Field List | Contains a list of the database fields you can add to the report.
 | Function List | Contains a list of available CPL functions and operators you can add to the report.

You can create reports in the Report Writer using the wizard or manually create reports in the Report Writer's Report Options dialog box. You can also edit existing reports in the Report Options dialog box.

To generate reports using the Report Writer Wizard:

1.Run a search query to locate the documents you want to include in the report.

For more information about searching, see Available search tools.

2.In the Table view, use a table layout to organize the columns and column order you want to include in the report.

For more information about custom layouts see, Using table layouts.

3.With the Table view still open, on the Standard toolbar, click the down arrow next to the Report button and click Report writer.

Clicking Report writer opens the Report Writer dialog box.

4.Select the Report Writer Wizard option and click OK.

Clicking OK opens the Report Wizard - Documents dialog box.

5.In the Report Wizard - Documents dialog box, define the report's document range settings.

To define the settings in the Report Wizard - Documents dialog box:

In the Report Wizard - Documents dialog box, the First and Last fields default to the first and last record in the current Concordance Desktop query.

1.To modify the range of the records to be printed, in the First field, type the record number for the first record in the range you want to print, and in the Last field, type the record number for the last record in the range you want to print.

2.Click Next to open the Report Wizard - Page numbering and dates dialog box.

6.In the Report Wizard - Page numbering and dates dialog box, define the report's page numbering and date stamp settings.

To define the settings in the Report Wizard - Page numbering and dates dialog box:

In the Report Wizard - Page numbering and dates dialog box, the page number, date, and time stamp options all default to No. If you choose to print page numbers and/or date and time stamps, they will be printed at the bottom of each page in the report footer.

1.To print page numbers, in the Do you want to print page numbers field, select the Yes option.

Page numbers are printed in the lower-right corner of the report.

2.To print the current date, in the Do you want to print dates field, select the Yes option.

The date is printed in the lower-left corner of the report.

3.To print the current time, in the Do you want to print the time field, select the Yes option.

The time is printed in the lower-left corner of the report.

The default font for page numbers and date and time stamps is Arial 9pt. The report uses the same font settings for page numbers and date and time stamps on the report.

4.To modify the font settings, click the Font button.

Clicking the Font button opens the Font dialog box.

5.Specify the font settings and click OK to save your changes.

The font changes apply to all the page numbers and date and time stamps on the report.

6.Click Next to open the Report Wizard - Header/Footer dialog box.

7.In the Report Wizard - Header/Footer dialog box, define the report header and footer settings .

To define the settings in the Report Wizard - Header/Footer dialog box:

In the Report Wizard - Header/Footer dialog box, you can preset the header and footer text for all of the fields default to No, except for the Do you want a blank line between records field.

1.To print a report header, in the Enter the report header field, type the header text you want to print.

2.To print a report footer, in the Enter the report footer field, type the footer text you want to print.

3.Click Next to open the Report Wizard - Options dialog box.

8.In the Report Wizard - Options dialog box, define the report's record break, column border, and field printing settings.

To define the settings in the Report Wizard - Options dialog box:

In the Report Wizard - Options dialog box, all of the fields default to No, except for the Do you want a blank line between records field.

1.To print each record on a separate page, in the Do you want a new page to start with each record field, select the Yes option.

2.To disallow a blank line between each record on the report, in the Do you want a blank line between records field, select the No option.

3.To add a horizontal line between each record on the report, in the Do you want horizontal lines between records field, select the Yes option.

The Do you want horizontal lines between records field is only available if you are also adding blank lines between each record.

4.To add vertical lines between each report column, in the Do you want vertical lines separating columns field, select the Yes option.

5.To print only the first line from each field in the report, in the Do you want to print just the first line of every field (summary report) field, select the Yes option.

If you choose to only print the first line of each field, Concordance Desktop prints a summary report with one line per record.

6.Click Next to open the Report Wizard - Margins dialog box.

9.In the Report Wizard - Margins dialog box, define the report's page margins and intercolumnar spacing setting.

To define the settings in the Report Wizard - Margins dialog box:

In the Report Wizard - Margins dialog box, all page margins default to .50 inches from the edge of the page, and the Intercolumnar (1/10th") field defaults to 2 tenths.

1.To edit the print margins, type or select the margin sizes in inches, that you want to print on the report.

Some printers have an unprintable reserved area and the margins cannot be set below this limit.

2.To edit the intercolumnar spacing, in the Intercolumnar (1/10th") field, type or select the spacing, in tenths of an inch, that you want to print on the report.

The intercolumnar spacing determines the distance between columns in your report.

3.Click Next to open the Report Wizard - Printer dialog box.

10.In the Report Wizard - Printer dialog box, define additional report page settings including page breaks and orientation.

To define the settings in the Report Wizard - Printer dialog box:

1.To change the paper size or source, page orientation or margins, or default printer, click the Printer button.

2.Clicking the Printer button opens the Page Setup dialog box.

3.Make the applicable edits.

To change the default printer for the report, click the Printer button, make the applicable edits, and click OK to save your changes.

4.In the Page Setup dialog box, click OK to save your changes and return to the Report Wizard - Printer dialog box.

In the Report Wizard - Printer dialog box, the Widows field controls the minimum number of lines Concordance Desktop will allow to remain at the bottom of a page. If the number of lines to print at the bottom of the page is less than the value in the Widows field, then the document is moved to the top of the next page.

The Orphans field controls the minimum number of lines Concordance Desktop prints at the top of a page when splitting a document between pages. If the lines left to print are less than the value in the Orphans field, then lines are borrowed from the previous page until the orphan minimum is met. This may cause the preceding page to go below the Widows threshold, causing the entire column to print at the top of the next page.

The Widows field defaults to 4 lines and the Orphans field defaults to 3 lines.

5.To change the widows value, in the Widows field, type or select the number of lines you want the report to use for page widows.

6.To change the orphans value, in the Orphans field, type or select the number of lines you want the report to use for page orphans.

7.Click Next to open the Report Wizard - Exploded Sort dialog box.

11.In the Report Wizard - Exploded Sort dialog box, define the report's exploded sort settings.

To define the settings in the Report Wizard - Exploded Sort dialog box:

An exploded sort is a report where each entry in a multiple entry field is sorted in alphabetical order and given its own line in the report as if it were a separate record. Concordance Desktop determines each sub-entry in a field by grabbing the data between delimiters such as a comma. Any punctuation character can be used as the delimiter as long as it is used consistently.

Exploded Sort Example

An attorney has placed bibliographic entries for all of the documents needed in a case into Concordance Desktop. The counselor then searched for financial reports, and wanted to print a report showing each author alphabetically for an upcoming deposition. With a typical report, the attorney would get a printout sorted by the first author’s name appearing in the author field. Finding a specific author’s name would require looking through each multi-author entry in the report. Using an exploded sort places each author in alphabetical order in the first column, repeating the data in the other columns for each entry. Now the attorney can find the authors quickly and easily, during the deposition.

1.To create an exploded sort report, in the Do you want an exploded report field, select the Yes option.

If you do not want to create an exploded sort report, select the No option and click Next to open the Report Wizard - Fields dialog box.

2.In the Select the field you want to explode sort field, click the field you want to use for the exploded sort.

The field selected in the Select the field you want to explode sort field will always be the first column in your exploded sort report.

Records should be sorted by the field used in the report's second column before entering the Report Writer. That way duplicate records are sorted by the second column’s contents.

The Set a delimiter to base the exploded sort field defaults to a comma.

3.To change the delimiter used for the exploded sort, in the Set a delimiter to base the exploded sort field, type the delimiter you want to use.

4.Click Next to open the Report Wizard - Fields dialog box.

12.In the Report Wizard - Fields dialog box, define the fields that print in the report columns.

To define the settings in the Report Wizard - Fields dialog box:

The order the fields are listed in the Column list is the order the fields will be displayed in the report columns. If you are creating an exploded sort report, the field you selected on the Report Wizard - Fields dialog box is automatically added to the first column in the report, and cannot be moved from the first column. The wizard automatically sets the number of columns in the report to the number of fields selected in the Report Wizard - Fields dialog box.

1.To add a field to the Column list, click the field in the Field list, and click the right arrow, >, button.

2.To remove a field from the Column list, click the field in the Column list, and click the left arrow, <, button.

3.To change the column order of a field, click the field in the Column list, and click the Move up or Move down button to move the field to the applicable column.

When you move a field in the Column list, the wizard automatically updates the column order number for the field.

4.Click Next to open the Report Wizard - Field Options dialog box.

13.In the Report Wizard - Field Options dialog box, define the individual report field settings.

To define the settings in the Report Wizard - Field Options dialog box:

In the Report Wizard - Field Options dialog box you can define settings for the individual fields in the report including totalling and defining how the Report Writer handles the data in the field, such as underlining search hits.

1.In the Column list, click the field you want add report settings for.

2.To print a grand total of the field data in the selected column, select the Total check box, in the Width field, type the total field size in number of characters, and in the Decimals field, type the number of decimal points you want to use in the grand total.

The Width and Decimals fields are only available when the Total check box is selected. The grand total is printed at the end of the report.

3.To print subtotals, select the Subtotal check box and in the Break column field, type the number of the column to break on for the subtotals.

A break column can be any other column in the report. The report should be sorted by the break column. For example, if the subtotal column contains the PRICE field and the break column contains the PART_NUMBER. The PRICE column prints a subtotal whenever the PART_NUMBER changes, and it will print a grand total when the report is complete.

The Break column field is only available when the Subtotal check box is selected. Every time the column in the Break column field changes contents, Concordance Desktop will subtotal the field data.

4.To print each record on a separate page whenever the column's contents change between one record and the next, select the New page on new entry check box.

The database should be sorted by the selected field in the report column.

5.To suppress all repetitive entries in the selected field on the report, select the Suppress repetitive entries check box.

When the Suppress repetitive entries check box is selected, only the first instance of duplicate entries will be printed on the report. The report should be sorted by the selected field in the report column.

6.If you want all search hits in the selected field to be underlined on the report, select the Underline hits check box.

7.Click Next to open the Report Wizard - Finish dialog box.

14.In the Report Wizard - Finish dialog box, click the Finish button to create the report template.

Clicking the Finish button opens the report template within the Report Writer in Concordance Desktop, and the Report Writer toolbar is now displayed in Concordance Desktop below the Standard toolbar.

15.In the Report Writer, you can further customize the report, including adjusting the column widths, adding and removing columns, adjusting report settings, and adjusting text properties.

For more information about working in the Report Writer, see the Concordance Desktop Report Writer User's Guide.

16.Make the applicable edits to the report in the Report Writer.

17.Click the Print Preview button on the Report Writer toolbar to preview the report.

18.When you are ready to print the report, to send the report directory to the designated printer, click the Print button in the print preview screen.

To make any final print adjustments before printing, click the Print button on the Report Writer toolbar to open the Print dialog box, edit the print settings, and click OK to print the report from the designated printer.

19.To save your report settings, on the Report Writer toolbar, click the Save as button.

20.To close the report, on the Report Writer toolbar, click the Exit button.
To generate a report using the Report Options dialog box:

1.Run a search query to locate the documents you want to include in the report.

For more information about searching, see Available search tools.

2.In the Table view, use a table layout to organize the columns and column order you want to include in the report.

For more information about custom layouts see, Using table layouts.

3.With the Table view still open, on the Standard toolbar, click the down arrow next to the Report button and click Report writer.

Clicking Report writer opens the Report Writer dialog box.

4.Select the Report Writer option and click OK.

Clicking OK opens the Report tab in the Report Options dialog box.

5.On the Report tab, define the report's document range, record break, field printing, and column settings.

To define the settings on the Report tab:

On the Report tab, the First and Last fields default to the first and last record in the current Concordance Desktop query.

1.To modify the range of the records to be printed, in the First field, type the record number for the first record in the range you want to print, and in the Last field, type the record number for the last record in the range you want to print.

By default, only the Blank lines check box is selected in the Options section of the Report tab.

2.To print each record on a separate page, select the New page check box.

3.To disallow blank lines between each record on the report, clear the Blank lines check box.

4.To add a horizontal line between each record on the report, select the Horizontal Lines check box.

The Horizontal Lines check box is only available if you are also adding blank lines between each record.

5.To add vertical lines between each report column, select the Vertical Lines check box.

6.To print only the first line from each field in the report, select the Summary report check box.

If you choose to only print the first line of each field, Concordance Desktop prints a summary report with one line per record.

7.In the Enter the number of columns for the report field, type the number of columns you want to create in the report.

8.In the Enter the maximum characters in each column field, type the maximum number of characters allowed in each column. The default is 4096 characters.

6.Click the Printer tab to define the report's page margin and intercolumnar spacing settings, widow and orphan settings, additional page settings, and the default printer settings.

To define the settings on the Printer tab:

On the Printer tab, all page margins default to .50 inches from the edge of the page, and the Intercolumnar (1/10th") field defaults to 2 tenths.

1.To edit the print margins, type or select the margin sizes, in inches, that you want to print on the report.

Some printers have an unprintable reserved area and the margins cannot be set below this limit.

2.To edit the intercolumnar spacing, in the Intercolumnar (1/10th") field, type or select the spacing, in tenths of an inch, that you want to print on the report.

The intercolumnar spacing determines the distance between columns in your report.

On the Printer tab, the Widows field controls the minimum number of lines Concordance Desktop will allow to remain at the bottom of a page. If the number of lines to print at the bottom of the page is less than the value in the Widows field, then the document is moved to the top of the next page.

The Orphans field controls the minimum number of lines Concordance Desktop will print at the top of a page when splitting a document between pages. If the lines left to print are less than the value in the Orphans field, then lines are borrowed from the previous page until the orphan minimum is met. This may cause the preceding page to go below the Widows threshold, causing the entire column to print at the top of the next page.

The Widows field defaults to 4 lines and the Orphans field defaults to 3 lines.

3.To change the widows value, in the Widows field, type the number of lines you want the report to use for page widows.

4.To change the orphans value, in the Orphans field, type the number of lines you want the report to use for page orphans.

5.To change the paper size or source, page orientation or margins, or default printer, click the Printer setup button.

6.Clicking the Printer setup button opens the Page Setup dialog box.

7.Make the applicable edits.

To change the default printer for the report, click the Printer button, make the applicable edits, and click OK to save your changes.

8.In the Page Setup dialog box, click OK to save your changes and return to the Printer tab.

7.Click the Footer tab to define the report's page number, date and time stamp, and footer font settings.

To define the settings on the Footer tab:

On the Footer tab, by default the Print dates, Print time, and Page numbers check boxes are not selected. If you choose to print page numbers and/or date and time stamps, they will be printed at the bottom of each page in the footer.

1.To print the current date, select the Print dates check box.

The date is printed in the lower-left corner of the report.

2.To print the current time, select the Print time check box.

The time is printed in the lower-left corner of the report.

3.To print page numbers, select the Page numbers check box.

Page numbers are printed in the lower-right corner of the report. The default font for footer text is Arial 9pt.

4.To modify the font settings, click the Font button.

Clicking the Font button opens the Font dialog box.

5.Modify the font and click OK to save your changes.

The font settings apply to all text in the report footer.

8.Click the Exploded sort tab to define the report's exploded sort settings.

To define the settings on the Exploded sort tab:

An exploded sort is a report where each entry in a multiple entry field is sorted in alphabetical order and given its own line in the report as if it were a separate record. Concordance Desktop determines each sub-entry in a field by grabbing the data between delimiters such as a comma. Any punctuation character can be used as the delimiter as long as it is used consistently.

Exploded Sort Example:

An attorney has placed bibliographic entries for all of the documents needed in a case into Concordance Desktop. The counselor then searched for financial reports, and wanted to print a report showing each author alphabetically for an upcoming deposition. With a typical report, the attorney would get a printout sorted by the first author’s name appearing in the author field. Finding a specific author’s name would require looking through each multi-author entry in the report. Using an exploded sort places each author in alphabetical order in the first column, repeating the data in the other columns for each entry. Now the attorney can find the authors quickly and easily, during the deposition.

1.To create an exploded sort report, select the Explode check box.

If you do not want to create an exploded sort report, clear the Explode check box.

2.In the Select the field to perform an exploded sort on field, click the field you want to use for the exploded sort.

The field selected in the Select the field to perform an exploded sort on field will always be the first column in your exploded sort report.

Records should be sorted by the field used in the report's second column before entering the Report Writer. That way duplicate records are sorted by the second column’s contents.

The Select the delimiter to use for the exploded sort field defaults to a comma.

3.To change the delimiter used for the exploded sort, in the Select the delimiter to use for the exploded sort field, type the delimiter you want to use.

9.Click the Options tab to define the report's individual column settings.

To define the settings on the Options tab:

On the Options tab, you can define settings for the individual columns in the report including totalling and defining how the Report Writer handles the field data in the column, such as underlining search hits.

1.In the Column list, click the column you want add report settings for.

2.To print a grand total of the field data in the selected column, select the Total check box, in the Width field, type the total field size in number of characters, in the Decimals field, type the number of decimal points you want to use in the grand total, and in the Style field, click numbering style you want to use for the grand total.

The Width, Decimals, and Style fields are only available when the Total or Subtotal check box is selected. The grand total is printed at the end of the report.

3.To print subtotals, select the Subtotal check box and then in the Break column field, click the number of the column to break on for the subtotals.

A break column can be any other column in the report. The report should be sorted by the break column. For example, if the subtotal column contains the PRICE field and the break column contains the PART_NUMBER. The PRICE column prints a subtotal whenever the PART_NUMBER changes, and it will print a grand total when the report is complete.

The Break column field is only available when the Subtotal check box is selected. Every time the column in the Break column field changes contents, Concordance Desktop will subtotal the field data.

4.To suppress all repetitive field data entries in the selected column on the report, select the Suppress repetitive entries check box.

When the Suppress repetitive entries check box is selected, only the first instance of duplicate entries will be printed on the report. The report should be sorted by the selected field in the report column.

5.To have the report print each record on a separate page whenever the column's contents change between one record and the next, select the New page on new entry check box.

The database should be sorted by the selected field in the report column.

10.Click OK to create the report template.

Clicking OK opens the report template within the Report Writer in Concordance Desktop, and the Report Writer toolbar is now displayed in Concordance Desktop below the Standard toolbar.

11.In the Report Writer, you can further customize the report, including assigning fields to columns, adding header and footer text, adjusting the column widths, adding and removing columns, adjusting report settings, and adjusting text properties.

For more information about working in the Report Writer, see the Concordance Desktop Report Writer User's Guide.

12.Make the applicable edits to the report in the Report Writer.

13.Click the Print Preview button on the Report Writer toolbar to preview the report.

14.When you are ready to print the report, to send the report directory to the designated printer, click the Print button in the print preview screen.

To make any final print adjustments before printing, click the Print button on the Report Writer toolbar to open the Print dialog box, edit the print settings, and click OK to print the report to the designated printer.

15.To save your report settings, on the Report Writer toolbar, click the Save as button.

16.To close the report, on the Report Writer toolbar, click the Exit button.
To edit an existing report in the Report Writer:

1.In the Table view, on the Standard toolbar, click the arrow next to the Report button and click Report writer.

Clicking Report writer opens the Report Writer dialog box.

2.Select the Open existing report option and click OK.

Clicking OK opens the Open dialog box.

3.Navigate to and open the report .arp file you want to edit.

The report opens in the Report Writer in Concordance Desktop.

4.Make the applicable edits to the report in the Report Writer.

For more information about working in the Report Writer, see the Concordance Desktop Report Writer User's Guide.

5.Click the Print Preview button on the Report Writer toolbar to preview the report.

6.When you are ready to print the report, to send the report directory to the designated printer, click the Print button in the print preview screen.

To make any final print adjustments before printing, click the Print button on the Report Writer toolbar to open the Print dialog box, edit the print settings, and click OK to print the report to the designated printer.

7.To save your report settings to the current .arp file, on the Report Writer toolbar, click the Save button.

To save your report settings to a new .arp file, on the Report Writer toolbar, click the Save as button.

8.To close the report, on the Report Writer toolbar, click the Exit button.

For more information about using the Report Writer, including using the Report Writer with CPL scripts, see the Concordance Desktop Report Writer User's Guide. You can request a PDF file of the guide from Concordance Desktop Technical Support.


Isolating issues
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Reference this section to review troubleshooting information and common issues that you can resolve, perhaps avoiding a call to Concordance Desktop Technical Support or isolating the issue so a support analyst can better assist you.

If you find yourself challenged with Concordance Desktop working properly, we've provided you with a checklist to help you isolate where a problem resides: computer, network, or application.

Once you've run through this checklist, you'll most likely discover where the issue lies and can determine the course of action needed to resolve an issue. If you find you still have difficulties after reviewing items on this checklist, you may want to enlist a Concordance Desktop Technical Support analyst for research feedback.

Isolating Issues Checklist:

1.Is your problem happening to one person or all users?

If it’s one person, there’s potentially something wrong with the computer itself, such as the user’s network privileges or another setting. Please check to ensure that the user is granted full privileges.

2.Is the problem only with this computer?

If so, you may need to rebuild the system profile.

Test whether the user can log into a Concordance Desktop database from another computer. If so, the problem is most likely the computer and not the application.

3.Is the issue occurring only in one database or all databases?

Determining this helps isolate whether it’s a database or system issue.

Depending on the setup, try moving a database to a location other than its current placement.

Desktop to server or server to desktop.


Resolving common database issues
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Avoid time-consuming emails and calls to Concordance Desktop Technical Support by resolving issues on your own. Here is a list of the most frequent issues that clients run into while administrating Concordance Desktop and the steps you can take to fix them yourself:

Full Network rights given to users

If you find there are users having issues with accessing aspects of Concordance Desktop or there are other problems occurring, you'll want to verify that all users have full read/write privileges in the directory where each database resides.
File path problems

Whether you are trying to view images in Concordance Desktop or trying to launch a hyperlink to a native document or email attachment, there are times when you may run into the following issue:

Native files and attachments

When clicking on a native document or attachment hyperlink and nothing happens, on the Start menu, click Run and type the listed path and click OK.

Windows may open a dialog box saying it can’t open the file. It will ask you what program to use to launch the file. This occurs when Windows doesn’t recognize the file extension. For example, if you just downloaded Adobe® Reader®, Windows may not recognize the .PDF extension and which program to use to launch it.

Once you select the program from a list in the dialog box, ensure that the Always use the selected program to open this kind of file is checked. In the future, the document hyperlink in Concordance Desktop will correctly launch the native document.

If Microsoft Windows can’t find the file, then there is a problem with the path listed in Concordance Desktop.

For more information about updating hyperlinks, see Updating hyperlinks.
Overflow message during import

When importing data, you may receive various overflow messages in the Data Overflow or Status box.

Here are some examples:

If your message looks like this, then Concordance Desktop ran into an error on line 100 within the delimited text file you selected to import.

You'll want to open up the delimited text file, navigate to line 100 and verify that the delimiters are correct and in place with the file containing a hard carriage return at the end.

This message is listed with the first selected field (BEGNO) followed by an overflow in every document. Most likely the problem is an incorrect import dialog selection for the delimiters.

Verify what is used in the delimited text file and that your selection in the Import Wizard matches. You will also want to verify your other delimiter selections as well.

For this type of error message, there are many possible reasons that an error occurred. You will want to verify your delimiters, check your Modify dialog box to ensure that the field type matches the type of data that is being imported in, and also verify that the field order in the import selections matches the delimited text file.

Once you have modified your selections, be sure to save a new copy of your delimited text file prior to import. Next delete any records loaded incorrectly or on the File menu, point to Administration, and click Zap if it is your first import in the database.

Because mistakes can occur during an import, it is best practice to always import additional delimited text files into a duplicate empty structure of your main database to ensure that everything loads properly. Once everything looks correct, use the matching import process to bring in the new records.

For more information about the matching import process, see Loading additional data into databases.
View Image (camera) button is not highlighted

If the View Image (camera) button is unavailable and grayed out when you are ready to manage your imagebase, you most likely forgot to select a field in the database as the Image key.

You will need to open the Modify dialog box and select the Image check box for a unique field, typically your beginning Bates number. Once you have made your changes, be sure to run a full index. After indexing the database, close Concordance Desktop and re-launch your database. The View Image button should now be available.
Indexing takes too long

If your indexing speeds take too long, you'll want to check the following:

·Indexing Cache Preferences and Recommendations

First, review to the Cache Preferences and Indexing Speed Recommendations sections in the Before installing Concordance Desktop topic.

The Cache Preferences section provides a formula for allocating RAM specifically for the indexing process. For maximum speed, we recommend allocating 2 GB to your machine.

·How many database indexes are you running?

Having indexes for each database run on individual machines greatly improves speed since you’re able to allocate more memory to processing one database, rather than having to share it across multiple databases at the same time.

·What is the size of your database?

Record sizes vary based on how many metadata fields there are and how large your OCR text fields may be. The smaller the database: the faster your index processing.

If your databases are too large, one option is to separate them into smaller databases and concatenate them for review.

For more information about concatenating databases, see Joining multiple databases.
Offsetting hit highlights

If you search for terms using full-text search strings and the hit highlighting is not working, here are steps to resolving the issue:

1.First, export one record that had hit highlighting issues to another Concordance Desktop database. This way, you can test the issue without impacting your reviewers.

2.In the exported database, view this record in the Edit view. Right-click the field where offset hit highlighting occurred, and click Reset field formatting on the shortcut menu.

3.Reindex the database and try searching on the same search term to see if the hit highlighting issue is resolved in the record you just formatted.

If the problem is resolved, this was a rich text formatting issue. Sometimes, there can be problems with HTML hexadecimal color codes and .rtf files. Once these files have been imported into Concordance Desktop, the index may be offset in correctly identifying your hit terms. You can reset the field formatting on each individual record and reindex as listed above to resolve the issue.

If the issue has impacted a large number of records, there is a CPL script that can reset the field formatting of all records in a query set.

4.If the problem persists, then there is an issue with the .ivt file. Take the entire database offline and then run a full index.
Errors on dictionary and .ivt files

If you receive a message that your dictionary or inverted text (.ivt) files had errors or were not found, then you'll want to rename the following files by adding OLD to the file name, and then run a full index: .dct, .ivt, .fzy, .key.
Unable to read and/or write to fields

1.If you come across a field that is read-only in the Edit view that you intended to have full access to, you may have applied security settings to the entire database.

First, check the Field rights tab in the Security dialog box to verify the given access to each user. Second, check the specified field in the Data Entry Attributes dialog box as it can override a field’s settings in the Security dialog box.

2.If you created a new field in the Modify dialog box and security is enabled, you need to ensure that the new field has read/write access in the Security dialog box for each individual user.

Be careful to check these settings prior to running productions. You may have forgotten to create production fields in the database creation phase to store your new beginning and ending production numbers.

Once you create these new fields, they are listed as options in the Production Wizard to cross-reference your new production numbers. But if you did not adjust security field rights for read/write access prior to initiating the production process, the numbers will not be written to the production fields.
Issue tags

In order to create an Issue Tag in Concordance Desktop, you must highlight the text, hold down the Shift key and then select the tag. If you attempt or accidentally highlight text and then select the tag without holding down the Shift key first, you receive a message with instructions on using this method for issue tagging. This setting can be changed back to the older method in the Issue Coding section on the Browsing tab in the Preferences dialog box.
Production issues
Empty OPT and CIB file

If after creating a Production the OPT and CIB files appear empty, use the Image Management utility to change the file path for the NearNative files. you will need to remove the backslash (\) at the end of the folder path. Use the Image base Management feature, Rename Media Paths and Folders option to remove the back slash.


About the Unicode standard
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Unicode Standard provides a consistent way to digitally represent the characters used in the written languages of the world. As an accepted universal standard in the computer industry, the Unicode Standard assigns each character a unique numeric value and name. This encoding standard provides a uniform basis for processing, storing, searching, and exchanging text data in any language.

In Concordance Desktop, the Unicode Standard is supported in Arabic, Chinese, English, Hebrew, Japanese, Korean, Russian, and other languages.

Some Adobe PDF files with Arabic text do not display the Arabic text in the proper right-to-left order in Concordance Desktop. These PDF files display the text in reverse order (left-to-right) because the files report the language incorrectly or are not in the standard format.
Installation and Database Compatibility

Supporting the Unicode Standard requires the following installation and database changes:

Installing Language Packs

To display characters in Unicode within Concordance Desktop, the appropriate language packs need to be installed on the computer.

For more information, see Installing language packs.
Concordance Installation Changes

Concordance Desktop installs to a new default folder, …\CloudNine\Concordance Desktop, and includes a new Add or Remove Programs dialog box entry and a new registry key. This allows Concordance Desktop and prior versions of Concordance to exist on the same computer.
Database Compatibility

Due to the major database structure changes required by the Unicode Standard, all databases need to be converted to Concordance version 10.x and then to Concordance Desktop. Earlier database versions cannot be opened in Concordance version 10.x or Concordance Desktop. Only Concordance database versions 7, 8, or 9 can be converted to Concordance version 10.x, and only Concordance 10.x databases can be migrated to Concordance Desktop.

Since there is no backwards compatibility to older database versions in Concordance Desktop or Concordance version 10.x, opening a database version 7, 8, or 9 in Concordance 10.x prompts the user to convert the database to version 10. When opening a Concordance version 10.x database in Concordance Desktop, the database is automatically migrated to Concordance Desktop database format.

All Concordance version 10.x databases in a selected folder and subfolders can be converted to Concordance Desktop. For more information, see Migrating databases.

Currently, the Unicode Standard is supported when importing, searching, printing, and exporting documents in the languages listed above. However, certain issues and tips are important to know when using these features with a non-English document.

Import Issues and Tips

The Unicode Standard is supported when importing documents into Concordance Desktop.

The following issues and tips are important to know when importing non-English documents:

Right-To-Left Documents

When importing documents with Right-To-Left (RTL) languages, such as Arabic, the imported text may be incorrectly justified to the left side. To correct this and change the justification to the right side, select the text and press the right [Ctrl] +right [Shift] keys.
Microsoft Excel Files

When importing Microsoft Excel files in Right-To-Left (RTL) languages, the spreadsheet cells may be displayed Left-To Right instead of Right-To-Left.
File Names

Native and/or text file names containing Unicode characters are supported in Concordance Desktop. However, Unicode characters are not supported for use in user IDs, user groups, matters, clients, or database file names.
Delimiters

The delimiters available from the drop-down lists in the Import Wizard, Import Delimited Text dialog box, and the Overlay Database dialog box may appear as square symbols or may not be displayed. How the lists are displayed depends on the computer's language environment.

The delimiters listed below use the Tahoma font, which displays the characters regardless of the language environment. All of the characters listed below can be selected as a delimiter, even if the symbols they represent do not appear in the drop-down lists.

To see the list of available delimiter characters, see About delimiter characters.

Search Issues and Tips

The Unicode Standard is supported when searching documents in Concordance Desktop. For more information about searching, see Available search tools.

The following issues and tips are important to know when searching non-English documents:

Removing Kashida Characters

Kashida characters are used in Arabic text to lengthen a word by elongating characters at certain points. The added Kashida characters change the word.

For example, the word for Term in Arabic is [image] . When Kashida characters are added, the word changes to [image] .

Searching for the word Term with Kashida characters results in inaccurate search results since it will not include the word Term without Kashida characters.

To prevent inaccurate searches, the Concordance Desktop administrator can remove the Kashida characters from the searchable text in the current database.

To remove Kashida characters:

1.On the File menu, point to Administration, and then click Remove Kashida characters.

2.Enter the administrator user name and password.

3.Click Yes to confirm.

The Kashida character removal is permanent and there is no process to convert back to the earlier version. We recommend you make a backup copy of the databases before performing this action.

Kashida characters are automatically removed from the current database. The status is displayed in the Global Replace dialog box. When finished, the dialog box closes.

4.Reindex the database after the Kashida characters have been removed to update the database with these changes.

For more information about reindexing, see Indexing and reindexing updates.

Words that Sound Like the Selected Word

When doing an Advanced Search from the Search task pane, selecting Display a list of words that sound like the selected word (also known as Fuzzy Search) only works with English language words. Using this option with words in other languages will display a list of words that do not sound like the selected word.

For more information about Fuzzy Search, see Using the Advanced Search panel.
Navigating Search Results for Ideographic Languages

A character in an ideographic language, like Chinese, can represent a word. When navigating search results, each character is considered a separate hit. Clicking the Next hit and Previous hit buttons jumps to the next character in the search results.

For example, if your search term is the Chinese word for Mandarin Language School (国語学院) you will need to click Next hit four times for each word.
Search Examples

Here are examples of searching Arabic and Japanese documents in Concordance Desktop.

Simple Search in Arabic

You can use Simple Search to find non-English words in your documents. The example below shows how Simple Search is used to find the word [image] , which means language in Arabic.

Some Adobe PDF files with Arabic text do not display the Arabic text in the proper right-to-left order in Concordance Desktop. These PDF files display the text in reverse order (left-to-right) because the files report the language incorrectly or are not in the standard format.

simple search in Arabic

Advanced Search in Japanese

Advanced Search can also be used to find non-English words in your documents. The example below shows an Advance Search for the word "最も", which means most importantly in Japanese.

simple search in Japanese

Edit Issues and Tips

The Unicode Standard is supported when using the Edit features in Concordance Desktop. For more information editing in Concordance Desktop, see About editing records.

The following issues and tips are important to know when using the Edit features with non-English documents:

Data Validation Options

Database fields can be assigned data validation options from the Data Entry Attributes dialog box. However, certain validation options are only supported with English text. These include:

·Upper case

·Lower case

·Alphabetic only

·Numeric only

For more information about data validation, see Creating databases.
Match Whole Word Only

When searching for text using the Find or Replace commands, the Match whole word only check box does not work with ideographic languages such as Chinese. Clear the Match whole word only check box before searching for text in these languages.

Print Issues and Tips

The Unicode Standard is supported when printing documents in Concordance Desktop.

The following issues and tips are important to know when printing non-English documents:

Additional Options for Hit Highlighting

When printing documents with ideographic text, like Chinese, a character underlined for hit highlighting can easily be confused with other characters.

To allow hit highlighting in these languages, additional options have been added to the Formatting tab in the Print documents dialog box. Now you can use underline, bold, italics, color formatting or a combination of these options to highlight the search hits in your reports.

For more information about using the Formatting tab, see Printing standard reports.

Export Issues and Tips

The Unicode Standard is supported when exporting documents from Concordance Desktop. For more information about exporting documents, see About exporting data.

The following issues and tips are important to know when exporting non-English documents:

Exporting to ANSI or ASCII Format

You can export data from Concordance Desktop to ANSI or ASCII format. The file can then be imported into an application that does not support the Unicode Standard; for example, into Concordance 2007 or earlier versions.

This option is available for delimited text files in the Export Wizard dialog box and the Export Delimited ASCII dialog box. It is also available when exporting database transcripts.

When exporting to ANSI or ASCII format, characters that cannot be represented as a single-byte character will be lost in the export. So exporting documents with double-byte characters, such as Chinese, to ANSI or ASCII format will result in data loss. See the example below.

Example of exporting a document with Chinese characters to ANSI

Here is a document with Chinese characters in Concordance Desktop.

example of Chinese characters in Concordance

If you export this document to a delimited text file and select the Export ANSI (Export Delimited ASCII dialog box) or Export in ANSI format (Export Wizard - Save dialog box) check box, the Chinese characters will be lost. For example, when you open the exported document in WordPad, the Chinese characters are displayed as question marks (?).

example of exporting Chinese to ANSI or ASCII format

Delimiters

The delimiters available from the drop-down lists in the Export Wizard and the Export Delimited ASCII dialog box may appear as square symbols or may not be displayed. How the lists are displayed depends on the computer's language environment.

The delimiters listed below use the Tahoma font, which displays the characters regardless of the language environment. All of the characters listed below can be selected as a delimiter, even if the symbols they represent do not appear in the drop-down lists.

To see the list of available delimiter characters, see About delimiter characters.

When sending data to a 3rd party software program using the Send To command, only ANSI text is sent..

The Concordance Desktop server does not support user names, passwords, or database names containing characters in Unicode, such as Chinese or Japanese characters. Currently, the server only support user names, passwords, or database names containing single-byte characters, such as English characters.

Ensure that you only use single-byte characters when creating user names, passwords, and database names in Concordance Desktop.


About Concordance Desktop Programming Language (CPL)
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop Programming Language (CPL) is a proprietary structured script programming language providing what programmers call extensibility: The ability of a program to stretch beyond its original capabilities. For example, let's say a paralegal has mistakenly entered the beginning and ending Bates numbers in the same field. Now he needs to get the ending number out and into a separate ENDBATES field. Or a litigation support analyst wants her search results to automatically include all cross-referenced documents as well. A CPL can be used to handle both situations.

Concordance Desktop ships with a number of CPLs for use with Concordance Desktop. For example, the CreateHyperlinks CPL creates an attachment or hyperlink to an external document so that search results automatically include all cross-referenced documents.

Concordance Desktop Scripts

A Concordance Desktop script is defined as code written in the Concordance Desktop Programming Language (CPL), stored in an ASCII-compatible plain text file, and saved with the .cpl extension. You can create, open, and modify a Concordance Desktop application using an ASCII-compatible text editor, or else through the Concordance Desktop UI.

While there are many scripts you can find, Concordance Desktop Technical Support supports only those that are shipped with the product and updated for a particular version.

Unsupported scripts include the following:

·Those written for previous versions of Concordance.

·Those written by vendors or staff at other organizations who have taken a class in writing scripts for their own use.

For a complete list of Concordance Desktop scripts, usage, and instructions for executing, see Concordance Desktop Scripts.


CPL Library
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance Desktop includes a number of sample CPL scripts in the installation. By default, the sample scripts are located in the following directory C:\Documents and Settings\All Users\Application Data\LexisNexis\Concordance Desktop\CPL (Windows XP) or C:\ProgramData\LexisNexis\Concordance Desktop\CPL (Windows 7).


What You Need to Know to Develop with Concordance Desktop
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

In order to develop with Concordance Desktop, you may need to understand two technologies: Concordance Desktop itself, and general programming or scripting.

·Concordance Desktop

The main features of Concordance Desktop Programming Language (CPL) are designed to automate Concordance Desktop tasks. Therefore, you should be familiar with Concordance Desktop features, such as tags, comments, and querying. You should also be familiar with the Concordance Desktop UI. In general, it is recommended that you receive the general training on using Concordance Desktop before you attempt to develop a CPL script.

·C/Pascal Development

CPL is a scripting language in the C/Pascal family. While the Concordance Desktop Programming Fundamentals section can walk you through many of the basics of writing a script, it is recommended that you have at least a basic familiarity with scripting before you begin. Alternately, having a basic background in C or C++ would also be useful.


What is the Concordance Desktop Programming Language
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop Programming Language (CPL) is a proprietary structured language designed to help you with your administrative tasks using pre-coded scripts to run the processes for you.

The CPL features promote clear and concise program design through the use of modularity, local and global variables, value returning functions, and predictable program flow. The CPL is written in a language similar to C/C++ in .CPL files. A CPL program consists of a sequence of instructions that tells Concordance Desktop how to solve a particular problem. The program will usually contain some amount of data. In CPL, the data can be database fields, text, characters, numbers, and dates. Program instructions are organized by functions. CPL function declarations establish the name of the function, values it will receive when it begins, and the local variables it will use while it is running.

The following example describes the structure of a typical CPL program.

int color;

main()

{

char string[20];

color = 15;

string = "Hello, world";

show(10, 20, string);

return;

}

show(int row, column; char xyz[])

{

puts(row, column, xyz, color);

}

The example program begins with the main() function. main() assigns a value to the global variable color, and to a local variable string. The application then calls the show() function to put the string on the screen. For a simplified tutorial of this code sample, see Tutorial: "Hello World!" in CPL. For more information on using CPL, see Creating and Editing a Concordance Script. For the full definition of CPL, see Concordance Desktop Programming Language Reference.


About the CPL Development Environment
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop development environment contains three main features you can use to develop a script:

·Programming Tools - to develop an application using CPL, Concordance Desktop includes a simple script editing and runtime environment. For more information, see Creating and Editing a Concordance Desktop Script.

·The Concordance Desktop API - in addition to the CPL language itself, Concordance Desktop has a number of additional, built-in functions you can use to access the database, sort queries, and more. For more information, see Using Common CPL Functions , Advanced Programming Features, and the CPL Functions topic in the CPL Reference.

·Concordance Desktop CPL Scripts - Finally, Concordance Desktop ships with a number of scripts. These scripts extend the capabilities of Concordance Desktop in a number of ways, including field formatting, database administration, and native image viewing. For more information, see Concordance Desktop Scripts.


Tutorial: "Hello World!" in CPL
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic describes the basic process for creating and running an application using the Concordance Desktop Programming Language (CPL.)

To create and run an application using the CPL

1.Open Concordance Desktop.

2.Select Edit program from the File menu.

3.Type hello.cpl as your file name.

CPL is used as the file extension for CPLs. Note that a .CPT is created automatically after the first time you run your program. For more information about CPL files, see Creating and Editing a Concordance Desktop Application.

An edit screen appears where you can type the following program.

4.Enter the following code into the edit screen:

main()

{

puts(5,5,"Hello World");

getkey();

}

For more information about writing code, see Creating and Editing a Concordance Script.

5.Save your work, select File, and then and then select Exit.

6.On the File menu, select Begin Program.

7.Locate the hello.cpl and then click Open.

Your program should run and you should see the text “Hello World” printed on the screen. Hit any key to return to Concordance Desktop. For more information on running an application, see Running a Concordance Desktop Application.


Creating and Editing a Concordance Script

Navigation: Developing with Concordance Desktop > Concordance Desktop Programming Fundamentals > Working with the Concordance Desktop Development Environment:

Creating and Editing a Concordance Desktop Script
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

To create or edit a .CPL file in Concordance Desktop:

1.Open Concordance Desktop.

2.From the File menu, select Edit Program.

3.In the Open dialog, select the .CPL file you wish to edit, and click OK.

Alternately, type the name of the .CPL file you wish to create, and click OK.

4.In the CPL Editor, write or modify your code.

The CPL Editor is a simple text editor with search capabilities.


Running a Concordance Desktop Application
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Once you have created a Concordance Desktop .CPL file, you can run your script from within Concordance Desktop, or else run the optimized .CPT file from the command line.

When Concordance Desktop has finished running a program for the first time, it saves an optimized version of the file as a .CPT file. The next time you run the program, Concordance Desktop will run the .CPT file if it has a date and time later than the CPL file. A .CPT file runs faster than a CPL file, and can be run from the command line like a CPL file. However, they cannot be edited or modified with a text editor.

Note that scripts work on your current active query. Therefore, be sure to set up searches accordingly. Alternately, you can resort your database records by going to the Standard toolbar, and clicking the All button.

To execute a CPL script from within Concordance Desktop

1.Open Concordance Desktop.

2.If necessary, open the database and query you wish to execute the application on.

Unless specified otherwise using code, Concordance Desktop uses the current query as the target for a CPL application. For information on how to programmatically access multiple databases, see Opening and Closing a Database.

3.From the File menu, select Begin Program.

4.In the Open dialog, select the CPL you wish to run, and then select OK.

To execute a CPL file from the command line

1.Confirm that you have run the .CPL script at least once from within the Concordance Desktop UI.

As stated above, you must first run the script, after which Concordance Desktop creates the .CPT file. The .CPT file allows you to run the script from the command line.

2.On the command line, type the path of Concordance Desktop as you would normally, and then include the full path and name of the .CPT file.


Declaring and using a Variable
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Before you declare a variable, you must determine what kind of data you wish to store in that variable. As with most programming languages, a basic CPL variable can contain either some kind of number, or else some kind of text. The following table describes the types of variables supported by CPL.

Type | Description
int | An integer value. The range of values it can store is from -2,147,483,648 to 2,147,483,647.
float | a floating point integer. Unlike an int, a float can store numbers with decimals. It can store a range of values from -2.2E-308 to 1.7E+308.
char | An ASCII character value from the range of -128 to 127.
short | A number value from -32,768 to 32,767.
text | Any text string including database field contents.

Once you have determined what kind of variable you want, you can create the variable by declaring it. For more information, see Declaring a Variable. For more information on variable types, see Data Types in the CPL Language Reference.


Declaring a Variable
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The first step to using a variable in a CPL program is declaring the variable. Declaring a variable is simply a way of informing the computer that you would like to use a variable with a specific name, and that you will be storing a specific type of data in that variable.

To declare a variable

1.Determine which part of your application needs to use the variable.

Where you declare a variable is important to where you use it. This is known as the scope of the variable.

·Global scope - any variable declared outside the main() function. Global variables can be accessed by any part of your application, although they cannot be accessed by other CPL's.

·local scope - any variable declared within the beginning and ending {} of a function. These variables can be accessed only by code within that function.

For more information, see Variable Declaration and Scope in the CPL language reference.

2.In your programming file, enter a variable type, and then follow the type with the variable name you wish to use.

Variable types are described in Declaring and using a Variable. When naming your variables, be sure to conform to the following rules:

·A variable can only contain letters, numbers and the underscore character.

·A variable must begin with a letter.

·A variable cannot contain any punctuation or spacing.

3.To declare multiple values of the same type on the same line, separate the variables by a comma.

The following example show different types of variable declaration.

int x;

int y;

float myFloat;

text myString;

char myChar;

short a, b;

Once you have declared a variable, you can assign a value to that variable. For more information, see Assigning a Variable. You can also declare a type of variable called an array that can store multiple values of the same type. For more information, see Creating and using an Array.


Assigning a Variable
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Once you have declared a variable, you may assign that variable a value.

To assign a value to a variable

1.Use the equals sign (=) to assign a value, as you would in mathematics.

Be sure that the type of data you are attempting to assign to a variable matches up with the variable type. for example, you should not attempt to assign an integer to a variable that was declared as text.

2.When assigning a value to a text variable, be sure to use double-quotes at the beginning and ending.

3.When assigning a value to a char, be sure to use single-quotes at the beginning and ending.

The following examples describe various ways of assigning a value to a variable.

x = 2;

myString = "hello";

aFloat = 3.1415;

myChar = 'a';

x = "hello"; /* BAD! Don't do this */

In addition to directly assigning a value, you can perform basic mathematical operations, and assign the result to a variable. For more information, see Performing Math with Variables.


Performing Math with Variables
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You can also assign numerical values to a variable by using mathematical operators such as addition(+), subtraction (-), multiplication (*) and division (/). Consider the following valid programming statements:

x = y + 2;

This statement adds the value of 2 and y, and assigns that value to x.

theAreaOfMyCircle = 3.1415 * r * r;

This statement multiplies the variable r to itself, multiplies that value to 3.1415, and then assigns that value to theAreaofMyCircle.

x = x + 17;

The third statement is somewhat more tricky. From a programming standpoint however, the statement merely adds 17 to the current value of x, and then stores that new value in x. After processing the statement, x now equals 17 more than it did previously.

Finally, you can assign a value to a variable using a function.

x = SomeRandomFunction(y, z, 17);

For more information, see CPL Functions.

For more information on using arethmetic operations, see Operators and Operands in the CPL Language reference.


Creating and using an Array
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

In addition to variables that hold single values, you can also create variables that hold multiple values, called an array. You declare an array in a similar manner to a normal variable. However, in order to access the array, you must know where in the array your value exists. In this sense, an array is like an apartment building: in order to speak with someone who lives in an apartment, you need to know their apartment number.

To declare an array

1.Determine the type of data the array will hold, such as int or text.

Like other variables, an array can hold data of only one type: an array can hold multiple values of that type. For more information on variable types, see Declaring and using a Variable and Data Types in the CPL Language Reference.

2.Declare the name of the variable, as you would any other variable.

For more information on declaring a variable, see Declaring a Variable.

3.Follow the variable name with the size of the array, in square brackets [].

You must define the size of the array before you start adding information to the array. Once you have declared the size, you may not change the size: this is known as a static array. (Other programming languages support dynamic arrays, which can change size.)

The following example show several different types of array declarations:

int daysOftheMonth[31];

char myAlphabet[26];

text myHaiku[15];

To assign a value to an array

Place the number of the array unit (or element) within the square brackets, and then assign the value as you would with any other variable.

The following examples show how to assign individual values to an array:

int myMonthlyWinnings[31]

myMonthlyWinnings[0] = 100;

myMonthlyWinnings[1] = -20;

myMonthlyWinnings[2] = 50;

...

Note that the numbering of array elements starts at 0, not 1. So in the previous example, valid entries for myMonthlyWinnings[31] would be myMonthlyWinnings[0] through myMonthlyWinnings[30].


Writing a Function
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

In CPL, a function is a re-usable procedure within an application. Functions exist because, very often, you may need to perform certain tasks multiple times. Or, they exist because they can act as reasonable abstractions for certain tasks.

The following script declares and uses the Multiply_X_by_Y CPL function, which will be analyzed in the following topics:

main()

{

int myValue;

int valOne;

int valTwo;

valOne = 10;

valTwo = 5;

myValue = Multiply_X_by_Y(valOne, valTwo);

}

Multiply_X_by_Y(int x, int y)

{

int z;

z = x * y;

return(z);
}

Topic | Description
About the Main() Function | Discussion of how the main() function starts off the entire CPL script.
Beginning and Ending a Function | How to begin and end a function.
Declaring Variables | How to declare and use variables in a function.
Writing a Function Body | How to write a function.
Returning a Value | How to return a value from a function call.
Calling a Function | How to call a function from another function, such as main().
About Built-in functions | Discusses the built-in CPL functions.


About the Main() Function
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

As the name implies, the main() function is the main function of any CPL script. You must have a main() function for Concordance Desktop to run your script, and as such you really cannot do anything without it.

When you start your script, the main() function is the first place Concordance Desktop looks to start the execution of your program. In that sense, the main() function is like the first page of a book. A good practice is to always start writing your program by typing the following three lines.

main()

{

}

After you create the main function, you can then proceed to write the rest of your CPL. You can declare information outside the main() function, such as variables or other functions. For example, it is customary to declare all your other functions after main(). however, you can write your other functions anywhere in the CPL as long as they reside outside the main function.

The following example shows the main() function, with the Multiply_X_by_Y function declared afterwards. Note the use of comments, which consists of text within the /* and */ characters. These lines are ignored by the compiler, and therefore allow you to make remarks in your own code.

/* Here is the main function */

main()

{

int myValue;

int valOne;

int valTwo;

valOne = 10;

valTwo = 5;

myValue = Multiply_X_by_Y(valOne, valTwo);

}

/*Other functions get declared down here */

Multiply_X_by_Y(int x, int y)

{

int z;

z = x * y;

return(z);
}


Beginning and Ending a Function
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

After you have declared the main() function, your next task is to write the beginning and ending of the function.

To declare a function

1.Write the name of the function, followed by two parentheses (), followed by two brackets {}.

2.Optionally in the parentheses, write any values you wish to pass as parameters, separated by commas.

As in math, parameters represent values that exist outside the function that you want to use inside the function. Note that parameters are different from global variables, A parameter is essentially a copy of a value, rather than the value itself. (In programming terminology, this is called pass-by-value.) Therefore, a function can modify the value of a parameter, without worrying about accidentally changing the original value outside the function. In contrast, any change to a global parameter will change that value for all subsequent parts of the script.

If you do not have any parameters, you can simply have empty parentheses ().

The following example describes a basic function declaration with two parameters:

Multiply_x_by_y(int x, int y)

{

}

This example declares a function named Multiply_x_by_y, which takes two parameters: an integer x, and an integer y.

Once you have declared your function, you can declare any additional variables you may need within the function. For more information, see Declaring Variables. For more information on declaring a function, see Function Declaration in the CPL Language Reference.


Declaring Variables
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Once you declare your function, you can then declare any additional variables that you may need.

To declare a variable in a function

Declaring a variable in a function is just like declaring them in other locations: you determine what type of variable you need, and then you give it a name.

As with normal variable declaration, you can declare any number of variables. For more information, see Declaring and using a Variable.

Note: When you begin to write a function, you will likely not know what variables you will need. Don’t worry. Just add them in as you go. If you get to a piece of code that needs a variable, scroll back to the top of the function and insert the declaration. It is recommended to declare a variable as soon as you realize you need it, rather than wait until you are finished with the function. Doing so prevents “undeclared variable” errors.

The following example declares the integer variable z:

Multiply_X_by_Y(int x, int y)

{

int z;
}

You can use the parameters as variables, as you would any other variable, to store and retrieve data. Just be careful you don’t overwrite a value may need later.

Once you have declared your variables, you can begin writing your function. For more information, see Writing a Function Body.


Writing a Function Body
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Once you have declared your function and the variables, you can write the rest of your function.

Functions exist mainly to help you organize your code, so you can put whatever you wish into one, as long as it seems logical to you. The main caveats to writing a function body are as follows:

·If you wish to return a value out of your function, you must use a return value. For more information, see Returning a Value.

·The parameters are considered variables within the function; however, they contain only a copy of the value you passed in. Therefore, nothing you do will affect the original value.

The following example code takes the two parameters x and y, multiplies them together, and assigns that value to z. So, if the value of x was 5 and y was 10, z would end up holding 50.

Multiply_X_by_Y(int x, int y)

{

int z;

z = x * y;
}

Once you have finished writing your function, you can use the function in a function call. For more information, see Calling a Function.


Returning a Value
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

A function can optionally return a single value. Returning a value means that, when a function ends, the function will give back a value. Most commonly, the value that is returned is then assigned to a variable of some sort, as described in Calling a Function.

To return a value from a function

At the end of the function, use the return() command to indicate what you wish to return.

Calling the return command ends the function; any additional code after the return() command will be ignored.

The following example shows how to return the value z from a function.

Multiply_X_by_Y(int x, int y)

{

int z;

z = x * y;

return(z);
}

You do not need to use a return value. For example, if you designed a function to access the Concordance Desktop database or perform a calculation and display the result to the user, there may be no reason to return a value. However, many functions will return a value of some sort.

In most programming languages, you have to declare a function by also specifying the type of the parameter you are returning. You would find the function in the above example declared in C as:

int Multiply_X_by_Y(int x, int y)

This tells the C language interpreter to expect an integer as a return value. However, CPL does not use this convention. You do not have to specify the type of the return value. You must however be careful to remember the type of the return value, if any. If you call the function expecting to get a short and get an int instead, you may wind up with some unexpected results.

Once you have finished your function, you can use your function in a function call. For more information, see Calling a Function.


Calling a Function
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

In programming, when you call a function you are actually initiating the function. You are telling the function to begin and perform any tasks.

To call a function

1.Type the name of the function, followed by a list of parameters that the function is expecting.

2.If the function returns a value, be sure to assign that value to a variable.

The following example calls multiply_X_by_Y, and assigns the returned value to myValue.

int myValue;

myValue = Multiply_x_by_y(15, 10);

In addition, you can place variables in the parameter list. The function call will make a copy of the values stored in the variables, and pass the copied value in through the parameters.

main()

{

int myValue;

int valOne;

int valTwo;

valOne = 10;

valTwo = 5;

myValue = Multiply_X_by_Y(valOne, valTwo);

}

Multiply_X_by_Y(int x, int y)

{

int z;

z = x * y;

return(z);
}


About Built-in functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There are two types of functions: built-in functions, and user-defined functions.The previous topics discuss user-defined functions in detail: they are functions that you write to perform tasks. However, there are entire libraries of built-in CPL functions that perform specific tasks, such as database handling, file handling, math, text manipulation, and more. You will likely find these functions an invaluable tool for your programming needs. However, such a discussion is beyond the scope of this section. Instead, the following topics will assist you in learning more about built-in functions:

Topic | Description
About CPL Functions | The Fundamentals topic that discusses built-in functions.
Advanced Programming Features | The section of the document that goes into detail about the different types of built-in functions.
CPL Functions | The API reference listing of all the built-in functions.


Using Conditional Statements and Loops
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

A loop is a programming structure that allows you to run a set of code multiple times. In contrast, a conditional statement is a line of code that check for a condition, and then runs a set of code if the conditional statement is true. You use conditional statements and loops together to run code based on conditional values. For example, you could use a conditional statement to run different sections of code, depending on what the date was. Or perhaps you want to know whether the data you are processing contains a certain text phrase. You would use a conditional statement for either of those checks.

The basic conditional statement is the if-statement, which has the following syntax:

if (some conditional statement holds true)

{

PerformSomeTask();

PerformSomeOtherTask();

}

Note that a conditional statement uses the same opening and closing brackets as a function. The code you place in between the brackets will only be executed if the conditional statement holds true. This is a very important point: if the statement doesn’t hold true then the section of code encapsulated between brackets is completely skipped.

The following topics discuss conditional statements and loops.

Topics | Description
Conditional Operators | About basic conditional operators, such as greater-than and less-than.
Else Statements | How to put together a branching if-then-else statement.
Compound If-Statements | How to link multiple if-statements together.
Switch Statement | How to use a switch statement.
Loops | How to loop code.


Conditional Operators
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The first step in constructing an if-statement is a conditional. A conditional can be whether something equals something else, whether something is greater than something else, and so on. The operators you use to perform a comparison are very similar to the ones used in mathematics.

Operator | Description
== | Is equal (note the double equals sign)
<> | Does not equal
<= | less than or equal
< | Less than
>= | Greater than or equal
> | Greater than

Note: do not confuse the double equals sign with the single equals sign. Use the double equals sign (==) when comparing a value. Use the single equal sign (=) when assigning a value.

The following example checks if the variable age contains a value greater than or equal to 21.

if (age >= 21)

{

//do something with code

}

The following example check if the companyName variable contains "CloudNine".

if (companyName == "CloudNine")

{

//do something with code

}

Note the use of double quotes to encapsulate a piece of text (called a string).

Finally, CPL allows you to use numerical values as a trigger for a conditional statement, as shown in the following table

Value | Description
0 | considered to be FALSE when used as a condition.
All other values (positive and negative) | Considered to be TRUE when used as a condition.

This allows you to use variables and function return values as conditional operators. For example, you may see code similar to the following:

if (someFunction())

{

doStuff();

}

This code states "if the return value of someFunction() is non-zero, execute the following code." This allows you to create functions that check for information and perform some task; if that task was successful, you can use a conditional statement to act on it.


Else Statements
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

An else-statement is an addition you can place on an if-statement to branch your decision: that is, to execute one set of code if your conditional value is true, and another if the value is false. An else-statement is constructed using the following syntax:

if (conditionalValue)

{

ExecuteThisCode();

}

else

{

ExecuteSomeOtherCode();

}

The code in the if-statement is executed if the conditional value is true. The code contained within the else-statement is executed if the conditional value is false.

For example, you may wish to execute different one set of code if a target is at least 21, and another if they are less than 21. You could create two different if-statements, as shown in the following example:

if (age >= 21)

{

ExecuteCodeForAdultCustomers();
}

if (age < 21)

{

ExecuteCodeForJuvenileCustomers();
}

Alternately, you could use an else-statement, instead.

if (age >= 21)

{

ExecuteCodeForAdultCustomers();
}

else

{

ExecuteCodeForJuvenileCustomers();
}


Compound If-Statements
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

A compound if-statement occurs when two or more conditions must exist before you want to execute your code. For example,you may wish to know if a person was between the ages of 18 and 21 (inclusive). Perhaps you want to target that age group for some marketing campaign. You could write a nested if-statement that looks like the following:

if (age >= 18)

{

if (age <= 21)

{

SendMarketingMaterials();

}

}

Alternately, you could write both statements in compound if-statement. Compound if-statements use the keywords, and and or, to combine conditional statements. For example, the previous nested if-statement is equivalent to the following compound if-statement:

if ((age >= 18) and (age <= 21))

{

SendMarketingMaterials();

}

Both conditional statements must hold true for the function, SendMarketingMaterials(), to execute. Note the use of parentheses. As good practice, make sure all your conditional statements in your compound if-statements are enclosed within parentheses.


Switch Statement
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

A switch-statement allows you to compare a single value to a series of constants. You can think of a statement as the switch on a railroad. Flip the switch one way and your train goes to the left. Flip the switch the other way and your train goes to the right. Unlike a railroad switch, a switch-statement in programming can have more than two different alternatives.

The following sample describes the structure for a switch-statement:

switch (some value to check)

{

case value1:

doSomething();

break;

case value2:

doSomethingElse();

break;

default:

doTheRest();

break;

}

Notice the four keywords here: switch, case, break and default:

·The first line contains the switch statement. This is the value that CPL will use to determine which of the case statements to execute.

·Each case statement contains one possibility for the switch value that you wish to write code about. You can have as many case-statements as you need in order to process each switch value. In the example below, there are 5 different case statements representing the five different vowels.

·The break statement tells CPL to stop processing the case statement and drop out of the switch-statement.

·The default statement is optional. If the value you are checking does not match any of the case statement values, CPL will execute the code referenced by the default-statement.

Note the use of colons (:) after the case-statements and default-statement. These are required.

the following example counts the number of times a vowel appears. You can write the following section of code, using a compound if-statement:

if ((myLetter == 'a') or (myLetter == 'e') or (myLetter == 'i') or (myLetter == 'o') or (myLetter == 'u'))

{

vowels = vowels + 1;

}

Alternately, you could also write the code using a switch-statement.

switch (myLetter)

{

case 'a':

vowels = vowels + 1;

break;

case 'e':

vowels = vowels + 1;

break;

case 'i':

vowels = vowels + 1;

break;

case 'o':

vowels = vowels + 1;

break;

case 'u':

vowels = vowels + 1;

break;

}


Loops
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Loops are a programming tool that allow you to repeat a section of code over and over again. For example, if you wrote a piece of code that formatted a page in a particular manner, you could use a loop to format all pages in a document in that particular manner. You use conditional statements with loops in order to instruct your computer as to when they should loop, and how many times they should loop. The following topics discuss the two different styles of loops.

For Loops

A For loop is a looping technique that contains three elements: an initialization value, a test condition, and a loop increment expression. They use the following format:

for (initialization statement; test condition; loop increment expression)

{

DoLoopCode();
}

·The initialization value resets the test value you will use in the for loop.

·The test condition is the check on the test value to see if the loop should continue: as long as the condition holds true, the loop will continue to run. The check is made after the loop runs.

·The loop increment is the modification you make to the test value on each loop.

The following example uses a For-loop to represent a jogger running around a track 20 times:

for (laps = 0; laps < 20; laps = laps + 1)

{

Run();

}

While Loops

A while-loop is a loop that contains a single "while" text expression. In order for a loop to proceed, the test statement must be true. A while loop uses the following syntax:

while (test condition)

{

DoSomething();
}

In order for a while-loop to exit, the test condition must evaluate to false. What this means is that somewhere in your while-loop something must trigger this condition. For example, the following while-loop would run for 10 times, and then exit:

x = 10;

while (x > 0)

{

DoSomeStuff();

x = x-1;
}

Note that it is very easy to create an infinite while-loop, simply by not modifying your test condition.


Working with the Database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Once you understand the basics of CPL programming, you can begin to use that knowledge to manipulate Concordance Desktop databases. Using CPLs you can perform a variety of tasks, such as searching a database, reading information out of fields, and writing information to fields. The following topic describe how to work with a Concordance Desktop database.

Topic | Description
Understanding Database Handles | About the basic way to identify a database in a CPL script.
Accessing Database Information | How to access information about the database, such as the number of fields or the database name.
Accessing Database Field Information | How to access information in a database field.
Looping through a Database | How to interact with all records in a database.
Opening and Closing a Database | How to open and close the database.


Understanding Database Handles
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Before you open a database, you must first understand the concept of a database handle. You can think of a database handle as the handle of a briefcase: it is the part of the database you use to contact and use the database. CPL can have up to 16 handles at any given time; you can attach each of those handles to one and only one (ie, different) databases.

There are two ways to attach a handle to a database:

1.If you start a CPL with a database already open, Concordance Desktop will automatically attach the first handle (handle 0) to that database.

2.Alternately, you can explicitly open a database using the built-in opendb function.

Once you have an active handle, you can access database structure information such as field names and how many documents are in the database. You can also access the data within each field of each document.

A database handle is stored in an int variable, and is defined as an integer: 0 through 15. You will notice that many code samples in the following section contain the following arbitrary variable declaration:

int db;

Since all numeric variables in CPL are initialized with a value of 0, the variable db will by default contain a handle to the current database. You may of course use your own variable names, if you so choose:

int myDatabase;

int litSupportDatabase;

int database1, database2;

int youGetThePoint;


Accessing Database Information
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There will be times when you’ll need to access general database information such as the number of fields in the database, the names of the fields, how many records are currently in the database, and so on. For these situations, you use certain keywords in conjunction with the database handle. For more information about accessing fields in a database that are not part of the general database infrastructure, see Accessing Database Field Information.

To access database information

1.Create a handle to the database you wish to access.

For many applications, this will be the currently-open database. The following example creates a handle to the current database. For more information, see Understanding Database Handles.

int db;

2.Determine the keyword you wish to access.

For example, one such keyword is database, which holds the name of the handle's database. For more information on the keywords you can use, see the table below.

3.Concatenate the keyword at the end of the handle, using a period to separate the two.

The following example shows how to fill the text variable myDatabasename with the name of a database.

text myDatabaseName;
myDatabaseName = db.database;

4.If the keyword has brackets [] listed after it, treat the keyword as an array, and use an integer to indicate which part of the array you wish to access.

Note that unlike normal arrays, database field arrays begin with 1, rather than 0. The following example checks to see if the 4th field is a paragraph field.

if (db.type[4] == ‘P’)
{
doSomethingHere();
}

For more information on arrays, see Creating and using an Array.

The following table contains a list of keywords to use when accessing a database.

Keyword | Type | Description
access[ ] | int array | This provides the user’s access rights to a field. This can be no-access, read access only, write access only, or read and write access.
activequery | int | Current active query.
database | text | Database name.
documents | int | Number of documents in the database.
edited | int | Non-zero if the database needs reindexing.
fields | int | True if the subscripted field is an image key.
image[ ] | int array | True if the subscripted field is a key field.
key[ ] | int array | True if the subscripted field is a key field.
length[ ] | int array | The defined length of the subscripted field. For date fields, this will return the format, i.e. ‘Y’, ‘M’ or ‘D’ for yyyy/mm/dd, mm/dd/yyyy, or dd/mm/yyyy respectively.
name[ ] | text | The name of the subscripted field.
order[ ] | int array | The order in which the subscripted field is used by load, unload, global, and other functions.
places[ ] | int array | Number of places in numeric fields.
query | int | The number of the last executed query.
type[ ] | text array | The field type of the subscripted field, either ‘T’ for text, ‘P’ for paragraph, ‘D’ for date, or ‘N’ for numeric fields.


Accessing Database Field Information
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

One of the most powerful abilities in CPL is the ability to read and write information stored in a field.

If you are ever going to write a CPL that writes data back to a field, remember to make a back up copy of your database.CPL is a very powerful tool and a simple mistake can cause complex headaches. However, note that Concordance Desktop database security is enforced in CPL. If the user running the CPL does not have read privileges to a particular field, instead of retrieving the data, Concordance Desktop will return nothing.
Referencing a database field

The previous section described how to use a period (.) to access database structure information. In order to access the information contained in a field, you must use a notation called a pointer, which is a minus sign (-) followed by a greater-than sign (>).

To access a database using a pointer

1.Start with the database handle.

int db

2.Place the pointer directly after the database handle.

db->

3.Type the name of the field directly after the pointer.

db->OCR

Note that you can access fields in a variety of ways.

·You can access fields directly by spelling out the field name in ALL CAPS. If the field does not exist, CPL will give you an error. The following examples access the OCR and FIRST_NAME fields.

db->OCR
db->FIRST_NAME

·You can also use an integer value to indicate the numerical order of the field to access. The following example uses an integer variable to access the third field in a database.

int x;
x = 3;
db->x

·You can also use text variables. The following example uses the myField string to access a field.

text myField;
myField = "OCR";
db->myField;

Identifying field types

Before you retrieve information out of a field, you must know the type of information the field contains. For example, you would not want to store the information from a text field into an integer variable.

The following sample code shows how to identify the type of information a field contains.

main()

{

int db, numericVariable;

text textVariable;

for (i = 1; i <= db.fields; i = i + 1)

{

switch(db.type[i])

{

case 'P':

case 'T':

textVariable = db->i;

break;

case 'N':

case 'D':

numericVariable = db->i;

break;

}

}

}

1.The first two lines are the variable declarations, which tell the CPL interpreter that you will use these variables:

int db, numericVariable;
text textVariable;

2.The next section is a for-loop.

for (i = 1; i <= db.fields; i = i + 1)

The initialization statement starts i as 1; the test condition checks if i is less than or equal to the number of fields in the database; the loop increments i by one. Recall that database fields start at 1 (rather than 0).

3.The next section of code is a switch-statement, which contains the type of the current field.

switch(db.type[i])

4.The next few statements are the case-statements.

Note that the code combines the case-statements for paragraph fields and text fields (P and T). This is done by not including the keyword, break, in between the case-statements. Depending on the field type, you set the value of a text variable or numeric variable to the contents of the field.

textVariable = db->i;

-or-

numericVariable = db->i;

You use the variable i to grab the contents of field i. If i equals 2, then db->i would equal the contents of field 2. This is an example of assigning a variable to the value of your field.
Assigning a value to a field

Once you have confirmed the type of information that a field contains, you can modify that information.

To set the contents of a field:

Use a pointer to reference a field, and then assign a value as you would a variable.

The following example sets the COMPANY text field value to "CloudNine, Inc."

db->COMPANY = "CloudNine, Inc.";

As with other fields, you can access a field through a numerical variable. The following example modifies the 3rd field in a database:

int n;

n = 3;

db->n = "CloudNine, Inc.";

Here are you simply “assigning” a value. Remember the left side of the equals sign is the object you are storing information into. The following example stores the value of x into a field called PAGES.

db->PAGES = x;

Note you are not storing the letter “x” in the PAGES field. You are also not storing the value stored in the PAGES field into the variable x.

You can severely damage your database by assigning a value to it. For example, the following code deletes all data in a field

db->n = "";

Current record

The current record refers to the record that Concordance Desktop is interacting with. By default, this is usually the record being displayed in the UI. However, accessing multiple records may be more useful than accessing just one. For example, you may want to access all records in a database. In the UI, you would simply press the Next button, and continue with your work. This topic discusses how to access multiple records.

There are several ways to change the current record to a new record, using the following built-in functions:

·next(int db) - Using the database handle, the next command can move CPL to the next record in the database

·prev(int db) - Pass the database handle to this function to move CPL to the previous record in the database.

·goto(int db, document) - Pass a database handle along with a document number in the current query to move CPL to a particular document in the current query.

You can also use search features to locate additional records. For more information, see Searching Databases.

The following example opens a database and goes to field number 42.

main()

{
int db, db2;

db2 = opendb("c:\temp\support.dcb");

goto(db2, 42);

}


Looping through a Database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Previous topics have discussed the two main looping structures: For Loops and While Loops. However, CPL supports a third structure that deals strictly with databases: the cycle-loop. A cycle-loop loops through the current Concordance Desktop query. If you performed a search prior to executing a CPL, that query will still be active unless you change the query using built-in functions. The following describes the cycle-loop syntax:

cycle(databaseHandle)

{

CodeToRunOnEveryRecordInQuery();

}

Note the cycle statement looks very similar to a for- and while-loop. The cycle loop begins and ends with curly brackets, and has a body of instructions in between. The item in between the parentheses after the keyword, cycle, is the database handle.

For example, assume that you have already performed a search on your Concordance Desktop database, and therefore already have the results of a query. The following code will change the contents of the AUTHOR field in every record of your query to "John Smith".

main()

{

cycle(db)

{

db->AUTHOR = "John Smith";
}

}


Opening and Closing a Database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Most of the time, you will only be dealing with one database and one database handle. Eventually you may come across a situation where you need to access the information from two or more databases. Using the built-in function, opendb, you can open up to 16 databases.

The syntax for this function is as follows:

opendb(text databasePath);

This function returns a handle to the newly opened database. The following example opens a database whose path is "c:\temp\support.dcb".

main()

{
int db, db2;

db2 = opendb("c:\temp\support.dcb");

}

If you had a database open prior to running this CPL, the variable, db, would hold a handle to the current database. After running the opendb function, the variable, db2, would hold the handle to the newly opened database. You now have access to two databases.

You can write a script that accesses both databases. for example, suppose that record 42 in database 2 (db2) has a special page count in the PAGES field. You want to populate this value into the page count field (also called PAGES) in your currently open database (db). To start, you will need to access the first database:

main()

{
int db, db2;

db2 = opendb("c:\temp\support.dcb");

goto(db2, 42);

}

Second, you would need to contain the page count:

main()

{
int db, db2, pageCount;

db2 = opendb("c:\temp\support.dcb");

goto(db2, 42);

pageCount = db2->PAGES;

}

Now, you can cycle through the original database and store the value stored in the pageCount variable into PAGES field of all the records in the current query.

main()

{
int db, db2, pageCount;

db2 = opendb("c:\temp\support.dcb");

goto(db2, 42);

pageCount = db2->PAGES;

cycle(db)

{

db->PAGES = pageCount;

}

}

Notice that even though the field name, PAGES, occurs in both database, we differentiate the two by using the individual database handles.

You can also add in one more line to close the database we opened. Don’t worry if you forget this step. After a CPL finishes, Concordance Desktop makes sure to close any databases that you opened in the course of running the program.

main()

{
int db, db2, pageCount;

db2 = opendb("c:\temp\support.dcb");

goto(db2, 42);

pageCount = db2->PAGES;

cycle(db)

{

db->PAGES = pageCount;

}

close(db2);

}


Using Common CPL Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topics discuss several of the built-in functions often used in CPL scripts. These include functions to manipulate text data, search databases, and interface with users.


Text Manipulation
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There are several built-in functions you can use to help manipulate text data in fields. Two of the more popular functions are match and substr.

match function

The match function searches for a text string within another text string. You can use it search for a specific phrase within a database field. The syntax for the match function is as follows:

int match(text target, search; int offset, length);

The following table describes the parameter values.

Parameter | Description
target | The line of text to search in, such as a text variable or text field.
search | The text to search for.
offset | The offset into the target to start looking in.
length | Optional. The length of text after the offset to search in. If not set, the function will search from the offset until the end of the string.

match returns the offset of the first character of the search string in the target string. Partial matches do not count with the match function. If there was no match, the function returns a value of 0. Note that match is case-sensitive.

For example, suppose you have the following target string:

targetString = “The quick brown fox jumped over the lazy dog.”;

and had a search string such as:

searchString = “quick”;

The match function would return a value of 5 since the searchString appears at the 5th character into the targetString.

The following example counts how many times "lazy dog" appears in an OCR field.

main()

{
int db, n, i;

cycle(db)

{

i = match(db->OCR, "lazy dog", 1);

while (i <> 0)

{

n = n + 1;

i = match(db->OCR, "lazy dog", i + 1);

}

}

}

At the end of executing the cycle-loop, n equals the number of occurrences of the phrase “lazy dog.” Note that you exit the while loop when the value i equals 0. This indicates that the match function did not find anything. Remember to increment the starting offset by one or else you may be caught in an infinite-loop.

substr function

The substr function extracts a piece of text from another string. It makes a copy of this text and returns it as a text variable. The format for this function is as follows:

text substr(text string; int from, width);

Parameters | Description
string | The string to extract data from. Can be a text variable or database field. Note that to specify a database field, use the pointer notation (db->OCR).
from | The starting point from where to extract the text. This is a 1-based offset that starts from the first character.
width | How many character to extract, starting at the beginning offset.

substr returns the subset of the specified string.

For example, the following code sample extracts a subset from a string.

main()

{

text targetString, myString;

targetString = "The quick brown fox";

myString = substr(targetString, 11, 5);

}

After executing the substr function, the text variable, myString, contains the value, “brown.”


Searching Databases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You can utilize Concordance’s powerful searching capabilities within CPL, using the search and query functions. It helps if you are proficient in constructing Concordance Desktop queries.

search function

The search function allows you to search through a database for a specified string. The syntax for the search function is as follows:

int search(int db; text searchString; int options);

The following table describes the parameter values.

parameter | Description
db | The database handle.
searchString | The search string to execute. Search strings are the same as the queries you would use in the standard search screen in Concordance Desktop.
options | Optional. For more information, see the CPL Language reference.

The results of the search become the current query. The return value contains an error code, if any.

The advanced features of CPL allow you to automate the creation of complex queries. For example, you can search for data in one database and use the results to populate the fields of another database. You can automate the searching in multiple databases to search and replace a misspelled word.

Consider the following example:

You are a paralegal and are preparing a database for trial. You suddenly get a call from your vendor telling you that the database they sent you two months ago was coded incorrectly. You hadn’t realized it, but an important field was never coded, the DOCTYPE field. They send you an update to the database, but you are faced with a dilemma. For the past two months, the attorneys have been using the database and entering comments into the COMMENTS field. You obviously do not want to overwrite this database. You need to quickly whip up a short CPL to do the job for you.

Let’s assume for this example that you have a field called BEG_BATES and END_BATES which together uniquely identify the same document in both databases. We’ll also assume your database is currently open and the database from your vendor is in the following directory:

c:\temp\vendor.dcb

Here’s what the CPL would look like:

main()

{

int db, db2;

db2 = opendb("c:\temp\vendor.dcb");

cycle(db)

{

search(db2, "BEG_BATES = " + db->BEG_BATES + " and END_BATES = " + db->END_BATES);

db->DOCTYPE = db2->DOCTYPE;

}

closedb(db2);

}

query function

The query function switches the current query to a new query. The syntax for the query function is as follows:

int query(int db, number; text string);

The following table describes the parameter values.

Parameter | Description
db | the database handle of the database to search.
query | The query number to switch to. Note that Concordance Desktop sequentially numbers the searches you execute. Query number 0 represents your entire database (with no query). In order for you to keep track of the queries you perform in CPL, you may wish to store the value of db.query or db.activequery after you perform a search.

If successful, the current query becomes the specified query. The return value contains an error code, if applicable.


User Interface
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

You can use the following user interface functions to display text to the user as well as to get user input.

puts function

puts is one of the most convienent ways of displaying text to the user. The following code displays the syntax for puts.

puts(int row, column; text string);

The first two parameters, row and column, specify the row and column number where you want to place your text. Imagine the CPL screen as a piece of graph paper. Depending on how large you make the window, the more squares on the graph paper you will see. Each square on the paper represents a place where you can place a character such as ‘A’ or ‘d’. The top left corner of the screen is row 0 column 0. As you move to the right of the screen, the column number increases. As you move down the screen, the row number increases. The third parameter, string, is the text you want to display.

 | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9
0 |  |  |  |  |  |  |  |  |  |
1 |  |  | H | e | l | l | o |  |  |
2 |  |  |  |  | W | o | r | l | d |
3 |  |  |  |  |  |  |  |  |  |

The text above would have been placed on the CPL screen using the following code:

puts(1, 2, "Hello");

puts(2, 4, "World");

messageBox function

You are probably familiar already with Windows message boxes. CPL has a built-in function to display your own. The messageBox function has the following format:

int messageBox(text szText, szTitle; int style);

The first parameter, szText, is the text of the message box you wan to display. The second parameter, szTitle, is the title of the message box. The third parameter, style, can be several values. For more information on style, see About the Concordance Desktop Programming Language Reference.

This message box was produced using the following line:

messageBox("This is a great class!", "CPL", MB_OK);

getkey function

getkey pauses the program and waits for the user to press a key. The syntax of getkey is as follows:

char getkey();

getkey does not take any parameters, but instead pauses the script until the user presses a key. Then, the function returns the key that the user pressed.

For example, suppose you want to write a program that accepts the letter ‘A’ or ‘B’ from the user. Here’s how you would write it:

input()

{

int value;

value = 0;

puts(5,10, "Enter code:");

while(value == 0)

{

switch(getkey())

{

case 'A':

case 'a':

value = 1;

break;

case 'B':

case 'b':

value = 2;

break;

default:

break;

}

}

return(value);

}


Advanced Programming Features
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topics list the features and functions that are described by the built-in functions of the Concordance Desktop programming language.

Topics | Description
About Annotation Functions | Access notes and attachments on Concordance Desktop records.
About Database Functions | Starts Concordance Desktop options that appear on the standard menus, or helps manage databases by opening, closing, and searching.
About Data Conversion Functions | Convert numbers to text and back again, dates to text and back again, and characters to text and back again.
About Data Editing Functions | Handles full screen editing, editing in windows, and input from the keyboard.
About Dictionary Btree List Management Functions | Creates, maintains, and searches btree list files.
About DDE Functions | Exchanges data with other DDE-enabled programs.
About File Handling Functions | Allows applications to open, close, read, write, create, and erase external files.
About Math Functions | Manipulates numeric data, providing functions for comparison and change.
About Query and Record Management Functions | Accesses the documents in the data base.
About Screen Control Functions | Maintains control over the program's presentation on the screen.
About System Functions | Provides access to external programs, operating system commands, and Concordance Desktop language features not available elsewhere.
About Text Manipulation and Classification Functions | Works with text and character strings.
About Time Functions | Determines the current time, date, and the elapsed time since the program started.


About Annotation Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop annotation functions.

Function | Description
annotationAppend | Appends a new annotation to a record.
annotationCount | Count of annotations on the current record.
annotationDelete | Deletes an annotation.
annotationGoto | Makes an annotation the current record.
annotationIsTagged | Determines if an annotation is tagged.
annotationRetrieve | Retrieves data from an annotation record.
annotationTag | Adds or delete s a tag from an annotation.
annotationUpdate | Updates the annotation with new data.


About Database Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop database functions.

Function | Description
browse | Concordance Desktop database browse.
closedb | Closes an open database.
createdb | Creates a new database.
createfs | Full screen database create options.
createReplica | Creates a replica of the database.
editfs | Concordance Desktop full screen editing.
exec | Executes a saved query file.
global | Invokes Concordance Desktop full screen global editing.
import | Loads a text file into the selected field.
importfs | Full screen Documents/Import menu option.
index | Indexes a data base.
keep | Saves the current query session to file.
load | Loads a delimited ASCII file.
loadfs | Invokes Concordance Desktop full screen load option.
lockdb | Locks database for exclusive use.
modify | Full screen data base modify.
opendb | Opens a data base for use.
operator | Changes the default search operator.
overlayfs | Invokes Concordance Desktop full screen overlay module.
pack | Removes documents marked for deletion.
print | Prints data base records using a print format file.
printfs | Invokes Concordance Desktop full screen print mode.
reindex | Reindexes edited and appended documents.
replicate | Replicates changes between databases.
report | Runs a saved report, printing a document range.
reportfs | Invokes Concordance Desktop full screen report writer.
resolve | Resolves collisions between replicated databases.
search | Searches a data base.
snapshot | Saves and restores a complete Concordance Desktop environment.
struc | Duplicates a database's structure.
table | Invokes Concordance Desktop full screen table view mode.
unload | Creates a delimited ASCII file from the current query.
unloadfs | Invokes Concordance Desktop full screen unload command.
unlockdb | Unlocks database from exclusive use.
zap | Zaps the data base, removes every document.


About Data Conversion Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop data conversion functions.

Function | Description
asc | Converts a text variable into a numeric value.
chr | Converts a character into a text variable.
ctod | Converts a text representation of a date into an integer.
dtoc | Converts an integer date, or date field, into a string.
itoa | Converts an integer to a plain text in any base.
num | Converts a string into a number.
str | Converts a number into a string.


About Data Editing Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop data editing functions.

Function | Description
edit | Edits text, dates, numbers in a window.
getkey | Retrieves a keystroke.
getline | Edit a line of text.
getnumber | Edits a number.
keypress | Status of next keystroke.


About Dictionary Btree List Management Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop list management functions.

Function | Description
btclose | Closes a list file.
btcount | Returns the count of entries.
btcreate | Creates a new list file.
btcycle | Loads a list file from a data base field.
btdelete | Deletes an entry from a list file.
btexact | Locates a match for both the target and data value.
btfind | Locates an entry in a list file.
btfirst | Returns the first entry in the file.
btgt | Locates an entry greater than the target.
btgte | Locates an entry greater than or equal to the target.
btinsert | Adds a new entry to the list.
btinserta | Adds a new entry to the file in ascending order.
btlast | Locates the last entry in the file.
btlock | Locks the list file for exclusive use.
btlt | Locates an entry less than the target.
btmenu | Displays a list file list in a menu.
btnext | Returns the next entry in the file.
btopen | Opens an existing list file for use.
btprev | Locates the previous entry in the file.
btrebuild | Rebuilds a b+tree with 64-bit data values.
btunlock | Releases list file for multi-user use


About DDE Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop Dynamic Data Exchange (DDE) functions.

Function | Description
ddeConnect | Connects to a DDE server application.
ddeDisconnect | Terminates a DDE conversation.
ddeExec | Executes a command in the DDE server.
ddePoke | Sends data to the DDE server.
ddeRequest | Retrieves data from the DDE server.


About File Handling Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop file handling functions.

Function | Description
chdir | Changes the file system drive and directory.
close | Closes an open file.
diskspace | Determines the amount of disk space available.
erase | Erases a file.
exist | Determines if the file exists.
findfirst | Locates first matching file name.
findnext | Returns next matching file name.
getcwd | Determines the current working drive and directory.
getfile | Prompts the user for a file name.
lseek | Moves to the requested place in a file.
mapDevice | Maps a network drive or printer.
mkdir | Make a new directory.
open | Opens a file for use.
read | Reads data from a file.
readc | Retrieves a character from a file.
readln | Reads a line of text from file.
rename | Renames a file.
rmdir | Remove a directory.
unmapDevice | Unmaps a network drive or printer.
write | Writes data to file.
writec | Writes a character to file.
writeln | Write a line of text to file.


About Math Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop math functions.

Function | Description
max | Returns the greater of two values
min | Returns the lesser of two values
not | Inverts the number, returning its one's compliment
rand | Generate random numbers
round | Rounds floating point numbers
sqrt | Calculates a square root


About Query and Record Management Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop query and record management functions.

Function | Description
accession | Retrieves the records accession number.
append | Appends a record to the data base.
blank | Clears a record, used to append empty records.
concat | Concatenates data bases.
concatclear | Clears concatenated data bases.
count | Number of documents located by last search.
delete | Marks current document for deletion in the next pack.
deleted | Determines if document is marked for deletion.
docno | Returns the record's document number.
edited | Determines if document was edited since last indexed.
exec | Executes a saved query file.
first | Reads the first document in the current query.
fuzzy | Locates a list of fuzzy matches for a word.
getuuid | Retrieves the record’s UUID.
goto | Reads a requested document in the current query.
gotoaccession | Locates and reads the document the matches the accession number.
gotophysical | Locates the physical document number in the query.
gotouuid | Goes to a record by universal unique identifier.
hits | The number of search terms located in active query.
isdeleted | Determines if document is marked for deletion.
isedited | Determines if document was edited since last indexed.
isnexthit | Determines if there is another hit in the current document.
istagged | Determines if a document is tagged.
keep | Saves the current queries to file.
last | Retrieves the last document in the current query.
lockdoc | Prevents other users from editing the document.
locked | Determines if the document is locked.
markhits | Returns record's data, with search hits marked.
next | Retrieves the next document in the current query.
nexthit | Retrieves information on the next hit in the query.
prev | Retrieves the previous document in the current query.
prevhit | Retrieves information on the previous hit in the query.
query | Loads the requested query, and the search logic.
queryString | Retrieves the query string.
readdoc | Retrieves the requested document, regardless of query.
recall | Undeletes a document.
recno | Returns the document's record number.
reset | Returns data base document to prior state.
set | Changes data base environmental variables.
sort | Sorts the list of documents in the current query.
tag | Tags a document.
tagquery | Converts tagged documents into a query.
unlockdoc | Releases a locked document.


About Screen Control Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop screen control functions.

Function | Description
box | Draws a box on the screen.
ccol | Retrieves the column number of the cursor.
cls | Clears the screen.
crow | Retrieves the row number of the cursor.
cursor | Positions the cursor on the screen.
cursoroff | Hides the cursor.
cursoron | Displays the cursor.
menu | Displays a menu.
messageBox | Displays a standard Windows message box.
puts | Puts a string on the screen.
putsl | Puts a string or substring on the screen.
restore | Restores a saved portion of the screen.
save | Saves a portion of the screen.
scroll | Scrolls the screen up or down.
show | Displays and highlights search words in a full text field.


About System Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table describes the Concordance Desktop system functions.

Function | Description
beep | Makes a beep on the speaker.
dc | Used in descending order sorts.
debug | Turns debugging on/off.
eval | Evaluates a Concordance Desktop expression.
exit | Ends the program, returns to the operating system.
func | Returns the name of the current function.
getarg | Retrieves Concordance Desktop command line arguments.
getenv | Returns environment string value.
getPrivateProfileString | Retrieves an entry from an initialization file.
memavl | Determines available memory.
program | Name of executing program.
putenv | Sets environment string value.
run | Runs a function located in another CPL program file.
shellExecute | Executes an external file, document, or program.
sizeof | Determines the space occupied by a variable.
sleep | Pauses execution of Concordance Desktop.
spawn | Executes an external program.
system | Executes an operating system command or program.
ver | Returns the Concordance Desktop version number.
writePrivateProfileString | Writes an entry to an initialization file.


About Text Manipulation and Classification Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table contains the functions that manipulate and classify text.

Function | Description
addr | Determines the address within a text variable.
capitalize | Duplicates the text with all words capitalized.
cut | Copies text to the cut and paste buffer.
deleteText | Deletes text from a database field.
findline | Locates the word wrapped line, and its length.
findnline | Locates the next word wrapped line, and its length.
findpline | Locates the preceding word wrapped line, and its length.
insertText | Inserts text into a database field while preserving annotations and formatting.
isalnum | Determines if the character is alphanumeric.
isalpha | Determines if the character is alphabetic.
isdigit | Determines if the character is a numeric.
isfield | Determines if the field exists in the data base.
islower | Determines if the character is lower case.
isspace | Determines if the character is a space character.
isupper | Determines if the character is upper case.
len | Calculates the length of the text.
lower | Duplicates the text in lower case.
ltrim | Removes leading white space from a string.
match | Locates a string within another string.
matchc | Locates a character within a string.
newline | Returns a carriage return and line feed string.
pad | Pads a string with spaces, centered, left or right justified.
paste | Retrieves text from the cut and paste buffer.
rep | Replicates a character into a string.
rtrim | Removes trailing white space from a string.
substr | Returns a partial string from a string.
trim | Removes leading and trailing spaces.
upper | Duplicates the text in upper case.
wordlen | Length of the word.
wrap | Word wraps text data.


About Time Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following table lists the functions that deal with counting or manipulating time units.

Function | Description
clock | Milliseconds elapsed since Concordance Desktop started.
ctod | Converts character strings to date integers.
day | Day number, 1 - 7, for the date.
dtoc | Converts date integers to character strings.
month | Month number, 1 - 12, for the date.
time | Current time.
today | Today's date.
weekday | Day of the week, as a character string.
year | Year as an integer.


About the Concordance Programming Language Reference

Navigation: Developing with Concordance Desktop > Concordance Desktop Programming Language Reference:

About the Concordance Desktop Programming Language Reference
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topics describe the Concordance Desktop Programming Language (CPL).

Topic | Description
Function Declaration | Function declaration, parameter, and return value syntax.
Identifiers | Naming conventions.
Data Types | Types of data, including char, short, int, and float.
Variable Declaration and Scope | How and where to use variables.
Reserved Words and Symbols | Words and symbols that have special meaning in CPL.
System Variables | Variables that are pre-declared by CPL.
Operators and Operands | Arithmetic, assignment, bitwise, conditional, and logical operators, as well as their precedence relative to each other.
Database Information | Database information and database fields.
Character Literals and Quoted Strings | How to write out strings.
Comments | How and where to write comments.
Program Flow and Control Structures | The structures used to control the execution of program logic.
CPL Functions | An alphabetical list of the built-in functions.
Concordance Desktop Scripts | The scripts delivered with Concordance Desktop.


Function Declaration
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The following topic describes function declaration, parameter, and return value syntax.

Function declarations

Syntax:

name(optional parameters)

{

statements

}

A CPL function consists of a group of program statements that perform a job. Functions can optionally return values. CPL functions can call other functions to perform work without worrying how they do their jobs. Functions use discreet local variables that come into existence when the function runs, and go away when the function finishes. Functions facilitate complex programs by breaking them into small, easy to manage tasks.

CPL program execution always begins with a function called main. Every CPL program must have a main() function. It is executed by Concordance Desktop. main() may then call other functions for help in executing the program.
Function parameters

Parameter declarations appear within the parentheses following the function’s name. Parameters are declared exactly as all other variables are declared, by stating their type followed by their names. Multiple parameter declarations can be separated by commas if they are of the same type, or by semi-colons for different type declarations.

Example:

max(float a; float b)

{

float x;

if (a > b)

x = a;

else

x = b;

return(x);

}

Concordance Desktop converts all parameters passed to max() into float types if necessary. The function parameters could also have been declared max(float a, b) with the same effect. max() returns the largest of the two parameters passed. A statement that uses max() might look like this:

salary = salary * max(1.5,raise);

Since a and b become local variables, initialized to their passed values and accessible only within max(), max() can be rewritten without local variable x.

max(float a, b)

{

if (a < b)

a = b;

return(a);

}
Return statement

The value computed by max() is returned by the return statement. Any value can be computed within the return statement’s parentheses. A return statement without the parentheses will cause the function to finish, but no value will be returned. Return statements are optional, a function without one will return automatically when the closing end statement is encountered.

CPL functions can contain multiple return statements. However, a single return statement at the end of the function is preferred. This makes the function easier to understand, and simpler to maintain.


Identifiers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

A CPL identifier is any name. The name can represent a function, variable, reserved word, or data type.

Identifiers can contain any combination of letters, numbers, and the underscore character. However, an identifier can only begin with a letter. While the length of identifiers is not limited, Concordance Desktop will only consider the first 16 characters when comparing them.

CPL is case sensitive. Thus color, Color, and CoLoR constitute three different identifiers. Database field names, which are not case sensitive, are generally upper case to improve program readability.


Data Types
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

There are five basic data types in the Concordance Desktop Programming Language. Their types and limits are listed in the table below:

Type | Value Range | Size
char | -128 to 127 | 1 byte
text | any null terminated text | variable length
short | -32,768 to 32,767 | 2 bytes
int | -2,147,483,648 to 2,147,483,647 | 4 bytes
int64 | –9,223,372,036,854,775,808 to 9,223,372,036,854,775,807 | 8 bytes
float | -2.2E-308 to 1.7E+308 | 8 bytes

The numeric data types—char, short, int, and float—can be freely assigned to each other and compared with each other. CPL will perform the necessary conversion so that the comparison or assignment is performed correctly.

Text values contain variable length strings. Their values are the values of the entire string. They can be assigned from or compared with character arrays, quoted strings, text or paragraph fields, or themselves. Database text fields, both fixed length and free text, are treated as text variables.

Date values, taken from date fields and functions which return dates, are handled as int types. Date math is performed in increments of days. Adding 5 to a date adds 5 days. Dividing or multiplying dates, while valid with any integer, will produce meaningless results.

Arrays

Any data type identifier followed by brackets, [ ], becomes an array. An array is a set of sequentially ordered elements which are accessed by subscripting the array. The first element in an array is element zero, thus an array with 100 elements contains elements 0 through 99.

A special array type is the char array. It can be used to store strings, a sequence of characters. In CPL, all character arrays are terminated by a zero. Character arrays can be assigned a quoted string, assigned the value of other char arrays or text variables, or compared with them. This is the only array type in CPL that allows the direct assignment or comparison of the entire array.

Example:

char today[10];

today = "Tuesday";

/* today[0] is T

today[1] is u

today[2] is e

today[3] is s

today[4] is d

today[5] is a

today[6] is y

today[7] is 0 */


Variable Declaration and Scope
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Variables are declared by stating their type followed by their name. Several variables of the same type can be declared at once by stating their names separated by commas.

int i, count, WayDownTheRoad;

char string[20], ch;

Variable declarations, like all CPL statements, are terminated by a semi-colon. Variable names can be any CPL identifier.

By default, all variables start with the initial value of zero. Optionally, they can be declared and initialized in the same statement.

int x, y = 2, z, maximum = 25;

Global variable declarations must take place outside any function declaration. Globally declared variables are visible and accessible to all functions. Local variables, those declared between a function’s opening { and closing } braces, are visible and accessible only to the declaring function. All variables must be declared before they are used.

Local variable declarations must take place immediately following a function’s opening { brace and prior to the first executable statement. Local variables come into existence when the function is active and disappear when the function returns. Local variables can only be accessed by the function that declared them and only while it is executing. The one exception to this is when a function passes a locally declared array to another function. In this instance the receiving function can modify the original data. Arrays are passed by name alone, without subscription. In all other cases a called function gets a copy of the parameter, not the original variable.

Example:

something()

{

int a[1], b, c[1];

a[0] = 1;

b = 2;

c[0] = 3;

nothing(a,b,c[0]);

/* a[0] now contains 5 */

/* b still contains 2 */

/* c[0] still contains 3 */

}

nothing(int x[], y, z)

{

x[0] = 5;

y = 10;

z = 15;

}

A variable declared within a function with the same name as a global variable will cause the global variable to disappear from the function’s point of view. References to the variable within the function only affects the local variable.

Likewise, a function within a CPL program with the same name as a Concordance Desktop function replaces the Concordance Desktop function.


Reserved Words and Symbols
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Certain words in CPL have special meaning. These words are reserved and may not be used as function or variable names within a program. They are shown below. Reserved words are used to control program flow, logic, and structure.

and, begin, break, case, cycle, default, else, end, for, if, mod, or, return, switch, while

In addition to the reserved words, there are a number of reserved symbols. These symbols constitute the CPL math and comparison operators, the comments enclosures, and the character literal and string enclosures.

{ } /* */ ‘ “ & = * + -> - . / <> <= < == >= > |


System Variables
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Concordance Desktop has several variables which already exist when your program starts up. These are Concordance Desktop system variables, they contain values used and initialized by Concordance Desktop. Each of the following variables can be changed by your program. Changes to the color variables are stored by Concordance Desktop and are used as default values in Concordance Desktop displays and by various CPL functions.

Variable | Description
MaxRow | The bottom row on the screen, range 0 to MaxRow_
TextColor | Color of text used for most displays
TextBackground | Color used for background in Windows version
TextHighlight | Highlighted color used in most displays
MenuColor | Color of menu background and unselected items
MenuBackground | Background color used in Windows version
MenuHighlight | Color used to highlight selected menu item
MenuHighlightBackground | Background color for Windows version
HelpColor | Used to display help screens
HelpHighlight | Highlighted text on help screens
QueryHighlight | Used in Browse mode to highlight search words
QueryHighlightBackground | Background color used in Windows version


Operators and Operands
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The following topic discusses arithmetic, assignment, bitwise, conditional, and logical operators, as well as their precedence relative to each other.

Arithmetic operators

The arithmetic operators are +, –, *, /, and mod. Unary minus is evaluated right to left, the other arithmetic expressions are evaluated left to right. Standard arithmetic precedence applies: division and multiplication are evaluated before addition and subtraction.

Operator | Description
– | Unary minus, negative numbers
* | Multiplication
/ | Division
mod | The remainder of the first operand divided by the second
+ | Addition
– | Subtraction
Assignment operators

Assignments in CPL are done with =, the assignment operator. This should not be confused with ==, the comparison operator. The assignment operator assigns a value to a variable. The comparison operator determines if the two values are equal and returns a true or false as a result.

CPL assignments also produce a value as a result of the assignment. You can test the value of the assignment and make the assignment in one statement. This allows you to write more compact programs, but it can become confusing if you are not careful. There are times to take advantage of this feature, and times to avoid it.

Example:

if ((data = open("letter.txt","r")) <> -1)

{

/* ... */

close(data);

}

This program fragment opens a file and stores the file handle to the variable called data. The result of the assignment is the value stored in data. This is tested against -1 to see if the file was successfully opened. This construct is both efficient and common in CPL.

Since the assignment operator has a lower precedence than the comparison operator, the assignment to data from open() must be enclosed in parentheses. If the parentheses were not used, CPL would first compare the value of open() to -1. The result of that comparison would be a true or false. CPL would then store a true or false to data, not the file handle returned by open().
Bitwise operators

CPL provides two operators that allow you to manipulate the individual bits in char, short, and int data types.

Operator | Description
& | Bitwise AND compares each bit of the first operand to the corresponding bit of the second operand. Returns a bit set to one for each bit set to one in both operands.
| | Bitwise OR compares each bit of the first operand to the corresponding bits in the second operand. Returns a bit set to one for each bit set to one in either operand.
Conditional operator

The conditional operator “?:” provides a compact way to execute if-then logic. Consider the example used earlier to describe function parameters:

max(float a, b)

{

if (a < b)

a = b;

return(a);

}

It could be rewritten more compactly, by taking advantage of the conditional expression:

max(float a, b)

{

return(a > b ? a : b);

}

The conditional expression evaluates the expression preceding the question mark. It returns the value preceding the colon if it is true, and the value following the colon if it is false. The syntax for the conditional expression is:

(test-expression) ? TRUE : FALSE

The conditional expression has the second lowest precedence of all operators, just above an assignment. Therefore, the test for the conditional expression should almost always be enclosed in parentheses.

Here’s a bit of sample code that appends an s when the number of reported documents is plural.

string=str(count(db))+" Document"+(count(db)<>1)?"s":"";

writeln(handle,string,len(string));

Including the logic in the assignment creates a more concise program, though it may be somewhat terse and less readily understandable. Consider the extra code it would take to write this statement with if-then logic.
Logical operators

The two logical operators are and and or. They each evaluate two operands, on the left and right, and return true or false values. They are usually used to connect individual relational comparisons into more complex relationships.

Operator | Result
and | Evaluates to true only if both operands are true
or | Evaluates to true if either operands are true
Precedence of operators and order of evaluation

Operators are evaluated in order of precedence. Parentheses should be used to override precedence where desired. The operators are listed below from highest precedence to lowest. Operators on the same line have the same precedence.

Operator | Operands Evaluated
. –> | left to right
– (unary minus) | right to left
* / mod | left to right
+ – | left to right
< > <= >= | left to right
== <> | left to right
& | left to right
| | left to right
and | left to right
or | left to right
?: | left to right
= | right to left


Database Information
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The following topics discuss database information and database fields.

Database information

A variety of information can be obtained about a database by using the database handle with the information selector and several keywords. Available information includes the number of documents in the database, the field types, length, and names, and the current query number.

Access the information by following the database handle with a period and one of the keywords listed below.

Keyword | Description
access | User’s access rights to the field, read, write, or read-write. Subscript by field number, i.e., db.access[i].
activequery | Current active query.
database | Database name.
documents | Number of documents in the database.
edited | Non-zero if the database needs reindexing.
fields | Number of fields defined in the database.
image | True if the field is an image key, db.image[i].
key | True if the field is a key field, db.key[i].
length | The defined length of the subscripted field, this returns the left margin of paragraph fields, and the format of date fields, i.e. ‘Y’, ‘M’, or ‘D’ for yyyy/mm/dd, mm/dd/yyyy, or dd/mm/yyyy respectively.
name | The name of the subscripted field, db.name[i].
order | The order in which the subscripted field is used by Load, Unload, Global, and other functions.
places | Number of places in numeric fields.
query | The number of the last executed query.
type | The field type of the subscripted field, either T for text, P for paragraph, D for date, or N for numeric fields.

The access rights variable must be subscripted by the field’s number, i.e. db.access[i]. It contains the following bit settings:

Bit Setting | End-user Rights
0 | no access to this field
1 | read permission is granted
2 | write permission is granted

Example:

/* Display the names of each database field */

/* in a menu, return the menu choice selected */

info(int db)

{

int i;

text choices[db.fields+1];

choices[0] = "Field Selection Menu";

for(i = 1; i <= db.fields; i = i + 1)

choices[i] = db.name[i];

return(menu(5,35,20,55,choices,1));

}

The access, name, length, places, type, and order entries must be subscripted by the field’s number, as in the example above.

An interesting feature in the preceding example is the use of a calculation to initialize the number of elements in the choices array. This function guarantees that the array will always be large enough by using the parameter, db.fields+1, to calculate the number of elements. Function parameters become valid variables as soon as they are declared. Using parameters to size arrays builds flexibility into your CPL functions.
Database fields

Databases consist of individual fields which contain varying types of data, including text, numbers, and dates. Individual fields are accessed with the database handle, the field operator ->, and a field indicator. The database handle is any valid integer returned by a call to the opendb() function. A field indicator can be the field’s number, its name, or a character array or text variable containing its name.

Example:

Assuming a database’s second field is called AUTHOR, this program would replace the field contents five times, five different ways.

main()

{

char string[25];

int i, db;

string = "Author";

i = 2;

if ((db = opendb("catalog")) <> -1) {

db->string = "Marlowe";

db->"author" = "O’Glue";

db->AUTHOR = "Turley";

db->2 = "McGee";

db->i = "Stewart";

closedb(db);

}

}

When this program finishes, the value of the AUTHOR field will be Stewart. The variety of ways available to access fields provides a high degree of flexibility that should fit all situations. However, the preferred method is db->AUTHOR, with the field name in upper case.

Care should be taken when using the field name without enclosing it in quotes. Ambiguities can occur when variable names match field names. In the above example, if there were a variable called AUTHOR, Concordance Desktop would use it to determine the field name. An error would result if the variable contained something other than a valid field name. Worse yet, the AUTHOR variable could inadvertently contain a valid field name resulting in the replacement of the wrong field.


Character Literals and Quoted Strings
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Individual characters used as data within a program are enclosed by apostrophes. Character strings can be enclosed within quotation marks or apostrophes. The character used to begin the enclosure must be used to terminate the enclosure. A single character enclosed within quotes is interpreted as a character string. A single character enclosed within apostrophes is interpreted as an integer.

Example:

trans()

{

int x;

char string[50];

x = 'a';

string = '"What," she said.';

/* ... */

string = "can’t";

/* ... */

}


Comments
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Comments can occur in a program preceding, following, or between statements. Comments cannot occur within a statement. Comments are introduced by the /* characters and are terminated by the */ characters. Comments can span several lines, but they cannot be nested.


Program Flow and Control Structures
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Concordance Desktop statements provide for the control and execution of program logic. Several types of conditional execution and repetitive execution statements are available.

All simple CPL statements are terminated by a semi-colon. Individual statements can be continued over several lines before being terminated with a the semi-colon.

Begin and end

Syntax:

{

statement

}

The { and } braces are used to create compound statements. Compound statements are treated as a single statement. { and } braces can be used after an if-else, while, or for to create a single block of statements that are executed if the test conditions are satisfied. Compound statements are terminated by the }, curly end-brace, a semi-colon does not follow the }. Individual statements within the compound statement must be terminated by semicolons.
Break

The break statement causes a cycle, while, or for loop to terminate before the loop control statement ends the loop. break causes the innermost loop to exit if one loop is enclosed by another loop. It also causes a case statement to exit the switch.

Syntax:

break;

Example:

cycle(db)

if (db->NAME == "Claire Ellen")

break;
Cycle loops

Syntax:

cycle(database-handle)

statement

Cycle loops execute the controlled statement once for each document in the current query set. After completion, the last document in the retrieved set will be the current document.

Example:

bonus(int db)

{

cycle(db)

if (db->COMMISSION >= 100000)

db->BONUS = db->COMMISSION * 0.25;

else

db->BONUS = db->COMMISSION * 0.10;

}
For loops

Syntax:

for(initialize; test-condition; increment expression)

statement

For loops contain three expressions: an initialization value, a test condition, and a loop increment expression. All three statements must be present. The initial loop value is set once by the initialization statement, the test condition is then evaluated. If the test condition evaluates to true, the controlled statement is executed. When the statement finishes, the increment expression is executed, the test condition is then re-evaluated and the loop is re-executed if it is true.

Example:

for(i = 0; i < 100; i = i + 1)

string[i] = 0;

This example would advance through the first 100 elements (from 0 to 99) of the array called string setting each element to zero.

for(i = goto(db,1); i > 0; i = next(db))

if (db->COMMISSION >= 100000)

db->BONUS = db->COMMISSION * 0.25;

else

db->BONUS = db->COMMISSION * 0.10;

The for loop used in this example produces the same results as the example used in the cycle statement on the previous page.
If-Else statement

Syntax:

if(test-condition)

statement

else

statement

The if-else statement constitutes the most frequently used decision making syntax available in CPL. The statement evaluates the test condition and executes the first statement if it is true. If the test condition is false, the else statement is executed. else statements are optional.

Example:

if (i < j)

i = j;

else {

i = i - 1;

j = j + 1;

}

In this example, if i is less than j, i will be set equal to j. If i is not less than j the else clause is executed which subtracts one from i and add one to j.
Switch statement

Syntax:

switch(expression)

{

case expression: statement;

break;

case expression: statement;

break;

case expression: statement;

break;

/* ... */

default:

statement;

break;

}

Switch statements are similar to multiple nested if-else statements. A switch statement evaluates its test expression and begin executing the statements following the case statement that matches the test expression. If no case statement matches, then program execution begins at the default statement. Execution continues until the next case, break, default, or } statement is encountered. default statements are optional. If no match is made and a default is not present, no action is taken. The case statements must be enclosed within a { } pair of braces.

Example:

for(i = 0; string[i] 0; i = i + 1)

switch(string[i])

{

case 'a':

case 'e':

case 'i':

case 'o':

case 'u': vowels = vowels + 1;

break;

case '.': periods = periods + 1;

break;

default: if (isalpha(string[i])

consonants = consonants + 1;

else

other = other + 1;

break;

}
While loops

Syntax:

while(test-condition)

statement

A while loop evaluates the test condition and executes the controlled statement zero or more times. The while loop executes the statement if the condition is true. Execution continues until the test condition becomes false.

Example:

intClear(int numbers[])

{

int i, elements;

i = 0;

elements = sizeof(numbers)/sizeof(numbers[0]);

while(i < elements)

{

numbers[i] = 0;

i = i + 1;

}

}

This example would set every element of the numbers array to zero. One noteworthy feature is its use of sizeof(). intClear() does not know the number of elements in the array when it starts. It determines the number by dividing the size of the whole array by the size of one element. This function could be called in several places within a program to clear a variety of int arrays.


CPL Functions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following sections contain an alphabetical list of the built-in functions for Concordance Desktop Programming Language (CPL).


A
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter A. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

accession

Summary

int accession(int db);

Description

Returns the document's accession number.

Return Value

The document's accession number. Zero if the database version does not support accession numbers, or if the record has been blank()'ed but not yet append()'ed.

Example

/* See if we have a V6.x database opened */

if (accession(db) > 0)

/* It is V6.0 or later. */

else

/* It isn't V6.0 or later */

addr

Summary

text addr(text string; int offset);

Description

Converts a text variable offset into an address that can be used by any of the Concordance Desktop functions. The offset begins with one, the first character in the field. This offset also applies to char arrays, even though they are subscripted starting with zero. addr() is faster than passing a copy of the text with the substr() function, and it will not use additional memory.

Return Value

Character index in internal format. Values returned by this function are treated as quoted strings for all practical purposes, i.e., they can only appear on the right side of an assignment.

See Also: substr()

Example

printField(int db, i, file)

{/* Print every line in the field to file. */

int offset, length;

wrap(db->i, 40);

offset = findline(db->i,1,length);

while(offset > 0) {

writeln(file, addr(db->i, offset), length);

offset = findnline(db->i, offset, length);

}

}

annotationAppend

Summary:

int annotationAppend( db->FIELD;

int offset, length;

text szNote;

text szAttachment;

int attachmentType;

int attachmentAction);

Description:

Appends a new note to the current record in the field identified by db->FIELD. The note is attached offset bytes from the beginning of the field, for length number of bytes. The remaining parameters are detailed in the table below.

szNote | The textual contents of the note.
szAttachment | The attachment, if any. This is the name of a file or web address that is launched.
attachmentType | Pass NOTEATTACHCLIPBOARD to have the attachment placed on the clipboard. Use NOTEATTACHEXTERNAL to have Concordance Desktop launch the application. NOTEATTACHNOTHING takes no action, and NOTEATTACHVIEWER sends the attachment to the current viewer.
attachmentAction | Pass TRUE to autolaunch the attachment

Return Value:

Returns zero if successful.

See Also: annotationCount(), annotationDelete(), annotationGoto(), annotationIsTagged(), annotationRetrieve(), annotationTag(), annotationUpdate()

annotationCount

Summary

int annotationCount(int db);

Description

Determines the number of annotations attached to the current record.

Return Value

Returns a count of the annotations on the current record.

See Also: annotationAppend(), annotationDelete(), annotationGoto(), annotationIsTagged(), annotationRetrieve(), annotationTag(), annotationUpdate()

annotationDelete

Summary

int annotationDelete(int db);

Description

Deletes the current annotation. The note is marked for deletion and the first character of the NOTEPARENT field is set to a space. This immediately disassociates the note from the parent record, however it is not physically removed from the database until the database is packed. Packing the parent database automatically packs the notes database.

When you delete a note with this function, it is immediately removed from the document. Your functions should reinitialize with annotationCount() and annotationGoto() to ensure that you are using the correct annotation.

Return Value

Returns zero on success.

See Also: annotationAppend(), annotationCount(), annotationGoto(), annotationIsTagged(), annotationRetrieve(), annotationTag(), annotationUpdate()

annotationGoto

Summary

int annotationGoto(int db, recordNumber);

Description

Reads the requested annotation into memory.

Return Value

Returns zero if successful.

See Also: annotationAppend(), annotationCount(), annotationDelete(), annotationIsTagged(), annotationRetrieve(), annotationTag(), annotationUpdate()

annotationIsTagged

Summary

int annotationIsTagged(int db; text tagName);

Description

Determines if the current annotation is tagged with the parameter tagName.

Return Value

Nonzero if the annotation contains the tag.

See Also: annotationAppend(), annotationCount(), annotationDelete(), annotationGoto(), annotationRetrieve(), annotationTag(), annotationUpdate()

annotationRetrieve

Summary

text annotationRetrieve(int db; text "NOTETEXT");

Description

Retrieves the contents of the named field from the annotation. See annotationUpdate() for data formatting.

Return Value

All values are returned as text.

See Also: annotationAppend(), annotationCount(), annotationDelete(), annotationGoto(), annotationIsTagged(), annotationTag(), annotationUpdate()

annotationTag

Summary

int annotationTag(int db; int TRUE|FALSE; [text tagName]);

Description

Tags an annotation, creating an issue, in the current note for the database whose handle is db. The tag is either applied or cleared according to the value of the second parameter:

TRUE Document is tagged.

FALSE Document is untagged.

If the optional tagName parameter is not passed, the operation is performed on the "default" tagged set. Passing a tagName will perform the tag or untag operation only for the specific tag.

Return Value

Zero indicates success.

See Also: annotationAppend(), annotationCount(), annotationDelete(), annotationGoto(), annotationIsTagged(), annotationRetrieve(), annotationUpdate()

annotationUpdate

Summary

int annotationUpdate(int db; text FIELD, text DATA);

Description

Copies data to an annotation record field. All data must be passed as text. See below for examples. The FIELD parameter should be on of the fields in the annotation record.

NOTEPARENT | Unique identification assigned to the parent record. Do not modify this entry.
NOTEOWNER | The user logon of the person who created the note.
NOTETEXT | The text of the note.
NOTEATTACHED | An external file attached to the note. This is the file that is launched by a hyperlink.
ATTACHTYPE | The type of attachment can be "External", "Viewer", or "Clipboard", but this list may be expanded to support other types in the future. All three types take the contents of the NOTEATTACHED field as their parameter. A fourth value, "", is used to indicate that there is no attachment type.
AUTOATTACH | Either a "Y" or a "N". A "Y" indicates that the hyperlink is automatically launched when the user clicks on the link.
LINKFIELD | The field in the parent database that contains this note.
LINKOFFSET | The number of bytes from the beginning of the field where the note is attached. This is a zero based rich text offset; i.e., carriage returns are not counted.
LINKLENGTH | The length of the text at LINKOFFSET that contains the annotation. This is a rich text length. Carriage returns are not counted.
REPLICATION | The replication field that tracks edits.

All values must be passed as text, including dates and numbers. The function will make the appropriate conversion to store them in the database.

Dates must be passed in YYYYMMDD format, no punctuation, no spaces, fully padded and zero filled to eight characters.

Return Value

Returns the number of bytes copied.

See Also: annotationAppend(), annotationCount(), annotationDelete(), annotationGoto(), annotationIsTagged(), annotationRetrieve(), annotationTag(),

append

Summary

int append(int handle);

Description

Appends a document to the end of the database. This document becomes the current document. Use append() with blank() to create and add a record to the end of the database. Append() used without blank() will duplicate the current record.

The Network Edition of Concordance Desktop will automatically lock the end of the file while it adds the document to the database. The document is locked when the append finishes.

Return Value

A -1 if unsuccessful.

See Also: blank()

asc

Summary

int asc(text info);

Description

Converts a character to the integer ASCII code that represents it. In the case of text fields, text variables, and unsubscripted character arrays, asc() returns the character code of the first character.

This function allows you to directly compare individual characters with numeric values and character constants. Integer comparisons can run faster than string comparisons.

Return Value

ASCII code that represents the character. The ASCII code is in the range 0 to 255. asc() will not return negative numbers.

See Also: chr()

Example

DoSomething(int db)

{

int code;

if (asc(upper(db->sex)) == 'M')

code = DoThis(db);

else

code = DoThat(db);

return(code);

}


B
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter B. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

beep

Summary

beep(int frequency, duration);

Description

Emits a tone from the PC's speaker. Frequency is a value in hertz. Duration is the length of time in thousandths of a second. Beep will not make a sound if the beep option on the Set menu is disabled.

Return Value

None.

Example

main()

{

int i;

/* Sound a siren, up scale and down scale. */

/* Use a for-loop for the up scale tone, a */

/* while loop for the down scale tone. */

for(i = 450; i < 550; i = i + 1)

beep(i,5);

while(i > 450)

beep(i = i - 1,5);

}

blank

Summary

blank(int db);

Description

Clears a document at the end of the file. The current document is not affected. Once a document is cleared it can be edited and appended to the database.

Return Value

None.

See Also: append()

Example

main()

{

int db1, db2, i;

/* Copy records to another database. */

db1 = opendb("recipes");

db2 = opendb("cooking");

/* Get a blank document.

** Copy the individual fields.

** Append the new document.

** Get the next record to copy.

*/

cycle(db1) {

blank(db2);

for(i = 1; i <= db1.fields; i = i + 1)

db2->i = db1->i;

append(db2);

}

/* All done, close the databases. */

closedb(db1);

closedb(db2);

}

box

Summary

box(int row,

col,

brow,

bcol,

format,

[color,[background]]);

Description

Displays a box at the location described by the screen coordinates of the upper left corner and the lower right corner. The area inside the box is not cleared. Format is either 'S' or 'D', for a single line box or a double line box, case is ignored. If the format is SD or DD the box is created with a drop shadow, the dimensions of the box are decreased by two columns and one row for placement of the shadow. Drop shadows are not available in the Windows version, but the extra line and columns are accounted for before the box is drawn.

Windows will display a raised 3-D box if the 3U format style is selected and a depressed 3-D box if the 3D format style is selected. The background color is used to fill the box. A 3D box will produce a DD box in non-Windows versions of Concordance Desktop.

The color and background color parameters are optional. Color selected for normal text is used if the color parameter is left off. The background color is only used for Windows.

Return Value

None.

See Also: scroll()

browse

Summary

int browse(int db);

Description

Invokes the Concordance Desktop full screen browse mode. Browse will display the current document in the current query. The screen is automatically saved before entering this mode and restored after exiting.

Return Value

The key pressed to exit Browse mode. Either the [Esc] key or a function key.

See Also: table()

Example

main()

{

int db;

db = opendb("recipes");

if (db == -1) {

puts(0,0,"Can't open recipes.");

getkey();

}

else {

search(db, "chocolate");

browse(db);

closedb(db);

}

}

btclose

Summary

int btclose(int handle);

Description

Closes the dictionary file associated with handle.

Return Value

btclose returns 0 if successful, or -1 if an error was encountered.

See Also: btopen(), btcreate()

Example

ShowCount()

{

int i;

i = btopen("recipes.dct");

if (i == -1)

puts(0,0,"Couldn't open the dictionary");

else {

puts(0,0,"There are "+

str(btcount(i),6,0)+

" words.",);

btclose(i);

}

}

btcount

Summary

int btcount(int handle);

Description

Returns a count of the number of keys in the file. Handle must be a valid handle returned by a call to btopen() or btcreate().

Return Value

The count of keys in the file, or -1 if an error occurs.

See Also: btopen(), btcreate()

btcreate

Summary

int btcreate(char string[]; int duplicate);

Description

Creates a new dictionary for use, will not erase or open an existing file. If duplicate is a nonzero value, duplicate key values will be allowed in the file. A zero value will reject duplicate keys.

The duplicate parameter is stored with the dictionary and will remain active when the file is reopened later. It cannot be changed once the file is created.

Return Value

btcreate() will return a file handle if successful, a -1 if it was unable to create the file. Reasons for failure are the file already exists, bad file name or directory path, diskette write protected, disk full.

See Also: btopen(), btclose()

btcycle

Summary

int btcycle(int file, dbHandle; text expression);

Description

Cycles through the database using the current query. Evaluates expression for each document in the database and inserts the result into the dictionary whose handle is file. The document's number is stored as the data value. The result of expression must be a text value.

The expression can be a database field, db->NAME, or a quoted string for evaluation, "pad(db->NAME,'L',40)+str(db->DATE)". The function will run faster with a simple field than it will with a quoted parameter that requires evaluation. Fixed fields will run the fastest.

Return Value

The number of entries placed into the dictionary. This number may not be the number of documents in the current query if duplicates are not allowed in the dictionary.

Example

ShowUniqueEntries(int db)

{

char string[80]; int document;

int dict = btcreate("erase.me",0);

/* Create the list and show entries in a menu. */

btcycle(dict,db,db->AUTHOR);

while(btmenu(dict,7,0,22,79,"Authors",string,document))

{

/* Load the selected document and browse. */

goto(db,document);

browse(db);

/* Get field to display at top of btmenu(). */

string = trim(db->AUTHOR);

}

btclose(dict);

erase("erase.me");

}

btdelete

Summary

int btdelete(int file; char key[]);

Description

Deletes the matching key from the dictionary.

Return Value

A 0 if successful, a -1 if not successful. Returns a -1 if the word was not in the file.

Example

remove(int btree; text string)

{

int key;

text line;

/* Enclose string in quotes and ask */

/* if the user is sure they want to */

/* delete it from the file. */

line = 'Delete "'+string+'"?';

puts(0,0,line);

cursor(0,len(line)+1);

key = getkey();

if ((key == 'Y') or (key == 'y'))

btdelete(btree,string);

}

btexact

Summary

int btexact(int file; char key[]; int data);

Description

Locates a matching entry in the file. The entry must match both the key value and the data value.

Return Value

A zero if the entry was found, a nonzero value if an exact match could not be located.

See Also: btfirst(), btfind(), btgte(), btgt(), btlt(), btlast()

btfind

Summary

int btfind(int file; char key[]; int data);

Description

Locates the word and, if found, returns the associated integer value in data. The file handle must be a valid handle returned by a call to either btopen() or btcreate().

Return Value

The value of btfind() is 0. If the word was not in the file, the value of btfind() is -1.

See Also: btexact(), btfirst(), btgte(), btgt(), btlt(), btlast()

btfirst

Summary

int btfirst(int file; char key[]; int data);

Description

Locates the first word in the dictionary file and returns its integer value in "data." The word is returned in key[], key[] must be large enough to hold the retrieved word.

Return Value

The value of btfirst() is 0. If the file is empty, the value of btfirst() is -1.

See Also: btlast()

btgt

Summary

int btgt(int file; char key[], buf[]; int data);

Description

Locates the dictionary entry greater than the search key. The word is returned in buf[], buf[] must be large enough to hold the retrieved word.

Return Value

A value less than zero if an error occurs, or if there is no value greater than the search key. If an entry is found, the entry is returned in buf[], its associated numeric value is returned in data.

See Also: btlt(), btgte()

btgte

Summary

int btgte(int file; char key[], buf[]; int data);

Description

Locates the dictionary entry greater than or equal to the search key. The entry is returned in the buf[] variable, and the key's value is returned in data.

Return Value

A -1 if an error occurs.

See Also: btgt(), btlt(), btfind()

btinsert

Summary

int btinsert(int handle; char key[]; int data);

Description

The key value is inserted into the dictionary along with the numeric value in data.

Return Value

A 0 indicates success, a value less than 0 indicates an error. If a negative value is returned, it may indicate either a disk full condition or a duplicate key value if duplicate keys are not allowed.

See Also: btcreate(), btinserta(), btopen(), btclose()

Example

update(char string[]; int handle)

{

int UpperCase;

/* Assume lower case word. */

UpperCase = 0;

if (isupper(string[0]))

{

/* Capitalized word. */

UpperCase = 1;

if (isupper(string[1]))

/* Mixed case word. */

UpperCase = 2;

}

/* Insert word in upper case, but */

/* store the case indicator as the */

/* data value. This can be used */

/* later in a spell check program. */

return(btinsert(handle, upper(string), UpperCase));

}

btinserta

Summary

int btinserta(int handle; char key[]; int data);

Description

The key value is inserted into the dictionary, however the dictionary will assume that what you are inserting is already sorted in ascending order. It will use an insertion scheme that optimizes for ascending order insertion and will produce a more compact dictionary.

Return Value

A 0 if the key was successfully added to the dictionary, a -1 if it was not.

See Also: btinsert(), btcreate(), btopen()

Example

main()

{

int OldError, NewError, old, new, data;

char buffer[60];

new = btcreate("temp.xyz",0);

old = btopen("oldfile.xyz");

/* Read the existing dictionary and insert */

/* all data into the new dictionary. */

NewError = 0;

OldError = btfirst(old,buffer,data);

while((OldError <> -1) and (NewError <> -1)) {

NewError = btinserta(new,buffer,data);

OldError = btnext(old,buffer,data);

}

/* If the key counts are not the same in

** both files it means that an error occurred

** at some point, probably a full disk.

*/

if (btcount(old) <> btcount(new))

NewError = -1;

/* Close the files and finish. */

btclose(old);

btclose(new);

if (NewError == -1) {

puts(0,0,"Error in new dictionary.");

puts(1,0,"Disk may be full.");

erase("temp.xyz");

}

else {

erase("oldfile.xyz");

rename("temp.xyz","oldfile.xyz");

}

}

btlast

Summary

int btlast(int handle; char key[]; int data);

Description

Read the last entry in the dictionary, return the entry and its numeric value. The file is left positioned on the last entry after this call. A series of btprev() calls would then read the file in descending alphabetical order.

Return Value

A 0 if successfully read, a nonzero value if there was an error.

See Also: btfirst(), btprev(), btnext()

btlock

Summary

int btlock(int handle);

Description

Locks the btree file for exclusive use. All other network users are prevented from accessing the file. The file should be unlocked as quickly as possible to ensure access for other network users.

Return Value

Returns a nonzero value if the file could not be locked.

See Also: btunlock()

btlt

Summary

int btlt(int handle; char key[], buf[]; int data);

Description

Locates the key entry less than the passed key. If an entry is found, it is returned in buf[] with its associated numeric value returned in data. The character string buf[] must be large enough to hold the returned value.

Return Value

Returns a -1 if an error occurred.

See Also: btprev(), btgt()

btmenu

Summary

int btmenu(int handle, row, col, brow, bcol; char title[], key[]; int data[, text action);

Description

Displays the contents of the dictionary whose handle was returned earlier by a call to btopen() or btcreate(). The key values are displayed in a menu window. The title string is displayed at the top of the window.

The user can cursor through the dictionary, or type the letters of the word for lookup. As the letters are typed, btmenu() will display the list of words that match most closely.

The action parameter is optional. "U" or "u" converts all of the user's typed input to upper case. An "L" or "l" converts the input to lower case. Specifying an "E" or "UE" or "LE" enables the Insert and Delete buttons in the Windows version.

The user can select the current word by pressing the [Enter] key. btmenu() will copy the selected word to the key[] parameter, and the word's associated numeric value to the data parameter.

If the user presses [Ctrl-Enter], btmenu() will copy the word they are typing on the prompt line to the key[] parameter. Windows users should pass the "E" parameter mentioned above.

If key[] contains a value when btmenu() starts, then the key greater than or equal to that key becomes the first key displayed on the screen.

Return Value

A value of -1 indicates an error in the dictionary file.

A 0 return value indicates that the user pressed [Esc] to exit without making a selection.

A 1 indicates that the user pressed [Enter] to select a key, that key is returned in the key[] and data parameters.

A 2 indicates that the user pressed [Ctrl-Enter] to select the value they were entering on the prompt line, in this case key[] will contain the prompt line string.

btnext

Summary

int btnext(int handle; char key[]; int data);

Description

Locate the next entry in the file. The key and data parameters are set to the value of the key.

Return Value

A -1 is returned if there is no next key.

See Also: btprev(), btfirst()

btopen

Summary

int btopen(char string[]);

Description

Open a dictionary file for use.

Return Value

-1 if the file cannot be found, or if it is not recognized as a valid dictionary file.

See Also: btclose(), btcreate()

btprev

Summary

int btprev(int handle; char key[]; int data);

Description

Locates the previous entry in the file and returns it in key, and its numeric value in data.

Return Value

A -1 is returned if there is no previous entry.

See Also: btlast(), btnext(), btfirst()

btrebuild

Summary

int btrebuild(text filename);

Description

The btree file named by filename is converted to a Concordance Desktop 8 b+tree with 64-bit data values. The old b+tree is renamed with the .old file extension. The file must be closed for the conversion to work.

After the conversion, only Concordance Desktop V8 or later can open the b+tree.

Return Value

A -1 is returned if the file is open or if it is not a b+tree, otherwise the number of keys in the converted b+tree is returned.

btunlock

Summary

int btunlock(int handle);

Description

Unlocks the file allowing other network users to access it. A file must be unlocked exactly as many times as it was locked to completely release it.

Return Value

A nonzero value if an error occurred while unlocking the file.

See Also: btlock()


C
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter C. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

capitalize

Summary

text capitalize(text string);

Description

Produces a duplicate of the parameter string capitalized. All words will begin with an upper case letter, all non-initial letters are lower case. Does not change the original.

Return Value

The parameter with capitalized text.

See Also: upper(), lower()

Example

main()

{

text author;

author = "e e cummings";

puts(0,0,capitalize(author));

puts(1,0,author);

}

Output:

E E Cummings

e e cummings

ccol

Summary

int ccol();

Description

Current column position of the cursor.

Return Value

Cursor's column position.

See Also: crow(), cursor()

chdir

Summary

text chdir(text directoryPath);

Description

Changes the current drive and directory to the one specified by directoryPath.

Return Value

A zero if successful, non-zero if the directory or drive does not exist.

See Also: diskspace(), getcwd()

Example

main()

{

/* Change to drive E: *\

chdir("E:");

/* Change directories. */

chdir("concord5\DATA");

/* Change drive and directories. */

chdir("F:\apps\concord5");

/* Display the current drive and path. */

puts(10,40,"The current directory is "+getcwd());

}

chr

Summary

text chr(int c);

Description

Converts the value of c to a text variable.

Return Value

The single character converted to a text type variable.

See Also: asc()

Example

main

{

int handle;

text line;

/* Send a form feed to the printer. */

if ((handle = open("prn","w")) <> -1) {

line = "Page ejected..."+chr(12);

write(handle,line,len(line));

close(handle);

}

}

clock

Summary

int clock();

Description

The clock() function gets the number of thousandths of a second since the program was started.

Return Value

Returns -1 if the clock is not available.

See Also: time(), today()

Example

main()

{

int i, start;

start = clock();

for(i = 0; i < 100; i = i + 1)

puts(0,0,"Count ="+str(i,7,0,','));

start = (clock() - start) / 1000;

puts(1,0,"That took "+str(start,7,0,',')+" seconds.");

getkey();

}

close

Summary

int close(int handle);

Description

The file associated with handle is closed. Handle must be a value returned earlier by a call to open().

Return Value

A -1 if an error is encountered while closing the file.

See Also: open()

closedb

Summary

int closedb(int db);

Description

Data base associated with db handle is closed.

Return Value

A 0 if successful, -1 if not successful.

Example

main()

{

int db;

db = opendb("recipes");

if (db >= 0) {

puts(0,0,"There are "+str(db.documents,8,0,',')+" recipes in the cookbook");

if (closedb(db) == -1)

puts(0,1,"Error closing database.");

}

else

puts(0,0,"Can't open database.")

getkey();

}

cls

Summary

cls([int color]);

Description

Clears the screen to TextColor_, the default color, or to the specified color if one is passed as a parameter. Under Windows, the color should be a background color.

Return Value

None.

See Also: scroll()

Example

colors()

{

int i, oldColor;

/* Show the basic set of colors. Display the */

/* color's number centered in the screen. */

oldColor = TextColor_;

for(i = 1; i <= 127; i = i + 1) {

TextColor_ = i;

cls();

puts(MaxRow_/2,0,pad("Color "+str(i),'C',80));

getkey();

}

TextColor_ = oldColor;

}

concat

Summary

concat(int db; text FileName);

Description

Concatenates a database to the opened database whose handle is db. FileName should be the path and name of a database file to concatenate.

Return Value

Zero if the database was concatenated, nonzero if an error occurred. Cause for error includes: too many concatenated databases, the maximum is sixteen; the requested database is already concatenated; file not found; database is in exclusive use by another user.

See Also: concatclear()

concatclear

Summary

concatclear(int db);

Description

All databases concatenated to the database whose handle is db are closed. The database is no longer concatenated after this call returns. All queries are reset and cleared by this call.

Return Value

None

See Also: concat()

count

Summary

int count(int db);

Description

Returns the number of documents in the current query. db should be a valid handle returned by a call to opendb(). To find the total number of documents in the database, use:

x = db.documents;

Return Value

Count of documents in the current query. A value less than zero if the database is not open.

See Also: hits()

createdb

Summary

int createdb( text FileName;

text FieldNames[];

int types[];

int lengths[];

int places[];

int formats[];

int keyField[]);

Description

Creates a new database with the requested file name and structure. This function will not create the database if another database already exists by the same name.

The fields are defined by giving them a name, a type, a length, and optionally places and format entries. The type can be 'T', 'D', 'N', or 'P', for Text, Date, Numeric, and Paragraph field types respectively.

The length entry designates the total width of the field for text and numeric fields. Length indicates the display format for date fields, MDY, YMD, or DMY. It sets the left margin of paragraph fields.

The places array is only used for numeric field types, and its presence is optional. The format array can contain numeric display formats Z, $, or "," for zero filled, currency and comma numeric types. If the format array is passed, the places array must also be provided.

The keyField array specifies the key fields in the database. A non-zero entry creates a key field.

All rules that apply to creating databases in the Concordance Desktop full-screen Database Create mode apply to this function. See the reference manual for a full explanation.

This function is not implemented in the Concordance Desktop Runtime Module. It will always return a creation error in the Runtime module.

Return Value

Zero if the database structure was valid and a database was created. A nonzero return value is an error code in the reference manual error listings, or in the concordp.msg or runcpl.msg file. This function only creates the database, it does not open it.

See Also: createfs(), struc(), modify(), opendb()

Example

/* Create a new database. */

MakeNew()

{

char string[80];

int err, newHandle;

text names[4];

int lengths[4], types[4], key[4];

newHandle = -1;

getfile("New Database", "*.DCB", string);

if (len(string) <> 0)

{

names[0] = "BIRTHDATE"; types[0] = 'D';

lengths[0] = 'M'; key[0] = 1;

names[1] = "EARNINGS"; types[1] = 'N';

lengths[1] = 10; key[1] = 0;

names[2] = "NAME"; types[2] = 'P';

lengths[2] = 16; key[2] = 0;

names[3] = "AUTHORED"; types[3] = 'P';

lengths[3] = 16; key[3] = 0;

err = createdb(string,names,types,lengths);

if (err == 0)

newHandle = opendb(string);

}

return(newHandle);

}

createfs

Summary

int createfs();

Description

Concordance Desktop full screen create command. It first prompts the user for a database name, then presents the database create screen. See the Concordance Desktop Reference Manual for a full description of database create.

This function is not implemented in the Concordance Desktop Runtime Module. It will always return an error when called from the Runtime module.

Return Value

A handle to the newly created and opened database. A value less than zero if the user canceled the database create.

See Also: modify(), createdb(), struc()

createReplica

Summary

int createReplica(int db; text databaseName; int copyAttachments);

Description

Creates a replica database using all records in the current query, in the current sorted order. The replica has all security settings and document tags in the current database, but it is not indexed. The optional parameter, copyAttachments, will copy attachments with the database if set to TRUE.

Return Value

A zero signals success

See Also: replicate(), resolve()

crow

Summary

int crow();

Description

Current cursor row.

Return Value

Row position of the cursor.

See Also: ccol(), cursor()
ctod

Summary

int ctod(char string[][; char format]);

Description

Convert character string or text variable to date format. The format, if specified, can be 'Y', 'M' or 'D' to select YYMMDD, MMDDYY and DDMMYY formats of the string parameter. The default is 'M' format if none is specified.

Return Value

The date as an integer.

See Also: dtoc()

Example

days()

{

int DaysBefore2000;

DaysBefore2000 = ctod("1/1/2000") - today();

return(DaysBefore2000);

}
cursor

Summary

cursor(int row, column);

Description

Moves the cursor to the specified row and column coordinates. The screen begins in the upper left corner with row 0, column 0. An 80 column screen goes from row 0 to row 24, and from column 0 to column 79.

Return Value

None.

See Also: ccol(), crow(), cursoron(), cursoroff()
cursoroff

Summary

cursoroff();

Description

Hides the cursor.

Return Value

None.

See Also: cursoron()

Example

main()

{

cursoroff();

puts(0,0,"The cursor has disappeared.");

puts(1,0,"Hit any key to show the cursor.");

getkey();

cursoron();

}

cursoron

Summary

cursoron();

Description

Enables the display of the cursor.

Return Value

None.

See Also: cursoroff()

cut

Summary

text cut(text data);

Description

Copies the data to the cut and paste buffer. The data replaces the current contents of the buffer. It remains in the buffer until another cut() replaces it. The buffer is shared by the programming language with the editor's cut & paste functions. Cutting text with the editor will also flush the buffer and replace the data.

The Windows version cuts to the system clipboard. Note that other programs have access to the clipboard, and they can clear or replace the data.

Return Value

The text value that was cut.

See Also: paste()


D
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter D. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

day

Summary

int day(int birthday);

Description

Extacts the day of the month from the date. The date can be a numeric representation of the date, as returned by ctod(), or a date field.

Return Value

The day of the month (1 - 31).

See Also: month(), year(), weekday()

Example

oneHundred(int billday)

{

text line;

billday = billday + 100;

puts(0,0,"100 days overdue is:");

line = str(day(billday),2,0,'Z')+"/"+str(month(billday)2,0,'Z')+"/"+str(year(billday),4,0,'Z');

puts(1,0,line);

}

dc

Summary

text dc(text string);

Description

dc() is used within a sort parameter string to specify a descending order sort. Enclose the entire sort string, or specific fields, within the dc() function to perform the descending or mixed order sort. Any data not enclosed within the dc() function is sorted in ascending order.

Return Value

The parameter string inverted for a descending order sort.

See Also: sort()

Example

See sort() for an example.

ddeConnect

Summary

int ddeConnect(text Service, text Topic);

Description

Begins a dynamic data exchange (DDE) conversation with another Windows application. Service is the name of an application which can respond to DDE messages. This is usually the program name without the .EXE extension. Topic is the name of a topic recognized by the server. This function is available only in Concordance Desktop for Windows.

Return Value

Returns a nonzero handle to that conversation. An error can occur if the application is not running, or if it is running but does not recognize the topic or support DDE.

See Also: ddeDisconnect(), ddeExec(), ddePoke(), ddeRequest()

Example

makeWorksheet()

{

int ddeHandle, i;

text topicList, sheetName;

/* Establish a link to the spreadsheet. */

ddeHandle = ddeConnect("Excel","System");

/* Create a new work sheet. */

ddeExec(ddeHandle,"[New(1)]");

/* Retrieve a list of available spreadsheets. */

topicList = ddeRequest(ddeHandle,"Selection");

/* Disconnect */

ddeDisconnect(ddeHandle);

/* Isolate the name of the first spreadsheet. */

/* Establish a new conversation based on the spreadsheet, */

/* this will allow us to modify the spreadsheet.*/

sheetName = substr(topicList,1,match(topicList,"!",1) - 1);

ddeHandle = ddeConnect("Excel",sheetName);

/* Fill it with data. */

for(i = 1; i < 10; i = i + 1)

ddePoke(ddeHandle,"R1C"+str(i),str(i));

/* Make a chart. */

ddeExec(ddeHandle,'[Select("R1C1:R1C10")]');

ddeExec(ddeHandle,'[New(2,1)]');

/* Terminate the DDE conversation. */

ddeDisconnect(ddeHandle);

ddeDisconnect

Summary

ddeDisconnect(int ddeHandle);

Description

Disconnects from the dynamic data exchange (DDE) conversation previously opened by using ddeConnect().

Return Value

None.

See Also: ddeConnect(), ddeExec(), ddePoke(), ddeRequest()

ddeExec

Summary

ddeExec(int ddeHandle, text command);

Description

Uses an open dynamic data exchange conversation handle to send a command to another application. The command depends on the application and topic specified when the conversation was initiated.

Return Value

Success value returned by the server. Generally 0 means the ddeExec() was not processed, 16384 means the server was busy, and 32768 signifies success.

See Also: ddeConnect(), ddeDisconnect(), ddePoke(), ddeRequest()

ddePoke

Summary

ddePoke(int ddeHandle, text item, text data);

Description

Sends data to the DDE server application. The item is a value, such as a spreadsheet row and column or database field name, which is recognized by the server. The data is a string containing the data sent to the other application.

Return Value

Success value returned by the server. Generally 0 means the ddeExec() was not processed, 16384 means the server was busy, and 32768 signifies success.

See Also: ddeConnect(), ddeDisconnect(), ddeExec(), ddeRequest()
ddeRequest

Summary

ddeRequest(int ddeHandle, text item);

Description

Sends a dynamic data exchange (DDE) request to the open conversation. This generally retrieves data from the server, though the action taken is dependant on the server, the topic, and the item.

Return Value

The DDE server must return a text value.

See Also: ddeConnect(), ddeDisconnect(), ddeExec(), ddePoke()

Example

int dh;

text listOfFields, field, fieldData;

/* Establish a link to the database */

dh = ddeConnect("Concordance Desktop","Resumes");

/* Retrieve a list of fields in the database. */

listOfFields = ddeRequest(dh,"List of Fields");

/* Retrieve data from the first field */

field = substr(listOfFields,1,match(listOfFields,',',1)-1);

fieldData = ddeRequest(dh,field);

/* Disconnect from the database */

ddeDisconnect(dh);

debug

Summary

int debug(int mode);

Description

Turns single step debugging on or off. Mode should be 1 to turn debugging on, 0 to turn it off, and -1 to disable it. Debugging can also be turned on and off by pressing [Alt-F1], unless debug(-1) has disabled it.

Return Value

Value of previous setting.

delete

Summary

delete(int db);

Description

Marks the current document for deletion. The document isn't removed from the database until it is packed.

Return Value

None.

See Also: deleted(), recall(), pack()

isdeleted

Summary

delete(int db);

Description

Marks the current document for deletion. The document isn't removed from the database until it is packed.

Return Value

None.

See Also: deleted(), recall(), pack()
deleteText

Summary

int deleteText(db->FIELD; int offset; int length)

Description

The first parameter identifies a field in the database. The deleteText() function deletes a block of text at offset for length number of bytes. This function preserves rich text formatting and properly processes annotations. Any annotations contained by the block of deleted text are also deleted.

Return Value

The number of bytes deleted.

See Also: insertText()

diskspace

Summary

int diskspace(int drive, totalSpace, freeSpace);

Description

Determines the amount of total and free space on the drive specified. The drive should be a letter, such as 'A', 'C', etc.

Return Value

Zero if successful, non-zero if an error occurred or the drive does not exist.

Upon returning, the variables totalSpace and freeSpace will contain the total bytes available on the disk and the free space remaining, respectively. Allocated space can be calculated with:

int allocatedSpace, totalSpace, freeSpace;

if (diskspace('C',totalSpace,freeSpace) == 0)

allocatedSpace = totalSpace - freeSpace.

See Also: chdir(), getcwd()

docno

Summary

int docno(int db, document, field, offset);

Description

Returns the relative document number in the current query. After issuing a first(), docno() would return the number 1, even though the first document retrieved in the query may be the 25th document in the database. Docno() always returns a number relative to the current query set, not a physical document number in the underlying database.

db must be a value returned by a call to opendb().

If the optional parameters document, field, and offset are provided they will contain the same information documented in, and returned by, the first() function.

Return Value

A relative document number. Returns a value less than or equal to zero if there are no documents in the current query set.

See Also: goto(), first(), last(), prev(), next(), prevhit(), nexthit(), recno()

Example

main()

{

int db, document;

db = opendb(" recipes.dat");

if (db <> EOF) {

search(db," chocolat*");

goto(db,5);

document = docno(db);

/* document now equals 5, the fifth

document located in the search.

The document's physical position

in the underlying database may

be almost any number. */

}

}

dtoc

Summary

text dtoc(int birthday[; char format]);

Description

Converts the date value to a character string. This function will return the exact date contained in a date field, even if the date is invalid, i.e., 12/00/81 or 99/99/9999. To test for a valid date use:

if (dtoc(db->DATE) <> dtoc(db->DATE+0))

badDate(db);

else

goodDate(db);

The optional format parameter can be 'Y', 'M' or 'D' to indicate the date format for conversion: YYMMDD, MMDDYY, or DDMMYY. The default format 'M' is used if the parameter is not explicitly set.

Return Value

A character string representing the date.

See Also: ctod()

Example

whatDayIsToday()

{

puts(12,35,"Today is "+ dtoc(today()));

}


E
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter E. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

edit

Summary

int edit(data-value; int TR, TC, BR, BC; text mode;

...

...

int element; text iMode; int SO, EO, color);

Description

Edits a data-value, which can be a database field, char array, integer, floating point value, or date, in an edit window. The window is described by its top row, TR, and column, TC, and its bottom corner row, BR, and column, BC. The mode string tells the edit function how to edit the data. Mode attributes are described later. Multiple data values can be passed to the edit function in one call.

The last line in edit() uses additional variables to tell edit() which element to edit first, what initial mode to use, what offset into the data to start editing, and what color to use.

element is the data element to edit first. If multiple values are passed you can tell edit() to start editing with any selected value, instead of the first. Edit elements are numbered starting with one at the top. Setting element to a value greater than the total number of elements will cause edit() to use the last element. Upon return, element contains the current number of the element being edited.

The iMode parameter specifies the edit attribute to use for this first element the initial time it is edited. See the modes below for additional information.

SO and EO are the Screen Offset and Edit Offset. These are used for full text paragraph fields. They specify the offset into a full text field to begin displaying data, and the offset into the field to place the cursor when edit() is first called. Upon return, they contain the current offsets of the user's cursor.

The last parameter, color, is the color used to edit all values passed to the edit() function.

The following mode string attributes are available:

A | Alpha only mode, numeric values are rejected.
U | Upper case conversion.
N | Numeric only mode, for text or char array variables.
N:w.d | Numeric data is edited in a field w characters wide, with d decimals.
Y | YMD mode for dates, can be a date field or integer value.
M | MDY mode for dates, can be a date field or integer value.
D | DMY mode for dates, can be a date field or integer value.
C | Cut and paste mode. This mode allows the user to move with the cursor control keys, mark text with [Alt-M], and copy it to the cut and paste buffer using the [Enter] key. Use the paste() function to access the marked text.
S | Scroll field left and right, no wordwrapping. Use for fixed fields and char arrays.
E | Return on [Enter] key, no hard carriage returns allowed in data. Useful with fixed fields and char arrays.
T | Always edit data starting from the top. If T and B are not specified, edit() assumes you wish to continue editing using the screen and edit offset parameters.
B | Edit data starting from the bottom. This mode is useful as an initial mode value overriding default value. If T and B are not specified, edit() assumes you wish to continue editing using the screen and edit offset parameters.
@ | Display only this value, no editing allowed.
! | Return immediately when this field is entered, don't edit it. This is how required authority lists or other special handling can be added to the edit function. Note that the element parameter must be changed upon calling edit() again or an endless loop is created when edit() immediately returns again and again.
Button | Creates a button under Windows. Returns CR if selected.

The following additional keys can be used while editing:

[Alt-M] will begin marking text for cut and paste. Pressing [Alt-M] again will unmark the text.

[Shift-Del] copies marked text to the cut and paste buffer. This requires [NumLock] to be off.

[Shift-Ins] copies text from the buffer to the edit window. This requires [NumLock] to be off.

[Del] deletes marked text and copies it to the paste buffer.

[Ctrl-Y] deletes text from the cursor up to and including the end of the line. [Ctrl-Y] ignores marked text and does not save the deleted text in the cut and paste buffer.

Return Value

Edit will automatically process all cursor control keys that move between edit elements, unless the user tries to cursor above the first element or below the last element. Edit returns the keystroke that caused termination. In the case of mode @, display mode, the returned value is always a 0.

Upon returning, the parameter element will be set to the number of the data element currently being edited. The parameters SO, Screen Offset, and EO, Edit Offset, will contain the offsets into the text of the line displayed at the top of the current window and of the character under the cursor, respectively.

The value 16, a [Ctrl-P], is returned if the user types past the last character in a field.

The value -1 indicates an insufficient memory error.

See Also: getline(), getnumber(), show()

Example

/* name: editPhone

** synopsis: Edits a phone number in 999/999-9999 format.

*/

editPhone(int db)

{

char areacode[4],

prefix[4],

phone[5];

int key,

CR = 13, /* Value of [Enter] key. */

ESC = 27, /* Value of [Esc] key. */

element = 2, /* Element to edit first. */

SO = 1, /* Screen offset */

EO = 1; /* Edit offset */

/* Get the three elements of the phone number, areacode, prefix, and phone number. */

areacode = trim(substr(db->PHONE,1,3));

prefix = trim(substr(db->PHONE,5,3));

phone = trim(substr(db->PHONE,9));

/* Edit them until [Enter] or [Esc] is hit. */

while((key <> ESC) and (key <> CR))

key = edit("Phone:", 3, 1, 3, 7, "@",

areacode, 3, 8, 3, 10, "NET",

"/", 3, 11, 3, 11, "@",

"prefix, 3, 12, 3, 14, "NET",

"-", 3, 15, 3, 15, "@",

"phone, 3, 16, 3, 19, "NET",

db->NAME, 2, 8, 2, 60, "@",

element, "", SO, EO, TextColor_);

/* If the user pressed [Enter], save the number. */

if (key == CR)

db->PHONE = pad(areacode,'L',3)+"/"+pad(prefix,'L',3)+"-"+pad(phone,'L',4);

return(key);

}

edited

Summary

int edited(int db);

Description

Determines if the paragraph fields in the current document have been edited or appended to the database since the last time the database was reindexed. Documents located in a full text search that have been edited may not actually match the search conditions. Attempting to highlight the keywords on the screen, or to underline them on a printer, may result in the wrong words being highlighted.

Return Value

A nonzero value if the document has been edited or modified since the last reindex.

editfs

Summary

editfs(int db);

Description

Invokes the Concordance Desktop full screen editor. The current document in the current query is edited. Users can change documents, but they cannot change queries from the editor. All fields in the database are edited. The screen is automatically saved before entering this mode. It is restored upon exiting.

Return Value

None.

erase

Summary

int erase(char string[]);

Description

Erases the file. The file name can be a character array or a text variable.

Return Value

If successful, erase returns a 0. Otherwise it returns a -1; erase() will not delete a read-only file or a directory.

Example

remove(char FileName[])

{

if ( erase(FileName) == -1)

puts(0,0,"Couldn't erase "+ FileName+".");

else

puts(0,0, FileName+" has been erased.");

}

eval

Summary

eval(text string; int code, line);

Description

Executes the Concordance Desktop expression in the string and returns the result as the value of eval(). This function allows end users to enter commands into strings and have them evaluated by the command processor.

This function is useful in allowing the user to enter a report format, field, or combination, and passing them to another function for report creation. Local variables declared in the function which executes eval() are accessible to the eval() function.

Return Value

The value and type returned by eval() is the result of the string that is evaluated. For instance, if the string contains "2+2" eval() will return an integer. However if the string contains "weekday(today())" eval() returns the day of the week as a character string. Enclosing the eval() function within the str() function guarantees that the result is always of type text.

The second parameter, code, will contain an error code if the expression could not be evaluated. Otherwise it will contain zero. The error code corresponds to one of the numbered error messages in this manual.

The third parameter, line, is optional. It returns the line number that produced the error. This is useful when using eval() within a run() function to determine the error code and line number which produced the error. Using eval() to execute a run() also keeps your main program from crashing if the external program does not exist or has an error.

See Also: run()

Example

/* Read a command from the user and execute it.

** Display an error code if an error code is

** returned. Scroll each line up the screen

** after each command.

*/

main()

{

int code, key, db;

int CR, ESC;

char string[81];

db = opendb("c:\concord\database\research");

CR = 13;

ESC = 27;

while(key <> ESC)

{

key = 0;

string[0] = 0;

/* Get the command from the user. */

while((key <> CR) and (key <> ESC))

key = getline(MaxRow_,0,81,string);

/* Scroll the screen and display the command. */

scroll( 1, 0, MaxRow_ - 2, 79, 1, 1);

puts(MaxRow_ - 2,0,pad(string,'L',80));

scroll( 1, 0, MaxRow_ - 2, 79, 1, 1);

string = trim(string);

if (string[0]) {

if (upper(string) == 'QUIT')

return;

/* Evaluate string, convert all results */

/* to strings. Display result or error. */

string = str(eval(string,code));

if (code)

puts(MaxRow_ - 2,0,"Error "+str(code));

else

puts(MaxRow_ - 2,0,string);

}

}

}

exec

Summary

int exec(int db; text filename);

Description

Executes the saved query file. Unlike the Execute option on the Concordance Desktop Search menu, exec() does not display the searches as they are executed.

Concordance Desktop normally appends the file extension .QRY to executed query files. The exec() function does change the file name passed to it. Your program must ensure that the file extension is correct before calling the exec() function.

Return Value

A nonzero value if the file could not be found.

See Also: keep(), snapshot()

exist

Summary

int exist(char string[]);

Description

Looks for the file name and determines if it exists.

Return Value

Exist returns a nonzero value if the file was found, and a zero if it was not found. In addition, the returned value has the following bit settings to indicate:

1 file exists

2 write permission is granted

4 read permission is granted

Example

main()

{

int status;

if (status = exist("c:\config.sys")) {

puts(0,0,"config.sys exists.");

if (status & 2)

puts(1,0,"config.sys has write access.");

if (status & 4)

puts(2,0,"config.sys has read access.");

}

else {

puts(0,0,"config.sys file not found.");

puts(1,0,"Creating one for you...");

CreateConfig();

}

puts(3,0,"Press any key to continue...");

getkey();

}

exit

Summary

exit()

Description

Stops execution of the CPL program and of Concordance Desktop. Quits Concordance Desktop and returns to the operating system. Any open databases are closed automatically.

Return Value

No return value, this function does not return to the caller.


F
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter F. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

findfirst

Summary

text findfirst(text fileMatch; int attribute);

Description

Locates the first matching file name for the fileMatch string parameter that has matching file attributes. All DOS wildcards are valid.

The attribute parameter specifies DOS file attributes that are included in the search. They include:

0 Normal files - no read/write restrictions.

1 Read only files.

2 Hidden files.

4 Systems files.

8 Volume ID file.

16 Subdirectory.

32 Archived file.

The file attributes can be or'ed together to find various file types. For example: findfirst("C:\*.*", 1 | 2 | 4);

Return Value

The name of the first file found that matches the file specification string and the attribute value.

See Also: findnext()

Example

main()

{

char f[128];

/* Erase all matching files. */

for(f=findfirst("\*.TMP",0); f[0]<>0; f=findnext())

erase(f);

}

findline

Summary

int findline(text line; int offset, length);

Description

Locates a line of text which contains the character at "offset" bytes from the beginning. The line is terminated by an end-of-line character. The end-of-line character is handled internally to Concordance Desktop and may not be compatible with other programs.

The "line" parameter can be a database field, a character array, or a text variable. It cannot be a numeric or date formatted field, or a numeric variable.

Text begins with character 1. An 11 character char array would contain characters at offsets 1 through 11, though it would be indexed with values 0 through 10.

Return Value

Returns the offset into the text variable where the line begins, the length entry will contain the length of the line. The length is only for the text on the line, it does not include the end-of-line terminator.

If the line isn't found, the field is empty, or offset is out of range, then findline will return 0 and length will be undefined. Remember that a length of 0 is legal since some lines may be empty.

See Also: findpline(), findnline()

Example

main()

{

int file, i, width, db;

/* Open the printer as a file. */

if ((file = open("prn","w")) == -1) {

puts(0,0,"Couldn't access printer.");

return;

}

/* Open a database for business. */

if ((db = opendb("c:\concord\research")) < 0) {

puts(0,0,"Couldn't open the database.");

close(file);

return;

}

/* Find and print every line in the */

/* note field that mentions stock. */

i = match(db->NOTE,"stocks",1);

while (i > 0) {

i = findline(db->NOTE,i,width);

writeln(file,substr(db->NOTE,i,width),width);

/* Look for next hit in the next line. */

i = match(db->NOTE,"stocks",i+width);

}

/* Close all files before exiting. */

close(file);

closedb(db);

}
findnext

Summary

text findnext();

Description

Locates the name of the next matching file first located using findfirst().

Return Value

A file name, or an empty string if no file name is available.

See Also: findfirst()

Example

main()

{

char f[256];

/* Erase all matching files. */

for(f=findfirst("\*.TMP",0); f[0]<>0; f=findnext())

erase(f);

}

findnline

Summary

int findnline(text line; int offset, length);

Description

Locates the next line of text following the line indicated by offset. Offset is an index into the field, text variable, or character array.

Return Value

findnline() returns the offset of the first character in the next line or 0 if there isn't a following line. Length will contain the length of the line when the function returns.

See Also: findline(), findpline()

Example

/* Print every line in the text field to file.

** Watch for disk full errors in writeln(). */

PrintField(int db, i, fh)

{

int offset, length;

int error;

/* Wrap the field to fit in 40 columns. */

/* Get the offset of the first line. */

/* Enter the loop, print the line, then */

/* continue writing lines until there */

/* aren't any left to process. */

wrap(db->i, 40);

offset = findline(db->i,1,length);

while((offset > 0) and (error == 0)) {

if(writeln(fh,addr(db->i,offset),length)<length)

error = 1;

offset = findnline(db->i, offset, length);

}

return(error);

}

findpline

Summary

int findpline(text line; int offset, length);

Description

Locates the line of text preceding the line indicated by offset. Offset is an index into the field, text variable, or character array.

Return Value

The value of findpline() is the offset of the first character of the preceding line, or 0 if there is no preceding line. The length parameter will contain the length of the preceding line.

See Also: findline(), findnline()

Example

/* Scan up several lines in the field.

** Returns offset of the nth line above or

** a 0 if there aren't enough lines.

*/

scanup(int db, i, offset, lines)

{

int length;

while((offset > 0) and (lines > 0)) {

lines = lines - 1;

offset = findpline(db->i, offset, length);

}

return(offset);

}

first

Summary

int first(int db, document, field, offset);

Description

Reads the first document in the current query. If no query exists, the first document in the database is used.

The variables document, field, and offset are optional. If one or more are provided, they will contain the document's number, the field number that contains the search word, and the offset into the field where the word occurs. The document number is the relative document number in the query, not the physical document number in the database. For instance, the 100th document in the database may be the first in the query. In this case the value of the document variable after issuing a first() would be 1.

Use the recno() function to get the physical document number.

Select queries, and query 0, will return 0's for the values of field and offset. Mixing select and search mode queries will result in some values for field and offset containing 0's within the retrieved query set.

Return Value

Returns the physical document number of the first document retrieved in the query. Returns a value less than or equal to zero if the query or database is empty, or if document could not be read.

See Also: last(), next(), nexthit(), prev(), prevhit(), count(), docno(), hits()

func

Summary

text func(int level);

Description

Returns the name of the currently executing function, and all previous call functions. Level is a number determining which function name is returned. Level 0 returns the name of the current function, level -1 returns the name of the function that called the current function, level -2 returns the name of the function two functions back, and so on.

Return Value

The name of a currently executing function, or an empty string if the level parameter is out of range.

Example

/* Display the names of all functions

** (currently called) on the screen.

*/

ListFunctions()

{

int con, i;

if ((con = open("con","w")) >= 0) {

for(i = 0; string = func(i); i = i - 1)

writeln(con,string,len(string));

close(con);

}

}

fuzzy

Summary

int fuzzy( int db,

text szWord,

text szDestination,

int certainty, flag);

Description

This function locates words that match the szWord parameter either in spelling or sound. The matches are placed in a file, whose name and path is provided in szDestination. Concordance Desktop will append to the file if it exists. certainty is the percent of a match for spelled-like words. A value of 70 (70%) or higher is recommended.

The following flag parameters are integer values that are predefined for you. Do not declare them. Do not pass them in quotes. Never assign values to them. Simply use them. They can be or’ed together with the | operator to combine functions.

Flag Parameter | Function
CPLSOUNDSLIKE | Retrieves words that sound like the passed szWord parameter. Concordance Desktop uses a sounds-like algorithm similar to soundex.
CPLSPELLEDLIKE | Retrieves words that are spelled like szWord. This takes longer than a sounds-like search. The certainty parameter is used to determine if a word has similar spelling.
CPLSYNONYMSORT | Words are returned with the best matches first.
CPLSYNONYMS | Words are returned in quotes.

Return Value

Returns a count of the words found to match the passed parameter.


G
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter G. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

getarg

Summary

text getarg(int argNumber);

Description

Retrieves the command line argument passed to Concordance Desktop at startup. Concordance Desktop will ignore any arguments beginning with @, allowing a CPL program to retrieve them for exclusive use. Note that this function will also retrieve all command line arguments, not just those beginning with @.

Return Value

A text string containing the argument. An empty string indicates the end of arguments.

See Also: getenv() , putenv()

Example

main()

{

text pszArgs,

pszCurrentArg;

int i;

/* Loop for each arg */

while ((pszCurrentArg = getarg(i)) <> "")

{

/* Add the arg to the list */

if (pszArgs == "")

pszArgs = "arg(0) = " + pszCurrentArg;

else

pszArgs = pszArgs + chr(13) + chr(10) + "arg(" + str(i) + ") = " + pszCurrentArg;

/* Increment to the next arg */

i = i + 1;

}

/* Display the args */

if (pszArgs == "")

messageBox("No args found on the command line.", "getargs", MB_OK);

else

messageBox(pszArgs, "getargs", MB_OK);

}

getcwd

Summary

text getcwd();

Description

Determines the full file path of the current working directory.

Return Value

A text string containing the current working drive and directory.

See Also: chdir(), diskspace()

Example

main()

{

chdir("C:\DATA");

puts(10,40,"The current directory is "+getcwd());

return(getkey());

}

getenv

Summary

int getenv(text name);

Description

The getenv() function searches the environment list for an entry matching name. The search is not case-sensitive.

Entries are added to the environment list with the DOS SET command, or with the CPL putenv() command. You can view the current environmental settings by typing SET from the DOS command prompt.

Return Value

A text value containing the string assigned to the environment variable specified by name. The string is empty if there is no entry for name.

See Also: getarg(); putenv()

Example

main()

{

text tempDir;

tempDir = getenv("TEMP");

if(tempDir == "")

puts( 10, 40, "No temporary directory exists.");

else

puts( 10, 40, "The temporary directory is "+tempDir);

return(getkey());

}

getfile

Summary

int getfile(char prompt[], fileMask[], fileName[]);

Description

A file selection window is displayed that shows the names of files that match the file mask. The mask can contain any characters valid in a file name, including wildcard characters. The prompt string is displayed as the title of the file selection window. If the user selects a file, the file's name is returned in the filename[] array.

Return Value

getfile() returns a carriage return and a file name if the user selects a file. It returns an ASCII escape character, value 27, if the user presses escape to quit file selection without making a selection.

Example

OpenADataBase()

{

int db = -1,

CR = 13;

char string[60];

if (getfile("Database","*.DCB",string) == CR)

db = opendb(string);

return(db);

}

getkey

Summary

int getkey();

Description

Read a key from the keyboard. This function will not return until a key is ready.

Return Value

Key pressed, there is no error value.

See Also: keypress()

Example

/* Prompt the user for the input code. */

input()

{

int value;

value = 0;

puts(5,10,"Enter code:");

cursor(5,22);

while(value == 0)

switch(getkey()) {

case 'A':

case 'a': value = 1;

break;

case 'S':

case 's': value = 2;

break;

case 27: value = -1; /* [Esc] */

break;

default: beep(45,100);

break;

}

return(value);

}

getline

Summary

int getline( int row, column, width; char string[]; [int color[,background]]);

Description

Retrieves a line of input text from the user. The maximum number of characters it will retrieve is equal to width - 1, since all character strings must be terminated by a zero. Color and background color are optional parameters. The background color only has meaning under Windows.

Return Value

The keystroke that caused the function to terminate. Any key that it cannot process itself will cause it to return. It will handle END, HOME, Ctrl-Y (Delete to end of line), LEFT, and RIGHT. All other keys cause it to return. The LEFT and RIGHT cursor control keys will also cause it to return if the user tries to move out of the text they are editing.

The value 16, a Ctrl-P, is returned if the user types past the last character in the field.

See Also: edit(), getnumber()

Example

/* Get a line of input from the user, return */

/* the input and the exiting key stroke. */

huh(char txt[])

{

int CR, ESC, key;

key = 0; txt[0] = 0;

CR = 13; ESC = 27;

puts(15, 20, "Huh?");

while((key <> CR) and (key <> ESC))

key = getline(15, 25, sizeof(txt), txt);

return(key);

}

getnumber

Summary

int getnumber( int row, col; float number, min, max; int width, places, [color[,background]]);

Description

Prompts the user for a number at the row and column coordinates on the screen. The number will be between the min and max values. It will be no more than width characters wide, and will contain only places number of decimal places. The number, min, and max parameters can be any numeric value type, not just float.

The color and background color parameters are optional. TextColor_ will be used if the color parameters are left off.

Return Value

The key that caused the function to return. The number parameter will contain the user's entry when the function returns. If the user presses the [Esc] key, number will contain the original value when getnumber() was called.

The value 16, a Ctrl-P, is returned if the user types past the last character in the field.

See Also: getline()

Example

/* Get the number of lines per page to print. */

GetLinesPerPage(int lpp)

{

int CR, ESC, key;

CR = 13;

ESC = 27;

puts(15, 1, "Lines per page:");

while((key <> CR) and (key <> ESC))

key = getnumber(15, 17, lpp, 0, 255, 5, 0);

return(lpp);

}
getPrivateProfileString

Summary

int getPrivateProfileString( text szSection;

text szKey;

text szDefault;

char szDestination[];

int size;

text szFile);

Description

The getPrivateProfileString() function returns a string from the specified section in an initialization file.

Parameter | Function
szSection | The name of the section containing the key name. If this parameter is NULL, the function copies all section names in the file to the supplied buffer.
szKey | The name of the key whose associated string is to be retrieved. If this parameter is NULL, all key names in the section specified by the szSection parameter are copied to the return buffer.
szDefault | If the szKey entry cannot be found in the initialization file, then the default string is returned. This parameter cannot be NULL.
szDestination | The data is returned in this array of char. It must be large enough to hold the data.
size | The length of szDestination in byes, for instance, use sizeof(szDestination).
szFile | The fully qualified name of the .ini file. If this parameter does not contain a full path, the system searches for the file in the Windows directory.

Avoid specifying a default string with trailing blank characters. The function can insert a null character in the returned text to strip any trailing blanks, depending on the operating system used.

You can create a NULL parameter by declaring NULL as a text variable and not assigning any value to it.

Return Value

The return value is the number of characters copied to the buffer, not including the terminating null character.

If neither szSection nor szKey is NULL and the supplied destination buffer is too small to hold the requested string, the string is truncated and followed by a null character, and the return value is equal to size minus one.

If either szSection or szKey is NULL and the supplied destination buffer is too small to hold all the strings, the last string is truncated and followed by two null characters. In this case, the return value is equal to size minus two.

See Also: writePrivateProfileString()

gettags

Summary

text gettags(int db; text szDelimiter);

Description

Retrieves all tags applied to the current document. Each tag is separated by the szDelimiter parameter.

Return Value

A text string containing the document’s tags. An empty string if the document is not tagged.

See Also: istagged()

Example

/* Locate tags. Delimit with semi-colon & newline. */

text szResult;

szResult = gettags(db, ";" + newline());

getuuid

Summary

text getuuid(int db);

Description

Retrieves the document’s unique universal identifier. This is a unique serial number assigned to each record in a Concordance Desktop database. Unlike accession numbers, the UUID is unique across databases.

Return Value

A text string containing the document’s UUID. Only V7.0 and later databases contain UUIDs. Records in earlier databases will return empty strings.

See Also: accession(), gotouuid()

global

Summary

global(int db);

Description

Invokes Concordance Desktop Global Edit mode. See the Concordance Desktop manual for a description of Global Editing. The screen is automatically saved before entering this mode and restored after exiting.

Return Value

None.

goto

Summary

int goto(int db, document, field, offset);

Description

Reads the specified document in the current query set. On return, the document, field, and offset parameters, if they are passed, will contain the relative document number, field number and word offset. The offset indicates the offset of the retrieved word from the beginning of the field. Fixed field searches will return offset values of zero.

The hit list is positioned on the first hit for the document. Additional calls to nexthit() will retrieve information about the other items in the list.

Return Value

Returns a value less than or equal to zero if you to try to move past the last document in the current query.

The document, field, and offset parameters will contain information about the first word in the document.

See Also: recno(), docno(), first(), last(), next(), prev(), readdoc()

gotoaccession

Summary

int gotoaccession(int db, accessionNumber);

Description

Locates and reads the document that matches the accession number. Accession numbers are returned by the accession() function. They are used by Concordance Desktop internally in place of physical record numbers for record tagging and full text searching in V6.0 and later databases.

Return Value

Returns zero if successful.

See Also: accession(), goto(), gotophysical(), gotouuid(), recno(), docno(), readdoc()

gotophysical

Summary

int gotophysical(int db, document, field, offset);

Description

Locates the specified document in the current query set. The document number is the physical document number in the underlying database, not the relative document number in the current query.

On return, the document, field, and offset parameters, if they are passed, will contain the relative document number, field number and word offset. The offset indicates the offset of the retrieved word from the beginning of the field. Fixed field searches will return offset values of zero.

The hit list is positioned on the first hit for the document. Additional calls to nexthit() will retrieve information about the other items in the hit list. Only the database handle and document number parameters are required.

Return Value

Returns the physical document number if successful. Returns a value less than or equal to zero if the physical document can't be located in the current query. In this case, the last document in the list becomes the current document.

The document, field, and offset parameters will contain information about the first hit word in the document if it was located successfully.

This function should not be used with concatenated databases as more than one database can have the same physical document number.

See Also: goto()

gotouuid

Summary

int gotouuid(int db, text szUUID);

Description

Locates and reads the document that matches the unique universal identifier text. UUIDs are returned by the getuuid() function for any V7.0 or later database. They are used by Concordance Desktop internally in place of physical record numbers to link an annotation to a record. Use the NOTEPARENT field in a database-notes database to obtain the parent record’s UUID. Then use the UUID with gotouuid() to retrieve the parent record. The note is attached to this record.

Return Value

Returns zero if successful.

See Also: getuuid(), gotoaccession()


H
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter H. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

hits

Summary

int hits(int db);

Description

Returns the count of words located by the active query.

Return Value

Number of hits in currently retrieved search list.

See Also: count()


I
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter I. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

import

Summary

int import( text db->field;

char filename[];

char delimiter[];

int anchored;

int keepfile;

int blanks;

int wrap;

[int maxBytes]);

Description

Loads the text file, whose name is passed in filename[], into the selected field and appends the new documents to the end of the database. If the file contains data for several documents, they are separated from each other by a line with the delimiter string on it. Concordance Desktop will assume the delimiter string is flush left if the anchored parameter is an 'A'.

The text file is a plain text file, i.e., ASCII format. Import will break the file into several documents if it is larger than 65,000 characters or maxBytes, and it cannot flow the text into following paragraphs.

If the keepfile parameter is 'K', Concordance Desktop will store the file's name in parentheses on the first line of each document created. The file name will appear on the line by itself.

Concordance Desktop will keep blank lines if the blanks parameter is 'B'. This parameter should be set to zero to remove blank lines. Concordance Desktop will automatically trim any trailing spaces from each line it loads.

The wrap parameter should be set to a 'W' if your text has indented paragraphs, or paragraphs separated by blank lines. This will cause Concordance Desktop to treat all carriage returns as soft returns, word wrapping all text until it finds an indented or empty line.

Concordance Desktop loads up to 60,000 characters per field unless the optional maxBytes parameter specifies another maximum.

Return Value

A zero if no error occurred. A nonzero value would indicate that the user aborted the import by pressing the [Esc] key, a disk or database full condition, or an error reading or locating the import file.

See Also: load()

Example

LoadDeposition(int db)

{

int CR;

char string[60];

CR = 13;

if ( getfile("Deposition","*.*",string) == CR)

import(db->depo,string,"",0,'K',0,0);

return;

}
importfs

Summary

importfs(int db);

Description

Full screen import menu as described in the Concordance Desktop Reference Manual.

Return Value

None.

See Also: loadfs()

index

Summary

int index(int db);

Description

Database is indexed from scratch. The dictionary file and inverted text files are erased before this command begins. The user is not prompted before the files are erased.

The db parameter must be a value returned by a call to opendb(). The screen is automatically saved before entering this mode and restored after exiting.

Return Value

Zero if successful.

See Also: reindex(), opendb()
insertText

Summary

insertText(db->FIELD; text szText; int offset);

Description

The first parameter identifies a field in the database. The insertText() function inserts a block of text, the szText parameter, into the field. This function preserves annotations and rich text formatting. Simply assigning text to a field does not preserve annotations or rich text, i.e., db->FIELD = db->FIELD + szText may cause all annotations to be misplaced and rich text formatting to disappear.

Return Value

The number of bytes inserted.

See Also: deleteText()

isalnum

Summary

int isalnum(char ch);

Description

Tests the character value to determine if it is in the set a to z, or A to Z, or 0 to 9. ch can be any numeric value, char, int, float, or short.

Return Value

Returns a nonzero value if the character is in the alphanumeric set of characters. Returns a zero if it is not.

See Also: isalpha(), isdigit()

isalpha

Summary

int isalpha(char ch);

Description

Tests the character value to determine if it is in the set a to z, or A to Z.

Return Value

Returns a nonzero value if the character is alphabetic, or a zero if it is not alphabetic.

See Also: isalnum(), isdigit()

isdeleted

Summary

int isdeleted(int db);

Description

Checks if the document is marked for deletion.

Return Value

Nonzero if the document is marked for deletion, zero if it is not marked for deletion.

See Also: delete(), recall(), pack()

Example

/* Count the documents marked for deletion. */

DelCount(int db)

{

int count;

cycle(db)

if (isdeleted(db))

count = count + 1;

return(count);

}
isdigit

Summary

int deleteText(db->FIELD; int offset; int length)

Description

The first parameter identifies a field in the database. The deleteText() function deletes a block of text at offset for length number of bytes. This function preserves rich text formatting and properly processes annotations. Any annotations contained by the block of deleted text are also deleted.

Return Value

The number of bytes deleted.

See Also: insertText()

isedited

Summary

int isedited(int db);

Description

Determines if the full-text indexable fields in the current document have been edited or appended to the database since the last time the database was reindexed. Documents located in a full text search that have been edited may not actually match the search conditions. Attempting to highlight the keywords on the screen, or to underline them on a printer may result in the wrong words being highlighted.

Return Value

A nonzero value if the document has been edited or modified since the last reindex.

isfield

Summary

int isfield(int db; text fieldName);

Description

Determines if the named field exists in the database. Useful with concatenated databases and the report writer.

Return Value

Returns the nonzero field number if the field exists in the current database, otherwise zero.

Example

printSomeData(int db, fh)

{

int i;

text someData;

cycle(db) {

someData = ((i=isfield(db,"SUMMARY")) ? db->i : "");

writeln(fh, someData);

}

}

islower

Summary

int islower(char ch);

Description

Tests the character to see if it is a lower case letter, in the set a to z.

Return Value

Returns a nonzero value if the character is lower case, and a zero if it is not a lower case letter.

See Also: isupper(), lower(), upper()

isnexthit

Summary

int isnexthit(int db);

Description

Determines if there is another hit in the current document. A hit is a word located in a search.

Return Value

Returns a nonzero value if there is a hit.

Example

/* Count the hits in this record */

for (i = 1; isnexthit(db); i = i + 1)

nexthit(db);

See Also: nexthit()

isspace

Summary

int isspace(char ch);

Description

Tests the character to see if it is a white space character. White space characters include the space, horizontal tab, line feed, vertical tab, form feed, and carriage return; ASCII codes 32, 9, 10, 11, 12, and 13, respectively.

Return Value

A nonzero value is returned if the character is a space, and a zero is returned if it is not a space character.
istagged

Summary

int istagged(int db[, text tagName]);

Description

Checks if the document is currently tagged. The parameter db is a handle an open database. If the optional tagString is passed, the return value only applies to that tag. Calling istagged() without a tagString determines if the default tag, "", has been applied to the document. To determine if ANY tag has been applied use the following code:

text NULL;

if (tagged(db,NULL))

Return Value

Returns a zero if the document is not tagged, nonzero if it is tagged.

See Also: gettags(), tag(), tagquery()
isupper

Summary

int isupper(char ch);

Description

Tests the character to determine if it is an upper case letter, in the set A to Z.

Return Value

Returns a nonzero value if the character is upper case, and a zero if the character is not an upper case letter.

See Also: islower(), lower(), upper()

itoa

Summary

int itoa(int value; int radix);

Description

Converts an integer to a plain text, ASCII, value in base radix notation. If the value of radix is 10, and the number is negative, then itoa() will prepend a minus sign to the result.

Return Value

The number as a string in the requested base.

See Also: str(), num()

Example

The following program displays the values 25, 19, and 11001, which is the decimal 25 in base 10, 16 and base 2.

main()

{

puts( 10, 10, itoa( 25, 10 ));

puts( 11, 10, itoa( 25, 16 ));

puts( 12, 10, itoa( 25, 2 ));

getkey();

}


K
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter K. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

keep

Summary

int keep(int db; text filename);

Description

Saves all queries in the current session to the named file. Concord ance normally appends the file extension . QRY to saved query files. The keep() function does change the file name passed to it.

Return Value

Returns a nonzero value if an error was encountered while saving the queries. An error return indicates a bad file name, or a full disk.

See Also: exec(), snapshot()

keypress

Summary

int keypress();

Description

Checks to see if there is a key in the input buffer. keypress does not read the key from the buffer if one is ready. It immediately returns to the caller, whether or not a key is ready.

Return Value

Returns a zero if no key is ready, otherwise it returns the value of the key that will be returned by the next getkey() call.

See Also: getkey()

Example

main()

{

int ESC, finished;

ESC = 27;

finished = 0;

/* Loop until finished or until */

/* someone hits the ESC key. */

while((keypress() <> ESC) and (finished == 0))

finished = DoSomething();

/* If the user hit the ESC key */

/* to terminate processing early, */

/* read it from the buffer. */

if (keypress() == ESC)

getkey();

}


L
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter L. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

last

Summary

int last(int db, document, field, offset);

Description

Advances to the last document retrieved in the current query set. On return the document, field, and offset parameters, if they are passed, will contain the relative document number, field number and offset into that field that indicates the offset of the retrieved word. The document's number is its position relative to other documents in the query. Some searches, such as query zero, will return field values of zero. Check the field parameter before using it to access a field's data.

The hit list is positioned on the first hit for the last document. Additional calls to nexthit() will retrieve information about the other items in the hit list.

Return Value

Returns the physical document number of the last document retrieved by the query. Information about the hit word is returned only if one or more of the document, field, and offset parameters are passed.

Returns a value less than or equal to zero if the query or database is empty, or if the document could not be read.

See Also: first(), next(), nexthit(), prev(), prevhit(), count(), docno()

len

Summary

int len(text note);

Description

Determines the length, in characters, of the text variable, character array, or database field. The results are not valid for numeric or date fields.

Return Value

Integer length in bytes of the parameter.

See Also: sizeof()

load

Summary

int load( int db; char filename[]; [int comma, quote, newline; [int row, column, color]]);

Description

Loads the database from the parameter file name. The file must contain database records in delimited ASCII format.

The fields loaded, and the order in which they are loaded, is set by assigning a number to the "order" entry of the field definition. You can assign any number from -128 to 127, but Concordance Desktop will only load fields with consecutive numbers from 1 to the last field number defined in the database. You should always renumber the fields before loading the database. Concordance Desktop uses, and changes, the field order in several full screen modes including Print, Load, and Unload. See the for-loop example below.

The optional parameters, comma, quote and newline, are used to delimit the fields during the load process. If they are left off Concord ance will use its internal ASCII default values, 20, 254 and 174 respectively. It is recommended that you leave the comma, quote and newline parameters off if transferring data between Concordance Desktop databases. However, they are required if the screen status parameters are passed.

Return Value

A count of the number of documents loaded from the delimited ASCII file. A count less than expected can indicate a disk full condition, or that the user pressed the [Esc] key to cancel the operation.

See Also: unload(), loadfs(), unloadfs(), import()

Example

main()

{

int db, i, count;

/* Permanately sort all records in the */

/* database in ascending order. */

if ((db = opendb("helpdesk")) <> -1)

{

sort(db,"db->DATE");

/* Renumber all fields to unload in */

/* order. This step is necessary */

/* since the order previously set, */

/* or set in Print, is retained */

/* until reset. Never assume the */

/* order includes all fields. */

for(i = 1; i <= db.fields; i = i + 1)

db.order[i] = i;

count = db.documents;

if (unload(db,"helpdesk.dat") <> count)

puts(0,0,"Error unloading database.");

else

{

zap(db);

if (load(db,"helpdesk.dat") <> count)

puts(0,0,"Error reloading data.");

else

{

erase("helpdesk.dat");

index(db);

}

}

closedb(db);

puts(0,1,"Press any key to continue...");

getkey();

}

}

loadfs

Summary

loadfs(int db);

Description

Invokes Concordance Desktop full screen load mode. The screen is automatically saved before entering Load, it is restored after returning.

Return Value

None.
lockdb

Summary

int lockdb(int db);

Description

Will attempt to lock the current database for exclusive use. This will always succeed in single user versions of Concordance Desktop. Network versions will fail if another user is accessing the database. The database cannot be accessed by other network users while it is locked.

The database is automatically locked and unlocked by Concordance Desktop during pack and modify procedures.

Return Value

Returns a zero if the lock operation was successful, a nonzero value if unsuccessful.

See Also: unlockdb()

lockdoc

Summary

int lockdoc(int db);

Description

Will attempt to lock the current document in the network version of Concordance Desktop. This has no effect in non-network versions of the program. A locked document cannot be changed and saved to file by other users. Reading another document, or using one of the Concordance Desktop full screen functions, such as loadfs() or global(), will unlock the document. However, the document is automatically locked again when it is reloaded.

Documents are automatically locked by Concordance Desktop when read into memory. Your program should unlock them as a courtesy to other network users if you do not intend to edit or modify them.

Return Value

Returns a zero if the lock operation was successful. Concordance Desktop will make ten attempts to lock the document before giving up.

See Also: unlockdoc(), locked()

locked

Summary

int locked(int db);

Description

Determines if the current document is locked. A locked document can be used, edited, and modified, but none of the changes will be saved to file. Documents are automatically locked in network versions of Concordance Desktop, unless they have been unlocked by a call to the unlockdoc() function.

Return Value

A zero if the document is not locked. A value of one if you have locked the document by a call to lockdoc(), and a value greater than one if the document is locked by another user on the network. Non-network versions of Concordance Desktop will always return zero.

See Also: lockdoc()

Example

getdoc(db,document)

{

int trys;

/* Try to get document up to 10 times. */

trys = 10;

readdoc(db,document);

while((trys > 0) and locked(db)) {

readdoc(db,document);

trys = trys - 1;

}

lockdoc(db);

/* Return a nonzero if we got a lock. */

return(locked(db) == 1);

}
lower

Summary

text lower(text author);

Description

Produces a duplicate of the variable in lower case. Does not change the original.

Return Value

The parameter in lower case.

See Also: capitalize(), upper()

Example

main()

{

text author;

author = "E E Cummings";

puts(0,0,lower(author));

puts(1,0,author);

}

Output:

e e cummings

E E Cummings

lseek

Summary

int lseek(int handle, offset, mode);

Description

Moves the next read or write position in the file to the specified offset. The mode indicator tells lseek how to move, as follows:

Mode 'B' Move relative to the beginning of file.

Mode 'P' Move relative to the present position.

Mode 'E' Move relative to the end of the file.

Use offset = lseek(handle, 0, 'P') to determine the present location in the file.

Return Value

The new position in the file, as an offset in bytes from the beginning of the file. The first byte in the file is at offset zero. Returns a -1 if the move was unsuccessful.

ltrim

Summary

text ltrim(text string);

Description

Removes all leading white space from the text variable, character array, or field. White space consists of spaces, tabs, carriage returns, and line feeds.

Return Value

Returns a duplicate of the string, does not modify the original.

See Also: rtrim(), trim()


M
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter M. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

mapDevice

Summary

int mapDevice(text localName, remoteName, user, password);

Description

Maps a network printer or disk drive. If user and password are NULL parameters then mapDevice() will use the currently logged user. If that is unsuccessful then the system may prompt the user for a password. Create a NULL parameter by declaring a text variable and not assigning a value to it. See the example below.

localName is the local device name such as "lpt1" or "f:" that you will use to access the device. remoteName is the network device name, such as "\\MyServer\sys".

Return Value

Zero indicates success.

See Also: unmapDevice()

Example

main()

{

text NULL;

mapDevice("T:", "\\MyServer\sys", NULL, NULL);

}

markhits

Summary

text markhits(text field, beginMark, endMark);

Description

Retrieves the database field, marking hits with the beginMark and endMark text sequence. This is used primarily for adding word processing bold-on and bold-off sequences to search terms located in a query. This would include situations where Concordance Desktop is being used with an Internet Server to return data in Hypertext Markup Language (HTML) for Internet Web Browsers.

The function should be called with a database field:

text markedText;

markedText = markhits(db->TEXT, "<B>", "</B>");

Return Value

The database field as a text value.

Example

/* Write fields from db to fh (file handle.) */

/* Output the text using Internet HTML (Hyper */

/* Text Markup Language.) */

OutputHTML(int db; int fh)

{

int i, j, k, ln;

text szText;

for (j = 1;j <= db.fields; j = j + 1) {

switch(db.type[j]) {

case 'P':

szText = markhits(wrap(db->j, 65000), "<B>", "</B>");

for (k = findline(szText, 1, ln);

k > 0;

k = findnline(szText, k, ln)) {

write(fh, addr(szText, k), ln));

write(fh, "<BR>", 4);

}

break;

case 'T':

writeln(fh, szText="<B>"+db.name[j]+" = </B>" +

trim(db->j) + "<BR>", len(szText));

break;

case 'D':

writeln(fh, szText="<B>"+db.name[j]+" = </B>" +

dtoc(db->j, db.length[j]) + "<BR>",

len(szText));

break;

case 'N':

writeln(fh, szText="<B>"+db.name[j]+" = </B>" +

str( db->j, db.length[j], db.places[j]) +

"<BR>",

len(szText));

break;

}

}

} /* OutputHTML() */

match

Summary

int match( text target, search; int offset, length );

Description

Locates the search string in the target beginning offset bytes into the target and looking for, at most, length bytes. The length parameter is optional, if it is left out match will look through the entire target string from offset to the end.

Return Value

The index to the location of the search string in the target string. A zero if no match was made.

See Also: matchc()

matchc

Summary

int matchc(text target, letterString);

Description

Locates the first occurrence of any character from the letter string in the target search string.

Return Value

The offset of the first matching letter from letterString found in the target. Returns a 0 if no match was found. Note that in the following example, if the character C is found to occur in the target search string before the letters b and a, then the offset returned will be that of the letter C.

See Also: match()

Example

if (i = matchc(db->TEXT,"abABC"))

...

max

Summary

float max(float x, y);

Description

Determines which value is greater. The parameters x and y can be char, short, int, or float, max() will make the proper comparison regardless of type.

Return Value

The greater of the two values.

See Also: min()

memavl

Summary

int memavl();

Description

Determines the maximum amount of memory that is available for use by your program. This can be important if your program concatenates large character strings. Concordance Desktop uses available memory to manipulate the large blocks of text and will produce an insufficient memory error if it cannot allocate enough room.

Return Value

The largest block of memory that Concordance Desktop can allocate for use by your program. This value will change while your program runs.

Example

concatenate(int db, first, second)

{

text data;

/* Check if there is enough memory to join */

/* two large text fields. This test avoids */

/* a FATAL "Insufficient Memory" error. */

if (memavl()<len(db->first)+len(db->second))

{

/* There wasn't enough space. */

/* Display a non-fatal message. */

beep(45,200);

puts(0,0,"Can't join the two fields.");

getkey();

}

else

/* Enough space, join the fields. */

data = db->first+db->second;

return(data);

}

memcpy

Summary

memcpy(destination, source; int bytes);

Description

Copies the source data value to the destination for the specified number of bytes. Source and destination should be the same data type, but that is not required. This function should be used with caution as data type and range parameter checking that is performed with direct assignments, a = substr(b,1,10), is not performed with memcpy(). Consequently memcpy() will perform faster in some cases, but it will not provide you with zero terminated strings.

Return Value

The destination value.

Example

/* Copy to a date field to avoid math conversions */

/* on invalid entries, including zeroed dates. */

memcpy(db->DATE,"19930900",8);

See Also

memset()

memset

Summary

memset(destination; char value; int length);

Description

Sets bytes in destination to value for length specified. Destination can be any left-side-value including char, short, int, float, text, or a database field. This function offers a fast way to initialize a string or other variable to a set value.

Return Value

The destination value.

Example

/* Clear an array before reading from disk. */

memset(string,0,sizeof(string));

read(fh,string,sizeof(string));

See Also

memcpy()

menu

Summary

int menu( int row, col, brow, bcol; text array[]; int next; text "QUICK");

Description

Displays a menu in a window whose screen coordinates are specified by the two row and column parameter pairs.

The "next" parameter specifies the first option in the text array[] to highlight when the menu is displayed. The first item in the menu, item zero, is displayed as the title of the menu.

The quick keys parameter, which is optional, will cause the menu to return if any of the keys in the list are pressed. The menu is case sensitive, only upper case letters should be in the quick keys list. Keystrokes read by menu() are converted to upper case before processing.

The menu() function will leave the selected menu item highlighted. If the user pressed a quick key, the menu() function will attempt to highlight the item which corresponds with the key. Therefore, the quick key list must contain only one key for each item in the menu, and they must be in the same order as the menu items. Additional keys, which do not correspond to displayed menu items, can be included in the list, but they should appear at the end of the list.

Return Value

The number of the menu item selected or 0 if the ESCape key was pressed. The menu is not cleared from the screen when the user makes a choice.

See Also: btmenu()

Example

main()

{

text mymenu[4];

int db, ESC, next;

ESC = 27;

mymenu[0] = "Research Technology Library";

mymenu[1] = "Search";

mymenu[2] = "Browse";

mymenu[3] = "Edit";

if ((db = opendb("library")) >= 0)

next = 1;

while (next > 0)

{

next = menu(5,30,10,50,mymenu,next,"SBEX");

switch(next)

{

case 1: /* Do a search. */

search(db);

break;

case 2: /* Browse the database. */

browse(db);

break;

case 3: /* Edit retrieved documents. */

editfs(db);

break;

case 'X': /* Option X isn't ON the menu, */

/* it is in the quick key list. */

/* Display available memory. */

puts(0,0,"Memory: "+str(memavl()));

break;

}

}

closedb(db);

}

messageBox

Summary

int messageBox(text szText, szTitle; int style);

Description

Displays a standard Windows message box with the szText parameter as the message and szTitle as the message box title.

The style parameter determines the return value. Combine the style parameters together with the | operator, for instance MB_YESNO | MB_ICONQUESTION. All parameters are predefined by the CPL interpreter. You do not need to declare them to use them. They are all integers. Style is any one of the following values:

Parameter | Description
MB_ABORTRETRYIGNORE | The message box contains three push buttons: Abort, Retry, and Ignore.
MB_DEFBUTTON1 | The first button is the default. The first button is always the default unless MB_DEFBUTTON2 or MB_DEFBUTTON3 is specified.
MB_DEFBUTTON2 | The second button is the default.
MB_DEFBUTTON3 | The third button is the default.
MB_ICONEXCLAMATION | The message box displays an exclamation-point icon.
MB_ICONINFORMATION | The information icon, a lowercase letter "I" in a circle, is displayed.
MB_ICONQUESTION | A question-mark icon appears in the message box.
MB_ICONSTOP | The message box displays a stop-sign icon.
MB_OK | The message box contains one push button: OK.
MB_OKCANCEL | The message box contains two push buttons: OK and Cancel.
MB_RETRYCANCEL | The message box contains two push buttons: Retry and Cancel.
MB_YESNO | The message box contains two push buttons: Yes and No.
MB_YESNOCANCEL | The message box contains three push buttons: Yes, No, and Cancel.

Return Value

A zero is returned if Windows could not create the message box, generally as a result of a low memory condition. Depending on the style parameter, the return values are listed below. All return value parameters are predefined by the CPL interpreter. You do not need to declare them to use them. If a cancel button is available and the user presses the [Esc] key, IDCANCEL is returned.

Parameter | Description
IDABORT | Abort button was selected.
IDCANCEL | Cancel button was selected.
IDIGNORE | Ignore button was selected.
IDNO | No button was selected.
IDOK | OK button was selected.
IDRETRY | Retry button was selected.
IDYES | Yes button was selected.

min

Summary

float min(float x, y);

Description

Determines which value is smaller. The parameters x and y can be char, short, int, or float, min() will make the proper comparison regardless of type.

Return Value

The lesser of the two values.

See Also: max()

mkdir

Summary

int mkdir(text directoryPath);

Description

The mkdir() function creates a new subdirectory with directoryPath name. directoryPath can be either and absolute path name or relative to the current working directory.

Return Value

mkdir returns zero if successful, nonzero otherwise.

See Also: chdir(), getcwd(), rmdir(), rename(), erase()

modify

Summary

modify(int db);

Description

Concordance Desktop full screen database modify command. It allows the user to modify the structure of the database whose handle is db. See the Concordance Desktop User Guide for a full description. The screen is automatically saved before entering modify and restored after exiting.

This function is not implemented in the Concordance Desktop Runtime Module. It will return immediately when called from the Runtime module.

Return Value

None.

See Also: createfs(), createdb(), struc()

month

Summary

int month(int db->field);

Description

Extracts the month from the date. The date must be an integer value representing the date, though any passed numeric value will be converted by month() to integer format before processing. The parameter can be a date formatted field, the return value of the ctod() function, or either of these values stored as an integer.

Return Value

The month of the year as an integer value, 1 - 12.

See Also: day(), year(), weekday()


N
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter N. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

netuser

Summary

text netuser();

Description

Determines the user ID, or workstation ID, for the network.

Return Value

Text string containing the user's sign-on ID.

newline

Summary

text newline();

Description

Returns a hard carriage return. Primarily used in the report writer.

Return Value

A carriage return/line feed combination.

next

Summary

int next(int db, document, field, index);

Description

Concordance Desktop advances to the next document in the current query. The hit list is positioned on the first hit for the document. Additional calls to nexthit() will retrieve information about the other items in the hit list.

Return Value

Returns the physical document number of the next document retrieved in the query. Returns a value less than or equal to zero if the current document is the last in the query, or if an error was encountered reading the document.

See last() for more information about returned values.

See Also: last(), first(), nexthit(), prev(), prevhit(), count(), docno(), hits()

Example

/* Cycle through every document in the data

** base, starting with the current document,

** converting the STATE field to upper case.

*/

StateToUpper(db)

{

int i;

for(i = docno(db); i > 0; i = next(db))

db->state = upper(db->state);

}

nexthit

Summary

int nexthit(int db, document, field, index);

Description

Moves to the next hit in the current query. If this moves to the next document, then that document is read. Information about the hit list item is returned.

db is a valid database handle returned by a call to opendb(). The document, field, and offset parameters are optional.

Return Value

Information about the hit word is returned only if one or more of the document, field, and offset parameters are passed.

Returns a value less than or equal to zero if the document could not be read.

See Also: goto(), first(), isnexthit(), last(), prev(), next(), prevhit(), count(), hits()
not

Summary

int not(int number);

Description

Logically inverts the number, converts the number to its one's compliment. The binary representation of 2 is 0000000000000010, not(2) returns the value 1111111111111101. The number is converted to int type before the inversion.

Return Value

The number's one's compliment.

See Also: Operators and Operands | and &.

num

Summary

float num(char string[]);

Description

Converts a character string to a number. The number is converted to a float type, but the result of num() can be assigned to any numeric type.

Blank spaces are ignored in the conversion. The conversion begins with the first numeric character, and it ends when the first nonnumeric character is encountered.

Return Value

Numeric representation of character string.

See Also: itoa(), str()

Example

main()

{

text something;

int i;

something = " 1982 was a good year.";

i = num(something) + 1;

/* i now equals 1983. */

}


O
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter O. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

onexit

Summary

int onexit(text exitFunction);

Description

Runs a Concordance Desktop menu command after the CPL program terminates. The exitFunction parameter is a string containing any standard item that appears in the Concordance Desktop menus, such as "Browse" or "Table." Use an empty string, "", to reset the onexit() function.

Return Value

A nonzero value if successful, zero if onexit() has been reset. The function is reset and zero is returned if the exitFunction menu string was not matched.

open

Summary

int open(char string[], type[]);

Description

Opens a file for use and returns that file's handle. The handle must be used to access the file.

Type can be:

"ru" or "rU" Open existing Unicode file for read only access.
"wu" or "wU" Create empty Unicode file for writing, erases file if it exists.
"au" or "aU" Open or create Unicode file for appending, no reading.
"ru+" or "rU+" Open existing Unicode file for reading and writing.
"au+" or "aU+" Open or create Unicode file for appending and reading.
"wu+" or "wU+" Open Unicode file for reading and writing. This erases the file if it exists.

Use caution with "w+" and "w" as they will reset a file and destroy its contents if the file already exists.

Note that both parameters must be either text or char arrays, they can not be character literals as in 'r'. Always use quotes to enclose the parameters, never use apostrophes.

Return Value

A file handle if successful, -1 if not successful.

See Also: read(), write(), readln(), writeln(), close(), exist(), erase()

opendb

Summary

int opendb(char string[]);

Description

Opens the database and returns a file handle which must be used to access the database documents, its fields, and statistics. The first document in the database is automatically read into memory by the opendb() command.

Return Value

A -1 indicates an error opening the database. Any other positive value is a database handle. Up to 16 databases may be open at one time, if available memory.

See Also: closedb()

opendbconvert

Summary

int opendbconvert(text database path);

Description

Converts Concordance version 8 or 9 databases to Concordance version 10. Opens the database and returns a file handle to the database, which must be used to access the database documents, its fields, and statistics. The first document in the database is automatically read into memory by the opendb() command.

The opendbconvert function does not validate or prompt for administrator username and password credentials. To prevent databases from inadvertently being converted to version 10, please ensure that you have only chosen directories and file paths to databases you wish to convert to version 10.

Return Value

A -1 indicates an error opening the database. Any other positive value is a database handle. Up to 16 databases may be open at one time, if available memory.

See Also: closedb()

operator

Summary

operator("ADJ");

Description

Sets the default operator recognized by search(). The operator can be any valid search operator: ADJ, ADJ1 - ADJ99, NEAR, NEAR1 - NEAR99, OR, AND, NOT, XOR.

Return Value

None.

overlayfs

Summary

overlayfs(int db);

Description

Invokes Concordance Desktop full screen Overlay mode. The screen is automatically saved before entering Overlay and restored after exiting.

Return Value

None.


P
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter P. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

pack

Summary

int pack(int db);

Description

Invokes Concordance Desktop full screen pack mode. The database is packed, all documents marked for deletion are removed. The search files are optimized if there is enough room on the disk. The screen is automatically saved before entering Pack and restored after exiting.

Return Value

Zero if successful.
pad

Summary

text pad(char string[], align; int width);

Description

Duplicates the string and pads it with spaces to width number of characters. The string will be left, center, or right justified within the spaces depending on the value of align:

L String is left justified

C String is centered

R String is right justified

V Vertical alignment, adds or truncates lines to maximum height

Return Value

A duplicate of the original string padded with the specified number of spaces. The string is truncated if the width is less than the length of the string. The returned text value will never be longer than width.

Example

main()

{

puts(0,0,"|"+pad("hello",'L',21)+"|");

puts(1,0,"|"+pad("hello",'C',21)+"|");

puts(2,0,"|"+pad("hello",'R',21)+"|");

}

Output:

|hello |

| hello |

| hello|

paste

Summary

text paste();

Description

Returns a copy of the data in the cut and paste buffer. The same data is returned over and over again until it is replace by a cut() or by the user from the editor. The Windows version uses the system clipboard.

Return Value

The contents of the cut and paste buffer.

See Also: cut()

prev

Summary

int prev(int db, document, field, index);

Description

Concordance Desktop moves to the previous document in the current query.

Return Value

Returns the physical document number of the previous document retrieved in the query. Returns a value less than or equal to zero if the current document is the first in the query, i.e., there is no previous document, or if the query set is empty. An error reading the document from file will also return a value less than or equal to zero.

Information about the first hit in the document is returned in the document, field, and index parameters. These parameters are optional. See first() for more detailed information on the return values.

See Also: goto(), first(), last(), next(), prevhit(), nexthit(), count(), hits()

prevhit

Summary

int prevhit(int db, document, field, offset);

Description

Moves to the previous hit in the current query. If this moves to the previous document, then that document is read. Information about the hit list item is returned.

db is a valid database handle returned by a call to opendb(). The document, field, and offset parameters are optional.

Return Value

Returns a value less than or equal to zero if the document could not be read or if the current hit is the first in the database, i.e., there is no previous document.

Information about the hit word is returned in the document, field, and offset parameters.

See Also: goto(), first(), last(), prev(), next(), nexthit(), count(), hits()

print

Summary

print( int db,

outputFileHandle,

firstDocument, lastDocument;

text printFormatFileName;

[int statusRow[,

statusColumn[,

statusColor]]]);

Description

Loads the print format file, file extension .FMT, and prints the document range in the current active query. The output is sent to the open file whose handle is outputFileHandle. The document count is displayed on the screen at statusRow, statusColumn in statusColor. The Windows version displays the print status in a dialog box.

Print format files store all settings that can be set in full screen print mode. The settings are stored as plain text, and are created with the Documents/Print/Save menu option. They can be edited with any text editor. The print format file parameter can be a file name or an empty string, "", to accept the current settings. Any option not specified in the print format file is left alone, it is not reset by its absence. For instance, the file could contain only print margins, page length, and the setup string.

The Windows version requires a valid print format file parameter. It ignores the outputFileHandle parameter and prints to the current device.

Return Value

None.

See Also: printfs(), report(), reportfs()

Example

PrintThisList(int db)

{ /* Example for DOS and OS/2 */

int fileHandle;

if ((fileHandle = open("LPT1","w")) >= 0) {

print(db,fileHandle,1,count(db),"HPLASER",10,40);

close(fileHandle);

}

}

printfs

Summary

printfs(int db);

Description

Invokes the Concordance Desktop full screen print menu. See description in the Concordance Desktop Reference Manual. The screen is automatically saved before entering this mode and restored after exiting.

Return Value

None.

See Also: print(), reportfs()

program

Summary

text program();

Description

Returns the name and DOS path of the currently running CPL program. The full program path may not be available if the program was executed as a command line prompt with Concordance Desktop.

Return Value

The name of the CPL program with the full DOS path if available.

putenv

Summary

int putenv(text nameAndValue);

Description

This function places the value into environment list. The environment list consists of a name and a value. These can be displayed from the DOS prompt by typing SET. The following is an example of a set value.

PATH=C:\;C:\DOS

Values are placed into the environment by passing the name followed by an equal sign and the value. Items are deleted from the environment by passing the name followed by an equal sign only.

Space for environment variables is limited. Consequently, the putenv() function may fail if there isn't enough room to add another value.

Return Value

Zero indicates success, -1 indicates failure.

See Also: getenv()

Example

The following program assigns a string to an environmental value and deletes another value.

main()

{

putenv("USERID=SMITHJ");

putenv("UPDATE=");

}

puts

Summary

puts(int row, column; char string[]; [int color[, background]]);

Description

Displays the text variable or character string on the screen at the row and column, in the specified color.

Color and background color are optional parameters. For DOS and OS/2 the color can be any value from 0 to 255, though values 127 and over may blink. Only Windows will use the background color parameter.

Windows uses colors in the range 0 - 16,777,215. The colors consist of three values: red, green, and blue. They are created by the RGB() function, defined in your program, as follows:

int white = RGB(255,255,255);

RGB(char red, grn, blu)

{

return(((blu*65536)|(grn*256)|red);

}

Return Value

None.

See Also: putsl()

Example

main()

{

int row, col, color;

/* Fill the screen with colors. */

for(col = 0; col < 74; col = col + 6)

for(row = 0; row < 25; row = row + 1) {

puts(row, col, "Color ", color, RGB(190,190,190));

color = color + 1;

}

}

putsl

Summary

putsl(int row, col, length; char string[]; [int color[, background]]);

Description

Displays the string at the row and column position on the screen. The length parameter specifies the number of characters in the string to be displayed. The color for Concordance Desktop normal text is used if the color and background parameters are omitted. Background color is only used by Windows.

Return Value

None.

See Also: puts()

Example

/* Display one screen of the text field. */

showfield(int db, i, offset)

{

int length, row;

wrap(db->i, 75);

offset = findline(db->i, offset, length);

row = 0;

while((offset > 0) and (line < 25)) {

putsl(row, 0, length, addr(db->i, offset));

offset = findnline(db->i, offset, length);

row = row + 1;

}

/* Return the offset of the next line. */

return(offset);

}


Q
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter Q. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

query

Summary

int query(int db, number; char string[]);

Description

Retrieves and makes the selected query number the current query. The query is used by all functions until it is changed by a call to search(), select(), or query(). Queries manually changed in full screen functions, such as browse() and global(), are restored when the function returns.

The string parameter is optional. When it is supplied, the function will fill it with the search string used to create the query.

To use the entire database use query(db, 0). Query 0 is defined to contain every document in the database.

To clear all queries use query(db, -1). This will reset the query counter to 0, and erase the temporary query file.

Return Value

A -1 if the query is out of range, or if an error was encountered reading the query from disk.

See Also: Database information variables db.query and db.activequery.

queryString

Summary

text queryString(int db, query);

Description

Retrieves the query logic string for the query. Unlike the query() function, it does not make the selected query number the current query.

Return Value

The text of the query or an empty string if either parameter is invalid or out of range.

See Also: query(), database information variables db.query and db.activequery.


R
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter R. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

rand

Summary

int rand([int seed]);

Description

Creates a random number sequence for any given seed number. The sequence will always be the same for a particular seed number. rand() should be called with a seed value to begin the random number sequence, for instance, rand(clock()). From then on it will return random numbers.

Return Value

Zero when called with a seed value. A random number otherwise.
read

Summary

int read(int handle; char buffer[]; int length);

Description

Reads length bytes from the file referenced by handle into the variable buffer. You can read/write numeric values by passing their names and using the sizeof() function to determine their lengths.

Return Value

Returns the number of bytes read, which may be less than that requested if the end-of-file was encountered during the read.

See Also: readln(), readc(), write(), writeln(), open(), close()

Example

copyfiles(text from, to)

{

char buffer[512];

int i, oldfile, newfile;

/* Open the old file, in read only mode. */

if ((oldfile = open(from,"r")) < 0)

return(-1);

/* Now open the new file, create it. */

if ((newfile = open(to,"w+")) < 0) {

close(oldfile);

return(-1);

}

/* Copy the old file to the new file. */

while((i = read(oldfile,buffer,512)) > 0)

write(newfile,buffer,i);

close(oldfile);

close(newfile);

return(0);

}

readc

Summary

int readc(int handle)

Description

Retrieves one byte from the file referenced by handle. Handle must be a value returned by a call to open().

Return Value

Character read from file, or -1 if end of file encountered.

See Also: open(), close(), writec(), read(), readln()

Example

skip(int handle)

{

int c, EOF, LF;

/* Skip past one line of input. Read

** until the end-of-file is encountered,

** or a line feed is found.

*/

EOF = -1;

LF = 10;

c = 0;

while((c <> LF) and (c <> EOF))

c = readc(handle);

}

readdoc

Summary

int readdoc(int db, document);

Description

Reads the document from the database. The document becomes the current document. This function does not use the query list, but reads the document in the underlying database. If the current query contains 3 documents, and you request

readdoc(db, 100);

then the 100th document in the database is read.

Using next() after this command will retrieve the next document in the query, not document 101. The same goes for prev(), both functions work on the current query.

Return Value

A -1 if the document is out of range.

See Also: recno()

readln

Summary

int readln(int handle; char buffer[]);

Description

Reads one line of text from the file referenced by handle. The read continues until a line feed is encountered, carriage returns are ignored. The text is stored in the buffer without the terminating line feed. If the buffer fills before the full line is read, then the partial line is returned. The buffer is terminated with a zero.

Return Value

The number of characters read, without counting carriage returns and line feeds. A -1 indicates an attempt to read beyond the end of the file, the buffer will not contain any characters in this case.

See Also: writeln(), read(), write()

recall

Summary

recall(int db);

Description

The current document is unmarked for deletion.

Return Value

None.

See Also: delete()

Example

main()

{

int db;

if ((db = opendb("recipes")) <> 0) {

/* Recall all documents from deletion. */

cycle(db)

recall(db);

closedb(db);

}

}

recno

Summary

int recno(int db);

Description

Retrieves the physical record number of the current document. This function does not use the current query. recno() can be used with readdoc(). Both readdoc() and recno() ignore the current query and operate on the underlying database.

A related function, docno(), always returns information from the current query. Using docno() after readdoc() will cause the current document in the query set to be read. The document read by readdoc() will be flushed.

Use docno() with the functions that manipulate queries, i.e. first(), last(), next(), etc. recno() can be used with either readdoc() or the query functions.

Return Value

The current document's physical record number, or a value less than or equal to zero if no document is ready, i.e. after a blank(), or if the database is empty.

See Also: readdoc(), docno()

reindex

Summary

int reindex(int database);

Description

The database is reindexed. reindex() will call index() if the database has not yet been indexed. The screen is automatically saved before entering this mode and restored after exiting.

Return Value

Zero if successful.

See Also: index()

rename

Summary

int rename(char oldname[], newname[]);

Description

The file name is changed from oldname to newname.

Return Value

A return value of -1 indicates an error. Errors are caused by a failure to find the file, a poorly formed DOS file name, or a file that already exists with the new name.

See Also: exist(), erase()

rep

Summary

text rep(char ch | text string; int length);

Description

Creates a new string with the character ch or text string repeated length number of times.

Return Value

A text variable.

Example

DrawLine(int row; char ch);

{

/* Draw a line across the screen. */

puts(row, 0, rep(ch,80), TextHighlight_);

}

replicate

Summary

int replicate( int publisher;

text subscriber;

text synchMethod;

int appendToPublisher;

int appendToSubscriber;

text deletionTag;

int copyDeletionMarks;

int restoreDeletedDocs;

text collisionTag;

int copyAttachments);

Description

Synchronizes two database. The databases must be from the same replication set, for instance they were created from the same databases using createReplica(). Security, record edits, deletions, and tags are replicated. Replication does not reindex or pack the databases.

Concordance Desktop will attempt to open the subscriber database in shared, multi-user mode. This enables laptop clients to synchronize with the network database even if they are running a single user. However, if the single user program already has the database open on the File menu, the shared open will fail. The example program takes this into account by closing any open database handles.

replicate() can synchronize all fields or just selected fields. Use the db.order[i] value to select fields for replication. Only selected fields are replicated. See the example for more information.

Any records in collision are tagged with the collisionTag. A collision occurs when the same field in the same record in both databases has been edited. Concordance Desktop will not overwrite either edit, but will flag the records as being in collision. See the resolve() function for information on scripting collision resolution.

Parameter | Type | Function
publisher | int | Handle of publisher database.
subscriber | text | Full path and file name of subscriber database.
synchMethod | text | Specify one of the three following options for synchronization: "Synchronize" for full bi-directional synchronize between databases. "POverwrites" for the publisher to overwrite the subscriber when differences are detected, regardless of which database has the most up-to-date information. "Soverwrites" for the subscriber to overwrite the publisher when differences are detected.
appendToPublisher | int | Pass any nonzero value to allow appending of new records to the publisher from the subscriber. Use zero to prevent appending of new records to the publisher database. This is a Boolean value.
appendToSubscriber | int | Pass any nonzero value to allow appending of new records to the subscriber from the publisher. Use zero to prevent appending of new records to the subscriber database.
deletionTag | text | The optional tag is applied to records when the flag marking a record for deletion is copied from one database to another. Use "" if you do not want to tag these records.
copyDeletionMarks | int | Use any nonzero value to allow replication to copy deletion flags. This flag indicates that a record should be deleted during the next database pack. It does not delete the record during replication.
restoreDeletedDocs | int | Use any nonzero value to restore deleted records. This restores the record if it exists in one database but has been deleted from the other. Note that it may be restored and still flagged for deletion.
collisionTag | text | This tag is applied to records in each database when a collision occurs. Use this tag after replication to resolve collisions via the resolve() function. Use "" if you don’t need to track collisions.
copyAttachments | int | This optional parameter copies attachments if set to TRUE.

Return Value

A zero indicates success. Any nonzero value indicates failure. Failure can occur if the subscriber database cannot be opened, if the databases are not from the same replication set, if the replication fields are not present or are not both system and key fields.

Example

/* Fragment of code to synchronize two databases.

** The user’s ID and date are used to flag any

** collisions. The tag could be used later to

** resolve the collisions with resolve().

*/

int i, TRUE = 1, FALSE = 0;

/* Replicate every field. This is a required step. */

for (i = 0; i <= db.fields; i = i + 1)

db.order[i] = i;

replicate( db,

"\\CloudNine\Nome\Alaska\Catalog.dcb",

"Synchronize",

TRUE, /* Append to publisher. */

FALSE, /* Don’t append to subscriber. */

"", /* Don’t tag deletions. */

TRUE, /* Replicate deletions. */

FALSE, /* Don’t restore deletions. */

netuser() + " " + dtoc(today());

See Also: createReplica(), resolve()

report

Summary

int report(int db; text reportName; int first, last);

Description

Runs the named report for the document range. The report is sent to the current default printer.

Return Value

Zero if the report ran, nonzero otherwise.

Example

MonthlyReport(int db)

{

char szNow[10];

int rc;

/* Print a report for every record this month */

if (db.documents > 0) {

szNow = str(month(today())) + "/??/" + str(year(today()))

search(db, "DATE = " + szNow);

if (count(db) > 0) {

sort(db, "dtoc(db->DATE, 'Y')");

rc = report(db, "C:\concord5\taxs.arp", 1, count(db));

}

}

return(rc);

}

See Also: print(), printfs(), reportfs()

reportfs

Summary

reportfs(int db);

Description

Invokes the Concordance Desktop full screen report writer. The screen is automatically saved before entering this mode and restored after exiting.

Return Value

None.

reset

Summary

reset(int db);

Description

Resets the current document, reloading the record from disk without saving any changes made by the programming language application. Note that a call to any full screen function, such as browse() or editfs(), will automatically save the edits. The database functions, next(), prev(), etc., will also save the edits.

Return Value

None.

resolve

Summary

int resolve(int toDatabase, fromDatabase);

Description

This function is passed handles to two databases. It resovles a collision between records in these databases by copying all fields from one database to another database, making the records identical and eliminating the collision.

Collisions occur when the same field in the same record has been edited in both the subscriber and publisher databases. Since Concordance Desktop cannot determine which edit is the "correct" edit, it flags these records as being in collision.

The resolve() function is used to automate replication. It provides a powerful mechanism to script collision resolution based on edit dates, user log-in name, and other user criterion stored in the replication fields.

Return Value

A zero signifies success.

Example

/* Fragment of code to synchronize two databases

** and resolve any collisions between them.

*/

int i, dbS, TRUE = 1, FALSE = 0;

text szTag; /* Tag used to locate collisions. */

char string[200]; /* Used to create a search string. */

/* Replicate every field. This is a required step. */

for (i = 1; i <= db.fields; i = i + 1)

db.order[i] = i;

/* Create a unique tag for collisions */

szTag = netuser() + " " + dtoc(today());

/* Replicate the databases, tagging any collisions. */

replicate( db,

"\\Williamson\case\Production.dcb",

"Synchronize",

TRUE, /* Append to publisher. */

TRUE, /* Append to subscriber. */

"", /* Don’t tag deletions. */

TRUE, /* Replicate deletions. */

FALSE, /* Don’t restore deletions. */

netuser() + " " + dtoc(today());

/* Databases are replicated. Now handle collisions. */

/* First open the subscriber database. */

if ((dbS = opendb("\\Williamson\Case\Production.dcb")) >= 0)

{

/* We need to see the system fields used for */

/* replication. Make them visible to us. They */

/* link the records in the databases. */

set(db, "System fields", "Show");

set(dbS, "System fields", "Show");

/* Locate all records in the publisher database */

/* that were tagged for collision, then process. */

tagquery(db, szTag);

/* Loop through the tagged collision records. */

cycle(db)

{

/* Find this record in the subscriber. */

string = ‘CREATIONID = "’+trim(db->CREATIONID) + chr(‘"’);

if ((search(dbS, string) == 0) and (count(dbS) > 0))

{

/* We found the record. For the example */

/* we will keep the NOTES field from the */

/* publisher database, and use all other */

/* fields from the subscriber database. */

dbS->NOTES = db->NOTES;

resolve(db, dbS);

}

}

/* Clear the temporary tags we used for collisions. */

tag(db, -1, szTag);

tag(dbS, -1, szTag);

/* Close the subscriber, we’re done */

closedb(dbS);

/* Hide the system fields, we’re done. */

set(db, "System fields", "Hide");

}

See Also: createReplica(), replicate()

restore

Summary

restore(row, column, text screen);

Description

Places the screen image on the screen that was previously created by a call to the save() function. The image is placed at the location whose upper left corner is described by the row and column coordinates.

Return Value

None.

See Also: save()

rmdir

Summary

int rmdir(text directoryPath);

Description

Removes (deletes) the specified directory. The directory must not contain any files or subdirectories. directoryPath can be either an absolute path name or relative to the current working directory.

Return Value

rmdir returns zero if successful, -1 otherwise.

See Also: chdir(), getcwd(), mkdir(), rename(), erase()

round

Summary

float round(float number; int decimals);

Description

Rounds the fractional portion of a floating point number to the specified number of decimals.

Return Value

The rounded floating point number.

Example

main()

{

float f, pi;

pi = 3.1459;

f = round(pi,2);

/* f now contains 3.15 */

...

}

rtrim

Summary

text rtrim(text string);

Description

Removes all trailing white space from the text variable, character array, or field. White space consists of spaces, tabs, carriage returns, and line feeds.

Return Value

Returns a duplicate of the string, does not modify the original.

See Also: ltrim(), trim()

run

Summary

run(text program, function);

Description

This function is used to execute external CPL programs. The program parameter is the name of a .CPL or .CPT file which contains the function. Inclusion of the .CPL or .CPT file name suffix is optional.

The called function can access and change any globally declared variable in the calling program. It can also execute any function in its own file or in the calling function's file. Global variables declared in the called module are only accessible while the module is loaded and running. Functions and variables in the module will replace pre-existing functions and variables of the same name.

Quoted strings that are used as parameters should be assigned to a text or char array before being passed. See the example below.

Return Value

The value returned by run() is the value returned by the function that is executed. It can be any Concordance Desktop value.

See Also: eval()

Example

LoadSpeller(int db)

{

char prompt[50]; int ok;

/* Load an external program to spell check. */

prompt = "Look up word: ";

if (ok = run("spellchk.cpl","Check(db,prompt)"))

{

prompt = "Enter correction: ";

ok = run("spellchk.cpl","Correct(db,prompt)");

}

return(ok);

}


S
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter S. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

save

Summary

text save(row, col, brow, bcol);

Description

Returns an image of the screen window described by the upper left corner and lower right corner coordinates. The image is stored in text variable format, but it is not a standard text variable.

Return Value

A text value containing the image of the screen.

See Also: restore()

scroll

Summary

scroll(int tr, tc, br, bc, rows, up [, bkcolor]);

Description

Scrolls a window in the screen. The window is described by the upper left corner row and column coordinates (tr and tc) and the bottom right corner row and column coordinates (br and bc).

The window is scrolled up if the up parameter is 'U' or 'u', and down if it is 'D' or 'd'. It is scrolled rows number of lines, the new lines (at the top or bottom) appear empty and in the background color. If the rows parameter is zero the entire window is cleared. Bkcolor is an optional parameter and specifies the background color.

Return Value

None.

See Also: cls()

Example

/* Clear the screen in the passed color. */

clsc(int color)

{

scroll(0,0,24,79,0,'U',color);

}

search

Summary

int search(int db; char string[]);

Description

The string contains a search, it is searched in the database and the results become the current query. The search screen is not displayed. Query error messages are not displayed.

Return Value

Zero if no error occurred, an error number if the search could not be completed due to query logic or file error, or -1 if the user pressed [Esc] to cancel the search. The error number corresponds to an error message in the reference manual.

Programs should test both the return code and the query number to guarantee that a search was successful.

Example

int rc, /* Return code from search(). */

oldQueryNumber; /* Previous query number. */

...

/* Note that XYZ CO, a fixed field search, is enclosed in quotes. This is required by the search engine, otherwise it will interpret the search as XYX adj CO. */

oldQueryNumber = db.query;

if(rc=search(db,'CUSTNO="XYZCO"andPAID="F"'))

puts(10,30,"Error"+str(rc)+"duringsearch.");

else

if (oldQueryNumber <> db.query)

processSuccessfulQuery(db);

select

Summary

int select(int db; char string[]);

Description

This function is only included for compatiblity with releases prior to 5.20. All programs should now use the search() function.

Return Value

See search()

See Also: search()

set

Summary

int | text set(int db; text option [,int|text value]);

Description

This is a family of functions which set or retrieve various environmental options in Concordance Desktop. Optional parameters are enclosed in brackets [...]. If the optional parameters are passed, the set option is changed to the new value. If the parameters are not passed, no change takes place. In either case, the previous value of the set option is returned by set().

The database handle is only required by Margin, Punctuation, and Empties. For all other set options the database handle is a dummy parameter.

text set(db,"Punctuation" [,"&-,"]);

int set(db,"Margin" [,79]);

int set(db,"Empties" [,TRUE | FALSE]);

int set(db,"Wildcard" [,'*']);

int set(db,"Quote" [,'"']);

int set(db,"Bell" [,TRUE | FALSE]);

Example

status(int db)

{

cls();

puts(2,2,"Margin "+str(set(db,"Margin")));

puts(3,2,"Punctuation "+set(db,"Punctuation"));

puts(4,2,"Wildcard "+chr(set(0,"Wildcard")));

puts(5,2,"Quote "+chr(set(0,"Quote")));

puts(6,2,"Bell is "+(set(0,"Bell") ? "On":"Off"));

puts(7,2,"Empties are "+(set(db,"Empties")?"On":"Off"));

getkey();

}

shellExecute

Summary

int shellExecute(text szOp, szFile, szParams, szDir; int fsShowComd);

Description

shellExecute() launches a program, or opens or prints a file or a document. The file specified by the szFile parameter can be a document file or an executable file. If it is a document file, shellExecute() opens or prints it, depending on the value of the szOp parameter. If it is an executable file, this function opens it, even if the szOp string is "print."

Create a NULL parameter by declaring NULL as a text variable. Do not assign a value to it.

Parameter | Meaning
szOp | A string specifying the operation to perform. This string can be "open" or "print." If this parameter is NULL, "open" is the default value.
szFile | A string specifying the file to open.
szParams | A string specifying parameters passed to the application when the szFile parameter specifies an executable file. If szFile specifies a document file, this parameter is NULL.
szDir | A string specifying the default directory.
fsShowCmd | Specifies whether the application window is to be shown when the application is opened. This parameter can be on of the values from the table below.

The fsShowCmd controls the method used to display the application window. Use one of the following parameters for the fsShowCmd.

fsShowCmd Value | Meaning
SW_HIDE | Hides the window and passes activation to another window.
SW_MINIMIZE | Minimizes the specified window and activates the top-level window in the system’s list.
SW_RESTORE | Activates and displays a window. If the window is minimized or maximized, Windows restores it to its original size and position (same as SW_SHOWNORMAL).
SW_SHOW | Activates a window and displays it in its current size and position.
SW_SHOWMAXIMIZED | Activates a window and displays it as a maximized window.
SW_SHOWMINIMIZED | Activates a window and displays it as an icon.
SW_SHOWMINNOACTIVE | Displays a window as an icon. The window that is currently active remains active.
SW_SHOWNA | Displays a window in its current state. The window that is currently active remains active.
SW_SHOWNOACTIVATE | Displays a window in it most recent size and position. The window that is currently active remains active.
SW_SHOWNORMAL | Activates and displays a window. If the window is minimized or maximized, Windows restores it to its original size and position (same as SW_RESTORE).

Returns

The program’s instance or DDE server handle is returned. A return value less than or equal to 32 indicates an error. Error values are listed in the following table.

Return Value | Meaning
0 | System was out of memory, executable file was corrupt, or relocations were invalid
2 | File was not found.
3 | Path was not found.
5 | Attempt was made to dynamically link to a task, or there was a sharing or network-protection error.
6 | Library required separate data segments for each task.
8 | There was insufficient memory to start the application.
10 | Windows version was incorrect.
11 | Executable file was invalid. Either it was not a Windows application or there was an internal error in the .EXE image.
12 | Application was designed for a different operating system.
13 | Application was designed for MS-DOS 4.0.
14 | Type of executable file was unknown.
15 | Attempt was made to load a real-mode application (developed for an earlier version of Windows).
16 | Attempt was made to load a second instance of an executable file containing multiple data segments that were not marked read-only.
19 | Attempt was made to load a compressed executable file. The file must be decompressed before it can be loaded.
20 | Dynamic-link library (DLL) file was invalid. One of the DLLs required to run this file was corrupt.
21 | Application requires Microsoft Windows 32-bit extensions.
31 | There is no association for the specified file type or there is no association for the specified action within this file type.

See Also: spawn(), system()

show

Summary

show(db->field; int TRow, TCol, BRow, BCol, offset, lastRow);

Description

This function displays the passed field in a window described by the row and column coordinates. It will highlight all words located in the current query that appear in a paragraph field.

The query list will be positioned on the next item in the list to be highlighted when show() returns. If the last item in the current document is already highlighted on the screen, then the hit list will be positioned on that item. Show() will not cause the hit list to advance to the next document.

Any field can be passed to show() for display, but only paragraph fields will receive highlighting. The text is not wordwrapped before it is displayed as with edit() mode -1.

The lastRow parameter is optional. If provided, it will contain the number of the last screen row used to display data when show() finishes. Use this value to determine the next screen line available for display.

Return Value

The offset of the last line displayed in the text window.

See Also: edit(), mode @

sizeof

Summary

int sizeof(value);

Description

Determines the size of the variable in bytes. If the variable is an array, it returns the declared number of elements in the array times the size of an individual element. The size of a subscripted array element is the size of the base type.

Taking the size of a database field is invalid.

Sizeof should not be confused with len(), which returns the number of characters stored in a character array or text variable.

Return Value

Integer length of value in bytes.

See Also: len()

Example

main()

{

short i, list[20];

puts(0,0,"str(sizeof(i),5,0)+str(sizeof(list),5,0)+str(sizeof(list[7]),5,0);

}

Output: 2 40 2

sleep

Summary

sleep(int winks);

Description

Pauses the program for as many thousandths of a second as the winks parameter specifies. If the program is an OS/2 or Windows application, the sleep function returns control to the operating system for at least that amount of time.

Return Value

None

snapshot

Summary

int snapshot(int db; text fileName; int takeShot);

Description

Saves or restores a full snapshot of the current state of Concordance Desktop, which includes all concatenated databases, all searches for the databases, the current record, and the current sort in effect.

takeShot can be any nonzero value to save the snapshot to the fileName parameter. A zero for takeShot causes the named snapshot to be restored, the handle to the newly opened database is returned.

Return Value

A handle to the newly restored database if the snapshot is being restored, or a zero to signify success when saving a snapshot. A nonzero value indicates failure when saving a database, typically caused by a disk full or insufficient write/create rights on a network drive.

See Also: exec(), keep()

sort

Summary

int sort( int db; char string[]; [int row, column; [int color[, background]]]);

Description

Sorts the current query according to the string parameter. The string parameter can be a character array, a text variable, or quoted text. The query is sorted in ascending order unless the dc() function is used within the string, see example below. Sort() will display a percentage of progress if the optional row and column parameters are used. The color parameters, which affect the percentage display, are also optional.

Return Value

A -1 if the sort failed, most likely due to a disk full condition or to the user pressing the [Esc] key. If the sort succeeds the current query is sorted, not the physical documents in the database. The sort will stay in effect until the database is closed, until another query is executed, or until the query is reloaded with the query() function.

See Also: dc()

Example

main()

{

int db;

/* Sort the current query in ascending order

** by the author field, in descending order

** by the publication date, most recent

** publication first. The sort routine will

** display its percentage of progress on the

** screen at row 5, column 11, in the default

** color.

*/

if ((db = opendb("library")) >= 0)

{

puts(5,2,"Sorting:);

sort(db,"db->author+

dc(str(year(db->date),4)+

str(month(db->date),2)+

str(day(db->date),2))",5,11);

browse(db);

closedb(db);

}

return(0);

}

spawn

Summary

int spawn(text "program.exe", "parameters");

Description

Starts the external program and returns any exit value or completion code returned by the program. This differs from the system() command in that system() calls the operating system command interpreter to invoke the command. system() will handle external programs, .bat files, and internal commands such as dir and copy, but it will not return completion codes.

spawn() will use the current environment path to locate the program if it is not in the current directory. The .exe and .com file extensions are optional. spawn() will not run .bat files.

Return Value

-1 if the program could not be executed. The return code from the executed program if it was run.

See Also: system()

sqrt

Summary

float sqrt(float v);

Description

Determines the square root of the value.

Return Value

The square root as a floating-point value.

str

Summary

text str(int x[, width[, decimals; [char format]]]);

Description

Converts numeric value to character string, with optional commas, dollar signs, decimal point, and width specification. Numeric value, x, can be char or int or float. Format specification can be '$', 'Z', a blank space, or ','. The comma places a comma every third significant digit, the dollar sign format is the comma format with a dollar sign preceding the number, a Z zero fills leading blank spaces, and a blank space formats the number without comma, dollar signs, or zero padding.

The number is formatted right justified within the specified width. If there isn't enough room for the number, a series of asterisks are returned.

Return Value

The number as a character string.

See Also: itoa(), num(), trim()

Example

main()

{

int width, decimals, i, format;

width = 5; decimals = 2; format = '$';

for(i = 0; i <= 10; i = i + 2)

puts(i,0,str(i,width,decimals,format));

}

Output:

$0.00

$2.00

$4.00

$6.00

$8.00

***** /* No room to print $10.00 */

struc

Summary

int struc(int db; text FileName);

Description

Creates a new database with the same structure as the currently opened database. The database isn't created if a database already exists with the same name.

The db parameter must be a handle to a currently opened database. The FileName parameter is the name of the new database created by this function. struc() creates the database, but it does not open it for use.

Return Value

Zero if the new database was successfully created.

See Also: createdb()

substr

Summary

text substr(text string; int from, width);

Description

Makes a copy of the characters in the string, beginning at from characters, and continuing for width characters. From must be greater than or equal to 1.

Width is optional. If it is left off, substr will return a copy of the entire string beginning at from.

Return Value

A copy of the characters in the string.

See Also: addr()

Example

main()

{

text a, b;

a = "Joe's Diner in the Park";

b = substr(a,match(a,"Diner",1));

/* b is now "Diner in the Park" */

}

system

Summary

int system(text command);

Description

Passes the command string to the operating system for execution. This can be used to execute operating system commands such as DIR, or COPY, or to run external programs.

Return Value

A 0 if successful, a nonzero value if not successful. Reasons for failure are insufficient memory or the system was not able to find the program in the command string for execution.

Example

/* Program fragment to display a document on the screen

** and show a graphics image when ALT-V is pressed. */

ViewDocument(int db, document)

{

int key;

goto(db,document);

/*Call subordinate function to display browse screen.*/

ShowDoc(db);

while(key <> ESC)

{

switch(key = getkey())

{

case ALTV: system("view "+db->graphic);

case '+': if (next(db) > 0)

ShowDoc(db);

case '-': if (prev(db) > 0)

ShowDoc(db);

}

}

}

See Also: spawn()


T
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter T. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

table

Summary

table(int db);

Description

Invokes Concordance Desktop full screen Table View mode.

Return value

None.

See Also: browse()

tag

Summary

int tag(int db, ON|OFF|CLEAR [, text tagString]);

Description

Tags a document in the database whose handle is db according to the value of the second parameter:

ON 1 Document is tagged.

OFF 0 Document is untagged.

CLEAR -1 All documents in the database are untagged.

Remember to clear all tagged queries before beginning a tagging cycle. Otherwise, documents previously tagged will be included in the current tagging operation. Document tags are stored in a file called database.trk, they are retained with the database and do not disappear if the database is closed and reopened.

If the optional tagString parameter is passed, the supplied tag is applied to the document. Otherwise the default tag, "", is applied.

Return Value

Returns a zero if no error occurred. Returns a nonzero value if an error occurred while tagging the document.

See Also: istagged(), tagquery()

tagquery

Summary

tagquery(int db[, text tagString]);

Description

Collects all tagged documents in the database whose handle is db into a single query. If the optional tagString is supplied, only documents tagged to the tagString are selected. The set of tagged documents becomes the current active query.

Return Value

None. Check the database information variable db.query to see if a tagged query was actually created. The function will create a tagged query with zero documents if no tagged documents were found.

See Also: tag(), istagged()
time

Summary

time(int hours, minutes, seconds);

Description

Returns the current time in the passed parameters. The hours are in military format, 1 - 24 hours. Minutes and seconds are optional parameters.

Return Value

Returns the total seconds elapsed since midnight, (hours * 3600) + (minutes * 60) + seconds. The passed parameters are set to the current time when the function returns.

See Also: clock(), today()

Example

ShowTime()

{

int hours, minutes, seconds;

text AMorPM;

char string[10];

/* Display time on the screen. */

/* Get the time in a string. */

time(hours, minutes, seconds);

AMorPM = " p.m.";

if (hours < 12)

AMorPM = " a.m.";

if (hours > 12)

hours = hours - 12;

string = str(hours,2,0,'Z')+":"+str(minutes,2,0,'Z')+":"+str(seconds,2,0,'Z'));

puts(0,0,string+AMorPM);

}

today

Summary

int today();

Description

Gets today's date in internal numeric format.

Return Value

Integer representing today's date.

See Also: dtoc(), ctod(), clock(), time()

Example

WhatDayIsIt()

{

puts(0,0,"Today is "+dtoc(today()));

}

trim

Summary

text trim(text string);

Description

Removes all trailing and leading blanks from the text variable, character array, or field.

Return Value

Returns a duplicate of the string, does not modify the original.

See Also: ltrim(), rtrim()

Example

main()

{

text line;

line = " This is a fine mess ";

puts(0, 0, "|"+trim(line)+"|");

puts(1, 0, "|"+line+"|");

}

Output:

|This is a fine mess|

| This is a fine mess |


U
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter U. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

unload

Summary

int unload(int db; char string[]; [int comma, quote, newline; [int row, column, color]]);

Description

Unloads the current query to the file specified by the string file name. The string must be a valid file name. The documents are unloaded in delimited ASCII format as documented in the Concordance Desktop Reference Manual.

The fields unloaded, and the order in which they are unloaded, is set by assigning a number to the order entry of the field definition. You can assign any number from -128 to 127, but Concordance Desktop will only unload fields with consecutive numbers from 1 to the last field number defined in the database. You should always renumber the fields before any unload. Concordance Desktop allows the user to change the field order in several full screen modes including Print, Load, and Unload. See the for-loop example below.

The optional parameters, comma, quote and newline are used to delimit the fields during the unload process. If they are left off Concordance Desktop will use its internal ASCII default values, 20, 254, and 174 respectively. It is recommended that you leave these parameters off if transferring data between Concordance Desktop databases, however they are required if row, column, and color are passed.

Return Value

The number of documents unloaded. This should be checked against the number of documents that should have been unloaded. Any inequality will indicate full disk or other disk error condition, or that the user pressed [Esc] to cancel the unload.

See Also: unloadfs(), load(), loadfs()

Example

main()

{

int db, i, count;

/* Permanately sort all records in the */

/* database in ascending order. */

if ((db = opendb("helpdesk")) <> -1)

{

sort(db,"db->DATE");

/* Renumber all fields to unload in */

/* order. This step is necessary */

/* since the order previously set, */

/* or set in Print, is retained */

/* until reset. Never assume the */

/* order includes all fields. */

for(i = 1; i <= db.fields; i = i + 1)

db.order[i] = i;

count = db.documents;

if (unload(db,"helpdesk.dat") <> count)

puts(0,0,"Error unloading database.");

else

{

zap(db);

if (load(db,"helpdesk.dat") <> count)

puts(0,0,"Error reloading data.");

else

{

erase("helpdesk.dat");

index(db);

}

}

closedb(db);

puts(0,1,"Press any key to continue...");

getkey();

}

}

unloadfs

Summary

unloadfs(int db);

Description

Invokes Concordance Desktop full screen unload mode. The screen is automatically saved before entering this mode and restored after exiting.

Return Value

None.

unlockdb

Summary

unlockdb(int db);

Description

The database whose handle is db is unlocked and released from exclusive use.

Return Value

None.

See Also: lockdb()

unlockdoc

Summary

unlockdoc(int db);

Description

Will unlock the current document in the network version of Concordance Desktop. Unlocking the record will force an immediate write to disk if it has been edited. This has no effect in non-network versions of the program. A locked document cannot be changed and saved to file by other users. Reading another document will automatically unlock a document.

Documents are automatically locked by Concordance Desktop when read into memory. Your program should unlock them as a courtesy to other network users if you do not intend to edit or modify them.

Return Value

None.

See Also: lockdoc(), locked()

unmapDevice

Summary

int unmapDevice(text Device, int force);

Description

Removes the network’s mapping of the disk drive or printer. The unmapping fails if the device has a file or lock open. Set the force parameter to TRUE to force the device to unmap regardless of the open file status. (TRUE is a predefined integer. You do not need to declare it. Do not assign a value to it. Do not pass it in quotes. Simply use it as you would any integer.)

Return Value

Zero indicates success.

See Also: mapDevice()

Example

unmapDevice("F:", FALSE);
upper

Summary

text upper(text string);

Description

Converts the parameter string to all upper case. The parameter can be a text value or a character array.

Return Value

Returns a duplicate of the string in upper case letters, does not modify the original.

See Also: capitalize(), lower()


V
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter V. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

ver

Summary

float ver([char string[]]);

Description

Version number of Concordance Desktop.

Return Value

The release version number of Concordance Desktop. If the optional string parameter is provided, it will contain a detailed description of the version, Concordance Desktop Runtime, or Concordance Desktop/386 Network.


W
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter W. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

weekday

Summary

text weekday(int d);

Description

Computes the day of the week for the parameter date and converts it to a text string. The parameter can be a date field or the result of the ctod() function.

Return Value

The name of the weekday.

See Also: day(), month(), year(), ctod(), dtoc()

wordlen

Summary

int wordlen(int db; text field);

Description

Determines the length of the word in the character array, text variable, or database field. The length is determined by using the data base embedded punctuation.

Return Value

Length of the word, or 0 if the first letter of the word isn't alphanumeric.

wrap

Summary

text wrap(text string; int width);

Description

Wordwraps the text within a column of width characters. The text can be a database field, character array, or text variable.

Return Value

The parameter text passed to wrap() is returned. wrap() does not return a duplicate of the text, but the actual text parameter fully wrapped. The statement

wrap(db->SUMMARY,20)

is equivalent to

db->SUMMARY = wrap(db->SUMMARY,20)

except that the second statement provides additional processing work for Concordance Desktop without any effect whatsoever. wrap() returns the parameter textas opposed to a copyso that it can be passed as a parameter to other functions, such as show() or write(). Returning the original parameter also avoids insufficient memory errors when wordwrapping large text fields.

See Also: findline(), findnline(), findpline()

write

Summary

int write(int handle; text buffer; int length);

Description

Writes length number of bytes to the file referenced by handle from the buffer. Handle must be a valid file handle returned by a call to open().

Return Value

The number of bytes written to file. If this value does not equal length, it indicates a disk full condition. A value of -1 indicates an error.

See Also: writeln(), read(), readln(), open(), close()

writec

Summary

int writec(int handle; char ch);

Description

The character is written to the file referenced by handle. The handle must have been returned by the open() function.

Return Value

Returns a nonzero value if successful, and a -1 if an error is encountered.

See Also: readc(), open(), close()

writeln

Summary

int writeln(int handle; text buffer; int length);

Description

Writes the contents of the buffer to file and prints a carriage return-line feed after the text.

Return Value

Returns the number of characters written to file, or a -1 if an error was encountered. If the number of characters written is less than the length parameter, the disk is probably full.

See Also: write(), read(), readln(), open(), close

writePrivateProfileString

Summary

int writePrivateProfileString( text szSection;

text szKey;

text szValue;

text szFile);

Description

The writePrivateProfileString() copies a string into the specified section of the specified initialization file.

Parameter | Function
szSection | The name of the section to which the string is copied. If the section does not exist, it is created. The name of the section is not case sensitive.
szKey | The name of the key to be associated string with a string. If the key does not exist in the specified section, it is created. If this parameter is NULL, the entire section, including all entries within the section, is deleted. Create a NULL value by declaring NULL as a text variable, but do not assign any value to it.
szValue | szValue is written to the file. If this parameter is NULL, the key pointed to by the szKey parameter is deleted.
szFile | The name of the initialization file. This must be the fully qualified name, with the .ini file extension.

Return Value

Nonzero if successful.

See Also: getPrivateProfileString()


Y
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter Y. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

year

Summary

int year(int duedate);

Description

Extracts the year from the date. The date can be a value returned by ctod() or a date field.

Return Value

The year in integer format.

See Also: day(), month(), weekday()


Z
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The following topic discusses the Concordance Desktop Programming Language (CPL) functions that begin with the letter Z. For more information on CPL functions, see Advanced Programming Features, and CPL Functions.

zap

Summary

int zap(int db);

Description

Removes every document from the database, erases all associated database files except for the stopword file, .key and .dcb files. Use with caution, this is a destructive command.

Return Value

Zero if zap() was successful, nonzero if zap() was not able to clear the database. This can happen if the database has read-only access, or if it is in use by other network users.


Concordance Desktop Scripts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

The Concordance Desktop scripts listed below are delivered with Concordance Desktop. The customer support team can help resolve issues or answer questions regarding these scripts. For more information about editing and running CPL scripts, see Creating and Editing a Concordance Desktop Script and Running a Concordance Desktop Application.

CPL Name

Description

Usage

AppendOneFieldToAnother

Uses a field based on options the user selects and appends, prepends, or copies data from one field to another.

Append: Copying one field to the end of another.

Global variables are capitalized in this program. Local variables are in lower or mixed case.

Variable names in all upper case, i.e., LEFT, are initialized once and should not be changed afterwards.

AppendTextToField

Appends or prepends data to a field, leaving existing data intact.

Global variables are capitalized in this program. Local variables are in lower or mixed case.

Variable names in all upper case, i.e., LEFT, are initialized once and should not be changed afterwards.

BlankField

Erases data from a user-specified field.

To start, edit the FIELDNAME entry to represent the name of the field that you want to blank out. The FIELDNAME needs to be entered exactly as it displays in the database. The field specified should be a Text or a Paragraph field. Once this is done, you will need to save the CPL and launch it from within Concordance Desktop.

Note: Running this on a Numeric or a Date field will not blank the field. Date fields will continue to hold a date of 00/00/0000 and Numeric fields will simply display 0.

CreateHyperlinks

Cycles through the current query of an e-mail database and creates hyperlinks from the file paths listed in the ATTACHMENT field.

Does not need user modifications to run properly.

IssueToTag

Converts all issues from the current query into tags.

Should not need modification. It prompts the user for the information it needs using message boxes. After the information is collected, this program performs the conversion on the current search list.

Mark.cpl

Considered a sub-program by other CPL scripts, like Spell.cpl. This script allows users to select fields from the currently opened database for subsequent action by the main program. Use Mark.cpl if you encounter the message prompt, Couldn't find Mark.cpl when running another program.

Note: You will need to update Mark.cpl with the version number appended to the CPL name. For example, for version 1.01, change Mark.cpl to Mark_v1.01.cpl.

There is nothing the user needs to change in this program to get it to perform. Menus will guide the user through all aspects of this program's functionality.

PDFPrint.cpl

Automatically prints the current query of a Concordance Desktop E-documents database using an Adobe Acrobat viewer, such as Adobe Reader, as the print application. This utility is part of the Concordance Desktop E-Documents template, and is launched from the Adobe print menu item.

PrintWithAttachments

Prints documents and their attachments. This script uses the command shellExecute() to prompt the operating system to use the program associated with the file type. If a program is not associated with the file type, then it will not print the document. Errors are logged to a file called Print-With-Attachments Error.log.

You must create and save a print format file to the same directory as this program. Call the print format file: Print-With-Attachments.fmt. It is used to specify the print formatting options.

Renumber

Assumes that a search has already been performed to isolate documents that need to be numbered. This script prompts for a field name, a starting numeric value, a range, and an optional alphabetic prefix. It assigns values to the database field for every document in the current query.

Example: ABC00005 through ABC0949

Does not need to be modified to run properly.

ShowSystemFields

Displays system fields.

Does not need user modifications to run properly.

Spell

Scans documents and prompts the user to correct misspelled words.

Creates a file to store skipped words. The file name is created by combining the database path/name with the file extension: .SPL. The file is stored in the same directory as the database.

Does not need modification to run properly. Can run from Concordance Desktop, or called with the Run() function by passing Spell() the database handle.

TagHistoryAndStoreIt

Writes the tag history held in the .trk file to a paragraph field in the database named TAGINFO.

TagSaver

Writes the current list of tags from the database into a .gat file. The .gat file can be stored for future use, in case tags are lost due to corruption or user error.

When prompted to select a field, please be sure to select one that contains unique values in your database, as this is the linking field that associates each record with its tags.

For example, in the CALFCO database, this field would be "STARTPAGE", but in other databases you might need to select e.g., "BEGDOC".

Does not need modifications to run properly.

Note: If the database is new and has never been indexed, index the database before running the TAGSAVER CPL.

TextFileToQuery

Reads an ASCII text file and runs a query on each line of the file. Each line can be written for a full-text or relational search. When the process is completed, the text file results are concatenated into a single query. There is no known limit to the number of lines that can be run from the text file.

There is a line in the CPL that defines "ATTACHTAG". As delivered, this CPL assigns the value "Attachments" to ATTACHTAG. Then the CPL tags the new query results from the ASCII file with the contents of ATTACHTAG.


AppendOneFieldToAnother
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the AppendOneFieldToAnother CPL to copy the contents of one field into another. The contents can be added to the beginning or end of the content in the destination field.

The destination field must be of type TEXT or PARAGRAPH.

To run the AppendOneFieldToAnother.cpl:

1.On the File menu, click Begin Program.

2.Locate and open the AppendOneFieldToAnother.cpl file.

3.Click Select field to copy FROM, use the arrow keys to select the field name that the data is copied from, and then press Enter.

Select field to copy FROM

4.Click Select field to copy TO, use the arrow keys to select the field name that the data is copied into, and then press Enter.

Select field to copy TO

5.Click Append or prepend to toggle the Mode field of the Status dialog box to define whether the data is added to the end (Append) or the beginning (Prepend) of the designated field contents.

Append or prepend

6.Click Keep/delete FROM field info to retain or remove the data from the initial source field when the CPL is executed, and then click Go.

7.After the CPL is finished, press any key to continue, and then verify that the data from the initial field is copied correctly into the destination field.

Hit any key

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


AppendTextToField
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the AppendTextToField CPL to add new data to the existing contents of a specified field. The new data can be added to the beginning or end of the content in the destination field.

To run the AppendTextToField.cpl:

1.On the File menu, click Begin Program.

2.Locate and open the AppendTextToField.cpl file.

3.Click Select field to edit, use the arrow keys to select the field name to add the data, and then press Enter.

Select field to edit

4.To define whether the data is added to the end (Append) or the beginning (Prepend) of the designated field contents, click Append or prepend to toggle the Mode field of the Status dialog box

Append or prepend

5.Click Select data to add, enter the data you want to append/prepend to the designated field, and then press Enter.

Select data to add

6.When finished, click GO - start adding.

7.After the CPL is finished, press ESC, and then verify that the data you entered is added correctly to the specified field.


BlankField
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the BlankField CPL to remove data from a specified field leaving it empty.

Because this CPL removes data, it is highly recommended that you backup your database before running the CPL.

To run the Blankfield.cpl:

1.Using any text editing application, locate and open the BlankField.cpl file.

2.Locate the text FIELDNAME, replace the text with the name of the field you want to make a blank field, and then save the file.

Blankfield edit before

Before

Blankfield edit after

After

3.On the File menu, click Begin Program.

4.Locate and open the BlankField.cpl file.

As soon as you open the CPL file, it automatically executes the script.

5.When the CPL is finished, verify that the field you specified is empty.


CreateHyperlinks
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the CreateHyperlinks CPL to create a Concordance Desktop attachment or hyperlink to an external document. This CPL supports multiple attachments.

To run the CreateHyperlinks.cpl:

1.Using any text editing application, locate and open the CreateHyperlinks.cpl file.

2.Using the text editor's Find and Replace features, replace the name of the current field specified in the CPL (default value "ATTACHMENT") with the name of the field you want to convert to a hyperlink.

CreateHyperlinks code edit before

Before

CreateHyperlinks code edit after

After

In this example, ATTACHMENT is replaced with the field name LINK.

3.Review the changes to make sure that all the modifications were made.

4.In Concordance Desktop, verify that the field contains the full path to the locations of the document you are linking to. If you are setting up links to multiple files, make sure that the links are separated by a hard return.

LINK | D:\Data\sample.txt
 | D:\Data\sample2.txt

5.On the File menu, click Begin Program.

6.Locate and open the CreateHyperlinks.cpl file. The CPL automatically executes the code.

7.When the CPL is finished, verify that the following changes are true for the field:

·Links are highlighted.

·If you right-click the link, click Edit Note, and then click Selecting the Attachment the document path is displayed.

·If you click the link, the document opens.

LINK | D:\Data\sample.txt
 | D:\Data\sample2.txt


IssueToTag
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the IssueToTag CPL to convert issue tags into document level tags. This is useful when users have attempted to add document tags while text is highlighted in the Browse View.

To run the IssueToTag.cpl:

1.Locate the record containing the issue tag you want to convert.

Issue tags are displayed in the Tags pane with red text.

2.On the File menu, click Begin Program.

3.Locate and open the IssueToTag.cpl file.

4.When prompted, click OK.

Issue to tag prompt

5.When prompted, click Yes or No to delete any empty notes.

Delete empty notes

Selecting No does not remove the highlight; however, the issue tag is converted to a document-level tag.

6.When the CPL is finished, verify that the record no longer displays the issue tag. Also, if you selected Yes for step 5, any highlight associated with the issue tag should no longer appear unless you added data to it.


PrintWithAttachments
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the PrintWithAttachments CPL to print Concordance Desktop records and any externally attached files through their native application.

Attachments that cannot be printed are logged to the Printwithattachments Error.log file in the CPL directory. The log file name varies depending on the version of Concordance Desktop in use.

To run the PrintWithAttachment.cpl:

1.If this is the first time running the PrintWithAttachments CPL, you must create a print format file first. If not, go to step 6.

2.In Concordance Desktop, on the Documents menu, click Print Documents.

3.Click Save Print File.

4.Locate the directory that contains the PrintWithAttachments CPL, and then do the following:

·In the File Name text box, type Print-With-Attachments.

·In the Save as Type box, select Print Format Files (*.FMT).

Print Format Files

5.When finished click Save, and then close the Print Documents dialog box.

6.On the File menu, click Begin Program.

7.Locate and open the PrintWithAttachment.cpl file.

8.When prompted, click OK to print all the documents and attachments.


Renumber
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the Renumber CPL to assign an alphanumeric serial number to a specified field utilizing user specified prefixes and starting numbers.

To run the Renumber.cpl:

1.On the File menu, click Begin Program.

2.Locate and open the Renumber.cpl file.

3.Using the arrow keys, select the field you want to renumber, and then press Enter.

Select field to renumber

4.Do the following:

·For Starting_Value enter a number to begin renumbering..

·For Starting_Value_Width that designates how many digits you wish the starting number to be.

·Enter an alphanumeric prefix for Prefix that you want to start each number with.

Make sure that you specify a large starting value width or the numbering will be replaced with the # symbol after a certain length. For example, if you have 400 documents, a starting value of 1 and width of 2, when the number reaches 100 your renumbering will starting displaying # instead of incrementing the number.

Defining alphanumeric numbering

5.When finished, press Enter.

6.When the CPL is finished, verify that it performed correctly. The designated field should now display the number you specified, (i.e. ABC100).


ShowSystemFields
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the ShowSystemFields CPL to display or hide all system fields in a database for the duration of the open session.

To run the ShowSystemFields.cpl:

1.On the File menu, click Begin Program.

2.Locate and open the ShowSystemFields.cpl file.

3.On the File menu, click Modify to verify that the CPL ran properly.

Any fields that are System fields will have the System check box selected.

Run this CPL a second time to hide all system fields.


Spell
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the Spell CPL to check words in the database against a known spelling list.

This CPL requires that the Mark.cpl file be in the same location as the Spell.cpl file, as well as the words.list file. By default, the Spell CPL only checks for English words.

To run the Spell.cpl:

1.On the File menu, click Begin Program.

2.Locate and open the Spell.cpl file.

3.The Spell CPL offers the following functions:

·Query - runs the spell check on an existing query.

·Fields - runs the spell check on the fields you select.

·Edit Skip List - adds words to and edits the Skip Words list. The Skip Words List is created when you select the Skip All Occurrences during the spell checking process.

·Clear Skip List - clears the entire Skip Words list. The function deletes the [database].spl file where [database] is the name of the database on which you are running the Spell CPL.

4.To run the Spell Checker, click Go.

To correct words:

Select any of the following during the spell check process:

·Ignore this word - ignores this instance of the highlighted word.

·Skip all occurrences - skips all instances of the highlighted word and adds the word to the [database].spl file.

·Correct word - allows you to correct the spelling of the word.

·Edit document - allows you to edit the data, similar to the Edit Mode in Concordance Desktop.

·Look-up word - allows you to look up the highlighted word in the words.list file and correct it.

·Global editing - launches the Global Replace function from Concordance Desktop.
To spell check a query:

1.From the Spell Checker dialog box, click Query.

2.Enter the Search Number shown in the Review window in Concordance Desktop, and then press Enter.

Query search review window in Concordance

Review window

Query search number

To check the spelling of specific fields:

1.From the Spell Checker dialog box, click Fields.

Spell Check Fields

The numbers next to each field indicate the order that the fields are checked with the Spell Checker utility. A blank next to the field indicates that the field is excluded from the spell check.

2.Use the following keys to select the fields:

·[+] Select a field

·[-] Deselect a field

·[Spacebar] Toggle the field

·[Up Arrow] Previous field

·[Down Arrow] Next field

·[Home] First field

Spell Checker Fields function

3.When finished, press Enter.
To add words to the dictionary:

1.Click Edit Skip List.

Edit Skip List

2.Click the word you wish to add to the dictionary, and then click Accept.

Add to dictionary

3.Click Add to Dictionary.

4.When finished, click Ok.
To delete a single word from the Skip List:

1.Click Edit Skip List.

2.Click the word you wish to remove from the list, and then click Accept.

Delete skip word from list

3.Click Delete Entry.

4.When finished, click Ok.
Clearing all the words from the skip list To clear all the words from the Skip List:

Click Clear Skip List.
To verify the Skip List is cleared:

Do any of the following:

·Click Clear Skip List. A dialog box opens indicating that the list is already clear.

·Click Edit Skip List. The Skip Word dialog box should not display any entries.

All words removed from skip list

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


TagHistoryAndStoreIt
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The TagHistoryAndStoreIt CPL writes the tag history of each record to a specified field in the database.

To run the TagHistoryAndStoreIt.cpl:

1.Using any text editing application, locate and open the TagHistoryandStoreIt.cpl file.

2.Using the text editor's Find and Replace features, replace the name of the current field specified in the CPL (default value "TAGINFO") with the name of the field you want to write the tag history to.

Before

After

3.Verify that the field name is changed in all location in the text file, and then save the CPL.

4.Open your Concordance Desktop database.

5.On the File menu, click Begin Program, and then locate and open the TagHistoryAndStoreIt.cpl file.

6.When the CPL is finished, verify that it ran properly.

7.Locate the field specified. If tags exist for the document, the following information should be displayed.

Tag history field

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


TagSaver
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The TagSaver CPL saves or restores tags based on a unique identifier field.

If the database is new and has never been indexed, run an index before running the Tagsaver CPL.

When restoring tags from a .gat file, the maximum number of characters allowed in a tag name is 199.

Make sure that you are using the correct CPL for your version of Concordance Desktop.

To run the TagSaver.cpl:
To save tags:

1.On the File menu, click Begin Program.

2.Locate and open the TagSaver.cpl file.

3.In the Tag Saver Options dialog box, using the arrow keys, select Save tags, and then press Enter.

4.Using the arrow keys, select the field that contains a unique identifier for the database, and then press Enter.

Save tag unique identifier field

5.When the CPL is finished, click Quit.

6.Verify that the CPL executed properly. Locate the new file [database].gat in the database directory.

To retrieve tags:

1.Make sure that you have the .gat file in your database directory with the same name as the database you are retrieving tags. For example, Cowco.gat

2.On the File menu, click Begin Program.

3.Locate and open the TagSaver.cpl file.

4.In the Tag Saver Options dialog box, using the arrow keys, select Retrieve tags, and then press Enter.

5.When the CPL is finished, click Quit.

6.Verify that the CPL executed properly.

Tags are displayed for all the records that were tagged in the .gat file.


TextFileToQuery
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The TextFileToQuery CPL executes queries from an input file (plain ASCII). Each hit document is tagged, and then all tagged documents are grouped together in a final query.

To run the TextFileToQuery.cpl:

1.Using any text editing application, create a new document with each search term that you want to search. Make sure that each term is separated by a hard return.

These can be either keyword searches or relational searches.

2.Save the document in a .txt format.

If you are planning on conducting Unicode searches, make sure that you are saving the text file in a Unicode format.

3.In Concordance Desktop, on the File menu, click Begin Program.

4.Locate and open the TextFileToQuery.cpl file.

5.When prompted, do one of the following:

·Click Y to execute the .cpl file.

·Click N to select a .dcb file to run the .cpl on.

Database to query

6.In the Open Input File dialog box, locate and open the .txt file you created.

Text file to query

7.Locate the folder where you want to store the Error Log file, enter a file name, and then click Open.

Error log file location

8.When the CPL is finished, verify that the CPL executed properly.

9.Open the Tags pane and locate the new tag Attachments. The Attachments tag should contain the combined results of all the queries from the text file. You can also view the Review window to display a list of terms in the Search Terms column.

Review window in Concordance

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.


Keyboard shortcuts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the following keyboard shortcuts to perform Concordance Desktop functions from a specific view or task pane. The behavior of the keyboard shortcuts depends on the view or task pane selected. Ensure that the view or task pane you want to work with is selected before using the keyboard shortcuts.

Concordance Desktop
Browse and Table View
Keyboard Shortcuts: Browse and Table Views
Shortcut Keys | Use
F1 | Open Concordance Desktop Help.
F2 | Open Search task pane.
F3 | Open or close the Review View.
F4 | Open the Query by Example dialog box to run a form search.
F5 | Open or close the Table View in the Browse View.
F6 | Open or close the Browse View in the Table View.
F8 | Open the Sort task pane.
- | Navigate to the previous document.
+ | Navigate to the next document.
C | Open the Copy dialog box to copy document data. (Browse View only)
D | Open the Goto dialog box to navigate to a specific document.
F | Navigate to the first document.
G | Open the Goto dialog box to navigate to a specific document.
L | Navigate to the last document.
N | Navigate to the next search hit.
O | Open the Font dialog box to view or modify the font.
P | Navigate to the previous search hit.
V | Open the current document's corresponding image file in the image viewer.
CTRL+N | Open the New Database Creation Wizard for creating new databases using load files, E-documents and E-mails.
CTRL+T | Open the database templates for creating a new database using a template.
CTRL+D | Open the Dictionary dialog box when your cursor is in the Advanced Search panel.
CTRL+F | Open the Fields dialog box when your cursor is in the Advanced Search panel.
CTRL+S | Open the Fuzzy Search dialog box when your cursor is in the Advanced Search panel.
Tags Task Pane
Keyboard Shortcuts: Tags Task Pane
Shortcut Keys | Use
SPACEBAR | Toggle selected tag.
C | Open the Copy dialog box to copy document data. (Browse View only)
D | Open the Goto dialog box to navigate to a specific document.
F | Navigate to the first document.
G | Open the Goto dialog box to navigate to a specific document.
L | Navigate to the last document.
N | Navigate to the next search hit.
O | Open the Font dialog box to view or modify the font.
P | Navigate to the previous search hit.
other letter keys | Navigate to the tag starting with the same letter.
Review View
Keyboard Shortcuts: Review View
Shortcut Keys | Use
F2 | Open Search task pane.
F3 | Open the Review View if it is not already opened.
F4 | Open the Query by Example dialog box to run a form search.
ENTER | Execute the selected search query.
CTRL+D | Open the Dictionary dialog box when your cursor is in the Advanced Search panel.
CTRL+F | Open the Fields dialog box when your cursor is in the Advanced Search panel.
CTRL+S | Open the Fuzzy Search dialog box when your cursor is in the Advanced Search panel.
ESC | Cancel the current search that is in progress.
Edit View
Keyboard Shortcuts: Edit View
Shortcut Keys | Use
CTRL+PAGE UP | Navigate to the previous document.
CTRL+PAGE DOWN | Navigate to the next document.
TAB | Navigate to the next field in the document.
SHIFT+TAB | Navigate to the previous field in the document.
CTRL+TAB | Navigate to the last database or Workspace tab you opened.
CTRL+C | Copy the selected text.
CTRL+D | Open the Duplicate dialog box to copy field data to another record.
CTRL+F | Open the Find dialog box to find text in the current field.
CTRL+F | Open the Fields dialog box when your cursor is in the Advanced Search panel.
CTRL+SHIFT+F | Find the next instance of the text entered in the Find dialog box.
CTRL+H | Open the Replace dialog box to find and replace text in the current field.
CTRL+L | Open the authority list associated with the current field. For fields not associated with an authority list, navigate to and open a saved authority list.
CTRL+S | Open the Fuzzy Search dialog box when your cursor is in the Advanced Search panel.
CTRL+V | Paste the copied or cut text.
CTRL+X | Cut the selected text
CTRL+Z | Undo the last action

Concordance Native Viewer keyboard shortcuts Concordance Desktop Viewer
Keyboard Shortcuts: Concordance Desktop Viewer
Shortcut Keys | Use
CTRL + C | Copy the current selection
CTRL + X | Cut the current selection
CTRL + V | Paste the copied selection
CTRL + SHIFT + A | Pan tool
CTRL + SHIFT + X | Zoom tool
CTRL + SHIFT + Z | Magnifier tool
CTRL + E | Fit to Height
CTRL + W | Fit to Width
CTRL + SPACEBAR | Rotate clockwise 90 degrees
CTRL + SHIFT + SPACEBAR | Rotate counter-clockwise 90 degrees
PAGE UP | Navigate to the previous page
PAGE DOWN | Navigate to the next page
CTRL + P | Open Print dialog box

Concordance Native Viewer keyboard shortcuts Concordance Viewer
Keyboard Shortcuts: Concordance Viewer
Shortcut Keys | Use
PAGE UP | Navigate to the previous page
PAGE DOWN | Navigate to the next page
ARROW UP | Navigate to the previous page
ARROW DOWN | Navigate to the next page
ARROW LEFT | Navigate to the previous document
ARROW RIGHT | Navigate to the next document
TAB | Go to the next markup (if there are markups on the page)


Using the Answer Center
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

How to use thumbnail images in the Answer Center

As you explore topics in the Concordance Desktop Answer Center, you will come across small thumbnail images. These small images represent either a screen shot or topic graphic. To make the Answer Center topics easier to read with minimal scrolling, most screen shots and topic graphics are presented as thumbnail images to save space.

1.To enlarge a thumbnail image, just click on it!

2.Click it once more to reduce it back to its original size.

Try it! Click the image below to see how they work:

Concordance Desktop example

How to send the CloudNine™ Answer Center Team Feedback on a Particular Topic

1.While in the topic, click the Feedback button in the Answer Center toolbar.

An email window opens that identifies the topic you are in.

2.Type in your feedback and comments about the topic and then click Send.

The email window is already addressed to the Answer Center Team and the topic you are in is automatically added in the Subject line.

This is a great way to let us know if we need to add additional information to the topic, or whether the topic answered your question. In this way, we can continually improve the Answer Center so you can always find the information you need.


Additional Resources
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Sample Files

Sample Concordance Desktop databases

Two sets of sample files are included with the installation of Concordance Desktop; one is a set of documents for creating a sample e-document database and the other is a set of PST files for creating a sample e-mail database. The directory where these files reside also includes instructions for creating both types of databases in Concordance Desktop, along with an empty "Database"folder that you can use as the location for your sample e-document and e-mail databases.

The sample files folder and the instructions for creating the sample databases can be found under:

C:\ProgramData\CloudNine\Concordance Desktop\Sample Database

The e-document files can be found under:

C:\ProgramData\CloudNine\Concordance Desktop\Sample Database\Sample files\Edoc

The e-mail PST files can be found under:

C:\ProgramData\CloudNine\Concordance Desktop\Sample Database\Sample files\Email

In addition to the sample files included with the Concordance Desktop installation, there are also some sample databases and some sample data files you can download by clicking on the links below.

When downloading the Sample E-Documents Database, ensure that you unzip the files to C:\ProgramData\CloudNine\Concordance Desktop\Sample Database\Database, in order to view the documents in the Concordance Desktop viewer. Unzipping to any other folder will result in the inability to view the documents in the Concordance Desktop viewer.

·Sample E-Documents Database

·Sample E-Documents Data

·Transcript Sample Database (with Exhibits)

To download and extract the Unicode sample databases, you will need WinRAR by RARLAB. WinZip® by WinZip Computing does not handle the foreign language characters in the Unicode sample databases correctly, causing broken native file links in the databases.

·Unicode Sample Database (1000 records)

·Unicode Sample Database (100 records)

For more information about Concordance Desktop and the Unicode Standard, see About the Unicode Standard.


PDF Guides
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

Content in the Concordance Desktop Answer Center is available for download in the Adobe Acrobat PDF format.

Installation Guide

·Concordance Desktop Installation Guide

User Guides

·Concordance Desktop User Guide

·Concordance Desktop Administrator's Guide

If you are planning to work offline, you can also download a compiled version of the Concordance Desktop Answer Center (Concordance.CHM file) and save it to a folder on your local computer.

·Concordance Desktop Answer Center Compiled Help


Copyright Information
No contents entries on this page
Go to previous topic
Go to Welcome topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No hidden content in this topic Show/Hide Hidden Content

© 2020 CloudNine™. All rights reserved.

No part of this work may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying, recording, or by any information storage or retrieval system, without permission.

While the information contained herein is believed to be accurate, this work is provided "as is," without warranty of any kind. The information contained in this work does not constitute, and is not intended as, legal advice.

Concordance is a registered trademark and FYI is a trademark of Cloud9 Discovery LLC dba Cloudnine. Other products or services may be trademarks or registered trademarks of their respective companies.

* Concordance Desktop Viewer incorporates software created by OpenText and its use is limited to the terms of the licensing agreement.

CloudNine™ Concordance® Desktop

Need additional help? Email the Concordance Technical Support team at: concordancesupport@cloudnine.com, or contact a support representative at 713-462-6262 Ext 14. The Technical Support team is available between the hours of 9:00 a.m. to 7:00 p.m. Eastern Time, Monday - Friday.